package com.energy.manage.common.po.analysis;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Table;
import java.util.Date;

/**
 * 分析富文本描述
 * @author chy
 * @date 2024/5/23 12:56
 * @desc
 */
@Table(name = "analysis_comment_description")
@Data
@Accessors(chain = true)
public class AnalysisCommentDescriptionPo {

    /**
     * 主键
     */
    private Long id ;

    /**
     * 批次编号
     */
    private String batchCode ;

    /**
     * 分析类型编号
     */
    private String analysisTypeCode ;

    /**
     * 评论类型名称
     */
    private String commentTypeCode ;

    /**
     * 富文本内容
     */
    private String comment ;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime ;

    /**
     * 创建人
     */
    private Integer createBy ;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime ;

    /**
     * 更新人
     */
    private Integer updateBy ;
}
