package com.energy.manage.common.po.company;

import com.energy.manage.common.base.NewBaseDomain;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.GeneratedValue;
import javax.persistence.Table;
import java.util.Date;

/**
 * 企业信息
 */
@Data
@Table(name = "wind_company")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class WindCompanyPO extends NewBaseDomain {

    /**
     * 企业编号
     */
    @ApiModelProperty("企业编号")
    private String companyCode;

    /**
     * 企业名称
     */
    @ApiModelProperty("企业名称")
    private String companyName;

    /**
     * 省
     */
    @ApiModelProperty("编号")
    private Integer provinceId;

    /**
     * 省名字
     */
    @ApiModelProperty("省名字")
    private String provinceName;

    /**
     * 市
     */
    @ApiModelProperty("市")
    private Integer cityId;

    /**
     * 市名字
     */
    @ApiModelProperty("市名字")
    private String cityName;

    /**
     * 企业描述
     */
    @ApiModelProperty("企业描述")
    private String described;
    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer state;

    /**
     * 删除状态
     */
    @ApiModelProperty("删除状态")
    private Integer delState;


}
