package com.energy.manage.common.po.datatransfer;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Builder;

import javax.persistence.Table;
import java.util.Date;

/**
 * 数据转换历史表
 * @author chy
 * @date 2024/5/20 14:21
 * @desc
 */

@Table(name = "data_transfer_history")
@Data
public class DataTransferHistoryPo {

    /**
     *  主键
     */
    private Long id ;

    /**
     * 批次编号
     */
    private String batchCode ;


    /**
     * 转换类型
     */
    private String transferType ;

    /**
     * 机组数量
     */
    private Integer engineCount ;

    /**
     * 转换地址
     */
    private String transferAddr ;


    /**
     * 异常信息
     */
    private String errInfo ;

    /**
     * 转换异常时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date transferFinishTime ;

    /**
     * 转换操作人
     */
    private Integer optionBy ;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime ;
}
