package com.energy.manage.common.po.system;

import com.energy.manage.common.base.NewBaseDomain;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;


/**
 * 资源表
 *
 * @author sy
 * @date 2021-10-18 13:10:52
 */
@Table(name = "sys_permission")
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysPermissionPO {

    /**
     * 资源表主键id
     */
    @ApiModelProperty("资源表主键id")
    private Integer permissionId;

    /**
     * 资源名称
     */
    @ApiModelProperty("资源名称")
    private String permissionName;

    /**
     * 资源父id
     */
    @ApiModelProperty("资源父id")
    private Integer parentId;

    /**
     * 资源code
     */
    @ApiModelProperty("资源code")
    private String permissionCode;

    /**
     * 资源类型(1 位菜单 2 为功能)
     */
    @ApiModelProperty("资源类型(1 位菜单 2 为功能)")
    private Integer permissionType;

    /**
     * 资源url
     */
    @ApiModelProperty("资源url")
    private String permissionUrl;

    /**
     * 资源状态 0 不可用 1是正常
     */
    @ApiModelProperty("源状态 0 不可用 1是正常")
    private Integer permissionState;

    /**
     * 顺序
     */
    @ApiModelProperty("顺序")
    private Integer permissionSort;

    /**
     * 图标icon Url
     */
    @ApiModelProperty("图标icon Url")
    private String permissionIconUrl;

    /**
     * 所有父id集合
     */
    @ApiModelProperty("所有父id集合")
    private Integer permissionDepth;

    @ApiModelProperty("是否显示1-显示，2-不显示")
    private Integer permissionShow;
}
