package com.energy.manage.common.po.units;

import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;

/**
 * 部件字典表
 */
@Data
@Table(name = "unit_dict_constants")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UnitDictConstantsPO extends NewBaseDomain {

    // 父级ID
    private Long parentId;

    /**
     * 部件类型（字典表）：1..轴承2.润滑油3.冷却方式
     */
    private Integer contentsDictKey;
    // 常量名称
    private String contentsName;

    // 常量值
    private Integer contentsValue;

    /**
     * 部件模块编号1.主轴2.齿轮箱3.发电机
     */
    private Integer unitModule;
    /**
     * 关联功能（0.普通字典模式1.品牌型号)
     */
    private Integer associatedFunctionType;

    // 常量类型编号
    private String contentsType;

    // 常量描述
    private String contentsDescribe;

    // 删除状态
    private Integer delState;

}
