package com.energy.manage.common.po.units;


import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;

/**
 * 发电机
 */
@Data
@Table(name = "unit_dynamo")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UnitDynamoPO extends NewBaseDomain {

    /**
     * 发电机部件编号
     */
    private String code;
    /**
     * 机型编号
     */
    private String millTypeCode;
    /**
     * 极对数
     */
    private Integer polePairs;
    /**
     * 冷却方式
     */
    private Integer coolingMethod;
    /**
     * 润滑油品牌
     */
    private String lubricantBrand;
    /**
     * 润滑油型号
     */
    private String lubricantModel;
    /**
     * 驱动端轴承品牌
     */
    private String driveEndBearingBrand;
    /**
     * 驱动端轴承型号
     */
    private String driveEndBearingModel;
    /**
     * 非驱动端轴承品牌
     */
    private String nonDriveEndBearingBrand;
    /**
     * 非驱动端轴承型号
     */
    private String nonDriveEndBearingModel;
    /**
     * 删除状态
     */
    private Integer delState;

}
