package com.energy.manage.common.po.units;


import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;

/**
 * 齿轮箱结构表
 */
@Data
@Table(name = "unit_gearbox_structure")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class UnitGearboxStructurePO extends NewBaseDomain {


    /**
     * 齿轮箱总表编号
     */
    private String gearboxCode;
    /**
     * 齿轮箱结构类型;1.行星轮2.平行轮
     */
    private Integer gearboxStructure;
    /**
     * 齿轮箱结构等级;sort_num1,2......
     */
    private Integer planetaryGearGrade;
    /**
     * 大齿轮齿数
     */
    private String largeGearTeethCount;
    /**
     * 小齿轮齿数
     */
    private String smallGearTeethCount;
    /**
     * 轴承品牌
     */
    private String bearingBrand;
    /**
     * 轴承型号
     */
    private String bearingModel;
    /**
     * 齿圈齿数
     */
    private String gearRingTeethCount;
    /**
     * 太阳轮齿数
     */
    private String sunWheelTeethCount;
    /**
     * 行星轮个数
     */
    private String planetWheelCount;
    /**
     * 行星轮齿数
     */
    private String planetWheelTeethCount;
    /**
     * 太阳轮轴承品牌
     */
    private String sunWheelBearingBrand;
    /**
     * 太阳轮轴承型号
     */
    private String sunWheelBearingModel;

}
