package com.energy.manage.common.po.wavedatatransfer;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.persistence.Table;
import java.util.Date;

@Table(name = "wave_data_transfer")
@Data
@Accessors(chain = true)
public class WaveDataTransferPo {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 风场编号
     */
    @ApiModelProperty("风场名称")
    private String fieldCode;

    /**
     * 转换地址
     */
    @ApiModelProperty("转换地址")
    private String transferAddr;

    /**
     * 转换状态 -1：未转换（默认状态）0：转换中 1转换完成 2：转换异常
     */
    @ApiModelProperty("转换地址")
    private Integer transferStatus;

    /**
     * 错误编码
     */
    private String errCode;

    /**
     * 错误信息
     */
    private String errInfo;

    /**
     * 转换开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date transferStartTime;

    /**
     * 转换结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date transferFinishTime;

    /**
     * 转换进度
     */
    private Integer transferProgress;

    /**
     * 创建人
     */
    private Integer createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新人
     */
    private Integer updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date updateTime;

    /**
     * 转换类型 0：振动 1：激光
     */
    private Integer transferType;

}
