package com.energy.manage.common.po.windenginegroup;

import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.GeneratedValue;
import javax.persistence.Table;

@Data
@Table(name = "wind_engine_group")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class WindEngineGroupPO extends NewBaseDomain {

    /**
     * 风场编号
     */
    private String fieldCode;
    /**
     * 风机名称
     */
    private String engineName;
    /**
     * 风机编号
     */
    private String engineCode;
    /**
     * 机型编号uuid
     */
    private String millTypeCode;
    /**
     * 额定容量
     */
    private Double ratedCapacity;
    /**
     * 海拔高度
     */
    private Double elevationHeight;
    /**
     * 轮毂高度
     */
    private Double hubHeight;
    /**
     * 经度
     */
    private Double longitude;
    /**
     * 维度
     */
    private Double latitude;
    /**
     * 状态
     */
    private Integer state;
    /**
     * 是否标杆风机 1是2否
     */
    private Integer sightcing;
    /**
     * 额定风速 （m/s）
     */
    private Double rated_wind_speed;
    /**
     * 切入风速 （m/s）
     */
    private Double ratedCutInWindspeed;
    /**
     * 切出风速 （m/s）
     */
    private Double ratedCutOutWindspeed;
    /**
     * 删除状态
     */
    private Integer delState;


    /**
     * 数据来源1，平台输入，2导入
     */
    private Integer dataSource;

}
