package com.energy.manage.common.po.windenginemill;


import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;
import java.util.Date;

@Data
@Table(name = "wind_engine_mill")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class WindEngineMillPO {

    /**
     * 编号
     */
    private String millTypeCode;
    /**
     * 机型型号
     */
    private String machineTypeCode;
    /**
     * 厂商名称
     */
    private String manufacturerName;
    /**
     * 厂商编号
     */
    private String manufacturerCode;
    /**
     * 品牌名称
     */
    private String brand;
    /**
     * 状态
     */
    private Integer state;
    /**
     * 塔筒高度
     */
    private Double towerHeight;
    /**
     * 叶片长度
     */
    private Double vaneLong;

    /**
     * 驱动类型
     */
    private Integer curvedMotionType;
    /**
     * 删除状态
     */
    private Integer delState;

    /**
     * 组合字段
     */
    private String combination;

    /**
     * 标注功率曲线地址
     */
    private String powerCriterionUrl;

    /**
     * 叶轮直径（m）
     */
    private Double rotorDiameter;

    /**
     * 传动比-转速比（无单位）
     */
    private Double rotationalSpeedRatio;
    /**
     * 额定风速 （m/s）
     */
    private Double ratedWindSpeed;
    /**
     * 切入风速 （m/s）
     */
    private Double ratedCutInWindspeed;
    /**
     * 切出风速 （m/s）
     */
    private Double ratedCutOutWindspeed;

    /**
     * 创建人
     */
    private Integer createBy;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新人
     */
    private Integer updateBy;
    /**
     * 更新时间
     */
    private Date updateTime;


}
