package com.energy.manage.common.po.windfield;

import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.GeneratedValue;
import javax.persistence.Table;
import java.math.BigDecimal;

/**
 * 风场信息
 */
@Data
@Table(name = "wind_field")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class WindFieldPO extends NewBaseDomain {

    /**
     * 企业编号
     */
    private String companyCode;
    /**
     * 风场编号
     */
    private String fieldCode;
    /**
     * 风场名称
     */
    private String fieldName;
    /**
     * 空气密度 - 合同功率曲线
     */
    private Double density;

    /**
     * 风机数量
     */
    private Integer engineNumber;

    /**
     * 总额定容量
     */
    private Double ratedCapacityNumber;

    /**
     * 启用状态
     */
    private Integer state;
    /**
     * 省编号
     */
    private Integer provinceId;
    /**
     * 省名字
     */
    private String provinceName;
    /**
     * 市编号
     */
    private Integer cityId;
    /**
     * 市名字
     */
    private String cityName;
    /**
     * 经度
     */
    private Double longitude;
    /**
     * 纬度
     */
    private Double latitude;
    /**
     * 海拔高度
     */
    private Double elevationHeight;
    /**
     * 删除状态
     */
    private Integer delState;

    /**
     * 合同功率曲线地址
     */
    private String powerContractUrl;

    /**
     * 数据来源1，平台输入，2导入
     */
    private Integer dataSource;


}

