package com.energy.manage.service.client.skf;

import com.alibaba.fastjson.JSONObject;
import com.dtflys.forest.annotation.*;
import com.energy.manage.service.constant.client.skf.SkfClientConstants;
import com.energy.manage.service.domain.client.skf.AutoTokenVO;
import com.energy.manage.service.domain.client.skf.DynamicMeasurementsVo;
import com.energy.manage.service.domain.client.skf.HierarchyListVo;

import java.util.List;

public interface DynamicMeasurementsClient {


    /**
     * 获取skf DynamicMeasurementsClient
     *
     * @return
     */
    @Get(
            url = SkfClientConstants.SKF_REQUEST_PATH + SkfClientConstants.SKF_DM_PATH + "{1}/dynamicMeasurements"
    )
    List<DynamicMeasurementsVo> getSkfDynamicMeasurements(@Header("Authorization") String authorization, Integer pointId,
                                                          @Query("fromDateUTC")String fromDateUTC, @Query("toDateUTC")String toDateUTC,
                                                          @Query("includeMeasurements")Integer includeMeasurements, @Query("numReadings")Integer numReadings);


    @Get(
            url = SkfClientConstants.SKF_REQUEST_PATH + SkfClientConstants.SKF_HIERARCHY
    )
    List<HierarchyListVo> getSkfHierarchy(@Header("Authorization") String authorization);




}
