package com.energy.manage.service.domain.dto.anemometertower;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 添加测风塔
 */
@Getter
@Setter
@ApiModel
public class AnemometerTowerCreateDto {

    /**
     * 测风塔名称
     */
    @NotNull(message = "测风塔名称不能为null")
    @ApiModelProperty("测风塔名称")
    private String anemometerName;
    /**
     * 经度
     */
    @ApiModelProperty("经度")
    private Double longitude;
    /**
     * 纬度
     */
    @ApiModelProperty("纬度")
    private Double latitude;

    @ApiModelProperty(value = "创建人")
    private Integer createBy;

    @ApiModelProperty("测风塔高度集合")
    private List<AnemometerTowerHeightListDto> anemometerTowerHeightDtoList;


    @Getter
    @Setter
    @ApiModel
    public static class AnemometerTowerHeightListDto {

        /**
         * 测风塔高度
         */
        @ApiModelProperty("测风塔高度")
        private Double anemometerHeight;


    }


}
