package com.energy.manage.service.domain.dto.company;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@Setter
@ApiModel("风场企业信息")
public class WindCompanyDto {

    /**
     * 企业名称
     */
    @NotNull(message = "企业名称不能为空")
    @ApiModelProperty("企业名称")
    private String companyName;
    /**
     * 省
     */
    @ApiModelProperty("省")
    private Integer provinceId;

    /**
     * 省名字
     */
    @ApiModelProperty("省名字")
    private String provinceName;

    /**
     * 市
     */
    @ApiModelProperty("市")
    private Integer cityId;

    /**
     * 市名字
     */
    @ApiModelProperty("市名字")
    private String cityName;
    /**
     * 企业描述
     */
    @ApiModelProperty("企业描述")
    private String described;

    /**
     * 资源父id （父编号0，子编号为上级编号）
     */
    @NotNull(message = "父编号不能为空")
    @ApiModelProperty("资源父id （父编号0，子编号为上级编号）")
    private String parentCode;

    @ApiModelProperty(value = "创建人")
    private Integer createBy;

}
