package com.energy.manage.service.domain.dto.units;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@Setter
@ApiModel("风机部件字典创建参数")
public class UnitDictConstantsDto {

    // 父级ID,当创建字典时传0 , 当创建属性值时传对应父节点对应id
    @ApiModelProperty("父级ID,当创建字典时传0 , 当创建属性值时传对应父节点对应id")
    @NotNull(message = "部件字典层级不能为空")
    private Long parentId;

    /**
     * 部件类型（字典表）：1..轴承2.润滑油3.冷却方式
     */
    @ApiModelProperty(" 部件类型（字典表）：1.轴承2.润滑油3.冷却方式")
    @NotNull(message = "部件类型不能为空")
    private Integer contentsDictKey;

    // 字典名称/属性名称
    @ApiModelProperty("字典名称/属性名称")
    @NotNull(message = "字典名称/属性名称不能为空")
    private String contentsName;

    // 字典或属性对应值
    private Integer contentsValue;

    // 字典/属性类型编号
    private String contentsType;

    /**
     * 部件模块编号1.主轴2.齿轮箱3.发电机
     */
    @ApiModelProperty("部件模块编号1.主轴2.齿轮箱3.发电机")
    @NotNull(message = "部件模块不能为空")
    private Integer unitModule;

    /**
     * 关联功能（0.普通字典模式1.品牌型号)
     */
    @ApiModelProperty("关联功能")
    private Integer associatedFunctionType = 0;

    // 描述
    private String contentsDescribe;

    @ApiModelProperty(value = "创建人")
    private Integer createBy;

    @ApiModelProperty(value = "修改人")
    private Integer updateBy;


}
