package com.energy.manage.service.domain.dto.windenginemill;

import com.energy.manage.common.po.windenginemill.WindEngineMillPO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@Setter
@ApiModel
public class WindEngineMillCreateDto {

    /**
     * 编号
     */
    @ApiModelProperty("编号")
    private String millTypeCode;
    /**
     * 机型型号
     */
    @ApiModelProperty("机型型号")
    @NotNull(message = "机型型号不能为null")
    private String machineTypeCode;
    /**
     * 厂商名称
     */
    @ApiModelProperty("厂商名称")
    @NotNull(message = "厂商名称不能为null")
    private String manufacturerName;
    /**
     * 厂商编号
     */
    @ApiModelProperty("厂商编号")
    private String manufacturerCode;
    /**
     * 品牌名称
     */
    @ApiModelProperty("品牌名称")
    @NotNull(message = "品牌名称不能为null")
    private String brand;
    /**
     * 塔筒高度
     */
    @ApiModelProperty("塔筒高度")
    private Double towerHeight;
    /**
     * 叶片长度
     */
    @ApiModelProperty("叶片长度")
    private Double vaneLong;

    @ApiModelProperty("驱动类型")
    private Integer curvedMotionType;

    /**
     * 叶轮直径（m）
     */
    @ApiModelProperty("叶轮直径（m）")
    private Double rotorDiameter;

    /**
     *传动比-转速比（无单位）
     */
    @ApiModelProperty("传动比-转速比（无单位）")
    private Double rotationalSpeedRatio;

    @ApiModelProperty(value = "创建人")
    private Integer createBy;

    /**
     * 额定风速 （m/s）
     */
    @ApiModelProperty("额定风速")
    private Double ratedWindSpeed;
    /**
     * 切入风速 （m/s）
     */
    @ApiModelProperty("切入风速")
    private Double ratedCutInWindspeed;
    /**
     * 切出风速 （m/s）
     */
    @ApiModelProperty("切出风速")
    private Double ratedCutOutWindspeed;

}
