package com.energy.manage.service.domain.dto.windfield;

import com.energy.manage.common.po.anemometertower.AnemometerTowerHeightPO;
import com.energy.manage.service.domain.dto.anemometertower.AnemometerTowerHeightDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 风场code参数
 */
@Getter
@Setter
@ApiModel
public class WindFieldDto {

    /**
     * 企业编号
     */
    @NotNull(message = "企业编号不能为空")
    @ApiModelProperty("企业编号")
    private String companyCode;
    /**
     * 风场编号
     */
    @ApiModelProperty("风场编号")
    private String fieldCode;
    /**
     * 风场名称
     */
    @NotNull(message = "风场名称不能为空")
    @ApiModelProperty("风场名称")
    private String fieldName;
    /**
     * 空气密度 - 合同
     */
    @ApiModelProperty("空气密度 - 合同")
    private Double density;

    /**
     * 总额定容量
     */
    @ApiModelProperty("总额定容量")
    private Double ratedCapacityNumber;

    /**
     * 启用状态
     */
    @ApiModelProperty("启用状态")
    private Integer state;
    /**
     * 省编号
     */
    @ApiModelProperty("省编号")
    @NotNull(message = "省编号不能为空")
    private Integer provinceId;
    /**
     * 省名字
     */
    @ApiModelProperty("省名字")
    @NotNull(message = "省名字不能为空")
    private String provinceName;
    /**
     * 市编号
     */
    @ApiModelProperty("市编号")
    @NotNull(message = "市编号不能为空")
    private Integer cityId;
    /**
     * 市名字
     */
    @ApiModelProperty("市名字")
    @NotNull(message = "市名字不能为空")
    private String cityName;

    /**
     * 区号
     */
    @ApiModelProperty("区号")
    @NotNull(message = "区号不能为空")
    private String areaCode;
    /**
     * 经度
     */
    @ApiModelProperty("经度")
    private Double longitude;
    /**
     * 纬度
     */
    @ApiModelProperty("纬度")
    private Double latitude;
    /**
     * 海拔高度
     */
    @ApiModelProperty("海拔高度")
    private Double elevationHeight;


    /**
     * 测风塔
     */
    @ApiModelProperty("测风塔")
    private List<AnemometerTowerRelationDto> anemometerTowerRelationDtos;


    @ApiModelProperty(value = "创建人")
    private Integer createBy;


    @Setter
    @Getter
    @ApiModel
    public static class AnemometerTowerRelationDto{

        /**
         * 测风塔编号
         */
        @ApiModelProperty("测风塔编号")
        private String towerCode;

    }





}
