package com.energy.manage.service.domain.dto.windfield;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@Getter
@Setter
@ApiModel("创建风场资源参数")
public class WindFieldResourceCreateDto {


    /**
     * 风场编号
     */
    @ApiModelProperty("风场编号")
    @NotNull(message = "风场编号不能为null")
    private String fieldCode;
    /**
     * 上传文件名称
     */
    @ApiModelProperty("上传文件名称")
    @NotNull(message = "上传文件名称不能为null")
    private String fileName;
    /**
     * 上传类型
     */
    @ApiModelProperty("上传类型")
    @NotNull(message = "上传类型不能为null")
    private String type;
    /**
     * 上传文件地址
     */
    @ApiModelProperty("上传文件地址")
    @NotNull(message = "上传文件地址不能为null")
    private String resourceUrl;

    @ApiModelProperty(value = "创建人")
    private Integer createBy;


}
