package com.energy.manage.service.domain.dto.windfieldbatch;

import com.energy.manage.service.domain.dto.BaseDto;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author chy
 * @date 2024/5/21 12:49
 * @desc
 */
@Data
@Accessors(chain = true)
public class WindFieldBatchDto {

    /**
     * 风场名称
     */
    private String fieldName;

    /**
     * 风场编号
     */
    private String fieldCode;

    /**
     * 批次名称
     */
    private String batchName;

    /**
     * 批次编号
     */
    private String batchCode;

    /**
     * 批次状态 1：启用 0：停用
     */
    private Integer batchState;

    /**
     * 删除状态 0：未删除 1：删除
     */
    private Integer isDelete;

    /**
     * 登录用角色id （由代码设置，前端不用传）
     */
    private Integer roleId;

    /**
     * 创建人id
     */
    private Integer createBy;

    /**
     * 更新人id
     */
    private Integer updateBy;

    /**
     * 创建开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startTime;

    /**
     * 创建结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endTime;
}
