package com.energy.manage.service.domain.vo.anemometertower;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * 查询测风塔高度
 */
@Getter
@Setter
@ApiModel
public class AnemometerTowerHeightVo {

    @ApiModelProperty("测风塔高度")
    private List<AnemometerTowerHeightList> list;


    @Getter
    @Setter
    public static class AnemometerTowerHeightList {

        /**
         * 测风塔编号
         */
        @ApiModelProperty("测风塔编号")
        private String anemometerCode;

        /**
         * 测风塔高度
         */
        @ApiModelProperty("测风塔高度")
        private Double anemometerHeight;

        /**
         * 高度类型
         */
        @ApiModelProperty("高度类型")
        private String anemometerType;

        /**
         * 创建时间
         */
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone = "GMT+8")
        @ApiModelProperty(value = "时间")
        private Date caretaTime;


    }


}
