package com.energy.manage.service.domain.vo.datatransfer;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 数据转换结果展示
 * @author chy
 * @date 2024/5/21 18:09
 * @desc
 */
@Data
public class DataTransferVo {

    /**
     * 风场编号
     */
    private String fieldCode;

    /**
     * 风场名称
     */
    private String fieldName;

    /**
     * 批次编号
     */
    private String batchCode;

    /**
     * 批次名称
     */
    private String batchName;

    /**
     * 风机数量
     */
    private Integer engineCount;

    /**
     * 转换状态 -1：初始化状态 0-转换中 1-转换成功 2-转换失败
     */
    private Integer transferState;

    /**
     * 异常信息
     */
    private String errInfo;

    /**
     * 转换完成时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date transferFinishTime;

    /**
     * 转换类型
     */
    private String transferType;

    /**
     * 转换类型名称
     */
    private String transferTypeName;

    /**
     * 转换文件地址
     */
    private String transferAddr;

    /**
     * 时间粒度
     */
    private Integer timeGranularity;

    /**
     * 时间粒度名称
     */
    private String timeGranularityName;

    /**
     * 下载地址
     */
    private String downloadUrl;

    /**
     * 时间进度
     */
    private BigDecimal transferProgress;

    /**
     * 唯一字符串，无任何意义，只为前端遍历
     */
    private String uniqueCode;


}
