package com.energy.manage.service.domain.vo.system;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class SystemPermissionVo {

    @ApiModelProperty(value = "权限id")
    private Integer permissionId;

    @ApiModelProperty(value = "权限名称")
    private String permissionName;

    @ApiModelProperty(value = "父节点id")
    private Integer parentId;

    @ApiModelProperty(value = "资源类型(1 为目录 2 为菜单 3为按钮)")
    private Integer permissionType;

    @ApiModelProperty(value = "是否是外部链接(0 否 1是)")
    private Integer isExternalLink;

    @ApiModelProperty(value = "外部链接url")
    private String externalUrl;

    @ApiModelProperty(value = "路由地址")
    private String permissionUrl;

    @ApiModelProperty(value = "权限标识")
    private String permissionIdentify;

    @ApiModelProperty(value = "组件路径")
    private String componentPath;

    @ApiModelProperty(value = "资源状态 0 不可用 1是正常")
    private Integer permissionState;

    @ApiModelProperty(value = "是否隐藏 0 不隐藏 1隐藏")
    private Integer isHidden;

    @ApiModelProperty(value = "顺序")
    private Integer permissionSort;

    @ApiModelProperty(value = "图标icon Url")
    private String permissionIconUrl;

    @ApiModelProperty(value = "1 选中  0 未选中  2 部分选中")
    private Integer checked = 0;

    @ApiModelProperty(value = "子节点")
    private List<SystemPermissionVo> children;

    private Integer permissionDepth;

    @ApiModelProperty("是否显示1-显示，2-不显示")
    private Integer permissionShow;

    private String permissionCode;

}
