package com.energy.manage.service.domain.vo.units;

import com.energy.manage.service.domain.dto.BaseDto;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 分页查询
 */
@Getter
@Setter
@ApiModel("风机部件字典分页查询")
public class UnitDictConstantsVo {

    // 主键id
    @ApiModelProperty("主键id")
    private Integer id;

    // 父级ID,当创建字典时传0 , 当创建属性值时传对应父节点对应id
    @ApiModelProperty("父级ID,当创建字典时传0 , 当创建属性值时传对应父节点对应id")
    private Long parentId;

    /**
     * 部件类型（字典表）：1..轴承2.润滑油3.冷却方式
     */
    @ApiModelProperty(" 部件类型（字典表）：1.轴承2.润滑油3.冷却方式")
    @NotNull(message = "部件类型不能为空")
    private Integer contentsDictKey;

    // 字典名称/属性名称
    @ApiModelProperty("字典名称/属性名称")
    private String contentsName;

    // 字典或属性对应值
    @ApiModelProperty("字典或属性对应值")
    private Integer contentsValue;

    // 字典/属性类型编号
    @ApiModelProperty("字典/属性类型编号")
    private String contentsType;

    /**
     * 部件模块编号1.主轴2.齿轮箱3.发电机
     */
    @ApiModelProperty("部件模块编号")
    private Integer unitModule;

    @ApiModelProperty("部件模块名称")
    private String unitModuleName;

    /**
     * 关联功能（0.普通字典模式1.品牌型号)
     */
    @ApiModelProperty("关联功能")
    private Integer associatedFunctionType;

    @ApiModelProperty("关联功能名称")
    private String associatedFunctionTypeName;

    // 描述
    private String contentsDescribe;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date createTime;


    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date updateTime;






}
