package com.energy.manage.service.domain.vo.wavedatatransfer;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author chy
 * @date 2024/11/7 16:16
 * @desc
 */
@Data
@Accessors(chain = true)
public class WaveDataTransferVo {

    private Long id;

    /**
     * 风场编号
     */
    private String fieldCode;

    /**
     * 风场名称
     */
    private String fieldName;

    /**
     * 转换地址
     */
    private String transferAddr;

    /**
     * 转换状态 -1：未转换（默认状态）0：转换中 1转换完成 2：转换异常
     */
    private Integer transferStatus;

    /**
     * 错误编码
     */
    private String errCode;

    /**
     * 错误信息
     */
    private String errInfo;

    /**
     * 转换开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date transferStartTime;

    /**
     * 转换结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date transferFinishTime;

    /**
     * 转换进度
     */
    private Integer transferProgress;

    /**
     * 创建人
     */
    private Integer createBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date createTime;

    /**
     * 更新人
     */
    private Integer updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private Date updateTime;
}
