package com.energy.manage.service.domain.vo.windenginegroup;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

/**
 * 风机对象
 */
@Getter
@Setter
@ApiModel
public class WindEngineGroupVo {

    /**
     * 风场编号
     */
    @ApiModelProperty("风场编号")
    private String fieldCode;
    /**
     * 风机编号
     */
    @ApiModelProperty("风机编号")
    private String engineCode;
    /**
     * 风机名称
     */
    @ApiModelProperty("风机名称")
    private String engineName;
    /**
     * 机型编号
     */
    @ApiModelProperty("机型编号")
    private String millTypeCode;
    /**
     * 额定容量
     */
    @ApiModelProperty("额定容量")
    private Double ratedCapacity;
    /**
     * 海拔高度
     */
    @ApiModelProperty("海拔高度")
    private Double elevationHeight;
    /**
     * 轮毂高度
     */
    @ApiModelProperty("轮毂高度")
    private Double hubHeight;
    /**
     * 经度
     */
    @ApiModelProperty("经度")
    private Double longitude;
    /**
     * 维度
     */
    @ApiModelProperty("维度")
    private Double latitude;
    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer state;
    /**
     * 是否标杆风机
     */
    @ApiModelProperty("是否标杆风机")
    private Integer sightcing;

    /**
     * 额定风速 （m/s）
     */
    @ApiModelProperty("额定风速")
    private Double rated_wind_speed;
    /**
     * 切入风速 （m/s）
     */
    @ApiModelProperty("切入风速")
    private Double ratedCutInWindspeed;
    /**
     * 切出风速 （m/s）
     */
    @ApiModelProperty("切出风速")
    private Double ratedCutOutWindspeed;

    @ApiModelProperty("经纬度拼接")
    private String longitudeAndLatitudeString;

    @ApiModelProperty("异常状态-电子地图显示使用,true 有异常，false无异常")
    private boolean errorState = false;

}
