package com.energy.manage.service.domain.vo.windenginemill;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 导入参数
 */
@Getter
@Setter
@ApiModel
public class WindEngineMillPageVo {

    /**
     * 编号
     */
    @ApiModelProperty(value = "编号")
    private String millTypeCode;
    /**
     * 机型型号
     */
    @ApiModelProperty(value = "机型型号")
    private String machineTypeCode;
    /**
     * 厂商名称
     */
    @ApiModelProperty(value = "厂商名称")
    private String manufacturerName;
    /**
     * 厂商编号
     */
    @ApiModelProperty(value = "厂商编号")
    private String manufacturerCode;
    /**
     * 品牌名称
     */
    @ApiModelProperty(value = "品牌名称")
    private String brand;
    /**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    private Integer state;
    /**
     * 塔筒高度
     */
    @ApiModelProperty(value = "塔筒高度")
    private Double towerHeight;
    /**
     * 叶片长度
     */
    @ApiModelProperty(value = "叶片长度")
    private Double vaneLong;

    /**
     * 驱动类型
     */
    @ApiModelProperty(value = "驱动类型")
    private Integer curvedMotionType;


    /**
     * 组合字段
     */
    @ApiModelProperty(value = "组合字段")
    private String combination;

    /**
     * 标注功率曲线地址
     */
    @ApiModelProperty(value = "标注功率曲线地址")
    private String powerCriterionUrl;

    

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    private Date createTime;

    /**
     * 叶轮直径（m）
     */
    @ApiModelProperty("叶轮直径（m）")
    private Double rotorDiameter;

    /**
     *传动比-转速比（无单位）
     */
    @ApiModelProperty("传动比-转速比（无单位）")
    private Double rotationalSpeedRatio;

    /**
     * 额定风速 （m/s）
     */
    private Double ratedWindSpeed;
    /**
     * 切入风速 （m/s）
     */
    private Double ratedCutInWindspeed;
    /**
     * 切出风速 （m/s）
     */
    private Double ratedCutOutWindspeed;

}
