package com.energy.manage.service.domain.vo.windfield;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 导入参数
 */
@Getter
@Setter
@ApiModel
public class WindFieldPageVo {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    private Integer id;

    /**
     * 企业编号
     */
    @ApiModelProperty("企业编号")
    private String companyCode;

    @ApiModelProperty("企业名称")
    private String windCompany;

    /**
     * 风场编号
     */
    @ApiModelProperty("风场编号")
    private String fieldCode;
    /**
     * 风场名称
     */
    @ApiModelProperty("风场名称")
    private String fieldName;
    /**
     * 空气密度
     */
    @ApiModelProperty("空气密度")
    private Double density;
    /**
     * 启用状态
     */
    @ApiModelProperty("启用状态")
    private Integer state;
    /**
     * 省编号
     */
    @ApiModelProperty("省编号")
    private Integer provinceId;
    /**
     * 省名字
     */
    @ApiModelProperty("省名字")
    private String provinceName;
    /**
     * 市编号
     */
    @ApiModelProperty("市编号")
    private Integer cityId;
    /**
     * 市名字
     */
    @ApiModelProperty("市名字")
    private String cityName;
    /**
     * 经度
     */
    @ApiModelProperty("经度")
    private Double longitude;
    /**
     * 纬度
     */
    @ApiModelProperty("纬度")
    private Double latitude;

    /**
     * 总额定容量
     */
    @ApiModelProperty("总额定容量")
    private Double ratedCapacityNumber;


    /**
     * 海拔高度
     */
    @ApiModelProperty("海拔高度")
    private Double elevationHeight;

    /**
     * 机组数量
     */
    @ApiModelProperty("机组数量")
    private Integer wegNumber = 0;

    /**
     * 测风塔数量
     */
    @ApiModelProperty("测风塔数量")
    private Integer atrNumber = 0;

    @ApiModelProperty("合同功率文件数量")
    private Integer contractNumber = 0;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone = "GMT+8")
    private Date createTime;

}
