package com.energy.manage.service.mappers.analysis;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.analysis.AnalysisCommentDescriptionPo;
import com.energy.manage.service.domain.vo.analysis.AnalysisCommentDescriptionVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author chy
 * @date 2024/5/23 13:04
 * @desc
 */
@Repository
public interface AnalysisCommentDescriptionMapper extends MyMapper<AnalysisCommentDescriptionPo> {


    /**
     * 根据条件查询评论数（批次 + 分析类型 + 文本类型编号）
     * @param batchCode
     * @param analysisTypeCode
     * @param commentTypeCode
     * @return
     */
   int selectCountByAllCode(@Param("batchCode") String batchCode,@Param("analysisTypeCode") String analysisTypeCode,@Param("commentTypeCode") String commentTypeCode);


    /**
     * 根据条件查询评论数（批次 + 分析类型）
     * @param batchCode
     * @param analysisTypeCode
     * @return
     */
    List<AnalysisCommentDescriptionVo> selecByBatchCodeAndAnalysisTypeCode(@Param("batchCode") String batchCode, @Param("analysisTypeCode") String analysisTypeCode);

    /**
     *  新增
     * @param commentDescriptionPo
     * @return
     */
   int insertPoSelective(AnalysisCommentDescriptionPo commentDescriptionPo);

    /**
     * 更新
     * @param commentDescriptionPo
     * @return
     */
   int updatePoSelective(AnalysisCommentDescriptionPo commentDescriptionPo);


}
