package com.energy.manage.service.mappers.analysis;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.analysis.AnalysisTypePo;
import com.energy.manage.service.domain.vo.analysis.AnalysisTypeVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author chy
 * @date 2024/5/23 13:03
 * @desc
 */
@Repository
public interface AnalysisTypeMapper extends MyMapper <AnalysisTypePo>{

    /**
     * 查询所有的分析类型
     * @return
     */
    List<AnalysisTypeVo> selectAllVo();

    /**
     * 根据类型编号查询所有的分析类型
     * @param typeCode
     * @return
     */
    List<AnalysisTypeVo> selectByTypeCode(@Param("typeCode") String typeCode);

    /**
     * 根据code 查询flag
     * @param typeCodes
     * @return
     */
    List<String> selecFlagtByCode(@Param("typeCodes") List<String> typeCodes);
}
