package com.energy.manage.service.mappers.system;


import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.system.SysRolePO;
import com.energy.manage.common.po.system.SysUserInfoPO;
import com.energy.manage.service.domain.vo.system.UserRoleVo;
import com.energy.manage.service.domain.vo.system.UserVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 后台用户表
 *
 * @author sy
 * @date 2021-10-18 13:32:05
 */
@Repository
public interface SysUserInfoMapper extends MyMapper<SysUserInfoPO> {

    List<UserRoleVo> getUserByName(@Param("userName") String userName,
                                   @Param("roleId") Integer roleId);

    UserRoleVo getUserById(@Param("userId") Integer userId);

    SysRolePO getOldRoleByUserId(@Param("userId") Integer userId);

    UserVo getUserInfoByUserId(@Param("userId") Integer userId);

    List<UserVo> quertNonBoundTeacherUser(@Param("userName") String userName);
}
