package com.energy.manage.service.mappers.windfieldbatch;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.windfieldbatch.WindFieldBatchPo;
import com.energy.manage.service.domain.dto.windfieldbatch.WindFieldBatchDto;
import com.energy.manage.service.domain.dto.windfieldbatch.WindFileBatchPageDto;
import com.energy.manage.service.domain.vo.windfieldbatch.WindFieldBatchVo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author chy
 * @date 2024/5/21 10:55
 * @desc
 */
@Repository
public interface WindFieldBatchMapper extends MyMapper<WindFieldBatchPo>{

    /**
     * 新增
     * @param windEgineBatchDto
     */
    int addWindFieldBatch(WindFieldBatchDto windEgineBatchDto);

    /**
     * 更新/启用/删除
     * @param windFieldBatchDto
     */
    int updateWindFieldBatch(WindFieldBatchDto windFieldBatchDto);


    /**
     * 查询批次列表
     * @return
     */
    List<WindFieldBatchVo> selectWindFieldBatch(WindFileBatchPageDto windFieldBatchDto);

    /**
     * 根据批次号查询批次信息
     * @param batchNo
     * @return
     */
    WindFieldBatchVo selectByBatchCode(String batchNo);

    /**
     * 根据名称查询
     * @param batchName
     * @return
     */
    WindFieldBatchVo selectByBatchName(String batchName);

}
