package com.energy.manage.service.mappers.windrelation;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.windfield.WindFieldPO;
import com.energy.manage.common.po.windrelation.WindRelationPO;
import com.energy.manage.service.domain.vo.company.WindCompanyPageVo;
import com.energy.manage.service.domain.vo.windrelation.WindRelationVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 基础信息关系表
 */
@Repository
public interface WindRelationMapper extends MyMapper<WindRelationPO> {


    /**
     * 查询全部项目公司
     * @return
     */
    List<WindCompanyPageVo> selectWindRelationCompanyByType(@Param("type") String type,
                                                            @Param("state")Integer state,
                                                            @Param("companyName")String companyName,
                                                            @Param("roleId")Integer roleId,
                                                            @Param("userId")Integer userId);


    /**
     * 根据code查询信息
     * @param codeNumbers
     * @return
     */
    List<WindRelationPO> selectByCodeNumber(@Param("codeNumbers") List<String> codeNumbers);


}
