package com.energy.manage.service.property.analysis;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 算法属性值
 * @author chy
 * @date 2024/5/30 17:37
 * @desc
 */
@Data
@Component
@RefreshScope
public class AlgorithmProperties {

    /**
     * 算法地址
     */
    @Value("${analysis.url}")
    public String analysisUrl;

    /**
     * 传给分析算法json
     */
    @Value("${analysis.algorithm.json}")
    public String analysisAlgorithmJson;

    /**
     * 分析类型json
     */
    @Value("${analysis.type.json}")
    public String analysisTypeJson;

    /**
     * 图像设置参数属性
     */
    @Value("${graphSets.properties}")
    public List<String> graphSetsProperties;

    /**
     * scada 数据过滤属性
     */
    @Value("${customFilter.properties}")
    public List<String> customFilterProperties;

    /**
     * 分析类型属性
     */
    @Value("${analysis.properties.name}")
    public String configAnalysisProperties;

    /**
     * 功率因数
     */
    @Value("${power.factor.rated}")
    public String powerFactorRated;


    /**
     * 算法json中无子节点数组
     */
    @Value("${analysis.array.properties}")
    public List<String> analysisArrayProperties;

    /**
     * 分析文件内网地址
     */
    @Value("${analysis.file.intranet.addr}")
    public String analysisFileIntranetAddr;

    /**
     * 分析文件外网地址
     */
    @Value("${analysis.file.external.addr}")
    public String analysisFileExternalAddr;

    /**
     * 替换分析结果文件路径中的手动、自动片段
     *character
     */
    @Value("${analysis.file.replace.str}")
    public List<String> analysisFileReplaceStr;

}
