package com.energy.manage.service.service.analysiserr;

import com.energy.manage.common.reponse.ResultResp;
import com.energy.manage.service.domain.dto.analysis.AnalysisResultDto;
import com.energy.manage.service.domain.dto.windexceptioncount.WindExceptionCountDto;
import com.energy.manage.service.domain.vo.analysis.AnalysisErrorCodeVo;
import com.energy.manage.service.domain.vo.windexceptioncount.WindExceptionCountVo;
import com.energy.manage.service.domain.vo.windexceptioncount.WindExceptionDescVo;

import java.util.List;

/**
 * @author chy
 * @date 2024/5/23 17:25
 * @desc
 */
public interface AnalysisErrService {


    /**
     * 根据批次号查询异常信息
     * @param windExceptionCountDto
     * @return
     */
    List<WindExceptionCountVo> analysisErrQuery(WindExceptionCountDto windExceptionCountDto);

    /**
     * 异常描述添加
     * @param windExceptionCountDto
     * @return
     */
    ResultResp analysisErrAdd(WindExceptionCountDto windExceptionCountDto);


    /**
     * 异常描述编辑
     * @param windExceptionCountDto
     * @return
     */
    int analysisErrEdit(WindExceptionCountDto windExceptionCountDto);


    /**
     * 删除异常描述
     * @param windExceptionCountDto
     * @return
     */
    int analysisErrDel(WindExceptionCountDto windExceptionCountDto);

    /**
     *通过批次查询有异常的风机信息
     * @param batchCode
     * @return
     */
    List<AnalysisErrorCodeVo> AnalysisErrorCodeQuery(String batchCode);


    /**
     * 查询风机异常信息
     * @param batchCode
     * @param engineCode
     * @return
     */
    List<WindExceptionDescVo> queryErrDescByEngine(String batchCode, String engineCode);


}
