package com.energy.manage.service.service.windfieldbatch;

import com.energy.manage.service.domain.dto.windfieldbatch.WindFieldBatchDto;
import com.energy.manage.service.domain.dto.windfieldbatch.WindFileBatchPageDto;
import com.energy.manage.service.domain.vo.windfieldbatch.WindFieldBatchVo;

import java.util.List;

/**
 * 风场批次操作
 * @author chy
 * @date 2024/5/21 10:50
 * @desc
 */
public interface WindFieldBatchService {

    /**
     * 批次号新增
     * @param windEgineBatchDto
     */
    int addWindFieldBatch(WindFieldBatchDto windEgineBatchDto);

    /**
     * 批次更新
     * @param windEgineBatchDto
     */
    int updateWindFieldBatch(WindFieldBatchDto windEgineBatchDto);

    /**
     * 批次启用或停用
     * @param windEgineBatchDto
     */
    int onOrOffFieldBatch(WindFieldBatchDto windEgineBatchDto);

    /**
     * 批次号新增
     * @param windEgineBatchDto
     */
    int deleteWindFieldBatch(WindFieldBatchDto windEgineBatchDto);

    /**
     * 查询批次列表
     * @param windFieldBatchDto
     * @return
     */
    List<WindFieldBatchVo> queryWindFieldBatch(WindFileBatchPageDto windFieldBatchDto);

    /**
     * 生成风场名称
     * @param fieldName
     * @return
     */
    String createBatchName(String fieldName);

}
