package com.energy.manage.service.service.windrelation;

import com.energy.manage.service.domain.dto.windrelation.WindRelationDelDto;
import com.energy.manage.service.domain.dto.windrelation.WindRelationDto;
import com.energy.manage.service.domain.vo.company.WindCompanyPageVo;
import com.energy.manage.service.domain.vo.windrelation.WindRelationVo;

import java.util.List;
import java.util.Map;

/**
 * 关系表
 */
public interface WindRelationService {

    /**
     * 创建关系表数据
     *
     * @param windRelationDto
     * @return
     */
    boolean createWindRelation(WindRelationDto windRelationDto);


    /**
     * 批量
     * @param windRelationListDto
     * @return
     */
    boolean createWindRelationList(List<WindRelationDto> windRelationListDto);

    /**
     * 删除关系数据
     *
     * @param windRelationDelDto
     * @return
     */
    boolean delWindRelation(WindRelationDelDto windRelationDelDto);


    /**
     * 编辑关系数据
     * @param windRelationDto
     * @return
     */
    boolean updateWindRelationName(WindRelationDto windRelationDto);

    /**
     * 查询企业树
     *
     * @return
     */
    List<Map<String, Object>> getWindRelationCompany(Integer state,String companyName,Integer roleId,Integer userId);


    /**
     * 查询整体树列表
     *
     * @return
     */
    List<Map<String, Object>> getWindRelationTree();

    /**
     * 通过企业code查询下级单位
     * @param fieldCode
     * @return
     */
    int getCountParentCode(String fieldCode);

}
