/*
 Navicat Premium Data Transfer

 Source Server         : 127.0.0.1
 Source Server Type    : MySQL
 Source Server Version : 80036
 Source Host           : localhost:3306
 Source Schema         : energy

 Target Server Type    : MySQL
 Target Server Version : 80036
 File Encoding         : 65001

 Date: 30/04/2024 15:33:58
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for anemometer_tower
-- ----------------------------
DROP TABLE IF EXISTS `anemometer_tower`;
CREATE TABLE `anemometer_tower` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `anemometer_code` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '测风塔编号',
  `anemometer_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '测风塔名称',
  `longitude` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '经度',
  `latitude` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '纬度',
  `state` tinyint(1) DEFAULT NULL COMMENT '状态',
  `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
  `create_by` int DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='测风塔信息 ';

-- ----------------------------
-- Records of anemometer_tower
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for anemometer_tower_data
-- ----------------------------
DROP TABLE IF EXISTS `anemometer_tower_data`;
CREATE TABLE `anemometer_tower_data` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `tower_code` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '测风塔编号',
  `time` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '采集数据时间',
  `height_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '层高名称',
  `height_type` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '层高类型',
  `wind_speed` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '实测风速',
  `temperature` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '实测温度',
  `pressure` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '实测气压',
  `rainfall` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '实测雨量',
  `density` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '大气密度',
  `state` tinyint(1) DEFAULT NULL COMMENT '状态',
  `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
  `create_by` int DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='测风塔数据信息表 ';

-- ----------------------------
-- Records of anemometer_tower_data
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for anemometer_tower_height
-- ----------------------------
DROP TABLE IF EXISTS `anemometer_tower_height`;
CREATE TABLE `anemometer_tower_height` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `anemometer_code` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '测风塔编号',
  `anemometer_height` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '测风塔高度',
  `anemometer_type` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '高度类型',
  `create_by` int DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='测风塔层高信息表 ';

-- ----------------------------
-- Records of anemometer_tower_height
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for anemometer_tower_relation
-- ----------------------------
DROP TABLE IF EXISTS `anemometer_tower_relation`;
CREATE TABLE `anemometer_tower_relation` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `tower_code` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '测风塔编号',
  `field_code` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '风场编号',
  `create_by` int DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='测风塔与风场关系表 ';

-- ----------------------------
-- Records of anemometer_tower_relation
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for dict_constants
-- ----------------------------
DROP TABLE IF EXISTS `dict_constants`;
CREATE TABLE `dict_constants` (
  `id` int NOT NULL AUTO_INCREMENT,
  `contents_type` tinyint DEFAULT NULL COMMENT '常量类型',
  `contents_value` tinyint DEFAULT NULL COMMENT '常量值',
  `contents_name` varchar(255) DEFAULT NULL COMMENT '常量显示内容',
  `contents_describe` varchar(255) DEFAULT NULL COMMENT '描述信息',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=388 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='字典表';

-- ----------------------------
-- Records of dict_constants
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for power_word_relation_contract
-- ----------------------------
DROP TABLE IF EXISTS `power_word_relation_contract`;
CREATE TABLE `power_word_relation_contract` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `field_code` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '风场编号',
  `mill_type_code` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '机型编号',
  `active_power` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '有功功率',
  `wind_speed` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '风速',
  `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
  `create_by` int DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='合同功率曲线关系表 合同功率曲线-关联机型厂商+风场';

-- ----------------------------
-- Records of power_word_relation_contract
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for power_word_relation_criterion
-- ----------------------------
DROP TABLE IF EXISTS `power_word_relation_criterion`;
CREATE TABLE `power_word_relation_criterion` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `mill_type_code` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '机型编号',
  `wind_speed` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '风速',
  `active_power` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '有功功率',
  `density` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '空气密度',
  `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
  `create_by` int DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='标准功率曲线关系表 标准功率曲线-关联机型';

-- ----------------------------
-- Records of power_word_relation_criterion
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for sys_areas_info
-- ----------------------------
DROP TABLE IF EXISTS `sys_areas_info`;
CREATE TABLE `sys_areas_info` (
  `id` int NOT NULL AUTO_INCREMENT,
  `province` varchar(255) DEFAULT NULL,
  `city` varchar(255) DEFAULT NULL,
  `area` varchar(255) DEFAULT NULL,
  `area_code` varchar(10) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci DEFAULT NULL COMMENT '区域编号',
  `type` int DEFAULT NULL,
  `root_id` int DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `areas_index` (`type`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2310 DEFAULT CHARSET=utf8mb3 COMMENT='省市区县表';

-- ----------------------------
-- Records of sys_areas_info
-- ----------------------------
BEGIN;
INSERT INTO `sys_areas_info` VALUES (1, '北京市', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (2, '天津市', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (3, '河北省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (4, '山西省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (5, '内蒙古自治区', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (6, '辽宁省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (7, '吉林省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (8, '黑龙江省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (9, '上海市', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (10, '江苏省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (11, '浙江省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (12, '安徽省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (13, '福建省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (14, '江西省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (15, '山东省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (16, '河南省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (17, '湖北省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (18, '广东省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (19, '广西壮族自治区', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (20, '海南省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (21, '重庆市', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (22, '四川省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (23, '贵州省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (24, '云南省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (25, '西藏自治区', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (26, '陕西省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (27, '甘肃省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (28, '宁夏回族自治区', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (29, '新疆维吾尔族自治区', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (30, '青海省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (31, '湖南省', NULL, NULL, NULL, 1, 0);
INSERT INTO `sys_areas_info` VALUES (101, '江苏省', '连云港市', NULL, '0518', 2, 10);
INSERT INTO `sys_areas_info` VALUES (102, '河南省', '周口市', NULL, '0394', 2, 16);
INSERT INTO `sys_areas_info` VALUES (103, '云南省', '丽江市', NULL, '0888', 2, 24);
INSERT INTO `sys_areas_info` VALUES (104, '江西省', '九江市', NULL, '0792', 2, 14);
INSERT INTO `sys_areas_info` VALUES (105, '黑龙江省', '佳木斯市', NULL, '0454', 2, 8);
INSERT INTO `sys_areas_info` VALUES (106, '四川省', '成都市', NULL, '028', 2, 22);
INSERT INTO `sys_areas_info` VALUES (107, '浙江省', '嘉兴市', NULL, '0573', 2, 11);
INSERT INTO `sys_areas_info` VALUES (108, '山西省', '大同市', NULL, '0352', 2, 4);
INSERT INTO `sys_areas_info` VALUES (109, '四川省', '宜宾市', NULL, '0831', 2, 22);
INSERT INTO `sys_areas_info` VALUES (110, '四川省', '泸州市', NULL, '0830', 2, 22);
INSERT INTO `sys_areas_info` VALUES (111, '河南省', '开封市', NULL, '0378', 2, 16);
INSERT INTO `sys_areas_info` VALUES (112, '吉林省', '长春市', NULL, '0431', 2, 7);
INSERT INTO `sys_areas_info` VALUES (113, '湖北省', '武汉市', NULL, '027', 2, 17);
INSERT INTO `sys_areas_info` VALUES (114, '广东省', '揭阳市', NULL, '0663', 2, 18);
INSERT INTO `sys_areas_info` VALUES (115, '山东省', '日照市', NULL, '0633', 2, 15);
INSERT INTO `sys_areas_info` VALUES (116, '湖南省', '衡阳市', NULL, '0734', 2, 31);
INSERT INTO `sys_areas_info` VALUES (117, '河南省', '平顶山市', NULL, '0375', 2, 16);
INSERT INTO `sys_areas_info` VALUES (118, '广东省', '深圳市', NULL, '0755', 2, 18);
INSERT INTO `sys_areas_info` VALUES (119, '福建省', '南平市', NULL, '0599', 2, 13);
INSERT INTO `sys_areas_info` VALUES (120, '新疆维吾尔族自治区', '伊犁哈萨克自治州', NULL, '0999', 2, 29);
INSERT INTO `sys_areas_info` VALUES (121, '山东省', '潍坊市', NULL, '0536', 2, 15);
INSERT INTO `sys_areas_info` VALUES (122, '吉林省', '辽源市', NULL, '0437', 2, 7);
INSERT INTO `sys_areas_info` VALUES (123, '内蒙古自治区', '阿拉善盟', NULL, '0483', 2, 5);
INSERT INTO `sys_areas_info` VALUES (124, '黑龙江省', '哈尔滨市', NULL, '0451', 2, 8);
INSERT INTO `sys_areas_info` VALUES (125, '黑龙江省', '伊春市', NULL, '0458', 2, 8);
INSERT INTO `sys_areas_info` VALUES (126, '山东省', '莱芜市', NULL, '0634', 2, 15);
INSERT INTO `sys_areas_info` VALUES (127, '河北省', '承德市', NULL, '0314', 2, 3);
INSERT INTO `sys_areas_info` VALUES (128, '黑龙江省', '鸡西市', NULL, '0467', 2, 8);
INSERT INTO `sys_areas_info` VALUES (129, '广东省', '广州市', NULL, '020', 2, 18);
INSERT INTO `sys_areas_info` VALUES (130, '江苏省', '徐州市', NULL, '0516', 2, 10);
INSERT INTO `sys_areas_info` VALUES (131, '黑龙江省', '黑河市', NULL, '0456', 2, 8);
INSERT INTO `sys_areas_info` VALUES (132, '安徽省', '铜陵市', NULL, '0562', 2, 12);
INSERT INTO `sys_areas_info` VALUES (133, '山东省', '德州市', NULL, '0534', 2, 15);
INSERT INTO `sys_areas_info` VALUES (134, '广东省', '珠海市', NULL, '0756', 2, 18);
INSERT INTO `sys_areas_info` VALUES (135, '广西壮族自治区', '贺州市', NULL, '0774', 2, 19);
INSERT INTO `sys_areas_info` VALUES (136, '江苏省', '扬州市', NULL, '0514', 2, 10);
INSERT INTO `sys_areas_info` VALUES (137, '山西省', '阳泉市', NULL, '0353', 2, 4);
INSERT INTO `sys_areas_info` VALUES (138, '河北省', '衡水市', NULL, '0318', 2, 3);
INSERT INTO `sys_areas_info` VALUES (139, '山西省', '晋中市', NULL, '0354', 2, 4);
INSERT INTO `sys_areas_info` VALUES (140, '山东省', '东营市', NULL, '0546', 2, 15);
INSERT INTO `sys_areas_info` VALUES (141, '辽宁省', '本溪市', NULL, '0414', 2, 6);
INSERT INTO `sys_areas_info` VALUES (142, '江西省', '宜春市', NULL, '0795', 2, 14);
INSERT INTO `sys_areas_info` VALUES (143, '广东省', '梅州市', NULL, '0753', 2, 18);
INSERT INTO `sys_areas_info` VALUES (144, '广东省', '肇庆市', NULL, '0758', 2, 18);
INSERT INTO `sys_areas_info` VALUES (145, '湖南省', '益阳市', NULL, '0737', 2, 31);
INSERT INTO `sys_areas_info` VALUES (146, '新疆维吾尔族自治区', '塔城地区', NULL, '0901', 2, 29);
INSERT INTO `sys_areas_info` VALUES (147, '辽宁省', '盘锦市', NULL, '0427', 2, 6);
INSERT INTO `sys_areas_info` VALUES (148, '青海省', '海南藏族自治州', NULL, '0974', 2, 30);
INSERT INTO `sys_areas_info` VALUES (149, '广东省', '韶关市', NULL, '0751', 2, 18);
INSERT INTO `sys_areas_info` VALUES (150, '福建省', '漳州市', NULL, '0596', 2, 13);
INSERT INTO `sys_areas_info` VALUES (151, '河北省', '邢台市', NULL, '0319', 2, 3);
INSERT INTO `sys_areas_info` VALUES (152, '浙江省', '金华市', NULL, '0579', 2, 11);
INSERT INTO `sys_areas_info` VALUES (153, '湖北省', '荆门市', NULL, '0724', 2, 17);
INSERT INTO `sys_areas_info` VALUES (154, '山西省', '太原市', NULL, '0351', 2, 4);
INSERT INTO `sys_areas_info` VALUES (155, '四川省', '乐山市', NULL, '0833', 2, 22);
INSERT INTO `sys_areas_info` VALUES (156, '湖南省', '怀化市', NULL, '0745', 2, 31);
INSERT INTO `sys_areas_info` VALUES (157, '甘肃省', '白银市', NULL, '0943', 2, 27);
INSERT INTO `sys_areas_info` VALUES (158, '辽宁省', '抚顺市', NULL, '024', 2, 6);
INSERT INTO `sys_areas_info` VALUES (159, '浙江省', '湖州市', NULL, '0572', 2, 11);
INSERT INTO `sys_areas_info` VALUES (160, '湖北省', '仙桃市', NULL, '0728', 2, 17);
INSERT INTO `sys_areas_info` VALUES (161, '福建省', '泉州市', NULL, '0595', 2, 13);
INSERT INTO `sys_areas_info` VALUES (162, '河北省', '张家口市', NULL, '0313', 2, 3);
INSERT INTO `sys_areas_info` VALUES (163, '河北省', '秦皇岛市', NULL, '0335', 2, 3);
INSERT INTO `sys_areas_info` VALUES (164, '海南省', '五指山市', NULL, '0898', 2, 20);
INSERT INTO `sys_areas_info` VALUES (165, '吉林省', '延边朝鲜族自治州', NULL, '0433', 2, 7);
INSERT INTO `sys_areas_info` VALUES (166, '辽宁省', '营口市', NULL, '0417', 2, 6);
INSERT INTO `sys_areas_info` VALUES (167, '广东省', '中山市', NULL, '0760', 2, 18);
INSERT INTO `sys_areas_info` VALUES (168, '云南省', '思茅市', NULL, '0879', 2, 24);
INSERT INTO `sys_areas_info` VALUES (169, '山东省', '济宁市', NULL, '0537', 2, 15);
INSERT INTO `sys_areas_info` VALUES (170, '辽宁省', '沈阳市', NULL, '024', 2, 6);
INSERT INTO `sys_areas_info` VALUES (171, '广东省', '湛江市', NULL, '0759', 2, 18);
INSERT INTO `sys_areas_info` VALUES (172, '西藏自治区', '山南地区', NULL, '0893', 2, 25);
INSERT INTO `sys_areas_info` VALUES (173, '四川省', '凉山彝族自治州', NULL, '0834', 2, 22);
INSERT INTO `sys_areas_info` VALUES (174, '辽宁省', '朝阳市', NULL, '0421', 2, 6);
INSERT INTO `sys_areas_info` VALUES (175, '河南省', '焦作市', NULL, '0391', 2, 16);
INSERT INTO `sys_areas_info` VALUES (176, '河北省', '廊坊市', NULL, '0316', 2, 3);
INSERT INTO `sys_areas_info` VALUES (177, '福建省', '福州市', NULL, '0591', 2, 13);
INSERT INTO `sys_areas_info` VALUES (178, '四川省', '德阳市', NULL, '0838', 2, 22);
INSERT INTO `sys_areas_info` VALUES (179, '甘肃省', '天水市', NULL, '0938', 2, 27);
INSERT INTO `sys_areas_info` VALUES (180, '陕西省', '咸阳市', NULL, '029', 2, 26);
INSERT INTO `sys_areas_info` VALUES (181, '安徽省', '宿州市', NULL, '0557', 2, 12);
INSERT INTO `sys_areas_info` VALUES (182, '内蒙古自治区', '乌海市', NULL, '0473', 2, 5);
INSERT INTO `sys_areas_info` VALUES (183, '新疆维吾尔族自治区', '克拉玛依市', NULL, '0990', 2, 29);
INSERT INTO `sys_areas_info` VALUES (184, '云南省', '德宏傣族景颇族自治州', NULL, '0692', 2, 24);
INSERT INTO `sys_areas_info` VALUES (185, '湖北省', '十堰市', NULL, '0719', 2, 17);
INSERT INTO `sys_areas_info` VALUES (186, '湖南省', '常德市', NULL, '0736', 2, 31);
INSERT INTO `sys_areas_info` VALUES (187, '西藏自治区', '日喀则地区', NULL, '0892', 2, 25);
INSERT INTO `sys_areas_info` VALUES (188, '黑龙江省', '鹤岗市', NULL, '0468', 2, 8);
INSERT INTO `sys_areas_info` VALUES (189, '宁夏回族自治区', '石嘴山市', NULL, '0952', 2, 28);
INSERT INTO `sys_areas_info` VALUES (190, '新疆维吾尔族自治区', '阿勒泰地区', NULL, '0906', 2, 29);
INSERT INTO `sys_areas_info` VALUES (191, '云南省', '大理白族自治州', NULL, '0872', 2, 24);
INSERT INTO `sys_areas_info` VALUES (192, '山东省', '泰安市', NULL, '0538', 2, 15);
INSERT INTO `sys_areas_info` VALUES (193, '青海省', '西宁市', NULL, '0971', 2, 30);
INSERT INTO `sys_areas_info` VALUES (194, '浙江省', '舟山市', NULL, '0580', 2, 11);
INSERT INTO `sys_areas_info` VALUES (195, '黑龙江省', '齐齐哈尔市', NULL, '0452', 2, 8);
INSERT INTO `sys_areas_info` VALUES (196, '广东省', '清远市', NULL, '0763', 2, 18);
INSERT INTO `sys_areas_info` VALUES (197, '广西壮族自治区', '河池市', NULL, '0778', 2, 19);
INSERT INTO `sys_areas_info` VALUES (198, '甘肃省', '庆阳市', NULL, '0934', 2, 27);
INSERT INTO `sys_areas_info` VALUES (199, '海南省', '儋州市', NULL, '0898', 2, 20);
INSERT INTO `sys_areas_info` VALUES (200, '江西省', '南昌市', NULL, '0791', 2, 14);
INSERT INTO `sys_areas_info` VALUES (201, '湖南省', '长沙市', NULL, '0731', 2, 31);
INSERT INTO `sys_areas_info` VALUES (202, '福建省', '宁德市', NULL, '0593', 2, 13);
INSERT INTO `sys_areas_info` VALUES (203, '山东省', '淄博市', NULL, '0533', 2, 15);
INSERT INTO `sys_areas_info` VALUES (204, '云南省', '迪庆藏族自治州', NULL, '0887', 2, 24);
INSERT INTO `sys_areas_info` VALUES (205, '陕西省', '渭南市', NULL, '0913', 2, 26);
INSERT INTO `sys_areas_info` VALUES (206, '湖南省', '娄底市', NULL, '0738', 2, 31);
INSERT INTO `sys_areas_info` VALUES (207, '新疆维吾尔族自治区', '乌鲁木齐市', NULL, '0991', 2, 29);
INSERT INTO `sys_areas_info` VALUES (208, '四川省', '雅安市', NULL, '0835', 2, 22);
INSERT INTO `sys_areas_info` VALUES (209, '河北省', '保定市', NULL, '0312', 2, 3);
INSERT INTO `sys_areas_info` VALUES (210, '湖北省', '孝感市', NULL, '0712', 2, 17);
INSERT INTO `sys_areas_info` VALUES (211, '湖南省', '湘西土家族苗族自治州', NULL, '0743', 2, 31);
INSERT INTO `sys_areas_info` VALUES (212, '广西壮族自治区', '钦州市', NULL, '0777', 2, 19);
INSERT INTO `sys_areas_info` VALUES (213, '辽宁省', '葫芦岛市', NULL, '0429', 2, 6);
INSERT INTO `sys_areas_info` VALUES (214, '河南省', '洛阳市', NULL, '0379', 2, 16);
INSERT INTO `sys_areas_info` VALUES (215, '广东省', '汕头市', NULL, '0754', 2, 18);
INSERT INTO `sys_areas_info` VALUES (216, '山东省', '菏泽市', NULL, '0530', 2, 15);
INSERT INTO `sys_areas_info` VALUES (217, '浙江省', '宁波市', NULL, '0574', 2, 11);
INSERT INTO `sys_areas_info` VALUES (218, '甘肃省', '平凉市', NULL, '0933', 2, 27);
INSERT INTO `sys_areas_info` VALUES (219, '海南省', '海口市', NULL, '0898', 2, 20);
INSERT INTO `sys_areas_info` VALUES (220, '陕西省', '铜川市', NULL, '0919', 2, 26);
INSERT INTO `sys_areas_info` VALUES (221, '广东省', '茂名市', NULL, '0668', 2, 18);
INSERT INTO `sys_areas_info` VALUES (222, '湖北省', '黄石市', NULL, '0714', 2, 17);
INSERT INTO `sys_areas_info` VALUES (223, '辽宁省', '铁岭市', NULL, '0410', 2, 6);
INSERT INTO `sys_areas_info` VALUES (224, '四川省', '绵阳市', NULL, '0816', 2, 22);
INSERT INTO `sys_areas_info` VALUES (225, '广西壮族自治区', '来宾市', NULL, '0772', 2, 19);
INSERT INTO `sys_areas_info` VALUES (226, '辽宁省', '阜新市', NULL, '0418', 2, 6);
INSERT INTO `sys_areas_info` VALUES (227, '山西省', '吕梁市', NULL, '0358', 2, 4);
INSERT INTO `sys_areas_info` VALUES (228, '甘肃省', '兰州市', NULL, '0931', 2, 27);
INSERT INTO `sys_areas_info` VALUES (229, '广东省', '东莞市', NULL, '0769', 2, 18);
INSERT INTO `sys_areas_info` VALUES (230, '内蒙古自治区', '包头市', NULL, '0472', 2, 5);
INSERT INTO `sys_areas_info` VALUES (231, '云南省', '楚雄彝族自治州', NULL, '0878', 2, 24);
INSERT INTO `sys_areas_info` VALUES (232, '陕西省', '宝鸡市', NULL, '0917', 2, 26);
INSERT INTO `sys_areas_info` VALUES (233, '四川省', '巴中市', NULL, '0827', 2, 22);
INSERT INTO `sys_areas_info` VALUES (234, '江西省', '上饶市', NULL, '0793', 2, 14);
INSERT INTO `sys_areas_info` VALUES (235, '山东省', '枣庄市', NULL, '0632', 2, 15);
INSERT INTO `sys_areas_info` VALUES (236, '山西省', '运城市', NULL, '0359', 2, 4);
INSERT INTO `sys_areas_info` VALUES (237, '四川省', '广安市', NULL, '0826', 2, 22);
INSERT INTO `sys_areas_info` VALUES (238, '山西省', '临汾市', NULL, '0357', 2, 4);
INSERT INTO `sys_areas_info` VALUES (239, '湖北省', '鄂州市', NULL, '0711', 2, 17);
INSERT INTO `sys_areas_info` VALUES (240, '吉林省', '吉林市', NULL, '0432', 2, 7);
INSERT INTO `sys_areas_info` VALUES (241, '广西壮族自治区', '崇左市', NULL, '0771', 2, 19);
INSERT INTO `sys_areas_info` VALUES (242, '广西壮族自治区', '南宁市', NULL, '0771', 2, 19);
INSERT INTO `sys_areas_info` VALUES (243, '辽宁省', '锦州市', NULL, '0416', 2, 6);
INSERT INTO `sys_areas_info` VALUES (244, '江西省', '景德镇市', NULL, '0798', 2, 14);
INSERT INTO `sys_areas_info` VALUES (245, '山东省', '滨州市', NULL, '0543', 2, 15);
INSERT INTO `sys_areas_info` VALUES (246, '安徽省', '安庆市', NULL, '0556', 2, 12);
INSERT INTO `sys_areas_info` VALUES (247, '宁夏回族自治区', '银川市', NULL, '0951', 2, 28);
INSERT INTO `sys_areas_info` VALUES (248, '内蒙古自治区', '兴安盟', NULL, '0482', 2, 5);
INSERT INTO `sys_areas_info` VALUES (249, '安徽省', '亳州市', NULL, '0558', 2, 12);
INSERT INTO `sys_areas_info` VALUES (250, '广东省', '惠州市', NULL, '0752', 2, 18);
INSERT INTO `sys_areas_info` VALUES (251, '安徽省', '马鞍山市', NULL, '0555', 2, 12);
INSERT INTO `sys_areas_info` VALUES (252, '天津市', '天津市', NULL, '022', 2, 2);
INSERT INTO `sys_areas_info` VALUES (253, '安徽省', '六安市', NULL, '0564', 2, 12);
INSERT INTO `sys_areas_info` VALUES (254, '河南省', '商丘市', NULL, '0370', 2, 16);
INSERT INTO `sys_areas_info` VALUES (255, '四川省', '阿坝藏族羌族自治州', NULL, '0837', 2, 22);
INSERT INTO `sys_areas_info` VALUES (256, '山东省', '威海市', NULL, '0631', 2, 15);
INSERT INTO `sys_areas_info` VALUES (257, '浙江省', '衢州市', NULL, '0570', 2, 11);
INSERT INTO `sys_areas_info` VALUES (258, '云南省', '怒江傈僳族自治州', NULL, '0886', 2, 24);
INSERT INTO `sys_areas_info` VALUES (259, '新疆维吾尔族自治区', '克孜勒苏柯尔克孜自治州', NULL, '0908', 2, 29);
INSERT INTO `sys_areas_info` VALUES (260, '黑龙江省', '牡丹江市', NULL, '0453', 2, 8);
INSERT INTO `sys_areas_info` VALUES (261, '山东省', '烟台市', NULL, '0535', 2, 15);
INSERT INTO `sys_areas_info` VALUES (262, '辽宁省', '大连市', NULL, '0411', 2, 6);
INSERT INTO `sys_areas_info` VALUES (263, '浙江省', '杭州市', NULL, '0571', 2, 11);
INSERT INTO `sys_areas_info` VALUES (264, '河北省', '石家庄市', NULL, '0311', 2, 3);
INSERT INTO `sys_areas_info` VALUES (265, '安徽省', '阜阳市', NULL, '0558', 2, 12);
INSERT INTO `sys_areas_info` VALUES (266, '江西省', '抚州市', NULL, '0794', 2, 14);
INSERT INTO `sys_areas_info` VALUES (267, '福建省', '龙岩市', NULL, '0597', 2, 13);
INSERT INTO `sys_areas_info` VALUES (268, '四川省', '遂宁市', NULL, '0825', 2, 22);
INSERT INTO `sys_areas_info` VALUES (269, '河南省', '信阳市', NULL, '0376', 2, 16);
INSERT INTO `sys_areas_info` VALUES (270, '云南省', '临沧市', NULL, '0883', 2, 24);
INSERT INTO `sys_areas_info` VALUES (271, '湖北省', '咸宁市', NULL, '0715', 2, 17);
INSERT INTO `sys_areas_info` VALUES (272, '贵州省', '铜仁地区', NULL, '0856', 2, 23);
INSERT INTO `sys_areas_info` VALUES (273, '贵州省', '贵阳市', NULL, '0851', 2, 23);
INSERT INTO `sys_areas_info` VALUES (274, '湖南省', '邵阳市', NULL, '0739', 2, 31);
INSERT INTO `sys_areas_info` VALUES (275, '海南省', '三亚市', NULL, '0898', 2, 20);
INSERT INTO `sys_areas_info` VALUES (276, '贵州省', '黔南布依族苗族自治州', NULL, '0854', 2, 23);
INSERT INTO `sys_areas_info` VALUES (277, '河北省', '唐山市', NULL, '0315', 2, 3);
INSERT INTO `sys_areas_info` VALUES (278, '宁夏回族自治区', '中卫市', NULL, '0955', 2, 28);
INSERT INTO `sys_areas_info` VALUES (279, '安徽省', '黄山市', NULL, '0559', 2, 12);
INSERT INTO `sys_areas_info` VALUES (280, '广西壮族自治区', '梧州市', NULL, '0774', 2, 19);
INSERT INTO `sys_areas_info` VALUES (281, '江苏省', '苏州市', NULL, '0512', 2, 10);
INSERT INTO `sys_areas_info` VALUES (282, '河南省', '驻马店市', NULL, '0396', 2, 16);
INSERT INTO `sys_areas_info` VALUES (283, '江苏省', '镇江市', NULL, '0511', 2, 10);
INSERT INTO `sys_areas_info` VALUES (284, '山东省', '青岛市', NULL, '0532', 2, 15);
INSERT INTO `sys_areas_info` VALUES (285, '江苏省', '宿迁市', NULL, '0527', 2, 10);
INSERT INTO `sys_areas_info` VALUES (286, '河北省', '沧州市', NULL, '0317', 2, 3);
INSERT INTO `sys_areas_info` VALUES (287, '上海市', '上海市', NULL, '021', 2, 9);
INSERT INTO `sys_areas_info` VALUES (288, '贵州省', '遵义市', NULL, '0852', 2, 23);
INSERT INTO `sys_areas_info` VALUES (289, '浙江省', '台州市', NULL, '0576', 2, 11);
INSERT INTO `sys_areas_info` VALUES (290, '山西省', '朔州市', NULL, '0349', 2, 4);
INSERT INTO `sys_areas_info` VALUES (291, '广东省', '潮州市', NULL, '0768', 2, 18);
INSERT INTO `sys_areas_info` VALUES (292, '新疆维吾尔族自治区', '和田地区', NULL, '0903', 2, 29);
INSERT INTO `sys_areas_info` VALUES (293, '新疆维吾尔族自治区', '昌吉回族自治州', NULL, '0994', 2, 29);
INSERT INTO `sys_areas_info` VALUES (294, '甘肃省', '武威市', NULL, '0935', 2, 27);
INSERT INTO `sys_areas_info` VALUES (295, '广西壮族自治区', '贵港市', NULL, '0775', 2, 19);
INSERT INTO `sys_areas_info` VALUES (296, '新疆维吾尔族自治区', '喀什地区', NULL, '0998', 2, 29);
INSERT INTO `sys_areas_info` VALUES (297, '贵州省', '黔西南布依族苗族自治州', NULL, '0859', 2, 23);
INSERT INTO `sys_areas_info` VALUES (298, '四川省', '广元市', NULL, '0839', 2, 22);
INSERT INTO `sys_areas_info` VALUES (299, '安徽省', '合肥市', NULL, '0551', 2, 12);
INSERT INTO `sys_areas_info` VALUES (300, '湖南省', '张家界市', NULL, '0744', 2, 31);
INSERT INTO `sys_areas_info` VALUES (301, '辽宁省', '鞍山市', NULL, '0412', 2, 6);
INSERT INTO `sys_areas_info` VALUES (302, '湖南省', '株洲市', NULL, '0731', 2, 31);
INSERT INTO `sys_areas_info` VALUES (303, '新疆维吾尔族自治区', '吐鲁番地区', NULL, '0995', 2, 29);
INSERT INTO `sys_areas_info` VALUES (304, '江苏省', '常州市', NULL, '0519', 2, 10);
INSERT INTO `sys_areas_info` VALUES (305, '辽宁省', '丹东市', NULL, '0415', 2, 6);
INSERT INTO `sys_areas_info` VALUES (306, '山东省', '济南市', NULL, '0531', 2, 15);
INSERT INTO `sys_areas_info` VALUES (307, '浙江省', '绍兴市', NULL, '0575', 2, 11);
INSERT INTO `sys_areas_info` VALUES (308, '河南省', '郑州市', NULL, '0371', 2, 16);
INSERT INTO `sys_areas_info` VALUES (309, '甘肃省', '嘉峪关市', NULL, '0937', 2, 27);
INSERT INTO `sys_areas_info` VALUES (310, '新疆维吾尔族自治区', '巴音郭楞蒙古自治州', NULL, '0996', 2, 29);
INSERT INTO `sys_areas_info` VALUES (311, '江苏省', '泰州市', NULL, '0523', 2, 10);
INSERT INTO `sys_areas_info` VALUES (312, '山东省', '临沂市', NULL, '0539', 2, 15);
INSERT INTO `sys_areas_info` VALUES (313, '江苏省', '南京市', NULL, '025', 2, 10);
INSERT INTO `sys_areas_info` VALUES (314, '内蒙古自治区', '赤峰市', NULL, '0476', 2, 5);
INSERT INTO `sys_areas_info` VALUES (315, '浙江省', '温州市', NULL, '0577', 2, 11);
INSERT INTO `sys_areas_info` VALUES (316, '内蒙古自治区', '巴彦淖尔市', NULL, '0478', 2, 5);
INSERT INTO `sys_areas_info` VALUES (317, '四川省', '达州市', NULL, '0818', 2, 22);
INSERT INTO `sys_areas_info` VALUES (318, '贵州省', '毕节地区', NULL, '0857', 2, 23);
INSERT INTO `sys_areas_info` VALUES (319, '河南省', '濮阳市', NULL, '0393', 2, 16);
INSERT INTO `sys_areas_info` VALUES (320, '江西省', '萍乡市', NULL, '0799', 2, 14);
INSERT INTO `sys_areas_info` VALUES (321, '吉林省', '白山市', NULL, '0439', 2, 7);
INSERT INTO `sys_areas_info` VALUES (322, '四川省', '内江市', NULL, '0832', 2, 22);
INSERT INTO `sys_areas_info` VALUES (323, '陕西省', '商洛市', NULL, '0914', 2, 26);
INSERT INTO `sys_areas_info` VALUES (324, '湖北省', '随州市', NULL, '0722', 2, 17);
INSERT INTO `sys_areas_info` VALUES (325, '贵州省', '黔东南苗族侗族自治州', NULL, '0855', 2, 23);
INSERT INTO `sys_areas_info` VALUES (326, '内蒙古自治区', '通辽市', NULL, '0475', 2, 5);
INSERT INTO `sys_areas_info` VALUES (327, '甘肃省', '定西市', NULL, '0932', 2, 27);
INSERT INTO `sys_areas_info` VALUES (328, '河南省', '三门峡市', NULL, '0398', 2, 16);
INSERT INTO `sys_areas_info` VALUES (329, '江苏省', '盐城市', NULL, '0515', 2, 10);
INSERT INTO `sys_areas_info` VALUES (330, '内蒙古自治区', '锡林郭勒盟', NULL, '0479', 2, 5);
INSERT INTO `sys_areas_info` VALUES (331, '广西壮族自治区', '北海市', NULL, '0779', 2, 19);
INSERT INTO `sys_areas_info` VALUES (332, '江西省', '吉安市', NULL, '0796', 2, 14);
INSERT INTO `sys_areas_info` VALUES (333, '吉林省', '松原市', NULL, '0438', 2, 7);
INSERT INTO `sys_areas_info` VALUES (334, '陕西省', '西安市', NULL, '029', 2, 26);
INSERT INTO `sys_areas_info` VALUES (335, '甘肃省', '临夏回族自治州', NULL, '0930', 2, 27);
INSERT INTO `sys_areas_info` VALUES (336, '江西省', '赣州市', NULL, '0797', 2, 14);
INSERT INTO `sys_areas_info` VALUES (337, '湖南省', '湘潭市', NULL, '0731', 2, 31);
INSERT INTO `sys_areas_info` VALUES (338, '广西壮族自治区', '玉林市', NULL, '0775', 2, 19);
INSERT INTO `sys_areas_info` VALUES (339, '贵州省', '六盘水市', NULL, '0858', 2, 23);
INSERT INTO `sys_areas_info` VALUES (340, '湖北省', '恩施市', NULL, '0718', 2, 17);
INSERT INTO `sys_areas_info` VALUES (341, '江西省', '新余市', NULL, '0790', 2, 14);
INSERT INTO `sys_areas_info` VALUES (342, '四川省', '眉山市', NULL, '028', 2, 22);
INSERT INTO `sys_areas_info` VALUES (343, '吉林省', '白城市', NULL, '0436', 2, 7);
INSERT INTO `sys_areas_info` VALUES (344, '陕西省', '延安市', NULL, '0911', 2, 26);
INSERT INTO `sys_areas_info` VALUES (345, '河南省', '许昌市', NULL, '0374', 2, 16);
INSERT INTO `sys_areas_info` VALUES (346, '福建省', '莆田市', NULL, '0594', 2, 13);
INSERT INTO `sys_areas_info` VALUES (347, '贵州省', '安顺市', NULL, '0853', 2, 23);
INSERT INTO `sys_areas_info` VALUES (348, '河北省', '邯郸市', NULL, '0310', 2, 3);
INSERT INTO `sys_areas_info` VALUES (349, '四川省', '甘孜藏族自治州', NULL, '0836', 2, 22);
INSERT INTO `sys_areas_info` VALUES (350, '四川省', '南充市', NULL, '0817', 2, 22);
INSERT INTO `sys_areas_info` VALUES (351, '海南省', '琼海市', NULL, '0898', 2, 20);
INSERT INTO `sys_areas_info` VALUES (352, '西藏自治区', '拉萨市', NULL, '0891', 2, 25);
INSERT INTO `sys_areas_info` VALUES (353, '河南省', '安阳市', NULL, '0372', 2, 16);
INSERT INTO `sys_areas_info` VALUES (354, '福建省', '厦门市', NULL, '0592', 2, 13);
INSERT INTO `sys_areas_info` VALUES (355, '新疆维吾尔族自治区', '奎屯市', NULL, '0992', 2, 29);
INSERT INTO `sys_areas_info` VALUES (356, '甘肃省', '金昌市', NULL, '0935', 2, 27);
INSERT INTO `sys_areas_info` VALUES (357, '内蒙古自治区', '呼伦贝尔市', NULL, '0470', 2, 5);
INSERT INTO `sys_areas_info` VALUES (358, '宁夏回族自治区', '固原市', NULL, '0954', 2, 28);
INSERT INTO `sys_areas_info` VALUES (359, '湖北省', '天门市', NULL, '0728', 2, 17);
INSERT INTO `sys_areas_info` VALUES (360, '江苏省', '淮安市', NULL, '0517', 2, 10);
INSERT INTO `sys_areas_info` VALUES (361, '湖北省', '荆州市', NULL, '0716', 2, 17);
INSERT INTO `sys_areas_info` VALUES (362, '甘肃省', '张掖市', NULL, '0936', 2, 27);
INSERT INTO `sys_areas_info` VALUES (363, '重庆市', '重庆市', NULL, '023', 2, 21);
INSERT INTO `sys_areas_info` VALUES (364, '江苏省', '无锡市', NULL, '0510', 2, 10);
INSERT INTO `sys_areas_info` VALUES (365, '浙江省', '丽水市', NULL, '0578', 2, 11);
INSERT INTO `sys_areas_info` VALUES (366, '新疆维吾尔族自治区', '哈密地区', NULL, '0902', 2, 29);
INSERT INTO `sys_areas_info` VALUES (367, '安徽省', '淮南市', NULL, '0554', 2, 12);
INSERT INTO `sys_areas_info` VALUES (368, '北京市', '北京市', NULL, '010', 2, 1);
INSERT INTO `sys_areas_info` VALUES (369, '云南省', '昆明市', NULL, '0871', 2, 24);
INSERT INTO `sys_areas_info` VALUES (370, '湖南省', '郴州市', NULL, '0735', 2, 31);
INSERT INTO `sys_areas_info` VALUES (371, '黑龙江省', '绥化市', NULL, '0455', 2, 8);
INSERT INTO `sys_areas_info` VALUES (372, '安徽省', '蚌埠市', NULL, '0552', 2, 12);
INSERT INTO `sys_areas_info` VALUES (373, '黑龙江省', '双鸭山市', NULL, '0469', 2, 8);
INSERT INTO `sys_areas_info` VALUES (374, '广东省', '河源市', NULL, '0762', 2, 18);
INSERT INTO `sys_areas_info` VALUES (375, '四川省', '自贡市', NULL, '0813', 2, 22);
INSERT INTO `sys_areas_info` VALUES (376, '山西省', '晋城市', NULL, '0356', 2, 4);
INSERT INTO `sys_areas_info` VALUES (377, '安徽省', '宣城市', NULL, '0563', 2, 12);
INSERT INTO `sys_areas_info` VALUES (378, '广东省', '佛山市', NULL, '0757', 2, 18);
INSERT INTO `sys_areas_info` VALUES (379, '陕西省', '汉中市', NULL, '0916', 2, 26);
INSERT INTO `sys_areas_info` VALUES (380, '安徽省', '滁州市', NULL, '0550', 2, 12);
INSERT INTO `sys_areas_info` VALUES (381, '云南省', '保山市', NULL, '0875', 2, 24);
INSERT INTO `sys_areas_info` VALUES (382, '山西省', '忻州市', NULL, '0350', 2, 4);
INSERT INTO `sys_areas_info` VALUES (383, '宁夏回族自治区', '吴忠市', NULL, '0953', 2, 28);
INSERT INTO `sys_areas_info` VALUES (384, '内蒙古自治区', '鄂尔多斯市', NULL, '0477', 2, 5);
INSERT INTO `sys_areas_info` VALUES (385, '河南省', '鹤壁市', NULL, '0392', 2, 16);
INSERT INTO `sys_areas_info` VALUES (386, '内蒙古自治区', '乌兰察布市', NULL, '0474', 2, 5);
INSERT INTO `sys_areas_info` VALUES (387, '云南省', '玉溪市', NULL, '0877', 2, 24);
INSERT INTO `sys_areas_info` VALUES (388, '广西壮族自治区', '柳州市', NULL, '0772', 2, 19);
INSERT INTO `sys_areas_info` VALUES (389, '云南省', '昭通市', NULL, '0870', 2, 24);
INSERT INTO `sys_areas_info` VALUES (390, '云南省', '西双版纳傣族自治州', NULL, '0691', 2, 24);
INSERT INTO `sys_areas_info` VALUES (391, '安徽省', '池州市', NULL, '0566', 2, 12);
INSERT INTO `sys_areas_info` VALUES (392, '广西壮族自治区', '百色市', NULL, '0776', 2, 19);
INSERT INTO `sys_areas_info` VALUES (393, '湖南省', '岳阳市', NULL, '0730', 2, 31);
INSERT INTO `sys_areas_info` VALUES (394, '山西省', '长治市', NULL, '0355', 2, 4);
INSERT INTO `sys_areas_info` VALUES (395, '吉林省', '通化市', NULL, '0435', 2, 7);
INSERT INTO `sys_areas_info` VALUES (396, '河南省', '漯河市', NULL, '0395', 2, 16);
INSERT INTO `sys_areas_info` VALUES (397, '湖北省', '黄冈市', NULL, '0713', 2, 17);
INSERT INTO `sys_areas_info` VALUES (398, '广东省', '江门市', NULL, '0750', 2, 18);
INSERT INTO `sys_areas_info` VALUES (399, '云南省', '红河哈尼族彝族自治州', NULL, '0873', 2, 24);
INSERT INTO `sys_areas_info` VALUES (400, '广西壮族自治区', '桂林市', NULL, '0773', 2, 19);
INSERT INTO `sys_areas_info` VALUES (401, '青海省', '海东地区', NULL, '0972', 2, 30);
INSERT INTO `sys_areas_info` VALUES (402, '山东省', '聊城市', NULL, '0635', 2, 15);
INSERT INTO `sys_areas_info` VALUES (403, '江西省', '鹰潭市', NULL, '0701', 2, 14);
INSERT INTO `sys_areas_info` VALUES (404, '四川省', '资阳市', NULL, '028', 2, 22);
INSERT INTO `sys_areas_info` VALUES (405, '河南省', '南阳市', NULL, '0377', 2, 16);
INSERT INTO `sys_areas_info` VALUES (406, '海南省', '文昌市', NULL, '0898', 2, 20);
INSERT INTO `sys_areas_info` VALUES (407, '安徽省', '淮北市', NULL, '0561', 2, 12);
INSERT INTO `sys_areas_info` VALUES (408, '湖南省', '永州市', NULL, '0746', 2, 31);
INSERT INTO `sys_areas_info` VALUES (409, '甘肃省', '酒泉市', NULL, '0937', 2, 27);
INSERT INTO `sys_areas_info` VALUES (410, '广西壮族自治区', '防城港市', NULL, '0770', 2, 19);
INSERT INTO `sys_areas_info` VALUES (411, '福建省', '三明市', NULL, '0598', 2, 13);
INSERT INTO `sys_areas_info` VALUES (412, '湖北省', '襄樊市', NULL, '0710', 2, 17);
INSERT INTO `sys_areas_info` VALUES (413, '广东省', '阳江市', NULL, '0662', 2, 18);
INSERT INTO `sys_areas_info` VALUES (414, '湖北省', '潜江市', NULL, '0728', 2, 17);
INSERT INTO `sys_areas_info` VALUES (415, '黑龙江省', '大庆市', NULL, '0459', 2, 8);
INSERT INTO `sys_areas_info` VALUES (416, '江苏省', '南通市', NULL, '0513', 2, 10);
INSERT INTO `sys_areas_info` VALUES (417, '吉林省', '四平市', NULL, '0434', 2, 7);
INSERT INTO `sys_areas_info` VALUES (418, '河南省', '新乡市', NULL, '0373', 2, 16);
INSERT INTO `sys_areas_info` VALUES (419, '黑龙江省', '七台河市', NULL, '0464', 2, 8);
INSERT INTO `sys_areas_info` VALUES (420, '云南省', '曲靖市', NULL, '0874', 2, 24);
INSERT INTO `sys_areas_info` VALUES (421, '陕西省', '榆林市', NULL, '0912', 2, 26);
INSERT INTO `sys_areas_info` VALUES (422, '内蒙古自治区', '呼和浩特市', NULL, '0471', 2, 5);
INSERT INTO `sys_areas_info` VALUES (423, '湖北省', '宜昌市', NULL, '0717', 2, 17);
INSERT INTO `sys_areas_info` VALUES (424, '新疆维吾尔族自治区', '阿克苏地区', NULL, '0997', 2, 29);
INSERT INTO `sys_areas_info` VALUES (425, '安徽省', '芜湖市', NULL, '0553', 2, 12);
INSERT INTO `sys_areas_info` VALUES (426, '云南省', '文山壮族苗族自治州', NULL, '0876', 2, 24);
INSERT INTO `sys_areas_info` VALUES (427, '辽宁省', '辽阳市', NULL, '0419', 2, 6);
INSERT INTO `sys_areas_info` VALUES (428, '四川省', '攀枝花市', NULL, '0812', 2, 22);
INSERT INTO `sys_areas_info` VALUES (501, '湖北省', '荆门市', '沙洋县', '0724', 3, 153);
INSERT INTO `sys_areas_info` VALUES (502, '福建省', '三明市', '泰宁县', '0598', 3, 411);
INSERT INTO `sys_areas_info` VALUES (503, '湖北省', '荆州市', '公安县', '0716', 3, 361);
INSERT INTO `sys_areas_info` VALUES (504, '吉林省', '通化市', '梅河口市', '0435', 3, 395);
INSERT INTO `sys_areas_info` VALUES (505, '江苏省', '徐州市', '睢宁县', '0516', 3, 130);
INSERT INTO `sys_areas_info` VALUES (506, '甘肃省', '张掖市', '高台县', '0936', 3, 362);
INSERT INTO `sys_areas_info` VALUES (507, '四川省', '遂宁市', '蓬溪县', '0825', 3, 268);
INSERT INTO `sys_areas_info` VALUES (508, '云南省', '红河哈尼族彝族自治州', '蒙自县', '0873', 3, 399);
INSERT INTO `sys_areas_info` VALUES (509, '内蒙古自治区', '乌兰察布市', '集宁区', '0474', 3, 386);
INSERT INTO `sys_areas_info` VALUES (510, '江西省', '抚州市', '宜黄县', '0794', 3, 266);
INSERT INTO `sys_areas_info` VALUES (511, '河南省', '信阳市', '平桥区', '0376', 3, 269);
INSERT INTO `sys_areas_info` VALUES (512, '湖北省', '武汉市', '硚口区', '027', 3, 113);
INSERT INTO `sys_areas_info` VALUES (513, '江西省', '上饶市', '玉山县', '0793', 3, 234);
INSERT INTO `sys_areas_info` VALUES (514, '安徽省', '阜阳市', '颍泉区', '0558', 3, 265);
INSERT INTO `sys_areas_info` VALUES (515, '北京市', '北京市', '延庆县', '010', 3, 368);
INSERT INTO `sys_areas_info` VALUES (516, '四川省', '乐山市', '五通桥区', '0833', 3, 155);
INSERT INTO `sys_areas_info` VALUES (517, '四川省', '自贡市', '荣县', '0813', 3, 375);
INSERT INTO `sys_areas_info` VALUES (518, '云南省', '思茅市', '景谷傣族彝族自治县', NULL, 3, 168);
INSERT INTO `sys_areas_info` VALUES (519, '天津市', '天津市', '津南区', '0', 3, 252);
INSERT INTO `sys_areas_info` VALUES (520, '北京市', '北京市', '顺义区', '010', 3, 368);
INSERT INTO `sys_areas_info` VALUES (521, '四川省', '成都市', '金牛区', '028', 3, 106);
INSERT INTO `sys_areas_info` VALUES (522, '广西壮族自治区', '防城港市', '东兴市', '0770', 3, 410);
INSERT INTO `sys_areas_info` VALUES (523, '山西省', '临汾市', '乡宁县', '0357', 3, 238);
INSERT INTO `sys_areas_info` VALUES (524, '广东省', '茂名市', '茂南区', '0668', 3, 221);
INSERT INTO `sys_areas_info` VALUES (525, '河北省', '邢台市', '宁晋县', '0', 3, 151);
INSERT INTO `sys_areas_info` VALUES (526, '江西省', '吉安市', '永新县', '0796', 3, 332);
INSERT INTO `sys_areas_info` VALUES (527, '广东省', '阳江市', '江城区', '0662', 3, 413);
INSERT INTO `sys_areas_info` VALUES (528, '广东省', '河源市', '和平县', '0762', 3, 374);
INSERT INTO `sys_areas_info` VALUES (529, '江苏省', '徐州市', '鼓楼区', '0516', 3, 130);
INSERT INTO `sys_areas_info` VALUES (530, '贵州省', '安顺市', '西秀区', '0853', 3, 347);
INSERT INTO `sys_areas_info` VALUES (531, '福建省', '南平市', '松溪县', '0599', 3, 119);
INSERT INTO `sys_areas_info` VALUES (532, '云南省', '曲靖市', '富源县', '0874', 3, 420);
INSERT INTO `sys_areas_info` VALUES (533, '贵州省', '铜仁地区', '印江土家族苗族自治县', '0856', 3, 272);
INSERT INTO `sys_areas_info` VALUES (534, '吉林省', '吉林市', '桦甸市', '0432', 3, 240);
INSERT INTO `sys_areas_info` VALUES (535, '河北省', '唐山市', '遵化市', '0', 3, 277);
INSERT INTO `sys_areas_info` VALUES (536, '云南省', '德宏傣族景颇族自治州', '盈江县', '0692', 3, 184);
INSERT INTO `sys_areas_info` VALUES (537, '浙江省', '金华市', '浦江县', '0579', 3, 152);
INSERT INTO `sys_areas_info` VALUES (538, '广西壮族自治区', '桂林市', '全州县', '0773', 3, 400);
INSERT INTO `sys_areas_info` VALUES (539, '河北省', '沧州市', '黄骅市', '0', 3, 286);
INSERT INTO `sys_areas_info` VALUES (540, '河北省', '衡水市', '景县', '0', 3, 138);
INSERT INTO `sys_areas_info` VALUES (541, '山西省', '临汾市', '霍州市', '0357', 3, 238);
INSERT INTO `sys_areas_info` VALUES (542, '山西省', '晋城市', '阳城县', '0356', 3, 376);
INSERT INTO `sys_areas_info` VALUES (543, '湖南省', '岳阳市', '汨罗市', '0730', 3, 393);
INSERT INTO `sys_areas_info` VALUES (544, '吉林省', '松原市', '前郭尔罗斯蒙古族自治县', '0438', 3, 333);
INSERT INTO `sys_areas_info` VALUES (545, '黑龙江省', '大庆市', '肇州县', '0459', 3, 415);
INSERT INTO `sys_areas_info` VALUES (546, '四川省', '成都市', '金堂县', '028', 3, 106);
INSERT INTO `sys_areas_info` VALUES (547, '辽宁省', '大连市', '长海县', '0', 3, 262);
INSERT INTO `sys_areas_info` VALUES (548, '湖北省', '十堰市', '竹溪县', '0719', 3, 185);
INSERT INTO `sys_areas_info` VALUES (549, '浙江省', '杭州市', '临安市', '0571', 3, 263);
INSERT INTO `sys_areas_info` VALUES (550, '河南省', '驻马店市', '平舆县', '0396', 3, 282);
INSERT INTO `sys_areas_info` VALUES (551, '内蒙古自治区', '鄂尔多斯市', '准格尔旗', '0477', 3, 384);
INSERT INTO `sys_areas_info` VALUES (552, '浙江省', '台州市', '仙居县', '0576', 3, 289);
INSERT INTO `sys_areas_info` VALUES (553, '河北省', '唐山市', '古冶区', '0', 3, 277);
INSERT INTO `sys_areas_info` VALUES (554, '辽宁省', '铁岭市', '银州区', '0410', 3, 223);
INSERT INTO `sys_areas_info` VALUES (555, '河南省', '周口市', '郸城县', '0394', 3, 102);
INSERT INTO `sys_areas_info` VALUES (556, '北京市', '北京市', '丰台区', '010', 3, 368);
INSERT INTO `sys_areas_info` VALUES (557, '广东省', '清远市', '清新县', '0763', 3, 196);
INSERT INTO `sys_areas_info` VALUES (558, '河南省', '洛阳市', '偃师市', '0379', 3, 214);
INSERT INTO `sys_areas_info` VALUES (559, '黑龙江省', '大庆市', '大同区', '0459', 3, 415);
INSERT INTO `sys_areas_info` VALUES (560, '黑龙江省', '齐齐哈尔市', '泰来县', '0452', 3, 195);
INSERT INTO `sys_areas_info` VALUES (561, '山西省', '运城市', '芮城县', '0359', 3, 236);
INSERT INTO `sys_areas_info` VALUES (562, '福建省', '莆田市', '城厢区', '0594', 3, 346);
INSERT INTO `sys_areas_info` VALUES (563, '河南省', '濮阳市', '南乐县', '0393', 3, 319);
INSERT INTO `sys_areas_info` VALUES (564, '辽宁省', '盘锦市', '兴隆台区', '0427', 3, 147);
INSERT INTO `sys_areas_info` VALUES (565, '山东省', '菏泽市', '郓城县', '0530', 3, 216);
INSERT INTO `sys_areas_info` VALUES (566, '黑龙江省', '佳木斯市', '桦川县', '0454', 3, 105);
INSERT INTO `sys_areas_info` VALUES (567, '广西壮族自治区', '柳州市', '柳北区', '0772', 3, 388);
INSERT INTO `sys_areas_info` VALUES (568, '山西省', '吕梁市', '交城县', '0358', 3, 227);
INSERT INTO `sys_areas_info` VALUES (569, '广西壮族自治区', '桂林市', '灵川县', '0773', 3, 400);
INSERT INTO `sys_areas_info` VALUES (570, '广西壮族自治区', '百色市', '靖西县', '0776', 3, 392);
INSERT INTO `sys_areas_info` VALUES (571, '安徽省', '蚌埠市', '怀远县', '0552', 3, 372);
INSERT INTO `sys_areas_info` VALUES (572, '江西省', '吉安市', '井冈山市', '0796', 3, 332);
INSERT INTO `sys_areas_info` VALUES (573, '江西省', '南昌市', '新建县', '0791', 3, 200);
INSERT INTO `sys_areas_info` VALUES (574, '贵州省', '遵义市', '凤冈县', '0852', 3, 288);
INSERT INTO `sys_areas_info` VALUES (575, '江西省', '宜春市', '铜鼓县', '0795', 3, 142);
INSERT INTO `sys_areas_info` VALUES (576, '陕西省', '宝鸡市', '凤翔县', '0917', 3, 232);
INSERT INTO `sys_areas_info` VALUES (577, '广东省', '韶关市', '武江区', '0751', 3, 149);
INSERT INTO `sys_areas_info` VALUES (578, '四川省', '凉山彝族自治州', '越西县', '0834', 3, 173);
INSERT INTO `sys_areas_info` VALUES (579, '河北省', '沧州市', '沧县', '0', 3, 286);
INSERT INTO `sys_areas_info` VALUES (580, '安徽省', '阜阳市', '太和县', '0558', 3, 265);
INSERT INTO `sys_areas_info` VALUES (581, '云南省', '临沧市', '凤庆县', '0883', 3, 270);
INSERT INTO `sys_areas_info` VALUES (582, '浙江省', '丽水市', '缙云县', '0578', 3, 365);
INSERT INTO `sys_areas_info` VALUES (583, '西藏自治区', '日喀则地区', '日喀则市', '0892', 3, 187);
INSERT INTO `sys_areas_info` VALUES (584, '云南省', '昆明市', '安宁市', '0871', 3, 369);
INSERT INTO `sys_areas_info` VALUES (585, '湖北省', '武汉市', '蔡甸区', '027', 3, 113);
INSERT INTO `sys_areas_info` VALUES (586, '宁夏回族自治区', '吴忠市', '盐池县', '0953', 3, 383);
INSERT INTO `sys_areas_info` VALUES (587, '云南省', '大理白族自治州', '巍山彝族回族自治县', '0872', 3, 191);
INSERT INTO `sys_areas_info` VALUES (588, '湖南省', '邵阳市', '邵东县', '0739', 3, 274);
INSERT INTO `sys_areas_info` VALUES (589, '福建省', '福州市', '连江县', '0591', 3, 177);
INSERT INTO `sys_areas_info` VALUES (590, '四川省', '达州市', '大竹县', '0818', 3, 317);
INSERT INTO `sys_areas_info` VALUES (591, '浙江省', '杭州市', '西湖区', '0571', 3, 263);
INSERT INTO `sys_areas_info` VALUES (592, '河北省', '石家庄市', '栾城县', '0', 3, 264);
INSERT INTO `sys_areas_info` VALUES (593, '湖南省', '永州市', '东安县', '0746', 3, 408);
INSERT INTO `sys_areas_info` VALUES (594, '安徽省', '铜陵市', '铜官山区', '0562', 3, 132);
INSERT INTO `sys_areas_info` VALUES (595, '广东省', '汕头市', '龙湖区', '0754', 3, 215);
INSERT INTO `sys_areas_info` VALUES (596, '四川省', '德阳市', '什邡市', '0838', 3, 178);
INSERT INTO `sys_areas_info` VALUES (597, '云南省', '临沧市', '临翔区', '0883', 3, 270);
INSERT INTO `sys_areas_info` VALUES (598, '内蒙古自治区', '鄂尔多斯市', '东胜区', '0477', 3, 384);
INSERT INTO `sys_areas_info` VALUES (599, '福建省', '南平市', '光泽县', '0599', 3, 119);
INSERT INTO `sys_areas_info` VALUES (600, '四川省', '南充市', '营山县', '0817', 3, 350);
INSERT INTO `sys_areas_info` VALUES (601, '山西省', '大同市', '城区', '0352', 3, 108);
INSERT INTO `sys_areas_info` VALUES (602, '云南省', '红河哈尼族彝族自治州', '元阳县', '0873', 3, 399);
INSERT INTO `sys_areas_info` VALUES (603, '浙江省', '温州市', '瓯海区', '0577', 3, 315);
INSERT INTO `sys_areas_info` VALUES (604, '河北省', '邯郸市', '魏县', '0', 3, 348);
INSERT INTO `sys_areas_info` VALUES (605, '山东省', '泰安市', '岱岳区', '0538', 3, 192);
INSERT INTO `sys_areas_info` VALUES (606, '广西壮族自治区', '百色市', '乐业县', '0776', 3, 392);
INSERT INTO `sys_areas_info` VALUES (607, '四川省', '南充市', '嘉陵区', '0817', 3, 350);
INSERT INTO `sys_areas_info` VALUES (608, '黑龙江省', '牡丹江市', '东安区', '0453', 3, 260);
INSERT INTO `sys_areas_info` VALUES (609, '山东省', '聊城市', '东昌府区', '0635', 3, 402);
INSERT INTO `sys_areas_info` VALUES (610, '青海省', '西宁市', '城北区', '0971', 3, 193);
INSERT INTO `sys_areas_info` VALUES (611, '云南省', '红河哈尼族彝族自治州', '个旧市', '0873', 3, 399);
INSERT INTO `sys_areas_info` VALUES (612, '江苏省', '南京市', '雨花台区', '025', 3, 313);
INSERT INTO `sys_areas_info` VALUES (613, '湖北省', '荆门市', '东宝区', '0724', 3, 153);
INSERT INTO `sys_areas_info` VALUES (614, '山西省', '吕梁市', '中阳县', '0358', 3, 227);
INSERT INTO `sys_areas_info` VALUES (615, '广西壮族自治区', '柳州市', '柳江县', '0772', 3, 388);
INSERT INTO `sys_areas_info` VALUES (616, '河北省', '石家庄市', '行唐县', '0', 3, 264);
INSERT INTO `sys_areas_info` VALUES (617, '山西省', '运城市', '闻喜县', '0359', 3, 236);
INSERT INTO `sys_areas_info` VALUES (618, '江西省', '赣州市', '兴国县', '0797', 3, 336);
INSERT INTO `sys_areas_info` VALUES (619, '浙江省', '嘉兴市', '秀城区', '0573', 3, 107);
INSERT INTO `sys_areas_info` VALUES (620, '浙江省', '宁波市', '镇海区', '0574', 3, 217);
INSERT INTO `sys_areas_info` VALUES (621, '湖北省', '黄冈市', '罗田县', '0713', 3, 397);
INSERT INTO `sys_areas_info` VALUES (622, '辽宁省', '大连市', '庄河市', '0', 3, 262);
INSERT INTO `sys_areas_info` VALUES (623, '河南省', '漯河市', '郾城区', '0395', 3, 396);
INSERT INTO `sys_areas_info` VALUES (624, '吉林省', '长春市', '南关区', '0431', 3, 112);
INSERT INTO `sys_areas_info` VALUES (625, '安徽省', '黄山市', '休宁县', '0559', 3, 279);
INSERT INTO `sys_areas_info` VALUES (626, '天津市', '天津市', '宝坻区', '0', 3, 252);
INSERT INTO `sys_areas_info` VALUES (627, '山西省', '晋中市', '祁县', '0354', 3, 139);
INSERT INTO `sys_areas_info` VALUES (628, '山东省', '青岛市', '崂山区', '0532', 3, 284);
INSERT INTO `sys_areas_info` VALUES (629, '广西壮族自治区', '梧州市', '岑溪市', '0774', 3, 280);
INSERT INTO `sys_areas_info` VALUES (630, '安徽省', '安庆市', '怀宁县', '0556', 3, 246);
INSERT INTO `sys_areas_info` VALUES (631, '甘肃省', '张掖市', '山丹县', '0936', 3, 362);
INSERT INTO `sys_areas_info` VALUES (632, '黑龙江省', '黑河市', '嫩江县', '0456', 3, 131);
INSERT INTO `sys_areas_info` VALUES (633, '浙江省', '嘉兴市', '桐乡市', '0573', 3, 107);
INSERT INTO `sys_areas_info` VALUES (634, '河北省', '张家口市', '尚义县', '0', 3, 162);
INSERT INTO `sys_areas_info` VALUES (635, '湖北省', '十堰市', '张湾区', '0719', 3, 185);
INSERT INTO `sys_areas_info` VALUES (636, '云南省', '临沧市', '双江拉祜族佤族布朗族傣族自治县', '0883', 3, 270);
INSERT INTO `sys_areas_info` VALUES (637, '江西省', '上饶市', '婺源县', '0793', 3, 234);
INSERT INTO `sys_areas_info` VALUES (638, '四川省', '南充市', '蓬安县', '0817', 3, 350);
INSERT INTO `sys_areas_info` VALUES (639, '内蒙古自治区', '呼和浩特市', '赛罕区', '0471', 3, 422);
INSERT INTO `sys_areas_info` VALUES (640, '陕西省', '西安市', '户县', '029', 3, 334);
INSERT INTO `sys_areas_info` VALUES (641, '河北省', '邯郸市', '永年县', '0', 3, 348);
INSERT INTO `sys_areas_info` VALUES (642, '辽宁省', '锦州市', '古塔区', '0416', 3, 243);
INSERT INTO `sys_areas_info` VALUES (643, '河南省', '信阳市', '固始县', '0376', 3, 269);
INSERT INTO `sys_areas_info` VALUES (644, '福建省', '宁德市', '霞浦县', '0593', 3, 202);
INSERT INTO `sys_areas_info` VALUES (645, '辽宁省', '丹东市', '振安区', '0415', 3, 305);
INSERT INTO `sys_areas_info` VALUES (646, '四川省', '达州市', '渠县', '0818', 3, 317);
INSERT INTO `sys_areas_info` VALUES (647, '浙江省', '丽水市', '松阳县', '0578', 3, 365);
INSERT INTO `sys_areas_info` VALUES (648, '山东省', '泰安市', '宁阳县', '0538', 3, 192);
INSERT INTO `sys_areas_info` VALUES (649, '辽宁省', '营口市', '大石桥市', '0417', 3, 166);
INSERT INTO `sys_areas_info` VALUES (650, '陕西省', '榆林市', '榆阳区', '0912', 3, 421);
INSERT INTO `sys_areas_info` VALUES (651, '广西壮族自治区', '百色市', '田东县', '0776', 3, 392);
INSERT INTO `sys_areas_info` VALUES (652, '广东省', '广州市', '海珠区', '020', 3, 129);
INSERT INTO `sys_areas_info` VALUES (653, '陕西省', '渭南市', '合阳县', '0913', 3, 205);
INSERT INTO `sys_areas_info` VALUES (654, '江苏省', '苏州市', '吴江市', '0512', 3, 281);
INSERT INTO `sys_areas_info` VALUES (655, '广西壮族自治区', '来宾市', '忻城县', '0772', 3, 225);
INSERT INTO `sys_areas_info` VALUES (656, '四川省', '达州市', '通川区', '0818', 3, 317);
INSERT INTO `sys_areas_info` VALUES (657, '河北省', '邯郸市', '邯郸县', '0', 3, 348);
INSERT INTO `sys_areas_info` VALUES (658, '黑龙江省', '佳木斯市', '富锦市', '0454', 3, 105);
INSERT INTO `sys_areas_info` VALUES (659, '广东省', '深圳市', '南山区', '0755', 3, 118);
INSERT INTO `sys_areas_info` VALUES (660, '湖北省', '武汉市', '新洲区', '027', 3, 113);
INSERT INTO `sys_areas_info` VALUES (661, '广西壮族自治区', '南宁市', '邕宁区', '0771', 3, 242);
INSERT INTO `sys_areas_info` VALUES (662, '河北省', '邢台市', '临城县', '0', 3, 151);
INSERT INTO `sys_areas_info` VALUES (663, '江西省', '吉安市', '泰和县', '0796', 3, 332);
INSERT INTO `sys_areas_info` VALUES (664, '河北省', '保定市', '清苑县', '0', 3, 209);
INSERT INTO `sys_areas_info` VALUES (665, '甘肃省', '武威市', '凉州区', '0935', 3, 294);
INSERT INTO `sys_areas_info` VALUES (666, '江苏省', '宿迁市', '宿城区', '0527', 3, 285);
INSERT INTO `sys_areas_info` VALUES (667, '河北省', '唐山市', '乐亭县', '0', 3, 277);
INSERT INTO `sys_areas_info` VALUES (668, '辽宁省', '朝阳市', '双塔区', '0421', 3, 174);
INSERT INTO `sys_areas_info` VALUES (669, '河北省', '承德市', '兴隆县', '0', 3, 127);
INSERT INTO `sys_areas_info` VALUES (670, '安徽省', '宿州市', '灵璧县', '0557', 3, 181);
INSERT INTO `sys_areas_info` VALUES (671, '甘肃省', '兰州市', '七里河区', '0931', 3, 228);
INSERT INTO `sys_areas_info` VALUES (672, '云南省', '昆明市', '官渡区', '0871', 3, 369);
INSERT INTO `sys_areas_info` VALUES (673, '安徽省', '亳州市', '利辛县', '0558', 3, 249);
INSERT INTO `sys_areas_info` VALUES (674, '河北省', '秦皇岛市', '海港区', '0', 3, 163);
INSERT INTO `sys_areas_info` VALUES (675, '云南省', '文山壮族苗族自治州', '丘北县', '0876', 3, 426);
INSERT INTO `sys_areas_info` VALUES (676, '河北省', '邯郸市', '磁县', '0', 3, 348);
INSERT INTO `sys_areas_info` VALUES (677, '广东省', '清远市', '清城区', '0763', 3, 196);
INSERT INTO `sys_areas_info` VALUES (678, '山西省', '运城市', '万荣县', '0359', 3, 236);
INSERT INTO `sys_areas_info` VALUES (679, '天津市', '天津市', '北辰区', '0', 3, 252);
INSERT INTO `sys_areas_info` VALUES (680, '四川省', '绵阳市', '江油市', '0816', 3, 224);
INSERT INTO `sys_areas_info` VALUES (681, '江西省', '南昌市', '进贤县', '0791', 3, 200);
INSERT INTO `sys_areas_info` VALUES (682, '广西壮族自治区', '南宁市', '宾阳县', '0771', 3, 242);
INSERT INTO `sys_areas_info` VALUES (683, '河北省', '张家口市', '涿鹿县', '0', 3, 162);
INSERT INTO `sys_areas_info` VALUES (684, '甘肃省', '庆阳市', '庆城县', '0934', 3, 198);
INSERT INTO `sys_areas_info` VALUES (685, '山东省', '东营市', '东营区', '0546', 3, 140);
INSERT INTO `sys_areas_info` VALUES (686, '河南省', '郑州市', '新密市', '0371', 3, 308);
INSERT INTO `sys_areas_info` VALUES (687, '贵州省', '黔东南苗族侗族自治州', '锦屏县', '0855', 3, 325);
INSERT INTO `sys_areas_info` VALUES (688, '辽宁省', '锦州市', '黑山县', '0416', 3, 243);
INSERT INTO `sys_areas_info` VALUES (689, '河南省', '平顶山市', '鲁山县', '0375', 3, 117);
INSERT INTO `sys_areas_info` VALUES (690, '湖北省', '荆州市', '沙市区', '0716', 3, 361);
INSERT INTO `sys_areas_info` VALUES (691, '山东省', '烟台市', '芝罘区', '0535', 3, 261);
INSERT INTO `sys_areas_info` VALUES (692, '内蒙古自治区', '阿拉善盟', '阿拉善左旗', '0483', 3, 123);
INSERT INTO `sys_areas_info` VALUES (693, '江苏省', '常州市', '武进区', '0519', 3, 304);
INSERT INTO `sys_areas_info` VALUES (694, '内蒙古自治区', '包头市', '昆都仑区', '0472', 3, 230);
INSERT INTO `sys_areas_info` VALUES (695, '山西省', '长治市', '沁县', '0355', 3, 394);
INSERT INTO `sys_areas_info` VALUES (696, '河南省', '郑州市', '二七区', '0371', 3, 308);
INSERT INTO `sys_areas_info` VALUES (697, '辽宁省', '铁岭市', '西丰县', '0410', 3, 223);
INSERT INTO `sys_areas_info` VALUES (698, '湖北省', '随州市', '广水市', '0722', 3, 324);
INSERT INTO `sys_areas_info` VALUES (699, '广西壮族自治区', '桂林市', '七星区', '0773', 3, 400);
INSERT INTO `sys_areas_info` VALUES (700, '上海市', '上海市', '杨浦区', '021', 3, 287);
INSERT INTO `sys_areas_info` VALUES (701, '山西省', '运城市', '临猗县', '0359', 3, 236);
INSERT INTO `sys_areas_info` VALUES (702, '甘肃省', '庆阳市', '西峰区', '0934', 3, 198);
INSERT INTO `sys_areas_info` VALUES (703, '江西省', '赣州市', '宁都县', '0797', 3, 336);
INSERT INTO `sys_areas_info` VALUES (704, '江西省', '宜春市', '樟树市', '0795', 3, 142);
INSERT INTO `sys_areas_info` VALUES (705, '福建省', '福州市', '闽侯县', '0591', 3, 177);
INSERT INTO `sys_areas_info` VALUES (706, '广东省', '广州市', '萝岗区', '020', 3, 129);
INSERT INTO `sys_areas_info` VALUES (707, '河北省', '衡水市', '武邑县', '0', 3, 138);
INSERT INTO `sys_areas_info` VALUES (708, '云南省', '昭通市', '彝良县', '0870', 3, 389);
INSERT INTO `sys_areas_info` VALUES (709, '四川省', '成都市', '新都区', '028', 3, 106);
INSERT INTO `sys_areas_info` VALUES (710, '江苏省', '无锡市', '滨湖区', '0510', 3, 364);
INSERT INTO `sys_areas_info` VALUES (711, '广西壮族自治区', '梧州市', '苍梧县', '0774', 3, 280);
INSERT INTO `sys_areas_info` VALUES (712, '河北省', '廊坊市', '永清县', '0', 3, 176);
INSERT INTO `sys_areas_info` VALUES (713, '浙江省', '湖州市', '安吉县', '0572', 3, 159);
INSERT INTO `sys_areas_info` VALUES (714, '广东省', '肇庆市', '端州区', '0758', 3, 144);
INSERT INTO `sys_areas_info` VALUES (715, '四川省', '眉山市', '东坡区', '028', 3, 342);
INSERT INTO `sys_areas_info` VALUES (716, '辽宁省', '丹东市', '东港市', '0415', 3, 305);
INSERT INTO `sys_areas_info` VALUES (717, '湖南省', '长沙市', '开福区', '0731', 3, 201);
INSERT INTO `sys_areas_info` VALUES (718, '湖北省', '咸宁市', '嘉鱼县', '0715', 3, 271);
INSERT INTO `sys_areas_info` VALUES (719, '湖北省', '荆州市', '石首市', '0716', 3, 361);
INSERT INTO `sys_areas_info` VALUES (720, '广西壮族自治区', '玉林市', '陆川县', '0775', 3, 338);
INSERT INTO `sys_areas_info` VALUES (721, '江苏省', '淮安市', '洪泽县', '0517', 3, 360);
INSERT INTO `sys_areas_info` VALUES (722, '广东省', '珠海市', '金湾区', '0756', 3, 134);
INSERT INTO `sys_areas_info` VALUES (723, '江苏省', '常州市', '天宁区', '0519', 3, 304);
INSERT INTO `sys_areas_info` VALUES (724, '河南省', '三门峡市', '陕县', '0398', 3, 328);
INSERT INTO `sys_areas_info` VALUES (725, '江苏省', '泰州市', '高港区', '0523', 3, 311);
INSERT INTO `sys_areas_info` VALUES (726, '广东省', '江门市', '开平市', '0750', 3, 398);
INSERT INTO `sys_areas_info` VALUES (727, '辽宁省', '盘锦市', '盘山县', '0427', 3, 147);
INSERT INTO `sys_areas_info` VALUES (728, '广西壮族自治区', '钦州市', '灵山县', '0777', 3, 212);
INSERT INTO `sys_areas_info` VALUES (729, '贵州省', '遵义市', '湄潭县', '0852', 3, 288);
INSERT INTO `sys_areas_info` VALUES (730, '甘肃省', '张掖市', '甘州区', '0936', 3, 362);
INSERT INTO `sys_areas_info` VALUES (731, '山西省', '晋中市', '灵石县', '0354', 3, 139);
INSERT INTO `sys_areas_info` VALUES (732, '辽宁省', '丹东市', '凤城市', '0415', 3, 305);
INSERT INTO `sys_areas_info` VALUES (733, '浙江省', '杭州市', '滨江区', '0571', 3, 263);
INSERT INTO `sys_areas_info` VALUES (734, '辽宁省', '鞍山市', '海城市', '0', 3, 301);
INSERT INTO `sys_areas_info` VALUES (735, '辽宁省', '朝阳市', '朝阳县', '0421', 3, 174);
INSERT INTO `sys_areas_info` VALUES (736, '甘肃省', '天水市', '秦安县', '0938', 3, 179);
INSERT INTO `sys_areas_info` VALUES (737, '河北省', '保定市', '望都县', '0', 3, 209);
INSERT INTO `sys_areas_info` VALUES (738, '山东省', '菏泽市', '巨野县', '0530', 3, 216);
INSERT INTO `sys_areas_info` VALUES (739, '广西壮族自治区', '玉林市', '兴业县', '0775', 3, 338);
INSERT INTO `sys_areas_info` VALUES (740, '浙江省', '湖州市', '南浔区', '0572', 3, 159);
INSERT INTO `sys_areas_info` VALUES (741, '云南省', '昭通市', '大关县', '0870', 3, 389);
INSERT INTO `sys_areas_info` VALUES (742, '河南省', '安阳市', '滑县', '0372', 3, 353);
INSERT INTO `sys_areas_info` VALUES (743, '河北省', '衡水市', '深州市', '0', 3, 138);
INSERT INTO `sys_areas_info` VALUES (744, '四川省', '眉山市', '彭山县', '028', 3, 342);
INSERT INTO `sys_areas_info` VALUES (745, '广东省', '汕头市', '濠江区', '0754', 3, 215);
INSERT INTO `sys_areas_info` VALUES (746, '河北省', '秦皇岛市', '青龙满族自治县', '0', 3, 163);
INSERT INTO `sys_areas_info` VALUES (747, '浙江省', '温州市', '瑞安市', '0577', 3, 315);
INSERT INTO `sys_areas_info` VALUES (748, '安徽省', '滁州市', '明光市', '0550', 3, 380);
INSERT INTO `sys_areas_info` VALUES (749, '河北省', '廊坊市', '三河市', '0', 3, 176);
INSERT INTO `sys_areas_info` VALUES (750, '福建省', '泉州市', '南安市', '0595', 3, 161);
INSERT INTO `sys_areas_info` VALUES (751, '江苏省', '盐城市', '滨海县', '0515', 3, 329);
INSERT INTO `sys_areas_info` VALUES (752, '云南省', '西双版纳傣族自治州', '勐腊县', '0691', 3, 390);
INSERT INTO `sys_areas_info` VALUES (753, '河南省', '焦作市', '武陟县', '0391', 3, 175);
INSERT INTO `sys_areas_info` VALUES (754, '重庆市', '重庆市', '巴南区', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (755, '河南省', '平顶山市', '宝丰县', '0375', 3, 117);
INSERT INTO `sys_areas_info` VALUES (756, '河北省', '衡水市', '安平县', '0', 3, 138);
INSERT INTO `sys_areas_info` VALUES (757, '福建省', '漳州市', '长泰县', '0596', 3, 150);
INSERT INTO `sys_areas_info` VALUES (758, '重庆市', '重庆市', '长寿区', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (759, '重庆市', '重庆市', '璧山县', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (760, '河南省', '焦作市', '解放区', '0391', 3, 175);
INSERT INTO `sys_areas_info` VALUES (761, '贵州省', '黔西南布依族苗族自治州', '安龙县', '0859', 3, 297);
INSERT INTO `sys_areas_info` VALUES (762, '四川省', '成都市', '双流县', '028', 3, 106);
INSERT INTO `sys_areas_info` VALUES (763, '河南省', '焦作市', '济源市', '0391', 3, 175);
INSERT INTO `sys_areas_info` VALUES (764, '江西省', '抚州市', '黎川县', '0794', 3, 266);
INSERT INTO `sys_areas_info` VALUES (765, '福建省', '泉州市', '晋江市', '0595', 3, 161);
INSERT INTO `sys_areas_info` VALUES (766, '辽宁省', '葫芦岛市', '其他', '0429', 3, 213);
INSERT INTO `sys_areas_info` VALUES (767, '辽宁省', '抚顺市', '东洲区', '0', 3, 158);
INSERT INTO `sys_areas_info` VALUES (768, '河北省', '保定市', '定兴县', '0', 3, 209);
INSERT INTO `sys_areas_info` VALUES (769, '安徽省', '合肥市', '蜀山区', '0551', 3, 299);
INSERT INTO `sys_areas_info` VALUES (770, '河北省', '秦皇岛市', '北戴河区', '0', 3, 163);
INSERT INTO `sys_areas_info` VALUES (771, '江苏省', '泰州市', '兴化市', '0523', 3, 311);
INSERT INTO `sys_areas_info` VALUES (772, '陕西省', '西安市', '雁塔区', '029', 3, 334);
INSERT INTO `sys_areas_info` VALUES (773, '河北省', '廊坊市', '香河县', '0', 3, 176);
INSERT INTO `sys_areas_info` VALUES (774, '天津市', '天津市', '东丽区', '0', 3, 252);
INSERT INTO `sys_areas_info` VALUES (775, '山西省', '运城市', '河津市', '0359', 3, 236);
INSERT INTO `sys_areas_info` VALUES (776, '湖北省', '襄樊市', '樊城区', '0710', 3, 412);
INSERT INTO `sys_areas_info` VALUES (777, '河北省', '邢台市', '威县', '0', 3, 151);
INSERT INTO `sys_areas_info` VALUES (778, '云南省', '思茅市', '镇沅彝族哈尼族拉祜族自治县', NULL, 3, 168);
INSERT INTO `sys_areas_info` VALUES (779, '重庆市', '重庆市', '九龙坡区', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (780, '湖南省', '衡阳市', '衡东县', '0734', 3, 116);
INSERT INTO `sys_areas_info` VALUES (781, '天津市', '天津市', '红桥区', '0', 3, 252);
INSERT INTO `sys_areas_info` VALUES (782, '浙江省', '台州市', '三门县', '0576', 3, 289);
INSERT INTO `sys_areas_info` VALUES (783, '江西省', '抚州市', '南城县', '0794', 3, 266);
INSERT INTO `sys_areas_info` VALUES (784, '陕西省', '铜川市', '耀州区', '0919', 3, 220);
INSERT INTO `sys_areas_info` VALUES (785, '安徽省', '阜阳市', '颍州区', '0558', 3, 265);
INSERT INTO `sys_areas_info` VALUES (786, '广西壮族自治区', '柳州市', '城中区', '0772', 3, 388);
INSERT INTO `sys_areas_info` VALUES (787, '河南省', '漯河市', '临颍县', '0395', 3, 396);
INSERT INTO `sys_areas_info` VALUES (788, '河南省', '郑州市', '中牟县', '0371', 3, 308);
INSERT INTO `sys_areas_info` VALUES (789, '北京市', '北京市', '通州区', '010', 3, 368);
INSERT INTO `sys_areas_info` VALUES (790, '黑龙江省', '大庆市', '龙凤区', '0459', 3, 415);
INSERT INTO `sys_areas_info` VALUES (791, '河南省', '平顶山市', '汝州市', '0375', 3, 117);
INSERT INTO `sys_areas_info` VALUES (792, '山西省', '长治市', '屯留县', '0355', 3, 394);
INSERT INTO `sys_areas_info` VALUES (793, '山东省', '济南市', '济阳县', '0531', 3, 306);
INSERT INTO `sys_areas_info` VALUES (794, '江苏省', '南京市', '六合区', '025', 3, 313);
INSERT INTO `sys_areas_info` VALUES (795, '河南省', '安阳市', '安阳县', '0372', 3, 353);
INSERT INTO `sys_areas_info` VALUES (796, '江西省', '上饶市', '德兴市', '0793', 3, 234);
INSERT INTO `sys_areas_info` VALUES (797, '浙江省', '杭州市', '余杭区', '0571', 3, 263);
INSERT INTO `sys_areas_info` VALUES (798, '天津市', '天津市', '河西区', '0', 3, 252);
INSERT INTO `sys_areas_info` VALUES (799, '四川省', '宜宾市', '珙县', '0831', 3, 109);
INSERT INTO `sys_areas_info` VALUES (800, '山西省', '太原市', '尖草坪区', '0351', 3, 154);
INSERT INTO `sys_areas_info` VALUES (801, '安徽省', '阜阳市', '阜南县', '0558', 3, 265);
INSERT INTO `sys_areas_info` VALUES (802, '山西省', '临汾市', '侯马市', '0357', 3, 238);
INSERT INTO `sys_areas_info` VALUES (803, '山东省', '济宁市', '金乡县', '0537', 3, 169);
INSERT INTO `sys_areas_info` VALUES (804, '河南省', '安阳市', '龙安区', '0372', 3, 353);
INSERT INTO `sys_areas_info` VALUES (805, '湖南省', '湘潭市', '湘潭县', '0731', 3, 337);
INSERT INTO `sys_areas_info` VALUES (806, '四川省', '达州市', '达县', '0818', 3, 317);
INSERT INTO `sys_areas_info` VALUES (807, '甘肃省', '平凉市', '庄浪县', '0933', 3, 218);
INSERT INTO `sys_areas_info` VALUES (808, '湖北省', '咸宁市', '咸安区', '0715', 3, 271);
INSERT INTO `sys_areas_info` VALUES (809, '重庆市', '重庆市', '垫江县', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (810, '黑龙江省', '哈尔滨市', '香坊区', '0451', 3, 124);
INSERT INTO `sys_areas_info` VALUES (811, '上海市', '上海市', '黄浦区', '021', 3, 287);
INSERT INTO `sys_areas_info` VALUES (812, '吉林省', '白城市', '通榆县', '0436', 3, 343);
INSERT INTO `sys_areas_info` VALUES (813, '四川省', '成都市', '龙泉驿区', '028', 3, 106);
INSERT INTO `sys_areas_info` VALUES (814, '河北省', '秦皇岛市', '卢龙县', '0', 3, 163);
INSERT INTO `sys_areas_info` VALUES (815, '重庆市', '重庆市', '铜梁县', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (816, '甘肃省', '酒泉市', '肃州区', '0937', 3, 409);
INSERT INTO `sys_areas_info` VALUES (817, '河南省', '平顶山市', '新华区', '0375', 3, 117);
INSERT INTO `sys_areas_info` VALUES (818, '湖北省', '孝感市', '其他', '0712', 3, 210);
INSERT INTO `sys_areas_info` VALUES (819, '山东省', '日照市', '五莲县', '0633', 3, 115);
INSERT INTO `sys_areas_info` VALUES (820, '四川省', '宜宾市', '江安县', '0831', 3, 109);
INSERT INTO `sys_areas_info` VALUES (821, '福建省', '龙岩市', '其他', '0597', 3, 267);
INSERT INTO `sys_areas_info` VALUES (822, '河南省', '三门峡市', '灵宝市', '0398', 3, 328);
INSERT INTO `sys_areas_info` VALUES (823, '广东省', '肇庆市', '四会市', '0758', 3, 144);
INSERT INTO `sys_areas_info` VALUES (824, '内蒙古自治区', '兴安盟', '科尔沁右翼前旗', '0482', 3, 248);
INSERT INTO `sys_areas_info` VALUES (825, '湖南省', '衡阳市', '雁峰区', '0734', 3, 116);
INSERT INTO `sys_areas_info` VALUES (826, '山西省', '太原市', '清徐县', '0351', 3, 154);
INSERT INTO `sys_areas_info` VALUES (827, '福建省', '龙岩市', '长汀县', '0597', 3, 267);
INSERT INTO `sys_areas_info` VALUES (828, '辽宁省', '营口市', '盖州市', '0417', 3, 166);
INSERT INTO `sys_areas_info` VALUES (829, '陕西省', '商洛市', '洛南县', '0914', 3, 323);
INSERT INTO `sys_areas_info` VALUES (830, '河南省', '焦作市', '修武县', '0391', 3, 175);
INSERT INTO `sys_areas_info` VALUES (831, '湖北省', '孝感市', '应城市', '0712', 3, 210);
INSERT INTO `sys_areas_info` VALUES (832, '甘肃省', '白银市', '平川区', '0943', 3, 157);
INSERT INTO `sys_areas_info` VALUES (833, '江苏省', '南通市', '海门市', '0513', 3, 416);
INSERT INTO `sys_areas_info` VALUES (834, '安徽省', '淮南市', '谢家集区', '0554', 3, 367);
INSERT INTO `sys_areas_info` VALUES (835, '内蒙古自治区', '兴安盟', '科尔沁右翼中旗', '0482', 3, 248);
INSERT INTO `sys_areas_info` VALUES (836, '广西壮族自治区', '河池市', '南丹县', '0778', 3, 197);
INSERT INTO `sys_areas_info` VALUES (837, '江西省', '吉安市', '吉安县', '0796', 3, 332);
INSERT INTO `sys_areas_info` VALUES (838, '辽宁省', '鞍山市', '立山区', '0', 3, 301);
INSERT INTO `sys_areas_info` VALUES (839, '河北省', '邢台市', '巨鹿县', '0', 3, 151);
INSERT INTO `sys_areas_info` VALUES (840, '四川省', '达州市', '开江县', '0818', 3, 317);
INSERT INTO `sys_areas_info` VALUES (841, '河北省', '廊坊市', '霸州市', '0', 3, 176);
INSERT INTO `sys_areas_info` VALUES (842, '山西省', '朔州市', '平鲁区', '0349', 3, 290);
INSERT INTO `sys_areas_info` VALUES (843, '辽宁省', '锦州市', '凌海市', '0416', 3, 243);
INSERT INTO `sys_areas_info` VALUES (844, '湖北省', '荆州市', '监利县', '0716', 3, 361);
INSERT INTO `sys_areas_info` VALUES (845, '山东省', '临沂市', '河东区', '0539', 3, 312);
INSERT INTO `sys_areas_info` VALUES (846, '河北省', '石家庄市', '元氏县', '0', 3, 264);
INSERT INTO `sys_areas_info` VALUES (847, '上海市', '上海市', '闵行区', '021', 3, 287);
INSERT INTO `sys_areas_info` VALUES (848, '吉林省', '白城市', '洮北区', '0436', 3, 343);
INSERT INTO `sys_areas_info` VALUES (849, '云南省', '思茅市', '西盟佤族自治县', NULL, 3, 168);
INSERT INTO `sys_areas_info` VALUES (850, '广东省', '江门市', '蓬江区', '0750', 3, 398);
INSERT INTO `sys_areas_info` VALUES (851, '贵州省', '毕节地区', '大方县', '0857', 3, 318);
INSERT INTO `sys_areas_info` VALUES (852, '河南省', '南阳市', '西峡县', '0377', 3, 405);
INSERT INTO `sys_areas_info` VALUES (853, '辽宁省', '抚顺市', '望花区', '0', 3, 158);
INSERT INTO `sys_areas_info` VALUES (854, '山西省', '长治市', '城区', '0355', 3, 394);
INSERT INTO `sys_areas_info` VALUES (855, '广东省', '清远市', '佛冈县', '0763', 3, 196);
INSERT INTO `sys_areas_info` VALUES (856, '河北省', '石家庄市', '鹿泉市', '0', 3, 264);
INSERT INTO `sys_areas_info` VALUES (857, '河南省', '南阳市', '桐柏县', '0377', 3, 405);
INSERT INTO `sys_areas_info` VALUES (858, '辽宁省', '本溪市', '本溪满族自治县', '0414', 3, 141);
INSERT INTO `sys_areas_info` VALUES (859, '浙江省', '衢州市', '龙游县', '0570', 3, 257);
INSERT INTO `sys_areas_info` VALUES (860, '福建省', '莆田市', '秀屿区', '0594', 3, 346);
INSERT INTO `sys_areas_info` VALUES (861, '江苏省', '宿迁市', '泗洪县', '0527', 3, 285);
INSERT INTO `sys_areas_info` VALUES (862, '江苏省', '淮安市', '涟水县', '0517', 3, 360);
INSERT INTO `sys_areas_info` VALUES (863, '湖南省', '益阳市', '安化县', '0737', 3, 145);
INSERT INTO `sys_areas_info` VALUES (864, '辽宁省', '本溪市', '平山区', '0414', 3, 141);
INSERT INTO `sys_areas_info` VALUES (865, '青海省', '海南藏族自治州', '共和县', '0974', 3, 148);
INSERT INTO `sys_areas_info` VALUES (866, '四川省', '绵阳市', '北川羌族自治县', '0816', 3, 224);
INSERT INTO `sys_areas_info` VALUES (867, '江西省', '九江市', '都昌县', '0792', 3, 104);
INSERT INTO `sys_areas_info` VALUES (868, '广西壮族自治区', '柳州市', '柳城县', '0772', 3, 388);
INSERT INTO `sys_areas_info` VALUES (869, '云南省', '文山壮族苗族自治州', '马关县', '0876', 3, 426);
INSERT INTO `sys_areas_info` VALUES (870, '江苏省', '扬州市', '广陵区', '0514', 3, 136);
INSERT INTO `sys_areas_info` VALUES (871, '吉林省', '白山市', '八道江区', '0439', 3, 321);
INSERT INTO `sys_areas_info` VALUES (872, '浙江省', '杭州市', '淳安县', '0571', 3, 263);
INSERT INTO `sys_areas_info` VALUES (873, '河南省', '新乡市', '新乡县', '0373', 3, 418);
INSERT INTO `sys_areas_info` VALUES (874, '上海市', '上海市', '松江区', '021', 3, 287);
INSERT INTO `sys_areas_info` VALUES (875, '河北省', '承德市', '滦平县', '0', 3, 127);
INSERT INTO `sys_areas_info` VALUES (876, '浙江省', '舟山市', '定海区', '0580', 3, 194);
INSERT INTO `sys_areas_info` VALUES (877, '河北省', '唐山市', '唐海县', '0', 3, 277);
INSERT INTO `sys_areas_info` VALUES (878, '河北省', '保定市', '北市区', '0', 3, 209);
INSERT INTO `sys_areas_info` VALUES (879, '江西省', '新余市', '渝水区', '0790', 3, 341);
INSERT INTO `sys_areas_info` VALUES (880, '山东省', '德州市', '齐河县', '0534', 3, 133);
INSERT INTO `sys_areas_info` VALUES (881, '云南省', '昆明市', '石林彝族自治县', '0871', 3, 369);
INSERT INTO `sys_areas_info` VALUES (882, '河南省', '周口市', '扶沟县', '0394', 3, 102);
INSERT INTO `sys_areas_info` VALUES (883, '河南省', '新乡市', '原阳县', '0373', 3, 418);
INSERT INTO `sys_areas_info` VALUES (884, '陕西省', '延安市', '宝塔区', '0911', 3, 344);
INSERT INTO `sys_areas_info` VALUES (885, '河北省', '石家庄市', '辛集市', '0', 3, 264);
INSERT INTO `sys_areas_info` VALUES (886, '广西壮族自治区', '河池市', '环江毛南族自治县', '0778', 3, 197);
INSERT INTO `sys_areas_info` VALUES (887, '新疆维吾尔族自治区', '乌鲁木齐市', '乌鲁木齐县', '0991', 3, 207);
INSERT INTO `sys_areas_info` VALUES (888, '山西省', '大同市', '阳高县', '0352', 3, 108);
INSERT INTO `sys_areas_info` VALUES (889, '江西省', '赣州市', '南康市', '0797', 3, 336);
INSERT INTO `sys_areas_info` VALUES (890, '河北省', '沧州市', '任丘市', '0', 3, 286);
INSERT INTO `sys_areas_info` VALUES (891, '山西省', '运城市', '盐湖区', '0359', 3, 236);
INSERT INTO `sys_areas_info` VALUES (892, '湖北省', '恩施市', '建始县', '0718', 3, 340);
INSERT INTO `sys_areas_info` VALUES (893, '四川省', '乐山市', '夹江县', '0833', 3, 155);
INSERT INTO `sys_areas_info` VALUES (894, '河南省', '信阳市', '商城县', '0376', 3, 269);
INSERT INTO `sys_areas_info` VALUES (895, '云南省', '昭通市', '绥江县', '0870', 3, 389);
INSERT INTO `sys_areas_info` VALUES (896, '黑龙江省', '鸡西市', '其他', '0467', 3, 128);
INSERT INTO `sys_areas_info` VALUES (897, '安徽省', '亳州市', '蒙城县', '0558', 3, 249);
INSERT INTO `sys_areas_info` VALUES (898, '浙江省', '杭州市', '富阳市', '0571', 3, 263);
INSERT INTO `sys_areas_info` VALUES (899, '河北省', '沧州市', '吴桥县', '0', 3, 286);
INSERT INTO `sys_areas_info` VALUES (900, '浙江省', '台州市', '玉环县', '0576', 3, 289);
INSERT INTO `sys_areas_info` VALUES (901, '黑龙江省', '哈尔滨市', '尚志市', '0451', 3, 124);
INSERT INTO `sys_areas_info` VALUES (902, '云南省', '玉溪市', '新平彝族傣族自治县', '0877', 3, 387);
INSERT INTO `sys_areas_info` VALUES (903, '江西省', '景德镇市', '珠山区', '0798', 3, 244);
INSERT INTO `sys_areas_info` VALUES (904, '广东省', '梅州市', '五华县', '0753', 3, 143);
INSERT INTO `sys_areas_info` VALUES (905, '上海市', '上海市', '嘉定区', '021', 3, 287);
INSERT INTO `sys_areas_info` VALUES (906, '河北省', '保定市', '南市区', '0', 3, 209);
INSERT INTO `sys_areas_info` VALUES (907, '黑龙江省', '哈尔滨市', '平房区', '0451', 3, 124);
INSERT INTO `sys_areas_info` VALUES (908, '湖北省', '随州市', '曾都区', '0722', 3, 324);
INSERT INTO `sys_areas_info` VALUES (909, '浙江省', '嘉兴市', '海宁市', '0573', 3, 107);
INSERT INTO `sys_areas_info` VALUES (910, '广西壮族自治区', '贺州市', '八步区', '0774', 3, 135);
INSERT INTO `sys_areas_info` VALUES (911, '四川省', '资阳市', '雁江区', '028', 3, 404);
INSERT INTO `sys_areas_info` VALUES (912, '湖北省', '荆门市', '掇刀区', '0724', 3, 153);
INSERT INTO `sys_areas_info` VALUES (913, '天津市', '天津市', '和平区', '0', 3, 252);
INSERT INTO `sys_areas_info` VALUES (914, '四川省', '广安市', '广安区', '0826', 3, 237);
INSERT INTO `sys_areas_info` VALUES (915, '天津市', '天津市', '河东区', '0', 3, 252);
INSERT INTO `sys_areas_info` VALUES (916, '江苏省', '无锡市', '锡山区', '0510', 3, 364);
INSERT INTO `sys_areas_info` VALUES (917, '内蒙古自治区', '呼和浩特市', '回民区', '0471', 3, 422);
INSERT INTO `sys_areas_info` VALUES (918, '贵州省', '铜仁地区', '铜仁市', '0856', 3, 272);
INSERT INTO `sys_areas_info` VALUES (919, '云南省', '昭通市', '永善县', '0870', 3, 389);
INSERT INTO `sys_areas_info` VALUES (920, '贵州省', '黔东南苗族侗族自治州', '黎平县', '0855', 3, 325);
INSERT INTO `sys_areas_info` VALUES (921, '辽宁省', '鞍山市', '岫岩满族自治县', '0', 3, 301);
INSERT INTO `sys_areas_info` VALUES (922, '辽宁省', '大连市', '沙河口区', '0', 3, 262);
INSERT INTO `sys_areas_info` VALUES (923, '湖南省', '郴州市', '桂阳县', '0735', 3, 370);
INSERT INTO `sys_areas_info` VALUES (924, '广东省', '广州市', '花都区', '020', 3, 129);
INSERT INTO `sys_areas_info` VALUES (925, '安徽省', '淮南市', '田家庵区', '0554', 3, 367);
INSERT INTO `sys_areas_info` VALUES (926, '江苏省', '连云港市', '东海县', '0518', 3, 101);
INSERT INTO `sys_areas_info` VALUES (927, '福建省', '福州市', '平潭县', '0591', 3, 177);
INSERT INTO `sys_areas_info` VALUES (928, '福建省', '宁德市', '福安市', '0593', 3, 202);
INSERT INTO `sys_areas_info` VALUES (929, '云南省', '思茅市', '景东彝族自治县', NULL, 3, 168);
INSERT INTO `sys_areas_info` VALUES (930, '江西省', '上饶市', '广丰县', '0793', 3, 234);
INSERT INTO `sys_areas_info` VALUES (931, '广西壮族自治区', '河池市', '大化瑶族自治县', '0778', 3, 197);
INSERT INTO `sys_areas_info` VALUES (932, '青海省', '海东地区', '平安县', '0972', 3, 401);
INSERT INTO `sys_areas_info` VALUES (933, '湖南省', '永州市', '道县', '0746', 3, 408);
INSERT INTO `sys_areas_info` VALUES (934, '河南省', '焦作市', '博爱县', '0391', 3, 175);
INSERT INTO `sys_areas_info` VALUES (935, '广西壮族自治区', '贵港市', '港北区', '0775', 3, 295);
INSERT INTO `sys_areas_info` VALUES (936, '内蒙古自治区', '包头市', '青山区', '0472', 3, 230);
INSERT INTO `sys_areas_info` VALUES (937, '新疆维吾尔族自治区', '塔城地区', '沙湾县', '0901', 3, 146);
INSERT INTO `sys_areas_info` VALUES (938, '辽宁省', '沈阳市', '皇姑区', '0', 3, 170);
INSERT INTO `sys_areas_info` VALUES (939, '湖北省', '宜昌市', '秭归县', '0717', 3, 423);
INSERT INTO `sys_areas_info` VALUES (940, '黑龙江省', '牡丹江市', '海林市', '0453', 3, 260);
INSERT INTO `sys_areas_info` VALUES (941, '江苏省', '苏州市', '沧浪区', '0512', 3, 281);
INSERT INTO `sys_areas_info` VALUES (942, '内蒙古自治区', '包头市', '九原区', '0472', 3, 230);
INSERT INTO `sys_areas_info` VALUES (943, '贵州省', '遵义市', '仁怀市', '0852', 3, 288);
INSERT INTO `sys_areas_info` VALUES (944, '广东省', '佛山市', '南海区', '0757', 3, 378);
INSERT INTO `sys_areas_info` VALUES (945, '山西省', '长治市', '襄垣县', '0355', 3, 394);
INSERT INTO `sys_areas_info` VALUES (946, '新疆维吾尔族自治区', '阿勒泰地区', '石河子市', '0906', 3, 190);
INSERT INTO `sys_areas_info` VALUES (947, '河南省', '南阳市', '邓州市', '0377', 3, 405);
INSERT INTO `sys_areas_info` VALUES (948, '云南省', '大理白族自治州', '宾川县', '0872', 3, 191);
INSERT INTO `sys_areas_info` VALUES (949, '北京市', '北京市', '房山区', '010', 3, 368);
INSERT INTO `sys_areas_info` VALUES (950, '江苏省', '南京市', '江宁区', '025', 3, 313);
INSERT INTO `sys_areas_info` VALUES (951, '福建省', '漳州市', '龙海市', '0596', 3, 150);
INSERT INTO `sys_areas_info` VALUES (952, '河北省', '廊坊市', '安次区', '0', 3, 176);
INSERT INTO `sys_areas_info` VALUES (953, '湖南省', '岳阳市', '岳阳县', '0730', 3, 393);
INSERT INTO `sys_areas_info` VALUES (954, '四川省', '广安市', '岳池县', '0826', 3, 237);
INSERT INTO `sys_areas_info` VALUES (955, '云南省', '文山壮族苗族自治州', '麻栗坡县', '0876', 3, 426);
INSERT INTO `sys_areas_info` VALUES (956, '天津市', '天津市', '河北区', '0', 3, 252);
INSERT INTO `sys_areas_info` VALUES (957, '河南省', '许昌市', '许昌县', '0374', 3, 345);
INSERT INTO `sys_areas_info` VALUES (958, '云南省', '思茅市', '澜沧拉祜族自治县', NULL, 3, 168);
INSERT INTO `sys_areas_info` VALUES (959, '山东省', '菏泽市', '定陶县', '0530', 3, 216);
INSERT INTO `sys_areas_info` VALUES (960, '江苏省', '常州市', '新北区', '0519', 3, 304);
INSERT INTO `sys_areas_info` VALUES (961, '山西省', '太原市', '迎泽区', '0351', 3, 154);
INSERT INTO `sys_areas_info` VALUES (962, '福建省', '福州市', '其他', '0591', 3, 177);
INSERT INTO `sys_areas_info` VALUES (963, '河北省', '石家庄市', '高邑县', '0', 3, 264);
INSERT INTO `sys_areas_info` VALUES (964, '河南省', '新乡市', '获嘉县', '0373', 3, 418);
INSERT INTO `sys_areas_info` VALUES (965, '河南省', '安阳市', '汤阴县', '0372', 3, 353);
INSERT INTO `sys_areas_info` VALUES (966, '安徽省', '合肥市', '肥西县', '0551', 3, 299);
INSERT INTO `sys_areas_info` VALUES (967, '广西壮族自治区', '桂林市', '恭城瑶族自治县', '0773', 3, 400);
INSERT INTO `sys_areas_info` VALUES (968, '辽宁省', '抚顺市', '顺城区', '0', 3, 158);
INSERT INTO `sys_areas_info` VALUES (969, '浙江省', '丽水市', '云和县', '0578', 3, 365);
INSERT INTO `sys_areas_info` VALUES (970, '山西省', '临汾市', '浮山县', '0357', 3, 238);
INSERT INTO `sys_areas_info` VALUES (971, '云南省', '昆明市', '五华区', '0871', 3, 369);
INSERT INTO `sys_areas_info` VALUES (972, '湖南省', '郴州市', '永兴县', '0735', 3, 370);
INSERT INTO `sys_areas_info` VALUES (973, '湖北省', '潜江市', '其他', '0728', 3, 414);
INSERT INTO `sys_areas_info` VALUES (974, '福建省', '漳州市', '云霄县', '0596', 3, 150);
INSERT INTO `sys_areas_info` VALUES (975, '吉林省', '通化市', '二道江区', '0435', 3, 395);
INSERT INTO `sys_areas_info` VALUES (976, '黑龙江省', '鹤岗市', '其他', '0468', 3, 188);
INSERT INTO `sys_areas_info` VALUES (977, '四川省', '达州市', '宣汉县', '0818', 3, 317);
INSERT INTO `sys_areas_info` VALUES (978, '山东省', '枣庄市', '峄城区', '0632', 3, 235);
INSERT INTO `sys_areas_info` VALUES (979, '浙江省', '台州市', '临海市', '0576', 3, 289);
INSERT INTO `sys_areas_info` VALUES (980, '江苏省', '连云港市', '海州区', '0518', 3, 101);
INSERT INTO `sys_areas_info` VALUES (981, '宁夏回族自治区', '吴忠市', '利通区', '0953', 3, 383);
INSERT INTO `sys_areas_info` VALUES (982, '河南省', '周口市', '沈丘县', '0394', 3, 102);
INSERT INTO `sys_areas_info` VALUES (983, '河北省', '承德市', '隆化县', '0', 3, 127);
INSERT INTO `sys_areas_info` VALUES (984, '浙江省', '嘉兴市', '海盐县', '0573', 3, 107);
INSERT INTO `sys_areas_info` VALUES (985, '河北省', '邯郸市', '邯山区', '0', 3, 348);
INSERT INTO `sys_areas_info` VALUES (986, '河北省', '张家口市', '赤城县', '0', 3, 162);
INSERT INTO `sys_areas_info` VALUES (987, '江西省', '九江市', '彭泽县', '0792', 3, 104);
INSERT INTO `sys_areas_info` VALUES (988, '江苏省', '南京市', '高淳县', '025', 3, 313);
INSERT INTO `sys_areas_info` VALUES (989, '甘肃省', '武威市', '民勤县', '0935', 3, 294);
INSERT INTO `sys_areas_info` VALUES (990, '山东省', '济宁市', '市中区', '0537', 3, 169);
INSERT INTO `sys_areas_info` VALUES (991, '河北省', '廊坊市', '文安县', '0', 3, 176);
INSERT INTO `sys_areas_info` VALUES (992, '云南省', '昭通市', '威信县', '0870', 3, 389);
INSERT INTO `sys_areas_info` VALUES (993, '甘肃省', '平凉市', '泾川县', '0933', 3, 218);
INSERT INTO `sys_areas_info` VALUES (994, '云南省', '昆明市', '宜良县', '0871', 3, 369);
INSERT INTO `sys_areas_info` VALUES (995, '河北省', '邢台市', '南宫市', '0', 3, 151);
INSERT INTO `sys_areas_info` VALUES (996, '贵州省', '黔西南布依族苗族自治州', '兴仁县', '0859', 3, 297);
INSERT INTO `sys_areas_info` VALUES (997, '河南省', '焦作市', '温县', '0391', 3, 175);
INSERT INTO `sys_areas_info` VALUES (998, '甘肃省', '庆阳市', '其他', '0934', 3, 198);
INSERT INTO `sys_areas_info` VALUES (999, '宁夏回族自治区', '银川市', '西夏区', '0951', 3, 247);
INSERT INTO `sys_areas_info` VALUES (1000, '内蒙古自治区', '乌海市', '乌达区', '0473', 3, 182);
INSERT INTO `sys_areas_info` VALUES (1001, '广西壮族自治区', '南宁市', '江南区', '0771', 3, 242);
INSERT INTO `sys_areas_info` VALUES (1002, '新疆维吾尔族自治区', '巴音郭楞蒙古自治州', '和静县', '0996', 3, 310);
INSERT INTO `sys_areas_info` VALUES (1003, '湖南省', '郴州市', '汝城县', '0735', 3, 370);
INSERT INTO `sys_areas_info` VALUES (1004, '湖北省', '武汉市', '汉南区', '027', 3, 113);
INSERT INTO `sys_areas_info` VALUES (1005, '江苏省', '盐城市', '建湖县', '0515', 3, 329);
INSERT INTO `sys_areas_info` VALUES (1006, '河南省', '商丘市', '夏邑县', '0370', 3, 254);
INSERT INTO `sys_areas_info` VALUES (1007, '浙江省', '丽水市', '青田县', '0578', 3, 365);
INSERT INTO `sys_areas_info` VALUES (1008, '福建省', '三明市', '尤溪县', '0598', 3, 411);
INSERT INTO `sys_areas_info` VALUES (1009, '广东省', '河源市', '紫金县', '0762', 3, 374);
INSERT INTO `sys_areas_info` VALUES (1010, '河北省', '承德市', '双桥区', '0', 3, 127);
INSERT INTO `sys_areas_info` VALUES (1011, '湖北省', '鄂州市', '鄂城区', '0711', 3, 239);
INSERT INTO `sys_areas_info` VALUES (1012, '河北省', '石家庄市', '无极县', '0', 3, 264);
INSERT INTO `sys_areas_info` VALUES (1013, '江西省', '九江市', '庐山区', '0792', 3, 104);
INSERT INTO `sys_areas_info` VALUES (1014, '重庆市', '重庆市', '荣昌县', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (1015, '浙江省', '台州市', '天台县', '0576', 3, 289);
INSERT INTO `sys_areas_info` VALUES (1016, '江苏省', '连云港市', '新浦区', '0518', 3, 101);
INSERT INTO `sys_areas_info` VALUES (1017, '江苏省', '苏州市', '吴中区', '0512', 3, 281);
INSERT INTO `sys_areas_info` VALUES (1018, '浙江省', '湖州市', '吴兴区', '0572', 3, 159);
INSERT INTO `sys_areas_info` VALUES (1019, '云南省', '德宏傣族景颇族自治州', '瑞丽市', '0692', 3, 184);
INSERT INTO `sys_areas_info` VALUES (1020, '山东省', '菏泽市', '牡丹区', '0530', 3, 216);
INSERT INTO `sys_areas_info` VALUES (1021, '黑龙江省', '大庆市', '红岗区', '0459', 3, 415);
INSERT INTO `sys_areas_info` VALUES (1022, '辽宁省', '大连市', '金州区', '0', 3, 262);
INSERT INTO `sys_areas_info` VALUES (1023, '山西省', '忻州市', '定襄县', '0350', 3, 382);
INSERT INTO `sys_areas_info` VALUES (1024, '湖北省', '宜昌市', '远安县', '0717', 3, 423);
INSERT INTO `sys_areas_info` VALUES (1025, '河北省', '石家庄市', '正定县', '0', 3, 264);
INSERT INTO `sys_areas_info` VALUES (1026, '重庆市', '重庆市', '渝中区', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (1027, '江西省', '抚州市', '南丰县', '0794', 3, 266);
INSERT INTO `sys_areas_info` VALUES (1028, '山东省', '威海市', '荣成市', '0631', 3, 256);
INSERT INTO `sys_areas_info` VALUES (1029, '山东省', '青岛市', '即墨市', '0532', 3, 284);
INSERT INTO `sys_areas_info` VALUES (1030, '广东省', '东莞市', '常平镇', '0769', 3, 229);
INSERT INTO `sys_areas_info` VALUES (1031, '山西省', '太原市', '杏花岭区', '0351', 3, 154);
INSERT INTO `sys_areas_info` VALUES (1032, '广东省', '广州市', '番禺区', '020', 3, 129);
INSERT INTO `sys_areas_info` VALUES (1033, '江苏省', '淮安市', '盱眙县', '0517', 3, 360);
INSERT INTO `sys_areas_info` VALUES (1034, '江苏省', '盐城市', '亭湖区', '0515', 3, 329);
INSERT INTO `sys_areas_info` VALUES (1035, '上海市', '上海市', '宝山区', '021', 3, 287);
INSERT INTO `sys_areas_info` VALUES (1036, '江苏省', '徐州市', '邳州市', '0516', 3, 130);
INSERT INTO `sys_areas_info` VALUES (1037, '河北省', '沧州市', '南皮县', '0', 3, 286);
INSERT INTO `sys_areas_info` VALUES (1038, '新疆维吾尔族自治区', '巴音郭楞蒙古自治州', '轮台县', '0996', 3, 310);
INSERT INTO `sys_areas_info` VALUES (1039, '陕西省', '西安市', '未央区', '029', 3, 334);
INSERT INTO `sys_areas_info` VALUES (1040, '湖南省', '湘潭市', '湘乡市', '0731', 3, 337);
INSERT INTO `sys_areas_info` VALUES (1041, '安徽省', '宿州市', '萧县', '0557', 3, 181);
INSERT INTO `sys_areas_info` VALUES (1042, '辽宁省', '沈阳市', '大东区', '0', 3, 170);
INSERT INTO `sys_areas_info` VALUES (1043, '湖北省', '宜昌市', '宜都市', '0717', 3, 423);
INSERT INTO `sys_areas_info` VALUES (1044, '广西壮族自治区', '南宁市', '青秀区', '0771', 3, 242);
INSERT INTO `sys_areas_info` VALUES (1045, '广西壮族自治区', '河池市', '罗城仫佬族自治县', '0778', 3, 197);
INSERT INTO `sys_areas_info` VALUES (1046, '山东省', '济宁市', '兖州市', '0537', 3, 169);
INSERT INTO `sys_areas_info` VALUES (1047, '湖北省', '武汉市', '武昌区', '027', 3, 113);
INSERT INTO `sys_areas_info` VALUES (1048, '广东省', '深圳市', '宝安区', '0755', 3, 118);
INSERT INTO `sys_areas_info` VALUES (1049, '河南省', '信阳市', '潢川县', '0376', 3, 269);
INSERT INTO `sys_areas_info` VALUES (1050, '江西省', '南昌市', '湾里区', '0791', 3, 200);
INSERT INTO `sys_areas_info` VALUES (1051, '宁夏回族自治区', '固原市', '西吉县', '0954', 3, 358);
INSERT INTO `sys_areas_info` VALUES (1052, '河北省', '张家口市', '阳原县', '0', 3, 162);
INSERT INTO `sys_areas_info` VALUES (1053, '云南省', '大理白族自治州', '大理市', '0872', 3, 191);
INSERT INTO `sys_areas_info` VALUES (1054, '河北省', '保定市', '高阳县', '0', 3, 209);
INSERT INTO `sys_areas_info` VALUES (1055, '天津市', '天津市', '南开区', '0', 3, 252);
INSERT INTO `sys_areas_info` VALUES (1056, '河北省', '廊坊市', '固安县', '0', 3, 176);
INSERT INTO `sys_areas_info` VALUES (1057, '江苏省', '宿迁市', '沭阳县', '0527', 3, 285);
INSERT INTO `sys_areas_info` VALUES (1058, '甘肃省', '天水市', '其他', '0938', 3, 179);
INSERT INTO `sys_areas_info` VALUES (1059, '贵州省', '铜仁地区', '思南县', '0856', 3, 272);
INSERT INTO `sys_areas_info` VALUES (1060, '广东省', '湛江市', '赤坎区', '0759', 3, 171);
INSERT INTO `sys_areas_info` VALUES (1061, '山西省', '大同市', '浑源县', '0352', 3, 108);
INSERT INTO `sys_areas_info` VALUES (1062, '安徽省', '安庆市', '迎江区', '0556', 3, 246);
INSERT INTO `sys_areas_info` VALUES (1063, '江西省', '宜春市', '其他', '0795', 3, 142);
INSERT INTO `sys_areas_info` VALUES (1064, '云南省', '玉溪市', '通海县', '0877', 3, 387);
INSERT INTO `sys_areas_info` VALUES (1065, '辽宁省', '铁岭市', '开原市', '0410', 3, 223);
INSERT INTO `sys_areas_info` VALUES (1066, '贵州省', '遵义市', '红花岗区', '0852', 3, 288);
INSERT INTO `sys_areas_info` VALUES (1067, '山西省', '吕梁市', '柳林县', '0358', 3, 227);
INSERT INTO `sys_areas_info` VALUES (1068, '河南省', '商丘市', '睢县', '0370', 3, 254);
INSERT INTO `sys_areas_info` VALUES (1069, '吉林省', '吉林市', '船营区', '0432', 3, 240);
INSERT INTO `sys_areas_info` VALUES (1070, '吉林省', '辽源市', '龙山区', '0437', 3, 122);
INSERT INTO `sys_areas_info` VALUES (1071, '云南省', '丽江市', '永胜县', '0888', 3, 103);
INSERT INTO `sys_areas_info` VALUES (1072, '辽宁省', '铁岭市', '清河区', '0410', 3, 223);
INSERT INTO `sys_areas_info` VALUES (1073, '四川省', '甘孜藏族自治州', '康定县', '0836', 3, 349);
INSERT INTO `sys_areas_info` VALUES (1074, '安徽省', '安庆市', '桐城市', '0556', 3, 246);
INSERT INTO `sys_areas_info` VALUES (1075, '重庆市', '重庆市', '丰都县', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (1076, '江西省', '宜春市', '上高县', '0795', 3, 142);
INSERT INTO `sys_areas_info` VALUES (1077, '河南省', '许昌市', '襄城县', '0374', 3, 345);
INSERT INTO `sys_areas_info` VALUES (1078, '河北省', '保定市', '高碑店市', '0', 3, 209);
INSERT INTO `sys_areas_info` VALUES (1079, '四川省', '泸州市', '叙永县', '0830', 3, 110);
INSERT INTO `sys_areas_info` VALUES (1080, '云南省', '昭通市', '巧家县', '0870', 3, 389);
INSERT INTO `sys_areas_info` VALUES (1081, '山西省', '运城市', '永济市', '0359', 3, 236);
INSERT INTO `sys_areas_info` VALUES (1082, '浙江省', '绍兴市', '绍兴县', '0575', 3, 307);
INSERT INTO `sys_areas_info` VALUES (1083, '广东省', '汕头市', '潮阳区', '0754', 3, 215);
INSERT INTO `sys_areas_info` VALUES (1084, '河南省', '周口市', '太康县', '0394', 3, 102);
INSERT INTO `sys_areas_info` VALUES (1085, '江苏省', '镇江市', '丹阳市', '0511', 3, 283);
INSERT INTO `sys_areas_info` VALUES (1086, '黑龙江省', '齐齐哈尔市', '富裕县', '0452', 3, 195);
INSERT INTO `sys_areas_info` VALUES (1087, '湖北省', '恩施市', '巴东县', '0718', 3, 340);
INSERT INTO `sys_areas_info` VALUES (1088, '福建省', '漳州市', '东山县', '0596', 3, 150);
INSERT INTO `sys_areas_info` VALUES (1089, '河南省', '漯河市', '源汇区', '0395', 3, 396);
INSERT INTO `sys_areas_info` VALUES (1090, '河北省', '张家口市', '张北县', '0', 3, 162);
INSERT INTO `sys_areas_info` VALUES (1091, '湖南省', '张家界市', '慈利县', '0744', 3, 300);
INSERT INTO `sys_areas_info` VALUES (1092, '江苏省', '苏州市', '平江区', '0512', 3, 281);
INSERT INTO `sys_areas_info` VALUES (1093, '河南省', '开封市', '通许县', '0378', 3, 111);
INSERT INTO `sys_areas_info` VALUES (1094, '江苏省', '淮安市', '淮阴区', '0517', 3, 360);
INSERT INTO `sys_areas_info` VALUES (1095, '安徽省', '亳州市', '谯城区', '0558', 3, 249);
INSERT INTO `sys_areas_info` VALUES (1096, '湖北省', '恩施市', '恩施市', '0718', 3, 340);
INSERT INTO `sys_areas_info` VALUES (1097, '山东省', '潍坊市', '奎文区', '0536', 3, 121);
INSERT INTO `sys_areas_info` VALUES (1098, '江苏省', '苏州市', '常熟市', '0512', 3, 281);
INSERT INTO `sys_areas_info` VALUES (1099, '浙江省', '丽水市', '庆元县', '0578', 3, 365);
INSERT INTO `sys_areas_info` VALUES (1100, '湖北省', '黄冈市', '武穴市', '0713', 3, 397);
INSERT INTO `sys_areas_info` VALUES (1101, '四川省', '绵阳市', '盐亭县', '0816', 3, 224);
INSERT INTO `sys_areas_info` VALUES (1102, '四川省', '宜宾市', '长宁县', '0831', 3, 109);
INSERT INTO `sys_areas_info` VALUES (1103, '贵州省', '黔东南苗族侗族自治州', '黄平县', '0855', 3, 325);
INSERT INTO `sys_areas_info` VALUES (1104, '北京市', '北京市', '门头沟区', '010', 3, 368);
INSERT INTO `sys_areas_info` VALUES (1105, '西藏自治区', '拉萨市', '城关区', '0891', 3, 352);
INSERT INTO `sys_areas_info` VALUES (1106, '江西省', '赣州市', '于都县', '0797', 3, 336);
INSERT INTO `sys_areas_info` VALUES (1107, '辽宁省', '沈阳市', '和平区', '0', 3, 170);
INSERT INTO `sys_areas_info` VALUES (1108, '宁夏回族自治区', '固原市', '隆德县', '0954', 3, 358);
INSERT INTO `sys_areas_info` VALUES (1109, '河北省', '沧州市', '泊头市', '0', 3, 286);
INSERT INTO `sys_areas_info` VALUES (1110, '河南省', '焦作市', '孟州市', '0391', 3, 175);
INSERT INTO `sys_areas_info` VALUES (1111, '四川省', '绵阳市', '三台县', '0816', 3, 224);
INSERT INTO `sys_areas_info` VALUES (1112, '云南省', '文山壮族苗族自治州', '西畴县', '0876', 3, 426);
INSERT INTO `sys_areas_info` VALUES (1113, '河南省', '信阳市', '罗山县', '0376', 3, 269);
INSERT INTO `sys_areas_info` VALUES (1114, '四川省', '广安市', '华蓥市', '0826', 3, 237);
INSERT INTO `sys_areas_info` VALUES (1115, '河南省', '驻马店市', '汝南县', '0396', 3, 282);
INSERT INTO `sys_areas_info` VALUES (1116, '海南省', '海口市', '琼山区', '0898', 3, 219);
INSERT INTO `sys_areas_info` VALUES (1117, '河南省', '许昌市', '禹州市', '0374', 3, 345);
INSERT INTO `sys_areas_info` VALUES (1118, '湖北省', '宜昌市', '西陵区', '0717', 3, 423);
INSERT INTO `sys_areas_info` VALUES (1119, '江西省', '抚州市', '崇仁县', '0794', 3, 266);
INSERT INTO `sys_areas_info` VALUES (1120, '江苏省', '淮安市', '清河区', '0517', 3, 360);
INSERT INTO `sys_areas_info` VALUES (1121, '福建省', '福州市', '闽清县', '0591', 3, 177);
INSERT INTO `sys_areas_info` VALUES (1122, '山西省', '临汾市', '尧都区', '0357', 3, 238);
INSERT INTO `sys_areas_info` VALUES (1123, '浙江省', '温州市', '永嘉县', '0577', 3, 315);
INSERT INTO `sys_areas_info` VALUES (1124, '湖南省', '邵阳市', '绥宁县', '0739', 3, 274);
INSERT INTO `sys_areas_info` VALUES (1125, '江苏省', '盐城市', '阜宁县', '0515', 3, 329);
INSERT INTO `sys_areas_info` VALUES (1126, '江苏省', '徐州市', '沛县', '0516', 3, 130);
INSERT INTO `sys_areas_info` VALUES (1127, '湖南省', '衡阳市', '衡阳县', '0734', 3, 116);
INSERT INTO `sys_areas_info` VALUES (1128, '安徽省', '淮南市', '凤台县', '0554', 3, 367);
INSERT INTO `sys_areas_info` VALUES (1129, '四川省', '泸州市', '古蔺县', '0830', 3, 110);
INSERT INTO `sys_areas_info` VALUES (1130, '宁夏回族自治区', '中卫市', '沙坡头区', '0955', 3, 278);
INSERT INTO `sys_areas_info` VALUES (1131, '河北省', '保定市', '定州市', '0', 3, 209);
INSERT INTO `sys_areas_info` VALUES (1132, '河南省', '南阳市', '镇平县', '0377', 3, 405);
INSERT INTO `sys_areas_info` VALUES (1133, '江苏省', '徐州市', '新沂市', '0516', 3, 130);
INSERT INTO `sys_areas_info` VALUES (1134, '安徽省', '安庆市', '宿松县', '0556', 3, 246);
INSERT INTO `sys_areas_info` VALUES (1135, '广西壮族自治区', '来宾市', '兴宾区', '0772', 3, 225);
INSERT INTO `sys_areas_info` VALUES (1136, '河北省', '邯郸市', '涉县', '0', 3, 348);
INSERT INTO `sys_areas_info` VALUES (1137, '江西省', '九江市', '永修县', '0792', 3, 104);
INSERT INTO `sys_areas_info` VALUES (1138, '河南省', '开封市', '禹王台区', '0378', 3, 111);
INSERT INTO `sys_areas_info` VALUES (1139, '广西壮族自治区', '南宁市', '兴宁区', '0771', 3, 242);
INSERT INTO `sys_areas_info` VALUES (1140, '山西省', '临汾市', '襄汾县', '0357', 3, 238);
INSERT INTO `sys_areas_info` VALUES (1141, '辽宁省', '阜新市', '清河门区', '0418', 3, 226);
INSERT INTO `sys_areas_info` VALUES (1142, '广东省', '珠海市', '斗门区', '0756', 3, 134);
INSERT INTO `sys_areas_info` VALUES (1143, '湖南省', '邵阳市', '隆回县', '0739', 3, 274);
INSERT INTO `sys_areas_info` VALUES (1144, '湖北省', '宜昌市', '枝江市', '0717', 3, 423);
INSERT INTO `sys_areas_info` VALUES (1145, '黑龙江省', '佳木斯市', '前进区', '0454', 3, 105);
INSERT INTO `sys_areas_info` VALUES (1146, '河南省', '三门峡市', '卢氏县', '0398', 3, 328);
INSERT INTO `sys_areas_info` VALUES (1147, '黑龙江省', '齐齐哈尔市', '富拉尔基区', '0452', 3, 195);
INSERT INTO `sys_areas_info` VALUES (1148, '湖南省', '长沙市', '天心区', '0731', 3, 201);
INSERT INTO `sys_areas_info` VALUES (1149, '河北省', '石家庄市', '长安区', '0', 3, 264);
INSERT INTO `sys_areas_info` VALUES (1150, '福建省', '龙岩市', '新罗区', '0597', 3, 267);
INSERT INTO `sys_areas_info` VALUES (1151, '四川省', '凉山彝族自治州', '冕宁县', '0834', 3, 173);
INSERT INTO `sys_areas_info` VALUES (1152, '湖南省', '邵阳市', '新宁县', '0739', 3, 274);
INSERT INTO `sys_areas_info` VALUES (1153, '河北省', '保定市', '唐县', '0', 3, 209);
INSERT INTO `sys_areas_info` VALUES (1154, '云南省', '迪庆藏族自治州', '德钦县', '0887', 3, 204);
INSERT INTO `sys_areas_info` VALUES (1155, '内蒙古自治区', '乌兰察布市', '卓资县', '0474', 3, 386);
INSERT INTO `sys_areas_info` VALUES (1156, '云南省', '迪庆藏族自治州', '维西傈僳族自治县', '0887', 3, 204);
INSERT INTO `sys_areas_info` VALUES (1157, '河北省', '邢台市', '沙河市', '0', 3, 151);
INSERT INTO `sys_areas_info` VALUES (1158, '云南省', '昆明市', '富民县', '0871', 3, 369);
INSERT INTO `sys_areas_info` VALUES (1159, '广西壮族自治区', '防城港市', '防城区', '0770', 3, 410);
INSERT INTO `sys_areas_info` VALUES (1160, '河北省', '石家庄市', '晋州市', '0', 3, 264);
INSERT INTO `sys_areas_info` VALUES (1161, '山东省', '济宁市', '嘉祥县', '0537', 3, 169);
INSERT INTO `sys_areas_info` VALUES (1162, '河南省', '郑州市', '新郑市', '0371', 3, 308);
INSERT INTO `sys_areas_info` VALUES (1163, '湖北省', '咸宁市', '赤壁市', '0715', 3, 271);
INSERT INTO `sys_areas_info` VALUES (1164, '四川省', '成都市', '成华区', '028', 3, 106);
INSERT INTO `sys_areas_info` VALUES (1165, '河南省', '商丘市', '柘城县', '0370', 3, 254);
INSERT INTO `sys_areas_info` VALUES (1166, '陕西省', '渭南市', '蒲城县', '0913', 3, 205);
INSERT INTO `sys_areas_info` VALUES (1167, '四川省', '南充市', '南部县', '0817', 3, 350);
INSERT INTO `sys_areas_info` VALUES (1168, '江苏省', '常州市', '溧阳市', '0519', 3, 304);
INSERT INTO `sys_areas_info` VALUES (1169, '贵州省', '黔西南布依族苗族自治州', '其他', '0859', 3, 297);
INSERT INTO `sys_areas_info` VALUES (1170, '重庆市', '重庆市', '大足县', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (1171, '安徽省', '滁州市', '定远县', '0550', 3, 380);
INSERT INTO `sys_areas_info` VALUES (1172, '黑龙江省', '牡丹江市', '爱民区', '0453', 3, 260);
INSERT INTO `sys_areas_info` VALUES (1173, '辽宁省', '大连市', '瓦房店市', '0', 3, 262);
INSERT INTO `sys_areas_info` VALUES (1174, '辽宁省', '辽阳市', '白塔区', '0419', 3, 427);
INSERT INTO `sys_areas_info` VALUES (1175, '天津市', '天津市', '塘沽区', '0', 3, 252);
INSERT INTO `sys_areas_info` VALUES (1176, '广西壮族自治区', '桂林市', '荔蒲县', '0773', 3, 400);
INSERT INTO `sys_areas_info` VALUES (1177, '宁夏回族自治区', '石嘴山市', '大武口区', '0952', 3, 189);
INSERT INTO `sys_areas_info` VALUES (1178, '湖北省', '宜昌市', '夷陵区', '0717', 3, 423);
INSERT INTO `sys_areas_info` VALUES (1179, '湖北省', '十堰市', '郧西县', '0719', 3, 185);
INSERT INTO `sys_areas_info` VALUES (1180, '新疆维吾尔族自治区', '克孜勒苏柯尔克孜自治州', '阿图什市', '0908', 3, 259);
INSERT INTO `sys_areas_info` VALUES (1181, '四川省', '德阳市', '旌阳区', '0838', 3, 178);
INSERT INTO `sys_areas_info` VALUES (1182, '云南省', '大理白族自治州', '弥渡县', '0872', 3, 191);
INSERT INTO `sys_areas_info` VALUES (1183, '浙江省', '杭州市', '江干区', '0571', 3, 263);
INSERT INTO `sys_areas_info` VALUES (1184, '广西壮族自治区', '百色市', '田阳县', '0776', 3, 392);
INSERT INTO `sys_areas_info` VALUES (1185, '贵州省', '六盘水市', '六枝特区', '0858', 3, 339);
INSERT INTO `sys_areas_info` VALUES (1186, '湖北省', '黄冈市', '团风县', '0713', 3, 397);
INSERT INTO `sys_areas_info` VALUES (1187, '河南省', '平顶山市', '湛河区', '0375', 3, 117);
INSERT INTO `sys_areas_info` VALUES (1188, '山西省', '晋中市', '太谷县', '0354', 3, 139);
INSERT INTO `sys_areas_info` VALUES (1189, '山西省', '晋中市', '昔阳县', '0354', 3, 139);
INSERT INTO `sys_areas_info` VALUES (1190, '江西省', '抚州市', '乐安县', '0794', 3, 266);
INSERT INTO `sys_areas_info` VALUES (1191, '陕西省', '西安市', '碑林区', '029', 3, 334);
INSERT INTO `sys_areas_info` VALUES (1192, '湖北省', '黄冈市', '红安县', '0713', 3, 397);
INSERT INTO `sys_areas_info` VALUES (1193, '山东省', '滨州市', '邹平县', '0543', 3, 245);
INSERT INTO `sys_areas_info` VALUES (1194, '浙江省', '台州市', '温岭市', '0576', 3, 289);
INSERT INTO `sys_areas_info` VALUES (1195, '广东省', '江门市', '新会区', '0750', 3, 398);
INSERT INTO `sys_areas_info` VALUES (1196, '云南省', '保山市', '隆阳区', '0875', 3, 381);
INSERT INTO `sys_areas_info` VALUES (1197, '陕西省', '宝鸡市', '金台区', '0917', 3, 232);
INSERT INTO `sys_areas_info` VALUES (1198, '浙江省', '金华市', '婺城区', '0579', 3, 152);
INSERT INTO `sys_areas_info` VALUES (1199, '内蒙古自治区', '兴安盟', '扎赉特旗', '0482', 3, 248);
INSERT INTO `sys_areas_info` VALUES (1200, '湖南省', '株洲市', '株洲县', '0731', 3, 302);
INSERT INTO `sys_areas_info` VALUES (1201, '山西省', '阳泉市', '矿区', '0353', 3, 137);
INSERT INTO `sys_areas_info` VALUES (1202, '黑龙江省', '牡丹江市', '宁安市', '0453', 3, 260);
INSERT INTO `sys_areas_info` VALUES (1203, '吉林省', '四平市', '铁东区', '0434', 3, 417);
INSERT INTO `sys_areas_info` VALUES (1204, '四川省', '乐山市', '市中区', '0833', 3, 155);
INSERT INTO `sys_areas_info` VALUES (1205, '四川省', '成都市', '高新区', '028', 3, 106);
INSERT INTO `sys_areas_info` VALUES (1206, '四川省', '乐山市', '峨眉山市', '0833', 3, 155);
INSERT INTO `sys_areas_info` VALUES (1207, '江西省', '吉安市', '吉水县', '0796', 3, 332);
INSERT INTO `sys_areas_info` VALUES (1208, '河北省', '衡水市', '冀州市', '0', 3, 138);
INSERT INTO `sys_areas_info` VALUES (1209, '四川省', '自贡市', '自流井区', '0813', 3, 375);
INSERT INTO `sys_areas_info` VALUES (1210, '河北省', '张家口市', '桥东区', '0', 3, 162);
INSERT INTO `sys_areas_info` VALUES (1211, '福建省', '龙岩市', '连城县', '0597', 3, 267);
INSERT INTO `sys_areas_info` VALUES (1212, '云南省', '红河哈尼族彝族自治州', '红河县', '0873', 3, 399);
INSERT INTO `sys_areas_info` VALUES (1213, '云南省', '文山壮族苗族自治州', '广南县', '0876', 3, 426);
INSERT INTO `sys_areas_info` VALUES (1214, '广东省', '惠州市', '博罗县', '0752', 3, 250);
INSERT INTO `sys_areas_info` VALUES (1215, '广西壮族自治区', '柳州市', '其他', '0772', 3, 388);
INSERT INTO `sys_areas_info` VALUES (1216, '湖北省', '荆州市', '荆州区', '0716', 3, 361);
INSERT INTO `sys_areas_info` VALUES (1217, '黑龙江省', '佳木斯市', '桦南县', '0454', 3, 105);
INSERT INTO `sys_areas_info` VALUES (1218, '安徽省', '安庆市', '太湖县', '0556', 3, 246);
INSERT INTO `sys_areas_info` VALUES (1219, '广西壮族自治区', '贺州市', '昭平县', '0774', 3, 135);
INSERT INTO `sys_areas_info` VALUES (1220, '甘肃省', '天水市', '甘谷县', '0938', 3, 179);
INSERT INTO `sys_areas_info` VALUES (1221, '辽宁省', '朝阳市', '建平县', '0421', 3, 174);
INSERT INTO `sys_areas_info` VALUES (1222, '新疆维吾尔族自治区', '奎屯市', '其他', '0992', 3, 355);
INSERT INTO `sys_areas_info` VALUES (1223, '福建省', '南平市', '延平区', '0599', 3, 119);
INSERT INTO `sys_areas_info` VALUES (1224, '河南省', '信阳市', '新县', '0376', 3, 269);
INSERT INTO `sys_areas_info` VALUES (1225, '山西省', '太原市', '小店区', '0351', 3, 154);
INSERT INTO `sys_areas_info` VALUES (1226, '河南省', '郑州市', '管城回族区', '0371', 3, 308);
INSERT INTO `sys_areas_info` VALUES (1227, '黑龙江省', '鸡西市', '恒山区', '0467', 3, 128);
INSERT INTO `sys_areas_info` VALUES (1228, '江苏省', '泰州市', '姜堰市', '0523', 3, 311);
INSERT INTO `sys_areas_info` VALUES (1229, '河南省', '洛阳市', '栾川县', '0379', 3, 214);
INSERT INTO `sys_areas_info` VALUES (1230, '浙江省', '宁波市', '鄞州区', '0574', 3, 217);
INSERT INTO `sys_areas_info` VALUES (1231, '四川省', '阿坝藏族羌族自治州', '马尔康县', '0837', 3, 255);
INSERT INTO `sys_areas_info` VALUES (1232, '山东省', '济宁市', '微山县', '0537', 3, 169);
INSERT INTO `sys_areas_info` VALUES (1233, '新疆维吾尔族自治区', '吐鲁番地区', '吐鲁番市', '0995', 3, 303);
INSERT INTO `sys_areas_info` VALUES (1234, '山东省', '滨州市', '滨城区', '0543', 3, 245);
INSERT INTO `sys_areas_info` VALUES (1235, '甘肃省', '平凉市', '灵台县', '0933', 3, 218);
INSERT INTO `sys_areas_info` VALUES (1236, '山东省', '淄博市', '张店区', '0533', 3, 203);
INSERT INTO `sys_areas_info` VALUES (1237, '青海省', '海东地区', '互助土族自治县', '0972', 3, 401);
INSERT INTO `sys_areas_info` VALUES (1238, '江苏省', '扬州市', '邗江区', '0514', 3, 136);
INSERT INTO `sys_areas_info` VALUES (1239, '浙江省', '金华市', '义乌市', '0579', 3, 152);
INSERT INTO `sys_areas_info` VALUES (1240, '湖北省', '荆门市', '其他', '0724', 3, 153);
INSERT INTO `sys_areas_info` VALUES (1241, '河南省', '郑州市', '巩义市', '0371', 3, 308);
INSERT INTO `sys_areas_info` VALUES (1242, '江苏省', '徐州市', '丰县', '0516', 3, 130);
INSERT INTO `sys_areas_info` VALUES (1243, '安徽省', '滁州市', '凤阳县', '0550', 3, 380);
INSERT INTO `sys_areas_info` VALUES (1244, '浙江省', '金华市', '金东区', '0579', 3, 152);
INSERT INTO `sys_areas_info` VALUES (1245, '浙江省', '衢州市', '常山县', '0570', 3, 257);
INSERT INTO `sys_areas_info` VALUES (1246, '四川省', '德阳市', '广汉市', '0838', 3, 178);
INSERT INTO `sys_areas_info` VALUES (1247, '福建省', '福州市', '福清市', '0591', 3, 177);
INSERT INTO `sys_areas_info` VALUES (1248, '贵州省', '铜仁地区', '石阡县', '0856', 3, 272);
INSERT INTO `sys_areas_info` VALUES (1249, '四川省', '绵阳市', '安县', '0816', 3, 224);
INSERT INTO `sys_areas_info` VALUES (1250, '辽宁省', '阜新市', '彰武县', '0418', 3, 226);
INSERT INTO `sys_areas_info` VALUES (1251, '河南省', '焦作市', '沁阳市', '0391', 3, 175);
INSERT INTO `sys_areas_info` VALUES (1252, '辽宁省', '辽阳市', '灯塔市', '0419', 3, 427);
INSERT INTO `sys_areas_info` VALUES (1253, '黑龙江省', '七台河市', '勃利县', '0464', 3, 419);
INSERT INTO `sys_areas_info` VALUES (1254, '辽宁省', '朝阳市', '北票市', '0421', 3, 174);
INSERT INTO `sys_areas_info` VALUES (1255, '云南省', '丽江市', '玉龙纳西族自治县', '0888', 3, 103);
INSERT INTO `sys_areas_info` VALUES (1256, '湖南省', '娄底市', '娄星区', '0738', 3, 206);
INSERT INTO `sys_areas_info` VALUES (1257, '浙江省', '湖州市', '长兴县', '0572', 3, 159);
INSERT INTO `sys_areas_info` VALUES (1258, '黑龙江省', '齐齐哈尔市', '龙江县', '0452', 3, 195);
INSERT INTO `sys_areas_info` VALUES (1259, '广东省', '梅州市', '梅县', '0753', 3, 143);
INSERT INTO `sys_areas_info` VALUES (1260, '江西省', '赣州市', '全南县', '0797', 3, 336);
INSERT INTO `sys_areas_info` VALUES (1261, '山东省', '烟台市', '莱州市', '0535', 3, 261);
INSERT INTO `sys_areas_info` VALUES (1262, '吉林省', '吉林市', '磐石市', '0432', 3, 240);
INSERT INTO `sys_areas_info` VALUES (1263, '北京市', '北京市', '怀柔区', '010', 3, 368);
INSERT INTO `sys_areas_info` VALUES (1264, '广西壮族自治区', '百色市', '平果县', '0776', 3, 392);
INSERT INTO `sys_areas_info` VALUES (1265, '河南省', '开封市', '鼓楼区', '0378', 3, 111);
INSERT INTO `sys_areas_info` VALUES (1266, '福建省', '莆田市', '荔城区', '0594', 3, 346);
INSERT INTO `sys_areas_info` VALUES (1267, '黑龙江省', '双鸭山市', '其他', '0469', 3, 373);
INSERT INTO `sys_areas_info` VALUES (1268, '广西壮族自治区', '钦州市', '钦南区', '0777', 3, 212);
INSERT INTO `sys_areas_info` VALUES (1269, '吉林省', '四平市', '铁西区', '0434', 3, 417);
INSERT INTO `sys_areas_info` VALUES (1270, '吉林省', '延边朝鲜族自治州', '延吉市', '0433', 3, 165);
INSERT INTO `sys_areas_info` VALUES (1271, '山西省', '运城市', '垣曲县', '0359', 3, 236);
INSERT INTO `sys_areas_info` VALUES (1272, '湖北省', '孝感市', '云梦县', '0712', 3, 210);
INSERT INTO `sys_areas_info` VALUES (1273, '黑龙江省', '绥化市', '肇东市', '0455', 3, 371);
INSERT INTO `sys_areas_info` VALUES (1274, '浙江省', '金华市', '武义县', '0579', 3, 152);
INSERT INTO `sys_areas_info` VALUES (1275, '贵州省', '毕节地区', '黔西县', '0857', 3, 318);
INSERT INTO `sys_areas_info` VALUES (1276, '海南省', '海口市', '龙华区', '0898', 3, 219);
INSERT INTO `sys_areas_info` VALUES (1277, '浙江省', '舟山市', '嵊泗县', '0580', 3, 194);
INSERT INTO `sys_areas_info` VALUES (1278, '广西壮族自治区', '桂林市', '阳朔县', '0773', 3, 400);
INSERT INTO `sys_areas_info` VALUES (1279, '甘肃省', '兰州市', '城关区', '0931', 3, 228);
INSERT INTO `sys_areas_info` VALUES (1280, '广东省', '佛山市', '顺德区', '0757', 3, 378);
INSERT INTO `sys_areas_info` VALUES (1281, '山东省', '威海市', '文登市', '0631', 3, 256);
INSERT INTO `sys_areas_info` VALUES (1282, '安徽省', '池州市', '贵池区', '0566', 3, 391);
INSERT INTO `sys_areas_info` VALUES (1283, '四川省', '成都市', '温江区', '028', 3, 106);
INSERT INTO `sys_areas_info` VALUES (1284, '福建省', '泉州市', '丰泽区', '0595', 3, 161);
INSERT INTO `sys_areas_info` VALUES (1285, '云南省', '曲靖市', '麒麟区', '0874', 3, 420);
INSERT INTO `sys_areas_info` VALUES (1286, '贵州省', '贵阳市', '修文县', '0851', 3, 273);
INSERT INTO `sys_areas_info` VALUES (1287, '山西省', '阳泉市', '郊区', '0353', 3, 137);
INSERT INTO `sys_areas_info` VALUES (1288, '山西省', '吕梁市', '临县', '0358', 3, 227);
INSERT INTO `sys_areas_info` VALUES (1289, '山西省', '大同市', '南郊区', '0352', 3, 108);
INSERT INTO `sys_areas_info` VALUES (1290, '辽宁省', '沈阳市', '沈北新区', '0', 3, 170);
INSERT INTO `sys_areas_info` VALUES (1291, '湖北省', '孝感市', '安陆市', '0712', 3, 210);
INSERT INTO `sys_areas_info` VALUES (1292, '河北省', '保定市', '蠡县', '0', 3, 209);
INSERT INTO `sys_areas_info` VALUES (1293, '河北省', '石家庄市', '赵县', '0', 3, 264);
INSERT INTO `sys_areas_info` VALUES (1294, '河北省', '保定市', '徐水县', '0', 3, 209);
INSERT INTO `sys_areas_info` VALUES (1295, '福建省', '三明市', '清流县', '0598', 3, 411);
INSERT INTO `sys_areas_info` VALUES (1296, '陕西省', '咸阳市', '兴平市', '029', 3, 180);
INSERT INTO `sys_areas_info` VALUES (1297, '山东省', '临沂市', '兰山区', '0539', 3, 312);
INSERT INTO `sys_areas_info` VALUES (1298, '陕西省', '宝鸡市', '眉县', '0917', 3, 232);
INSERT INTO `sys_areas_info` VALUES (1299, '广东省', '揭阳市', '普宁市', '0663', 3, 114);
INSERT INTO `sys_areas_info` VALUES (1300, '山西省', '朔州市', '朔城区', '0349', 3, 290);
INSERT INTO `sys_areas_info` VALUES (1301, '福建省', '泉州市', '泉港区', '0595', 3, 161);
INSERT INTO `sys_areas_info` VALUES (1302, '湖北省', '襄樊市', '枣阳市', '0710', 3, 412);
INSERT INTO `sys_areas_info` VALUES (1303, '安徽省', '蚌埠市', '禹会区', '0552', 3, 372);
INSERT INTO `sys_areas_info` VALUES (1304, '内蒙古自治区', '呼和浩特市', '其他', '0471', 3, 422);
INSERT INTO `sys_areas_info` VALUES (1305, '宁夏回族自治区', '银川市', '金凤区', '0951', 3, 247);
INSERT INTO `sys_areas_info` VALUES (1306, '山东省', '济南市', '历下区', '0531', 3, 306);
INSERT INTO `sys_areas_info` VALUES (1307, '黑龙江省', '哈尔滨市', '南岗区', '0451', 3, 124);
INSERT INTO `sys_areas_info` VALUES (1308, '上海市', '上海市', '青浦区', '021', 3, 287);
INSERT INTO `sys_areas_info` VALUES (1309, '河南省', '新乡市', '牧野区', '0373', 3, 418);
INSERT INTO `sys_areas_info` VALUES (1310, '河南省', '安阳市', '文峰区', '0372', 3, 353);
INSERT INTO `sys_areas_info` VALUES (1311, '山西省', '晋城市', '城区', '0356', 3, 376);
INSERT INTO `sys_areas_info` VALUES (1312, '湖南省', '怀化市', '洪江市', '0745', 3, 156);
INSERT INTO `sys_areas_info` VALUES (1313, '福建省', '三明市', '大田县', '0598', 3, 411);
INSERT INTO `sys_areas_info` VALUES (1314, '浙江省', '温州市', '泰顺县', '0577', 3, 315);
INSERT INTO `sys_areas_info` VALUES (1315, '湖南省', '永州市', '祁阳县', '0746', 3, 408);
INSERT INTO `sys_areas_info` VALUES (1316, '福建省', '厦门市', '集美区', '0592', 3, 354);
INSERT INTO `sys_areas_info` VALUES (1317, '四川省', '甘孜藏族自治州', '泸定县', '0836', 3, 349);
INSERT INTO `sys_areas_info` VALUES (1318, '江苏省', '南通市', '通州市', '0513', 3, 416);
INSERT INTO `sys_areas_info` VALUES (1319, '江苏省', '泰州市', '泰兴市', '0523', 3, 311);
INSERT INTO `sys_areas_info` VALUES (1320, '海南省', '文昌市', '其他', '0898', 3, 406);
INSERT INTO `sys_areas_info` VALUES (1321, '云南省', '玉溪市', '易门县', '0877', 3, 387);
INSERT INTO `sys_areas_info` VALUES (1322, '四川省', '资阳市', '乐至县', '028', 3, 404);
INSERT INTO `sys_areas_info` VALUES (1323, '安徽省', '马鞍山市', '花山区', '0555', 3, 251);
INSERT INTO `sys_areas_info` VALUES (1324, '安徽省', '滁州市', '来安县', '0550', 3, 380);
INSERT INTO `sys_areas_info` VALUES (1325, '浙江省', '温州市', '乐清市', '0577', 3, 315);
INSERT INTO `sys_areas_info` VALUES (1326, '河南省', '商丘市', '梁园区', '0370', 3, 254);
INSERT INTO `sys_areas_info` VALUES (1327, '甘肃省', '平凉市', '崆峒区', '0933', 3, 218);
INSERT INTO `sys_areas_info` VALUES (1328, '福建省', '福州市', '永泰县', '0591', 3, 177);
INSERT INTO `sys_areas_info` VALUES (1329, '江西省', '宜春市', '高安市', '0795', 3, 142);
INSERT INTO `sys_areas_info` VALUES (1330, '湖北省', '荆门市', '钟祥市', '0724', 3, 153);
INSERT INTO `sys_areas_info` VALUES (1331, '河南省', '南阳市', '内乡县', '0377', 3, 405);
INSERT INTO `sys_areas_info` VALUES (1332, '河南省', '南阳市', '宛城区', '0377', 3, 405);
INSERT INTO `sys_areas_info` VALUES (1333, '四川省', '资阳市', '安岳县', '028', 3, 404);
INSERT INTO `sys_areas_info` VALUES (1334, '河南省', '鹤壁市', '淇滨区', '0392', 3, 385);
INSERT INTO `sys_areas_info` VALUES (1335, '贵州省', '遵义市', '赤水市', '0852', 3, 288);
INSERT INTO `sys_areas_info` VALUES (1336, '广西壮族自治区', '柳州市', '三江侗族自治县', '0772', 3, 388);
INSERT INTO `sys_areas_info` VALUES (1337, '天津市', '天津市', '武清区', '0', 3, 252);
INSERT INTO `sys_areas_info` VALUES (1338, '广东省', '梅州市', '兴宁市', '0753', 3, 143);
INSERT INTO `sys_areas_info` VALUES (1339, '云南省', '曲靖市', '沾益县', '0874', 3, 420);
INSERT INTO `sys_areas_info` VALUES (1340, '江西省', '九江市', '武宁县', '0792', 3, 104);
INSERT INTO `sys_areas_info` VALUES (1341, '浙江省', '宁波市', '宁海县', '0574', 3, 217);
INSERT INTO `sys_areas_info` VALUES (1342, '江苏省', '苏州市', '虎丘区', '0512', 3, 281);
INSERT INTO `sys_areas_info` VALUES (1343, '山东省', '泰安市', '肥城市', '0538', 3, 192);
INSERT INTO `sys_areas_info` VALUES (1344, '云南省', '楚雄彝族自治州', '元谋县', '0878', 3, 231);
INSERT INTO `sys_areas_info` VALUES (1345, '河南省', '郑州市', '金水区', '0371', 3, 308);
INSERT INTO `sys_areas_info` VALUES (1346, '广西壮族自治区', '钦州市', '浦北县', '0777', 3, 212);
INSERT INTO `sys_areas_info` VALUES (1347, '山东省', '青岛市', '城阳区', '0532', 3, 284);
INSERT INTO `sys_areas_info` VALUES (1348, '广东省', '佛山市', '三水区', '0757', 3, 378);
INSERT INTO `sys_areas_info` VALUES (1349, '浙江省', '台州市', '椒江区', '0576', 3, 289);
INSERT INTO `sys_areas_info` VALUES (1350, '北京市', '北京市', '昌平区', '010', 3, 368);
INSERT INTO `sys_areas_info` VALUES (1351, '新疆维吾尔族自治区', '昌吉回族自治州', '米泉市', '0994', 3, 293);
INSERT INTO `sys_areas_info` VALUES (1352, '辽宁省', '沈阳市', '沈河区', '0', 3, 170);
INSERT INTO `sys_areas_info` VALUES (1353, '河北省', '张家口市', '桥西区', '0', 3, 162);
INSERT INTO `sys_areas_info` VALUES (1354, '贵州省', '贵阳市', '云岩区', '0851', 3, 273);
INSERT INTO `sys_areas_info` VALUES (1355, '云南省', '曲靖市', '陆良县', '0874', 3, 420);
INSERT INTO `sys_areas_info` VALUES (1356, '浙江省', '丽水市', '景宁畲族自治县', '0578', 3, 365);
INSERT INTO `sys_areas_info` VALUES (1357, '辽宁省', '铁岭市', '昌图县', '0410', 3, 223);
INSERT INTO `sys_areas_info` VALUES (1358, '河北省', '唐山市', '路北区', '0', 3, 277);
INSERT INTO `sys_areas_info` VALUES (1359, '甘肃省', '金昌市', '金川区', '0935', 3, 356);
INSERT INTO `sys_areas_info` VALUES (1360, '河北省', '石家庄市', '藁城市', '0', 3, 264);
INSERT INTO `sys_areas_info` VALUES (1361, '四川省', '乐山市', '沙湾区', '0833', 3, 155);
INSERT INTO `sys_areas_info` VALUES (1362, '甘肃省', '定西市', '安定区', '0932', 3, 327);
INSERT INTO `sys_areas_info` VALUES (1363, '江苏省', '南京市', '浦口区', '025', 3, 313);
INSERT INTO `sys_areas_info` VALUES (1364, '浙江省', '宁波市', '海曙区', '0574', 3, 217);
INSERT INTO `sys_areas_info` VALUES (1365, '新疆维吾尔族自治区', '哈密地区', '哈密市', '0902', 3, 366);
INSERT INTO `sys_areas_info` VALUES (1366, '云南省', '楚雄彝族自治州', '禄丰县', '0878', 3, 231);
INSERT INTO `sys_areas_info` VALUES (1367, '山西省', '晋城市', '高平市', '0356', 3, 376);
INSERT INTO `sys_areas_info` VALUES (1368, '内蒙古自治区', '赤峰市', '翁牛特旗', '0476', 3, 314);
INSERT INTO `sys_areas_info` VALUES (1369, '广东省', '中山市', '南朗镇', '0760', 3, 167);
INSERT INTO `sys_areas_info` VALUES (1370, '湖北省', '恩施市', '利川市', '0718', 3, 340);
INSERT INTO `sys_areas_info` VALUES (1371, '广东省', '珠海市', '香洲区', '0756', 3, 134);
INSERT INTO `sys_areas_info` VALUES (1372, '四川省', '眉山市', '洪雅县', '028', 3, 342);
INSERT INTO `sys_areas_info` VALUES (1373, '上海市', '上海市', '静安区', '021', 3, 287);
INSERT INTO `sys_areas_info` VALUES (1374, '贵州省', '黔南布依族苗族自治州', '荔波县', '0854', 3, 276);
INSERT INTO `sys_areas_info` VALUES (1375, '贵州省', '黔南布依族苗族自治州', '都匀市', '0854', 3, 276);
INSERT INTO `sys_areas_info` VALUES (1376, '河南省', '南阳市', '新野县', '0377', 3, 405);
INSERT INTO `sys_areas_info` VALUES (1377, '四川省', '巴中市', '南江县', '0827', 3, 233);
INSERT INTO `sys_areas_info` VALUES (1378, '安徽省', '宣城市', '宁国市', '0563', 3, 377);
INSERT INTO `sys_areas_info` VALUES (1379, '四川省', '资阳市', '简阳市', '028', 3, 404);
INSERT INTO `sys_areas_info` VALUES (1380, '云南省', '昭通市', '水富县', '0870', 3, 389);
INSERT INTO `sys_areas_info` VALUES (1381, '黑龙江省', '牡丹江市', '穆棱市', '0453', 3, 260);
INSERT INTO `sys_areas_info` VALUES (1382, '山东省', '淄博市', '周村区', '0533', 3, 203);
INSERT INTO `sys_areas_info` VALUES (1383, '吉林省', '四平市', '公主岭市', '0434', 3, 417);
INSERT INTO `sys_areas_info` VALUES (1384, '江西省', '抚州市', '临川区', '0794', 3, 266);
INSERT INTO `sys_areas_info` VALUES (1385, '河北省', '衡水市', '故城县', '0', 3, 138);
INSERT INTO `sys_areas_info` VALUES (1386, '浙江省', '丽水市', '莲都区', '0578', 3, 365);
INSERT INTO `sys_areas_info` VALUES (1387, '河北省', '邯郸市', '邱县', '0', 3, 348);
INSERT INTO `sys_areas_info` VALUES (1388, '河南省', '洛阳市', '新安县', '0379', 3, 214);
INSERT INTO `sys_areas_info` VALUES (1389, '四川省', '巴中市', '平昌县', '0827', 3, 233);
INSERT INTO `sys_areas_info` VALUES (1390, '广东省', '湛江市', '徐闻县', '0759', 3, 171);
INSERT INTO `sys_areas_info` VALUES (1391, '甘肃省', '兰州市', '榆中县', '0931', 3, 228);
INSERT INTO `sys_areas_info` VALUES (1392, '云南省', '玉溪市', '峨山彝族自治县', '0877', 3, 387);
INSERT INTO `sys_areas_info` VALUES (1393, '云南省', '文山壮族苗族自治州', '文山县', '0876', 3, 426);
INSERT INTO `sys_areas_info` VALUES (1394, '云南省', '西双版纳傣族自治州', '景洪市', '0691', 3, 390);
INSERT INTO `sys_areas_info` VALUES (1395, '四川省', '内江市', '威远县', '0832', 3, 322);
INSERT INTO `sys_areas_info` VALUES (1396, '河北省', '唐山市', '开平区', '0', 3, 277);
INSERT INTO `sys_areas_info` VALUES (1397, '河南省', '驻马店市', '正阳县', '0396', 3, 282);
INSERT INTO `sys_areas_info` VALUES (1398, '黑龙江省', '绥化市', '海伦市', '0455', 3, 371);
INSERT INTO `sys_areas_info` VALUES (1399, '安徽省', '安庆市', '岳西县', '0556', 3, 246);
INSERT INTO `sys_areas_info` VALUES (1400, '山西省', '晋城市', '泽州县', '0356', 3, 376);
INSERT INTO `sys_areas_info` VALUES (1401, '广西壮族自治区', '桂林市', '资源县', '0773', 3, 400);
INSERT INTO `sys_areas_info` VALUES (1402, '广东省', '广州市', '从化市', '020', 3, 129);
INSERT INTO `sys_areas_info` VALUES (1403, '浙江省', '宁波市', '慈溪市', '0574', 3, 217);
INSERT INTO `sys_areas_info` VALUES (1404, '重庆市', '重庆市', '南岸区', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (1405, '安徽省', '宣城市', '广德县', '0563', 3, 377);
INSERT INTO `sys_areas_info` VALUES (1406, '新疆维吾尔族自治区', '塔城地区', '乌苏市', '0901', 3, 146);
INSERT INTO `sys_areas_info` VALUES (1407, '江苏省', '南京市', '玄武区', '025', 3, 313);
INSERT INTO `sys_areas_info` VALUES (1408, '四川省', '内江市', '隆昌县', '0832', 3, 322);
INSERT INTO `sys_areas_info` VALUES (1409, '福建省', '厦门市', '翔安区', '0592', 3, 354);
INSERT INTO `sys_areas_info` VALUES (1410, '浙江省', '金华市', '兰溪市', '0579', 3, 152);
INSERT INTO `sys_areas_info` VALUES (1411, '河南省', '许昌市', '鄢陵县', '0374', 3, 345);
INSERT INTO `sys_areas_info` VALUES (1412, '重庆市', '重庆市', '北碚区', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (1413, '安徽省', '滁州市', '天长市', '0550', 3, 380);
INSERT INTO `sys_areas_info` VALUES (1414, '江西省', '赣州市', '定南县', '0797', 3, 336);
INSERT INTO `sys_areas_info` VALUES (1415, '广东省', '潮州市', '潮安县', '0768', 3, 291);
INSERT INTO `sys_areas_info` VALUES (1416, '山东省', '青岛市', '胶南市', '0532', 3, 284);
INSERT INTO `sys_areas_info` VALUES (1417, '辽宁省', '鞍山市', '铁西区', '0', 3, 301);
INSERT INTO `sys_areas_info` VALUES (1418, '黑龙江省', '鸡西市', '鸡冠区', '0467', 3, 128);
INSERT INTO `sys_areas_info` VALUES (1419, '浙江省', '湖州市', '德清县', '0572', 3, 159);
INSERT INTO `sys_areas_info` VALUES (1420, '江苏省', '扬州市', '仪征市', '0514', 3, 136);
INSERT INTO `sys_areas_info` VALUES (1421, '云南省', '丽江市', '宁蒗彝族自治县', '0888', 3, 103);
INSERT INTO `sys_areas_info` VALUES (1422, '湖南省', '怀化市', '沅陵县', '0745', 3, 156);
INSERT INTO `sys_areas_info` VALUES (1423, '贵州省', '贵阳市', '其他', '0851', 3, 273);
INSERT INTO `sys_areas_info` VALUES (1424, '河南省', '周口市', '西华县', '0394', 3, 102);
INSERT INTO `sys_areas_info` VALUES (1425, '安徽省', '铜陵市', '铜陵县', '0562', 3, 132);
INSERT INTO `sys_areas_info` VALUES (1426, '河北省', '邢台市', '清河县', '0', 3, 151);
INSERT INTO `sys_areas_info` VALUES (1427, '四川省', '内江市', '资中县', '0832', 3, 322);
INSERT INTO `sys_areas_info` VALUES (1428, '湖北省', '宜昌市', '长阳县', '0717', 3, 423);
INSERT INTO `sys_areas_info` VALUES (1429, '云南省', '昭通市', '昭阳区', '0870', 3, 389);
INSERT INTO `sys_areas_info` VALUES (1430, '云南省', '昆明市', '盘龙区', '0871', 3, 369);
INSERT INTO `sys_areas_info` VALUES (1431, '湖南省', '衡阳市', '珠晖区', '0734', 3, 116);
INSERT INTO `sys_areas_info` VALUES (1432, '云南省', '红河哈尼族彝族自治州', '开远市', '0873', 3, 399);
INSERT INTO `sys_areas_info` VALUES (1433, '贵州省', '安顺市', '普定县', '0853', 3, 347);
INSERT INTO `sys_areas_info` VALUES (1434, '云南省', '玉溪市', '红塔区', '0877', 3, 387);
INSERT INTO `sys_areas_info` VALUES (1435, '河南省', '新乡市', '卫辉市', '0373', 3, 418);
INSERT INTO `sys_areas_info` VALUES (1436, '湖南省', '邵阳市', '武冈市', '0739', 3, 274);
INSERT INTO `sys_areas_info` VALUES (1437, '山东省', '青岛市', '市南区', '0532', 3, 284);
INSERT INTO `sys_areas_info` VALUES (1438, '江苏省', '连云港市', '灌南县', '0518', 3, 101);
INSERT INTO `sys_areas_info` VALUES (1439, '安徽省', '蚌埠市', '蚌山区', '0552', 3, 372);
INSERT INTO `sys_areas_info` VALUES (1440, '四川省', '广安市', '邻水县', '0826', 3, 237);
INSERT INTO `sys_areas_info` VALUES (1441, '云南省', '保山市', '腾冲县', '0875', 3, 381);
INSERT INTO `sys_areas_info` VALUES (1442, '北京市', '北京市', '朝阳区', '010', 3, 368);
INSERT INTO `sys_areas_info` VALUES (1443, '浙江省', '衢州市', '江山市', '0570', 3, 257);
INSERT INTO `sys_areas_info` VALUES (1444, '广东省', '深圳市', '福田区', '0755', 3, 118);
INSERT INTO `sys_areas_info` VALUES (1445, '四川省', '绵阳市', '涪城区', '0816', 3, 224);
INSERT INTO `sys_areas_info` VALUES (1446, '贵州省', '遵义市', '习水县', '0852', 3, 288);
INSERT INTO `sys_areas_info` VALUES (1447, '福建省', '三明市', '建宁县', '0598', 3, 411);
INSERT INTO `sys_areas_info` VALUES (1448, '河南省', '南阳市', '唐河县', '0377', 3, 405);
INSERT INTO `sys_areas_info` VALUES (1449, '山西省', '吕梁市', '汾阳市', '0358', 3, 227);
INSERT INTO `sys_areas_info` VALUES (1450, '辽宁省', '沈阳市', '其他', '0', 3, 170);
INSERT INTO `sys_areas_info` VALUES (1451, '河北省', '秦皇岛市', '山海关区', '0', 3, 163);
INSERT INTO `sys_areas_info` VALUES (1452, '江西省', '宜春市', '袁州区', '0795', 3, 142);
INSERT INTO `sys_areas_info` VALUES (1453, '江苏省', '南通市', '启东市', '0513', 3, 416);
INSERT INTO `sys_areas_info` VALUES (1454, '湖南省', '怀化市', '靖州苗族侗族自治县', '0745', 3, 156);
INSERT INTO `sys_areas_info` VALUES (1455, '湖南省', '长沙市', '望城县', '0731', 3, 201);
INSERT INTO `sys_areas_info` VALUES (1456, '江西省', '赣州市', '寻乌县', '0797', 3, 336);
INSERT INTO `sys_areas_info` VALUES (1457, '湖北省', '宜昌市', '当阳市', '0717', 3, 423);
INSERT INTO `sys_areas_info` VALUES (1458, '湖南省', '株洲市', '炎陵县', '0731', 3, 302);
INSERT INTO `sys_areas_info` VALUES (1459, '四川省', '德阳市', '罗江县', '0838', 3, 178);
INSERT INTO `sys_areas_info` VALUES (1460, '四川省', '成都市', '锦江区', '028', 3, 106);
INSERT INTO `sys_areas_info` VALUES (1461, '广西壮族自治区', '柳州市', '柳南区', '0772', 3, 388);
INSERT INTO `sys_areas_info` VALUES (1462, '浙江省', '杭州市', '建德市', '0571', 3, 263);
INSERT INTO `sys_areas_info` VALUES (1463, '江苏省', '苏州市', '相城区', '0512', 3, 281);
INSERT INTO `sys_areas_info` VALUES (1464, '吉林省', '延边朝鲜族自治州', '龙井市', '0433', 3, 165);
INSERT INTO `sys_areas_info` VALUES (1465, '黑龙江省', '齐齐哈尔市', '讷河市', '0452', 3, 195);
INSERT INTO `sys_areas_info` VALUES (1466, '辽宁省', '丹东市', '宽甸满族自治县', '0415', 3, 305);
INSERT INTO `sys_areas_info` VALUES (1467, '广东省', '梅州市', '梅江区', '0753', 3, 143);
INSERT INTO `sys_areas_info` VALUES (1468, '吉林省', '长春市', '其他', '0431', 3, 112);
INSERT INTO `sys_areas_info` VALUES (1469, '云南省', '迪庆藏族自治州', '香格里拉县', '0887', 3, 204);
INSERT INTO `sys_areas_info` VALUES (1470, '安徽省', '蚌埠市', '固镇县', '0552', 3, 372);
INSERT INTO `sys_areas_info` VALUES (1471, '云南省', '楚雄彝族自治州', '双柏县', '0878', 3, 231);
INSERT INTO `sys_areas_info` VALUES (1472, '湖北省', '十堰市', '茅箭区', '0719', 3, 185);
INSERT INTO `sys_areas_info` VALUES (1473, '河南省', '商丘市', '宁陵县', '0370', 3, 254);
INSERT INTO `sys_areas_info` VALUES (1474, '贵州省', '遵义市', '务川仡佬族苗族自治县', '0852', 3, 288);
INSERT INTO `sys_areas_info` VALUES (1475, '广东省', '惠州市', '惠东县', '0752', 3, 250);
INSERT INTO `sys_areas_info` VALUES (1476, '江西省', '萍乡市', '安源区', '0799', 3, 320);
INSERT INTO `sys_areas_info` VALUES (1477, '安徽省', '阜阳市', '颍上县', '0558', 3, 265);
INSERT INTO `sys_areas_info` VALUES (1478, '黑龙江省', '哈尔滨市', '道里区', '0451', 3, 124);
INSERT INTO `sys_areas_info` VALUES (1479, '广西壮族自治区', '河池市', '都安瑶族自治县', '0778', 3, 197);
INSERT INTO `sys_areas_info` VALUES (1480, '内蒙古自治区', '赤峰市', '松山区', '0476', 3, 314);
INSERT INTO `sys_areas_info` VALUES (1481, '辽宁省', '丹东市', '振兴区', '0415', 3, 305);
INSERT INTO `sys_areas_info` VALUES (1482, '吉林省', '长春市', '九台市', '0431', 3, 112);
INSERT INTO `sys_areas_info` VALUES (1483, '河北省', '保定市', '安国市', '0', 3, 209);
INSERT INTO `sys_areas_info` VALUES (1484, '湖北省', '荆州市', '松滋市', '0716', 3, 361);
INSERT INTO `sys_areas_info` VALUES (1485, '福建省', '三明市', '永安市', '0598', 3, 411);
INSERT INTO `sys_areas_info` VALUES (1486, '广西壮族自治区', '来宾市', '象州县', '0772', 3, 225);
INSERT INTO `sys_areas_info` VALUES (1487, '云南省', '曲靖市', '罗平县', '0874', 3, 420);
INSERT INTO `sys_areas_info` VALUES (1488, '浙江省', '台州市', '路桥区', '0576', 3, 289);
INSERT INTO `sys_areas_info` VALUES (1489, '吉林省', '吉林市', '龙潭区', '0432', 3, 240);
INSERT INTO `sys_areas_info` VALUES (1490, '陕西省', '西安市', '灞桥区', '029', 3, 334);
INSERT INTO `sys_areas_info` VALUES (1491, '江苏省', '南通市', '崇川区', '0513', 3, 416);
INSERT INTO `sys_areas_info` VALUES (1492, '天津市', '天津市', '蓟县', '0', 3, 252);
INSERT INTO `sys_areas_info` VALUES (1493, '山东省', '潍坊市', '昌乐县', '0536', 3, 121);
INSERT INTO `sys_areas_info` VALUES (1494, '福建省', '泉州市', '安溪县', '0595', 3, 161);
INSERT INTO `sys_areas_info` VALUES (1495, '山东省', '菏泽市', '鄄城县', '0530', 3, 216);
INSERT INTO `sys_areas_info` VALUES (1496, '云南省', '昆明市', '晋宁县', '0871', 3, 369);
INSERT INTO `sys_areas_info` VALUES (1497, '贵州省', '六盘水市', '盘县', '0858', 3, 339);
INSERT INTO `sys_areas_info` VALUES (1498, '广西壮族自治区', '北海市', '合浦县', '0779', 3, 331);
INSERT INTO `sys_areas_info` VALUES (1499, '云南省', '思茅市', '翠云区', NULL, 3, 168);
INSERT INTO `sys_areas_info` VALUES (1500, '江西省', '吉安市', '永丰县', '0796', 3, 332);
INSERT INTO `sys_areas_info` VALUES (1501, '黑龙江省', '双鸭山市', '尖山区', '0469', 3, 373);
INSERT INTO `sys_areas_info` VALUES (1502, '河北省', '保定市', '涞源县', '0', 3, 209);
INSERT INTO `sys_areas_info` VALUES (1503, '吉林省', '吉林市', '永吉县', '0432', 3, 240);
INSERT INTO `sys_areas_info` VALUES (1504, '湖南省', '常德市', '其他', '0736', 3, 186);
INSERT INTO `sys_areas_info` VALUES (1505, '福建省', '福州市', '仓山区', '0591', 3, 177);
INSERT INTO `sys_areas_info` VALUES (1506, '黑龙江省', '黑河市', '爱辉区', '0456', 3, 131);
INSERT INTO `sys_areas_info` VALUES (1507, '广西壮族自治区', '防城港市', '港口区', '0770', 3, 410);
INSERT INTO `sys_areas_info` VALUES (1508, '四川省', '成都市', '新津县', '028', 3, 106);
INSERT INTO `sys_areas_info` VALUES (1509, '内蒙古自治区', '赤峰市', '宁城县', '0476', 3, 314);
INSERT INTO `sys_areas_info` VALUES (1510, '湖北省', '武汉市', '江夏区', '027', 3, 113);
INSERT INTO `sys_areas_info` VALUES (1511, '青海省', '西宁市', '城中区', '0971', 3, 193);
INSERT INTO `sys_areas_info` VALUES (1512, '河北省', '衡水市', '饶阳县', '0', 3, 138);
INSERT INTO `sys_areas_info` VALUES (1513, '江西省', '萍乡市', '其他', '0799', 3, 320);
INSERT INTO `sys_areas_info` VALUES (1514, '贵州省', '黔西南布依族苗族自治州', '兴义市', '0859', 3, 297);
INSERT INTO `sys_areas_info` VALUES (1515, '贵州省', '黔东南苗族侗族自治州', '台江县', '0855', 3, 325);
INSERT INTO `sys_areas_info` VALUES (1516, '湖南省', '永州市', '冷水滩区', '0746', 3, 408);
INSERT INTO `sys_areas_info` VALUES (1517, '云南省', '西双版纳傣族自治州', '勐海县', '0691', 3, 390);
INSERT INTO `sys_areas_info` VALUES (1518, '宁夏回族自治区', '银川市', '永宁县', '0951', 3, 247);
INSERT INTO `sys_areas_info` VALUES (1519, '江苏省', '盐城市', '盐都区', '0515', 3, 329);
INSERT INTO `sys_areas_info` VALUES (1520, '河南省', '新乡市', '延津县', '0373', 3, 418);
INSERT INTO `sys_areas_info` VALUES (1521, '内蒙古自治区', '呼伦贝尔市', '扎兰屯市', '0470', 3, 357);
INSERT INTO `sys_areas_info` VALUES (1522, '广西壮族自治区', '防城港市', '上思县', '0770', 3, 410);
INSERT INTO `sys_areas_info` VALUES (1523, '辽宁省', '营口市', '西市区', '0417', 3, 166);
INSERT INTO `sys_areas_info` VALUES (1524, '宁夏回族自治区', '银川市', '灵武市', '0951', 3, 247);
INSERT INTO `sys_areas_info` VALUES (1525, '广西壮族自治区', '柳州市', '鱼峰区', '0772', 3, 388);
INSERT INTO `sys_areas_info` VALUES (1526, '山东省', '东营市', '广饶县', '0546', 3, 140);
INSERT INTO `sys_areas_info` VALUES (1527, '广东省', '广州市', '天河区', '020', 3, 129);
INSERT INTO `sys_areas_info` VALUES (1528, '四川省', '宜宾市', '宜宾县', '0831', 3, 109);
INSERT INTO `sys_areas_info` VALUES (1529, '福建省', '福州市', '台江区', '0591', 3, 177);
INSERT INTO `sys_areas_info` VALUES (1530, '贵州省', '贵阳市', '乌当区', '0851', 3, 273);
INSERT INTO `sys_areas_info` VALUES (1531, '河南省', '周口市', '鹿邑县', '0394', 3, 102);
INSERT INTO `sys_areas_info` VALUES (1532, '河南省', '三门峡市', '渑池县', '0398', 3, 328);
INSERT INTO `sys_areas_info` VALUES (1533, '新疆维吾尔族自治区', '塔城地区', '塔城市', '0901', 3, 146);
INSERT INTO `sys_areas_info` VALUES (1534, '重庆市', '重庆市', '云阳县', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (1535, '浙江省', '杭州市', '下城区', '0571', 3, 263);
INSERT INTO `sys_areas_info` VALUES (1536, '福建省', '泉州市', '鲤城区', '0595', 3, 161);
INSERT INTO `sys_areas_info` VALUES (1537, '贵州省', '安顺市', '其他', '0853', 3, 347);
INSERT INTO `sys_areas_info` VALUES (1538, '安徽省', '淮北市', '相山区', '0561', 3, 407);
INSERT INTO `sys_areas_info` VALUES (1539, '四川省', '攀枝花市', '米易县', '0812', 3, 428);
INSERT INTO `sys_areas_info` VALUES (1540, '山东省', '济南市', '市中区', '0531', 3, 306);
INSERT INTO `sys_areas_info` VALUES (1541, '黑龙江省', '齐齐哈尔市', '克山县', '0452', 3, 195);
INSERT INTO `sys_areas_info` VALUES (1542, '广西壮族自治区', '百色市', '那坡县', '0776', 3, 392);
INSERT INTO `sys_areas_info` VALUES (1543, '山东省', '潍坊市', '昌邑市', '0536', 3, 121);
INSERT INTO `sys_areas_info` VALUES (1544, '河南省', '郑州市', '中原区', '0371', 3, 308);
INSERT INTO `sys_areas_info` VALUES (1545, '宁夏回族自治区', '中卫市', '中宁县', '0955', 3, 278);
INSERT INTO `sys_areas_info` VALUES (1546, '四川省', '宜宾市', '兴文县', '0831', 3, 109);
INSERT INTO `sys_areas_info` VALUES (1547, '河南省', '信阳市', '淮滨县', '0376', 3, 269);
INSERT INTO `sys_areas_info` VALUES (1548, '宁夏回族自治区', '固原市', '原州区', '0954', 3, 358);
INSERT INTO `sys_areas_info` VALUES (1549, '湖北省', '襄樊市', '襄阳区', '0710', 3, 412);
INSERT INTO `sys_areas_info` VALUES (1550, '甘肃省', '定西市', '陇西县', '0932', 3, 327);
INSERT INTO `sys_areas_info` VALUES (1551, '黑龙江省', '齐齐哈尔市', '建华区', '0452', 3, 195);
INSERT INTO `sys_areas_info` VALUES (1552, '陕西省', '榆林市', '神木县', '0912', 3, 421);
INSERT INTO `sys_areas_info` VALUES (1553, '福建省', '漳州市', '南靖县', '0596', 3, 150);
INSERT INTO `sys_areas_info` VALUES (1554, '安徽省', '蚌埠市', '龙子湖区', '0552', 3, 372);
INSERT INTO `sys_areas_info` VALUES (1555, '福建省', '南平市', '浦城县', '0599', 3, 119);
INSERT INTO `sys_areas_info` VALUES (1556, '福建省', '三明市', '将乐县', '0598', 3, 411);
INSERT INTO `sys_areas_info` VALUES (1557, '云南省', '曲靖市', '会泽县', '0874', 3, 420);
INSERT INTO `sys_areas_info` VALUES (1558, '广西壮族自治区', '河池市', '宜州市', '0778', 3, 197);
INSERT INTO `sys_areas_info` VALUES (1559, '河北省', '石家庄市', '灵寿县', '0', 3, 264);
INSERT INTO `sys_areas_info` VALUES (1560, '云南省', '玉溪市', '江川县', '0877', 3, 387);
INSERT INTO `sys_areas_info` VALUES (1561, '吉林省', '通化市', '通化县', '0435', 3, 395);
INSERT INTO `sys_areas_info` VALUES (1562, '辽宁省', '沈阳市', '辽中县', '0', 3, 170);
INSERT INTO `sys_areas_info` VALUES (1563, '河南省', '焦作市', '山阳区', '0391', 3, 175);
INSERT INTO `sys_areas_info` VALUES (1564, '湖北省', '仙桃市', '其他', '0728', 3, 160);
INSERT INTO `sys_areas_info` VALUES (1565, '湖北省', '荆门市', '京山县', '0724', 3, 153);
INSERT INTO `sys_areas_info` VALUES (1566, '湖北省', '武汉市', '江岸区', '027', 3, 113);
INSERT INTO `sys_areas_info` VALUES (1567, '黑龙江省', '佳木斯市', '同江市', '0454', 3, 105);
INSERT INTO `sys_areas_info` VALUES (1568, '四川省', '成都市', '彭州市', '028', 3, 106);
INSERT INTO `sys_areas_info` VALUES (1569, '福建省', '宁德市', '福鼎市', '0593', 3, 202);
INSERT INTO `sys_areas_info` VALUES (1570, '浙江省', '宁波市', '象山县', '0574', 3, 217);
INSERT INTO `sys_areas_info` VALUES (1571, '云南省', '大理白族自治州', '鹤庆县', '0872', 3, 191);
INSERT INTO `sys_areas_info` VALUES (1572, '云南省', '丽江市', '古城区', '0888', 3, 103);
INSERT INTO `sys_areas_info` VALUES (1573, '广东省', '江门市', '恩平市', '0750', 3, 398);
INSERT INTO `sys_areas_info` VALUES (1574, '安徽省', '宣城市', '宣州区', '0563', 3, 377);
INSERT INTO `sys_areas_info` VALUES (1575, '河北省', '衡水市', '枣强县', '0', 3, 138);
INSERT INTO `sys_areas_info` VALUES (1576, '广东省', '深圳市', '罗湖区', '0755', 3, 118);
INSERT INTO `sys_areas_info` VALUES (1577, '新疆维吾尔族自治区', '克拉玛依市', '独山子区', '0990', 3, 183);
INSERT INTO `sys_areas_info` VALUES (1578, '河南省', '信阳市', '浉河区', '0376', 3, 269);
INSERT INTO `sys_areas_info` VALUES (1579, '河南省', '周口市', '淮阳县', '0394', 3, 102);
INSERT INTO `sys_areas_info` VALUES (1580, '河北省', '邯郸市', '成安县', '0', 3, 348);
INSERT INTO `sys_areas_info` VALUES (1581, '云南省', '曲靖市', '师宗县', '0874', 3, 420);
INSERT INTO `sys_areas_info` VALUES (1582, '河北省', '唐山市', '丰南区', '0', 3, 277);
INSERT INTO `sys_areas_info` VALUES (1583, '湖南省', '娄底市', '涟源市', '0738', 3, 206);
INSERT INTO `sys_areas_info` VALUES (1584, '浙江省', '温州市', '平阳县', '0577', 3, 315);
INSERT INTO `sys_areas_info` VALUES (1585, '河北省', '邢台市', '邢台县', '0', 3, 151);
INSERT INTO `sys_areas_info` VALUES (1586, '湖南省', '长沙市', '岳麓区', '0731', 3, 201);
INSERT INTO `sys_areas_info` VALUES (1587, '山东省', '菏泽市', '东明县', '0530', 3, 216);
INSERT INTO `sys_areas_info` VALUES (1588, '广东省', '江门市', '台山市', '0750', 3, 398);
INSERT INTO `sys_areas_info` VALUES (1589, '上海市', '上海市', '闸北区', '021', 3, 287);
INSERT INTO `sys_areas_info` VALUES (1590, '贵州省', '毕节地区', '毕节市', '0857', 3, 318);
INSERT INTO `sys_areas_info` VALUES (1591, '天津市', '天津市', '静海县', '0', 3, 252);
INSERT INTO `sys_areas_info` VALUES (1592, '江西省', '抚州市', '金溪县', '0794', 3, 266);
INSERT INTO `sys_areas_info` VALUES (1593, '广东省', '佛山市', '禅城区', '0757', 3, 378);
INSERT INTO `sys_areas_info` VALUES (1594, '河南省', '三门峡市', '义马市', '0398', 3, 328);
INSERT INTO `sys_areas_info` VALUES (1595, '甘肃省', '兰州市', '西固区', '0931', 3, 228);
INSERT INTO `sys_areas_info` VALUES (1596, '安徽省', '池州市', '东至县', '0566', 3, 391);
INSERT INTO `sys_areas_info` VALUES (1597, '广东省', '梅州市', '平远县', '0753', 3, 143);
INSERT INTO `sys_areas_info` VALUES (1598, '安徽省', '蚌埠市', '五河县', '0552', 3, 372);
INSERT INTO `sys_areas_info` VALUES (1599, '湖南省', '湘西土家族苗族自治州', '吉首市', '0743', 3, 211);
INSERT INTO `sys_areas_info` VALUES (1600, '黑龙江省', '哈尔滨市', '其他', '0451', 3, 124);
INSERT INTO `sys_areas_info` VALUES (1601, '内蒙古自治区', '通辽市', '科尔沁区', '0475', 3, 326);
INSERT INTO `sys_areas_info` VALUES (1602, '湖南省', '郴州市', '嘉禾县', '0735', 3, 370);
INSERT INTO `sys_areas_info` VALUES (1603, '新疆维吾尔族自治区', '阿勒泰地区', '阿勒泰市', '0906', 3, 190);
INSERT INTO `sys_areas_info` VALUES (1604, '福建省', '宁德市', '古田县', '0593', 3, 202);
INSERT INTO `sys_areas_info` VALUES (1605, '河南省', '郑州市', '上街区', '0371', 3, 308);
INSERT INTO `sys_areas_info` VALUES (1606, '山东省', '潍坊市', '安丘市', '0536', 3, 121);
INSERT INTO `sys_areas_info` VALUES (1607, '湖北省', '黄冈市', '蕲春县', '0713', 3, 397);
INSERT INTO `sys_areas_info` VALUES (1608, '陕西省', '咸阳市', '三原县', '029', 3, 180);
INSERT INTO `sys_areas_info` VALUES (1609, '河南省', '安阳市', '林州市', '0372', 3, 353);
INSERT INTO `sys_areas_info` VALUES (1610, '山东省', '淄博市', '淄川区', '0533', 3, 203);
INSERT INTO `sys_areas_info` VALUES (1611, '山东省', '济南市', '历城区', '0531', 3, 306);
INSERT INTO `sys_areas_info` VALUES (1612, '福建省', '福州市', '罗源县', '0591', 3, 177);
INSERT INTO `sys_areas_info` VALUES (1613, '云南省', '思茅市', '墨江哈尼族自治县', NULL, 3, 168);
INSERT INTO `sys_areas_info` VALUES (1614, '黑龙江省', '哈尔滨市', '双城市', '0451', 3, 124);
INSERT INTO `sys_areas_info` VALUES (1615, '贵州省', '遵义市', '余庆县', '0852', 3, 288);
INSERT INTO `sys_areas_info` VALUES (1616, '甘肃省', '白银市', '会宁县', '0943', 3, 157);
INSERT INTO `sys_areas_info` VALUES (1617, '甘肃省', '平凉市', '静宁县', '0933', 3, 218);
INSERT INTO `sys_areas_info` VALUES (1618, '湖南省', '邵阳市', '双清区', '0739', 3, 274);
INSERT INTO `sys_areas_info` VALUES (1619, '福建省', '龙岩市', '漳平市', '0597', 3, 267);
INSERT INTO `sys_areas_info` VALUES (1620, '黑龙江省', '哈尔滨市', '五常市', '0451', 3, 124);
INSERT INTO `sys_areas_info` VALUES (1621, '河南省', '郑州市', '荥阳市', '0371', 3, 308);
INSERT INTO `sys_areas_info` VALUES (1622, '江苏省', '苏州市', '金阊区', '0512', 3, 281);
INSERT INTO `sys_areas_info` VALUES (1623, '吉林省', '吉林市', '舒兰市', '0432', 3, 240);
INSERT INTO `sys_areas_info` VALUES (1624, '浙江省', '嘉兴市', '平湖市', '0573', 3, 107);
INSERT INTO `sys_areas_info` VALUES (1625, '江西省', '赣州市', '龙南县', '0797', 3, 336);
INSERT INTO `sys_areas_info` VALUES (1626, '贵州省', '黔南布依族苗族自治州', '贵定县', '0854', 3, 276);
INSERT INTO `sys_areas_info` VALUES (1627, '湖北省', '襄樊市', '保康县', '0710', 3, 412);
INSERT INTO `sys_areas_info` VALUES (1628, '四川省', '成都市', '邛崃市', '028', 3, 106);
INSERT INTO `sys_areas_info` VALUES (1629, '陕西省', '西安市', '长安区', '029', 3, 334);
INSERT INTO `sys_areas_info` VALUES (1630, '湖北省', '孝感市', '孝南区', '0712', 3, 210);
INSERT INTO `sys_areas_info` VALUES (1631, '广东省', '中山市', '东区', '0760', 3, 167);
INSERT INTO `sys_areas_info` VALUES (1632, '贵州省', '贵阳市', '南明区', '0851', 3, 273);
INSERT INTO `sys_areas_info` VALUES (1633, '云南省', '昆明市', '寻甸回族彝族自治县', '0871', 3, 369);
INSERT INTO `sys_areas_info` VALUES (1634, '山东省', '临沂市', '罗庄区', '0539', 3, 312);
INSERT INTO `sys_areas_info` VALUES (1635, '河北省', '沧州市', '运河区', '0', 3, 286);
INSERT INTO `sys_areas_info` VALUES (1636, '贵州省', '遵义市', '道真仡佬族苗族自治县', '0852', 3, 288);
INSERT INTO `sys_areas_info` VALUES (1637, '吉林省', '长春市', '绿园区', '0431', 3, 112);
INSERT INTO `sys_areas_info` VALUES (1638, '河北省', '唐山市', '滦县', '0', 3, 277);
INSERT INTO `sys_areas_info` VALUES (1639, '贵州省', '遵义市', '遵义县', '0852', 3, 288);
INSERT INTO `sys_areas_info` VALUES (1640, '江西省', '吉安市', '安福县', '0796', 3, 332);
INSERT INTO `sys_areas_info` VALUES (1641, '黑龙江省', '齐齐哈尔市', '其他', '0452', 3, 195);
INSERT INTO `sys_areas_info` VALUES (1642, '安徽省', '宣城市', '绩溪县', '0563', 3, 377);
INSERT INTO `sys_areas_info` VALUES (1643, '福建省', '南平市', '政和县', '0599', 3, 119);
INSERT INTO `sys_areas_info` VALUES (1644, '江西省', '九江市', '浔阳区', '0792', 3, 104);
INSERT INTO `sys_areas_info` VALUES (1645, '山东省', '青岛市', '平度市', '0532', 3, 284);
INSERT INTO `sys_areas_info` VALUES (1646, '福建省', '莆田市', '涵江区', '0594', 3, 346);
INSERT INTO `sys_areas_info` VALUES (1647, '内蒙古自治区', '赤峰市', '红山区', '0476', 3, 314);
INSERT INTO `sys_areas_info` VALUES (1648, '四川省', '内江市', '东兴区', '0832', 3, 322);
INSERT INTO `sys_areas_info` VALUES (1649, '黑龙江省', '鹤岗市', '向阳区', '0468', 3, 188);
INSERT INTO `sys_areas_info` VALUES (1650, '江西省', '抚州市', '东乡县', '0794', 3, 266);
INSERT INTO `sys_areas_info` VALUES (1651, '河北省', '唐山市', '丰润区', '0', 3, 277);
INSERT INTO `sys_areas_info` VALUES (1652, '浙江省', '绍兴市', '新昌县', '0575', 3, 307);
INSERT INTO `sys_areas_info` VALUES (1653, '福建省', '三明市', '宁化县', '0598', 3, 411);
INSERT INTO `sys_areas_info` VALUES (1654, '四川省', '泸州市', '江阳区', '0830', 3, 110);
INSERT INTO `sys_areas_info` VALUES (1655, '山西省', '大同市', '灵丘县', '0352', 3, 108);
INSERT INTO `sys_areas_info` VALUES (1656, '云南省', '昆明市', '嵩明县', '0871', 3, 369);
INSERT INTO `sys_areas_info` VALUES (1657, '吉林省', '延边朝鲜族自治州', '汪清县', '0433', 3, 165);
INSERT INTO `sys_areas_info` VALUES (1658, '甘肃省', '张掖市', '临泽县', '0936', 3, 362);
INSERT INTO `sys_areas_info` VALUES (1659, '福建省', '厦门市', '海沧区', '0592', 3, 354);
INSERT INTO `sys_areas_info` VALUES (1660, '西藏自治区', '山南地区', '乃东县', '0893', 3, 172);
INSERT INTO `sys_areas_info` VALUES (1661, '安徽省', '宿州市', '墉桥区', '0557', 3, 181);
INSERT INTO `sys_areas_info` VALUES (1662, '江西省', '九江市', '湖口县', '0792', 3, 104);
INSERT INTO `sys_areas_info` VALUES (1663, '江苏省', '常州市', '金坛市', '0519', 3, 304);
INSERT INTO `sys_areas_info` VALUES (1664, '四川省', '泸州市', '合江县', '0830', 3, 110);
INSERT INTO `sys_areas_info` VALUES (1665, '黑龙江省', '七台河市', '桃山区', '0464', 3, 419);
INSERT INTO `sys_areas_info` VALUES (1666, '宁夏回族自治区', '固原市', '彭阳县', '0954', 3, 358);
INSERT INTO `sys_areas_info` VALUES (1667, '山东省', '枣庄市', '薛城区', '0632', 3, 235);
INSERT INTO `sys_areas_info` VALUES (1668, '江西省', '九江市', '星子县', '0792', 3, 104);
INSERT INTO `sys_areas_info` VALUES (1669, '云南省', '昭通市', '镇雄县', '0870', 3, 389);
INSERT INTO `sys_areas_info` VALUES (1670, '贵州省', '黔西南布依族苗族自治州', '普安县', '0859', 3, 297);
INSERT INTO `sys_areas_info` VALUES (1671, '四川省', '宜宾市', '高县', '0831', 3, 109);
INSERT INTO `sys_areas_info` VALUES (1672, '辽宁省', '阜新市', '阜新蒙古族自治县', '0418', 3, 226);
INSERT INTO `sys_areas_info` VALUES (1673, '广东省', '清远市', '英德市', '0763', 3, 196);
INSERT INTO `sys_areas_info` VALUES (1674, '山东省', '淄博市', '沂源县', '0533', 3, 203);
INSERT INTO `sys_areas_info` VALUES (1675, '江西省', '萍乡市', '上栗县', '0799', 3, 320);
INSERT INTO `sys_areas_info` VALUES (1676, '江苏省', '泰州市', '海陵区', '0523', 3, 311);
INSERT INTO `sys_areas_info` VALUES (1677, '河南省', '濮阳市', '濮阳县', '0393', 3, 319);
INSERT INTO `sys_areas_info` VALUES (1678, '云南省', '临沧市', '沧源佤族自治县', '0883', 3, 270);
INSERT INTO `sys_areas_info` VALUES (1679, '河南省', '新乡市', '辉县市', '0373', 3, 418);
INSERT INTO `sys_areas_info` VALUES (1680, '江苏省', '南通市', '如皋市', '0513', 3, 416);
INSERT INTO `sys_areas_info` VALUES (1681, '福建省', '泉州市', '洛江区', '0595', 3, 161);
INSERT INTO `sys_areas_info` VALUES (1682, '湖南省', '张家界市', '永定区', '0744', 3, 300);
INSERT INTO `sys_areas_info` VALUES (1683, '福建省', '龙岩市', '永定县', '0597', 3, 267);
INSERT INTO `sys_areas_info` VALUES (1684, '福建省', '福州市', '马尾区', '0591', 3, 177);
INSERT INTO `sys_areas_info` VALUES (1685, '山东省', '济宁市', '汶上县', '0537', 3, 169);
INSERT INTO `sys_areas_info` VALUES (1686, '山西省', '运城市', '新绛县', '0359', 3, 236);
INSERT INTO `sys_areas_info` VALUES (1687, '广东省', '江门市', '江海区', '0750', 3, 398);
INSERT INTO `sys_areas_info` VALUES (1688, '河北省', '石家庄市', '桥东区', '0', 3, 264);
INSERT INTO `sys_areas_info` VALUES (1689, '四川省', '雅安市', '汉源县', '0835', 3, 208);
INSERT INTO `sys_areas_info` VALUES (1690, '广东省', '中山市', '石岐区', '0760', 3, 167);
INSERT INTO `sys_areas_info` VALUES (1691, '河南省', '南阳市', '方城县', '0377', 3, 405);
INSERT INTO `sys_areas_info` VALUES (1692, '广东省', '广州市', '荔湾区', '020', 3, 129);
INSERT INTO `sys_areas_info` VALUES (1693, '湖北省', '孝感市', '大悟县', '0712', 3, 210);
INSERT INTO `sys_areas_info` VALUES (1694, '安徽省', '黄山市', '歙县', '0559', 3, 279);
INSERT INTO `sys_areas_info` VALUES (1695, '广东省', '东莞市', '东城区', '0769', 3, 229);
INSERT INTO `sys_areas_info` VALUES (1696, '贵州省', '毕节地区', '其他', '0857', 3, 318);
INSERT INTO `sys_areas_info` VALUES (1697, '江苏省', '苏州市', '张家港市', '0512', 3, 281);
INSERT INTO `sys_areas_info` VALUES (1698, '江苏省', '南通市', '如东县', '0513', 3, 416);
INSERT INTO `sys_areas_info` VALUES (1699, '黑龙江省', '哈尔滨市', '道外区', '0451', 3, 124);
INSERT INTO `sys_areas_info` VALUES (1700, '重庆市', '重庆市', '大渡口区', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (1701, '贵州省', '铜仁地区', '松桃苗族自治县', '0856', 3, 272);
INSERT INTO `sys_areas_info` VALUES (1702, '四川省', '南充市', '高坪区', '0817', 3, 350);
INSERT INTO `sys_areas_info` VALUES (1703, '青海省', '西宁市', '城东区', '0971', 3, 193);
INSERT INTO `sys_areas_info` VALUES (1704, '福建省', '漳州市', '芗城区', '0596', 3, 150);
INSERT INTO `sys_areas_info` VALUES (1705, '山东省', '临沂市', '临沭县', '0539', 3, 312);
INSERT INTO `sys_areas_info` VALUES (1706, '浙江省', '舟山市', '普陀区', '0580', 3, 194);
INSERT INTO `sys_areas_info` VALUES (1707, '河北省', '承德市', '承德县', '0', 3, 127);
INSERT INTO `sys_areas_info` VALUES (1708, '吉林省', '长春市', '双阳区', '0431', 3, 112);
INSERT INTO `sys_areas_info` VALUES (1709, '河南省', '鹤壁市', '浚县', '0392', 3, 385);
INSERT INTO `sys_areas_info` VALUES (1710, '黑龙江省', '伊春市', '友好区', '0458', 3, 125);
INSERT INTO `sys_areas_info` VALUES (1711, '黑龙江省', '伊春市', '伊春区', '0458', 3, 125);
INSERT INTO `sys_areas_info` VALUES (1712, '广西壮族自治区', '玉林市', '玉州区', '0775', 3, 338);
INSERT INTO `sys_areas_info` VALUES (1713, '湖南省', '怀化市', '鹤城区', '0745', 3, 156);
INSERT INTO `sys_areas_info` VALUES (1714, '安徽省', '宣城市', '郎溪县', '0563', 3, 377);
INSERT INTO `sys_areas_info` VALUES (1715, '北京市', '北京市', '海淀区', '010', 3, 368);
INSERT INTO `sys_areas_info` VALUES (1716, '内蒙古自治区', '赤峰市', '元宝山区', '0476', 3, 314);
INSERT INTO `sys_areas_info` VALUES (1717, '新疆维吾尔族自治区', '伊犁哈萨克自治州', '霍城县', '0999', 3, 120);
INSERT INTO `sys_areas_info` VALUES (1718, '广东省', '湛江市', '霞山区', '0759', 3, 171);
INSERT INTO `sys_areas_info` VALUES (1719, '重庆市', '重庆市', '江北区', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (1720, '广东省', '东莞市', '莞城区', '0769', 3, 229);
INSERT INTO `sys_areas_info` VALUES (1721, '江苏省', '连云港市', '赣榆县', '0518', 3, 101);
INSERT INTO `sys_areas_info` VALUES (1722, '浙江省', '金华市', '东阳市', '0579', 3, 152);
INSERT INTO `sys_areas_info` VALUES (1723, '四川省', '德阳市', '中江县', '0838', 3, 178);
INSERT INTO `sys_areas_info` VALUES (1724, '河南省', '商丘市', '睢阳区', '0370', 3, 254);
INSERT INTO `sys_areas_info` VALUES (1725, '安徽省', '淮北市', '濉溪县', '0561', 3, 407);
INSERT INTO `sys_areas_info` VALUES (1726, '辽宁省', '鞍山市', '千山区', '0', 3, 301);
INSERT INTO `sys_areas_info` VALUES (1727, '云南省', '丽江市', '华坪县', '0888', 3, 103);
INSERT INTO `sys_areas_info` VALUES (1728, '内蒙古自治区', '包头市', '东河区', '0472', 3, 230);
INSERT INTO `sys_areas_info` VALUES (1729, '江苏省', '泰州市', '靖江市', '0523', 3, 311);
INSERT INTO `sys_areas_info` VALUES (1730, '河南省', '安阳市', '北关区', '0372', 3, 353);
INSERT INTO `sys_areas_info` VALUES (1731, '江苏省', '苏州市', '太仓市', '0512', 3, 281);
INSERT INTO `sys_areas_info` VALUES (1732, '河北省', '秦皇岛市', '昌黎县', '0', 3, 163);
INSERT INTO `sys_areas_info` VALUES (1733, '四川省', '阿坝藏族羌族自治州', '汶川县', '0837', 3, 255);
INSERT INTO `sys_areas_info` VALUES (1734, '河北省', '邢台市', '平乡县', '0', 3, 151);
INSERT INTO `sys_areas_info` VALUES (1735, '广东省', '梅州市', '丰顺县', '0753', 3, 143);
INSERT INTO `sys_areas_info` VALUES (1736, '江苏省', '南京市', '建邺区', '025', 3, 313);
INSERT INTO `sys_areas_info` VALUES (1737, '北京市', '北京市', '密云县', '010', 3, 368);
INSERT INTO `sys_areas_info` VALUES (1738, '安徽省', '阜阳市', '临泉县', '0558', 3, 265);
INSERT INTO `sys_areas_info` VALUES (1739, '河南省', '洛阳市', '伊川县', '0379', 3, 214);
INSERT INTO `sys_areas_info` VALUES (1740, '云南省', '德宏傣族景颇族自治州', '陇川县', '0692', 3, 184);
INSERT INTO `sys_areas_info` VALUES (1741, '湖北省', '武汉市', '青山区', '027', 3, 113);
INSERT INTO `sys_areas_info` VALUES (1742, '山西省', '运城市', '夏县', '0359', 3, 236);
INSERT INTO `sys_areas_info` VALUES (1743, '河南省', '周口市', '项城市', '0394', 3, 102);
INSERT INTO `sys_areas_info` VALUES (1744, '江苏省', '徐州市', '云龙区', '0516', 3, 130);
INSERT INTO `sys_areas_info` VALUES (1745, '四川省', '自贡市', '贡井区', '0813', 3, 375);
INSERT INTO `sys_areas_info` VALUES (1746, '陕西省', '西安市', '周至县', '029', 3, 334);
INSERT INTO `sys_areas_info` VALUES (1747, '福建省', '福州市', '鼓楼区', '0591', 3, 177);
INSERT INTO `sys_areas_info` VALUES (1748, '四川省', '雅安市', '雨城区', '0835', 3, 208);
INSERT INTO `sys_areas_info` VALUES (1749, '上海市', '上海市', '徐汇区', '021', 3, 287);
INSERT INTO `sys_areas_info` VALUES (1750, '江西省', '景德镇市', '乐平市', '0798', 3, 244);
INSERT INTO `sys_areas_info` VALUES (1751, '辽宁省', '鞍山市', '铁东区', '0', 3, 301);
INSERT INTO `sys_areas_info` VALUES (1752, '山西省', '临汾市', '曲沃县', '0357', 3, 238);
INSERT INTO `sys_areas_info` VALUES (1753, '北京市', '北京市', '西城区', '010', 3, 368);
INSERT INTO `sys_areas_info` VALUES (1754, '内蒙古自治区', '鄂尔多斯市', '达拉特旗', '0477', 3, 384);
INSERT INTO `sys_areas_info` VALUES (1755, '云南省', '昆明市', '东川区', '0871', 3, 369);
INSERT INTO `sys_areas_info` VALUES (1756, '辽宁省', '大连市', '西岗区', '0', 3, 262);
INSERT INTO `sys_areas_info` VALUES (1757, '辽宁省', '抚顺市', '清原满族自治县', '0', 3, 158);
INSERT INTO `sys_areas_info` VALUES (1758, '湖南省', '衡阳市', '蒸湘区', '0734', 3, 116);
INSERT INTO `sys_areas_info` VALUES (1759, '辽宁省', '沈阳市', '法库县', '0', 3, 170);
INSERT INTO `sys_areas_info` VALUES (1760, '河北省', '唐山市', '迁西县', '0', 3, 277);
INSERT INTO `sys_areas_info` VALUES (1761, '福建省', '南平市', '建瓯市', '0599', 3, 119);
INSERT INTO `sys_areas_info` VALUES (1762, '河北省', '石家庄市', '桥西区', '0', 3, 264);
INSERT INTO `sys_areas_info` VALUES (1763, '河北省', '邯郸市', '峰峰矿区', '0', 3, 348);
INSERT INTO `sys_areas_info` VALUES (1764, '山东省', '潍坊市', '坊子区', '0536', 3, 121);
INSERT INTO `sys_areas_info` VALUES (1765, '湖南省', '郴州市', '苏仙区', '0735', 3, 370);
INSERT INTO `sys_areas_info` VALUES (1766, '浙江省', '宁波市', '奉化市', '0574', 3, 217);
INSERT INTO `sys_areas_info` VALUES (1767, '山东省', '枣庄市', '市中区', '0632', 3, 235);
INSERT INTO `sys_areas_info` VALUES (1768, '湖北省', '襄樊市', '襄城区', '0710', 3, 412);
INSERT INTO `sys_areas_info` VALUES (1769, '河南省', '驻马店市', '上蔡县', '0396', 3, 282);
INSERT INTO `sys_areas_info` VALUES (1770, '安徽省', '合肥市', '庐阳区', '0551', 3, 299);
INSERT INTO `sys_areas_info` VALUES (1771, '江西省', '鹰潭市', '月湖区', '0701', 3, 403);
INSERT INTO `sys_areas_info` VALUES (1772, '河南省', '新乡市', '长垣县', '0373', 3, 418);
INSERT INTO `sys_areas_info` VALUES (1773, '云南省', '文山壮族苗族自治州', '富宁县', '0876', 3, 426);
INSERT INTO `sys_areas_info` VALUES (1774, '安徽省', '阜阳市', '颍东区', '0558', 3, 265);
INSERT INTO `sys_areas_info` VALUES (1775, '辽宁省', '沈阳市', '东陵区', '0', 3, 170);
INSERT INTO `sys_areas_info` VALUES (1776, '甘肃省', '定西市', '临洮县', '0932', 3, 327);
INSERT INTO `sys_areas_info` VALUES (1777, '四川省', '成都市', '郫县', '028', 3, 106);
INSERT INTO `sys_areas_info` VALUES (1778, '安徽省', '六安市', '金安区', '0564', 3, 253);
INSERT INTO `sys_areas_info` VALUES (1779, '江西省', '赣州市', '信丰县', '0797', 3, 336);
INSERT INTO `sys_areas_info` VALUES (1780, '江苏省', '无锡市', '北塘区', '0510', 3, 364);
INSERT INTO `sys_areas_info` VALUES (1781, '云南省', '怒江傈僳族自治州', '福贡县', '0886', 3, 258);
INSERT INTO `sys_areas_info` VALUES (1782, '福建省', '莆田市', '仙游县', '0594', 3, 346);
INSERT INTO `sys_areas_info` VALUES (1783, '山西省', '太原市', '古交市', '0351', 3, 154);
INSERT INTO `sys_areas_info` VALUES (1784, '河北省', '保定市', '涿州市', '0', 3, 209);
INSERT INTO `sys_areas_info` VALUES (1785, '贵州省', '黔东南苗族侗族自治州', '麻江县', '0855', 3, 325);
INSERT INTO `sys_areas_info` VALUES (1786, '河北省', '保定市', '容城县', '0', 3, 209);
INSERT INTO `sys_areas_info` VALUES (1787, '河北省', '衡水市', '桃城区', '0', 3, 138);
INSERT INTO `sys_areas_info` VALUES (1788, '内蒙古自治区', '呼伦贝尔市', '牙克石市', '0470', 3, 357);
INSERT INTO `sys_areas_info` VALUES (1789, '山东省', '莱芜市', '莱城区', '0634', 3, 126);
INSERT INTO `sys_areas_info` VALUES (1790, '河南省', '平顶山市', '卫东区', '0375', 3, 117);
INSERT INTO `sys_areas_info` VALUES (1791, '安徽省', '合肥市', '肥东县', '0551', 3, 299);
INSERT INTO `sys_areas_info` VALUES (1792, '河南省', '信阳市', '息县', '0376', 3, 269);
INSERT INTO `sys_areas_info` VALUES (1793, '安徽省', '芜湖市', '镜湖区', '0553', 3, 425);
INSERT INTO `sys_areas_info` VALUES (1794, '四川省', '绵阳市', '游仙区', '0816', 3, 224);
INSERT INTO `sys_areas_info` VALUES (1795, '四川省', '德阳市', '绵竹市', '0838', 3, 178);
INSERT INTO `sys_areas_info` VALUES (1796, '河南省', '洛阳市', '嵩县', '0379', 3, 214);
INSERT INTO `sys_areas_info` VALUES (1797, '湖北省', '荆州市', '洪湖市', '0716', 3, 361);
INSERT INTO `sys_areas_info` VALUES (1798, '云南省', '红河哈尼族彝族自治州', '石屏县', '0873', 3, 399);
INSERT INTO `sys_areas_info` VALUES (1799, '贵州省', '遵义市', '正安县', '0852', 3, 288);
INSERT INTO `sys_areas_info` VALUES (1800, '四川省', '遂宁市', '船山区', '0825', 3, 268);
INSERT INTO `sys_areas_info` VALUES (1801, '广西壮族自治区', '百色市', '田林县', '0776', 3, 392);
INSERT INTO `sys_areas_info` VALUES (1802, '河北省', '张家口市', '沽源县', '0', 3, 162);
INSERT INTO `sys_areas_info` VALUES (1803, '安徽省', '宿州市', '泗县', '0557', 3, 181);
INSERT INTO `sys_areas_info` VALUES (1804, '河北省', '廊坊市', '广阳区', '0', 3, 176);
INSERT INTO `sys_areas_info` VALUES (1805, '湖南省', '衡阳市', '祁东县', '0734', 3, 116);
INSERT INTO `sys_areas_info` VALUES (1806, '江苏省', '无锡市', '江阴市', '0510', 3, 364);
INSERT INTO `sys_areas_info` VALUES (1807, '辽宁省', '朝阳市', '凌源市', '0421', 3, 174);
INSERT INTO `sys_areas_info` VALUES (1808, '江苏省', '宿迁市', '泗阳县', '0527', 3, 285);
INSERT INTO `sys_areas_info` VALUES (1809, '江西省', '吉安市', '吉州区', '0796', 3, 332);
INSERT INTO `sys_areas_info` VALUES (1810, '江苏省', '镇江市', '句容市', '0511', 3, 283);
INSERT INTO `sys_areas_info` VALUES (1811, '四川省', '凉山彝族自治州', '昭觉县', '0834', 3, 173);
INSERT INTO `sys_areas_info` VALUES (1812, '河南省', '南阳市', '淅川县', '0377', 3, 405);
INSERT INTO `sys_areas_info` VALUES (1813, '福建省', '南平市', '其他', '0599', 3, 119);
INSERT INTO `sys_areas_info` VALUES (1814, '陕西省', '宝鸡市', '扶风县', '0917', 3, 232);
INSERT INTO `sys_areas_info` VALUES (1815, '贵州省', '黔东南苗族侗族自治州', '凯里市', '0855', 3, 325);
INSERT INTO `sys_areas_info` VALUES (1816, '黑龙江省', '大庆市', '萨尔图区', '0459', 3, 415);
INSERT INTO `sys_areas_info` VALUES (1817, '山东省', '滨州市', '博兴县', '0543', 3, 245);
INSERT INTO `sys_areas_info` VALUES (1818, '云南省', '临沧市', '云县', '0883', 3, 270);
INSERT INTO `sys_areas_info` VALUES (1819, '山东省', '泰安市', '新泰市', '0538', 3, 192);
INSERT INTO `sys_areas_info` VALUES (1820, '河北省', '张家口市', '宣化区', '0', 3, 162);
INSERT INTO `sys_areas_info` VALUES (1821, '辽宁省', '阜新市', '海州区', '0418', 3, 226);
INSERT INTO `sys_areas_info` VALUES (1822, '吉林省', '延边朝鲜族自治州', '敦化市', '0433', 3, 165);
INSERT INTO `sys_areas_info` VALUES (1823, '福建省', '漳州市', '平和县', '0596', 3, 150);
INSERT INTO `sys_areas_info` VALUES (1824, '湖北省', '天门市', '其他', '0728', 3, 359);
INSERT INTO `sys_areas_info` VALUES (1825, '浙江省', '绍兴市', '上虞市', '0575', 3, 307);
INSERT INTO `sys_areas_info` VALUES (1826, '江苏省', '常州市', '钟楼区', '0519', 3, 304);
INSERT INTO `sys_areas_info` VALUES (1827, '河北省', '张家口市', '怀来县', '0', 3, 162);
INSERT INTO `sys_areas_info` VALUES (1828, '浙江省', '舟山市', '岱山县', '0580', 3, 194);
INSERT INTO `sys_areas_info` VALUES (1829, '安徽省', '滁州市', '琅琊区', '0550', 3, 380);
INSERT INTO `sys_areas_info` VALUES (1830, '河北省', '保定市', '顺平县', '0', 3, 209);
INSERT INTO `sys_areas_info` VALUES (1831, '天津市', '天津市', '汉沽区', '0', 3, 252);
INSERT INTO `sys_areas_info` VALUES (1832, '四川省', '宜宾市', '翠屏区', '0831', 3, 109);
INSERT INTO `sys_areas_info` VALUES (1833, '江西省', '上饶市', '余干县', '0793', 3, 234);
INSERT INTO `sys_areas_info` VALUES (1834, '上海市', '上海市', '浦东新区', '021', 3, 287);
INSERT INTO `sys_areas_info` VALUES (1835, '青海省', '西宁市', '城西区', '0971', 3, 193);
INSERT INTO `sys_areas_info` VALUES (1836, '山东省', '威海市', '环翠区', '0631', 3, 256);
INSERT INTO `sys_areas_info` VALUES (1837, '甘肃省', '临夏回族自治州', '临夏市', '0930', 3, 335);
INSERT INTO `sys_areas_info` VALUES (1838, '湖南省', '娄底市', '双峰县', '0738', 3, 206);
INSERT INTO `sys_areas_info` VALUES (1839, '广西壮族自治区', '南宁市', '横县', '0771', 3, 242);
INSERT INTO `sys_areas_info` VALUES (1840, '上海市', '上海市', '长宁区', '021', 3, 287);
INSERT INTO `sys_areas_info` VALUES (1841, '广东省', '江门市', '鹤山市', '0750', 3, 398);
INSERT INTO `sys_areas_info` VALUES (1842, '福建省', '漳州市', '诏安县', '0596', 3, 150);
INSERT INTO `sys_areas_info` VALUES (1843, '新疆维吾尔族自治区', '伊犁哈萨克自治州', '伊宁市', '0999', 3, 120);
INSERT INTO `sys_areas_info` VALUES (1844, '重庆市', '重庆市', '合川区', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (1845, '河北省', '保定市', '曲阳县', '0', 3, 209);
INSERT INTO `sys_areas_info` VALUES (1846, '浙江省', '嘉兴市', '秀洲区', '0573', 3, 107);
INSERT INTO `sys_areas_info` VALUES (1847, '浙江省', '温州市', '洞头县', '0577', 3, 315);
INSERT INTO `sys_areas_info` VALUES (1848, '湖北省', '武汉市', '洪山区', '027', 3, 113);
INSERT INTO `sys_areas_info` VALUES (1849, '湖南省', '长沙市', '宁乡县', '0731', 3, 201);
INSERT INTO `sys_areas_info` VALUES (1850, '河南省', '开封市', '顺河回族区', '0378', 3, 111);
INSERT INTO `sys_areas_info` VALUES (1851, '江苏省', '扬州市', '江都市', '0514', 3, 136);
INSERT INTO `sys_areas_info` VALUES (1852, '天津市', '天津市', '西青区', '0', 3, 252);
INSERT INTO `sys_areas_info` VALUES (1853, '辽宁省', '沈阳市', '铁西区', '0', 3, 170);
INSERT INTO `sys_areas_info` VALUES (1854, '浙江省', '衢州市', '开化县', '0570', 3, 257);
INSERT INTO `sys_areas_info` VALUES (1855, '云南省', '红河哈尼族彝族自治州', '泸西县', '0873', 3, 399);
INSERT INTO `sys_areas_info` VALUES (1856, '山西省', '晋中市', '介休市', '0354', 3, 139);
INSERT INTO `sys_areas_info` VALUES (1857, '广西壮族自治区', '贵港市', '其他', '0775', 3, 295);
INSERT INTO `sys_areas_info` VALUES (1858, '广西壮族自治区', '贺州市', '钟山县', '0774', 3, 135);
INSERT INTO `sys_areas_info` VALUES (1859, '天津市', '天津市', '宁河县', '0', 3, 252);
INSERT INTO `sys_areas_info` VALUES (1860, '浙江省', '嘉兴市', '嘉善县', '0573', 3, 107);
INSERT INTO `sys_areas_info` VALUES (1861, '云南省', '怒江傈僳族自治州', '泸水县', '0886', 3, 258);
INSERT INTO `sys_areas_info` VALUES (1862, '广西壮族自治区', '贵港市', '桂平市', '0775', 3, 295);
INSERT INTO `sys_areas_info` VALUES (1863, '重庆市', '重庆市', '开县', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (1864, '陕西省', '汉中市', '汉台区', '0916', 3, 379);
INSERT INTO `sys_areas_info` VALUES (1865, '海南省', '海口市', '美兰区', '0898', 3, 219);
INSERT INTO `sys_areas_info` VALUES (1866, '内蒙古自治区', '呼伦贝尔市', '海拉尔区', '0470', 3, 357);
INSERT INTO `sys_areas_info` VALUES (1867, '新疆维吾尔族自治区', '巴音郭楞蒙古自治州', '其他', '0996', 3, 310);
INSERT INTO `sys_areas_info` VALUES (1868, '河南省', '许昌市', '魏都区', '0374', 3, 345);
INSERT INTO `sys_areas_info` VALUES (1869, '浙江省', '温州市', '苍南县', '0577', 3, 315);
INSERT INTO `sys_areas_info` VALUES (1870, '河南省', '新乡市', '封丘县', '0373', 3, 418);
INSERT INTO `sys_areas_info` VALUES (1871, '山东省', '东营市', '河口区', '0546', 3, 140);
INSERT INTO `sys_areas_info` VALUES (1872, '浙江省', '台州市', '黄岩区', '0576', 3, 289);
INSERT INTO `sys_areas_info` VALUES (1873, '浙江省', '绍兴市', '嵊州市', '0575', 3, 307);
INSERT INTO `sys_areas_info` VALUES (1874, '广西壮族自治区', '南宁市', '武鸣县', '0771', 3, 242);
INSERT INTO `sys_areas_info` VALUES (1875, '河北省', '张家口市', '蔚县', '0', 3, 162);
INSERT INTO `sys_areas_info` VALUES (1876, '江苏省', '无锡市', '崇安区', '0510', 3, 364);
INSERT INTO `sys_areas_info` VALUES (1877, '重庆市', '重庆市', '沙坪坝区', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (1878, '安徽省', '安庆市', '大观区', '0556', 3, 246);
INSERT INTO `sys_areas_info` VALUES (1879, '四川省', '攀枝花市', '东区', '0812', 3, 428);
INSERT INTO `sys_areas_info` VALUES (1880, '山东省', '枣庄市', '滕州市', '0632', 3, 235);
INSERT INTO `sys_areas_info` VALUES (1881, '江苏省', '连云港市', '灌云县', '0518', 3, 101);
INSERT INTO `sys_areas_info` VALUES (1882, '云南省', '临沧市', '耿马傣族佤族自治县', '0883', 3, 270);
INSERT INTO `sys_areas_info` VALUES (1883, '宁夏回族自治区', '吴忠市', '青铜峡市', '0953', 3, 383);
INSERT INTO `sys_areas_info` VALUES (1884, '辽宁省', '铁岭市', '铁岭县', '0410', 3, 223);
INSERT INTO `sys_areas_info` VALUES (1885, '上海市', '上海市', '奉贤区', '021', 3, 287);
INSERT INTO `sys_areas_info` VALUES (1886, '广东省', '中山市', '五桂山区', '0760', 3, 167);
INSERT INTO `sys_areas_info` VALUES (1887, '内蒙古自治区', '巴彦淖尔市', '临河区', '0478', 3, 316);
INSERT INTO `sys_areas_info` VALUES (1888, '四川省', '泸州市', '龙马潭区', '0830', 3, 110);
INSERT INTO `sys_areas_info` VALUES (1889, '浙江省', '温州市', '其他', '0577', 3, 315);
INSERT INTO `sys_areas_info` VALUES (1890, '贵州省', '黔东南苗族侗族自治州', '岑巩县', '0855', 3, 325);
INSERT INTO `sys_areas_info` VALUES (1891, '江西省', '萍乡市', '湘东区', '0799', 3, 320);
INSERT INTO `sys_areas_info` VALUES (1892, '广东省', '广州市', '越秀区', '020', 3, 129);
INSERT INTO `sys_areas_info` VALUES (1893, '江西省', '宜春市', '宜丰县', '0795', 3, 142);
INSERT INTO `sys_areas_info` VALUES (1894, '河北省', '保定市', '博野县', '0', 3, 209);
INSERT INTO `sys_areas_info` VALUES (1895, '浙江省', '丽水市', '龙泉市', '0578', 3, 365);
INSERT INTO `sys_areas_info` VALUES (1896, '山西省', '阳泉市', '城区', '0353', 3, 137);
INSERT INTO `sys_areas_info` VALUES (1897, '河北省', '廊坊市', '大城县', '0', 3, 176);
INSERT INTO `sys_areas_info` VALUES (1898, '山东省', '聊城市', '莘县', '0635', 3, 402);
INSERT INTO `sys_areas_info` VALUES (1899, '山东省', '潍坊市', '寿光市', '0536', 3, 121);
INSERT INTO `sys_areas_info` VALUES (1900, '福建省', '南平市', '建阳市', '0599', 3, 119);
INSERT INTO `sys_areas_info` VALUES (1901, '云南省', '红河哈尼族彝族自治州', '弥勒县', '0873', 3, 399);
INSERT INTO `sys_areas_info` VALUES (1902, '河北省', '邢台市', '其他', '0', 3, 151);
INSERT INTO `sys_areas_info` VALUES (1903, '吉林省', '长春市', '德惠市', '0431', 3, 112);
INSERT INTO `sys_areas_info` VALUES (1904, '安徽省', '合肥市', '长丰县', '0551', 3, 299);
INSERT INTO `sys_areas_info` VALUES (1905, '广西壮族自治区', '贵港市', '港南区', '0775', 3, 295);
INSERT INTO `sys_areas_info` VALUES (1906, '吉林省', '松原市', '其他', '0438', 3, 333);
INSERT INTO `sys_areas_info` VALUES (1907, '青海省', '西宁市', '大通回族土族自治县', '0971', 3, 193);
INSERT INTO `sys_areas_info` VALUES (1908, '山西省', '阳泉市', '盂县', '0353', 3, 137);
INSERT INTO `sys_areas_info` VALUES (1909, '天津市', '天津市', '大港区', '0', 3, 252);
INSERT INTO `sys_areas_info` VALUES (1910, '河北省', '邯郸市', '大名县', '0', 3, 348);
INSERT INTO `sys_areas_info` VALUES (1911, '河南省', '洛阳市', '宜阳县', '0379', 3, 214);
INSERT INTO `sys_areas_info` VALUES (1912, '贵州省', '黔东南苗族侗族自治州', '剑河县', '0855', 3, 325);
INSERT INTO `sys_areas_info` VALUES (1913, '福建省', '南平市', '邵武市', '0599', 3, 119);
INSERT INTO `sys_areas_info` VALUES (1914, '江西省', '赣州市', '石城县', '0797', 3, 336);
INSERT INTO `sys_areas_info` VALUES (1915, '吉林省', '松原市', '宁江区', '0438', 3, 333);
INSERT INTO `sys_areas_info` VALUES (1916, '云南省', '楚雄彝族自治州', '永仁县', '0878', 3, 231);
INSERT INTO `sys_areas_info` VALUES (1917, '福建省', '三明市', '明溪县', '0598', 3, 411);
INSERT INTO `sys_areas_info` VALUES (1918, '内蒙古自治区', '赤峰市', '林西县', '0476', 3, 314);
INSERT INTO `sys_areas_info` VALUES (1919, '河北省', '秦皇岛市', '抚宁县', '0', 3, 163);
INSERT INTO `sys_areas_info` VALUES (1920, '广西壮族自治区', '梧州市', '蝶山区', '0774', 3, 280);
INSERT INTO `sys_areas_info` VALUES (1921, '云南省', '思茅市', '普洱哈尼族彝族自治县', NULL, 3, 168);
INSERT INTO `sys_areas_info` VALUES (1922, '海南省', '儋州市', '那大镇', '0898', 3, 199);
INSERT INTO `sys_areas_info` VALUES (1923, '辽宁省', '抚顺市', '抚顺县', '0', 3, 158);
INSERT INTO `sys_areas_info` VALUES (1924, '湖南省', '益阳市', '南县', '0737', 3, 145);
INSERT INTO `sys_areas_info` VALUES (1925, '福建省', '三明市', '沙县', '0598', 3, 411);
INSERT INTO `sys_areas_info` VALUES (1926, '江西省', '九江市', '德安县', '0792', 3, 104);
INSERT INTO `sys_areas_info` VALUES (1927, '北京市', '北京市', '大兴区', '010', 3, 368);
INSERT INTO `sys_areas_info` VALUES (1928, '四川省', '巴中市', '巴州区', '0827', 3, 233);
INSERT INTO `sys_areas_info` VALUES (1929, '黑龙江省', '黑河市', '其他', '0456', 3, 131);
INSERT INTO `sys_areas_info` VALUES (1930, '山东省', '潍坊市', '诸城市', '0536', 3, 121);
INSERT INTO `sys_areas_info` VALUES (1931, '四川省', '成都市', '大邑县', '028', 3, 106);
INSERT INTO `sys_areas_info` VALUES (1932, '江苏省', '扬州市', '维扬区', '0514', 3, 136);
INSERT INTO `sys_areas_info` VALUES (1933, '河北省', '唐山市', '滦南县', '0', 3, 277);
INSERT INTO `sys_areas_info` VALUES (1934, '河北省', '唐山市', '路南区', '0', 3, 277);
INSERT INTO `sys_areas_info` VALUES (1935, '湖南省', '衡阳市', '南岳区', '0734', 3, 116);
INSERT INTO `sys_areas_info` VALUES (1936, '贵州省', '黔南布依族苗族自治州', '福泉市', '0854', 3, 276);
INSERT INTO `sys_areas_info` VALUES (1937, '四川省', '广元市', '市中区', '0839', 3, 298);
INSERT INTO `sys_areas_info` VALUES (1938, '山西省', '朔州市', '怀仁县', '0349', 3, 290);
INSERT INTO `sys_areas_info` VALUES (1939, '浙江省', '杭州市', '上城区', '0571', 3, 263);
INSERT INTO `sys_areas_info` VALUES (1940, '湖南省', '岳阳市', '云溪区', '0730', 3, 393);
INSERT INTO `sys_areas_info` VALUES (1941, '湖北省', '武汉市', '江汉区', '027', 3, 113);
INSERT INTO `sys_areas_info` VALUES (1942, '河南省', '信阳市', '光山县', '0376', 3, 269);
INSERT INTO `sys_areas_info` VALUES (1943, '湖南省', '衡阳市', '衡南县', '0734', 3, 116);
INSERT INTO `sys_areas_info` VALUES (1944, '河南省', '南阳市', '社旗县', '0377', 3, 405);
INSERT INTO `sys_areas_info` VALUES (1945, '辽宁省', '大连市', '旅顺口区', '0', 3, 262);
INSERT INTO `sys_areas_info` VALUES (1946, '北京市', '北京市', '平谷区', '010', 3, 368);
INSERT INTO `sys_areas_info` VALUES (1947, '海南省', '琼海市', '其他', '0898', 3, 351);
INSERT INTO `sys_areas_info` VALUES (1948, '重庆市', '重庆市', '渝北区', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (1949, '江西省', '赣州市', '安远县', '0797', 3, 336);
INSERT INTO `sys_areas_info` VALUES (1950, '山西省', '临汾市', '翼城县', '0357', 3, 238);
INSERT INTO `sys_areas_info` VALUES (1951, '河北省', '邯郸市', '临漳县', '0', 3, 348);
INSERT INTO `sys_areas_info` VALUES (1952, '河南省', '开封市', '杞县', '0378', 3, 111);
INSERT INTO `sys_areas_info` VALUES (1953, '广西壮族自治区', '贵港市', '平南县', '0775', 3, 295);
INSERT INTO `sys_areas_info` VALUES (1954, '上海市', '上海市', '金山区', '021', 3, 287);
INSERT INTO `sys_areas_info` VALUES (1955, '贵州省', '六盘水市', '其他', '0858', 3, 339);
INSERT INTO `sys_areas_info` VALUES (1956, '四川省', '广元市', '剑阁县', '0839', 3, 298);
INSERT INTO `sys_areas_info` VALUES (1957, '四川省', '遂宁市', '射洪县', '0825', 3, 268);
INSERT INTO `sys_areas_info` VALUES (1958, '广西壮族自治区', '崇左市', '扶绥县', '0771', 3, 241);
INSERT INTO `sys_areas_info` VALUES (1959, '江苏省', '盐城市', '东台市', '0515', 3, 329);
INSERT INTO `sys_areas_info` VALUES (1960, '辽宁省', '鞍山市', '其他', '0', 3, 301);
INSERT INTO `sys_areas_info` VALUES (1961, '福建省', '福州市', '晋安区', '0591', 3, 177);
INSERT INTO `sys_areas_info` VALUES (1962, '四川省', '广安市', '武胜县', '0826', 3, 237);
INSERT INTO `sys_areas_info` VALUES (1963, '广西壮族自治区', '来宾市', '武宣县', '0772', 3, 225);
INSERT INTO `sys_areas_info` VALUES (1964, '江苏省', '无锡市', '宜兴市', '0510', 3, 364);
INSERT INTO `sys_areas_info` VALUES (1965, '广西壮族自治区', '北海市', '海城区', '0779', 3, 331);
INSERT INTO `sys_areas_info` VALUES (1966, '辽宁省', '葫芦岛市', '兴城市', '0429', 3, 213);
INSERT INTO `sys_areas_info` VALUES (1967, '辽宁省', '营口市', '鲅鱼圈区', '0417', 3, 166);
INSERT INTO `sys_areas_info` VALUES (1968, '辽宁省', '丹东市', '元宝区', '0415', 3, 305);
INSERT INTO `sys_areas_info` VALUES (1969, '辽宁省', '葫芦岛市', '连山区', '0429', 3, 213);
INSERT INTO `sys_areas_info` VALUES (1970, '江西省', '南昌市', '南昌县', '0791', 3, 200);
INSERT INTO `sys_areas_info` VALUES (1971, '黑龙江省', '鸡西市', '虎林市', '0467', 3, 128);
INSERT INTO `sys_areas_info` VALUES (1972, '湖南省', '永州市', '蓝山县', '0746', 3, 408);
INSERT INTO `sys_areas_info` VALUES (1973, '河南省', '驻马店市', '遂平县', '0396', 3, 282);
INSERT INTO `sys_areas_info` VALUES (1974, '贵州省', '黔南布依族苗族自治州', '瓮安县', '0854', 3, 276);
INSERT INTO `sys_areas_info` VALUES (1975, '安徽省', '宿州市', '其他', '0557', 3, 181);
INSERT INTO `sys_areas_info` VALUES (1976, '广西壮族自治区', '崇左市', '江洲区', '0771', 3, 241);
INSERT INTO `sys_areas_info` VALUES (1977, '新疆维吾尔族自治区', '伊犁哈萨克自治州', '伊宁县', '0999', 3, 120);
INSERT INTO `sys_areas_info` VALUES (1978, '山东省', '聊城市', '临清市', '0635', 3, 402);
INSERT INTO `sys_areas_info` VALUES (1979, '广西壮族自治区', '柳州市', '鹿寨县', '0772', 3, 388);
INSERT INTO `sys_areas_info` VALUES (1980, '山西省', '吕梁市', '离石区', '0358', 3, 227);
INSERT INTO `sys_areas_info` VALUES (1981, '湖南省', '株洲市', '天元区', '0731', 3, 302);
INSERT INTO `sys_areas_info` VALUES (1982, '湖北省', '黄冈市', '其他', '0713', 3, 397);
INSERT INTO `sys_areas_info` VALUES (1983, '江西省', '吉安市', '新干县', '0796', 3, 332);
INSERT INTO `sys_areas_info` VALUES (1984, '黑龙江省', '牡丹江市', '西安区', '0453', 3, 260);
INSERT INTO `sys_areas_info` VALUES (1985, '河南省', '濮阳市', '华龙区', '0393', 3, 319);
INSERT INTO `sys_areas_info` VALUES (1986, '广东省', '东莞市', '厚街镇', '0769', 3, 229);
INSERT INTO `sys_areas_info` VALUES (1987, '湖北省', '黄冈市', '黄州区', '0713', 3, 397);
INSERT INTO `sys_areas_info` VALUES (1988, '浙江省', '金华市', '永康市', '0579', 3, 152);
INSERT INTO `sys_areas_info` VALUES (1989, '广西壮族自治区', '桂林市', '兴安县', '0773', 3, 400);
INSERT INTO `sys_areas_info` VALUES (1990, '浙江省', '绍兴市', '越城区', '0575', 3, 307);
INSERT INTO `sys_areas_info` VALUES (1991, '河南省', '洛阳市', '涧西区', '0379', 3, 214);
INSERT INTO `sys_areas_info` VALUES (1992, '四川省', '成都市', '都江堰市', '028', 3, 106);
INSERT INTO `sys_areas_info` VALUES (1993, '江苏省', '镇江市', '丹徒区', '0511', 3, 283);
INSERT INTO `sys_areas_info` VALUES (1994, '湖南省', '岳阳市', '岳阳楼区', '0730', 3, 393);
INSERT INTO `sys_areas_info` VALUES (1995, '广东省', '湛江市', '遂溪县', '0759', 3, 171);
INSERT INTO `sys_areas_info` VALUES (1996, '江苏省', '南京市', '白下区', '025', 3, 313);
INSERT INTO `sys_areas_info` VALUES (1997, '江苏省', '扬州市', '宝应县', '0514', 3, 136);
INSERT INTO `sys_areas_info` VALUES (1998, '北京市', '北京市', '东城区', '010', 3, 368);
INSERT INTO `sys_areas_info` VALUES (1999, '山东省', '威海市', '乳山市', '0631', 3, 256);
INSERT INTO `sys_areas_info` VALUES (2000, '广东省', '阳江市', '阳春市', '0662', 3, 413);
INSERT INTO `sys_areas_info` VALUES (2001, '浙江省', '丽水市', '遂昌县', '0578', 3, 365);
INSERT INTO `sys_areas_info` VALUES (2002, '河南省', '洛阳市', '洛龙区', '0379', 3, 214);
INSERT INTO `sys_areas_info` VALUES (2003, '广西壮族自治区', '贵港市', '覃塘区', '0775', 3, 295);
INSERT INTO `sys_areas_info` VALUES (2004, '云南省', '曲靖市', '宣威市', '0874', 3, 420);
INSERT INTO `sys_areas_info` VALUES (2005, '贵州省', '遵义市', '桐梓县', '0852', 3, 288);
INSERT INTO `sys_areas_info` VALUES (2006, '湖南省', '湘潭市', '岳塘区', '0731', 3, 337);
INSERT INTO `sys_areas_info` VALUES (2007, '重庆市', '重庆市', '奉节县', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (2008, '云南省', '昆明市', '西山区', '0871', 3, 369);
INSERT INTO `sys_areas_info` VALUES (2009, '河北省', '沧州市', '肃宁县', '0', 3, 286);
INSERT INTO `sys_areas_info` VALUES (2010, '安徽省', '黄山市', '黄山区', '0559', 3, 279);
INSERT INTO `sys_areas_info` VALUES (2011, '贵州省', '贵阳市', '花溪区', '0851', 3, 273);
INSERT INTO `sys_areas_info` VALUES (2012, '福建省', '泉州市', '惠安县', '0595', 3, 161);
INSERT INTO `sys_areas_info` VALUES (2013, '河南省', '洛阳市', '西工区', '0379', 3, 214);
INSERT INTO `sys_areas_info` VALUES (2014, '湖北省', '宜昌市', '兴山县', '0717', 3, 423);
INSERT INTO `sys_areas_info` VALUES (2015, '湖北省', '孝感市', '孝昌县', '0712', 3, 210);
INSERT INTO `sys_areas_info` VALUES (2016, '福建省', '厦门市', '同安区', '0592', 3, 354);
INSERT INTO `sys_areas_info` VALUES (2017, '河南省', '周口市', '川汇区', '0394', 3, 102);
INSERT INTO `sys_areas_info` VALUES (2018, '内蒙古自治区', '呼和浩特市', '新城区', '0471', 3, 422);
INSERT INTO `sys_areas_info` VALUES (2019, '山东省', '日照市', '东港区', '0633', 3, 115);
INSERT INTO `sys_areas_info` VALUES (2020, '山东省', '淄博市', '博山区', '0533', 3, 203);
INSERT INTO `sys_areas_info` VALUES (2021, '浙江省', '宁波市', '江东区', '0574', 3, 217);
INSERT INTO `sys_areas_info` VALUES (2022, '陕西省', '咸阳市', '秦都区', '029', 3, 180);
INSERT INTO `sys_areas_info` VALUES (2023, '山东省', '德州市', '德城区', '0534', 3, 133);
INSERT INTO `sys_areas_info` VALUES (2024, '河北省', '唐山市', '迁安市', '0', 3, 277);
INSERT INTO `sys_areas_info` VALUES (2025, '河北省', '邢台市', '南和县', '0', 3, 151);
INSERT INTO `sys_areas_info` VALUES (2026, '湖南省', '邵阳市', '洞口县', '0739', 3, 274);
INSERT INTO `sys_areas_info` VALUES (2027, '山西省', '吕梁市', '文水县', '0358', 3, 227);
INSERT INTO `sys_areas_info` VALUES (2028, '新疆维吾尔族自治区', '昌吉回族自治州', '奇台县', '0994', 3, 293);
INSERT INTO `sys_areas_info` VALUES (2029, '河北省', '张家口市', '万全县', '0', 3, 162);
INSERT INTO `sys_areas_info` VALUES (2030, '广西壮族自治区', '百色市', '凌云县', '0776', 3, 392);
INSERT INTO `sys_areas_info` VALUES (2031, '内蒙古自治区', '赤峰市', '巴林左旗', '0476', 3, 314);
INSERT INTO `sys_areas_info` VALUES (2032, '河南省', '开封市', '兰考县', '0378', 3, 111);
INSERT INTO `sys_areas_info` VALUES (2033, '新疆维吾尔族自治区', '和田地区', '和田市', '0903', 3, 292);
INSERT INTO `sys_areas_info` VALUES (2034, '山西省', '吕梁市', '石楼县', '0358', 3, 227);
INSERT INTO `sys_areas_info` VALUES (2035, '山东省', '泰安市', '泰山区', '0538', 3, 192);
INSERT INTO `sys_areas_info` VALUES (2036, '山东省', '临沂市', '沂南县', '0539', 3, 312);
INSERT INTO `sys_areas_info` VALUES (2037, '内蒙古自治区', '赤峰市', '其他', '0476', 3, 314);
INSERT INTO `sys_areas_info` VALUES (2038, '河北省', '石家庄市', '平山县', '0', 3, 264);
INSERT INTO `sys_areas_info` VALUES (2039, '河南省', '驻马店市', '新蔡县', '0396', 3, 282);
INSERT INTO `sys_areas_info` VALUES (2040, '江苏省', '徐州市', '泉山区', '0516', 3, 130);
INSERT INTO `sys_areas_info` VALUES (2041, '甘肃省', '酒泉市', '敦煌市', '0937', 3, 409);
INSERT INTO `sys_areas_info` VALUES (2042, '湖南省', '郴州市', '临武县', '0735', 3, 370);
INSERT INTO `sys_areas_info` VALUES (2043, '江苏省', '徐州市', '铜山县', '0516', 3, 130);
INSERT INTO `sys_areas_info` VALUES (2044, '湖北省', '襄樊市', '宜城市', '0710', 3, 412);
INSERT INTO `sys_areas_info` VALUES (2045, '湖南省', '湘西土家族苗族自治州', '永顺县', '0743', 3, 211);
INSERT INTO `sys_areas_info` VALUES (2046, '广西壮族自治区', '百色市', '右江区', '0776', 3, 392);
INSERT INTO `sys_areas_info` VALUES (2047, '云南省', '楚雄彝族自治州', '楚雄市', '0878', 3, 231);
INSERT INTO `sys_areas_info` VALUES (2048, '河南省', '许昌市', '长葛市', '0374', 3, 345);
INSERT INTO `sys_areas_info` VALUES (2049, '河南省', '周口市', '商水县', '0394', 3, 102);
INSERT INTO `sys_areas_info` VALUES (2050, '黑龙江省', '鸡西市', '鸡东县', '0467', 3, 128);
INSERT INTO `sys_areas_info` VALUES (2051, '广东省', '湛江市', '吴川市', '0759', 3, 171);
INSERT INTO `sys_areas_info` VALUES (2052, '安徽省', '合肥市', '瑶海区', '0551', 3, 299);
INSERT INTO `sys_areas_info` VALUES (2053, '云南省', '文山壮族苗族自治州', '砚山县', '0876', 3, 426);
INSERT INTO `sys_areas_info` VALUES (2054, '山西省', '阳泉市', '平定县', '0353', 3, 137);
INSERT INTO `sys_areas_info` VALUES (2055, '河北省', '石家庄市', '新华区', '0', 3, 264);
INSERT INTO `sys_areas_info` VALUES (2056, '河北省', '沧州市', '青县', '0', 3, 286);
INSERT INTO `sys_areas_info` VALUES (2057, '陕西省', '西安市', '莲湖区', '029', 3, 334);
INSERT INTO `sys_areas_info` VALUES (2058, '河北省', '石家庄市', '新乐市', '0', 3, 264);
INSERT INTO `sys_areas_info` VALUES (2059, '辽宁省', '大连市', '甘井子区', '0', 3, 262);
INSERT INTO `sys_areas_info` VALUES (2060, '浙江省', '温州市', '鹿城区', '0577', 3, 315);
INSERT INTO `sys_areas_info` VALUES (2061, '新疆维吾尔族自治区', '伊犁哈萨克自治州', '奎屯市', '0999', 3, 120);
INSERT INTO `sys_areas_info` VALUES (2062, '江西省', '赣州市', '章贡区', '0797', 3, 336);
INSERT INTO `sys_areas_info` VALUES (2063, '吉林省', '长春市', '宽城区', '0431', 3, 112);
INSERT INTO `sys_areas_info` VALUES (2064, '上海市', '上海市', '虹口区', '021', 3, 287);
INSERT INTO `sys_areas_info` VALUES (2065, '辽宁省', '葫芦岛市', '绥中县', '0429', 3, 213);
INSERT INTO `sys_areas_info` VALUES (2066, '黑龙江省', '大庆市', '让胡路区', '0459', 3, 415);
INSERT INTO `sys_areas_info` VALUES (2067, '河北省', '保定市', '满城县', '0', 3, 209);
INSERT INTO `sys_areas_info` VALUES (2068, '福建省', '宁德市', '其他', '0593', 3, 202);
INSERT INTO `sys_areas_info` VALUES (2069, '山西省', '长治市', '长治县', '0355', 3, 394);
INSERT INTO `sys_areas_info` VALUES (2070, '福建省', '南平市', '顺昌县', '0599', 3, 119);
INSERT INTO `sys_areas_info` VALUES (2071, '河南省', '驻马店市', '驿城区', '0396', 3, 282);
INSERT INTO `sys_areas_info` VALUES (2072, '海南省', '五指山市', '其他', '0898', 3, 164);
INSERT INTO `sys_areas_info` VALUES (2073, '宁夏回族自治区', '银川市', '兴庆区', '0951', 3, 247);
INSERT INTO `sys_areas_info` VALUES (2074, '河北省', '邢台市', '隆尧县', '0', 3, 151);
INSERT INTO `sys_areas_info` VALUES (2075, '山东省', '东营市', '利津县', '0546', 3, 140);
INSERT INTO `sys_areas_info` VALUES (2076, '湖南省', '湘潭市', '雨湖区', '0731', 3, 337);
INSERT INTO `sys_areas_info` VALUES (2077, '湖北省', '武汉市', '汉阳区', '027', 3, 113);
INSERT INTO `sys_areas_info` VALUES (2078, '安徽省', '安庆市', '枞阳县', '0556', 3, 246);
INSERT INTO `sys_areas_info` VALUES (2079, '四川省', '泸州市', '纳溪区', '0830', 3, 110);
INSERT INTO `sys_areas_info` VALUES (2080, '安徽省', '合肥市', '包河区', '0551', 3, 299);
INSERT INTO `sys_areas_info` VALUES (2081, '江西省', '上饶市', '万年县', '0793', 3, 234);
INSERT INTO `sys_areas_info` VALUES (2082, '广西壮族自治区', '玉林市', '容县', '0775', 3, 338);
INSERT INTO `sys_areas_info` VALUES (2083, '上海市', '上海市', '卢湾区', '021', 3, 287);
INSERT INTO `sys_areas_info` VALUES (2084, '甘肃省', '白银市', '白银区', '0943', 3, 157);
INSERT INTO `sys_areas_info` VALUES (2085, '贵州省', '铜仁地区', '德江县', '0856', 3, 272);
INSERT INTO `sys_areas_info` VALUES (2086, '黑龙江省', '鹤岗市', '工农区', '0468', 3, 188);
INSERT INTO `sys_areas_info` VALUES (2087, '新疆维吾尔族自治区', '喀什地区', '喀什市', '0998', 3, 296);
INSERT INTO `sys_areas_info` VALUES (2088, '江苏省', '镇江市', '润州区', '0511', 3, 283);
INSERT INTO `sys_areas_info` VALUES (2089, '湖北省', '恩施市', '宣恩县', '0718', 3, 340);
INSERT INTO `sys_areas_info` VALUES (2090, '江西省', '宜春市', '丰城市', '0795', 3, 142);
INSERT INTO `sys_areas_info` VALUES (2091, '四川省', '成都市', '崇州市', '028', 3, 106);
INSERT INTO `sys_areas_info` VALUES (2092, '安徽省', '滁州市', '全椒县', '0550', 3, 380);
INSERT INTO `sys_areas_info` VALUES (2093, '湖北省', '十堰市', '丹江口市', '0719', 3, 185);
INSERT INTO `sys_areas_info` VALUES (2094, '甘肃省', '兰州市', '安宁区', '0931', 3, 228);
INSERT INTO `sys_areas_info` VALUES (2095, '吉林省', '长春市', '二道区', '0431', 3, 112);
INSERT INTO `sys_areas_info` VALUES (2096, '江苏省', '淮安市', '金湖县', '0517', 3, 360);
INSERT INTO `sys_areas_info` VALUES (2097, '广东省', '河源市', '源城区', '0762', 3, 374);
INSERT INTO `sys_areas_info` VALUES (2098, '江西省', '九江市', '瑞昌', '0792', 3, 104);
INSERT INTO `sys_areas_info` VALUES (2099, '湖北省', '黄石市', '下陆区', '0714', 3, 222);
INSERT INTO `sys_areas_info` VALUES (2100, '山西省', '临汾市', '洪洞县', '0357', 3, 238);
INSERT INTO `sys_areas_info` VALUES (2101, '河北省', '沧州市', '东光县', '0', 3, 286);
INSERT INTO `sys_areas_info` VALUES (2102, '福建省', '龙岩市', '武平县', '0597', 3, 267);
INSERT INTO `sys_areas_info` VALUES (2103, '山西省', '吕梁市', '孝义市', '0358', 3, 227);
INSERT INTO `sys_areas_info` VALUES (2104, '四川省', '成都市', '武侯区', '028', 3, 106);
INSERT INTO `sys_areas_info` VALUES (2105, '福建省', '龙岩市', '上杭县', '0597', 3, 267);
INSERT INTO `sys_areas_info` VALUES (2106, '广东省', '惠州市', '惠阳区', '0752', 3, 250);
INSERT INTO `sys_areas_info` VALUES (2107, '湖南省', '衡阳市', '耒阳市', '0734', 3, 116);
INSERT INTO `sys_areas_info` VALUES (2108, '云南省', '昆明市', '呈贡县', '0871', 3, 369);
INSERT INTO `sys_areas_info` VALUES (2109, '山东省', '临沂市', '莒南县', '0539', 3, 312);
INSERT INTO `sys_areas_info` VALUES (2110, '内蒙古自治区', '锡林郭勒盟', '锡林浩特市', '0479', 3, 330);
INSERT INTO `sys_areas_info` VALUES (2111, '湖北省', '咸宁市', '崇阳县', '0715', 3, 271);
INSERT INTO `sys_areas_info` VALUES (2112, '江苏省', '镇江市', '扬中市', '0511', 3, 283);
INSERT INTO `sys_areas_info` VALUES (2113, '福建省', '泉州市', '德化县', '0595', 3, 161);
INSERT INTO `sys_areas_info` VALUES (2114, '上海市', '上海市', '普陀区', '021', 3, 287);
INSERT INTO `sys_areas_info` VALUES (2115, '河南省', '濮阳市', '清丰县', '0393', 3, 319);
INSERT INTO `sys_areas_info` VALUES (2116, '内蒙古自治区', '兴安盟', '乌兰浩特市', '0482', 3, 248);
INSERT INTO `sys_areas_info` VALUES (2117, '陕西省', '西安市', '新城区', '029', 3, 334);
INSERT INTO `sys_areas_info` VALUES (2118, '河南省', '开封市', '尉氏县', '0378', 3, 111);
INSERT INTO `sys_areas_info` VALUES (2119, '云南省', '大理白族自治州', '洱源县', '0872', 3, 191);
INSERT INTO `sys_areas_info` VALUES (2120, '山东省', '菏泽市', '成武县', '0530', 3, 216);
INSERT INTO `sys_areas_info` VALUES (2121, '浙江省', '杭州市', '桐庐县', '0571', 3, 263);
INSERT INTO `sys_areas_info` VALUES (2122, '江西省', '上饶市', '鄱阳县', '0793', 3, 234);
INSERT INTO `sys_areas_info` VALUES (2123, '河南省', '平顶山市', '叶县', '0375', 3, 117);
INSERT INTO `sys_areas_info` VALUES (2124, '江西省', '吉安市', '峡江县', '0796', 3, 332);
INSERT INTO `sys_areas_info` VALUES (2125, '辽宁省', '本溪市', '明山区', '0414', 3, 141);
INSERT INTO `sys_areas_info` VALUES (2126, '湖南省', '郴州市', '宜章县', '0735', 3, 370);
INSERT INTO `sys_areas_info` VALUES (2127, '河北省', '沧州市', '献县', '0', 3, 286);
INSERT INTO `sys_areas_info` VALUES (2128, '广东省', '韶关市', '翁源县', '0751', 3, 149);
INSERT INTO `sys_areas_info` VALUES (2129, '湖南省', '长沙市', '浏阳市', '0731', 3, 201);
INSERT INTO `sys_areas_info` VALUES (2130, '广东省', '韶关市', '南雄市', '0751', 3, 149);
INSERT INTO `sys_areas_info` VALUES (2131, '山西省', '大同市', '大同县', '0352', 3, 108);
INSERT INTO `sys_areas_info` VALUES (2132, '贵州省', '毕节地区', '金沙县', '0857', 3, 318);
INSERT INTO `sys_areas_info` VALUES (2133, '安徽省', '安庆市', '望江县', '0556', 3, 246);
INSERT INTO `sys_areas_info` VALUES (2134, '吉林省', '延边朝鲜族自治州', '珲春市', '0433', 3, 165);
INSERT INTO `sys_areas_info` VALUES (2135, '贵州省', '贵阳市', '开阳县', '0851', 3, 273);
INSERT INTO `sys_areas_info` VALUES (2136, '云南省', '保山市', '昌宁县', '0875', 3, 381);
INSERT INTO `sys_areas_info` VALUES (2137, '山东省', '菏泽市', '曹县', '0530', 3, 216);
INSERT INTO `sys_areas_info` VALUES (2138, '新疆维吾尔族自治区', '巴音郭楞蒙古自治州', '库尔勒市', '0996', 3, 310);
INSERT INTO `sys_areas_info` VALUES (2139, '江西省', '上饶市', '铅山县', '0793', 3, 234);
INSERT INTO `sys_areas_info` VALUES (2140, '江西省', '景德镇市', '浮梁县', '0798', 3, 244);
INSERT INTO `sys_areas_info` VALUES (2141, '湖北省', '襄樊市', '谷城县', '0710', 3, 412);
INSERT INTO `sys_areas_info` VALUES (2142, '江苏省', '苏州市', '昆山市', '0512', 3, 281);
INSERT INTO `sys_areas_info` VALUES (2143, '山西省', '忻州市', '忻府区', '0350', 3, 382);
INSERT INTO `sys_areas_info` VALUES (2144, '河北省', '沧州市', '河间市', '0', 3, 286);
INSERT INTO `sys_areas_info` VALUES (2145, '江西省', '鹰潭市', '贵溪市', '0701', 3, 403);
INSERT INTO `sys_areas_info` VALUES (2146, '河南省', '新乡市', '红旗区', '0373', 3, 418);
INSERT INTO `sys_areas_info` VALUES (2147, '山东省', '菏泽市', '单县', '0530', 3, 216);
INSERT INTO `sys_areas_info` VALUES (2148, '云南省', '玉溪市', '澄江县', '0877', 3, 387);
INSERT INTO `sys_areas_info` VALUES (2149, '辽宁省', '大连市', '中山区', '0', 3, 262);
INSERT INTO `sys_areas_info` VALUES (2150, '新疆维吾尔族自治区', '克拉玛依市', '克拉玛依区', '0990', 3, 183);
INSERT INTO `sys_areas_info` VALUES (2151, '甘肃省', '嘉峪关市', '其他', '0937', 3, 309);
INSERT INTO `sys_areas_info` VALUES (2152, '山东省', '德州市', '临邑县', '0534', 3, 133);
INSERT INTO `sys_areas_info` VALUES (2153, '河北省', '邢台市', '桥西区', '0', 3, 151);
INSERT INTO `sys_areas_info` VALUES (2154, '江西省', '赣州市', '大余县', '0797', 3, 336);
INSERT INTO `sys_areas_info` VALUES (2155, '山西省', '太原市', '万柏林区', '0351', 3, 154);
INSERT INTO `sys_areas_info` VALUES (2156, '云南省', '玉溪市', '华宁县', '0877', 3, 387);
INSERT INTO `sys_areas_info` VALUES (2157, '广东省', '清远市', '连州市', '0763', 3, 196);
INSERT INTO `sys_areas_info` VALUES (2158, '海南省', '三亚市', '河西区', '0898', 3, 275);
INSERT INTO `sys_areas_info` VALUES (2159, '宁夏回族自治区', '石嘴山市', '惠农区', '0952', 3, 189);
INSERT INTO `sys_areas_info` VALUES (2160, '云南省', '大理白族自治州', '祥云县', '0872', 3, 191);
INSERT INTO `sys_areas_info` VALUES (2161, '内蒙古自治区', '乌海市', '海勃湾区', '0473', 3, 182);
INSERT INTO `sys_areas_info` VALUES (2162, '四川省', '南充市', '阆中市', '0817', 3, 350);
INSERT INTO `sys_areas_info` VALUES (2163, '湖南省', '郴州市', '桂东县', '0735', 3, 370);
INSERT INTO `sys_areas_info` VALUES (2164, '四川省', '成都市', '青羊区', '028', 3, 106);
INSERT INTO `sys_areas_info` VALUES (2165, '广西壮族自治区', '南宁市', '其他', '0771', 3, 242);
INSERT INTO `sys_areas_info` VALUES (2166, '四川省', '凉山彝族自治州', '西昌市', '0834', 3, 173);
INSERT INTO `sys_areas_info` VALUES (2167, '新疆维吾尔族自治区', '喀什地区', '莎车县', '0998', 3, 296);
INSERT INTO `sys_areas_info` VALUES (2168, '辽宁省', '锦州市', '凌河区', '0416', 3, 243);
INSERT INTO `sys_areas_info` VALUES (2169, '广西壮族自治区', '南宁市', '西乡塘区', '0771', 3, 242);
INSERT INTO `sys_areas_info` VALUES (2170, '江西省', '吉安市', '遂川县', '0796', 3, 332);
INSERT INTO `sys_areas_info` VALUES (2171, '重庆市', '重庆市', '万盛区', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (2172, '河北省', '承德市', '平泉县', '0', 3, 127);
INSERT INTO `sys_areas_info` VALUES (2173, '云南省', '红河哈尼族彝族自治州', '建水县', '0873', 3, 399);
INSERT INTO `sys_areas_info` VALUES (2174, '安徽省', '宿州市', '砀山县', '0557', 3, 181);
INSERT INTO `sys_areas_info` VALUES (2175, '山东省', '临沂市', '沂水县', '0539', 3, 312);
INSERT INTO `sys_areas_info` VALUES (2176, '四川省', '眉山市', '仁寿县', '028', 3, 342);
INSERT INTO `sys_areas_info` VALUES (2177, '湖南省', '株洲市', '醴陵市', '0731', 3, 302);
INSERT INTO `sys_areas_info` VALUES (2178, '辽宁省', '沈阳市', '新民市', '0', 3, 170);
INSERT INTO `sys_areas_info` VALUES (2179, '湖南省', '益阳市', '赫山区', '0737', 3, 145);
INSERT INTO `sys_areas_info` VALUES (2180, '内蒙古自治区', '兴安盟', '突泉县', '0482', 3, 248);
INSERT INTO `sys_areas_info` VALUES (2181, '山西省', '忻州市', '原平市', '0350', 3, 382);
INSERT INTO `sys_areas_info` VALUES (2182, '江苏省', '南京市', '鼓楼区', '025', 3, 313);
INSERT INTO `sys_areas_info` VALUES (2183, '山西省', '大同市', '矿区', '0352', 3, 108);
INSERT INTO `sys_areas_info` VALUES (2184, '山东省', '济南市', '天桥区', '0531', 3, 306);
INSERT INTO `sys_areas_info` VALUES (2185, '江西省', '南昌市', '西湖区', '0791', 3, 200);
INSERT INTO `sys_areas_info` VALUES (2186, '河南省', '开封市', '开封县', '0378', 3, 111);
INSERT INTO `sys_areas_info` VALUES (2187, '贵州省', '黔东南苗族侗族自治州', '天柱县', '0855', 3, 325);
INSERT INTO `sys_areas_info` VALUES (2188, '山西省', '晋中市', '平遥县', '0354', 3, 139);
INSERT INTO `sys_areas_info` VALUES (2189, '河北省', '承德市', '宽城满族自治县', '0', 3, 127);
INSERT INTO `sys_areas_info` VALUES (2190, '辽宁省', '沈阳市', '于洪区', '0', 3, 170);
INSERT INTO `sys_areas_info` VALUES (2191, '山东省', '潍坊市', '高密市', '0536', 3, 121);
INSERT INTO `sys_areas_info` VALUES (2192, '陕西省', '榆林市', '子洲县', '0912', 3, 421);
INSERT INTO `sys_areas_info` VALUES (2193, '河南省', '郑州市', '登封市', '0371', 3, 308);
INSERT INTO `sys_areas_info` VALUES (2194, '江苏省', '盐城市', '射阳县', '0515', 3, 329);
INSERT INTO `sys_areas_info` VALUES (2195, '黑龙江省', '伊春市', '铁力市', '0458', 3, 125);
INSERT INTO `sys_areas_info` VALUES (2196, '湖北省', '恩施市', '来凤县', '0718', 3, 340);
INSERT INTO `sys_areas_info` VALUES (2197, '内蒙古自治区', '通辽市', '霍林郭勒市', '0475', 3, 326);
INSERT INTO `sys_areas_info` VALUES (2198, '福建省', '漳州市', '华安县', '0596', 3, 150);
INSERT INTO `sys_areas_info` VALUES (2199, '安徽省', '池州市', '青阳县', '0566', 3, 391);
INSERT INTO `sys_areas_info` VALUES (2200, '福建省', '三明市', '其他', '0598', 3, 411);
INSERT INTO `sys_areas_info` VALUES (2201, '黑龙江省', '黑河市', '北安市', '0456', 3, 131);
INSERT INTO `sys_areas_info` VALUES (2202, '辽宁省', '锦州市', '北宁市', '0416', 3, 243);
INSERT INTO `sys_areas_info` VALUES (2203, '安徽省', '亳州市', '涡阳县', '0558', 3, 249);
INSERT INTO `sys_areas_info` VALUES (2204, '山西省', '忻州市', '河曲县', '0350', 3, 382);
INSERT INTO `sys_areas_info` VALUES (2205, '宁夏回族自治区', '吴忠市', '同心县', '0953', 3, 383);
INSERT INTO `sys_areas_info` VALUES (2206, '吉林省', '长春市', '榆树市', '0431', 3, 112);
INSERT INTO `sys_areas_info` VALUES (2207, '贵州省', '黔西南布依族苗族自治州', '晴隆县', '0859', 3, 297);
INSERT INTO `sys_areas_info` VALUES (2208, '浙江省', '绍兴市', '诸暨市', '0575', 3, 307);
INSERT INTO `sys_areas_info` VALUES (2209, '浙江省', '宁波市', '余姚市', '0574', 3, 217);
INSERT INTO `sys_areas_info` VALUES (2210, '辽宁省', '沈阳市', '苏家屯区', '0', 3, 170);
INSERT INTO `sys_areas_info` VALUES (2211, '福建省', '福州市', '长乐市', '0591', 3, 177);
INSERT INTO `sys_areas_info` VALUES (2212, '湖北省', '武汉市', '黄陂区', '027', 3, 113);
INSERT INTO `sys_areas_info` VALUES (2213, '广西壮族自治区', '南宁市', '上林县', '0771', 3, 242);
INSERT INTO `sys_areas_info` VALUES (2214, '山西省', '晋中市', '榆次区', '0354', 3, 139);
INSERT INTO `sys_areas_info` VALUES (2215, '甘肃省', '酒泉市', '金塔县', '0937', 3, 409);
INSERT INTO `sys_areas_info` VALUES (2216, '宁夏回族自治区', '中卫市', '海原县', '0955', 3, 278);
INSERT INTO `sys_areas_info` VALUES (2217, '广东省', '广州市', '增城市', '020', 3, 129);
INSERT INTO `sys_areas_info` VALUES (2218, '重庆市', '重庆市', '永川区', '023', 3, 363);
INSERT INTO `sys_areas_info` VALUES (2219, '广东省', '肇庆市', '高要市', '0758', 3, 144);
INSERT INTO `sys_areas_info` VALUES (2220, '江西省', '南昌市', '东湖区', '0791', 3, 200);
INSERT INTO `sys_areas_info` VALUES (2221, '河北省', '石家庄市', '裕华区', '0', 3, 264);
INSERT INTO `sys_areas_info` VALUES (2222, '新疆维吾尔族自治区', '阿克苏地区', '阿克苏市', '0997', 3, 424);
INSERT INTO `sys_areas_info` VALUES (2223, '广东省', '茂名市', '化州市', '0668', 3, 221);
INSERT INTO `sys_areas_info` VALUES (2224, '新疆维吾尔族自治区', '昌吉回族自治州', '昌吉市', '0994', 3, 293);
INSERT INTO `sys_areas_info` VALUES (2225, '河南省', '商丘市', '永城市', '0370', 3, 254);
INSERT INTO `sys_areas_info` VALUES (2226, '河南省', '驻马店市', '西平县', '0396', 3, 282);
INSERT INTO `sys_areas_info` VALUES (2227, '浙江省', '衢州市', '柯城区', '0570', 3, 257);
INSERT INTO `sys_areas_info` VALUES (2228, '福建省', '泉州市', '其他', '0595', 3, 161);
INSERT INTO `sys_areas_info` VALUES (2229, '黑龙江省', '齐齐哈尔市', '龙沙区', '0452', 3, 195);
INSERT INTO `sys_areas_info` VALUES (2230, '四川省', '攀枝花市', '西区', '0812', 3, 428);
INSERT INTO `sys_areas_info` VALUES (2231, '广西壮族自治区', '玉林市', '北流市', '0775', 3, 338);
INSERT INTO `sys_areas_info` VALUES (2232, '贵州省', '贵阳市', '清镇市', '0851', 3, 273);
INSERT INTO `sys_areas_info` VALUES (2233, '贵州省', '铜仁地区', '沿河土家族自治县', '0856', 3, 272);
INSERT INTO `sys_areas_info` VALUES (2234, '四川省', '泸州市', '泸县', '0830', 3, 110);
INSERT INTO `sys_areas_info` VALUES (2235, '福建省', '南平市', '武夷山市', '0599', 3, 119);
INSERT INTO `sys_areas_info` VALUES (2236, '福建省', '厦门市', '思明区', '0592', 3, 354);
INSERT INTO `sys_areas_info` VALUES (2237, '内蒙古自治区', '通辽市', '开鲁县', '0475', 3, 326);
INSERT INTO `sys_areas_info` VALUES (2238, '江西省', '南昌市', '青山湖区', '0791', 3, 200);
INSERT INTO `sys_areas_info` VALUES (2239, '上海市', '上海市', '崇明县', '021', 3, 287);
INSERT INTO `sys_areas_info` VALUES (2240, '四川省', '遂宁市', '大英县', '0825', 3, 268);
INSERT INTO `sys_areas_info` VALUES (2241, '湖南省', '株洲市', '茶陵县', '0731', 3, 302);
INSERT INTO `sys_areas_info` VALUES (2242, '河北省', '邯郸市', '武安市', '0', 3, 348);
INSERT INTO `sys_areas_info` VALUES (2243, '浙江省', '杭州市', '萧山区', '0571', 3, 263);
INSERT INTO `sys_areas_info` VALUES (2244, '广东省', '清远市', '阳山县', '0763', 3, 196);
INSERT INTO `sys_areas_info` VALUES (2245, '四川省', '南充市', '仪陇县', '0817', 3, 350);
INSERT INTO `sys_areas_info` VALUES (2246, '山东省', '青岛市', '李沧区', '0532', 3, 284);
INSERT INTO `sys_areas_info` VALUES (2247, '河北省', '邢台市', '内丘县', '0', 3, 151);
INSERT INTO `sys_areas_info` VALUES (2248, '四川省', '南充市', '西充县', '0817', 3, 350);
INSERT INTO `sys_areas_info` VALUES (2249, '浙江省', '温州市', '文成县', '0577', 3, 315);
INSERT INTO `sys_areas_info` VALUES (2250, '陕西省', '咸阳市', '泾阳县', '029', 3, 180);
INSERT INTO `sys_areas_info` VALUES (2251, '河南省', '商丘市', '虞城县', '0370', 3, 254);
INSERT INTO `sys_areas_info` VALUES (2252, '新疆维吾尔族自治区', '乌鲁木齐市', '天山区', '0991', 3, 207);
INSERT INTO `sys_areas_info` VALUES (2253, '广东省', '潮州市', '湘桥区', '0768', 3, 291);
INSERT INTO `sys_areas_info` VALUES (2254, '甘肃省', '张掖市', '民乐县', '0936', 3, 362);
INSERT INTO `sys_areas_info` VALUES (2255, '河北省', '邯郸市', '馆陶县', '0', 3, 348);
INSERT INTO `sys_areas_info` VALUES (2256, '湖南省', '郴州市', '资兴市', '0735', 3, 370);
INSERT INTO `sys_areas_info` VALUES (2257, '云南省', '保山市', '龙陵县', '0875', 3, 381);
INSERT INTO `sys_areas_info` VALUES (2258, '福建省', '厦门市', '湖里区', '0592', 3, 354);
INSERT INTO `sys_areas_info` VALUES (2259, '江西省', '上饶市', '上饶县', '0793', 3, 234);
INSERT INTO `sys_areas_info` VALUES (2260, '广东省', '汕头市', '金平区', '0754', 3, 215);
INSERT INTO `sys_areas_info` VALUES (2261, '河南省', '平顶山市', '郏县', '0375', 3, 117);
INSERT INTO `sys_areas_info` VALUES (2262, '福建省', '漳州市', '漳浦县', '0596', 3, 150);
INSERT INTO `sys_areas_info` VALUES (2263, '江苏省', '南京市', '溧水县', '025', 3, 313);
INSERT INTO `sys_areas_info` VALUES (2264, '河南省', '安阳市', '殷都区', '0372', 3, 353);
INSERT INTO `sys_areas_info` VALUES (2265, '江西省', '赣州市', '瑞金市', '0797', 3, 336);
INSERT INTO `sys_areas_info` VALUES (2266, '福建省', '泉州市', '石狮市', '0595', 3, 161);
INSERT INTO `sys_areas_info` VALUES (2267, '广东省', '深圳市', '龙岗区', '0755', 3, 118);
INSERT INTO `sys_areas_info` VALUES (2268, '浙江省', '温州市', '龙湾区', '0577', 3, 315);
INSERT INTO `sys_areas_info` VALUES (2269, '安徽省', '宣城市', '旌德县', '0563', 3, 377);
INSERT INTO `sys_areas_info` VALUES (2270, '广西壮族自治区', '玉林市', '博白县', '0775', 3, 338);
INSERT INTO `sys_areas_info` VALUES (2271, '广东省', '佛山市', '高明区', '0757', 3, 378);
INSERT INTO `sys_areas_info` VALUES (2272, '安徽省', '安庆市', '潜山县', '0556', 3, 246);
INSERT INTO `sys_areas_info` VALUES (2273, '贵州省', '贵阳市', '白云区', '0851', 3, 273);
INSERT INTO `sys_areas_info` VALUES (2274, '广东省', '茂名市', '信宜市', '0668', 3, 221);
INSERT INTO `sys_areas_info` VALUES (2275, '广西壮族自治区', '河池市', '金城江区', '0778', 3, 197);
INSERT INTO `sys_areas_info` VALUES (2276, '吉林省', '长春市', '朝阳区', '0431', 3, 112);
INSERT INTO `sys_areas_info` VALUES (2277, '湖南省', '衡阳市', '常宁市', '0734', 3, 116);
INSERT INTO `sys_areas_info` VALUES (2278, '广东省', '茂名市', '高州市', '0668', 3, 221);
INSERT INTO `sys_areas_info` VALUES (2279, '河北省', '衡水市', '阜城县', '0', 3, 138);
INSERT INTO `sys_areas_info` VALUES (2280, '江苏省', '淮安市', '清浦区', '0517', 3, 360);
INSERT INTO `sys_areas_info` VALUES (2281, '河南省', '洛阳市', '孟津县', '0379', 3, 214);
INSERT INTO `sys_areas_info` VALUES (2282, '河北省', '唐山市', '玉田县', '0', 3, 277);
INSERT INTO `sys_areas_info` VALUES (2283, '江西省', '九江市', '修水县', '0792', 3, 104);
INSERT INTO `sys_areas_info` VALUES (2284, '贵州省', '黔东南苗族侗族自治州', '榕江县', '0855', 3, 325);
INSERT INTO `sys_areas_info` VALUES (2285, '河南省', '驻马店市', '确山县', '0396', 3, 282);
INSERT INTO `sys_areas_info` VALUES (2286, '四川省', '成都市', '青白江区', '028', 3, 106);
INSERT INTO `sys_areas_info` VALUES (2287, '北京市', '北京市', '石景山区', '010', 3, 368);
INSERT INTO `sys_areas_info` VALUES (2288, '湖南省', '长沙市', '雨花区', '0731', 3, 201);
INSERT INTO `sys_areas_info` VALUES (2289, '江西省', '上饶市', '弋阳县', '0793', 3, 234);
INSERT INTO `sys_areas_info` VALUES (2290, '江苏省', '南通市', '海安县', '0513', 3, 416);
INSERT INTO `sys_areas_info` VALUES (2291, '贵州省', '黔南布依族苗族自治州', '龙里县', '0854', 3, 276);
INSERT INTO `sys_areas_info` VALUES (2292, '安徽省', '合肥市', '滨湖新区', '0551', 3, 299);
INSERT INTO `sys_areas_info` VALUES (2293, '新疆维吾尔族自治区', '巴音郭楞蒙古自治州', '焉耆回族自治县', '0996', 3, 310);
INSERT INTO `sys_areas_info` VALUES (2294, '黑龙江省', '绥化市', '北林区', '0455', 3, 371);
INSERT INTO `sys_areas_info` VALUES (2295, '河南省', '洛阳市', '洛宁县', '0379', 3, 214);
INSERT INTO `sys_areas_info` VALUES (2296, '福建省', '泉州市', '永春县', '0595', 3, 161);
INSERT INTO `sys_areas_info` VALUES (2297, '河南省', '三门峡市', '湖滨区', '0398', 3, 328);
INSERT INTO `sys_areas_info` VALUES (2298, '宁夏回族自治区', '银川市', '贺兰县', '0951', 3, 247);
INSERT INTO `sys_areas_info` VALUES (2299, '山东省', '济宁市', '邹城市', '0537', 3, 169);
INSERT INTO `sys_areas_info` VALUES (2300, '四川省', '广元市', '青川县', '0839', 3, 298);
INSERT INTO `sys_areas_info` VALUES (2301, '广东省', '广州市', '海珠区', '020', 3, 129);
INSERT INTO `sys_areas_info` VALUES (2302, '广东省', '云浮市', '', '0766', 2, 18);
INSERT INTO `sys_areas_info` VALUES (2303, '广东省', '云浮市', '云城区', '0766', 3, 2302);
INSERT INTO `sys_areas_info` VALUES (2304, '广东省', '云浮市', '云安区', '0766', 3, 2302);
INSERT INTO `sys_areas_info` VALUES (2305, '广东省', '云浮市', '新兴县', '0766', 3, 2302);
INSERT INTO `sys_areas_info` VALUES (2306, '广东省', '云浮市', '郁南县', '0766', 3, 2302);
INSERT INTO `sys_areas_info` VALUES (2307, '广东省', '云浮市', '罗定市', '0766', 3, 2302);
INSERT INTO `sys_areas_info` VALUES (2308, '广东省', '广州市', '白云区', '020', 3, 129);
INSERT INTO `sys_areas_info` VALUES (2309, '山西省', '大同市', '平城区', '0352', 3, 108);
COMMIT;

-- ----------------------------
-- Table structure for sys_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_permission`;
CREATE TABLE `sys_permission` (
  `permission_id` int NOT NULL AUTO_INCREMENT COMMENT '资源表主键id',
  `permission_name` varchar(255) NOT NULL COMMENT '资源名称',
  `parent_id` int NOT NULL COMMENT '资源父id',
  `permission_code` varchar(255) NOT NULL COMMENT '资源code',
  `permission_type` int NOT NULL COMMENT '资源类型(1 位菜单 2 为功能)',
  `permission_url` varchar(255) DEFAULT NULL COMMENT '资源url',
  `permission_state` int NOT NULL DEFAULT '1' COMMENT '资源状态 0 不可用 1是正常',
  `permission_sort` int NOT NULL COMMENT '顺序',
  `permission_icon_url` varchar(255) DEFAULT NULL COMMENT '图标icon Url',
  `permission_depth` int DEFAULT NULL COMMENT '所有父id集合',
  PRIMARY KEY (`permission_id`)
) ENGINE=InnoDB AUTO_INCREMENT=147 DEFAULT CHARSET=utf8mb3 COMMENT='资源表';

-- ----------------------------
-- Records of sys_permission
-- ----------------------------
BEGIN;
INSERT INTO `sys_permission` VALUES (1, '权限管理', 0, 'qxgl', 1, 'layout/basicMana', 1, 0, 'el-icon-c-scale-to-original', 1);
INSERT INTO `sys_permission` VALUES (12, '用户管理', 1, 'yggl', 1, '/basicMana/userMana', 1, 0, 'el-icon-s-promotion', 2);
INSERT INTO `sys_permission` VALUES (16, '菜单权限', 1, 'cdqx', 1, '/basicMana/menuRoleMana', 1, 0, 'el-icon-c-scale-to-original', 2);
INSERT INTO `sys_permission` VALUES (17, '角色管理', 1, 'jsgl', 1, '/basicMana/userRoleMana', 1, 0, 'el-icon-c-scale-to-original', 2);
INSERT INTO `sys_permission` VALUES (46, '按钮-用户管理新建', 12, 'userMana:add', 2, '/userMana/add', 1, 0, 'el-icon-s-opportunity', 3);
INSERT INTO `sys_permission` VALUES (73, '按钮-菜单权限新建', 16, 'menuRoleMana:add', 2, 'menuRoleMana:add', 1, 0, 'el-icon-s-ticket', 3);
INSERT INTO `sys_permission` VALUES (74, '按钮-角色管理新建', 17, 'userRoleMana:add', 2, 'userRoleMana:add', 1, 0, 'el-icon-s-management', 3);
COMMIT;

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '角色表主键id',
  `role_description` varchar(255) NOT NULL COMMENT '角色描述',
  `role_code` varchar(50) NOT NULL COMMENT '角色code',
  `role_available` int NOT NULL DEFAULT '1' COMMENT '是否可用',
  `create_by` int DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_by` int DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb3 COMMENT='角色表';

-- ----------------------------
-- Records of sys_role
-- ----------------------------
BEGIN;
INSERT INTO `sys_role` VALUES (1, '超级管理员', 'admin', 1, NULL, '2022-07-15 15:10:33', NULL, '2022-07-15 15:10:33');
COMMIT;

-- ----------------------------
-- Table structure for sys_role_permission
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_permission`;
CREATE TABLE `sys_role_permission` (
  `id` int NOT NULL AUTO_INCREMENT,
  `role_id` int DEFAULT NULL COMMENT '角色表主键id',
  `permission_id` int DEFAULT NULL COMMENT '资源表主键id',
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `role_id` (`role_id`),
  KEY `permission_id` (`permission_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3761 DEFAULT CHARSET=utf8mb3 COMMENT='角色资源关联表';

-- ----------------------------
-- Records of sys_role_permission
-- ----------------------------
BEGIN;
INSERT INTO `sys_role_permission` VALUES (3644, 1, 1, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES (3645, 1, 12, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES (3646, 1, 46, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES (3647, 1, 16, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES (3648, 1, 73, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES (3649, 1, 17, NULL, NULL);
INSERT INTO `sys_role_permission` VALUES (3650, 1, 74, NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for sys_user_info
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_info`;
CREATE TABLE `sys_user_info` (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_name` varchar(255) DEFAULT NULL,
  `user_phone` char(11) DEFAULT NULL,
  `user_password` varchar(255) DEFAULT NULL,
  `state` int DEFAULT '1' COMMENT '0：禁用，1：可用',
  `create_by` int DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_by` int DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id_idx` (`id`) USING BTREE,
  UNIQUE KEY `phone_idx` (`user_phone`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=103 DEFAULT CHARSET=utf8mb3 COMMENT='后台用户表';

-- ----------------------------
-- Records of sys_user_info
-- ----------------------------
BEGIN;
INSERT INTO `sys_user_info` VALUES (2, 'admin', '12345678901', '$2a$10$ZqOH07B2RsG4UpIJc7ZyluCd6xIGPM6E988jy/DDjL1MbRaiJi/bS', 1, NULL, '2022-07-11 17:46:03', NULL, NULL);
INSERT INTO `sys_user_info` VALUES (102, 'test', '13661133201', '$2a$10$jQnonDze30YueTODFUdfReFzYVHOZ7dKmdQ.POUnR8k87m4IjWKKm', 1, NULL, '2024-04-28 01:15:06', NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role` (
  `user_id` int DEFAULT NULL COMMENT '用户id',
  `role_id` int DEFAULT NULL COMMENT '角色表主键id',
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='用户角色表';

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
BEGIN;
INSERT INTO `sys_user_role` VALUES (2, 1, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (101, 1, NULL, NULL);
INSERT INTO `sys_user_role` VALUES (102, 1, NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for wind_company
-- ----------------------------
DROP TABLE IF EXISTS `wind_company`;
CREATE TABLE `wind_company` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `company_code` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '企业编号',
  `company_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '企业名称',
  `state` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '状态',
  `province_id` int DEFAULT NULL COMMENT '省',
  `province_name` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '省名字',
  `city_id` int DEFAULT NULL COMMENT '市',
  `city_name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '市名字',
  `described` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '企业描述',
  `sort` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '排序',
  `del_state` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '删除状态',
  `create_by` int DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='企业信息表(项目公司)';

-- ----------------------------
-- Records of wind_company
-- ----------------------------
BEGIN;
INSERT INTO `wind_company` VALUES (5, 'COM00005', '大唐集团1', '1', 1, '北京', 368, '北京', 'test', NULL, '0', NULL, '2024-04-28 03:26:55', NULL, '2024-04-28 03:26:55');
INSERT INTO `wind_company` VALUES (7, 'COM00007', '大唐集团2', '1', 1, '北京', 368, '北京', 'test', NULL, '0', NULL, '2024-04-29 02:10:06', NULL, '2024-04-29 02:10:06');
COMMIT;

-- ----------------------------
-- Table structure for wind_engine_batch
-- ----------------------------
DROP TABLE IF EXISTS `wind_engine_batch`;
CREATE TABLE `wind_engine_batch` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `bath_code` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '风机批次编号',
  `bath_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '风机批次名称',
  `field_coed` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '风场编号',
  `field_state` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '批次状态',
  `err_state` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '异常状态',
  `err_info` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '异常信息',
  `description` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '描述',
  `create_by` int DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='风机批次信息表 批次etl风机信息表';

-- ----------------------------
-- Records of wind_engine_batch
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for wind_engine_group
-- ----------------------------
DROP TABLE IF EXISTS `wind_engine_group`;
CREATE TABLE `wind_engine_group` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `field_code` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '风场编号',
  `engine_code` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '风机编号',
  `engine_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '风机名称',
  `mill_type_code` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '机型编号',
  `rated_capacity` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '额定容量',
  `elevation_height` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '海拔高度',
  `hub_height` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '轮毂高度',
  `state` tinyint(1) DEFAULT NULL COMMENT '状态',
  `longitude` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '经度',
  `latitude` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '维度',
  `sightcing` tinyint(1) DEFAULT NULL COMMENT '是否标杆风机',
  `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
  `create_by` int DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='风机机组信息表 ';

-- ----------------------------
-- Records of wind_engine_group
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for wind_engine_mill
-- ----------------------------
DROP TABLE IF EXISTS `wind_engine_mill`;
CREATE TABLE `wind_engine_mill` (
  `mill_type_code` varchar(32) COLLATE utf8mb4_general_ci NOT NULL COMMENT '编号',
  `machine_type_code` varchar(32) COLLATE utf8mb4_general_ci NOT NULL COMMENT '机型型号',
  `manufacturer_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '厂商名称',
  `manufacturer_code` varchar(32) COLLATE utf8mb4_general_ci NOT NULL COMMENT '厂商编号',
  `brand` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '品牌名称',
  `state` tinyint(1) DEFAULT NULL COMMENT '状态',
  `tower_height` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '塔筒高度',
  `vane_long` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '叶片长度',
  `curved_motion_type` int DEFAULT NULL COMMENT '驱动方式',
  `combinationc` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '组合字段',
  `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
  `create_by` int DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`machine_type_code`,`manufacturer_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='风机机型信息 ';

-- ----------------------------
-- Records of wind_engine_mill
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for wind_field
-- ----------------------------
DROP TABLE IF EXISTS `wind_field`;
CREATE TABLE `wind_field` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `company_code` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '企业编号 11',
  `field_code` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '风场编号',
  `field_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '风场名称',
  `density` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '空气密度-合同功率曲线',
  `state` tinyint(1) DEFAULT NULL COMMENT '启用状态',
  `engine_number` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '风机数量',
  `rated_capacity_number` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '总额定容量-sum机组',
  `province_id` int DEFAULT NULL COMMENT '省编号',
  `province_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '省名字',
  `city_id` int DEFAULT NULL COMMENT '市编号',
  `city_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '市名字',
  `longitude` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '经度',
  `latitude` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '纬度',
  `elevation_height` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '海拔高度',
  `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
  `create_by` int DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='风场信息表 ';

-- ----------------------------
-- Records of wind_field
-- ----------------------------
BEGIN;
INSERT INTO `wind_field` VALUES (2, 'COM00007', 'WOF01000002', '风场1', '1111', 1, NULL, '12', 21, '北京', 12, '北京', '32.2', '12.3', '2222', 0, NULL, '2024-04-29 04:23:02', NULL, '2024-04-29 04:23:02');
COMMIT;

-- ----------------------------
-- Table structure for wind_field_resouce
-- ----------------------------
DROP TABLE IF EXISTS `wind_field_resouce`;
CREATE TABLE `wind_field_resouce` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '编号',
  `field_code` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '风场编号',
  `file_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '上传文件名称',
  `type` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '上传类型',
  `resource_url` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '上传文件地址',
  `create_by` int DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='风场资源信息表 ';

-- ----------------------------
-- Records of wind_field_resouce
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for wind_relation
-- ----------------------------
DROP TABLE IF EXISTS `wind_relation`;
CREATE TABLE `wind_relation` (
  `id` int NOT NULL AUTO_INCREMENT COMMENT '主键',
  `code_number` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '对象编号',
  `code_name` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '编号名称',
  `parent_code` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '父级编号',
  `type` varchar(32) COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '类型',
  `create_by` int DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='风场关系表 ';

-- ----------------------------
-- Records of wind_relation
-- ----------------------------
BEGIN;
INSERT INTO `wind_relation` VALUES (2, 'COM00005', '大唐集团1', '0', 'company', NULL, '2024-04-28 03:26:55', NULL, '2024-04-28 03:26:55');
INSERT INTO `wind_relation` VALUES (4, 'COM00007', '大唐集团2', 'COM00005', 'company', NULL, '2024-04-29 02:10:06', NULL, '2024-04-29 02:10:06');
INSERT INTO `wind_relation` VALUES (6, 'WOF01000002', '风场1', 'COM00007', 'field', NULL, '2024-04-29 04:23:02', NULL, '2024-04-29 04:23:02');
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
