# ************************************************************
# Sequel Pro SQL dump
# Version 4541
#
# http://www.sequelpro.com/
# https://github.com/sequelpro/sequelpro
#
# Host: 192.168.50.233 (MySQL 5.7.31-log)
# Database: energy_prod
# Generation Time: 2024-07-16 06:03:50 +0000
# ************************************************************


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table analysis_comment_description
# ------------------------------------------------------------

DROP TABLE IF EXISTS `analysis_comment_description`;

CREATE TABLE `analysis_comment_description` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `batch_code` varchar(50) NOT NULL DEFAULT '' COMMENT '批次编号',
  `analysis_type_code` varchar(500) NOT NULL DEFAULT '' COMMENT '分析类型编号',
  `comment_type_code` varchar(50) NOT NULL DEFAULT '' COMMENT '评论类型编号',
  `comment` varchar(2000) DEFAULT '' COMMENT '富文本内容',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `create_by` int(11) NOT NULL DEFAULT '0' COMMENT '创建人',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `update_by` int(11) NOT NULL DEFAULT '0' COMMENT '更新人',
  PRIMARY KEY (`id`),
  KEY `index_batch_code` (`batch_code`) USING BTREE COMMENT '批次编号索引'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分析图表文本描述 ';



# Dump of table analysis_comment_type_relation
# ------------------------------------------------------------

DROP TABLE IF EXISTS `analysis_comment_type_relation`;

CREATE TABLE `analysis_comment_type_relation` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键 唯一标识',
  `batch_code` varchar(50) NOT NULL DEFAULT '' COMMENT '批次编号',
  `analysis_type_code` varchar(500) NOT NULL DEFAULT '' COMMENT '分析类型编号',
  `comment_type_code` varchar(64) NOT NULL DEFAULT '' COMMENT '唯一编号',
  `comment_type_name` varchar(50) NOT NULL DEFAULT '' COMMENT '评论类型名称',
  `is_defined` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否是自定义0：否 1：是',
  `create_by` int(11) NOT NULL DEFAULT '0' COMMENT '创建人',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `is_delete` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否删除0：否 1：是',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT=' 分析结果评论类型关系表';

LOCK TABLES `analysis_comment_type_relation` WRITE;
/*!40000 ALTER TABLE `analysis_comment_type_relation` DISABLE KEYS */;

INSERT INTO `analysis_comment_type_relation` (`id`, `batch_code`, `analysis_type_code`, `comment_type_code`, `comment_type_name`, `is_defined`, `create_by`, `create_time`, `is_delete`)
VALUES
	(7,'','','0febb65003b44b62a554d01f9a9a1873','分析内容与可视化分析',0,0,'2024-06-12 16:56:21',0),
	(8,'','','12d889ebe6dd4a2480d0282c74aa93e9','现象描述',0,0,'2024-06-12 16:56:32',0),
	(9,'','','1e3f73de878846b6842c2f592b4490f6','原因描述',0,0,'2024-06-12 16:56:41',0),
	(10,'','','77bf3da22df74f85ac84214fda309e3e','排查建议',0,0,'2024-06-12 16:56:58',0);

/*!40000 ALTER TABLE `analysis_comment_type_relation` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table analysis_diagram_relation
# ------------------------------------------------------------

DROP TABLE IF EXISTS `analysis_diagram_relation`;

CREATE TABLE `analysis_diagram_relation` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `batch_code` varchar(50) NOT NULL DEFAULT '' COMMENT '批次编号',
  `field_engine_code` varchar(50) NOT NULL DEFAULT '' COMMENT '风机编号',
  `analysis_type_code` varchar(50) NOT NULL DEFAULT '' COMMENT '分析类型编号',
  `file_addr` varchar(650) NOT NULL COMMENT '分析结果地址minio',
  `auto_analysis` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否自动分析(0-否 1-是)',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`),
  KEY `index_batch_code` (`batch_code`) USING BTREE COMMENT '批次索引'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分析图表关系表 ';

LOCK TABLES `analysis_diagram_relation` WRITE;
/*!40000 ALTER TABLE `analysis_diagram_relation` DISABLE KEYS */;

INSERT INTO `analysis_diagram_relation` (`id`, `batch_code`, `field_engine_code`, `analysis_type_code`, `file_addr`, `auto_analysis`, `create_time`)
VALUES
	(1,'WOF085500002-WOB00004','WOG00365','speed_torque','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/speed_torque/manual/28.png',0,'2024-06-26 12:14:36'),
	(2,'WOF085500002-WOB00004','WOG00365','speed_torque','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/speed_torque/manual/28.html',0,'2024-06-26 12:14:36'),
	(3,'WOF085500002-WOB00004','WOG00365','speed_torque','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/speed_torque/manual/28_3D.html',0,'2024-06-26 12:14:36'),
	(4,'WOF085500002-WOB00004','WOG00365','speed_power','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/speed_power/manual/28.png',0,'2024-06-26 12:14:36'),
	(5,'WOF085500002-WOB00004','WOG00365','speed_power','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/speed_power/manual/28.html',0,'2024-06-26 12:14:36'),
	(6,'WOF085500002-WOB00004','WOG00365','speed_power','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/speed_power/manual/28_3D.html',0,'2024-06-26 12:14:36'),
	(7,'WOF085500002-WOB00004','WOG00365','power_curve','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/power_curve/manual/28.png',0,'2024-06-26 12:14:36'),
	(8,'WOF085500002-WOB00004','WOG00365','power_curve','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/power_curve/manual/28.html',0,'2024-06-26 12:14:36'),
	(2467,'WOF091200006-WOB00008','WOG00436','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#01.png',0,'2024-07-05 18:23:57'),
	(2468,'WOF091200006-WOB00008','WOG00436','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#01.html',0,'2024-07-05 18:23:57'),
	(2469,'WOF091200006-WOB00008','WOG00437','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#02.png',0,'2024-07-05 18:23:57'),
	(2470,'WOF091200006-WOB00008','WOG00437','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#02.html',0,'2024-07-05 18:23:57'),
	(2471,'WOF091200006-WOB00008','WOG00438','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#03.png',0,'2024-07-05 18:23:57'),
	(2472,'WOF091200006-WOB00008','WOG00438','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#03.html',0,'2024-07-05 18:23:57'),
	(2473,'WOF091200006-WOB00008','WOG00439','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#04.png',0,'2024-07-05 18:23:57'),
	(2474,'WOF091200006-WOB00008','WOG00439','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#04.html',0,'2024-07-05 18:23:57'),
	(2475,'WOF091200006-WOB00008','WOG00440','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#05.png',0,'2024-07-05 18:23:57'),
	(2476,'WOF091200006-WOB00008','WOG00440','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#05.html',0,'2024-07-05 18:23:57'),
	(2477,'WOF091200006-WOB00008','WOG00441','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#06.png',0,'2024-07-05 18:23:57'),
	(2478,'WOF091200006-WOB00008','WOG00441','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#06.html',0,'2024-07-05 18:23:57'),
	(2479,'WOF091200006-WOB00008','WOG00442','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#07.png',0,'2024-07-05 18:23:57'),
	(2480,'WOF091200006-WOB00008','WOG00442','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#07.html',0,'2024-07-05 18:23:57'),
	(2481,'WOF091200006-WOB00008','WOG00443','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#08.png',0,'2024-07-05 18:23:57'),
	(2482,'WOF091200006-WOB00008','WOG00443','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#08.html',0,'2024-07-05 18:23:57'),
	(2483,'WOF091200006-WOB00008','WOG00444','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#09.png',0,'2024-07-05 18:23:57'),
	(2484,'WOF091200006-WOB00008','WOG00444','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#09.html',0,'2024-07-05 18:23:57'),
	(2485,'WOF091200006-WOB00008','WOG00445','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#10.png',0,'2024-07-05 18:23:57'),
	(2486,'WOF091200006-WOB00008','WOG00445','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#10.html',0,'2024-07-05 18:23:57'),
	(2487,'WOF091200006-WOB00008','WOG00446','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#11.png',0,'2024-07-05 18:23:57'),
	(2488,'WOF091200006-WOB00008','WOG00446','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#11.html',0,'2024-07-05 18:23:57'),
	(2489,'WOF091200006-WOB00008','WOG00447','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#12.png',0,'2024-07-05 18:23:57'),
	(2490,'WOF091200006-WOB00008','WOG00447','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#12.html',0,'2024-07-05 18:23:57'),
	(2491,'WOF091200006-WOB00008','WOG00448','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#13.png',0,'2024-07-05 18:23:57'),
	(2492,'WOF091200006-WOB00008','WOG00448','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#13.html',0,'2024-07-05 18:23:57'),
	(2493,'WOF091200006-WOB00008','WOG00449','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#14.png',0,'2024-07-05 18:23:57'),
	(2494,'WOF091200006-WOB00008','WOG00449','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#14.html',0,'2024-07-05 18:23:57'),
	(2495,'WOF091200006-WOB00008','WOG00450','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#15.png',0,'2024-07-05 18:23:57'),
	(2496,'WOF091200006-WOB00008','WOG00450','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#15.html',0,'2024-07-05 18:23:57'),
	(2497,'WOF091200006-WOB00008','WOG00451','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#16.png',0,'2024-07-05 18:23:57'),
	(2498,'WOF091200006-WOB00008','WOG00451','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#16.html',0,'2024-07-05 18:23:57'),
	(2499,'WOF091200006-WOB00008','WOG00452','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#17.png',0,'2024-07-05 18:23:57'),
	(2500,'WOF091200006-WOB00008','WOG00452','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#17.html',0,'2024-07-05 18:23:57'),
	(2501,'WOF091200006-WOB00008','WOG00453','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#18.png',0,'2024-07-05 18:23:57'),
	(2502,'WOF091200006-WOB00008','WOG00453','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#18.html',0,'2024-07-05 18:23:57'),
	(2503,'WOF091200006-WOB00008','WOG00454','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#19.png',0,'2024-07-05 18:23:57'),
	(2504,'WOF091200006-WOB00008','WOG00454','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#19.html',0,'2024-07-05 18:23:57'),
	(2505,'WOF091200006-WOB00008','WOG00455','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#20.png',0,'2024-07-05 18:23:57'),
	(2506,'WOF091200006-WOB00008','WOG00455','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#20.html',0,'2024-07-05 18:23:57'),
	(2507,'WOF091200006-WOB00008','WOG00456','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#21.png',0,'2024-07-05 18:23:57'),
	(2508,'WOF091200006-WOB00008','WOG00456','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#21.html',0,'2024-07-05 18:23:57'),
	(2509,'WOF091200006-WOB00008','WOG00457','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#22.png',0,'2024-07-05 18:23:57'),
	(2510,'WOF091200006-WOB00008','WOG00457','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#22.html',0,'2024-07-05 18:23:57'),
	(2511,'WOF091200006-WOB00008','WOG00458','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#23.png',0,'2024-07-05 18:23:57'),
	(2512,'WOF091200006-WOB00008','WOG00458','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#23.html',0,'2024-07-05 18:23:57'),
	(2513,'WOF091200006-WOB00008','WOG00459','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#24.png',0,'2024-07-05 18:23:57'),
	(2514,'WOF091200006-WOB00008','WOG00459','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#24.html',0,'2024-07-05 18:23:57'),
	(2515,'WOF091200006-WOB00008','WOG00460','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#25.png',0,'2024-07-05 18:23:57'),
	(2516,'WOF091200006-WOB00008','WOG00460','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#25.html',0,'2024-07-05 18:23:57'),
	(2517,'WOF091200006-WOB00008','WOG00461','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#26.png',0,'2024-07-05 18:23:57'),
	(2518,'WOF091200006-WOB00008','WOG00461','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#26.html',0,'2024-07-05 18:23:57'),
	(2519,'WOF091200006-WOB00008','WOG00462','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#27.png',0,'2024-07-05 18:23:57'),
	(2520,'WOF091200006-WOB00008','WOG00462','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#27.html',0,'2024-07-05 18:23:57'),
	(2521,'WOF091200006-WOB00008','WOG00463','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#28.png',0,'2024-07-05 18:23:57'),
	(2522,'WOF091200006-WOB00008','WOG00463','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#28.html',0,'2024-07-05 18:23:57'),
	(2523,'WOF091200006-WOB00008','WOG00464','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#29.png',0,'2024-07-05 18:23:57'),
	(2524,'WOF091200006-WOB00008','WOG00464','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#29.html',0,'2024-07-05 18:23:57'),
	(2525,'WOF091200006-WOB00008','WOG00465','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#30.png',0,'2024-07-05 18:23:57'),
	(2526,'WOF091200006-WOB00008','WOG00465','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#30.html',0,'2024-07-05 18:23:57'),
	(2527,'WOF091200006-WOB00008','WOG00466','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#31.png',0,'2024-07-05 18:23:57'),
	(2528,'WOF091200006-WOB00008','WOG00466','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#31.html',0,'2024-07-05 18:23:57'),
	(2529,'WOF091200006-WOB00008','WOG00467','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#32.png',0,'2024-07-05 18:23:57'),
	(2530,'WOF091200006-WOB00008','WOG00467','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#32.html',0,'2024-07-05 18:23:57'),
	(2531,'WOF091200006-WOB00008','WOG00468','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#33.png',0,'2024-07-05 18:23:57'),
	(2532,'WOF091200006-WOB00008','WOG00468','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#33.html',0,'2024-07-05 18:23:57'),
	(2533,'WOF091200006-WOB00008','WOG00436','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#01.png',0,'2024-07-05 18:23:57'),
	(2534,'WOF091200006-WOB00008','WOG00436','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#01.html',0,'2024-07-05 18:23:57'),
	(2535,'WOF091200006-WOB00008','WOG00437','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#02.png',0,'2024-07-05 18:23:57'),
	(2536,'WOF091200006-WOB00008','WOG00437','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#02.html',0,'2024-07-05 18:23:57'),
	(2537,'WOF091200006-WOB00008','WOG00438','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#03.png',0,'2024-07-05 18:23:57'),
	(2538,'WOF091200006-WOB00008','WOG00438','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#03.html',0,'2024-07-05 18:23:57'),
	(2539,'WOF091200006-WOB00008','WOG00439','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#04.png',0,'2024-07-05 18:23:57'),
	(2540,'WOF091200006-WOB00008','WOG00439','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#04.html',0,'2024-07-05 18:23:57'),
	(2541,'WOF091200006-WOB00008','WOG00440','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#05.png',0,'2024-07-05 18:23:57'),
	(2542,'WOF091200006-WOB00008','WOG00440','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#05.html',0,'2024-07-05 18:23:57'),
	(2543,'WOF091200006-WOB00008','WOG00441','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#06.png',0,'2024-07-05 18:23:57'),
	(2544,'WOF091200006-WOB00008','WOG00441','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#06.html',0,'2024-07-05 18:23:57'),
	(2545,'WOF091200006-WOB00008','WOG00442','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#07.png',0,'2024-07-05 18:23:57'),
	(2546,'WOF091200006-WOB00008','WOG00442','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#07.html',0,'2024-07-05 18:23:57'),
	(2547,'WOF091200006-WOB00008','WOG00443','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#08.png',0,'2024-07-05 18:23:57'),
	(2548,'WOF091200006-WOB00008','WOG00443','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#08.html',0,'2024-07-05 18:23:57'),
	(2549,'WOF091200006-WOB00008','WOG00444','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#09.png',0,'2024-07-05 18:23:57'),
	(2550,'WOF091200006-WOB00008','WOG00444','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#09.html',0,'2024-07-05 18:23:57'),
	(2551,'WOF091200006-WOB00008','WOG00445','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#10.png',0,'2024-07-05 18:23:57'),
	(2552,'WOF091200006-WOB00008','WOG00445','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#10.html',0,'2024-07-05 18:23:57'),
	(2553,'WOF091200006-WOB00008','WOG00446','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#11.png',0,'2024-07-05 18:23:57'),
	(2554,'WOF091200006-WOB00008','WOG00446','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#11.html',0,'2024-07-05 18:23:57'),
	(2555,'WOF091200006-WOB00008','WOG00447','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#12.png',0,'2024-07-05 18:23:57'),
	(2556,'WOF091200006-WOB00008','WOG00447','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#12.html',0,'2024-07-05 18:23:57'),
	(2557,'WOF091200006-WOB00008','WOG00448','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#13.png',0,'2024-07-05 18:23:57'),
	(2558,'WOF091200006-WOB00008','WOG00448','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#13.html',0,'2024-07-05 18:23:57'),
	(2559,'WOF091200006-WOB00008','WOG00449','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#14.png',0,'2024-07-05 18:23:57'),
	(2560,'WOF091200006-WOB00008','WOG00449','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#14.html',0,'2024-07-05 18:23:57'),
	(2561,'WOF091200006-WOB00008','WOG00450','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#15.png',0,'2024-07-05 18:23:57'),
	(2562,'WOF091200006-WOB00008','WOG00450','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#15.html',0,'2024-07-05 18:23:57'),
	(2563,'WOF091200006-WOB00008','WOG00451','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#16.png',0,'2024-07-05 18:23:57'),
	(2564,'WOF091200006-WOB00008','WOG00451','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#16.html',0,'2024-07-05 18:23:57'),
	(2565,'WOF091200006-WOB00008','WOG00452','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#17.png',0,'2024-07-05 18:23:57'),
	(2566,'WOF091200006-WOB00008','WOG00452','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#17.html',0,'2024-07-05 18:23:57'),
	(2567,'WOF091200006-WOB00008','WOG00453','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#18.png',0,'2024-07-05 18:23:57'),
	(2568,'WOF091200006-WOB00008','WOG00453','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#18.html',0,'2024-07-05 18:23:57'),
	(2569,'WOF091200006-WOB00008','WOG00454','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#19.png',0,'2024-07-05 18:23:57'),
	(2570,'WOF091200006-WOB00008','WOG00454','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#19.html',0,'2024-07-05 18:23:57'),
	(2571,'WOF091200006-WOB00008','WOG00455','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#20.png',0,'2024-07-05 18:23:57'),
	(2572,'WOF091200006-WOB00008','WOG00455','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#20.html',0,'2024-07-05 18:23:57'),
	(2573,'WOF091200006-WOB00008','WOG00456','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#21.png',0,'2024-07-05 18:23:57'),
	(2574,'WOF091200006-WOB00008','WOG00456','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#21.html',0,'2024-07-05 18:23:57'),
	(2575,'WOF091200006-WOB00008','WOG00457','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#22.png',0,'2024-07-05 18:23:57'),
	(2576,'WOF091200006-WOB00008','WOG00457','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#22.html',0,'2024-07-05 18:23:57'),
	(2577,'WOF091200006-WOB00008','WOG00458','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#23.png',0,'2024-07-05 18:23:57'),
	(2578,'WOF091200006-WOB00008','WOG00458','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#23.html',0,'2024-07-05 18:23:57'),
	(2579,'WOF091200006-WOB00008','WOG00459','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#24.png',0,'2024-07-05 18:23:57'),
	(2580,'WOF091200006-WOB00008','WOG00459','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#24.html',0,'2024-07-05 18:23:57'),
	(2581,'WOF091200006-WOB00008','WOG00460','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#25.png',0,'2024-07-05 18:23:57'),
	(2582,'WOF091200006-WOB00008','WOG00460','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#25.html',0,'2024-07-05 18:23:57'),
	(2583,'WOF091200006-WOB00008','WOG00461','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#26.png',0,'2024-07-05 18:23:57'),
	(2584,'WOF091200006-WOB00008','WOG00461','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#26.html',0,'2024-07-05 18:23:57'),
	(2585,'WOF091200006-WOB00008','WOG00462','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#27.png',0,'2024-07-05 18:23:57'),
	(2586,'WOF091200006-WOB00008','WOG00462','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#27.html',0,'2024-07-05 18:23:57'),
	(2587,'WOF091200006-WOB00008','WOG00463','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#28.png',0,'2024-07-05 18:23:57'),
	(2588,'WOF091200006-WOB00008','WOG00463','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#28.html',0,'2024-07-05 18:23:57'),
	(2589,'WOF091200006-WOB00008','WOG00464','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#29.png',0,'2024-07-05 18:23:57'),
	(2590,'WOF091200006-WOB00008','WOG00464','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#29.html',0,'2024-07-05 18:23:57'),
	(2591,'WOF091200006-WOB00008','WOG00465','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#30.png',0,'2024-07-05 18:23:57'),
	(2592,'WOF091200006-WOB00008','WOG00465','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#30.html',0,'2024-07-05 18:23:57'),
	(2593,'WOF091200006-WOB00008','WOG00466','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#31.png',0,'2024-07-05 18:23:57'),
	(2594,'WOF091200006-WOB00008','WOG00466','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#31.html',0,'2024-07-05 18:23:57'),
	(2595,'WOF091200006-WOB00008','WOG00467','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#32.png',0,'2024-07-05 18:23:57'),
	(2596,'WOF091200006-WOB00008','WOG00467','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#32.html',0,'2024-07-05 18:23:57'),
	(2597,'WOF091200006-WOB00008','WOG00468','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#33.png',0,'2024-07-05 18:23:57'),
	(2598,'WOF091200006-WOB00008','WOG00468','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#33.html',0,'2024-07-05 18:23:57'),
	(2599,'WOF091200006-WOB00008','WOG00436','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#01.png',0,'2024-07-05 18:23:57'),
	(2600,'WOF091200006-WOB00008','WOG00436','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#01.html',0,'2024-07-05 18:23:57'),
	(2601,'WOF091200006-WOB00008','WOG00437','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#02.png',0,'2024-07-05 18:23:57'),
	(2602,'WOF091200006-WOB00008','WOG00437','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#02.html',0,'2024-07-05 18:23:57'),
	(2603,'WOF091200006-WOB00008','WOG00438','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#03.png',0,'2024-07-05 18:23:57'),
	(2604,'WOF091200006-WOB00008','WOG00438','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#03.html',0,'2024-07-05 18:23:57'),
	(2605,'WOF091200006-WOB00008','WOG00439','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#04.png',0,'2024-07-05 18:23:57'),
	(2606,'WOF091200006-WOB00008','WOG00439','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#04.html',0,'2024-07-05 18:23:57'),
	(2607,'WOF091200006-WOB00008','WOG00440','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#05.png',0,'2024-07-05 18:23:57'),
	(2608,'WOF091200006-WOB00008','WOG00440','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#05.html',0,'2024-07-05 18:23:57'),
	(2609,'WOF091200006-WOB00008','WOG00441','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#06.png',0,'2024-07-05 18:23:57'),
	(2610,'WOF091200006-WOB00008','WOG00441','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#06.html',0,'2024-07-05 18:23:57'),
	(2611,'WOF091200006-WOB00008','WOG00442','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#07.png',0,'2024-07-05 18:23:57'),
	(2612,'WOF091200006-WOB00008','WOG00442','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#07.html',0,'2024-07-05 18:23:57'),
	(2613,'WOF091200006-WOB00008','WOG00443','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#08.png',0,'2024-07-05 18:23:57'),
	(2614,'WOF091200006-WOB00008','WOG00443','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#08.html',0,'2024-07-05 18:23:57'),
	(2615,'WOF091200006-WOB00008','WOG00444','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#09.png',0,'2024-07-05 18:23:57'),
	(2616,'WOF091200006-WOB00008','WOG00444','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#09.html',0,'2024-07-05 18:23:57'),
	(2617,'WOF091200006-WOB00008','WOG00445','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#10.png',0,'2024-07-05 18:23:57'),
	(2618,'WOF091200006-WOB00008','WOG00445','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#10.html',0,'2024-07-05 18:23:57'),
	(2619,'WOF091200006-WOB00008','WOG00446','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#11.png',0,'2024-07-05 18:23:57'),
	(2620,'WOF091200006-WOB00008','WOG00446','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#11.html',0,'2024-07-05 18:23:57'),
	(2621,'WOF091200006-WOB00008','WOG00447','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#12.png',0,'2024-07-05 18:23:57'),
	(2622,'WOF091200006-WOB00008','WOG00447','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#12.html',0,'2024-07-05 18:23:57'),
	(2623,'WOF091200006-WOB00008','WOG00448','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#13.png',0,'2024-07-05 18:23:57'),
	(2624,'WOF091200006-WOB00008','WOG00448','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#13.html',0,'2024-07-05 18:23:57'),
	(2625,'WOF091200006-WOB00008','WOG00449','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#14.png',0,'2024-07-05 18:23:57'),
	(2626,'WOF091200006-WOB00008','WOG00449','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#14.html',0,'2024-07-05 18:23:57'),
	(2627,'WOF091200006-WOB00008','WOG00450','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#15.png',0,'2024-07-05 18:23:57'),
	(2628,'WOF091200006-WOB00008','WOG00450','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#15.html',0,'2024-07-05 18:23:57'),
	(2629,'WOF091200006-WOB00008','WOG00451','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#16.png',0,'2024-07-05 18:23:57'),
	(2630,'WOF091200006-WOB00008','WOG00451','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#16.html',0,'2024-07-05 18:23:57'),
	(2631,'WOF091200006-WOB00008','WOG00452','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#17.png',0,'2024-07-05 18:23:57'),
	(2632,'WOF091200006-WOB00008','WOG00452','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#17.html',0,'2024-07-05 18:23:57'),
	(2633,'WOF091200006-WOB00008','WOG00453','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#18.png',0,'2024-07-05 18:23:57'),
	(2634,'WOF091200006-WOB00008','WOG00453','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#18.html',0,'2024-07-05 18:23:57'),
	(2635,'WOF091200006-WOB00008','WOG00454','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#19.png',0,'2024-07-05 18:23:57'),
	(2636,'WOF091200006-WOB00008','WOG00454','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#19.html',0,'2024-07-05 18:23:57'),
	(2637,'WOF091200006-WOB00008','WOG00455','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#20.png',0,'2024-07-05 18:23:57'),
	(2638,'WOF091200006-WOB00008','WOG00455','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#20.html',0,'2024-07-05 18:23:57'),
	(2639,'WOF091200006-WOB00008','WOG00456','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#21.png',0,'2024-07-05 18:23:57'),
	(2640,'WOF091200006-WOB00008','WOG00456','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#21.html',0,'2024-07-05 18:23:57'),
	(2641,'WOF091200006-WOB00008','WOG00457','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#22.png',0,'2024-07-05 18:23:57'),
	(2642,'WOF091200006-WOB00008','WOG00457','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#22.html',0,'2024-07-05 18:23:57'),
	(2643,'WOF091200006-WOB00008','WOG00458','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#23.png',0,'2024-07-05 18:23:57'),
	(2644,'WOF091200006-WOB00008','WOG00458','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#23.html',0,'2024-07-05 18:23:57'),
	(2645,'WOF091200006-WOB00008','WOG00459','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#24.png',0,'2024-07-05 18:23:57'),
	(2646,'WOF091200006-WOB00008','WOG00459','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#24.html',0,'2024-07-05 18:23:57'),
	(2647,'WOF091200006-WOB00008','WOG00460','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#25.png',0,'2024-07-05 18:23:57'),
	(2648,'WOF091200006-WOB00008','WOG00460','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#25.html',0,'2024-07-05 18:23:57'),
	(2649,'WOF091200006-WOB00008','WOG00461','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#26.png',0,'2024-07-05 18:23:57'),
	(2650,'WOF091200006-WOB00008','WOG00461','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#26.html',0,'2024-07-05 18:23:57'),
	(2651,'WOF091200006-WOB00008','WOG00462','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#27.png',0,'2024-07-05 18:23:57'),
	(2652,'WOF091200006-WOB00008','WOG00462','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#27.html',0,'2024-07-05 18:23:57'),
	(2653,'WOF091200006-WOB00008','WOG00463','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#28.png',0,'2024-07-05 18:23:57'),
	(2654,'WOF091200006-WOB00008','WOG00463','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#28.html',0,'2024-07-05 18:23:57'),
	(2655,'WOF091200006-WOB00008','WOG00464','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#29.png',0,'2024-07-05 18:23:57'),
	(2656,'WOF091200006-WOB00008','WOG00464','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#29.html',0,'2024-07-05 18:23:57'),
	(2657,'WOF091200006-WOB00008','WOG00465','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#30.png',0,'2024-07-05 18:23:57'),
	(2658,'WOF091200006-WOB00008','WOG00465','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#30.html',0,'2024-07-05 18:23:57'),
	(2659,'WOF091200006-WOB00008','WOG00466','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#31.png',0,'2024-07-05 18:23:57'),
	(2660,'WOF091200006-WOB00008','WOG00466','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#31.html',0,'2024-07-05 18:23:57'),
	(2661,'WOF091200006-WOB00008','WOG00467','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#32.png',0,'2024-07-05 18:23:57'),
	(2662,'WOF091200006-WOB00008','WOG00467','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#32.html',0,'2024-07-05 18:23:57'),
	(2663,'WOF091200006-WOB00008','WOG00468','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#33.png',0,'2024-07-05 18:23:57'),
	(2664,'WOF091200006-WOB00008','WOG00468','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#33.html',0,'2024-07-05 18:23:57'),
	(2665,'WOF091200006-WOB00008','WOG00436','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#01.png',0,'2024-07-05 18:23:57'),
	(2666,'WOF091200006-WOB00008','WOG00436','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#01.html',0,'2024-07-05 18:23:57'),
	(2667,'WOF091200006-WOB00008','WOG00437','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#02.png',0,'2024-07-05 18:23:57'),
	(2668,'WOF091200006-WOB00008','WOG00437','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#02.html',0,'2024-07-05 18:23:57'),
	(2669,'WOF091200006-WOB00008','WOG00438','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#03.png',0,'2024-07-05 18:23:57'),
	(2670,'WOF091200006-WOB00008','WOG00438','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#03.html',0,'2024-07-05 18:23:57'),
	(2671,'WOF091200006-WOB00008','WOG00439','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#04.png',0,'2024-07-05 18:23:57'),
	(2672,'WOF091200006-WOB00008','WOG00439','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#04.html',0,'2024-07-05 18:23:57'),
	(2673,'WOF091200006-WOB00008','WOG00440','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#05.png',0,'2024-07-05 18:23:57'),
	(2674,'WOF091200006-WOB00008','WOG00440','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#05.html',0,'2024-07-05 18:23:57'),
	(2675,'WOF091200006-WOB00008','WOG00441','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#06.png',0,'2024-07-05 18:23:57'),
	(2676,'WOF091200006-WOB00008','WOG00441','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#06.html',0,'2024-07-05 18:23:57'),
	(2677,'WOF091200006-WOB00008','WOG00442','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#07.png',0,'2024-07-05 18:23:57'),
	(2678,'WOF091200006-WOB00008','WOG00442','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#07.html',0,'2024-07-05 18:23:57'),
	(2679,'WOF091200006-WOB00008','WOG00443','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#08.png',0,'2024-07-05 18:23:57'),
	(2680,'WOF091200006-WOB00008','WOG00443','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#08.html',0,'2024-07-05 18:23:57'),
	(2681,'WOF091200006-WOB00008','WOG00444','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#09.png',0,'2024-07-05 18:23:57'),
	(2682,'WOF091200006-WOB00008','WOG00444','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#09.html',0,'2024-07-05 18:23:57'),
	(2683,'WOF091200006-WOB00008','WOG00445','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#10.png',0,'2024-07-05 18:23:57'),
	(2684,'WOF091200006-WOB00008','WOG00445','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#10.html',0,'2024-07-05 18:23:57'),
	(2685,'WOF091200006-WOB00008','WOG00446','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#11.png',0,'2024-07-05 18:23:57'),
	(2686,'WOF091200006-WOB00008','WOG00446','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#11.html',0,'2024-07-05 18:23:57'),
	(2687,'WOF091200006-WOB00008','WOG00447','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#12.png',0,'2024-07-05 18:23:57'),
	(2688,'WOF091200006-WOB00008','WOG00447','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#12.html',0,'2024-07-05 18:23:57'),
	(2689,'WOF091200006-WOB00008','WOG00448','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#13.png',0,'2024-07-05 18:23:57'),
	(2690,'WOF091200006-WOB00008','WOG00448','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#13.html',0,'2024-07-05 18:23:57'),
	(2691,'WOF091200006-WOB00008','WOG00449','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#14.png',0,'2024-07-05 18:23:57'),
	(2692,'WOF091200006-WOB00008','WOG00449','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#14.html',0,'2024-07-05 18:23:57'),
	(2693,'WOF091200006-WOB00008','WOG00450','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#15.png',0,'2024-07-05 18:23:57'),
	(2694,'WOF091200006-WOB00008','WOG00450','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#15.html',0,'2024-07-05 18:23:57'),
	(2695,'WOF091200006-WOB00008','WOG00451','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#16.png',0,'2024-07-05 18:23:57'),
	(2696,'WOF091200006-WOB00008','WOG00451','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#16.html',0,'2024-07-05 18:23:57'),
	(2697,'WOF091200006-WOB00008','WOG00452','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#17.png',0,'2024-07-05 18:23:57'),
	(2698,'WOF091200006-WOB00008','WOG00452','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#17.html',0,'2024-07-05 18:23:57'),
	(2699,'WOF091200006-WOB00008','WOG00453','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#18.png',0,'2024-07-05 18:23:57'),
	(2700,'WOF091200006-WOB00008','WOG00453','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#18.html',0,'2024-07-05 18:23:57'),
	(2701,'WOF091200006-WOB00008','WOG00454','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#19.png',0,'2024-07-05 18:23:57'),
	(2702,'WOF091200006-WOB00008','WOG00454','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#19.html',0,'2024-07-05 18:23:57'),
	(2703,'WOF091200006-WOB00008','WOG00455','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#20.png',0,'2024-07-05 18:23:57'),
	(2704,'WOF091200006-WOB00008','WOG00455','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#20.html',0,'2024-07-05 18:23:57'),
	(2705,'WOF091200006-WOB00008','WOG00456','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#21.png',0,'2024-07-05 18:23:57'),
	(2706,'WOF091200006-WOB00008','WOG00456','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#21.html',0,'2024-07-05 18:23:57'),
	(2707,'WOF091200006-WOB00008','WOG00457','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#22.png',0,'2024-07-05 18:23:57'),
	(2708,'WOF091200006-WOB00008','WOG00457','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#22.html',0,'2024-07-05 18:23:57'),
	(2709,'WOF091200006-WOB00008','WOG00458','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#23.png',0,'2024-07-05 18:23:57'),
	(2710,'WOF091200006-WOB00008','WOG00458','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#23.html',0,'2024-07-05 18:23:57'),
	(2711,'WOF091200006-WOB00008','WOG00459','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#24.png',0,'2024-07-05 18:23:57'),
	(2712,'WOF091200006-WOB00008','WOG00459','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#24.html',0,'2024-07-05 18:23:57'),
	(2713,'WOF091200006-WOB00008','WOG00460','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#25.png',0,'2024-07-05 18:23:57'),
	(2714,'WOF091200006-WOB00008','WOG00460','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#25.html',0,'2024-07-05 18:23:57'),
	(2715,'WOF091200006-WOB00008','WOG00461','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#26.png',0,'2024-07-05 18:23:57'),
	(2716,'WOF091200006-WOB00008','WOG00461','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#26.html',0,'2024-07-05 18:23:57'),
	(2717,'WOF091200006-WOB00008','WOG00462','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#27.png',0,'2024-07-05 18:23:57'),
	(2718,'WOF091200006-WOB00008','WOG00462','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#27.html',0,'2024-07-05 18:23:57'),
	(2719,'WOF091200006-WOB00008','WOG00463','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#28.png',0,'2024-07-05 18:23:57'),
	(2720,'WOF091200006-WOB00008','WOG00463','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#28.html',0,'2024-07-05 18:23:57'),
	(2721,'WOF091200006-WOB00008','WOG00464','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#29.png',0,'2024-07-05 18:23:57'),
	(2722,'WOF091200006-WOB00008','WOG00464','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#29.html',0,'2024-07-05 18:23:57'),
	(2723,'WOF091200006-WOB00008','WOG00465','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#30.png',0,'2024-07-05 18:23:57'),
	(2724,'WOF091200006-WOB00008','WOG00465','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#30.html',0,'2024-07-05 18:23:57'),
	(2725,'WOF091200006-WOB00008','WOG00466','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#31.png',0,'2024-07-05 18:23:57'),
	(2726,'WOF091200006-WOB00008','WOG00466','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#31.html',0,'2024-07-05 18:23:57'),
	(2727,'WOF091200006-WOB00008','WOG00467','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#32.png',0,'2024-07-05 18:23:57'),
	(2728,'WOF091200006-WOB00008','WOG00467','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#32.html',0,'2024-07-05 18:23:57'),
	(2729,'WOF091200006-WOB00008','WOG00468','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#33.png',0,'2024-07-05 18:23:57'),
	(2730,'WOF091200006-WOB00008','WOG00468','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#33.html',0,'2024-07-05 18:23:57'),
	(2731,'WOF091200006-WOB00008','WOG00436','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#01.png',0,'2024-07-05 18:23:57'),
	(2732,'WOF091200006-WOB00008','WOG00436','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#01.html',0,'2024-07-05 18:23:57'),
	(2733,'WOF091200006-WOB00008','WOG00437','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#02.png',0,'2024-07-05 18:23:57'),
	(2734,'WOF091200006-WOB00008','WOG00437','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#02.html',0,'2024-07-05 18:23:57'),
	(2735,'WOF091200006-WOB00008','WOG00438','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#03.png',0,'2024-07-05 18:23:57'),
	(2736,'WOF091200006-WOB00008','WOG00438','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#03.html',0,'2024-07-05 18:23:57'),
	(2737,'WOF091200006-WOB00008','WOG00439','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#04.png',0,'2024-07-05 18:23:57'),
	(2738,'WOF091200006-WOB00008','WOG00439','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#04.html',0,'2024-07-05 18:23:57'),
	(2739,'WOF091200006-WOB00008','WOG00440','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#05.png',0,'2024-07-05 18:23:57'),
	(2740,'WOF091200006-WOB00008','WOG00440','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#05.html',0,'2024-07-05 18:23:57'),
	(2741,'WOF091200006-WOB00008','WOG00441','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#06.png',0,'2024-07-05 18:23:57'),
	(2742,'WOF091200006-WOB00008','WOG00441','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#06.html',0,'2024-07-05 18:23:57'),
	(2743,'WOF091200006-WOB00008','WOG00442','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#07.png',0,'2024-07-05 18:23:57'),
	(2744,'WOF091200006-WOB00008','WOG00442','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#07.html',0,'2024-07-05 18:23:57'),
	(2745,'WOF091200006-WOB00008','WOG00443','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#08.png',0,'2024-07-05 18:23:57'),
	(2746,'WOF091200006-WOB00008','WOG00443','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#08.html',0,'2024-07-05 18:23:57'),
	(2747,'WOF091200006-WOB00008','WOG00444','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#09.png',0,'2024-07-05 18:23:57'),
	(2748,'WOF091200006-WOB00008','WOG00444','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#09.html',0,'2024-07-05 18:23:57'),
	(2749,'WOF091200006-WOB00008','WOG00445','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#10.png',0,'2024-07-05 18:23:57'),
	(2750,'WOF091200006-WOB00008','WOG00445','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#10.html',0,'2024-07-05 18:23:57'),
	(2751,'WOF091200006-WOB00008','WOG00446','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#11.png',0,'2024-07-05 18:23:57'),
	(2752,'WOF091200006-WOB00008','WOG00446','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#11.html',0,'2024-07-05 18:23:57'),
	(2753,'WOF091200006-WOB00008','WOG00447','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#12.png',0,'2024-07-05 18:23:57'),
	(2754,'WOF091200006-WOB00008','WOG00447','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#12.html',0,'2024-07-05 18:23:57'),
	(2755,'WOF091200006-WOB00008','WOG00448','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#13.png',0,'2024-07-05 18:23:57'),
	(2756,'WOF091200006-WOB00008','WOG00448','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#13.html',0,'2024-07-05 18:23:57'),
	(2757,'WOF091200006-WOB00008','WOG00449','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#14.png',0,'2024-07-05 18:23:57'),
	(2758,'WOF091200006-WOB00008','WOG00449','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#14.html',0,'2024-07-05 18:23:57'),
	(2759,'WOF091200006-WOB00008','WOG00450','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#15.png',0,'2024-07-05 18:23:57'),
	(2760,'WOF091200006-WOB00008','WOG00450','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#15.html',0,'2024-07-05 18:23:57'),
	(2761,'WOF091200006-WOB00008','WOG00451','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#16.png',0,'2024-07-05 18:23:57'),
	(2762,'WOF091200006-WOB00008','WOG00451','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#16.html',0,'2024-07-05 18:23:57'),
	(2763,'WOF091200006-WOB00008','WOG00452','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#17.png',0,'2024-07-05 18:23:57'),
	(2764,'WOF091200006-WOB00008','WOG00452','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#17.html',0,'2024-07-05 18:23:57'),
	(2765,'WOF091200006-WOB00008','WOG00453','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#18.png',0,'2024-07-05 18:23:57'),
	(2766,'WOF091200006-WOB00008','WOG00453','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#18.html',0,'2024-07-05 18:23:57'),
	(2767,'WOF091200006-WOB00008','WOG00454','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#19.png',0,'2024-07-05 18:23:57'),
	(2768,'WOF091200006-WOB00008','WOG00454','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#19.html',0,'2024-07-05 18:23:57'),
	(2769,'WOF091200006-WOB00008','WOG00455','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#20.png',0,'2024-07-05 18:23:57'),
	(2770,'WOF091200006-WOB00008','WOG00455','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#20.html',0,'2024-07-05 18:23:57'),
	(2771,'WOF091200006-WOB00008','WOG00456','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#21.png',0,'2024-07-05 18:23:57'),
	(2772,'WOF091200006-WOB00008','WOG00456','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#21.html',0,'2024-07-05 18:23:57'),
	(2773,'WOF091200006-WOB00008','WOG00457','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#22.png',0,'2024-07-05 18:23:57'),
	(2774,'WOF091200006-WOB00008','WOG00457','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#22.html',0,'2024-07-05 18:23:57'),
	(2775,'WOF091200006-WOB00008','WOG00458','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#23.png',0,'2024-07-05 18:23:57'),
	(2776,'WOF091200006-WOB00008','WOG00458','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#23.html',0,'2024-07-05 18:23:57'),
	(2777,'WOF091200006-WOB00008','WOG00459','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#24.png',0,'2024-07-05 18:23:57'),
	(2778,'WOF091200006-WOB00008','WOG00459','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#24.html',0,'2024-07-05 18:23:57'),
	(2779,'WOF091200006-WOB00008','WOG00460','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#25.png',0,'2024-07-05 18:23:57'),
	(2780,'WOF091200006-WOB00008','WOG00460','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#25.html',0,'2024-07-05 18:23:57'),
	(2781,'WOF091200006-WOB00008','WOG00461','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#26.png',0,'2024-07-05 18:23:57'),
	(2782,'WOF091200006-WOB00008','WOG00461','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#26.html',0,'2024-07-05 18:23:57'),
	(2783,'WOF091200006-WOB00008','WOG00462','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#27.png',0,'2024-07-05 18:23:57'),
	(2784,'WOF091200006-WOB00008','WOG00462','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#27.html',0,'2024-07-05 18:23:57'),
	(2785,'WOF091200006-WOB00008','WOG00463','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#28.png',0,'2024-07-05 18:23:57'),
	(2786,'WOF091200006-WOB00008','WOG00463','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#28.html',0,'2024-07-05 18:23:57'),
	(2787,'WOF091200006-WOB00008','WOG00464','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#29.png',0,'2024-07-05 18:23:57'),
	(2788,'WOF091200006-WOB00008','WOG00464','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#29.html',0,'2024-07-05 18:23:57'),
	(2789,'WOF091200006-WOB00008','WOG00465','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#30.png',0,'2024-07-05 18:23:57'),
	(2790,'WOF091200006-WOB00008','WOG00465','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#30.html',0,'2024-07-05 18:23:57'),
	(2791,'WOF091200006-WOB00008','WOG00466','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#31.png',0,'2024-07-05 18:23:57'),
	(2792,'WOF091200006-WOB00008','WOG00466','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#31.html',0,'2024-07-05 18:23:57'),
	(2793,'WOF091200006-WOB00008','WOG00467','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#32.png',0,'2024-07-05 18:23:57'),
	(2794,'WOF091200006-WOB00008','WOG00467','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#32.html',0,'2024-07-05 18:23:57'),
	(2795,'WOF091200006-WOB00008','WOG00468','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#33.png',0,'2024-07-05 18:23:57'),
	(2796,'WOF091200006-WOB00008','WOG00468','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#33.html',0,'2024-07-05 18:23:57'),
	(2797,'WOF091200006-WOB00008','WOG00436','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#01.png',0,'2024-07-05 18:23:57'),
	(2798,'WOF091200006-WOB00008','WOG00436','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#01.html',0,'2024-07-05 18:23:57'),
	(2799,'WOF091200006-WOB00008','WOG00437','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#02.png',0,'2024-07-05 18:23:57'),
	(2800,'WOF091200006-WOB00008','WOG00437','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#02.html',0,'2024-07-05 18:23:57'),
	(2801,'WOF091200006-WOB00008','WOG00438','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#03.png',0,'2024-07-05 18:23:57'),
	(2802,'WOF091200006-WOB00008','WOG00438','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#03.html',0,'2024-07-05 18:23:57'),
	(2803,'WOF091200006-WOB00008','WOG00439','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#04.png',0,'2024-07-05 18:23:57'),
	(2804,'WOF091200006-WOB00008','WOG00439','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#04.html',0,'2024-07-05 18:23:57'),
	(2805,'WOF091200006-WOB00008','WOG00440','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#05.png',0,'2024-07-05 18:23:57'),
	(2806,'WOF091200006-WOB00008','WOG00440','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#05.html',0,'2024-07-05 18:23:57'),
	(2807,'WOF091200006-WOB00008','WOG00441','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#06.png',0,'2024-07-05 18:23:57'),
	(2808,'WOF091200006-WOB00008','WOG00441','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#06.html',0,'2024-07-05 18:23:57'),
	(2809,'WOF091200006-WOB00008','WOG00442','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#07.png',0,'2024-07-05 18:23:57'),
	(2810,'WOF091200006-WOB00008','WOG00442','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#07.html',0,'2024-07-05 18:23:57'),
	(2811,'WOF091200006-WOB00008','WOG00443','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#08.png',0,'2024-07-05 18:23:57'),
	(2812,'WOF091200006-WOB00008','WOG00443','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#08.html',0,'2024-07-05 18:23:57'),
	(2813,'WOF091200006-WOB00008','WOG00444','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#09.png',0,'2024-07-05 18:23:57'),
	(2814,'WOF091200006-WOB00008','WOG00444','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#09.html',0,'2024-07-05 18:23:57'),
	(2815,'WOF091200006-WOB00008','WOG00445','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#10.png',0,'2024-07-05 18:23:57'),
	(2816,'WOF091200006-WOB00008','WOG00445','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#10.html',0,'2024-07-05 18:23:57'),
	(2817,'WOF091200006-WOB00008','WOG00446','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#11.png',0,'2024-07-05 18:23:57'),
	(2818,'WOF091200006-WOB00008','WOG00446','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#11.html',0,'2024-07-05 18:23:57'),
	(2819,'WOF091200006-WOB00008','WOG00447','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#12.png',0,'2024-07-05 18:23:57'),
	(2820,'WOF091200006-WOB00008','WOG00447','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#12.html',0,'2024-07-05 18:23:57'),
	(2821,'WOF091200006-WOB00008','WOG00448','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#13.png',0,'2024-07-05 18:23:57'),
	(2822,'WOF091200006-WOB00008','WOG00448','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#13.html',0,'2024-07-05 18:23:57'),
	(2823,'WOF091200006-WOB00008','WOG00449','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#14.png',0,'2024-07-05 18:23:57'),
	(2824,'WOF091200006-WOB00008','WOG00449','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#14.html',0,'2024-07-05 18:23:57'),
	(2825,'WOF091200006-WOB00008','WOG00450','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#15.png',0,'2024-07-05 18:23:57'),
	(2826,'WOF091200006-WOB00008','WOG00450','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#15.html',0,'2024-07-05 18:23:57'),
	(2827,'WOF091200006-WOB00008','WOG00451','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#16.png',0,'2024-07-05 18:23:57'),
	(2828,'WOF091200006-WOB00008','WOG00451','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#16.html',0,'2024-07-05 18:23:57'),
	(2829,'WOF091200006-WOB00008','WOG00452','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#17.png',0,'2024-07-05 18:23:57'),
	(2830,'WOF091200006-WOB00008','WOG00452','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#17.html',0,'2024-07-05 18:23:57'),
	(2831,'WOF091200006-WOB00008','WOG00453','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#18.png',0,'2024-07-05 18:23:57'),
	(2832,'WOF091200006-WOB00008','WOG00453','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#18.html',0,'2024-07-05 18:23:57'),
	(2833,'WOF091200006-WOB00008','WOG00454','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#19.png',0,'2024-07-05 18:23:57'),
	(2834,'WOF091200006-WOB00008','WOG00454','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#19.html',0,'2024-07-05 18:23:57'),
	(2835,'WOF091200006-WOB00008','WOG00455','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#20.png',0,'2024-07-05 18:23:57'),
	(2836,'WOF091200006-WOB00008','WOG00455','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#20.html',0,'2024-07-05 18:23:57'),
	(2837,'WOF091200006-WOB00008','WOG00456','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#21.png',0,'2024-07-05 18:23:57'),
	(2838,'WOF091200006-WOB00008','WOG00456','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#21.html',0,'2024-07-05 18:23:57'),
	(2839,'WOF091200006-WOB00008','WOG00457','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#22.png',0,'2024-07-05 18:23:57'),
	(2840,'WOF091200006-WOB00008','WOG00457','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#22.html',0,'2024-07-05 18:23:57'),
	(2841,'WOF091200006-WOB00008','WOG00458','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#23.png',0,'2024-07-05 18:23:57'),
	(2842,'WOF091200006-WOB00008','WOG00458','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#23.html',0,'2024-07-05 18:23:57'),
	(2843,'WOF091200006-WOB00008','WOG00459','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#24.png',0,'2024-07-05 18:23:57'),
	(2844,'WOF091200006-WOB00008','WOG00459','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#24.html',0,'2024-07-05 18:23:57'),
	(2845,'WOF091200006-WOB00008','WOG00460','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#25.png',0,'2024-07-05 18:23:57'),
	(2846,'WOF091200006-WOB00008','WOG00460','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#25.html',0,'2024-07-05 18:23:57'),
	(2847,'WOF091200006-WOB00008','WOG00461','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#26.png',0,'2024-07-05 18:23:57'),
	(2848,'WOF091200006-WOB00008','WOG00461','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#26.html',0,'2024-07-05 18:23:57'),
	(2849,'WOF091200006-WOB00008','WOG00462','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#27.png',0,'2024-07-05 18:23:57'),
	(2850,'WOF091200006-WOB00008','WOG00462','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#27.html',0,'2024-07-05 18:23:57'),
	(2851,'WOF091200006-WOB00008','WOG00463','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#28.png',0,'2024-07-05 18:23:57'),
	(2852,'WOF091200006-WOB00008','WOG00463','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#28.html',0,'2024-07-05 18:23:57'),
	(2853,'WOF091200006-WOB00008','WOG00464','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#29.png',0,'2024-07-05 18:23:57'),
	(2854,'WOF091200006-WOB00008','WOG00464','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#29.html',0,'2024-07-05 18:23:57'),
	(2855,'WOF091200006-WOB00008','WOG00465','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#30.png',0,'2024-07-05 18:23:57'),
	(2856,'WOF091200006-WOB00008','WOG00465','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#30.html',0,'2024-07-05 18:23:57'),
	(2857,'WOF091200006-WOB00008','WOG00466','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#31.png',0,'2024-07-05 18:23:57'),
	(2858,'WOF091200006-WOB00008','WOG00466','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#31.html',0,'2024-07-05 18:23:57'),
	(2859,'WOF091200006-WOB00008','WOG00467','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#32.png',0,'2024-07-05 18:23:57'),
	(2860,'WOF091200006-WOB00008','WOG00467','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#32.html',0,'2024-07-05 18:23:57'),
	(2861,'WOF091200006-WOB00008','WOG00468','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#33.png',0,'2024-07-05 18:23:57'),
	(2862,'WOF091200006-WOB00008','WOG00468','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#33.html',0,'2024-07-05 18:23:57'),
	(2863,'WOF091200006-WOB00008','WOG00436','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#01.png',0,'2024-07-05 18:23:57'),
	(2864,'WOF091200006-WOB00008','WOG00436','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#01.html',0,'2024-07-05 18:23:57'),
	(2865,'WOF091200006-WOB00008','WOG00437','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#02.png',0,'2024-07-05 18:23:57'),
	(2866,'WOF091200006-WOB00008','WOG00437','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#02.html',0,'2024-07-05 18:23:57'),
	(2867,'WOF091200006-WOB00008','WOG00438','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#03.png',0,'2024-07-05 18:23:57'),
	(2868,'WOF091200006-WOB00008','WOG00438','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#03.html',0,'2024-07-05 18:23:57'),
	(2869,'WOF091200006-WOB00008','WOG00439','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#04.png',0,'2024-07-05 18:23:57'),
	(2870,'WOF091200006-WOB00008','WOG00439','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#04.html',0,'2024-07-05 18:23:57'),
	(2871,'WOF091200006-WOB00008','WOG00440','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#05.png',0,'2024-07-05 18:23:57'),
	(2872,'WOF091200006-WOB00008','WOG00440','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#05.html',0,'2024-07-05 18:23:57'),
	(2873,'WOF091200006-WOB00008','WOG00441','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#06.png',0,'2024-07-05 18:23:57'),
	(2874,'WOF091200006-WOB00008','WOG00441','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#06.html',0,'2024-07-05 18:23:57'),
	(2875,'WOF091200006-WOB00008','WOG00442','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#07.png',0,'2024-07-05 18:23:57'),
	(2876,'WOF091200006-WOB00008','WOG00442','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#07.html',0,'2024-07-05 18:23:57'),
	(2877,'WOF091200006-WOB00008','WOG00443','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#08.png',0,'2024-07-05 18:23:57'),
	(2878,'WOF091200006-WOB00008','WOG00443','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#08.html',0,'2024-07-05 18:23:57'),
	(2879,'WOF091200006-WOB00008','WOG00444','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#09.png',0,'2024-07-05 18:23:57'),
	(2880,'WOF091200006-WOB00008','WOG00444','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#09.html',0,'2024-07-05 18:23:57'),
	(2881,'WOF091200006-WOB00008','WOG00445','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#10.png',0,'2024-07-05 18:23:57'),
	(2882,'WOF091200006-WOB00008','WOG00445','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#10.html',0,'2024-07-05 18:23:57'),
	(2883,'WOF091200006-WOB00008','WOG00446','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#11.png',0,'2024-07-05 18:23:57'),
	(2884,'WOF091200006-WOB00008','WOG00446','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#11.html',0,'2024-07-05 18:23:57'),
	(2885,'WOF091200006-WOB00008','WOG00447','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#12.png',0,'2024-07-05 18:23:57'),
	(2886,'WOF091200006-WOB00008','WOG00447','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#12.html',0,'2024-07-05 18:23:57'),
	(2887,'WOF091200006-WOB00008','WOG00448','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#13.png',0,'2024-07-05 18:23:57'),
	(2888,'WOF091200006-WOB00008','WOG00448','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#13.html',0,'2024-07-05 18:23:57'),
	(2889,'WOF091200006-WOB00008','WOG00449','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#14.png',0,'2024-07-05 18:23:57'),
	(2890,'WOF091200006-WOB00008','WOG00449','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#14.html',0,'2024-07-05 18:23:57'),
	(2891,'WOF091200006-WOB00008','WOG00450','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#15.png',0,'2024-07-05 18:23:57'),
	(2892,'WOF091200006-WOB00008','WOG00450','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#15.html',0,'2024-07-05 18:23:57'),
	(2893,'WOF091200006-WOB00008','WOG00451','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#16.png',0,'2024-07-05 18:23:57'),
	(2894,'WOF091200006-WOB00008','WOG00451','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#16.html',0,'2024-07-05 18:23:57'),
	(2895,'WOF091200006-WOB00008','WOG00452','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#17.png',0,'2024-07-05 18:23:57'),
	(2896,'WOF091200006-WOB00008','WOG00452','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#17.html',0,'2024-07-05 18:23:57'),
	(2897,'WOF091200006-WOB00008','WOG00453','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#18.png',0,'2024-07-05 18:23:57'),
	(2898,'WOF091200006-WOB00008','WOG00453','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#18.html',0,'2024-07-05 18:23:57'),
	(2899,'WOF091200006-WOB00008','WOG00454','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#19.png',0,'2024-07-05 18:23:57'),
	(2900,'WOF091200006-WOB00008','WOG00454','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#19.html',0,'2024-07-05 18:23:57'),
	(2901,'WOF091200006-WOB00008','WOG00455','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#20.png',0,'2024-07-05 18:23:57'),
	(2902,'WOF091200006-WOB00008','WOG00455','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#20.html',0,'2024-07-05 18:23:57'),
	(2903,'WOF091200006-WOB00008','WOG00456','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#21.png',0,'2024-07-05 18:23:57'),
	(2904,'WOF091200006-WOB00008','WOG00456','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#21.html',0,'2024-07-05 18:23:57'),
	(2905,'WOF091200006-WOB00008','WOG00457','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#22.png',0,'2024-07-05 18:23:57'),
	(2906,'WOF091200006-WOB00008','WOG00457','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#22.html',0,'2024-07-05 18:23:57'),
	(2907,'WOF091200006-WOB00008','WOG00458','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#23.png',0,'2024-07-05 18:23:57'),
	(2908,'WOF091200006-WOB00008','WOG00458','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#23.html',0,'2024-07-05 18:23:57'),
	(2909,'WOF091200006-WOB00008','WOG00459','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#24.png',0,'2024-07-05 18:23:57'),
	(2910,'WOF091200006-WOB00008','WOG00459','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#24.html',0,'2024-07-05 18:23:57'),
	(2911,'WOF091200006-WOB00008','WOG00460','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#25.png',0,'2024-07-05 18:23:57'),
	(2912,'WOF091200006-WOB00008','WOG00460','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#25.html',0,'2024-07-05 18:23:57'),
	(2913,'WOF091200006-WOB00008','WOG00461','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#26.png',0,'2024-07-05 18:23:57'),
	(2914,'WOF091200006-WOB00008','WOG00461','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#26.html',0,'2024-07-05 18:23:57'),
	(2915,'WOF091200006-WOB00008','WOG00462','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#27.png',0,'2024-07-05 18:23:57'),
	(2916,'WOF091200006-WOB00008','WOG00462','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#27.html',0,'2024-07-05 18:23:57'),
	(2917,'WOF091200006-WOB00008','WOG00463','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#28.png',0,'2024-07-05 18:23:57'),
	(2918,'WOF091200006-WOB00008','WOG00463','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#28.html',0,'2024-07-05 18:23:57'),
	(2919,'WOF091200006-WOB00008','WOG00464','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#29.png',0,'2024-07-05 18:23:57'),
	(2920,'WOF091200006-WOB00008','WOG00464','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#29.html',0,'2024-07-05 18:23:57'),
	(2921,'WOF091200006-WOB00008','WOG00465','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#30.png',0,'2024-07-05 18:23:57'),
	(2922,'WOF091200006-WOB00008','WOG00465','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#30.html',0,'2024-07-05 18:23:57'),
	(2923,'WOF091200006-WOB00008','WOG00466','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#31.png',0,'2024-07-05 18:23:57'),
	(2924,'WOF091200006-WOB00008','WOG00466','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#31.html',0,'2024-07-05 18:23:57'),
	(2925,'WOF091200006-WOB00008','WOG00467','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#32.png',0,'2024-07-05 18:23:57'),
	(2926,'WOF091200006-WOB00008','WOG00467','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#32.html',0,'2024-07-05 18:23:57'),
	(2927,'WOF091200006-WOB00008','WOG00468','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#33.png',0,'2024-07-05 18:23:57'),
	(2928,'WOF091200006-WOB00008','WOG00468','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#33.html',0,'2024-07-05 18:23:57'),
	(2929,'WOF091200006-WOB00008','WOG00436','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#01.png',0,'2024-07-05 18:23:57'),
	(2930,'WOF091200006-WOB00008','WOG00436','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#01.html',0,'2024-07-05 18:23:57'),
	(2931,'WOF091200006-WOB00008','WOG00437','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#02.png',0,'2024-07-05 18:23:57'),
	(2932,'WOF091200006-WOB00008','WOG00437','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#02.html',0,'2024-07-05 18:23:57'),
	(2933,'WOF091200006-WOB00008','WOG00438','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#03.png',0,'2024-07-05 18:23:57'),
	(2934,'WOF091200006-WOB00008','WOG00438','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#03.html',0,'2024-07-05 18:23:57'),
	(2935,'WOF091200006-WOB00008','WOG00439','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#04.png',0,'2024-07-05 18:23:57'),
	(2936,'WOF091200006-WOB00008','WOG00439','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#04.html',0,'2024-07-05 18:23:57'),
	(2937,'WOF091200006-WOB00008','WOG00440','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#05.png',0,'2024-07-05 18:23:57'),
	(2938,'WOF091200006-WOB00008','WOG00440','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#05.html',0,'2024-07-05 18:23:57'),
	(2939,'WOF091200006-WOB00008','WOG00441','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#06.png',0,'2024-07-05 18:23:57'),
	(2940,'WOF091200006-WOB00008','WOG00441','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#06.html',0,'2024-07-05 18:23:57'),
	(2941,'WOF091200006-WOB00008','WOG00442','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#07.png',0,'2024-07-05 18:23:57'),
	(2942,'WOF091200006-WOB00008','WOG00442','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#07.html',0,'2024-07-05 18:23:57'),
	(2943,'WOF091200006-WOB00008','WOG00443','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#08.png',0,'2024-07-05 18:23:57'),
	(2944,'WOF091200006-WOB00008','WOG00443','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#08.html',0,'2024-07-05 18:23:57'),
	(2945,'WOF091200006-WOB00008','WOG00444','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#09.png',0,'2024-07-05 18:23:57'),
	(2946,'WOF091200006-WOB00008','WOG00444','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#09.html',0,'2024-07-05 18:23:57'),
	(2947,'WOF091200006-WOB00008','WOG00445','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#10.png',0,'2024-07-05 18:23:57'),
	(2948,'WOF091200006-WOB00008','WOG00445','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#10.html',0,'2024-07-05 18:23:57'),
	(2949,'WOF091200006-WOB00008','WOG00446','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#11.png',0,'2024-07-05 18:23:57'),
	(2950,'WOF091200006-WOB00008','WOG00446','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#11.html',0,'2024-07-05 18:23:57'),
	(2951,'WOF091200006-WOB00008','WOG00447','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#12.png',0,'2024-07-05 18:23:57'),
	(2952,'WOF091200006-WOB00008','WOG00447','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#12.html',0,'2024-07-05 18:23:57'),
	(2953,'WOF091200006-WOB00008','WOG00448','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#13.png',0,'2024-07-05 18:23:57'),
	(2954,'WOF091200006-WOB00008','WOG00448','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#13.html',0,'2024-07-05 18:23:57'),
	(2955,'WOF091200006-WOB00008','WOG00449','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#14.png',0,'2024-07-05 18:23:57'),
	(2956,'WOF091200006-WOB00008','WOG00449','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#14.html',0,'2024-07-05 18:23:57'),
	(2957,'WOF091200006-WOB00008','WOG00450','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#15.png',0,'2024-07-05 18:23:57'),
	(2958,'WOF091200006-WOB00008','WOG00450','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#15.html',0,'2024-07-05 18:23:57'),
	(2959,'WOF091200006-WOB00008','WOG00451','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#16.png',0,'2024-07-05 18:23:57'),
	(2960,'WOF091200006-WOB00008','WOG00451','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#16.html',0,'2024-07-05 18:23:57'),
	(2961,'WOF091200006-WOB00008','WOG00452','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#17.png',0,'2024-07-05 18:23:57'),
	(2962,'WOF091200006-WOB00008','WOG00452','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#17.html',0,'2024-07-05 18:23:57'),
	(2963,'WOF091200006-WOB00008','WOG00453','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#18.png',0,'2024-07-05 18:23:57'),
	(2964,'WOF091200006-WOB00008','WOG00453','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#18.html',0,'2024-07-05 18:23:57'),
	(2965,'WOF091200006-WOB00008','WOG00454','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#19.png',0,'2024-07-05 18:23:57'),
	(2966,'WOF091200006-WOB00008','WOG00454','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#19.html',0,'2024-07-05 18:23:57'),
	(2967,'WOF091200006-WOB00008','WOG00455','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#20.png',0,'2024-07-05 18:23:57'),
	(2968,'WOF091200006-WOB00008','WOG00455','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#20.html',0,'2024-07-05 18:23:57'),
	(2969,'WOF091200006-WOB00008','WOG00456','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#21.png',0,'2024-07-05 18:23:57'),
	(2970,'WOF091200006-WOB00008','WOG00456','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#21.html',0,'2024-07-05 18:23:57'),
	(2971,'WOF091200006-WOB00008','WOG00457','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#22.png',0,'2024-07-05 18:23:57'),
	(2972,'WOF091200006-WOB00008','WOG00457','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#22.html',0,'2024-07-05 18:23:57'),
	(2973,'WOF091200006-WOB00008','WOG00458','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#23.png',0,'2024-07-05 18:23:57'),
	(2974,'WOF091200006-WOB00008','WOG00458','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#23.html',0,'2024-07-05 18:23:57'),
	(2975,'WOF091200006-WOB00008','WOG00459','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#24.png',0,'2024-07-05 18:23:57'),
	(2976,'WOF091200006-WOB00008','WOG00459','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#24.html',0,'2024-07-05 18:23:57'),
	(2977,'WOF091200006-WOB00008','WOG00460','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#25.png',0,'2024-07-05 18:23:57'),
	(2978,'WOF091200006-WOB00008','WOG00460','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#25.html',0,'2024-07-05 18:23:57'),
	(2979,'WOF091200006-WOB00008','WOG00461','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#26.png',0,'2024-07-05 18:23:57'),
	(2980,'WOF091200006-WOB00008','WOG00461','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#26.html',0,'2024-07-05 18:23:57'),
	(2981,'WOF091200006-WOB00008','WOG00462','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#27.png',0,'2024-07-05 18:23:57'),
	(2982,'WOF091200006-WOB00008','WOG00462','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#27.html',0,'2024-07-05 18:23:57'),
	(2983,'WOF091200006-WOB00008','WOG00463','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#28.png',0,'2024-07-05 18:23:57'),
	(2984,'WOF091200006-WOB00008','WOG00463','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#28.html',0,'2024-07-05 18:23:57'),
	(2985,'WOF091200006-WOB00008','WOG00464','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#29.png',0,'2024-07-05 18:23:57'),
	(2986,'WOF091200006-WOB00008','WOG00464','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#29.html',0,'2024-07-05 18:23:57'),
	(2987,'WOF091200006-WOB00008','WOG00465','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#30.png',0,'2024-07-05 18:23:57'),
	(2988,'WOF091200006-WOB00008','WOG00465','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#30.html',0,'2024-07-05 18:23:57'),
	(2989,'WOF091200006-WOB00008','WOG00466','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#31.png',0,'2024-07-05 18:23:57'),
	(2990,'WOF091200006-WOB00008','WOG00466','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#31.html',0,'2024-07-05 18:23:57'),
	(2991,'WOF091200006-WOB00008','WOG00467','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#32.png',0,'2024-07-05 18:23:57'),
	(2992,'WOF091200006-WOB00008','WOG00467','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#32.html',0,'2024-07-05 18:23:57'),
	(2993,'WOF091200006-WOB00008','WOG00468','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#33.png',0,'2024-07-05 18:23:57'),
	(2994,'WOF091200006-WOB00008','WOG00468','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#33.html',0,'2024-07-05 18:23:57'),
	(2995,'WOF091200006-WOB00008','WOG00436','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#01.html',0,'2024-07-05 18:23:57'),
	(2996,'WOF091200006-WOB00008','WOG00437','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#02.html',0,'2024-07-05 18:23:57'),
	(2997,'WOF091200006-WOB00008','WOG00438','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#03.html',0,'2024-07-05 18:23:57'),
	(2998,'WOF091200006-WOB00008','WOG00439','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#04.html',0,'2024-07-05 18:23:57'),
	(2999,'WOF091200006-WOB00008','WOG00440','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#05.html',0,'2024-07-05 18:23:57'),
	(3000,'WOF091200006-WOB00008','WOG00441','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#06.html',0,'2024-07-05 18:23:57'),
	(3001,'WOF091200006-WOB00008','WOG00442','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#07.html',0,'2024-07-05 18:23:57'),
	(3002,'WOF091200006-WOB00008','WOG00443','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#08.html',0,'2024-07-05 18:23:57'),
	(3003,'WOF091200006-WOB00008','WOG00444','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#09.html',0,'2024-07-05 18:23:57'),
	(3004,'WOF091200006-WOB00008','WOG00445','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#10.html',0,'2024-07-05 18:23:57'),
	(3005,'WOF091200006-WOB00008','WOG00446','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#11.html',0,'2024-07-05 18:23:57'),
	(3006,'WOF091200006-WOB00008','WOG00447','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#12.html',0,'2024-07-05 18:23:57'),
	(3007,'WOF091200006-WOB00008','WOG00448','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#13.html',0,'2024-07-05 18:23:57'),
	(3008,'WOF091200006-WOB00008','WOG00449','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#14.html',0,'2024-07-05 18:23:57'),
	(3009,'WOF091200006-WOB00008','WOG00450','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#15.html',0,'2024-07-05 18:23:57'),
	(3010,'WOF091200006-WOB00008','WOG00451','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#16.html',0,'2024-07-05 18:23:57'),
	(3011,'WOF091200006-WOB00008','WOG00452','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#17.html',0,'2024-07-05 18:23:57'),
	(3012,'WOF091200006-WOB00008','WOG00453','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#18.html',0,'2024-07-05 18:23:57'),
	(3013,'WOF091200006-WOB00008','WOG00454','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#19.html',0,'2024-07-05 18:23:57'),
	(3014,'WOF091200006-WOB00008','WOG00455','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#20.html',0,'2024-07-05 18:23:57'),
	(3015,'WOF091200006-WOB00008','WOG00456','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#21.html',0,'2024-07-05 18:23:57'),
	(3016,'WOF091200006-WOB00008','WOG00457','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#22.html',0,'2024-07-05 18:23:57'),
	(3017,'WOF091200006-WOB00008','WOG00458','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#23.html',0,'2024-07-05 18:23:57'),
	(3018,'WOF091200006-WOB00008','WOG00459','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#24.html',0,'2024-07-05 18:23:57'),
	(3019,'WOF091200006-WOB00008','WOG00460','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#25.html',0,'2024-07-05 18:23:57'),
	(3020,'WOF091200006-WOB00008','WOG00461','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#26.html',0,'2024-07-05 18:23:57'),
	(3021,'WOF091200006-WOB00008','WOG00462','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#27.html',0,'2024-07-05 18:23:57'),
	(3022,'WOF091200006-WOB00008','WOG00463','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#28.html',0,'2024-07-05 18:23:57'),
	(3023,'WOF091200006-WOB00008','WOG00464','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#29.html',0,'2024-07-05 18:23:57'),
	(3024,'WOF091200006-WOB00008','WOG00465','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#30.html',0,'2024-07-05 18:23:57'),
	(3025,'WOF091200006-WOB00008','WOG00466','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#31.html',0,'2024-07-05 18:23:57'),
	(3026,'WOF091200006-WOB00008','WOG00467','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#32.html',0,'2024-07-05 18:23:57'),
	(3027,'WOF091200006-WOB00008','WOG00468','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/manual/#33.html',0,'2024-07-05 18:23:57'),
	(3028,'WOF091200006-WOB00008','WOG00436','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#01.png',1,'2024-07-05 18:23:57'),
	(3029,'WOF091200006-WOB00008','WOG00436','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#01.html',1,'2024-07-05 18:23:57'),
	(3030,'WOF091200006-WOB00008','WOG00437','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#02.png',1,'2024-07-05 18:23:57'),
	(3031,'WOF091200006-WOB00008','WOG00437','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#02.html',1,'2024-07-05 18:23:57'),
	(3032,'WOF091200006-WOB00008','WOG00438','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#03.png',1,'2024-07-05 18:23:57'),
	(3033,'WOF091200006-WOB00008','WOG00438','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#03.html',1,'2024-07-05 18:23:57'),
	(3034,'WOF091200006-WOB00008','WOG00439','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#04.png',1,'2024-07-05 18:23:57'),
	(3035,'WOF091200006-WOB00008','WOG00439','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#04.html',1,'2024-07-05 18:23:57'),
	(3036,'WOF091200006-WOB00008','WOG00440','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#05.png',1,'2024-07-05 18:23:57'),
	(3037,'WOF091200006-WOB00008','WOG00440','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#05.html',1,'2024-07-05 18:23:57'),
	(3038,'WOF091200006-WOB00008','WOG00441','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#06.png',1,'2024-07-05 18:23:57'),
	(3039,'WOF091200006-WOB00008','WOG00441','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#06.html',1,'2024-07-05 18:23:57'),
	(3040,'WOF091200006-WOB00008','WOG00442','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#07.png',1,'2024-07-05 18:23:57'),
	(3041,'WOF091200006-WOB00008','WOG00442','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#07.html',1,'2024-07-05 18:23:57'),
	(3042,'WOF091200006-WOB00008','WOG00443','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#08.png',1,'2024-07-05 18:23:57'),
	(3043,'WOF091200006-WOB00008','WOG00443','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#08.html',1,'2024-07-05 18:23:57'),
	(3044,'WOF091200006-WOB00008','WOG00444','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#09.png',1,'2024-07-05 18:23:57'),
	(3045,'WOF091200006-WOB00008','WOG00444','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#09.html',1,'2024-07-05 18:23:57'),
	(3046,'WOF091200006-WOB00008','WOG00445','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#10.png',1,'2024-07-05 18:23:57'),
	(3047,'WOF091200006-WOB00008','WOG00445','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#10.html',1,'2024-07-05 18:23:57'),
	(3048,'WOF091200006-WOB00008','WOG00446','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#11.png',1,'2024-07-05 18:23:57'),
	(3049,'WOF091200006-WOB00008','WOG00446','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#11.html',1,'2024-07-05 18:23:57'),
	(3050,'WOF091200006-WOB00008','WOG00447','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#12.png',1,'2024-07-05 18:23:57'),
	(3051,'WOF091200006-WOB00008','WOG00447','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#12.html',1,'2024-07-05 18:23:57'),
	(3052,'WOF091200006-WOB00008','WOG00448','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#13.png',1,'2024-07-05 18:23:57'),
	(3053,'WOF091200006-WOB00008','WOG00448','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#13.html',1,'2024-07-05 18:23:57'),
	(3054,'WOF091200006-WOB00008','WOG00449','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#14.png',1,'2024-07-05 18:23:57'),
	(3055,'WOF091200006-WOB00008','WOG00449','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#14.html',1,'2024-07-05 18:23:57'),
	(3056,'WOF091200006-WOB00008','WOG00450','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#15.png',1,'2024-07-05 18:23:57'),
	(3057,'WOF091200006-WOB00008','WOG00450','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#15.html',1,'2024-07-05 18:23:57'),
	(3058,'WOF091200006-WOB00008','WOG00451','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#16.png',1,'2024-07-05 18:23:57'),
	(3059,'WOF091200006-WOB00008','WOG00451','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#16.html',1,'2024-07-05 18:23:57'),
	(3060,'WOF091200006-WOB00008','WOG00452','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#17.png',1,'2024-07-05 18:23:57'),
	(3061,'WOF091200006-WOB00008','WOG00452','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#17.html',1,'2024-07-05 18:23:57'),
	(3062,'WOF091200006-WOB00008','WOG00453','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#18.png',1,'2024-07-05 18:23:57'),
	(3063,'WOF091200006-WOB00008','WOG00453','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#18.html',1,'2024-07-05 18:23:57'),
	(3064,'WOF091200006-WOB00008','WOG00454','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#19.png',1,'2024-07-05 18:23:57'),
	(3065,'WOF091200006-WOB00008','WOG00454','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#19.html',1,'2024-07-05 18:23:57'),
	(3066,'WOF091200006-WOB00008','WOG00455','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#20.png',1,'2024-07-05 18:23:57'),
	(3067,'WOF091200006-WOB00008','WOG00455','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#20.html',1,'2024-07-05 18:23:57'),
	(3068,'WOF091200006-WOB00008','WOG00456','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#21.png',1,'2024-07-05 18:23:57'),
	(3069,'WOF091200006-WOB00008','WOG00456','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#21.html',1,'2024-07-05 18:23:57'),
	(3070,'WOF091200006-WOB00008','WOG00457','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#22.png',1,'2024-07-05 18:23:57'),
	(3071,'WOF091200006-WOB00008','WOG00457','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#22.html',1,'2024-07-05 18:23:57'),
	(3072,'WOF091200006-WOB00008','WOG00458','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#23.png',1,'2024-07-05 18:23:57'),
	(3073,'WOF091200006-WOB00008','WOG00458','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#23.html',1,'2024-07-05 18:23:57'),
	(3074,'WOF091200006-WOB00008','WOG00459','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#24.png',1,'2024-07-05 18:23:57'),
	(3075,'WOF091200006-WOB00008','WOG00459','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#24.html',1,'2024-07-05 18:23:57'),
	(3076,'WOF091200006-WOB00008','WOG00460','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#25.png',1,'2024-07-05 18:23:57'),
	(3077,'WOF091200006-WOB00008','WOG00460','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#25.html',1,'2024-07-05 18:23:57'),
	(3078,'WOF091200006-WOB00008','WOG00461','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#26.png',1,'2024-07-05 18:23:57'),
	(3079,'WOF091200006-WOB00008','WOG00461','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#26.html',1,'2024-07-05 18:23:57'),
	(3080,'WOF091200006-WOB00008','WOG00462','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#27.png',1,'2024-07-05 18:23:57'),
	(3081,'WOF091200006-WOB00008','WOG00462','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#27.html',1,'2024-07-05 18:23:57'),
	(3082,'WOF091200006-WOB00008','WOG00463','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#28.png',1,'2024-07-05 18:23:57'),
	(3083,'WOF091200006-WOB00008','WOG00463','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#28.html',1,'2024-07-05 18:23:57'),
	(3084,'WOF091200006-WOB00008','WOG00464','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#29.png',1,'2024-07-05 18:23:57'),
	(3085,'WOF091200006-WOB00008','WOG00464','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#29.html',1,'2024-07-05 18:23:57'),
	(3086,'WOF091200006-WOB00008','WOG00465','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#30.png',1,'2024-07-05 18:23:57'),
	(3087,'WOF091200006-WOB00008','WOG00465','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#30.html',1,'2024-07-05 18:23:57'),
	(3088,'WOF091200006-WOB00008','WOG00466','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#31.png',1,'2024-07-05 18:23:57'),
	(3089,'WOF091200006-WOB00008','WOG00466','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#31.html',1,'2024-07-05 18:23:57'),
	(3090,'WOF091200006-WOB00008','WOG00467','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#32.png',1,'2024-07-05 18:23:57'),
	(3091,'WOF091200006-WOB00008','WOG00467','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#32.html',1,'2024-07-05 18:23:57'),
	(3092,'WOF091200006-WOB00008','WOG00468','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#33.png',1,'2024-07-05 18:23:57'),
	(3093,'WOF091200006-WOB00008','WOG00468','wind_speed_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed_frequency/automatic/#33.html',1,'2024-07-05 18:23:57'),
	(3094,'WOF091200006-WOB00008','WOG00436','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#01.png',1,'2024-07-05 18:23:57'),
	(3095,'WOF091200006-WOB00008','WOG00436','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#01.html',1,'2024-07-05 18:23:57'),
	(3096,'WOF091200006-WOB00008','WOG00437','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#02.png',1,'2024-07-05 18:23:57'),
	(3097,'WOF091200006-WOB00008','WOG00437','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#02.html',1,'2024-07-05 18:23:57'),
	(3098,'WOF091200006-WOB00008','WOG00438','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#03.png',1,'2024-07-05 18:23:57'),
	(3099,'WOF091200006-WOB00008','WOG00438','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#03.html',1,'2024-07-05 18:23:57'),
	(3100,'WOF091200006-WOB00008','WOG00439','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#04.png',1,'2024-07-05 18:23:57'),
	(3101,'WOF091200006-WOB00008','WOG00439','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#04.html',1,'2024-07-05 18:23:57'),
	(3102,'WOF091200006-WOB00008','WOG00440','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#05.png',1,'2024-07-05 18:23:57'),
	(3103,'WOF091200006-WOB00008','WOG00440','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#05.html',1,'2024-07-05 18:23:57'),
	(3104,'WOF091200006-WOB00008','WOG00441','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#06.png',1,'2024-07-05 18:23:57'),
	(3105,'WOF091200006-WOB00008','WOG00441','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#06.html',1,'2024-07-05 18:23:57'),
	(3106,'WOF091200006-WOB00008','WOG00442','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#07.png',1,'2024-07-05 18:23:57'),
	(3107,'WOF091200006-WOB00008','WOG00442','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#07.html',1,'2024-07-05 18:23:57'),
	(3108,'WOF091200006-WOB00008','WOG00443','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#08.png',1,'2024-07-05 18:23:57'),
	(3109,'WOF091200006-WOB00008','WOG00443','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#08.html',1,'2024-07-05 18:23:57'),
	(3110,'WOF091200006-WOB00008','WOG00444','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#09.png',1,'2024-07-05 18:23:57'),
	(3111,'WOF091200006-WOB00008','WOG00444','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#09.html',1,'2024-07-05 18:23:57'),
	(3112,'WOF091200006-WOB00008','WOG00445','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#10.png',1,'2024-07-05 18:23:57'),
	(3113,'WOF091200006-WOB00008','WOG00445','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#10.html',1,'2024-07-05 18:23:57'),
	(3114,'WOF091200006-WOB00008','WOG00446','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#11.png',1,'2024-07-05 18:23:57'),
	(3115,'WOF091200006-WOB00008','WOG00446','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#11.html',1,'2024-07-05 18:23:57'),
	(3116,'WOF091200006-WOB00008','WOG00447','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#12.png',1,'2024-07-05 18:23:57'),
	(3117,'WOF091200006-WOB00008','WOG00447','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#12.html',1,'2024-07-05 18:23:57'),
	(3118,'WOF091200006-WOB00008','WOG00448','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#13.png',1,'2024-07-05 18:23:57'),
	(3119,'WOF091200006-WOB00008','WOG00448','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#13.html',1,'2024-07-05 18:23:57'),
	(3120,'WOF091200006-WOB00008','WOG00449','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#14.png',1,'2024-07-05 18:23:57'),
	(3121,'WOF091200006-WOB00008','WOG00449','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#14.html',1,'2024-07-05 18:23:57'),
	(3122,'WOF091200006-WOB00008','WOG00450','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#15.png',1,'2024-07-05 18:23:57'),
	(3123,'WOF091200006-WOB00008','WOG00450','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#15.html',1,'2024-07-05 18:23:57'),
	(3124,'WOF091200006-WOB00008','WOG00451','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#16.png',1,'2024-07-05 18:23:57'),
	(3125,'WOF091200006-WOB00008','WOG00451','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#16.html',1,'2024-07-05 18:23:57'),
	(3126,'WOF091200006-WOB00008','WOG00452','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#17.png',1,'2024-07-05 18:23:57'),
	(3127,'WOF091200006-WOB00008','WOG00452','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#17.html',1,'2024-07-05 18:23:57'),
	(3128,'WOF091200006-WOB00008','WOG00453','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#18.png',1,'2024-07-05 18:23:57'),
	(3129,'WOF091200006-WOB00008','WOG00453','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#18.html',1,'2024-07-05 18:23:57'),
	(3130,'WOF091200006-WOB00008','WOG00454','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#19.png',1,'2024-07-05 18:23:57'),
	(3131,'WOF091200006-WOB00008','WOG00454','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#19.html',1,'2024-07-05 18:23:57'),
	(3132,'WOF091200006-WOB00008','WOG00455','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#20.png',1,'2024-07-05 18:23:57'),
	(3133,'WOF091200006-WOB00008','WOG00455','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#20.html',1,'2024-07-05 18:23:57'),
	(3134,'WOF091200006-WOB00008','WOG00456','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#21.png',1,'2024-07-05 18:23:57'),
	(3135,'WOF091200006-WOB00008','WOG00456','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#21.html',1,'2024-07-05 18:23:57'),
	(3136,'WOF091200006-WOB00008','WOG00457','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#22.png',1,'2024-07-05 18:23:57'),
	(3137,'WOF091200006-WOB00008','WOG00457','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#22.html',1,'2024-07-05 18:23:57'),
	(3138,'WOF091200006-WOB00008','WOG00458','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#23.png',1,'2024-07-05 18:23:57'),
	(3139,'WOF091200006-WOB00008','WOG00458','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#23.html',1,'2024-07-05 18:23:57'),
	(3140,'WOF091200006-WOB00008','WOG00459','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#24.png',1,'2024-07-05 18:23:57'),
	(3141,'WOF091200006-WOB00008','WOG00459','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#24.html',1,'2024-07-05 18:23:57'),
	(3142,'WOF091200006-WOB00008','WOG00460','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#25.png',1,'2024-07-05 18:23:57'),
	(3143,'WOF091200006-WOB00008','WOG00460','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#25.html',1,'2024-07-05 18:23:57'),
	(3144,'WOF091200006-WOB00008','WOG00461','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#26.png',1,'2024-07-05 18:23:57'),
	(3145,'WOF091200006-WOB00008','WOG00461','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#26.html',1,'2024-07-05 18:23:57'),
	(3146,'WOF091200006-WOB00008','WOG00462','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#27.png',1,'2024-07-05 18:23:57'),
	(3147,'WOF091200006-WOB00008','WOG00462','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#27.html',1,'2024-07-05 18:23:57'),
	(3148,'WOF091200006-WOB00008','WOG00463','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#28.png',1,'2024-07-05 18:23:57'),
	(3149,'WOF091200006-WOB00008','WOG00463','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#28.html',1,'2024-07-05 18:23:57'),
	(3150,'WOF091200006-WOB00008','WOG00464','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#29.png',1,'2024-07-05 18:23:57'),
	(3151,'WOF091200006-WOB00008','WOG00464','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#29.html',1,'2024-07-05 18:23:57'),
	(3152,'WOF091200006-WOB00008','WOG00465','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#30.png',1,'2024-07-05 18:23:57'),
	(3153,'WOF091200006-WOB00008','WOG00465','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#30.html',1,'2024-07-05 18:23:57'),
	(3154,'WOF091200006-WOB00008','WOG00466','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#31.png',1,'2024-07-05 18:23:57'),
	(3155,'WOF091200006-WOB00008','WOG00466','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#31.html',1,'2024-07-05 18:23:57'),
	(3156,'WOF091200006-WOB00008','WOG00467','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#32.png',1,'2024-07-05 18:23:57'),
	(3157,'WOF091200006-WOB00008','WOG00467','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#32.html',1,'2024-07-05 18:23:57'),
	(3158,'WOF091200006-WOB00008','WOG00468','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#33.png',1,'2024-07-05 18:23:57'),
	(3159,'WOF091200006-WOB00008','WOG00468','wind_direction_frequency','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_direction_frequency/automatic/#33.html',1,'2024-07-05 18:23:57'),
	(3160,'WOF091200006-WOB00008','WOG00436','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#01.png',1,'2024-07-05 18:23:57'),
	(3161,'WOF091200006-WOB00008','WOG00436','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#01.html',1,'2024-07-05 18:23:57'),
	(3162,'WOF091200006-WOB00008','WOG00437','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#02.png',1,'2024-07-05 18:23:57'),
	(3163,'WOF091200006-WOB00008','WOG00437','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#02.html',1,'2024-07-05 18:23:57'),
	(3164,'WOF091200006-WOB00008','WOG00438','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#03.png',1,'2024-07-05 18:23:57'),
	(3165,'WOF091200006-WOB00008','WOG00438','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#03.html',1,'2024-07-05 18:23:57'),
	(3166,'WOF091200006-WOB00008','WOG00439','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#04.png',1,'2024-07-05 18:23:57'),
	(3167,'WOF091200006-WOB00008','WOG00439','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#04.html',1,'2024-07-05 18:23:57'),
	(3168,'WOF091200006-WOB00008','WOG00440','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#05.png',1,'2024-07-05 18:23:57'),
	(3169,'WOF091200006-WOB00008','WOG00440','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#05.html',1,'2024-07-05 18:23:57'),
	(3170,'WOF091200006-WOB00008','WOG00441','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#06.png',1,'2024-07-05 18:23:57'),
	(3171,'WOF091200006-WOB00008','WOG00441','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#06.html',1,'2024-07-05 18:23:57'),
	(3172,'WOF091200006-WOB00008','WOG00442','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#07.png',1,'2024-07-05 18:23:57'),
	(3173,'WOF091200006-WOB00008','WOG00442','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#07.html',1,'2024-07-05 18:23:57'),
	(3174,'WOF091200006-WOB00008','WOG00443','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#08.png',1,'2024-07-05 18:23:57'),
	(3175,'WOF091200006-WOB00008','WOG00443','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#08.html',1,'2024-07-05 18:23:57'),
	(3176,'WOF091200006-WOB00008','WOG00444','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#09.png',1,'2024-07-05 18:23:57'),
	(3177,'WOF091200006-WOB00008','WOG00444','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#09.html',1,'2024-07-05 18:23:57'),
	(3178,'WOF091200006-WOB00008','WOG00445','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#10.png',1,'2024-07-05 18:23:57'),
	(3179,'WOF091200006-WOB00008','WOG00445','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#10.html',1,'2024-07-05 18:23:57'),
	(3180,'WOF091200006-WOB00008','WOG00446','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#11.png',1,'2024-07-05 18:23:57'),
	(3181,'WOF091200006-WOB00008','WOG00446','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#11.html',1,'2024-07-05 18:23:57'),
	(3182,'WOF091200006-WOB00008','WOG00447','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#12.png',1,'2024-07-05 18:23:57'),
	(3183,'WOF091200006-WOB00008','WOG00447','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#12.html',1,'2024-07-05 18:23:57'),
	(3184,'WOF091200006-WOB00008','WOG00448','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#13.png',1,'2024-07-05 18:23:57'),
	(3185,'WOF091200006-WOB00008','WOG00448','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#13.html',1,'2024-07-05 18:23:57'),
	(3186,'WOF091200006-WOB00008','WOG00449','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#14.png',1,'2024-07-05 18:23:57'),
	(3187,'WOF091200006-WOB00008','WOG00449','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#14.html',1,'2024-07-05 18:23:57'),
	(3188,'WOF091200006-WOB00008','WOG00450','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#15.png',1,'2024-07-05 18:23:57'),
	(3189,'WOF091200006-WOB00008','WOG00450','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#15.html',1,'2024-07-05 18:23:57'),
	(3190,'WOF091200006-WOB00008','WOG00451','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#16.png',1,'2024-07-05 18:23:57'),
	(3191,'WOF091200006-WOB00008','WOG00451','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#16.html',1,'2024-07-05 18:23:57'),
	(3192,'WOF091200006-WOB00008','WOG00452','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#17.png',1,'2024-07-05 18:23:57'),
	(3193,'WOF091200006-WOB00008','WOG00452','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#17.html',1,'2024-07-05 18:23:57'),
	(3194,'WOF091200006-WOB00008','WOG00453','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#18.png',1,'2024-07-05 18:23:57'),
	(3195,'WOF091200006-WOB00008','WOG00453','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#18.html',1,'2024-07-05 18:23:57'),
	(3196,'WOF091200006-WOB00008','WOG00454','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#19.png',1,'2024-07-05 18:23:57'),
	(3197,'WOF091200006-WOB00008','WOG00454','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#19.html',1,'2024-07-05 18:23:57'),
	(3198,'WOF091200006-WOB00008','WOG00455','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#20.png',1,'2024-07-05 18:23:57'),
	(3199,'WOF091200006-WOB00008','WOG00455','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#20.html',1,'2024-07-05 18:23:57'),
	(3200,'WOF091200006-WOB00008','WOG00456','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#21.png',1,'2024-07-05 18:23:57'),
	(3201,'WOF091200006-WOB00008','WOG00456','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#21.html',1,'2024-07-05 18:23:57'),
	(3202,'WOF091200006-WOB00008','WOG00457','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#22.png',1,'2024-07-05 18:23:57'),
	(3203,'WOF091200006-WOB00008','WOG00457','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#22.html',1,'2024-07-05 18:23:57'),
	(3204,'WOF091200006-WOB00008','WOG00458','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#23.png',1,'2024-07-05 18:23:57'),
	(3205,'WOF091200006-WOB00008','WOG00458','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#23.html',1,'2024-07-05 18:23:57'),
	(3206,'WOF091200006-WOB00008','WOG00459','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#24.png',1,'2024-07-05 18:23:57'),
	(3207,'WOF091200006-WOB00008','WOG00459','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#24.html',1,'2024-07-05 18:23:57'),
	(3208,'WOF091200006-WOB00008','WOG00460','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#25.png',1,'2024-07-05 18:23:57'),
	(3209,'WOF091200006-WOB00008','WOG00460','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#25.html',1,'2024-07-05 18:23:57'),
	(3210,'WOF091200006-WOB00008','WOG00461','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#26.png',1,'2024-07-05 18:23:57'),
	(3211,'WOF091200006-WOB00008','WOG00461','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#26.html',1,'2024-07-05 18:23:57'),
	(3212,'WOF091200006-WOB00008','WOG00462','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#27.png',1,'2024-07-05 18:23:57'),
	(3213,'WOF091200006-WOB00008','WOG00462','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#27.html',1,'2024-07-05 18:23:57'),
	(3214,'WOF091200006-WOB00008','WOG00463','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#28.png',1,'2024-07-05 18:23:57'),
	(3215,'WOF091200006-WOB00008','WOG00463','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#28.html',1,'2024-07-05 18:23:57'),
	(3216,'WOF091200006-WOB00008','WOG00464','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#29.png',1,'2024-07-05 18:23:57'),
	(3217,'WOF091200006-WOB00008','WOG00464','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#29.html',1,'2024-07-05 18:23:57'),
	(3218,'WOF091200006-WOB00008','WOG00465','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#30.png',1,'2024-07-05 18:23:57'),
	(3219,'WOF091200006-WOB00008','WOG00465','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#30.html',1,'2024-07-05 18:23:57'),
	(3220,'WOF091200006-WOB00008','WOG00466','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#31.png',1,'2024-07-05 18:23:57'),
	(3221,'WOF091200006-WOB00008','WOG00466','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#31.html',1,'2024-07-05 18:23:57'),
	(3222,'WOF091200006-WOB00008','WOG00467','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#32.png',1,'2024-07-05 18:23:57'),
	(3223,'WOF091200006-WOB00008','WOG00467','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#32.html',1,'2024-07-05 18:23:57'),
	(3224,'WOF091200006-WOB00008','WOG00468','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#33.png',1,'2024-07-05 18:23:57'),
	(3225,'WOF091200006-WOB00008','WOG00468','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/#33.html',1,'2024-07-05 18:23:57'),
	(3226,'WOF091200006-WOB00008','WOG00436','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#01-scatter.png',1,'2024-07-05 18:23:57'),
	(3227,'WOF091200006-WOB00008','WOG00436','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#01-scatter.html',1,'2024-07-05 18:23:57'),
	(3228,'WOF091200006-WOB00008','WOG00437','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#02-scatter.png',1,'2024-07-05 18:23:57'),
	(3229,'WOF091200006-WOB00008','WOG00437','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#02-scatter.html',1,'2024-07-05 18:23:57'),
	(3230,'WOF091200006-WOB00008','WOG00438','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#03-scatter.png',1,'2024-07-05 18:23:57'),
	(3231,'WOF091200006-WOB00008','WOG00438','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#03-scatter.html',1,'2024-07-05 18:23:57'),
	(3232,'WOF091200006-WOB00008','WOG00439','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#04-scatter.png',1,'2024-07-05 18:23:57'),
	(3233,'WOF091200006-WOB00008','WOG00439','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#04-scatter.html',1,'2024-07-05 18:23:57'),
	(3234,'WOF091200006-WOB00008','WOG00440','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#05-scatter.png',1,'2024-07-05 18:23:57'),
	(3235,'WOF091200006-WOB00008','WOG00440','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#05-scatter.html',1,'2024-07-05 18:23:57'),
	(3236,'WOF091200006-WOB00008','WOG00441','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#06-scatter.png',1,'2024-07-05 18:23:57'),
	(3237,'WOF091200006-WOB00008','WOG00441','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#06-scatter.html',1,'2024-07-05 18:23:57'),
	(3238,'WOF091200006-WOB00008','WOG00442','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#07-scatter.png',1,'2024-07-05 18:23:57'),
	(3239,'WOF091200006-WOB00008','WOG00442','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#07-scatter.html',1,'2024-07-05 18:23:57'),
	(3240,'WOF091200006-WOB00008','WOG00443','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#08-scatter.png',1,'2024-07-05 18:23:57'),
	(3241,'WOF091200006-WOB00008','WOG00443','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#08-scatter.html',1,'2024-07-05 18:23:57'),
	(3242,'WOF091200006-WOB00008','WOG00444','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#09-scatter.png',1,'2024-07-05 18:23:57'),
	(3243,'WOF091200006-WOB00008','WOG00444','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#09-scatter.html',1,'2024-07-05 18:23:57'),
	(3244,'WOF091200006-WOB00008','WOG00445','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#10-scatter.png',1,'2024-07-05 18:23:57'),
	(3245,'WOF091200006-WOB00008','WOG00445','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#10-scatter.html',1,'2024-07-05 18:23:57'),
	(3246,'WOF091200006-WOB00008','WOG00446','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#11-scatter.png',1,'2024-07-05 18:23:57'),
	(3247,'WOF091200006-WOB00008','WOG00446','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#11-scatter.html',1,'2024-07-05 18:23:57'),
	(3248,'WOF091200006-WOB00008','WOG00447','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#12-scatter.png',1,'2024-07-05 18:23:57'),
	(3249,'WOF091200006-WOB00008','WOG00447','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#12-scatter.html',1,'2024-07-05 18:23:57'),
	(3250,'WOF091200006-WOB00008','WOG00448','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#13-scatter.png',1,'2024-07-05 18:23:57'),
	(3251,'WOF091200006-WOB00008','WOG00448','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#13-scatter.html',1,'2024-07-05 18:23:57'),
	(3252,'WOF091200006-WOB00008','WOG00449','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#14-scatter.png',1,'2024-07-05 18:23:57'),
	(3253,'WOF091200006-WOB00008','WOG00449','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#14-scatter.html',1,'2024-07-05 18:23:57'),
	(3254,'WOF091200006-WOB00008','WOG00450','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#15-scatter.png',1,'2024-07-05 18:23:57'),
	(3255,'WOF091200006-WOB00008','WOG00450','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#15-scatter.html',1,'2024-07-05 18:23:57'),
	(3256,'WOF091200006-WOB00008','WOG00451','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#16-scatter.png',1,'2024-07-05 18:23:57'),
	(3257,'WOF091200006-WOB00008','WOG00451','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#16-scatter.html',1,'2024-07-05 18:23:57'),
	(3258,'WOF091200006-WOB00008','WOG00452','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#17-scatter.png',1,'2024-07-05 18:23:57'),
	(3259,'WOF091200006-WOB00008','WOG00452','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#17-scatter.html',1,'2024-07-05 18:23:57'),
	(3260,'WOF091200006-WOB00008','WOG00453','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#18-scatter.png',1,'2024-07-05 18:23:57'),
	(3261,'WOF091200006-WOB00008','WOG00453','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#18-scatter.html',1,'2024-07-05 18:23:57'),
	(3262,'WOF091200006-WOB00008','WOG00454','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#19-scatter.png',1,'2024-07-05 18:23:57'),
	(3263,'WOF091200006-WOB00008','WOG00454','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#19-scatter.html',1,'2024-07-05 18:23:57'),
	(3264,'WOF091200006-WOB00008','WOG00455','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#20-scatter.png',1,'2024-07-05 18:23:57'),
	(3265,'WOF091200006-WOB00008','WOG00455','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#20-scatter.html',1,'2024-07-05 18:23:57'),
	(3266,'WOF091200006-WOB00008','WOG00456','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#21-scatter.png',1,'2024-07-05 18:23:57'),
	(3267,'WOF091200006-WOB00008','WOG00456','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#21-scatter.html',1,'2024-07-05 18:23:57'),
	(3268,'WOF091200006-WOB00008','WOG00457','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#22-scatter.png',1,'2024-07-05 18:23:57'),
	(3269,'WOF091200006-WOB00008','WOG00457','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#22-scatter.html',1,'2024-07-05 18:23:57'),
	(3270,'WOF091200006-WOB00008','WOG00458','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#23-scatter.png',1,'2024-07-05 18:23:57'),
	(3271,'WOF091200006-WOB00008','WOG00458','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#23-scatter.html',1,'2024-07-05 18:23:57'),
	(3272,'WOF091200006-WOB00008','WOG00459','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#24-scatter.png',1,'2024-07-05 18:23:57'),
	(3273,'WOF091200006-WOB00008','WOG00459','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#24-scatter.html',1,'2024-07-05 18:23:57'),
	(3274,'WOF091200006-WOB00008','WOG00460','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#25-scatter.png',1,'2024-07-05 18:23:57'),
	(3275,'WOF091200006-WOB00008','WOG00460','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#25-scatter.html',1,'2024-07-05 18:23:57'),
	(3276,'WOF091200006-WOB00008','WOG00461','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#26-scatter.png',1,'2024-07-05 18:23:57'),
	(3277,'WOF091200006-WOB00008','WOG00461','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#26-scatter.html',1,'2024-07-05 18:23:57'),
	(3278,'WOF091200006-WOB00008','WOG00462','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#27-scatter.png',1,'2024-07-05 18:23:57'),
	(3279,'WOF091200006-WOB00008','WOG00462','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#27-scatter.html',1,'2024-07-05 18:23:57'),
	(3280,'WOF091200006-WOB00008','WOG00463','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#28-scatter.png',1,'2024-07-05 18:23:57'),
	(3281,'WOF091200006-WOB00008','WOG00463','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#28-scatter.html',1,'2024-07-05 18:23:57'),
	(3282,'WOF091200006-WOB00008','WOG00464','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#29-scatter.png',1,'2024-07-05 18:23:57'),
	(3283,'WOF091200006-WOB00008','WOG00464','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#29-scatter.html',1,'2024-07-05 18:23:57'),
	(3284,'WOF091200006-WOB00008','WOG00465','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#30-scatter.png',1,'2024-07-05 18:23:57'),
	(3285,'WOF091200006-WOB00008','WOG00465','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#30-scatter.html',1,'2024-07-05 18:23:57'),
	(3286,'WOF091200006-WOB00008','WOG00466','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#31-scatter.png',1,'2024-07-05 18:23:57'),
	(3287,'WOF091200006-WOB00008','WOG00466','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#31-scatter.html',1,'2024-07-05 18:23:57'),
	(3288,'WOF091200006-WOB00008','WOG00467','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#32-scatter.png',1,'2024-07-05 18:23:57'),
	(3289,'WOF091200006-WOB00008','WOG00467','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#32-scatter.html',1,'2024-07-05 18:23:57'),
	(3290,'WOF091200006-WOB00008','WOG00468','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#33-scatter.png',1,'2024-07-05 18:23:57'),
	(3291,'WOF091200006-WOB00008','WOG00468','power_scatter_2D','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter_2D/automatic/#33-scatter.html',1,'2024-07-05 18:23:57'),
	(3292,'WOF091200006-WOB00008','WOG00436','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#01.html',1,'2024-07-05 18:23:57'),
	(3293,'WOF091200006-WOB00008','WOG00437','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#02.html',1,'2024-07-05 18:23:57'),
	(3294,'WOF091200006-WOB00008','WOG00438','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#03.html',1,'2024-07-05 18:23:57'),
	(3295,'WOF091200006-WOB00008','WOG00439','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#04.html',1,'2024-07-05 18:23:57'),
	(3296,'WOF091200006-WOB00008','WOG00440','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#05.html',1,'2024-07-05 18:23:57'),
	(3297,'WOF091200006-WOB00008','WOG00441','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#06.html',1,'2024-07-05 18:23:57'),
	(3298,'WOF091200006-WOB00008','WOG00442','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#07.html',1,'2024-07-05 18:23:57'),
	(3299,'WOF091200006-WOB00008','WOG00443','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#08.html',1,'2024-07-05 18:23:57'),
	(3300,'WOF091200006-WOB00008','WOG00444','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#09.html',1,'2024-07-05 18:23:57'),
	(3301,'WOF091200006-WOB00008','WOG00445','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#10.html',1,'2024-07-05 18:23:57'),
	(3302,'WOF091200006-WOB00008','WOG00446','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#11.html',1,'2024-07-05 18:23:57'),
	(3303,'WOF091200006-WOB00008','WOG00447','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#12.html',1,'2024-07-05 18:23:57'),
	(3304,'WOF091200006-WOB00008','WOG00448','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#13.html',1,'2024-07-05 18:23:57'),
	(3305,'WOF091200006-WOB00008','WOG00449','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#14.html',1,'2024-07-05 18:23:57'),
	(3306,'WOF091200006-WOB00008','WOG00450','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#15.html',1,'2024-07-05 18:23:57'),
	(3307,'WOF091200006-WOB00008','WOG00451','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#16.html',1,'2024-07-05 18:23:57'),
	(3308,'WOF091200006-WOB00008','WOG00452','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#17.html',1,'2024-07-05 18:23:57'),
	(3309,'WOF091200006-WOB00008','WOG00453','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#18.html',1,'2024-07-05 18:23:57'),
	(3310,'WOF091200006-WOB00008','WOG00454','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#19.html',1,'2024-07-05 18:23:57'),
	(3311,'WOF091200006-WOB00008','WOG00455','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#20.html',1,'2024-07-05 18:23:57'),
	(3312,'WOF091200006-WOB00008','WOG00456','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#21.html',1,'2024-07-05 18:23:57'),
	(3313,'WOF091200006-WOB00008','WOG00457','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#22.html',1,'2024-07-05 18:23:57'),
	(3314,'WOF091200006-WOB00008','WOG00458','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#23.html',1,'2024-07-05 18:23:57'),
	(3315,'WOF091200006-WOB00008','WOG00459','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#24.html',1,'2024-07-05 18:23:57'),
	(3316,'WOF091200006-WOB00008','WOG00460','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#25.html',1,'2024-07-05 18:23:57'),
	(3317,'WOF091200006-WOB00008','WOG00461','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#26.html',1,'2024-07-05 18:23:57'),
	(3318,'WOF091200006-WOB00008','WOG00462','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#27.html',1,'2024-07-05 18:23:57'),
	(3319,'WOF091200006-WOB00008','WOG00463','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#28.html',1,'2024-07-05 18:23:57'),
	(3320,'WOF091200006-WOB00008','WOG00464','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#29.html',1,'2024-07-05 18:23:57'),
	(3321,'WOF091200006-WOB00008','WOG00465','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#30.html',1,'2024-07-05 18:23:57'),
	(3322,'WOF091200006-WOB00008','WOG00466','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#31.html',1,'2024-07-05 18:23:57'),
	(3323,'WOF091200006-WOB00008','WOG00467','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#32.html',1,'2024-07-05 18:23:57'),
	(3324,'WOF091200006-WOB00008','WOG00468','power_scatter','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_scatter/automatic/#33.html',1,'2024-07-05 18:23:57'),
	(3325,'WOF091200006-WOB00008','WOG00436','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#01.png',1,'2024-07-05 18:23:57'),
	(3326,'WOF091200006-WOB00008','WOG00436','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#01.html',1,'2024-07-05 18:23:57'),
	(3327,'WOF091200006-WOB00008','WOG00437','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#02.png',1,'2024-07-05 18:23:57'),
	(3328,'WOF091200006-WOB00008','WOG00437','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#02.html',1,'2024-07-05 18:23:57'),
	(3329,'WOF091200006-WOB00008','WOG00438','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#03.png',1,'2024-07-05 18:23:57'),
	(3330,'WOF091200006-WOB00008','WOG00438','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#03.html',1,'2024-07-05 18:23:57'),
	(3331,'WOF091200006-WOB00008','WOG00439','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#04.png',1,'2024-07-05 18:23:57'),
	(3332,'WOF091200006-WOB00008','WOG00439','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#04.html',1,'2024-07-05 18:23:57'),
	(3333,'WOF091200006-WOB00008','WOG00440','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#05.png',1,'2024-07-05 18:23:57'),
	(3334,'WOF091200006-WOB00008','WOG00440','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#05.html',1,'2024-07-05 18:23:57'),
	(3335,'WOF091200006-WOB00008','WOG00441','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#06.png',1,'2024-07-05 18:23:57'),
	(3336,'WOF091200006-WOB00008','WOG00441','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#06.html',1,'2024-07-05 18:23:57'),
	(3337,'WOF091200006-WOB00008','WOG00442','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#07.png',1,'2024-07-05 18:23:57'),
	(3338,'WOF091200006-WOB00008','WOG00442','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#07.html',1,'2024-07-05 18:23:57'),
	(3339,'WOF091200006-WOB00008','WOG00443','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#08.png',1,'2024-07-05 18:23:57'),
	(3340,'WOF091200006-WOB00008','WOG00443','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#08.html',1,'2024-07-05 18:23:57'),
	(3341,'WOF091200006-WOB00008','WOG00444','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#09.png',1,'2024-07-05 18:23:57'),
	(3342,'WOF091200006-WOB00008','WOG00444','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#09.html',1,'2024-07-05 18:23:57'),
	(3343,'WOF091200006-WOB00008','WOG00445','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#10.png',1,'2024-07-05 18:23:57'),
	(3344,'WOF091200006-WOB00008','WOG00445','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#10.html',1,'2024-07-05 18:23:57'),
	(3345,'WOF091200006-WOB00008','WOG00446','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#11.png',1,'2024-07-05 18:23:57'),
	(3346,'WOF091200006-WOB00008','WOG00446','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#11.html',1,'2024-07-05 18:23:57'),
	(3347,'WOF091200006-WOB00008','WOG00447','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#12.png',1,'2024-07-05 18:23:57'),
	(3348,'WOF091200006-WOB00008','WOG00447','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#12.html',1,'2024-07-05 18:23:57'),
	(3349,'WOF091200006-WOB00008','WOG00448','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#13.png',1,'2024-07-05 18:23:57'),
	(3350,'WOF091200006-WOB00008','WOG00448','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#13.html',1,'2024-07-05 18:23:57'),
	(3351,'WOF091200006-WOB00008','WOG00449','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#14.png',1,'2024-07-05 18:23:57'),
	(3352,'WOF091200006-WOB00008','WOG00449','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#14.html',1,'2024-07-05 18:23:57'),
	(3353,'WOF091200006-WOB00008','WOG00450','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#15.png',1,'2024-07-05 18:23:57'),
	(3354,'WOF091200006-WOB00008','WOG00450','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#15.html',1,'2024-07-05 18:23:57'),
	(3355,'WOF091200006-WOB00008','WOG00451','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#16.png',1,'2024-07-05 18:23:57'),
	(3356,'WOF091200006-WOB00008','WOG00451','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#16.html',1,'2024-07-05 18:23:57'),
	(3357,'WOF091200006-WOB00008','WOG00452','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#17.png',1,'2024-07-05 18:23:57'),
	(3358,'WOF091200006-WOB00008','WOG00452','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#17.html',1,'2024-07-05 18:23:57'),
	(3359,'WOF091200006-WOB00008','WOG00453','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#18.png',1,'2024-07-05 18:23:57'),
	(3360,'WOF091200006-WOB00008','WOG00453','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#18.html',1,'2024-07-05 18:23:57'),
	(3361,'WOF091200006-WOB00008','WOG00454','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#19.png',1,'2024-07-05 18:23:57'),
	(3362,'WOF091200006-WOB00008','WOG00454','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#19.html',1,'2024-07-05 18:23:57'),
	(3363,'WOF091200006-WOB00008','WOG00455','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#20.png',1,'2024-07-05 18:23:57'),
	(3364,'WOF091200006-WOB00008','WOG00455','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#20.html',1,'2024-07-05 18:23:57'),
	(3365,'WOF091200006-WOB00008','WOG00456','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#21.png',1,'2024-07-05 18:23:57'),
	(3366,'WOF091200006-WOB00008','WOG00456','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#21.html',1,'2024-07-05 18:23:57'),
	(3367,'WOF091200006-WOB00008','WOG00457','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#22.png',1,'2024-07-05 18:23:57'),
	(3368,'WOF091200006-WOB00008','WOG00457','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#22.html',1,'2024-07-05 18:23:57'),
	(3369,'WOF091200006-WOB00008','WOG00458','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#23.png',1,'2024-07-05 18:23:57'),
	(3370,'WOF091200006-WOB00008','WOG00458','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#23.html',1,'2024-07-05 18:23:57'),
	(3371,'WOF091200006-WOB00008','WOG00459','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#24.png',1,'2024-07-05 18:23:57'),
	(3372,'WOF091200006-WOB00008','WOG00459','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#24.html',1,'2024-07-05 18:23:57'),
	(3373,'WOF091200006-WOB00008','WOG00460','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#25.png',1,'2024-07-05 18:23:57'),
	(3374,'WOF091200006-WOB00008','WOG00460','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#25.html',1,'2024-07-05 18:23:57'),
	(3375,'WOF091200006-WOB00008','WOG00461','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#26.png',1,'2024-07-05 18:23:57'),
	(3376,'WOF091200006-WOB00008','WOG00461','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#26.html',1,'2024-07-05 18:23:57'),
	(3377,'WOF091200006-WOB00008','WOG00462','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#27.png',1,'2024-07-05 18:23:57'),
	(3378,'WOF091200006-WOB00008','WOG00462','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#27.html',1,'2024-07-05 18:23:57'),
	(3379,'WOF091200006-WOB00008','WOG00463','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#28.png',1,'2024-07-05 18:23:57'),
	(3380,'WOF091200006-WOB00008','WOG00463','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#28.html',1,'2024-07-05 18:23:57'),
	(3381,'WOF091200006-WOB00008','WOG00464','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#29.png',1,'2024-07-05 18:23:57'),
	(3382,'WOF091200006-WOB00008','WOG00464','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#29.html',1,'2024-07-05 18:23:57'),
	(3383,'WOF091200006-WOB00008','WOG00465','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#30.png',1,'2024-07-05 18:23:57'),
	(3384,'WOF091200006-WOB00008','WOG00465','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#30.html',1,'2024-07-05 18:23:57'),
	(3385,'WOF091200006-WOB00008','WOG00466','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#31.png',1,'2024-07-05 18:23:57'),
	(3386,'WOF091200006-WOB00008','WOG00466','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#31.html',1,'2024-07-05 18:23:57'),
	(3387,'WOF091200006-WOB00008','WOG00467','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#32.png',1,'2024-07-05 18:23:57'),
	(3388,'WOF091200006-WOB00008','WOG00467','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#32.html',1,'2024-07-05 18:23:57'),
	(3389,'WOF091200006-WOB00008','WOG00468','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#33.png',1,'2024-07-05 18:23:57'),
	(3390,'WOF091200006-WOB00008','WOG00468','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/#33.html',1,'2024-07-05 18:23:57'),
	(3391,'WOF091200006-WOB00008','WOG00436','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#01.png',1,'2024-07-05 18:23:57'),
	(3392,'WOF091200006-WOB00008','WOG00436','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#01.html',1,'2024-07-05 18:23:57'),
	(3393,'WOF091200006-WOB00008','WOG00437','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#02.png',1,'2024-07-05 18:23:57'),
	(3394,'WOF091200006-WOB00008','WOG00437','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#02.html',1,'2024-07-05 18:23:57'),
	(3395,'WOF091200006-WOB00008','WOG00438','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#03.png',1,'2024-07-05 18:23:57'),
	(3396,'WOF091200006-WOB00008','WOG00438','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#03.html',1,'2024-07-05 18:23:57'),
	(3397,'WOF091200006-WOB00008','WOG00439','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#04.png',1,'2024-07-05 18:23:57'),
	(3398,'WOF091200006-WOB00008','WOG00439','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#04.html',1,'2024-07-05 18:23:57'),
	(3399,'WOF091200006-WOB00008','WOG00440','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#05.png',1,'2024-07-05 18:23:57'),
	(3400,'WOF091200006-WOB00008','WOG00440','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#05.html',1,'2024-07-05 18:23:57'),
	(3401,'WOF091200006-WOB00008','WOG00441','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#06.png',1,'2024-07-05 18:23:57'),
	(3402,'WOF091200006-WOB00008','WOG00441','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#06.html',1,'2024-07-05 18:23:57'),
	(3403,'WOF091200006-WOB00008','WOG00442','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#07.png',1,'2024-07-05 18:23:57'),
	(3404,'WOF091200006-WOB00008','WOG00442','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#07.html',1,'2024-07-05 18:23:57'),
	(3405,'WOF091200006-WOB00008','WOG00443','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#08.png',1,'2024-07-05 18:23:57'),
	(3406,'WOF091200006-WOB00008','WOG00443','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#08.html',1,'2024-07-05 18:23:57'),
	(3407,'WOF091200006-WOB00008','WOG00444','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#09.png',1,'2024-07-05 18:23:57'),
	(3408,'WOF091200006-WOB00008','WOG00444','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#09.html',1,'2024-07-05 18:23:57'),
	(3409,'WOF091200006-WOB00008','WOG00445','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#10.png',1,'2024-07-05 18:23:57'),
	(3410,'WOF091200006-WOB00008','WOG00445','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#10.html',1,'2024-07-05 18:23:57'),
	(3411,'WOF091200006-WOB00008','WOG00446','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#11.png',1,'2024-07-05 18:23:57'),
	(3412,'WOF091200006-WOB00008','WOG00446','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#11.html',1,'2024-07-05 18:23:57'),
	(3413,'WOF091200006-WOB00008','WOG00447','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#12.png',1,'2024-07-05 18:23:57'),
	(3414,'WOF091200006-WOB00008','WOG00447','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#12.html',1,'2024-07-05 18:23:57'),
	(3415,'WOF091200006-WOB00008','WOG00448','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#13.png',1,'2024-07-05 18:23:57'),
	(3416,'WOF091200006-WOB00008','WOG00448','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#13.html',1,'2024-07-05 18:23:57'),
	(3417,'WOF091200006-WOB00008','WOG00449','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#14.png',1,'2024-07-05 18:23:57'),
	(3418,'WOF091200006-WOB00008','WOG00449','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#14.html',1,'2024-07-05 18:23:57'),
	(3419,'WOF091200006-WOB00008','WOG00450','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#15.png',1,'2024-07-05 18:23:57'),
	(3420,'WOF091200006-WOB00008','WOG00450','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#15.html',1,'2024-07-05 18:23:57'),
	(3421,'WOF091200006-WOB00008','WOG00451','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#16.png',1,'2024-07-05 18:23:57'),
	(3422,'WOF091200006-WOB00008','WOG00451','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#16.html',1,'2024-07-05 18:23:57'),
	(3423,'WOF091200006-WOB00008','WOG00452','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#17.png',1,'2024-07-05 18:23:57'),
	(3424,'WOF091200006-WOB00008','WOG00452','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#17.html',1,'2024-07-05 18:23:57'),
	(3425,'WOF091200006-WOB00008','WOG00453','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#18.png',1,'2024-07-05 18:23:57'),
	(3426,'WOF091200006-WOB00008','WOG00453','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#18.html',1,'2024-07-05 18:23:57'),
	(3427,'WOF091200006-WOB00008','WOG00454','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#19.png',1,'2024-07-05 18:23:57'),
	(3428,'WOF091200006-WOB00008','WOG00454','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#19.html',1,'2024-07-05 18:23:57'),
	(3429,'WOF091200006-WOB00008','WOG00455','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#20.png',1,'2024-07-05 18:23:57'),
	(3430,'WOF091200006-WOB00008','WOG00455','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#20.html',1,'2024-07-05 18:23:57'),
	(3431,'WOF091200006-WOB00008','WOG00456','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#21.png',1,'2024-07-05 18:23:57'),
	(3432,'WOF091200006-WOB00008','WOG00456','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#21.html',1,'2024-07-05 18:23:57'),
	(3433,'WOF091200006-WOB00008','WOG00457','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#22.png',1,'2024-07-05 18:23:57'),
	(3434,'WOF091200006-WOB00008','WOG00457','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#22.html',1,'2024-07-05 18:23:57'),
	(3435,'WOF091200006-WOB00008','WOG00458','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#23.png',1,'2024-07-05 18:23:57'),
	(3436,'WOF091200006-WOB00008','WOG00458','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#23.html',1,'2024-07-05 18:23:57'),
	(3437,'WOF091200006-WOB00008','WOG00459','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#24.png',1,'2024-07-05 18:23:57'),
	(3438,'WOF091200006-WOB00008','WOG00459','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#24.html',1,'2024-07-05 18:23:57'),
	(3439,'WOF091200006-WOB00008','WOG00460','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#25.png',1,'2024-07-05 18:23:57'),
	(3440,'WOF091200006-WOB00008','WOG00460','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#25.html',1,'2024-07-05 18:23:57'),
	(3441,'WOF091200006-WOB00008','WOG00461','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#26.png',1,'2024-07-05 18:23:57'),
	(3442,'WOF091200006-WOB00008','WOG00461','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#26.html',1,'2024-07-05 18:23:57'),
	(3443,'WOF091200006-WOB00008','WOG00462','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#27.png',1,'2024-07-05 18:23:57'),
	(3444,'WOF091200006-WOB00008','WOG00462','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#27.html',1,'2024-07-05 18:23:57'),
	(3445,'WOF091200006-WOB00008','WOG00463','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#28.png',1,'2024-07-05 18:23:57'),
	(3446,'WOF091200006-WOB00008','WOG00463','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#28.html',1,'2024-07-05 18:23:57'),
	(3447,'WOF091200006-WOB00008','WOG00464','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#29.png',1,'2024-07-05 18:23:57'),
	(3448,'WOF091200006-WOB00008','WOG00464','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#29.html',1,'2024-07-05 18:23:57'),
	(3449,'WOF091200006-WOB00008','WOG00465','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#30.png',1,'2024-07-05 18:23:57'),
	(3450,'WOF091200006-WOB00008','WOG00465','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#30.html',1,'2024-07-05 18:23:57'),
	(3451,'WOF091200006-WOB00008','WOG00466','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#31.png',1,'2024-07-05 18:23:57'),
	(3452,'WOF091200006-WOB00008','WOG00466','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#31.html',1,'2024-07-05 18:23:57'),
	(3453,'WOF091200006-WOB00008','WOG00467','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#32.png',1,'2024-07-05 18:23:57'),
	(3454,'WOF091200006-WOB00008','WOG00467','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#32.html',1,'2024-07-05 18:23:57'),
	(3455,'WOF091200006-WOB00008','WOG00468','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#33.png',1,'2024-07-05 18:23:57'),
	(3456,'WOF091200006-WOB00008','WOG00468','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/#33.html',1,'2024-07-05 18:23:57'),
	(3457,'WOF091200006-WOB00008','WOG00436','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#01.png',1,'2024-07-05 18:23:57'),
	(3458,'WOF091200006-WOB00008','WOG00436','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#01.html',1,'2024-07-05 18:23:57'),
	(3459,'WOF091200006-WOB00008','WOG00437','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#02.png',1,'2024-07-05 18:23:57'),
	(3460,'WOF091200006-WOB00008','WOG00437','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#02.html',1,'2024-07-05 18:23:57'),
	(3461,'WOF091200006-WOB00008','WOG00438','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#03.png',1,'2024-07-05 18:23:57'),
	(3462,'WOF091200006-WOB00008','WOG00438','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#03.html',1,'2024-07-05 18:23:57'),
	(3463,'WOF091200006-WOB00008','WOG00439','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#04.png',1,'2024-07-05 18:23:57'),
	(3464,'WOF091200006-WOB00008','WOG00439','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#04.html',1,'2024-07-05 18:23:57'),
	(3465,'WOF091200006-WOB00008','WOG00440','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#05.png',1,'2024-07-05 18:23:57'),
	(3466,'WOF091200006-WOB00008','WOG00440','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#05.html',1,'2024-07-05 18:23:57'),
	(3467,'WOF091200006-WOB00008','WOG00441','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#06.png',1,'2024-07-05 18:23:57'),
	(3468,'WOF091200006-WOB00008','WOG00441','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#06.html',1,'2024-07-05 18:23:57'),
	(3469,'WOF091200006-WOB00008','WOG00442','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#07.png',1,'2024-07-05 18:23:57'),
	(3470,'WOF091200006-WOB00008','WOG00442','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#07.html',1,'2024-07-05 18:23:57'),
	(3471,'WOF091200006-WOB00008','WOG00443','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#08.png',1,'2024-07-05 18:23:57'),
	(3472,'WOF091200006-WOB00008','WOG00443','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#08.html',1,'2024-07-05 18:23:57'),
	(3473,'WOF091200006-WOB00008','WOG00444','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#09.png',1,'2024-07-05 18:23:57'),
	(3474,'WOF091200006-WOB00008','WOG00444','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#09.html',1,'2024-07-05 18:23:57'),
	(3475,'WOF091200006-WOB00008','WOG00445','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#10.png',1,'2024-07-05 18:23:57'),
	(3476,'WOF091200006-WOB00008','WOG00445','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#10.html',1,'2024-07-05 18:23:57'),
	(3477,'WOF091200006-WOB00008','WOG00446','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#11.png',1,'2024-07-05 18:23:57'),
	(3478,'WOF091200006-WOB00008','WOG00446','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#11.html',1,'2024-07-05 18:23:57'),
	(3479,'WOF091200006-WOB00008','WOG00447','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#12.png',1,'2024-07-05 18:23:57'),
	(3480,'WOF091200006-WOB00008','WOG00447','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#12.html',1,'2024-07-05 18:23:57'),
	(3481,'WOF091200006-WOB00008','WOG00448','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#13.png',1,'2024-07-05 18:23:57'),
	(3482,'WOF091200006-WOB00008','WOG00448','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#13.html',1,'2024-07-05 18:23:57'),
	(3483,'WOF091200006-WOB00008','WOG00449','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#14.png',1,'2024-07-05 18:23:57'),
	(3484,'WOF091200006-WOB00008','WOG00449','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#14.html',1,'2024-07-05 18:23:57'),
	(3485,'WOF091200006-WOB00008','WOG00450','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#15.png',1,'2024-07-05 18:23:57'),
	(3486,'WOF091200006-WOB00008','WOG00450','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#15.html',1,'2024-07-05 18:23:57'),
	(3487,'WOF091200006-WOB00008','WOG00451','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#16.png',1,'2024-07-05 18:23:57'),
	(3488,'WOF091200006-WOB00008','WOG00451','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#16.html',1,'2024-07-05 18:23:57'),
	(3489,'WOF091200006-WOB00008','WOG00452','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#17.png',1,'2024-07-05 18:23:57'),
	(3490,'WOF091200006-WOB00008','WOG00452','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#17.html',1,'2024-07-05 18:23:57'),
	(3491,'WOF091200006-WOB00008','WOG00453','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#18.png',1,'2024-07-05 18:23:57'),
	(3492,'WOF091200006-WOB00008','WOG00453','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#18.html',1,'2024-07-05 18:23:57'),
	(3493,'WOF091200006-WOB00008','WOG00454','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#19.png',1,'2024-07-05 18:23:57'),
	(3494,'WOF091200006-WOB00008','WOG00454','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#19.html',1,'2024-07-05 18:23:57'),
	(3495,'WOF091200006-WOB00008','WOG00455','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#20.png',1,'2024-07-05 18:23:57'),
	(3496,'WOF091200006-WOB00008','WOG00455','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#20.html',1,'2024-07-05 18:23:57'),
	(3497,'WOF091200006-WOB00008','WOG00456','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#21.png',1,'2024-07-05 18:23:57'),
	(3498,'WOF091200006-WOB00008','WOG00456','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#21.html',1,'2024-07-05 18:23:57'),
	(3499,'WOF091200006-WOB00008','WOG00457','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#22.png',1,'2024-07-05 18:23:57'),
	(3500,'WOF091200006-WOB00008','WOG00457','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#22.html',1,'2024-07-05 18:23:57'),
	(3501,'WOF091200006-WOB00008','WOG00458','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#23.png',1,'2024-07-05 18:23:57'),
	(3502,'WOF091200006-WOB00008','WOG00458','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#23.html',1,'2024-07-05 18:23:57'),
	(3503,'WOF091200006-WOB00008','WOG00459','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#24.png',1,'2024-07-05 18:23:57'),
	(3504,'WOF091200006-WOB00008','WOG00459','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#24.html',1,'2024-07-05 18:23:57'),
	(3505,'WOF091200006-WOB00008','WOG00460','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#25.png',1,'2024-07-05 18:23:57'),
	(3506,'WOF091200006-WOB00008','WOG00460','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#25.html',1,'2024-07-05 18:23:57'),
	(3507,'WOF091200006-WOB00008','WOG00461','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#26.png',1,'2024-07-05 18:23:57'),
	(3508,'WOF091200006-WOB00008','WOG00461','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#26.html',1,'2024-07-05 18:23:57'),
	(3509,'WOF091200006-WOB00008','WOG00462','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#27.png',1,'2024-07-05 18:23:57'),
	(3510,'WOF091200006-WOB00008','WOG00462','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#27.html',1,'2024-07-05 18:23:57'),
	(3511,'WOF091200006-WOB00008','WOG00463','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#28.png',1,'2024-07-05 18:23:57'),
	(3512,'WOF091200006-WOB00008','WOG00463','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#28.html',1,'2024-07-05 18:23:57'),
	(3513,'WOF091200006-WOB00008','WOG00464','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#29.png',1,'2024-07-05 18:23:57'),
	(3514,'WOF091200006-WOB00008','WOG00464','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#29.html',1,'2024-07-05 18:23:57'),
	(3515,'WOF091200006-WOB00008','WOG00465','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#30.png',1,'2024-07-05 18:23:57'),
	(3516,'WOF091200006-WOB00008','WOG00465','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#30.html',1,'2024-07-05 18:23:57'),
	(3517,'WOF091200006-WOB00008','WOG00466','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#31.png',1,'2024-07-05 18:23:57'),
	(3518,'WOF091200006-WOB00008','WOG00466','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#31.html',1,'2024-07-05 18:23:57'),
	(3519,'WOF091200006-WOB00008','WOG00467','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#32.png',1,'2024-07-05 18:23:57'),
	(3520,'WOF091200006-WOB00008','WOG00467','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#32.html',1,'2024-07-05 18:23:57'),
	(3521,'WOF091200006-WOB00008','WOG00468','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#33.png',1,'2024-07-05 18:23:57'),
	(3522,'WOF091200006-WOB00008','WOG00468','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/automatic/#33.html',1,'2024-07-05 18:23:57'),
	(3523,'WOF091200006-WOB00008','WOG00436','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#01.png',1,'2024-07-05 18:23:57'),
	(3524,'WOF091200006-WOB00008','WOG00436','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#01.html',1,'2024-07-05 18:23:57'),
	(3525,'WOF091200006-WOB00008','WOG00437','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#02.png',1,'2024-07-05 18:23:57'),
	(3526,'WOF091200006-WOB00008','WOG00437','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#02.html',1,'2024-07-05 18:23:57'),
	(3527,'WOF091200006-WOB00008','WOG00438','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#03.png',1,'2024-07-05 18:23:57'),
	(3528,'WOF091200006-WOB00008','WOG00438','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#03.html',1,'2024-07-05 18:23:57'),
	(3529,'WOF091200006-WOB00008','WOG00439','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#04.png',1,'2024-07-05 18:23:57'),
	(3530,'WOF091200006-WOB00008','WOG00439','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#04.html',1,'2024-07-05 18:23:57'),
	(3531,'WOF091200006-WOB00008','WOG00440','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#05.png',1,'2024-07-05 18:23:57'),
	(3532,'WOF091200006-WOB00008','WOG00440','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#05.html',1,'2024-07-05 18:23:57'),
	(3533,'WOF091200006-WOB00008','WOG00441','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#06.png',1,'2024-07-05 18:23:57'),
	(3534,'WOF091200006-WOB00008','WOG00441','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#06.html',1,'2024-07-05 18:23:57'),
	(3535,'WOF091200006-WOB00008','WOG00442','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#07.png',1,'2024-07-05 18:23:57'),
	(3536,'WOF091200006-WOB00008','WOG00442','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#07.html',1,'2024-07-05 18:23:57'),
	(3537,'WOF091200006-WOB00008','WOG00443','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#08.png',1,'2024-07-05 18:23:57'),
	(3538,'WOF091200006-WOB00008','WOG00443','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#08.html',1,'2024-07-05 18:23:57'),
	(3539,'WOF091200006-WOB00008','WOG00444','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#09.png',1,'2024-07-05 18:23:57'),
	(3540,'WOF091200006-WOB00008','WOG00444','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#09.html',1,'2024-07-05 18:23:57'),
	(3541,'WOF091200006-WOB00008','WOG00445','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#10.png',1,'2024-07-05 18:23:57'),
	(3542,'WOF091200006-WOB00008','WOG00445','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#10.html',1,'2024-07-05 18:23:57'),
	(3543,'WOF091200006-WOB00008','WOG00446','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#11.png',1,'2024-07-05 18:23:57'),
	(3544,'WOF091200006-WOB00008','WOG00446','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#11.html',1,'2024-07-05 18:23:57'),
	(3545,'WOF091200006-WOB00008','WOG00447','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#12.png',1,'2024-07-05 18:23:57'),
	(3546,'WOF091200006-WOB00008','WOG00447','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#12.html',1,'2024-07-05 18:23:57'),
	(3547,'WOF091200006-WOB00008','WOG00448','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#13.png',1,'2024-07-05 18:23:57'),
	(3548,'WOF091200006-WOB00008','WOG00448','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#13.html',1,'2024-07-05 18:23:57'),
	(3549,'WOF091200006-WOB00008','WOG00449','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#14.png',1,'2024-07-05 18:23:57'),
	(3550,'WOF091200006-WOB00008','WOG00449','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#14.html',1,'2024-07-05 18:23:57'),
	(3551,'WOF091200006-WOB00008','WOG00450','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#15.png',1,'2024-07-05 18:23:57'),
	(3552,'WOF091200006-WOB00008','WOG00450','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#15.html',1,'2024-07-05 18:23:57'),
	(3553,'WOF091200006-WOB00008','WOG00451','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#16.png',1,'2024-07-05 18:23:57'),
	(3554,'WOF091200006-WOB00008','WOG00451','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#16.html',1,'2024-07-05 18:23:57'),
	(3555,'WOF091200006-WOB00008','WOG00452','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#17.png',1,'2024-07-05 18:23:57'),
	(3556,'WOF091200006-WOB00008','WOG00452','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#17.html',1,'2024-07-05 18:23:57'),
	(3557,'WOF091200006-WOB00008','WOG00453','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#18.png',1,'2024-07-05 18:23:57'),
	(3558,'WOF091200006-WOB00008','WOG00453','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#18.html',1,'2024-07-05 18:23:57'),
	(3559,'WOF091200006-WOB00008','WOG00454','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#19.png',1,'2024-07-05 18:23:57'),
	(3560,'WOF091200006-WOB00008','WOG00454','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#19.html',1,'2024-07-05 18:23:57'),
	(3561,'WOF091200006-WOB00008','WOG00455','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#20.png',1,'2024-07-05 18:23:57'),
	(3562,'WOF091200006-WOB00008','WOG00455','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#20.html',1,'2024-07-05 18:23:57'),
	(3563,'WOF091200006-WOB00008','WOG00456','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#21.png',1,'2024-07-05 18:23:57'),
	(3564,'WOF091200006-WOB00008','WOG00456','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#21.html',1,'2024-07-05 18:23:57'),
	(3565,'WOF091200006-WOB00008','WOG00457','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#22.png',1,'2024-07-05 18:23:57'),
	(3566,'WOF091200006-WOB00008','WOG00457','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#22.html',1,'2024-07-05 18:23:57'),
	(3567,'WOF091200006-WOB00008','WOG00458','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#23.png',1,'2024-07-05 18:23:57'),
	(3568,'WOF091200006-WOB00008','WOG00458','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#23.html',1,'2024-07-05 18:23:57'),
	(3569,'WOF091200006-WOB00008','WOG00459','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#24.png',1,'2024-07-05 18:23:57'),
	(3570,'WOF091200006-WOB00008','WOG00459','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#24.html',1,'2024-07-05 18:23:57'),
	(3571,'WOF091200006-WOB00008','WOG00460','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#25.png',1,'2024-07-05 18:23:57'),
	(3572,'WOF091200006-WOB00008','WOG00460','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#25.html',1,'2024-07-05 18:23:57'),
	(3573,'WOF091200006-WOB00008','WOG00461','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#26.png',1,'2024-07-05 18:23:57'),
	(3574,'WOF091200006-WOB00008','WOG00461','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#26.html',1,'2024-07-05 18:23:57'),
	(3575,'WOF091200006-WOB00008','WOG00462','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#27.png',1,'2024-07-05 18:23:57'),
	(3576,'WOF091200006-WOB00008','WOG00462','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#27.html',1,'2024-07-05 18:23:57'),
	(3577,'WOF091200006-WOB00008','WOG00463','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#28.png',1,'2024-07-05 18:23:57'),
	(3578,'WOF091200006-WOB00008','WOG00463','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#28.html',1,'2024-07-05 18:23:57'),
	(3579,'WOF091200006-WOB00008','WOG00464','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#29.png',1,'2024-07-05 18:23:57'),
	(3580,'WOF091200006-WOB00008','WOG00464','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#29.html',1,'2024-07-05 18:23:57'),
	(3581,'WOF091200006-WOB00008','WOG00465','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#30.png',1,'2024-07-05 18:23:57'),
	(3582,'WOF091200006-WOB00008','WOG00465','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#30.html',1,'2024-07-05 18:23:57'),
	(3583,'WOF091200006-WOB00008','WOG00466','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#31.png',1,'2024-07-05 18:23:57'),
	(3584,'WOF091200006-WOB00008','WOG00466','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#31.html',1,'2024-07-05 18:23:57'),
	(3585,'WOF091200006-WOB00008','WOG00467','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#32.png',1,'2024-07-05 18:23:57'),
	(3586,'WOF091200006-WOB00008','WOG00467','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#32.html',1,'2024-07-05 18:23:57'),
	(3587,'WOF091200006-WOB00008','WOG00468','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#33.png',1,'2024-07-05 18:23:57'),
	(3588,'WOF091200006-WOB00008','WOG00468','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/#33.html',1,'2024-07-05 18:23:57'),
	(3589,'WOF091200006-WOB00008','WOG00436','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#01.png',1,'2024-07-05 18:23:57'),
	(3590,'WOF091200006-WOB00008','WOG00436','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#01.html',1,'2024-07-05 18:23:57'),
	(3591,'WOF091200006-WOB00008','WOG00437','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#02.png',1,'2024-07-05 18:23:57'),
	(3592,'WOF091200006-WOB00008','WOG00437','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#02.html',1,'2024-07-05 18:23:57'),
	(3593,'WOF091200006-WOB00008','WOG00438','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#03.png',1,'2024-07-05 18:23:57'),
	(3594,'WOF091200006-WOB00008','WOG00438','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#03.html',1,'2024-07-05 18:23:57'),
	(3595,'WOF091200006-WOB00008','WOG00439','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#04.png',1,'2024-07-05 18:23:57'),
	(3596,'WOF091200006-WOB00008','WOG00439','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#04.html',1,'2024-07-05 18:23:57'),
	(3597,'WOF091200006-WOB00008','WOG00440','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#05.png',1,'2024-07-05 18:23:57'),
	(3598,'WOF091200006-WOB00008','WOG00440','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#05.html',1,'2024-07-05 18:23:57'),
	(3599,'WOF091200006-WOB00008','WOG00441','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#06.png',1,'2024-07-05 18:23:57'),
	(3600,'WOF091200006-WOB00008','WOG00441','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#06.html',1,'2024-07-05 18:23:57'),
	(3601,'WOF091200006-WOB00008','WOG00442','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#07.png',1,'2024-07-05 18:23:57'),
	(3602,'WOF091200006-WOB00008','WOG00442','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#07.html',1,'2024-07-05 18:23:57'),
	(3603,'WOF091200006-WOB00008','WOG00443','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#08.png',1,'2024-07-05 18:23:57'),
	(3604,'WOF091200006-WOB00008','WOG00443','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#08.html',1,'2024-07-05 18:23:57'),
	(3605,'WOF091200006-WOB00008','WOG00444','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#09.png',1,'2024-07-05 18:23:57'),
	(3606,'WOF091200006-WOB00008','WOG00444','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#09.html',1,'2024-07-05 18:23:57'),
	(3607,'WOF091200006-WOB00008','WOG00445','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#10.png',1,'2024-07-05 18:23:57'),
	(3608,'WOF091200006-WOB00008','WOG00445','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#10.html',1,'2024-07-05 18:23:57'),
	(3609,'WOF091200006-WOB00008','WOG00446','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#11.png',1,'2024-07-05 18:23:57'),
	(3610,'WOF091200006-WOB00008','WOG00446','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#11.html',1,'2024-07-05 18:23:57'),
	(3611,'WOF091200006-WOB00008','WOG00447','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#12.png',1,'2024-07-05 18:23:57'),
	(3612,'WOF091200006-WOB00008','WOG00447','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#12.html',1,'2024-07-05 18:23:57'),
	(3613,'WOF091200006-WOB00008','WOG00448','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#13.png',1,'2024-07-05 18:23:57'),
	(3614,'WOF091200006-WOB00008','WOG00448','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#13.html',1,'2024-07-05 18:23:57'),
	(3615,'WOF091200006-WOB00008','WOG00449','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#14.png',1,'2024-07-05 18:23:57'),
	(3616,'WOF091200006-WOB00008','WOG00449','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#14.html',1,'2024-07-05 18:23:57'),
	(3617,'WOF091200006-WOB00008','WOG00450','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#15.png',1,'2024-07-05 18:23:57'),
	(3618,'WOF091200006-WOB00008','WOG00450','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#15.html',1,'2024-07-05 18:23:57'),
	(3619,'WOF091200006-WOB00008','WOG00451','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#16.png',1,'2024-07-05 18:23:57'),
	(3620,'WOF091200006-WOB00008','WOG00451','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#16.html',1,'2024-07-05 18:23:57'),
	(3621,'WOF091200006-WOB00008','WOG00452','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#17.png',1,'2024-07-05 18:23:57'),
	(3622,'WOF091200006-WOB00008','WOG00452','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#17.html',1,'2024-07-05 18:23:57'),
	(3623,'WOF091200006-WOB00008','WOG00453','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#18.png',1,'2024-07-05 18:23:57'),
	(3624,'WOF091200006-WOB00008','WOG00453','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#18.html',1,'2024-07-05 18:23:57'),
	(3625,'WOF091200006-WOB00008','WOG00454','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#19.png',1,'2024-07-05 18:23:57'),
	(3626,'WOF091200006-WOB00008','WOG00454','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#19.html',1,'2024-07-05 18:23:57'),
	(3627,'WOF091200006-WOB00008','WOG00455','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#20.png',1,'2024-07-05 18:23:57'),
	(3628,'WOF091200006-WOB00008','WOG00455','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#20.html',1,'2024-07-05 18:23:57'),
	(3629,'WOF091200006-WOB00008','WOG00456','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#21.png',1,'2024-07-05 18:23:57'),
	(3630,'WOF091200006-WOB00008','WOG00456','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#21.html',1,'2024-07-05 18:23:57'),
	(3631,'WOF091200006-WOB00008','WOG00457','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#22.png',1,'2024-07-05 18:23:57'),
	(3632,'WOF091200006-WOB00008','WOG00457','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#22.html',1,'2024-07-05 18:23:57'),
	(3633,'WOF091200006-WOB00008','WOG00458','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#23.png',1,'2024-07-05 18:23:57'),
	(3634,'WOF091200006-WOB00008','WOG00458','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#23.html',1,'2024-07-05 18:23:57'),
	(3635,'WOF091200006-WOB00008','WOG00459','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#24.png',1,'2024-07-05 18:23:57'),
	(3636,'WOF091200006-WOB00008','WOG00459','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#24.html',1,'2024-07-05 18:23:57'),
	(3637,'WOF091200006-WOB00008','WOG00460','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#25.png',1,'2024-07-05 18:23:57'),
	(3638,'WOF091200006-WOB00008','WOG00460','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#25.html',1,'2024-07-05 18:23:57'),
	(3639,'WOF091200006-WOB00008','WOG00461','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#26.png',1,'2024-07-05 18:23:57'),
	(3640,'WOF091200006-WOB00008','WOG00461','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#26.html',1,'2024-07-05 18:23:57'),
	(3641,'WOF091200006-WOB00008','WOG00462','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#27.png',1,'2024-07-05 18:23:57'),
	(3642,'WOF091200006-WOB00008','WOG00462','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#27.html',1,'2024-07-05 18:23:57'),
	(3643,'WOF091200006-WOB00008','WOG00463','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#28.png',1,'2024-07-05 18:23:57'),
	(3644,'WOF091200006-WOB00008','WOG00463','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#28.html',1,'2024-07-05 18:23:57'),
	(3645,'WOF091200006-WOB00008','WOG00464','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#29.png',1,'2024-07-05 18:23:57'),
	(3646,'WOF091200006-WOB00008','WOG00464','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#29.html',1,'2024-07-05 18:23:57'),
	(3647,'WOF091200006-WOB00008','WOG00465','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#30.png',1,'2024-07-05 18:23:57'),
	(3648,'WOF091200006-WOB00008','WOG00465','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#30.html',1,'2024-07-05 18:23:57'),
	(3649,'WOF091200006-WOB00008','WOG00466','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#31.png',1,'2024-07-05 18:23:57'),
	(3650,'WOF091200006-WOB00008','WOG00466','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#31.html',1,'2024-07-05 18:23:57'),
	(3651,'WOF091200006-WOB00008','WOG00467','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#32.png',1,'2024-07-05 18:23:57'),
	(3652,'WOF091200006-WOB00008','WOG00467','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#32.html',1,'2024-07-05 18:23:57'),
	(3653,'WOF091200006-WOB00008','WOG00468','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#33.png',1,'2024-07-05 18:23:57'),
	(3654,'WOF091200006-WOB00008','WOG00468','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/#33.html',1,'2024-07-05 18:23:57'),
	(3655,'WOF091200006-WOB00008','WOG00436','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#01.png',1,'2024-07-05 18:23:57'),
	(3656,'WOF091200006-WOB00008','WOG00436','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#01.html',1,'2024-07-05 18:23:57'),
	(3657,'WOF091200006-WOB00008','WOG00437','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#02.png',1,'2024-07-05 18:23:57'),
	(3658,'WOF091200006-WOB00008','WOG00437','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#02.html',1,'2024-07-05 18:23:57'),
	(3659,'WOF091200006-WOB00008','WOG00438','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#03.png',1,'2024-07-05 18:23:57'),
	(3660,'WOF091200006-WOB00008','WOG00438','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#03.html',1,'2024-07-05 18:23:57'),
	(3661,'WOF091200006-WOB00008','WOG00439','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#04.png',1,'2024-07-05 18:23:57'),
	(3662,'WOF091200006-WOB00008','WOG00439','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#04.html',1,'2024-07-05 18:23:57'),
	(3663,'WOF091200006-WOB00008','WOG00440','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#05.png',1,'2024-07-05 18:23:57'),
	(3664,'WOF091200006-WOB00008','WOG00440','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#05.html',1,'2024-07-05 18:23:57'),
	(3665,'WOF091200006-WOB00008','WOG00441','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#06.png',1,'2024-07-05 18:23:57'),
	(3666,'WOF091200006-WOB00008','WOG00441','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#06.html',1,'2024-07-05 18:23:57'),
	(3667,'WOF091200006-WOB00008','WOG00442','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#07.png',1,'2024-07-05 18:23:57'),
	(3668,'WOF091200006-WOB00008','WOG00442','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#07.html',1,'2024-07-05 18:23:57'),
	(3669,'WOF091200006-WOB00008','WOG00443','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#08.png',1,'2024-07-05 18:23:57'),
	(3670,'WOF091200006-WOB00008','WOG00443','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#08.html',1,'2024-07-05 18:23:57'),
	(3671,'WOF091200006-WOB00008','WOG00444','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#09.png',1,'2024-07-05 18:23:57'),
	(3672,'WOF091200006-WOB00008','WOG00444','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#09.html',1,'2024-07-05 18:23:57'),
	(3673,'WOF091200006-WOB00008','WOG00445','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#10.png',1,'2024-07-05 18:23:57'),
	(3674,'WOF091200006-WOB00008','WOG00445','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#10.html',1,'2024-07-05 18:23:57'),
	(3675,'WOF091200006-WOB00008','WOG00446','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#11.png',1,'2024-07-05 18:23:57'),
	(3676,'WOF091200006-WOB00008','WOG00446','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#11.html',1,'2024-07-05 18:23:57'),
	(3677,'WOF091200006-WOB00008','WOG00447','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#12.png',1,'2024-07-05 18:23:57'),
	(3678,'WOF091200006-WOB00008','WOG00447','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#12.html',1,'2024-07-05 18:23:57'),
	(3679,'WOF091200006-WOB00008','WOG00448','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#13.png',1,'2024-07-05 18:23:57'),
	(3680,'WOF091200006-WOB00008','WOG00448','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#13.html',1,'2024-07-05 18:23:57'),
	(3681,'WOF091200006-WOB00008','WOG00449','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#14.png',1,'2024-07-05 18:23:57'),
	(3682,'WOF091200006-WOB00008','WOG00449','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#14.html',1,'2024-07-05 18:23:57'),
	(3683,'WOF091200006-WOB00008','WOG00450','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#15.png',1,'2024-07-05 18:23:57'),
	(3684,'WOF091200006-WOB00008','WOG00450','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#15.html',1,'2024-07-05 18:23:57'),
	(3685,'WOF091200006-WOB00008','WOG00451','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#16.png',1,'2024-07-05 18:23:57'),
	(3686,'WOF091200006-WOB00008','WOG00451','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#16.html',1,'2024-07-05 18:23:57'),
	(3687,'WOF091200006-WOB00008','WOG00452','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#17.png',1,'2024-07-05 18:23:57'),
	(3688,'WOF091200006-WOB00008','WOG00452','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#17.html',1,'2024-07-05 18:23:57'),
	(3689,'WOF091200006-WOB00008','WOG00453','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#18.png',1,'2024-07-05 18:23:57'),
	(3690,'WOF091200006-WOB00008','WOG00453','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#18.html',1,'2024-07-05 18:23:57'),
	(3691,'WOF091200006-WOB00008','WOG00454','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#19.png',1,'2024-07-05 18:23:57'),
	(3692,'WOF091200006-WOB00008','WOG00454','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#19.html',1,'2024-07-05 18:23:57'),
	(3693,'WOF091200006-WOB00008','WOG00455','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#20.png',1,'2024-07-05 18:23:57'),
	(3694,'WOF091200006-WOB00008','WOG00455','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#20.html',1,'2024-07-05 18:23:57'),
	(3695,'WOF091200006-WOB00008','WOG00456','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#21.png',1,'2024-07-05 18:23:57'),
	(3696,'WOF091200006-WOB00008','WOG00456','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#21.html',1,'2024-07-05 18:23:57'),
	(3697,'WOF091200006-WOB00008','WOG00457','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#22.png',1,'2024-07-05 18:23:57'),
	(3698,'WOF091200006-WOB00008','WOG00457','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#22.html',1,'2024-07-05 18:23:57'),
	(3699,'WOF091200006-WOB00008','WOG00458','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#23.png',1,'2024-07-05 18:23:57'),
	(3700,'WOF091200006-WOB00008','WOG00458','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#23.html',1,'2024-07-05 18:23:57'),
	(3701,'WOF091200006-WOB00008','WOG00459','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#24.png',1,'2024-07-05 18:23:57'),
	(3702,'WOF091200006-WOB00008','WOG00459','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#24.html',1,'2024-07-05 18:23:57'),
	(3703,'WOF091200006-WOB00008','WOG00460','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#25.png',1,'2024-07-05 18:23:57'),
	(3704,'WOF091200006-WOB00008','WOG00460','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#25.html',1,'2024-07-05 18:23:57'),
	(3705,'WOF091200006-WOB00008','WOG00461','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#26.png',1,'2024-07-05 18:23:57'),
	(3706,'WOF091200006-WOB00008','WOG00461','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#26.html',1,'2024-07-05 18:23:57'),
	(3707,'WOF091200006-WOB00008','WOG00462','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#27.png',1,'2024-07-05 18:23:57'),
	(3708,'WOF091200006-WOB00008','WOG00462','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#27.html',1,'2024-07-05 18:23:57'),
	(3709,'WOF091200006-WOB00008','WOG00463','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#28.png',1,'2024-07-05 18:23:57'),
	(3710,'WOF091200006-WOB00008','WOG00463','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#28.html',1,'2024-07-05 18:23:57'),
	(3711,'WOF091200006-WOB00008','WOG00464','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#29.png',1,'2024-07-05 18:23:57'),
	(3712,'WOF091200006-WOB00008','WOG00464','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#29.html',1,'2024-07-05 18:23:57'),
	(3713,'WOF091200006-WOB00008','WOG00465','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#30.png',1,'2024-07-05 18:23:57'),
	(3714,'WOF091200006-WOB00008','WOG00465','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#30.html',1,'2024-07-05 18:23:57'),
	(3715,'WOF091200006-WOB00008','WOG00466','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#31.png',1,'2024-07-05 18:23:57'),
	(3716,'WOF091200006-WOB00008','WOG00466','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#31.html',1,'2024-07-05 18:23:57'),
	(3717,'WOF091200006-WOB00008','WOG00467','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#32.png',1,'2024-07-05 18:23:57'),
	(3718,'WOF091200006-WOB00008','WOG00467','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#32.html',1,'2024-07-05 18:23:57'),
	(3719,'WOF091200006-WOB00008','WOG00468','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#33.png',1,'2024-07-05 18:23:57'),
	(3720,'WOF091200006-WOB00008','WOG00468','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/automatic/#33.html',1,'2024-07-05 18:23:57'),
	(3721,'WOF091200006-WOB00008','WOG00436','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#01.png',1,'2024-07-05 18:23:57'),
	(3722,'WOF091200006-WOB00008','WOG00436','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#01.html',1,'2024-07-05 18:23:57'),
	(3723,'WOF091200006-WOB00008','WOG00437','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#02.png',1,'2024-07-05 18:23:57'),
	(3724,'WOF091200006-WOB00008','WOG00437','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#02.html',1,'2024-07-05 18:23:57'),
	(3725,'WOF091200006-WOB00008','WOG00438','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#03.png',1,'2024-07-05 18:23:57'),
	(3726,'WOF091200006-WOB00008','WOG00438','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#03.html',1,'2024-07-05 18:23:57'),
	(3727,'WOF091200006-WOB00008','WOG00439','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#04.png',1,'2024-07-05 18:23:57'),
	(3728,'WOF091200006-WOB00008','WOG00439','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#04.html',1,'2024-07-05 18:23:57'),
	(3729,'WOF091200006-WOB00008','WOG00440','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#05.png',1,'2024-07-05 18:23:57'),
	(3730,'WOF091200006-WOB00008','WOG00440','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#05.html',1,'2024-07-05 18:23:57'),
	(3731,'WOF091200006-WOB00008','WOG00441','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#06.png',1,'2024-07-05 18:23:57'),
	(3732,'WOF091200006-WOB00008','WOG00441','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#06.html',1,'2024-07-05 18:23:57'),
	(3733,'WOF091200006-WOB00008','WOG00442','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#07.png',1,'2024-07-05 18:23:57'),
	(3734,'WOF091200006-WOB00008','WOG00442','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#07.html',1,'2024-07-05 18:23:57'),
	(3735,'WOF091200006-WOB00008','WOG00443','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#08.png',1,'2024-07-05 18:23:57'),
	(3736,'WOF091200006-WOB00008','WOG00443','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#08.html',1,'2024-07-05 18:23:57'),
	(3737,'WOF091200006-WOB00008','WOG00444','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#09.png',1,'2024-07-05 18:23:57'),
	(3738,'WOF091200006-WOB00008','WOG00444','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#09.html',1,'2024-07-05 18:23:57'),
	(3739,'WOF091200006-WOB00008','WOG00445','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#10.png',1,'2024-07-05 18:23:57'),
	(3740,'WOF091200006-WOB00008','WOG00445','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#10.html',1,'2024-07-05 18:23:57'),
	(3741,'WOF091200006-WOB00008','WOG00446','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#11.png',1,'2024-07-05 18:23:57'),
	(3742,'WOF091200006-WOB00008','WOG00446','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#11.html',1,'2024-07-05 18:23:57'),
	(3743,'WOF091200006-WOB00008','WOG00447','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#12.png',1,'2024-07-05 18:23:57'),
	(3744,'WOF091200006-WOB00008','WOG00447','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#12.html',1,'2024-07-05 18:23:57'),
	(3745,'WOF091200006-WOB00008','WOG00448','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#13.png',1,'2024-07-05 18:23:57'),
	(3746,'WOF091200006-WOB00008','WOG00448','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#13.html',1,'2024-07-05 18:23:57'),
	(3747,'WOF091200006-WOB00008','WOG00449','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#14.png',1,'2024-07-05 18:23:57'),
	(3748,'WOF091200006-WOB00008','WOG00449','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#14.html',1,'2024-07-05 18:23:57'),
	(3749,'WOF091200006-WOB00008','WOG00450','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#15.png',1,'2024-07-05 18:23:57'),
	(3750,'WOF091200006-WOB00008','WOG00450','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#15.html',1,'2024-07-05 18:23:57'),
	(3751,'WOF091200006-WOB00008','WOG00451','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#16.png',1,'2024-07-05 18:23:57'),
	(3752,'WOF091200006-WOB00008','WOG00451','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#16.html',1,'2024-07-05 18:23:57'),
	(3753,'WOF091200006-WOB00008','WOG00452','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#17.png',1,'2024-07-05 18:23:57'),
	(3754,'WOF091200006-WOB00008','WOG00452','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#17.html',1,'2024-07-05 18:23:57'),
	(3755,'WOF091200006-WOB00008','WOG00453','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#18.png',1,'2024-07-05 18:23:57'),
	(3756,'WOF091200006-WOB00008','WOG00453','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#18.html',1,'2024-07-05 18:23:57'),
	(3757,'WOF091200006-WOB00008','WOG00454','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#19.png',1,'2024-07-05 18:23:57'),
	(3758,'WOF091200006-WOB00008','WOG00454','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#19.html',1,'2024-07-05 18:23:57'),
	(3759,'WOF091200006-WOB00008','WOG00455','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#20.png',1,'2024-07-05 18:23:57'),
	(3760,'WOF091200006-WOB00008','WOG00455','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#20.html',1,'2024-07-05 18:23:57'),
	(3761,'WOF091200006-WOB00008','WOG00456','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#21.png',1,'2024-07-05 18:23:57'),
	(3762,'WOF091200006-WOB00008','WOG00456','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#21.html',1,'2024-07-05 18:23:57'),
	(3763,'WOF091200006-WOB00008','WOG00457','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#22.png',1,'2024-07-05 18:23:57'),
	(3764,'WOF091200006-WOB00008','WOG00457','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#22.html',1,'2024-07-05 18:23:57'),
	(3765,'WOF091200006-WOB00008','WOG00458','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#23.png',1,'2024-07-05 18:23:57'),
	(3766,'WOF091200006-WOB00008','WOG00458','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#23.html',1,'2024-07-05 18:23:57'),
	(3767,'WOF091200006-WOB00008','WOG00459','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#24.png',1,'2024-07-05 18:23:57'),
	(3768,'WOF091200006-WOB00008','WOG00459','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#24.html',1,'2024-07-05 18:23:57'),
	(3769,'WOF091200006-WOB00008','WOG00460','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#25.png',1,'2024-07-05 18:23:57'),
	(3770,'WOF091200006-WOB00008','WOG00460','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#25.html',1,'2024-07-05 18:23:57'),
	(3771,'WOF091200006-WOB00008','WOG00461','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#26.png',1,'2024-07-05 18:23:57'),
	(3772,'WOF091200006-WOB00008','WOG00461','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#26.html',1,'2024-07-05 18:23:57'),
	(3773,'WOF091200006-WOB00008','WOG00462','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#27.png',1,'2024-07-05 18:23:57'),
	(3774,'WOF091200006-WOB00008','WOG00462','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#27.html',1,'2024-07-05 18:23:57'),
	(3775,'WOF091200006-WOB00008','WOG00463','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#28.png',1,'2024-07-05 18:23:57'),
	(3776,'WOF091200006-WOB00008','WOG00463','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#28.html',1,'2024-07-05 18:23:57'),
	(3777,'WOF091200006-WOB00008','WOG00464','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#29.png',1,'2024-07-05 18:23:57'),
	(3778,'WOF091200006-WOB00008','WOG00464','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#29.html',1,'2024-07-05 18:23:57'),
	(3779,'WOF091200006-WOB00008','WOG00465','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#30.png',1,'2024-07-05 18:23:57'),
	(3780,'WOF091200006-WOB00008','WOG00465','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#30.html',1,'2024-07-05 18:23:57'),
	(3781,'WOF091200006-WOB00008','WOG00466','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#31.png',1,'2024-07-05 18:23:57'),
	(3782,'WOF091200006-WOB00008','WOG00466','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#31.html',1,'2024-07-05 18:23:57'),
	(3783,'WOF091200006-WOB00008','WOG00467','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#32.png',1,'2024-07-05 18:23:57'),
	(3784,'WOF091200006-WOB00008','WOG00467','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#32.html',1,'2024-07-05 18:23:57'),
	(3785,'WOF091200006-WOB00008','WOG00468','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#33.png',1,'2024-07-05 18:23:57'),
	(3786,'WOF091200006-WOB00008','WOG00468','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#33.html',1,'2024-07-05 18:23:57'),
	(3787,'WOF091200006-WOB00008','WOG00436','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#01_3D.html',1,'2024-07-05 18:23:57'),
	(3788,'WOF091200006-WOB00008','WOG00437','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#02_3D.html',1,'2024-07-05 18:23:57'),
	(3789,'WOF091200006-WOB00008','WOG00438','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#03_3D.html',1,'2024-07-05 18:23:57'),
	(3790,'WOF091200006-WOB00008','WOG00439','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#04_3D.html',1,'2024-07-05 18:23:57'),
	(3791,'WOF091200006-WOB00008','WOG00440','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#05_3D.html',1,'2024-07-05 18:23:57'),
	(3792,'WOF091200006-WOB00008','WOG00441','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#06_3D.html',1,'2024-07-05 18:23:57'),
	(3793,'WOF091200006-WOB00008','WOG00442','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#07_3D.html',1,'2024-07-05 18:23:57'),
	(3794,'WOF091200006-WOB00008','WOG00443','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#08_3D.html',1,'2024-07-05 18:23:57'),
	(3795,'WOF091200006-WOB00008','WOG00444','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#09_3D.html',1,'2024-07-05 18:23:57'),
	(3796,'WOF091200006-WOB00008','WOG00445','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#10_3D.html',1,'2024-07-05 18:23:57'),
	(3797,'WOF091200006-WOB00008','WOG00446','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#11_3D.html',1,'2024-07-05 18:23:57'),
	(3798,'WOF091200006-WOB00008','WOG00447','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#12_3D.html',1,'2024-07-05 18:23:57'),
	(3799,'WOF091200006-WOB00008','WOG00448','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#13_3D.html',1,'2024-07-05 18:23:57'),
	(3800,'WOF091200006-WOB00008','WOG00449','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#14_3D.html',1,'2024-07-05 18:23:57'),
	(3801,'WOF091200006-WOB00008','WOG00450','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#15_3D.html',1,'2024-07-05 18:23:57'),
	(3802,'WOF091200006-WOB00008','WOG00451','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#16_3D.html',1,'2024-07-05 18:23:57'),
	(3803,'WOF091200006-WOB00008','WOG00452','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#17_3D.html',1,'2024-07-05 18:23:57'),
	(3804,'WOF091200006-WOB00008','WOG00453','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#18_3D.html',1,'2024-07-05 18:23:57'),
	(3805,'WOF091200006-WOB00008','WOG00454','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#19_3D.html',1,'2024-07-05 18:23:57'),
	(3806,'WOF091200006-WOB00008','WOG00455','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#20_3D.html',1,'2024-07-05 18:23:57'),
	(3807,'WOF091200006-WOB00008','WOG00456','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#21_3D.html',1,'2024-07-05 18:23:57'),
	(3808,'WOF091200006-WOB00008','WOG00457','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#22_3D.html',1,'2024-07-05 18:23:57'),
	(3809,'WOF091200006-WOB00008','WOG00458','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#23_3D.html',1,'2024-07-05 18:23:57'),
	(3810,'WOF091200006-WOB00008','WOG00459','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#24_3D.html',1,'2024-07-05 18:23:57'),
	(3811,'WOF091200006-WOB00008','WOG00460','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#25_3D.html',1,'2024-07-05 18:23:57'),
	(3812,'WOF091200006-WOB00008','WOG00461','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#26_3D.html',1,'2024-07-05 18:23:57'),
	(3813,'WOF091200006-WOB00008','WOG00462','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#27_3D.html',1,'2024-07-05 18:23:57'),
	(3814,'WOF091200006-WOB00008','WOG00463','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#28_3D.html',1,'2024-07-05 18:23:57'),
	(3815,'WOF091200006-WOB00008','WOG00464','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#29_3D.html',1,'2024-07-05 18:23:57'),
	(3816,'WOF091200006-WOB00008','WOG00465','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#30_3D.html',1,'2024-07-05 18:23:57'),
	(3817,'WOF091200006-WOB00008','WOG00466','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#31_3D.html',1,'2024-07-05 18:23:57'),
	(3818,'WOF091200006-WOB00008','WOG00467','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#32_3D.html',1,'2024-07-05 18:23:57'),
	(3819,'WOF091200006-WOB00008','WOG00468','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/#33_3D.html',1,'2024-07-05 18:23:57'),
	(3820,'WOF091200006-WOB00008','WOG00436','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#01.png',1,'2024-07-05 18:23:57'),
	(3821,'WOF091200006-WOB00008','WOG00436','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#01.html',1,'2024-07-05 18:23:57'),
	(3822,'WOF091200006-WOB00008','WOG00437','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#02.png',1,'2024-07-05 18:23:57'),
	(3823,'WOF091200006-WOB00008','WOG00437','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#02.html',1,'2024-07-05 18:23:57'),
	(3824,'WOF091200006-WOB00008','WOG00438','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#03.png',1,'2024-07-05 18:23:57'),
	(3825,'WOF091200006-WOB00008','WOG00438','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#03.html',1,'2024-07-05 18:23:57'),
	(3826,'WOF091200006-WOB00008','WOG00439','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#04.png',1,'2024-07-05 18:23:57'),
	(3827,'WOF091200006-WOB00008','WOG00439','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#04.html',1,'2024-07-05 18:23:57'),
	(3828,'WOF091200006-WOB00008','WOG00440','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#05.png',1,'2024-07-05 18:23:57'),
	(3829,'WOF091200006-WOB00008','WOG00440','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#05.html',1,'2024-07-05 18:23:57'),
	(3830,'WOF091200006-WOB00008','WOG00441','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#06.png',1,'2024-07-05 18:23:57'),
	(3831,'WOF091200006-WOB00008','WOG00441','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#06.html',1,'2024-07-05 18:23:57'),
	(3832,'WOF091200006-WOB00008','WOG00442','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#07.png',1,'2024-07-05 18:23:57'),
	(3833,'WOF091200006-WOB00008','WOG00442','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#07.html',1,'2024-07-05 18:23:57'),
	(3834,'WOF091200006-WOB00008','WOG00443','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#08.png',1,'2024-07-05 18:23:57'),
	(3835,'WOF091200006-WOB00008','WOG00443','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#08.html',1,'2024-07-05 18:23:57'),
	(3836,'WOF091200006-WOB00008','WOG00444','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#09.png',1,'2024-07-05 18:23:57'),
	(3837,'WOF091200006-WOB00008','WOG00444','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#09.html',1,'2024-07-05 18:23:57'),
	(3838,'WOF091200006-WOB00008','WOG00445','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#10.png',1,'2024-07-05 18:23:57'),
	(3839,'WOF091200006-WOB00008','WOG00445','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#10.html',1,'2024-07-05 18:23:57'),
	(3840,'WOF091200006-WOB00008','WOG00446','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#11.png',1,'2024-07-05 18:23:57'),
	(3841,'WOF091200006-WOB00008','WOG00446','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#11.html',1,'2024-07-05 18:23:57'),
	(3842,'WOF091200006-WOB00008','WOG00447','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#12.png',1,'2024-07-05 18:23:57'),
	(3843,'WOF091200006-WOB00008','WOG00447','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#12.html',1,'2024-07-05 18:23:57'),
	(3844,'WOF091200006-WOB00008','WOG00448','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#13.png',1,'2024-07-05 18:23:57'),
	(3845,'WOF091200006-WOB00008','WOG00448','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#13.html',1,'2024-07-05 18:23:57'),
	(3846,'WOF091200006-WOB00008','WOG00449','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#14.png',1,'2024-07-05 18:23:57'),
	(3847,'WOF091200006-WOB00008','WOG00449','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#14.html',1,'2024-07-05 18:23:57'),
	(3848,'WOF091200006-WOB00008','WOG00450','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#15.png',1,'2024-07-05 18:23:57'),
	(3849,'WOF091200006-WOB00008','WOG00450','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#15.html',1,'2024-07-05 18:23:57'),
	(3850,'WOF091200006-WOB00008','WOG00451','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#16.png',1,'2024-07-05 18:23:57'),
	(3851,'WOF091200006-WOB00008','WOG00451','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#16.html',1,'2024-07-05 18:23:57'),
	(3852,'WOF091200006-WOB00008','WOG00452','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#17.png',1,'2024-07-05 18:23:57'),
	(3853,'WOF091200006-WOB00008','WOG00452','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#17.html',1,'2024-07-05 18:23:57'),
	(3854,'WOF091200006-WOB00008','WOG00453','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#18.png',1,'2024-07-05 18:23:57'),
	(3855,'WOF091200006-WOB00008','WOG00453','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#18.html',1,'2024-07-05 18:23:57'),
	(3856,'WOF091200006-WOB00008','WOG00454','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#19.png',1,'2024-07-05 18:23:57'),
	(3857,'WOF091200006-WOB00008','WOG00454','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#19.html',1,'2024-07-05 18:23:57'),
	(3858,'WOF091200006-WOB00008','WOG00455','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#20.png',1,'2024-07-05 18:23:57'),
	(3859,'WOF091200006-WOB00008','WOG00455','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#20.html',1,'2024-07-05 18:23:57'),
	(3860,'WOF091200006-WOB00008','WOG00456','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#21.png',1,'2024-07-05 18:23:57'),
	(3861,'WOF091200006-WOB00008','WOG00456','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#21.html',1,'2024-07-05 18:23:57'),
	(3862,'WOF091200006-WOB00008','WOG00457','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#22.png',1,'2024-07-05 18:23:57'),
	(3863,'WOF091200006-WOB00008','WOG00457','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#22.html',1,'2024-07-05 18:23:57'),
	(3864,'WOF091200006-WOB00008','WOG00458','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#23.png',1,'2024-07-05 18:23:57'),
	(3865,'WOF091200006-WOB00008','WOG00458','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#23.html',1,'2024-07-05 18:23:57'),
	(3866,'WOF091200006-WOB00008','WOG00459','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#24.png',1,'2024-07-05 18:23:57'),
	(3867,'WOF091200006-WOB00008','WOG00459','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#24.html',1,'2024-07-05 18:23:57'),
	(3868,'WOF091200006-WOB00008','WOG00460','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#25.png',1,'2024-07-05 18:23:57'),
	(3869,'WOF091200006-WOB00008','WOG00460','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#25.html',1,'2024-07-05 18:23:57'),
	(3870,'WOF091200006-WOB00008','WOG00461','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#26.png',1,'2024-07-05 18:23:57'),
	(3871,'WOF091200006-WOB00008','WOG00461','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#26.html',1,'2024-07-05 18:23:57'),
	(3872,'WOF091200006-WOB00008','WOG00462','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#27.png',1,'2024-07-05 18:23:57'),
	(3873,'WOF091200006-WOB00008','WOG00462','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#27.html',1,'2024-07-05 18:23:57'),
	(3874,'WOF091200006-WOB00008','WOG00463','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#28.png',1,'2024-07-05 18:23:57'),
	(3875,'WOF091200006-WOB00008','WOG00463','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#28.html',1,'2024-07-05 18:23:57'),
	(3876,'WOF091200006-WOB00008','WOG00464','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#29.png',1,'2024-07-05 18:23:57'),
	(3877,'WOF091200006-WOB00008','WOG00464','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#29.html',1,'2024-07-05 18:23:57'),
	(3878,'WOF091200006-WOB00008','WOG00465','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#30.png',1,'2024-07-05 18:23:57'),
	(3879,'WOF091200006-WOB00008','WOG00465','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#30.html',1,'2024-07-05 18:23:57'),
	(3880,'WOF091200006-WOB00008','WOG00466','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#31.png',1,'2024-07-05 18:23:57'),
	(3881,'WOF091200006-WOB00008','WOG00466','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#31.html',1,'2024-07-05 18:23:57'),
	(3882,'WOF091200006-WOB00008','WOG00467','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#32.png',1,'2024-07-05 18:23:57'),
	(3883,'WOF091200006-WOB00008','WOG00467','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#32.html',1,'2024-07-05 18:23:57'),
	(3884,'WOF091200006-WOB00008','WOG00468','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#33.png',1,'2024-07-05 18:23:57'),
	(3885,'WOF091200006-WOB00008','WOG00468','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#33.html',1,'2024-07-05 18:23:57'),
	(3886,'WOF091200006-WOB00008','WOG00436','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#01_3D.html',1,'2024-07-05 18:23:57'),
	(3887,'WOF091200006-WOB00008','WOG00437','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#02_3D.html',1,'2024-07-05 18:23:57'),
	(3888,'WOF091200006-WOB00008','WOG00438','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#03_3D.html',1,'2024-07-05 18:23:57'),
	(3889,'WOF091200006-WOB00008','WOG00439','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#04_3D.html',1,'2024-07-05 18:23:57'),
	(3890,'WOF091200006-WOB00008','WOG00440','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#05_3D.html',1,'2024-07-05 18:23:57'),
	(3891,'WOF091200006-WOB00008','WOG00441','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#06_3D.html',1,'2024-07-05 18:23:57'),
	(3892,'WOF091200006-WOB00008','WOG00442','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#07_3D.html',1,'2024-07-05 18:23:57'),
	(3893,'WOF091200006-WOB00008','WOG00443','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#08_3D.html',1,'2024-07-05 18:23:57'),
	(3894,'WOF091200006-WOB00008','WOG00444','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#09_3D.html',1,'2024-07-05 18:23:57'),
	(3895,'WOF091200006-WOB00008','WOG00445','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#10_3D.html',1,'2024-07-05 18:23:57'),
	(3896,'WOF091200006-WOB00008','WOG00446','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#11_3D.html',1,'2024-07-05 18:23:57'),
	(3897,'WOF091200006-WOB00008','WOG00447','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#12_3D.html',1,'2024-07-05 18:23:57'),
	(3898,'WOF091200006-WOB00008','WOG00448','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#13_3D.html',1,'2024-07-05 18:23:57'),
	(3899,'WOF091200006-WOB00008','WOG00449','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#14_3D.html',1,'2024-07-05 18:23:57'),
	(3900,'WOF091200006-WOB00008','WOG00450','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#15_3D.html',1,'2024-07-05 18:23:57'),
	(3901,'WOF091200006-WOB00008','WOG00451','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#16_3D.html',1,'2024-07-05 18:23:57'),
	(3902,'WOF091200006-WOB00008','WOG00452','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#17_3D.html',1,'2024-07-05 18:23:57'),
	(3903,'WOF091200006-WOB00008','WOG00453','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#18_3D.html',1,'2024-07-05 18:23:57'),
	(3904,'WOF091200006-WOB00008','WOG00454','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#19_3D.html',1,'2024-07-05 18:23:57'),
	(3905,'WOF091200006-WOB00008','WOG00455','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#20_3D.html',1,'2024-07-05 18:23:57'),
	(3906,'WOF091200006-WOB00008','WOG00456','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#21_3D.html',1,'2024-07-05 18:23:57'),
	(3907,'WOF091200006-WOB00008','WOG00457','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#22_3D.html',1,'2024-07-05 18:23:57'),
	(3908,'WOF091200006-WOB00008','WOG00458','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#23_3D.html',1,'2024-07-05 18:23:57'),
	(3909,'WOF091200006-WOB00008','WOG00459','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#24_3D.html',1,'2024-07-05 18:23:57'),
	(3910,'WOF091200006-WOB00008','WOG00460','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#25_3D.html',1,'2024-07-05 18:23:57'),
	(3911,'WOF091200006-WOB00008','WOG00461','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#26_3D.html',1,'2024-07-05 18:23:57'),
	(3912,'WOF091200006-WOB00008','WOG00462','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#27_3D.html',1,'2024-07-05 18:23:57'),
	(3913,'WOF091200006-WOB00008','WOG00463','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#28_3D.html',1,'2024-07-05 18:23:57'),
	(3914,'WOF091200006-WOB00008','WOG00464','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#29_3D.html',1,'2024-07-05 18:23:57'),
	(3915,'WOF091200006-WOB00008','WOG00465','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#30_3D.html',1,'2024-07-05 18:23:57'),
	(3916,'WOF091200006-WOB00008','WOG00466','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#31_3D.html',1,'2024-07-05 18:23:57'),
	(3917,'WOF091200006-WOB00008','WOG00467','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#32_3D.html',1,'2024-07-05 18:23:57'),
	(3918,'WOF091200006-WOB00008','WOG00468','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/#33_3D.html',1,'2024-07-05 18:23:57'),
	(3919,'WOF091200006-WOB00008','WOG00436','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#01.png',1,'2024-07-05 18:23:57'),
	(3920,'WOF091200006-WOB00008','WOG00436','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#01.html',1,'2024-07-05 18:23:57'),
	(3921,'WOF091200006-WOB00008','WOG00437','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#02.png',1,'2024-07-05 18:23:57'),
	(3922,'WOF091200006-WOB00008','WOG00437','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#02.html',1,'2024-07-05 18:23:57'),
	(3923,'WOF091200006-WOB00008','WOG00438','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#03.png',1,'2024-07-05 18:23:57');

INSERT INTO `analysis_diagram_relation` (`id`, `batch_code`, `field_engine_code`, `analysis_type_code`, `file_addr`, `auto_analysis`, `create_time`)
VALUES
	(3924,'WOF091200006-WOB00008','WOG00438','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#03.html',1,'2024-07-05 18:23:57'),
	(3925,'WOF091200006-WOB00008','WOG00439','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#04.png',1,'2024-07-05 18:23:57'),
	(3926,'WOF091200006-WOB00008','WOG00439','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#04.html',1,'2024-07-05 18:23:57'),
	(3927,'WOF091200006-WOB00008','WOG00440','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#05.png',1,'2024-07-05 18:23:57'),
	(3928,'WOF091200006-WOB00008','WOG00440','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#05.html',1,'2024-07-05 18:23:57'),
	(3929,'WOF091200006-WOB00008','WOG00441','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#06.png',1,'2024-07-05 18:23:57'),
	(3930,'WOF091200006-WOB00008','WOG00441','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#06.html',1,'2024-07-05 18:23:57'),
	(3931,'WOF091200006-WOB00008','WOG00442','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#07.png',1,'2024-07-05 18:23:57'),
	(3932,'WOF091200006-WOB00008','WOG00442','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#07.html',1,'2024-07-05 18:23:57'),
	(3933,'WOF091200006-WOB00008','WOG00443','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#08.png',1,'2024-07-05 18:23:57'),
	(3934,'WOF091200006-WOB00008','WOG00443','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#08.html',1,'2024-07-05 18:23:57'),
	(3935,'WOF091200006-WOB00008','WOG00444','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#09.png',1,'2024-07-05 18:23:57'),
	(3936,'WOF091200006-WOB00008','WOG00444','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#09.html',1,'2024-07-05 18:23:57'),
	(3937,'WOF091200006-WOB00008','WOG00445','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#10.png',1,'2024-07-05 18:23:57'),
	(3938,'WOF091200006-WOB00008','WOG00445','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#10.html',1,'2024-07-05 18:23:57'),
	(3939,'WOF091200006-WOB00008','WOG00446','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#11.png',1,'2024-07-05 18:23:57'),
	(3940,'WOF091200006-WOB00008','WOG00446','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#11.html',1,'2024-07-05 18:23:57'),
	(3941,'WOF091200006-WOB00008','WOG00447','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#12.png',1,'2024-07-05 18:23:57'),
	(3942,'WOF091200006-WOB00008','WOG00447','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#12.html',1,'2024-07-05 18:23:57'),
	(3943,'WOF091200006-WOB00008','WOG00448','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#13.png',1,'2024-07-05 18:23:57'),
	(3944,'WOF091200006-WOB00008','WOG00448','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#13.html',1,'2024-07-05 18:23:57'),
	(3945,'WOF091200006-WOB00008','WOG00449','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#14.png',1,'2024-07-05 18:23:57'),
	(3946,'WOF091200006-WOB00008','WOG00449','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#14.html',1,'2024-07-05 18:23:57'),
	(3947,'WOF091200006-WOB00008','WOG00450','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#15.png',1,'2024-07-05 18:23:57'),
	(3948,'WOF091200006-WOB00008','WOG00450','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#15.html',1,'2024-07-05 18:23:57'),
	(3949,'WOF091200006-WOB00008','WOG00451','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#16.png',1,'2024-07-05 18:23:57'),
	(3950,'WOF091200006-WOB00008','WOG00451','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#16.html',1,'2024-07-05 18:23:57'),
	(3951,'WOF091200006-WOB00008','WOG00452','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#17.png',1,'2024-07-05 18:23:57'),
	(3952,'WOF091200006-WOB00008','WOG00452','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#17.html',1,'2024-07-05 18:23:57'),
	(3953,'WOF091200006-WOB00008','WOG00453','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#18.png',1,'2024-07-05 18:23:57'),
	(3954,'WOF091200006-WOB00008','WOG00453','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#18.html',1,'2024-07-05 18:23:57'),
	(3955,'WOF091200006-WOB00008','WOG00454','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#19.png',1,'2024-07-05 18:23:57'),
	(3956,'WOF091200006-WOB00008','WOG00454','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#19.html',1,'2024-07-05 18:23:57'),
	(3957,'WOF091200006-WOB00008','WOG00455','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#20.png',1,'2024-07-05 18:23:57'),
	(3958,'WOF091200006-WOB00008','WOG00455','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#20.html',1,'2024-07-05 18:23:57'),
	(3959,'WOF091200006-WOB00008','WOG00456','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#21.png',1,'2024-07-05 18:23:57'),
	(3960,'WOF091200006-WOB00008','WOG00456','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#21.html',1,'2024-07-05 18:23:57'),
	(3961,'WOF091200006-WOB00008','WOG00457','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#22.png',1,'2024-07-05 18:23:57'),
	(3962,'WOF091200006-WOB00008','WOG00457','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#22.html',1,'2024-07-05 18:23:57'),
	(3963,'WOF091200006-WOB00008','WOG00458','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#23.png',1,'2024-07-05 18:23:57'),
	(3964,'WOF091200006-WOB00008','WOG00458','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#23.html',1,'2024-07-05 18:23:57'),
	(3965,'WOF091200006-WOB00008','WOG00459','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#24.png',1,'2024-07-05 18:23:57'),
	(3966,'WOF091200006-WOB00008','WOG00459','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#24.html',1,'2024-07-05 18:23:57'),
	(3967,'WOF091200006-WOB00008','WOG00460','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#25.png',1,'2024-07-05 18:23:57'),
	(3968,'WOF091200006-WOB00008','WOG00460','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#25.html',1,'2024-07-05 18:23:57'),
	(3969,'WOF091200006-WOB00008','WOG00461','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#26.png',1,'2024-07-05 18:23:57'),
	(3970,'WOF091200006-WOB00008','WOG00461','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#26.html',1,'2024-07-05 18:23:57'),
	(3971,'WOF091200006-WOB00008','WOG00462','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#27.png',1,'2024-07-05 18:23:57'),
	(3972,'WOF091200006-WOB00008','WOG00462','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#27.html',1,'2024-07-05 18:23:57'),
	(3973,'WOF091200006-WOB00008','WOG00463','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#28.png',1,'2024-07-05 18:23:57'),
	(3974,'WOF091200006-WOB00008','WOG00463','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#28.html',1,'2024-07-05 18:23:57'),
	(3975,'WOF091200006-WOB00008','WOG00464','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#29.png',1,'2024-07-05 18:23:57'),
	(3976,'WOF091200006-WOB00008','WOG00464','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#29.html',1,'2024-07-05 18:23:57'),
	(3977,'WOF091200006-WOB00008','WOG00465','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#30.png',1,'2024-07-05 18:23:57'),
	(3978,'WOF091200006-WOB00008','WOG00465','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#30.html',1,'2024-07-05 18:23:57'),
	(3979,'WOF091200006-WOB00008','WOG00466','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#31.png',1,'2024-07-05 18:23:57'),
	(3980,'WOF091200006-WOB00008','WOG00466','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#31.html',1,'2024-07-05 18:23:57'),
	(3981,'WOF091200006-WOB00008','WOG00467','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#32.png',1,'2024-07-05 18:23:57'),
	(3982,'WOF091200006-WOB00008','WOG00467','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#32.html',1,'2024-07-05 18:23:57'),
	(3983,'WOF091200006-WOB00008','WOG00468','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#33.png',1,'2024-07-05 18:23:57'),
	(3984,'WOF091200006-WOB00008','WOG00468','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/#33.html',1,'2024-07-05 18:23:57'),
	(3985,'WOF091200006-WOB00008','WOG00436','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#01.png',1,'2024-07-05 18:23:57'),
	(3986,'WOF091200006-WOB00008','WOG00436','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#01.html',1,'2024-07-05 18:23:57'),
	(3987,'WOF091200006-WOB00008','WOG00437','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#02.png',1,'2024-07-05 18:23:57'),
	(3988,'WOF091200006-WOB00008','WOG00437','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#02.html',1,'2024-07-05 18:23:57'),
	(3989,'WOF091200006-WOB00008','WOG00438','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#03.png',1,'2024-07-05 18:23:57'),
	(3990,'WOF091200006-WOB00008','WOG00438','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#03.html',1,'2024-07-05 18:23:57'),
	(3991,'WOF091200006-WOB00008','WOG00439','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#04.png',1,'2024-07-05 18:23:57'),
	(3992,'WOF091200006-WOB00008','WOG00439','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#04.html',1,'2024-07-05 18:23:57'),
	(3993,'WOF091200006-WOB00008','WOG00440','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#05.png',1,'2024-07-05 18:23:57'),
	(3994,'WOF091200006-WOB00008','WOG00440','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#05.html',1,'2024-07-05 18:23:57'),
	(3995,'WOF091200006-WOB00008','WOG00441','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#06.png',1,'2024-07-05 18:23:57'),
	(3996,'WOF091200006-WOB00008','WOG00441','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#06.html',1,'2024-07-05 18:23:57'),
	(3997,'WOF091200006-WOB00008','WOG00442','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#07.png',1,'2024-07-05 18:23:57'),
	(3998,'WOF091200006-WOB00008','WOG00442','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#07.html',1,'2024-07-05 18:23:57'),
	(3999,'WOF091200006-WOB00008','WOG00443','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#08.png',1,'2024-07-05 18:23:57'),
	(4000,'WOF091200006-WOB00008','WOG00443','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#08.html',1,'2024-07-05 18:23:57'),
	(4001,'WOF091200006-WOB00008','WOG00444','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#09.png',1,'2024-07-05 18:23:57'),
	(4002,'WOF091200006-WOB00008','WOG00444','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#09.html',1,'2024-07-05 18:23:57'),
	(4003,'WOF091200006-WOB00008','WOG00445','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#10.png',1,'2024-07-05 18:23:57'),
	(4004,'WOF091200006-WOB00008','WOG00445','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#10.html',1,'2024-07-05 18:23:57'),
	(4005,'WOF091200006-WOB00008','WOG00446','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#11.png',1,'2024-07-05 18:23:57'),
	(4006,'WOF091200006-WOB00008','WOG00446','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#11.html',1,'2024-07-05 18:23:57'),
	(4007,'WOF091200006-WOB00008','WOG00447','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#12.png',1,'2024-07-05 18:23:57'),
	(4008,'WOF091200006-WOB00008','WOG00447','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#12.html',1,'2024-07-05 18:23:57'),
	(4009,'WOF091200006-WOB00008','WOG00448','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#13.png',1,'2024-07-05 18:23:57'),
	(4010,'WOF091200006-WOB00008','WOG00448','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#13.html',1,'2024-07-05 18:23:57'),
	(4011,'WOF091200006-WOB00008','WOG00449','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#14.png',1,'2024-07-05 18:23:57'),
	(4012,'WOF091200006-WOB00008','WOG00449','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#14.html',1,'2024-07-05 18:23:57'),
	(4013,'WOF091200006-WOB00008','WOG00450','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#15.png',1,'2024-07-05 18:23:57'),
	(4014,'WOF091200006-WOB00008','WOG00450','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#15.html',1,'2024-07-05 18:23:57'),
	(4015,'WOF091200006-WOB00008','WOG00451','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#16.png',1,'2024-07-05 18:23:57'),
	(4016,'WOF091200006-WOB00008','WOG00451','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#16.html',1,'2024-07-05 18:23:57'),
	(4017,'WOF091200006-WOB00008','WOG00452','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#17.png',1,'2024-07-05 18:23:57'),
	(4018,'WOF091200006-WOB00008','WOG00452','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#17.html',1,'2024-07-05 18:23:57'),
	(4019,'WOF091200006-WOB00008','WOG00453','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#18.png',1,'2024-07-05 18:23:57'),
	(4020,'WOF091200006-WOB00008','WOG00453','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#18.html',1,'2024-07-05 18:23:57'),
	(4021,'WOF091200006-WOB00008','WOG00454','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#19.png',1,'2024-07-05 18:23:57'),
	(4022,'WOF091200006-WOB00008','WOG00454','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#19.html',1,'2024-07-05 18:23:57'),
	(4023,'WOF091200006-WOB00008','WOG00455','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#20.png',1,'2024-07-05 18:23:57'),
	(4024,'WOF091200006-WOB00008','WOG00455','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#20.html',1,'2024-07-05 18:23:57'),
	(4025,'WOF091200006-WOB00008','WOG00456','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#21.png',1,'2024-07-05 18:23:57'),
	(4026,'WOF091200006-WOB00008','WOG00456','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#21.html',1,'2024-07-05 18:23:57'),
	(4027,'WOF091200006-WOB00008','WOG00457','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#22.png',1,'2024-07-05 18:23:57'),
	(4028,'WOF091200006-WOB00008','WOG00457','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#22.html',1,'2024-07-05 18:23:57'),
	(4029,'WOF091200006-WOB00008','WOG00458','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#23.png',1,'2024-07-05 18:23:57'),
	(4030,'WOF091200006-WOB00008','WOG00458','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#23.html',1,'2024-07-05 18:23:57'),
	(4031,'WOF091200006-WOB00008','WOG00459','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#24.png',1,'2024-07-05 18:23:57'),
	(4032,'WOF091200006-WOB00008','WOG00459','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#24.html',1,'2024-07-05 18:23:57'),
	(4033,'WOF091200006-WOB00008','WOG00460','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#25.png',1,'2024-07-05 18:23:57'),
	(4034,'WOF091200006-WOB00008','WOG00460','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#25.html',1,'2024-07-05 18:23:57'),
	(4035,'WOF091200006-WOB00008','WOG00461','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#26.png',1,'2024-07-05 18:23:57'),
	(4036,'WOF091200006-WOB00008','WOG00461','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#26.html',1,'2024-07-05 18:23:57'),
	(4037,'WOF091200006-WOB00008','WOG00462','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#27.png',1,'2024-07-05 18:23:57'),
	(4038,'WOF091200006-WOB00008','WOG00462','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#27.html',1,'2024-07-05 18:23:57'),
	(4039,'WOF091200006-WOB00008','WOG00463','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#28.png',1,'2024-07-05 18:23:57'),
	(4040,'WOF091200006-WOB00008','WOG00463','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#28.html',1,'2024-07-05 18:23:57'),
	(4041,'WOF091200006-WOB00008','WOG00464','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#29.png',1,'2024-07-05 18:23:57'),
	(4042,'WOF091200006-WOB00008','WOG00464','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#29.html',1,'2024-07-05 18:23:57'),
	(4043,'WOF091200006-WOB00008','WOG00465','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#30.png',1,'2024-07-05 18:23:57'),
	(4044,'WOF091200006-WOB00008','WOG00465','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#30.html',1,'2024-07-05 18:23:57'),
	(4045,'WOF091200006-WOB00008','WOG00466','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#31.png',1,'2024-07-05 18:23:57'),
	(4046,'WOF091200006-WOB00008','WOG00466','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#31.html',1,'2024-07-05 18:23:57'),
	(4047,'WOF091200006-WOB00008','WOG00467','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#32.png',1,'2024-07-05 18:23:57'),
	(4048,'WOF091200006-WOB00008','WOG00467','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#32.html',1,'2024-07-05 18:23:57'),
	(4049,'WOF091200006-WOB00008','WOG00468','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#33.png',1,'2024-07-05 18:23:57'),
	(4050,'WOF091200006-WOB00008','WOG00468','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/automatic/#33.html',1,'2024-07-05 18:23:57'),
	(4051,'WOF091200006-WOB00008','WOG00436','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#01.png',1,'2024-07-05 18:23:57'),
	(4052,'WOF091200006-WOB00008','WOG00436','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#01.html',1,'2024-07-05 18:23:57'),
	(4053,'WOF091200006-WOB00008','WOG00437','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#02.png',1,'2024-07-05 18:23:57'),
	(4054,'WOF091200006-WOB00008','WOG00437','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#02.html',1,'2024-07-05 18:23:57'),
	(4055,'WOF091200006-WOB00008','WOG00438','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#03.png',1,'2024-07-05 18:23:57'),
	(4056,'WOF091200006-WOB00008','WOG00438','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#03.html',1,'2024-07-05 18:23:57'),
	(4057,'WOF091200006-WOB00008','WOG00439','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#04.png',1,'2024-07-05 18:23:57'),
	(4058,'WOF091200006-WOB00008','WOG00439','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#04.html',1,'2024-07-05 18:23:57'),
	(4059,'WOF091200006-WOB00008','WOG00440','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#05.png',1,'2024-07-05 18:23:57'),
	(4060,'WOF091200006-WOB00008','WOG00440','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#05.html',1,'2024-07-05 18:23:57'),
	(4061,'WOF091200006-WOB00008','WOG00441','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#06.png',1,'2024-07-05 18:23:57'),
	(4062,'WOF091200006-WOB00008','WOG00441','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#06.html',1,'2024-07-05 18:23:57'),
	(4063,'WOF091200006-WOB00008','WOG00442','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#07.png',1,'2024-07-05 18:23:57'),
	(4064,'WOF091200006-WOB00008','WOG00442','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#07.html',1,'2024-07-05 18:23:57'),
	(4065,'WOF091200006-WOB00008','WOG00443','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#08.png',1,'2024-07-05 18:23:57'),
	(4066,'WOF091200006-WOB00008','WOG00443','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#08.html',1,'2024-07-05 18:23:57'),
	(4067,'WOF091200006-WOB00008','WOG00444','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#09.png',1,'2024-07-05 18:23:57'),
	(4068,'WOF091200006-WOB00008','WOG00444','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#09.html',1,'2024-07-05 18:23:57'),
	(4069,'WOF091200006-WOB00008','WOG00445','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#10.png',1,'2024-07-05 18:23:57'),
	(4070,'WOF091200006-WOB00008','WOG00445','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#10.html',1,'2024-07-05 18:23:57'),
	(4071,'WOF091200006-WOB00008','WOG00446','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#11.png',1,'2024-07-05 18:23:57'),
	(4072,'WOF091200006-WOB00008','WOG00446','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#11.html',1,'2024-07-05 18:23:57'),
	(4073,'WOF091200006-WOB00008','WOG00447','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#12.png',1,'2024-07-05 18:23:57'),
	(4074,'WOF091200006-WOB00008','WOG00447','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#12.html',1,'2024-07-05 18:23:57'),
	(4075,'WOF091200006-WOB00008','WOG00448','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#13.png',1,'2024-07-05 18:23:57'),
	(4076,'WOF091200006-WOB00008','WOG00448','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#13.html',1,'2024-07-05 18:23:57'),
	(4077,'WOF091200006-WOB00008','WOG00449','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#14.png',1,'2024-07-05 18:23:57'),
	(4078,'WOF091200006-WOB00008','WOG00449','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#14.html',1,'2024-07-05 18:23:57'),
	(4079,'WOF091200006-WOB00008','WOG00450','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#15.png',1,'2024-07-05 18:23:57'),
	(4080,'WOF091200006-WOB00008','WOG00450','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#15.html',1,'2024-07-05 18:23:57'),
	(4081,'WOF091200006-WOB00008','WOG00451','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#16.png',1,'2024-07-05 18:23:57'),
	(4082,'WOF091200006-WOB00008','WOG00451','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#16.html',1,'2024-07-05 18:23:57'),
	(4083,'WOF091200006-WOB00008','WOG00452','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#17.png',1,'2024-07-05 18:23:57'),
	(4084,'WOF091200006-WOB00008','WOG00452','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#17.html',1,'2024-07-05 18:23:57'),
	(4085,'WOF091200006-WOB00008','WOG00453','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#18.png',1,'2024-07-05 18:23:57'),
	(4086,'WOF091200006-WOB00008','WOG00453','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#18.html',1,'2024-07-05 18:23:57'),
	(4087,'WOF091200006-WOB00008','WOG00454','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#19.png',1,'2024-07-05 18:23:57'),
	(4088,'WOF091200006-WOB00008','WOG00454','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#19.html',1,'2024-07-05 18:23:57'),
	(4089,'WOF091200006-WOB00008','WOG00455','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#20.png',1,'2024-07-05 18:23:57'),
	(4090,'WOF091200006-WOB00008','WOG00455','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#20.html',1,'2024-07-05 18:23:57'),
	(4091,'WOF091200006-WOB00008','WOG00456','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#21.png',1,'2024-07-05 18:23:57'),
	(4092,'WOF091200006-WOB00008','WOG00456','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#21.html',1,'2024-07-05 18:23:57'),
	(4093,'WOF091200006-WOB00008','WOG00457','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#22.png',1,'2024-07-05 18:23:57'),
	(4094,'WOF091200006-WOB00008','WOG00457','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#22.html',1,'2024-07-05 18:23:57'),
	(4095,'WOF091200006-WOB00008','WOG00458','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#23.png',1,'2024-07-05 18:23:57'),
	(4096,'WOF091200006-WOB00008','WOG00458','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#23.html',1,'2024-07-05 18:23:57'),
	(4097,'WOF091200006-WOB00008','WOG00459','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#24.png',1,'2024-07-05 18:23:57'),
	(4098,'WOF091200006-WOB00008','WOG00459','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#24.html',1,'2024-07-05 18:23:57'),
	(4099,'WOF091200006-WOB00008','WOG00460','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#25.png',1,'2024-07-05 18:23:57'),
	(4100,'WOF091200006-WOB00008','WOG00460','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#25.html',1,'2024-07-05 18:23:57'),
	(4101,'WOF091200006-WOB00008','WOG00461','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#26.png',1,'2024-07-05 18:23:57'),
	(4102,'WOF091200006-WOB00008','WOG00461','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#26.html',1,'2024-07-05 18:23:57'),
	(4103,'WOF091200006-WOB00008','WOG00462','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#27.png',1,'2024-07-05 18:23:57'),
	(4104,'WOF091200006-WOB00008','WOG00462','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#27.html',1,'2024-07-05 18:23:57'),
	(4105,'WOF091200006-WOB00008','WOG00463','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#28.png',1,'2024-07-05 18:23:57'),
	(4106,'WOF091200006-WOB00008','WOG00463','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#28.html',1,'2024-07-05 18:23:57'),
	(4107,'WOF091200006-WOB00008','WOG00464','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#29.png',1,'2024-07-05 18:23:57'),
	(4108,'WOF091200006-WOB00008','WOG00464','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#29.html',1,'2024-07-05 18:23:57'),
	(4109,'WOF091200006-WOB00008','WOG00465','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#30.png',1,'2024-07-05 18:23:57'),
	(4110,'WOF091200006-WOB00008','WOG00465','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#30.html',1,'2024-07-05 18:23:57'),
	(4111,'WOF091200006-WOB00008','WOG00466','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#31.png',1,'2024-07-05 18:23:57'),
	(4112,'WOF091200006-WOB00008','WOG00466','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#31.html',1,'2024-07-05 18:23:57'),
	(4113,'WOF091200006-WOB00008','WOG00467','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#32.png',1,'2024-07-05 18:23:57'),
	(4114,'WOF091200006-WOB00008','WOG00467','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#32.html',1,'2024-07-05 18:23:57'),
	(4115,'WOF091200006-WOB00008','WOG00468','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#33.png',1,'2024-07-05 18:23:57'),
	(4116,'WOF091200006-WOB00008','WOG00468','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#33.html',1,'2024-07-05 18:23:57'),
	(4117,'WOF091200006-WOB00008','WOG00436','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#01_3D.html',1,'2024-07-05 18:23:57'),
	(4118,'WOF091200006-WOB00008','WOG00437','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#02_3D.html',1,'2024-07-05 18:23:57'),
	(4119,'WOF091200006-WOB00008','WOG00438','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#03_3D.html',1,'2024-07-05 18:23:57'),
	(4120,'WOF091200006-WOB00008','WOG00439','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#04_3D.html',1,'2024-07-05 18:23:57'),
	(4121,'WOF091200006-WOB00008','WOG00440','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#05_3D.html',1,'2024-07-05 18:23:57'),
	(4122,'WOF091200006-WOB00008','WOG00441','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#06_3D.html',1,'2024-07-05 18:23:57'),
	(4123,'WOF091200006-WOB00008','WOG00442','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#07_3D.html',1,'2024-07-05 18:23:57'),
	(4124,'WOF091200006-WOB00008','WOG00443','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#08_3D.html',1,'2024-07-05 18:23:57'),
	(4125,'WOF091200006-WOB00008','WOG00444','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#09_3D.html',1,'2024-07-05 18:23:57'),
	(4126,'WOF091200006-WOB00008','WOG00445','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#10_3D.html',1,'2024-07-05 18:23:57'),
	(4127,'WOF091200006-WOB00008','WOG00446','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#11_3D.html',1,'2024-07-05 18:23:57'),
	(4128,'WOF091200006-WOB00008','WOG00447','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#12_3D.html',1,'2024-07-05 18:23:57'),
	(4129,'WOF091200006-WOB00008','WOG00448','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#13_3D.html',1,'2024-07-05 18:23:57'),
	(4130,'WOF091200006-WOB00008','WOG00449','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#14_3D.html',1,'2024-07-05 18:23:57'),
	(4131,'WOF091200006-WOB00008','WOG00450','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#15_3D.html',1,'2024-07-05 18:23:57'),
	(4132,'WOF091200006-WOB00008','WOG00451','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#16_3D.html',1,'2024-07-05 18:23:57'),
	(4133,'WOF091200006-WOB00008','WOG00452','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#17_3D.html',1,'2024-07-05 18:23:57'),
	(4134,'WOF091200006-WOB00008','WOG00453','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#18_3D.html',1,'2024-07-05 18:23:57'),
	(4135,'WOF091200006-WOB00008','WOG00454','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#19_3D.html',1,'2024-07-05 18:23:57'),
	(4136,'WOF091200006-WOB00008','WOG00455','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#20_3D.html',1,'2024-07-05 18:23:57'),
	(4137,'WOF091200006-WOB00008','WOG00456','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#21_3D.html',1,'2024-07-05 18:23:57'),
	(4138,'WOF091200006-WOB00008','WOG00457','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#22_3D.html',1,'2024-07-05 18:23:57'),
	(4139,'WOF091200006-WOB00008','WOG00458','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#23_3D.html',1,'2024-07-05 18:23:57'),
	(4140,'WOF091200006-WOB00008','WOG00459','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#24_3D.html',1,'2024-07-05 18:23:57'),
	(4141,'WOF091200006-WOB00008','WOG00460','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#25_3D.html',1,'2024-07-05 18:23:57'),
	(4142,'WOF091200006-WOB00008','WOG00461','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#26_3D.html',1,'2024-07-05 18:23:57'),
	(4143,'WOF091200006-WOB00008','WOG00462','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#27_3D.html',1,'2024-07-05 18:23:57'),
	(4144,'WOF091200006-WOB00008','WOG00463','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#28_3D.html',1,'2024-07-05 18:23:57'),
	(4145,'WOF091200006-WOB00008','WOG00464','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#29_3D.html',1,'2024-07-05 18:23:57'),
	(4146,'WOF091200006-WOB00008','WOG00465','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#30_3D.html',1,'2024-07-05 18:23:57'),
	(4147,'WOF091200006-WOB00008','WOG00466','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#31_3D.html',1,'2024-07-05 18:23:57'),
	(4148,'WOF091200006-WOB00008','WOG00467','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#32_3D.html',1,'2024-07-05 18:23:57'),
	(4149,'WOF091200006-WOB00008','WOG00468','pitch_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_power/automatic/#33_3D.html',1,'2024-07-05 18:23:57'),
	(4150,'WOF091200006-WOB00008','WOG00436','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#01.png',1,'2024-07-05 18:23:57'),
	(4151,'WOF091200006-WOB00008','WOG00436','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#01.html',1,'2024-07-05 18:23:57'),
	(4152,'WOF091200006-WOB00008','WOG00437','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#02.png',1,'2024-07-05 18:23:57'),
	(4153,'WOF091200006-WOB00008','WOG00437','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#02.html',1,'2024-07-05 18:23:57'),
	(4154,'WOF091200006-WOB00008','WOG00438','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#03.png',1,'2024-07-05 18:23:57'),
	(4155,'WOF091200006-WOB00008','WOG00438','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#03.html',1,'2024-07-05 18:23:57'),
	(4156,'WOF091200006-WOB00008','WOG00439','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#04.png',1,'2024-07-05 18:23:57'),
	(4157,'WOF091200006-WOB00008','WOG00439','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#04.html',1,'2024-07-05 18:23:57'),
	(4158,'WOF091200006-WOB00008','WOG00440','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#05.png',1,'2024-07-05 18:23:57'),
	(4159,'WOF091200006-WOB00008','WOG00440','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#05.html',1,'2024-07-05 18:23:57'),
	(4160,'WOF091200006-WOB00008','WOG00441','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#06.png',1,'2024-07-05 18:23:57'),
	(4161,'WOF091200006-WOB00008','WOG00441','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#06.html',1,'2024-07-05 18:23:57'),
	(4162,'WOF091200006-WOB00008','WOG00442','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#07.png',1,'2024-07-05 18:23:57'),
	(4163,'WOF091200006-WOB00008','WOG00442','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#07.html',1,'2024-07-05 18:23:57'),
	(4164,'WOF091200006-WOB00008','WOG00443','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#08.png',1,'2024-07-05 18:23:57'),
	(4165,'WOF091200006-WOB00008','WOG00443','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#08.html',1,'2024-07-05 18:23:57'),
	(4166,'WOF091200006-WOB00008','WOG00444','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#09.png',1,'2024-07-05 18:23:57'),
	(4167,'WOF091200006-WOB00008','WOG00444','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#09.html',1,'2024-07-05 18:23:57'),
	(4168,'WOF091200006-WOB00008','WOG00445','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#10.png',1,'2024-07-05 18:23:57'),
	(4169,'WOF091200006-WOB00008','WOG00445','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#10.html',1,'2024-07-05 18:23:57'),
	(4170,'WOF091200006-WOB00008','WOG00446','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#11.png',1,'2024-07-05 18:23:57'),
	(4171,'WOF091200006-WOB00008','WOG00446','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#11.html',1,'2024-07-05 18:23:57'),
	(4172,'WOF091200006-WOB00008','WOG00447','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#12.png',1,'2024-07-05 18:23:57'),
	(4173,'WOF091200006-WOB00008','WOG00447','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#12.html',1,'2024-07-05 18:23:57'),
	(4174,'WOF091200006-WOB00008','WOG00448','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#13.png',1,'2024-07-05 18:23:57'),
	(4175,'WOF091200006-WOB00008','WOG00448','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#13.html',1,'2024-07-05 18:23:57'),
	(4176,'WOF091200006-WOB00008','WOG00449','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#14.png',1,'2024-07-05 18:23:57'),
	(4177,'WOF091200006-WOB00008','WOG00449','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#14.html',1,'2024-07-05 18:23:57'),
	(4178,'WOF091200006-WOB00008','WOG00450','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#15.png',1,'2024-07-05 18:23:57'),
	(4179,'WOF091200006-WOB00008','WOG00450','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#15.html',1,'2024-07-05 18:23:57'),
	(4180,'WOF091200006-WOB00008','WOG00451','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#16.png',1,'2024-07-05 18:23:57'),
	(4181,'WOF091200006-WOB00008','WOG00451','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#16.html',1,'2024-07-05 18:23:57'),
	(4182,'WOF091200006-WOB00008','WOG00452','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#17.png',1,'2024-07-05 18:23:57'),
	(4183,'WOF091200006-WOB00008','WOG00452','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#17.html',1,'2024-07-05 18:23:57'),
	(4184,'WOF091200006-WOB00008','WOG00453','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#18.png',1,'2024-07-05 18:23:57'),
	(4185,'WOF091200006-WOB00008','WOG00453','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#18.html',1,'2024-07-05 18:23:57'),
	(4186,'WOF091200006-WOB00008','WOG00454','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#19.png',1,'2024-07-05 18:23:57'),
	(4187,'WOF091200006-WOB00008','WOG00454','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#19.html',1,'2024-07-05 18:23:57'),
	(4188,'WOF091200006-WOB00008','WOG00455','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#20.png',1,'2024-07-05 18:23:57'),
	(4189,'WOF091200006-WOB00008','WOG00455','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#20.html',1,'2024-07-05 18:23:57'),
	(4190,'WOF091200006-WOB00008','WOG00456','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#21.png',1,'2024-07-05 18:23:57'),
	(4191,'WOF091200006-WOB00008','WOG00456','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#21.html',1,'2024-07-05 18:23:57'),
	(4192,'WOF091200006-WOB00008','WOG00457','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#22.png',1,'2024-07-05 18:23:57'),
	(4193,'WOF091200006-WOB00008','WOG00457','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#22.html',1,'2024-07-05 18:23:57'),
	(4194,'WOF091200006-WOB00008','WOG00458','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#23.png',1,'2024-07-05 18:23:57'),
	(4195,'WOF091200006-WOB00008','WOG00458','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#23.html',1,'2024-07-05 18:23:57'),
	(4196,'WOF091200006-WOB00008','WOG00459','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#24.png',1,'2024-07-05 18:23:57'),
	(4197,'WOF091200006-WOB00008','WOG00459','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#24.html',1,'2024-07-05 18:23:57'),
	(4198,'WOF091200006-WOB00008','WOG00460','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#25.png',1,'2024-07-05 18:23:57'),
	(4199,'WOF091200006-WOB00008','WOG00460','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#25.html',1,'2024-07-05 18:23:57'),
	(4200,'WOF091200006-WOB00008','WOG00461','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#26.png',1,'2024-07-05 18:23:57'),
	(4201,'WOF091200006-WOB00008','WOG00461','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#26.html',1,'2024-07-05 18:23:57'),
	(4202,'WOF091200006-WOB00008','WOG00462','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#27.png',1,'2024-07-05 18:23:57'),
	(4203,'WOF091200006-WOB00008','WOG00462','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#27.html',1,'2024-07-05 18:23:57'),
	(4204,'WOF091200006-WOB00008','WOG00463','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#28.png',1,'2024-07-05 18:23:57'),
	(4205,'WOF091200006-WOB00008','WOG00463','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#28.html',1,'2024-07-05 18:23:57'),
	(4206,'WOF091200006-WOB00008','WOG00464','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#29.png',1,'2024-07-05 18:23:57'),
	(4207,'WOF091200006-WOB00008','WOG00464','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#29.html',1,'2024-07-05 18:23:57'),
	(4208,'WOF091200006-WOB00008','WOG00465','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#30.png',1,'2024-07-05 18:23:57'),
	(4209,'WOF091200006-WOB00008','WOG00465','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#30.html',1,'2024-07-05 18:23:57'),
	(4210,'WOF091200006-WOB00008','WOG00466','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#31.png',1,'2024-07-05 18:23:57'),
	(4211,'WOF091200006-WOB00008','WOG00466','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#31.html',1,'2024-07-05 18:23:57'),
	(4212,'WOF091200006-WOB00008','WOG00467','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#32.png',1,'2024-07-05 18:23:57'),
	(4213,'WOF091200006-WOB00008','WOG00467','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#32.html',1,'2024-07-05 18:23:57'),
	(4214,'WOF091200006-WOB00008','WOG00468','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#33.png',1,'2024-07-05 18:23:57'),
	(4215,'WOF091200006-WOB00008','WOG00468','pitch_generator_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_generator_speed/automatic/#33.html',1,'2024-07-05 18:23:57'),
	(4216,'WOF091200006-WOB00008','WOG00436','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#01.png',1,'2024-07-05 18:23:57'),
	(4217,'WOF091200006-WOB00008','WOG00436','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#01.html',1,'2024-07-05 18:23:57'),
	(4218,'WOF091200006-WOB00008','WOG00437','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#02.png',1,'2024-07-05 18:23:57'),
	(4219,'WOF091200006-WOB00008','WOG00437','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#02.html',1,'2024-07-05 18:23:57'),
	(4220,'WOF091200006-WOB00008','WOG00438','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#03.png',1,'2024-07-05 18:23:57'),
	(4221,'WOF091200006-WOB00008','WOG00438','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#03.html',1,'2024-07-05 18:23:57'),
	(4222,'WOF091200006-WOB00008','WOG00439','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#04.png',1,'2024-07-05 18:23:57'),
	(4223,'WOF091200006-WOB00008','WOG00439','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#04.html',1,'2024-07-05 18:23:57'),
	(4224,'WOF091200006-WOB00008','WOG00440','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#05.png',1,'2024-07-05 18:23:57'),
	(4225,'WOF091200006-WOB00008','WOG00440','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#05.html',1,'2024-07-05 18:23:57'),
	(4226,'WOF091200006-WOB00008','WOG00441','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#06.png',1,'2024-07-05 18:23:57'),
	(4227,'WOF091200006-WOB00008','WOG00441','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#06.html',1,'2024-07-05 18:23:57'),
	(4228,'WOF091200006-WOB00008','WOG00442','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#07.png',1,'2024-07-05 18:23:57'),
	(4229,'WOF091200006-WOB00008','WOG00442','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#07.html',1,'2024-07-05 18:23:57'),
	(4230,'WOF091200006-WOB00008','WOG00443','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#08.png',1,'2024-07-05 18:23:57'),
	(4231,'WOF091200006-WOB00008','WOG00443','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#08.html',1,'2024-07-05 18:23:57'),
	(4232,'WOF091200006-WOB00008','WOG00444','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#09.png',1,'2024-07-05 18:23:57'),
	(4233,'WOF091200006-WOB00008','WOG00444','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#09.html',1,'2024-07-05 18:23:57'),
	(4234,'WOF091200006-WOB00008','WOG00445','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#10.png',1,'2024-07-05 18:23:57'),
	(4235,'WOF091200006-WOB00008','WOG00445','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#10.html',1,'2024-07-05 18:23:57'),
	(4236,'WOF091200006-WOB00008','WOG00446','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#11.png',1,'2024-07-05 18:23:57'),
	(4237,'WOF091200006-WOB00008','WOG00446','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#11.html',1,'2024-07-05 18:23:57'),
	(4238,'WOF091200006-WOB00008','WOG00447','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#12.png',1,'2024-07-05 18:23:57'),
	(4239,'WOF091200006-WOB00008','WOG00447','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#12.html',1,'2024-07-05 18:23:57'),
	(4240,'WOF091200006-WOB00008','WOG00448','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#13.png',1,'2024-07-05 18:23:57'),
	(4241,'WOF091200006-WOB00008','WOG00448','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#13.html',1,'2024-07-05 18:23:57'),
	(4242,'WOF091200006-WOB00008','WOG00449','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#14.png',1,'2024-07-05 18:23:57'),
	(4243,'WOF091200006-WOB00008','WOG00449','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#14.html',1,'2024-07-05 18:23:57'),
	(4244,'WOF091200006-WOB00008','WOG00450','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#15.png',1,'2024-07-05 18:23:57'),
	(4245,'WOF091200006-WOB00008','WOG00450','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#15.html',1,'2024-07-05 18:23:57'),
	(4246,'WOF091200006-WOB00008','WOG00451','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#16.png',1,'2024-07-05 18:23:57'),
	(4247,'WOF091200006-WOB00008','WOG00451','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#16.html',1,'2024-07-05 18:23:57'),
	(4248,'WOF091200006-WOB00008','WOG00452','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#17.png',1,'2024-07-05 18:23:57'),
	(4249,'WOF091200006-WOB00008','WOG00452','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#17.html',1,'2024-07-05 18:23:57'),
	(4250,'WOF091200006-WOB00008','WOG00453','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#18.png',1,'2024-07-05 18:23:57'),
	(4251,'WOF091200006-WOB00008','WOG00453','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#18.html',1,'2024-07-05 18:23:57'),
	(4252,'WOF091200006-WOB00008','WOG00454','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#19.png',1,'2024-07-05 18:23:57'),
	(4253,'WOF091200006-WOB00008','WOG00454','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#19.html',1,'2024-07-05 18:23:57'),
	(4254,'WOF091200006-WOB00008','WOG00455','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#20.png',1,'2024-07-05 18:23:57'),
	(4255,'WOF091200006-WOB00008','WOG00455','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#20.html',1,'2024-07-05 18:23:57'),
	(4256,'WOF091200006-WOB00008','WOG00456','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#21.png',1,'2024-07-05 18:23:57'),
	(4257,'WOF091200006-WOB00008','WOG00456','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#21.html',1,'2024-07-05 18:23:57'),
	(4258,'WOF091200006-WOB00008','WOG00457','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#22.png',1,'2024-07-05 18:23:57'),
	(4259,'WOF091200006-WOB00008','WOG00457','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#22.html',1,'2024-07-05 18:23:57'),
	(4260,'WOF091200006-WOB00008','WOG00458','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#23.png',1,'2024-07-05 18:23:57'),
	(4261,'WOF091200006-WOB00008','WOG00458','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#23.html',1,'2024-07-05 18:23:57'),
	(4262,'WOF091200006-WOB00008','WOG00459','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#24.png',1,'2024-07-05 18:23:57'),
	(4263,'WOF091200006-WOB00008','WOG00459','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#24.html',1,'2024-07-05 18:23:57'),
	(4264,'WOF091200006-WOB00008','WOG00460','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#25.png',1,'2024-07-05 18:23:57'),
	(4265,'WOF091200006-WOB00008','WOG00460','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#25.html',1,'2024-07-05 18:23:57'),
	(4266,'WOF091200006-WOB00008','WOG00461','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#26.png',1,'2024-07-05 18:23:57'),
	(4267,'WOF091200006-WOB00008','WOG00461','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#26.html',1,'2024-07-05 18:23:57'),
	(4268,'WOF091200006-WOB00008','WOG00462','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#27.png',1,'2024-07-05 18:23:57'),
	(4269,'WOF091200006-WOB00008','WOG00462','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#27.html',1,'2024-07-05 18:23:57'),
	(4270,'WOF091200006-WOB00008','WOG00463','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#28.png',1,'2024-07-05 18:23:57'),
	(4271,'WOF091200006-WOB00008','WOG00463','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#28.html',1,'2024-07-05 18:23:57'),
	(4272,'WOF091200006-WOB00008','WOG00464','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#29.png',1,'2024-07-05 18:23:57'),
	(4273,'WOF091200006-WOB00008','WOG00464','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#29.html',1,'2024-07-05 18:23:57'),
	(4274,'WOF091200006-WOB00008','WOG00465','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#30.png',1,'2024-07-05 18:23:57'),
	(4275,'WOF091200006-WOB00008','WOG00465','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#30.html',1,'2024-07-05 18:23:57'),
	(4276,'WOF091200006-WOB00008','WOG00466','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#31.png',1,'2024-07-05 18:23:57'),
	(4277,'WOF091200006-WOB00008','WOG00466','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#31.html',1,'2024-07-05 18:23:57'),
	(4278,'WOF091200006-WOB00008','WOG00467','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#32.png',1,'2024-07-05 18:23:57'),
	(4279,'WOF091200006-WOB00008','WOG00467','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#32.html',1,'2024-07-05 18:23:57'),
	(4280,'WOF091200006-WOB00008','WOG00468','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#33.png',1,'2024-07-05 18:23:57'),
	(4281,'WOF091200006-WOB00008','WOG00468','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/#33.html',1,'2024-07-05 18:23:57'),
	(4282,'WOF091200006-WOB00008','WOG00436','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#01.png',1,'2024-07-05 18:23:57'),
	(4283,'WOF091200006-WOB00008','WOG00436','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#01.html',1,'2024-07-05 18:23:57'),
	(4284,'WOF091200006-WOB00008','WOG00437','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#02.png',1,'2024-07-05 18:23:57'),
	(4285,'WOF091200006-WOB00008','WOG00437','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#02.html',1,'2024-07-05 18:23:57'),
	(4286,'WOF091200006-WOB00008','WOG00438','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#03.png',1,'2024-07-05 18:23:57'),
	(4287,'WOF091200006-WOB00008','WOG00438','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#03.html',1,'2024-07-05 18:23:57'),
	(4288,'WOF091200006-WOB00008','WOG00439','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#04.png',1,'2024-07-05 18:23:57'),
	(4289,'WOF091200006-WOB00008','WOG00439','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#04.html',1,'2024-07-05 18:23:57'),
	(4290,'WOF091200006-WOB00008','WOG00440','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#05.png',1,'2024-07-05 18:23:57'),
	(4291,'WOF091200006-WOB00008','WOG00440','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#05.html',1,'2024-07-05 18:23:57'),
	(4292,'WOF091200006-WOB00008','WOG00441','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#06.png',1,'2024-07-05 18:23:57'),
	(4293,'WOF091200006-WOB00008','WOG00441','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#06.html',1,'2024-07-05 18:23:57'),
	(4294,'WOF091200006-WOB00008','WOG00442','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#07.png',1,'2024-07-05 18:23:57'),
	(4295,'WOF091200006-WOB00008','WOG00442','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#07.html',1,'2024-07-05 18:23:57'),
	(4296,'WOF091200006-WOB00008','WOG00443','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#08.png',1,'2024-07-05 18:23:57'),
	(4297,'WOF091200006-WOB00008','WOG00443','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#08.html',1,'2024-07-05 18:23:57'),
	(4298,'WOF091200006-WOB00008','WOG00444','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#09.png',1,'2024-07-05 18:23:57'),
	(4299,'WOF091200006-WOB00008','WOG00444','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#09.html',1,'2024-07-05 18:23:57'),
	(4300,'WOF091200006-WOB00008','WOG00445','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#10.png',1,'2024-07-05 18:23:57'),
	(4301,'WOF091200006-WOB00008','WOG00445','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#10.html',1,'2024-07-05 18:23:57'),
	(4302,'WOF091200006-WOB00008','WOG00446','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#11.png',1,'2024-07-05 18:23:57'),
	(4303,'WOF091200006-WOB00008','WOG00446','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#11.html',1,'2024-07-05 18:23:57'),
	(4304,'WOF091200006-WOB00008','WOG00447','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#12.png',1,'2024-07-05 18:23:57'),
	(4305,'WOF091200006-WOB00008','WOG00447','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#12.html',1,'2024-07-05 18:23:57'),
	(4306,'WOF091200006-WOB00008','WOG00448','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#13.png',1,'2024-07-05 18:23:57'),
	(4307,'WOF091200006-WOB00008','WOG00448','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#13.html',1,'2024-07-05 18:23:57'),
	(4308,'WOF091200006-WOB00008','WOG00449','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#14.png',1,'2024-07-05 18:23:57'),
	(4309,'WOF091200006-WOB00008','WOG00449','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#14.html',1,'2024-07-05 18:23:57'),
	(4310,'WOF091200006-WOB00008','WOG00450','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#15.png',1,'2024-07-05 18:23:57'),
	(4311,'WOF091200006-WOB00008','WOG00450','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#15.html',1,'2024-07-05 18:23:57'),
	(4312,'WOF091200006-WOB00008','WOG00451','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#16.png',1,'2024-07-05 18:23:57'),
	(4313,'WOF091200006-WOB00008','WOG00451','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#16.html',1,'2024-07-05 18:23:57'),
	(4314,'WOF091200006-WOB00008','WOG00452','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#17.png',1,'2024-07-05 18:23:57'),
	(4315,'WOF091200006-WOB00008','WOG00452','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#17.html',1,'2024-07-05 18:23:57'),
	(4316,'WOF091200006-WOB00008','WOG00453','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#18.png',1,'2024-07-05 18:23:57'),
	(4317,'WOF091200006-WOB00008','WOG00453','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#18.html',1,'2024-07-05 18:23:57'),
	(4318,'WOF091200006-WOB00008','WOG00454','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#19.png',1,'2024-07-05 18:23:57'),
	(4319,'WOF091200006-WOB00008','WOG00454','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#19.html',1,'2024-07-05 18:23:57'),
	(4320,'WOF091200006-WOB00008','WOG00455','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#20.png',1,'2024-07-05 18:23:57'),
	(4321,'WOF091200006-WOB00008','WOG00455','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#20.html',1,'2024-07-05 18:23:57'),
	(4322,'WOF091200006-WOB00008','WOG00456','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#21.png',1,'2024-07-05 18:23:57'),
	(4323,'WOF091200006-WOB00008','WOG00456','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#21.html',1,'2024-07-05 18:23:57'),
	(4324,'WOF091200006-WOB00008','WOG00457','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#22.png',1,'2024-07-05 18:23:57'),
	(4325,'WOF091200006-WOB00008','WOG00457','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#22.html',1,'2024-07-05 18:23:57'),
	(4326,'WOF091200006-WOB00008','WOG00458','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#23.png',1,'2024-07-05 18:23:57'),
	(4327,'WOF091200006-WOB00008','WOG00458','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#23.html',1,'2024-07-05 18:23:57'),
	(4328,'WOF091200006-WOB00008','WOG00459','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#24.png',1,'2024-07-05 18:23:57'),
	(4329,'WOF091200006-WOB00008','WOG00459','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#24.html',1,'2024-07-05 18:23:57'),
	(4330,'WOF091200006-WOB00008','WOG00460','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#25.png',1,'2024-07-05 18:23:57'),
	(4331,'WOF091200006-WOB00008','WOG00460','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#25.html',1,'2024-07-05 18:23:57'),
	(4332,'WOF091200006-WOB00008','WOG00461','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#26.png',1,'2024-07-05 18:23:57'),
	(4333,'WOF091200006-WOB00008','WOG00461','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#26.html',1,'2024-07-05 18:23:57'),
	(4334,'WOF091200006-WOB00008','WOG00462','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#27.png',1,'2024-07-05 18:23:57'),
	(4335,'WOF091200006-WOB00008','WOG00462','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#27.html',1,'2024-07-05 18:23:57'),
	(4336,'WOF091200006-WOB00008','WOG00463','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#28.png',1,'2024-07-05 18:23:57'),
	(4337,'WOF091200006-WOB00008','WOG00463','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#28.html',1,'2024-07-05 18:23:57'),
	(4338,'WOF091200006-WOB00008','WOG00464','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#29.png',1,'2024-07-05 18:23:57'),
	(4339,'WOF091200006-WOB00008','WOG00464','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#29.html',1,'2024-07-05 18:23:57'),
	(4340,'WOF091200006-WOB00008','WOG00465','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#30.png',1,'2024-07-05 18:23:57'),
	(4341,'WOF091200006-WOB00008','WOG00465','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#30.html',1,'2024-07-05 18:23:57'),
	(4342,'WOF091200006-WOB00008','WOG00466','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#31.png',1,'2024-07-05 18:23:57'),
	(4343,'WOF091200006-WOB00008','WOG00466','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#31.html',1,'2024-07-05 18:23:57'),
	(4344,'WOF091200006-WOB00008','WOG00467','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#32.png',1,'2024-07-05 18:23:57'),
	(4345,'WOF091200006-WOB00008','WOG00467','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#32.html',1,'2024-07-05 18:23:57'),
	(4346,'WOF091200006-WOB00008','WOG00468','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#33.png',1,'2024-07-05 18:23:57'),
	(4347,'WOF091200006-WOB00008','WOG00468','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/#33.html',1,'2024-07-05 18:23:57'),
	(4348,'WOF091200006-WOB00008','WOG00436','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#01.png',1,'2024-07-05 18:23:57'),
	(4349,'WOF091200006-WOB00008','WOG00436','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#01.html',1,'2024-07-05 18:23:57'),
	(4350,'WOF091200006-WOB00008','WOG00437','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#02.png',1,'2024-07-05 18:23:57'),
	(4351,'WOF091200006-WOB00008','WOG00437','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#02.html',1,'2024-07-05 18:23:57'),
	(4352,'WOF091200006-WOB00008','WOG00438','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#03.png',1,'2024-07-05 18:23:57'),
	(4353,'WOF091200006-WOB00008','WOG00438','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#03.html',1,'2024-07-05 18:23:57'),
	(4354,'WOF091200006-WOB00008','WOG00439','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#04.png',1,'2024-07-05 18:23:57'),
	(4355,'WOF091200006-WOB00008','WOG00439','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#04.html',1,'2024-07-05 18:23:57'),
	(4356,'WOF091200006-WOB00008','WOG00440','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#05.png',1,'2024-07-05 18:23:57'),
	(4357,'WOF091200006-WOB00008','WOG00440','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#05.html',1,'2024-07-05 18:23:57'),
	(4358,'WOF091200006-WOB00008','WOG00441','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#06.png',1,'2024-07-05 18:23:57'),
	(4359,'WOF091200006-WOB00008','WOG00441','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#06.html',1,'2024-07-05 18:23:57'),
	(4360,'WOF091200006-WOB00008','WOG00442','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#07.png',1,'2024-07-05 18:23:57'),
	(4361,'WOF091200006-WOB00008','WOG00442','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#07.html',1,'2024-07-05 18:23:57'),
	(4362,'WOF091200006-WOB00008','WOG00443','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#08.png',1,'2024-07-05 18:23:57'),
	(4363,'WOF091200006-WOB00008','WOG00443','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#08.html',1,'2024-07-05 18:23:57'),
	(4364,'WOF091200006-WOB00008','WOG00444','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#09.png',1,'2024-07-05 18:23:57'),
	(4365,'WOF091200006-WOB00008','WOG00444','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#09.html',1,'2024-07-05 18:23:57'),
	(4366,'WOF091200006-WOB00008','WOG00445','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#10.png',1,'2024-07-05 18:23:57'),
	(4367,'WOF091200006-WOB00008','WOG00445','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#10.html',1,'2024-07-05 18:23:57'),
	(4368,'WOF091200006-WOB00008','WOG00446','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#11.png',1,'2024-07-05 18:23:57'),
	(4369,'WOF091200006-WOB00008','WOG00446','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#11.html',1,'2024-07-05 18:23:57'),
	(4370,'WOF091200006-WOB00008','WOG00447','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#12.png',1,'2024-07-05 18:23:57'),
	(4371,'WOF091200006-WOB00008','WOG00447','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#12.html',1,'2024-07-05 18:23:57'),
	(4372,'WOF091200006-WOB00008','WOG00448','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#13.png',1,'2024-07-05 18:23:57'),
	(4373,'WOF091200006-WOB00008','WOG00448','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#13.html',1,'2024-07-05 18:23:57'),
	(4374,'WOF091200006-WOB00008','WOG00449','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#14.png',1,'2024-07-05 18:23:57'),
	(4375,'WOF091200006-WOB00008','WOG00449','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#14.html',1,'2024-07-05 18:23:57'),
	(4376,'WOF091200006-WOB00008','WOG00450','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#15.png',1,'2024-07-05 18:23:57'),
	(4377,'WOF091200006-WOB00008','WOG00450','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#15.html',1,'2024-07-05 18:23:57'),
	(4378,'WOF091200006-WOB00008','WOG00451','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#16.png',1,'2024-07-05 18:23:57'),
	(4379,'WOF091200006-WOB00008','WOG00451','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#16.html',1,'2024-07-05 18:23:57'),
	(4380,'WOF091200006-WOB00008','WOG00452','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#17.png',1,'2024-07-05 18:23:57'),
	(4381,'WOF091200006-WOB00008','WOG00452','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#17.html',1,'2024-07-05 18:23:57'),
	(4382,'WOF091200006-WOB00008','WOG00453','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#18.png',1,'2024-07-05 18:23:57'),
	(4383,'WOF091200006-WOB00008','WOG00453','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#18.html',1,'2024-07-05 18:23:57'),
	(4384,'WOF091200006-WOB00008','WOG00454','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#19.png',1,'2024-07-05 18:23:57'),
	(4385,'WOF091200006-WOB00008','WOG00454','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#19.html',1,'2024-07-05 18:23:57'),
	(4386,'WOF091200006-WOB00008','WOG00455','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#20.png',1,'2024-07-05 18:23:57'),
	(4387,'WOF091200006-WOB00008','WOG00455','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#20.html',1,'2024-07-05 18:23:57'),
	(4388,'WOF091200006-WOB00008','WOG00456','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#21.png',1,'2024-07-05 18:23:57'),
	(4389,'WOF091200006-WOB00008','WOG00456','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#21.html',1,'2024-07-05 18:23:57'),
	(4390,'WOF091200006-WOB00008','WOG00457','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#22.png',1,'2024-07-05 18:23:57'),
	(4391,'WOF091200006-WOB00008','WOG00457','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#22.html',1,'2024-07-05 18:23:57'),
	(4392,'WOF091200006-WOB00008','WOG00458','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#23.png',1,'2024-07-05 18:23:57'),
	(4393,'WOF091200006-WOB00008','WOG00458','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#23.html',1,'2024-07-05 18:23:57'),
	(4394,'WOF091200006-WOB00008','WOG00459','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#24.png',1,'2024-07-05 18:23:57'),
	(4395,'WOF091200006-WOB00008','WOG00459','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#24.html',1,'2024-07-05 18:23:57'),
	(4396,'WOF091200006-WOB00008','WOG00460','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#25.png',1,'2024-07-05 18:23:57'),
	(4397,'WOF091200006-WOB00008','WOG00460','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#25.html',1,'2024-07-05 18:23:57'),
	(4398,'WOF091200006-WOB00008','WOG00461','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#26.png',1,'2024-07-05 18:23:57'),
	(4399,'WOF091200006-WOB00008','WOG00461','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#26.html',1,'2024-07-05 18:23:57'),
	(4400,'WOF091200006-WOB00008','WOG00462','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#27.png',1,'2024-07-05 18:23:57'),
	(4401,'WOF091200006-WOB00008','WOG00462','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#27.html',1,'2024-07-05 18:23:57'),
	(4402,'WOF091200006-WOB00008','WOG00463','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#28.png',1,'2024-07-05 18:23:57'),
	(4403,'WOF091200006-WOB00008','WOG00463','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#28.html',1,'2024-07-05 18:23:57'),
	(4404,'WOF091200006-WOB00008','WOG00464','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#29.png',1,'2024-07-05 18:23:57'),
	(4405,'WOF091200006-WOB00008','WOG00464','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#29.html',1,'2024-07-05 18:23:57'),
	(4406,'WOF091200006-WOB00008','WOG00465','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#30.png',1,'2024-07-05 18:23:57'),
	(4407,'WOF091200006-WOB00008','WOG00465','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#30.html',1,'2024-07-05 18:23:57'),
	(4408,'WOF091200006-WOB00008','WOG00466','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#31.png',1,'2024-07-05 18:23:57'),
	(4409,'WOF091200006-WOB00008','WOG00466','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#31.html',1,'2024-07-05 18:23:57'),
	(4410,'WOF091200006-WOB00008','WOG00467','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#32.png',1,'2024-07-05 18:23:57'),
	(4411,'WOF091200006-WOB00008','WOG00467','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#32.html',1,'2024-07-05 18:23:57'),
	(4412,'WOF091200006-WOB00008','WOG00468','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#33.png',1,'2024-07-05 18:23:57'),
	(4413,'WOF091200006-WOB00008','WOG00468','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/#33.html',1,'2024-07-05 18:23:57'),
	(4414,'WOF091200006-WOB00008','WOG00436','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#01.png',1,'2024-07-05 18:23:57'),
	(4415,'WOF091200006-WOB00008','WOG00436','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#01.html',1,'2024-07-05 18:23:57'),
	(4416,'WOF091200006-WOB00008','WOG00437','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#02.png',1,'2024-07-05 18:23:57'),
	(4417,'WOF091200006-WOB00008','WOG00437','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#02.html',1,'2024-07-05 18:23:57'),
	(4418,'WOF091200006-WOB00008','WOG00438','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#03.png',1,'2024-07-05 18:23:57'),
	(4419,'WOF091200006-WOB00008','WOG00438','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#03.html',1,'2024-07-05 18:23:57'),
	(4420,'WOF091200006-WOB00008','WOG00439','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#04.png',1,'2024-07-05 18:23:57'),
	(4421,'WOF091200006-WOB00008','WOG00439','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#04.html',1,'2024-07-05 18:23:57'),
	(4422,'WOF091200006-WOB00008','WOG00440','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#05.png',1,'2024-07-05 18:23:57'),
	(4423,'WOF091200006-WOB00008','WOG00440','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#05.html',1,'2024-07-05 18:23:57'),
	(4424,'WOF091200006-WOB00008','WOG00441','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#06.png',1,'2024-07-05 18:23:57'),
	(4425,'WOF091200006-WOB00008','WOG00441','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#06.html',1,'2024-07-05 18:23:57'),
	(4426,'WOF091200006-WOB00008','WOG00442','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#07.png',1,'2024-07-05 18:23:57'),
	(4427,'WOF091200006-WOB00008','WOG00442','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#07.html',1,'2024-07-05 18:23:57'),
	(4428,'WOF091200006-WOB00008','WOG00443','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#08.png',1,'2024-07-05 18:23:57'),
	(4429,'WOF091200006-WOB00008','WOG00443','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#08.html',1,'2024-07-05 18:23:57'),
	(4430,'WOF091200006-WOB00008','WOG00444','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#09.png',1,'2024-07-05 18:23:57'),
	(4431,'WOF091200006-WOB00008','WOG00444','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#09.html',1,'2024-07-05 18:23:57'),
	(4432,'WOF091200006-WOB00008','WOG00445','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#10.png',1,'2024-07-05 18:23:57'),
	(4433,'WOF091200006-WOB00008','WOG00445','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#10.html',1,'2024-07-05 18:23:57'),
	(4434,'WOF091200006-WOB00008','WOG00446','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#11.png',1,'2024-07-05 18:23:57'),
	(4435,'WOF091200006-WOB00008','WOG00446','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#11.html',1,'2024-07-05 18:23:57'),
	(4436,'WOF091200006-WOB00008','WOG00447','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#12.png',1,'2024-07-05 18:23:57'),
	(4437,'WOF091200006-WOB00008','WOG00447','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#12.html',1,'2024-07-05 18:23:57'),
	(4438,'WOF091200006-WOB00008','WOG00448','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#13.png',1,'2024-07-05 18:23:57'),
	(4439,'WOF091200006-WOB00008','WOG00448','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#13.html',1,'2024-07-05 18:23:57'),
	(4440,'WOF091200006-WOB00008','WOG00449','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#14.png',1,'2024-07-05 18:23:57'),
	(4441,'WOF091200006-WOB00008','WOG00449','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#14.html',1,'2024-07-05 18:23:57'),
	(4442,'WOF091200006-WOB00008','WOG00450','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#15.png',1,'2024-07-05 18:23:57'),
	(4443,'WOF091200006-WOB00008','WOG00450','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#15.html',1,'2024-07-05 18:23:57'),
	(4444,'WOF091200006-WOB00008','WOG00451','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#16.png',1,'2024-07-05 18:23:57'),
	(4445,'WOF091200006-WOB00008','WOG00451','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#16.html',1,'2024-07-05 18:23:57'),
	(4446,'WOF091200006-WOB00008','WOG00452','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#17.png',1,'2024-07-05 18:23:57'),
	(4447,'WOF091200006-WOB00008','WOG00452','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#17.html',1,'2024-07-05 18:23:57'),
	(4448,'WOF091200006-WOB00008','WOG00453','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#18.png',1,'2024-07-05 18:23:57'),
	(4449,'WOF091200006-WOB00008','WOG00453','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#18.html',1,'2024-07-05 18:23:57'),
	(4450,'WOF091200006-WOB00008','WOG00454','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#19.png',1,'2024-07-05 18:23:57'),
	(4451,'WOF091200006-WOB00008','WOG00454','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#19.html',1,'2024-07-05 18:23:57'),
	(4452,'WOF091200006-WOB00008','WOG00455','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#20.png',1,'2024-07-05 18:23:57'),
	(4453,'WOF091200006-WOB00008','WOG00455','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#20.html',1,'2024-07-05 18:23:57'),
	(4454,'WOF091200006-WOB00008','WOG00456','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#21.png',1,'2024-07-05 18:23:57'),
	(4455,'WOF091200006-WOB00008','WOG00456','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#21.html',1,'2024-07-05 18:23:57'),
	(4456,'WOF091200006-WOB00008','WOG00457','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#22.png',1,'2024-07-05 18:23:57'),
	(4457,'WOF091200006-WOB00008','WOG00457','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#22.html',1,'2024-07-05 18:23:57'),
	(4458,'WOF091200006-WOB00008','WOG00458','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#23.png',1,'2024-07-05 18:23:57'),
	(4459,'WOF091200006-WOB00008','WOG00458','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#23.html',1,'2024-07-05 18:23:57'),
	(4460,'WOF091200006-WOB00008','WOG00459','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#24.png',1,'2024-07-05 18:23:57'),
	(4461,'WOF091200006-WOB00008','WOG00459','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#24.html',1,'2024-07-05 18:23:57'),
	(4462,'WOF091200006-WOB00008','WOG00460','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#25.png',1,'2024-07-05 18:23:57'),
	(4463,'WOF091200006-WOB00008','WOG00460','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#25.html',1,'2024-07-05 18:23:57'),
	(4464,'WOF091200006-WOB00008','WOG00461','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#26.png',1,'2024-07-05 18:23:57'),
	(4465,'WOF091200006-WOB00008','WOG00461','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#26.html',1,'2024-07-05 18:23:57'),
	(4466,'WOF091200006-WOB00008','WOG00462','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#27.png',1,'2024-07-05 18:23:57'),
	(4467,'WOF091200006-WOB00008','WOG00462','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#27.html',1,'2024-07-05 18:23:57'),
	(4468,'WOF091200006-WOB00008','WOG00463','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#28.png',1,'2024-07-05 18:23:57'),
	(4469,'WOF091200006-WOB00008','WOG00463','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#28.html',1,'2024-07-05 18:23:57'),
	(4470,'WOF091200006-WOB00008','WOG00464','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#29.png',1,'2024-07-05 18:23:57'),
	(4471,'WOF091200006-WOB00008','WOG00464','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#29.html',1,'2024-07-05 18:23:57'),
	(4472,'WOF091200006-WOB00008','WOG00465','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#30.png',1,'2024-07-05 18:23:57'),
	(4473,'WOF091200006-WOB00008','WOG00465','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#30.html',1,'2024-07-05 18:23:57'),
	(4474,'WOF091200006-WOB00008','WOG00466','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#31.png',1,'2024-07-05 18:23:57'),
	(4475,'WOF091200006-WOB00008','WOG00466','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#31.html',1,'2024-07-05 18:23:57'),
	(4476,'WOF091200006-WOB00008','WOG00467','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#32.png',1,'2024-07-05 18:23:57'),
	(4477,'WOF091200006-WOB00008','WOG00467','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#32.html',1,'2024-07-05 18:23:57'),
	(4478,'WOF091200006-WOB00008','WOG00468','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#33.png',1,'2024-07-05 18:23:57'),
	(4479,'WOF091200006-WOB00008','WOG00468','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/#33.html',1,'2024-07-05 18:23:57'),
	(4480,'WOF091200006-WOB00008','WOG00436','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#01.png',1,'2024-07-05 18:23:57'),
	(4481,'WOF091200006-WOB00008','WOG00436','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#01.html',1,'2024-07-05 18:23:57'),
	(4482,'WOF091200006-WOB00008','WOG00437','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#02.png',1,'2024-07-05 18:23:57'),
	(4483,'WOF091200006-WOB00008','WOG00437','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#02.html',1,'2024-07-05 18:23:57'),
	(4484,'WOF091200006-WOB00008','WOG00438','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#03.png',1,'2024-07-05 18:23:57'),
	(4485,'WOF091200006-WOB00008','WOG00438','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#03.html',1,'2024-07-05 18:23:57'),
	(4486,'WOF091200006-WOB00008','WOG00439','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#04.png',1,'2024-07-05 18:23:57'),
	(4487,'WOF091200006-WOB00008','WOG00439','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#04.html',1,'2024-07-05 18:23:57'),
	(4488,'WOF091200006-WOB00008','WOG00440','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#05.png',1,'2024-07-05 18:23:57'),
	(4489,'WOF091200006-WOB00008','WOG00440','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#05.html',1,'2024-07-05 18:23:57'),
	(4490,'WOF091200006-WOB00008','WOG00441','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#06.png',1,'2024-07-05 18:23:57'),
	(4491,'WOF091200006-WOB00008','WOG00441','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#06.html',1,'2024-07-05 18:23:57'),
	(4492,'WOF091200006-WOB00008','WOG00442','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#07.png',1,'2024-07-05 18:23:57'),
	(4493,'WOF091200006-WOB00008','WOG00442','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#07.html',1,'2024-07-05 18:23:57'),
	(4494,'WOF091200006-WOB00008','WOG00443','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#08.png',1,'2024-07-05 18:23:57'),
	(4495,'WOF091200006-WOB00008','WOG00443','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#08.html',1,'2024-07-05 18:23:57'),
	(4496,'WOF091200006-WOB00008','WOG00444','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#09.png',1,'2024-07-05 18:23:57'),
	(4497,'WOF091200006-WOB00008','WOG00444','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#09.html',1,'2024-07-05 18:23:57'),
	(4498,'WOF091200006-WOB00008','WOG00445','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#10.png',1,'2024-07-05 18:23:57'),
	(4499,'WOF091200006-WOB00008','WOG00445','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#10.html',1,'2024-07-05 18:23:57'),
	(4500,'WOF091200006-WOB00008','WOG00446','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#11.png',1,'2024-07-05 18:23:57'),
	(4501,'WOF091200006-WOB00008','WOG00446','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#11.html',1,'2024-07-05 18:23:57'),
	(4502,'WOF091200006-WOB00008','WOG00447','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#12.png',1,'2024-07-05 18:23:57'),
	(4503,'WOF091200006-WOB00008','WOG00447','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#12.html',1,'2024-07-05 18:23:57'),
	(4504,'WOF091200006-WOB00008','WOG00448','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#13.png',1,'2024-07-05 18:23:57'),
	(4505,'WOF091200006-WOB00008','WOG00448','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#13.html',1,'2024-07-05 18:23:57'),
	(4506,'WOF091200006-WOB00008','WOG00449','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#14.png',1,'2024-07-05 18:23:57'),
	(4507,'WOF091200006-WOB00008','WOG00449','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#14.html',1,'2024-07-05 18:23:57'),
	(4508,'WOF091200006-WOB00008','WOG00450','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#15.png',1,'2024-07-05 18:23:57'),
	(4509,'WOF091200006-WOB00008','WOG00450','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#15.html',1,'2024-07-05 18:23:57'),
	(4510,'WOF091200006-WOB00008','WOG00451','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#16.png',1,'2024-07-05 18:23:57'),
	(4511,'WOF091200006-WOB00008','WOG00451','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#16.html',1,'2024-07-05 18:23:57'),
	(4512,'WOF091200006-WOB00008','WOG00452','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#17.png',1,'2024-07-05 18:23:57'),
	(4513,'WOF091200006-WOB00008','WOG00452','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#17.html',1,'2024-07-05 18:23:57'),
	(4514,'WOF091200006-WOB00008','WOG00453','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#18.png',1,'2024-07-05 18:23:57'),
	(4515,'WOF091200006-WOB00008','WOG00453','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#18.html',1,'2024-07-05 18:23:57'),
	(4516,'WOF091200006-WOB00008','WOG00454','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#19.png',1,'2024-07-05 18:23:57'),
	(4517,'WOF091200006-WOB00008','WOG00454','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#19.html',1,'2024-07-05 18:23:57'),
	(4518,'WOF091200006-WOB00008','WOG00455','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#20.png',1,'2024-07-05 18:23:57'),
	(4519,'WOF091200006-WOB00008','WOG00455','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#20.html',1,'2024-07-05 18:23:57'),
	(4520,'WOF091200006-WOB00008','WOG00456','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#21.png',1,'2024-07-05 18:23:57'),
	(4521,'WOF091200006-WOB00008','WOG00456','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#21.html',1,'2024-07-05 18:23:57'),
	(4522,'WOF091200006-WOB00008','WOG00457','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#22.png',1,'2024-07-05 18:23:57'),
	(4523,'WOF091200006-WOB00008','WOG00457','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#22.html',1,'2024-07-05 18:23:57'),
	(4524,'WOF091200006-WOB00008','WOG00458','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#23.png',1,'2024-07-05 18:23:57'),
	(4525,'WOF091200006-WOB00008','WOG00458','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#23.html',1,'2024-07-05 18:23:57'),
	(4526,'WOF091200006-WOB00008','WOG00459','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#24.png',1,'2024-07-05 18:23:57'),
	(4527,'WOF091200006-WOB00008','WOG00459','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#24.html',1,'2024-07-05 18:23:57'),
	(4528,'WOF091200006-WOB00008','WOG00460','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#25.png',1,'2024-07-05 18:23:57'),
	(4529,'WOF091200006-WOB00008','WOG00460','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#25.html',1,'2024-07-05 18:23:57'),
	(4530,'WOF091200006-WOB00008','WOG00461','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#26.png',1,'2024-07-05 18:23:57'),
	(4531,'WOF091200006-WOB00008','WOG00461','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#26.html',1,'2024-07-05 18:23:57'),
	(4532,'WOF091200006-WOB00008','WOG00462','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#27.png',1,'2024-07-05 18:23:57'),
	(4533,'WOF091200006-WOB00008','WOG00462','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#27.html',1,'2024-07-05 18:23:57'),
	(4534,'WOF091200006-WOB00008','WOG00463','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#28.png',1,'2024-07-05 18:23:57'),
	(4535,'WOF091200006-WOB00008','WOG00463','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#28.html',1,'2024-07-05 18:23:57'),
	(4536,'WOF091200006-WOB00008','WOG00464','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#29.png',1,'2024-07-05 18:23:57'),
	(4537,'WOF091200006-WOB00008','WOG00464','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#29.html',1,'2024-07-05 18:23:57'),
	(4538,'WOF091200006-WOB00008','WOG00465','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#30.png',1,'2024-07-05 18:23:57'),
	(4539,'WOF091200006-WOB00008','WOG00465','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#30.html',1,'2024-07-05 18:23:57'),
	(4540,'WOF091200006-WOB00008','WOG00466','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#31.png',1,'2024-07-05 18:23:57'),
	(4541,'WOF091200006-WOB00008','WOG00466','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#31.html',1,'2024-07-05 18:23:57'),
	(4542,'WOF091200006-WOB00008','WOG00467','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#32.png',1,'2024-07-05 18:23:57'),
	(4543,'WOF091200006-WOB00008','WOG00467','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#32.html',1,'2024-07-05 18:23:57'),
	(4544,'WOF091200006-WOB00008','WOG00468','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#33.png',1,'2024-07-05 18:23:57'),
	(4545,'WOF091200006-WOB00008','WOG00468','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/#33.html',1,'2024-07-05 18:23:57'),
	(4546,'WOF091200006-WOB00008','WOG00436','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#01.png',1,'2024-07-05 18:23:57'),
	(4547,'WOF091200006-WOB00008','WOG00436','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#01.html',1,'2024-07-05 18:23:57'),
	(4548,'WOF091200006-WOB00008','WOG00437','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#02.png',1,'2024-07-05 18:23:57'),
	(4549,'WOF091200006-WOB00008','WOG00437','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#02.html',1,'2024-07-05 18:23:57'),
	(4550,'WOF091200006-WOB00008','WOG00438','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#03.png',1,'2024-07-05 18:23:57'),
	(4551,'WOF091200006-WOB00008','WOG00438','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#03.html',1,'2024-07-05 18:23:57'),
	(4552,'WOF091200006-WOB00008','WOG00439','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#04.png',1,'2024-07-05 18:23:57'),
	(4553,'WOF091200006-WOB00008','WOG00439','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#04.html',1,'2024-07-05 18:23:57'),
	(4554,'WOF091200006-WOB00008','WOG00440','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#05.png',1,'2024-07-05 18:23:57'),
	(4555,'WOF091200006-WOB00008','WOG00440','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#05.html',1,'2024-07-05 18:23:57'),
	(4556,'WOF091200006-WOB00008','WOG00441','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#06.png',1,'2024-07-05 18:23:57'),
	(4557,'WOF091200006-WOB00008','WOG00441','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#06.html',1,'2024-07-05 18:23:57'),
	(4558,'WOF091200006-WOB00008','WOG00442','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#07.png',1,'2024-07-05 18:23:57'),
	(4559,'WOF091200006-WOB00008','WOG00442','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#07.html',1,'2024-07-05 18:23:57'),
	(4560,'WOF091200006-WOB00008','WOG00443','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#08.png',1,'2024-07-05 18:23:57'),
	(4561,'WOF091200006-WOB00008','WOG00443','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#08.html',1,'2024-07-05 18:23:57'),
	(4562,'WOF091200006-WOB00008','WOG00444','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#09.png',1,'2024-07-05 18:23:57'),
	(4563,'WOF091200006-WOB00008','WOG00444','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#09.html',1,'2024-07-05 18:23:57'),
	(4564,'WOF091200006-WOB00008','WOG00445','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#10.png',1,'2024-07-05 18:23:57'),
	(4565,'WOF091200006-WOB00008','WOG00445','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#10.html',1,'2024-07-05 18:23:57'),
	(4566,'WOF091200006-WOB00008','WOG00446','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#11.png',1,'2024-07-05 18:23:57'),
	(4567,'WOF091200006-WOB00008','WOG00446','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#11.html',1,'2024-07-05 18:23:57'),
	(4568,'WOF091200006-WOB00008','WOG00447','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#12.png',1,'2024-07-05 18:23:57'),
	(4569,'WOF091200006-WOB00008','WOG00447','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#12.html',1,'2024-07-05 18:23:57'),
	(4570,'WOF091200006-WOB00008','WOG00448','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#13.png',1,'2024-07-05 18:23:57'),
	(4571,'WOF091200006-WOB00008','WOG00448','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#13.html',1,'2024-07-05 18:23:57'),
	(4572,'WOF091200006-WOB00008','WOG00449','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#14.png',1,'2024-07-05 18:23:57'),
	(4573,'WOF091200006-WOB00008','WOG00449','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#14.html',1,'2024-07-05 18:23:57'),
	(4574,'WOF091200006-WOB00008','WOG00450','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#15.png',1,'2024-07-05 18:23:57'),
	(4575,'WOF091200006-WOB00008','WOG00450','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#15.html',1,'2024-07-05 18:23:57'),
	(4576,'WOF091200006-WOB00008','WOG00451','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#16.png',1,'2024-07-05 18:23:57'),
	(4577,'WOF091200006-WOB00008','WOG00451','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#16.html',1,'2024-07-05 18:23:57'),
	(4578,'WOF091200006-WOB00008','WOG00452','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#17.png',1,'2024-07-05 18:23:57'),
	(4579,'WOF091200006-WOB00008','WOG00452','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#17.html',1,'2024-07-05 18:23:57'),
	(4580,'WOF091200006-WOB00008','WOG00453','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#18.png',1,'2024-07-05 18:23:57'),
	(4581,'WOF091200006-WOB00008','WOG00453','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#18.html',1,'2024-07-05 18:23:57'),
	(4582,'WOF091200006-WOB00008','WOG00454','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#19.png',1,'2024-07-05 18:23:57'),
	(4583,'WOF091200006-WOB00008','WOG00454','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#19.html',1,'2024-07-05 18:23:57'),
	(4584,'WOF091200006-WOB00008','WOG00455','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#20.png',1,'2024-07-05 18:23:57'),
	(4585,'WOF091200006-WOB00008','WOG00455','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#20.html',1,'2024-07-05 18:23:57'),
	(4586,'WOF091200006-WOB00008','WOG00456','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#21.png',1,'2024-07-05 18:23:57'),
	(4587,'WOF091200006-WOB00008','WOG00456','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#21.html',1,'2024-07-05 18:23:57'),
	(4588,'WOF091200006-WOB00008','WOG00457','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#22.png',1,'2024-07-05 18:23:57'),
	(4589,'WOF091200006-WOB00008','WOG00457','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#22.html',1,'2024-07-05 18:23:57'),
	(4590,'WOF091200006-WOB00008','WOG00458','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#23.png',1,'2024-07-05 18:23:57'),
	(4591,'WOF091200006-WOB00008','WOG00458','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#23.html',1,'2024-07-05 18:23:57'),
	(4592,'WOF091200006-WOB00008','WOG00459','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#24.png',1,'2024-07-05 18:23:57'),
	(4593,'WOF091200006-WOB00008','WOG00459','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#24.html',1,'2024-07-05 18:23:57'),
	(4594,'WOF091200006-WOB00008','WOG00460','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#25.png',1,'2024-07-05 18:23:57'),
	(4595,'WOF091200006-WOB00008','WOG00460','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#25.html',1,'2024-07-05 18:23:57'),
	(4596,'WOF091200006-WOB00008','WOG00461','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#26.png',1,'2024-07-05 18:23:57'),
	(4597,'WOF091200006-WOB00008','WOG00461','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#26.html',1,'2024-07-05 18:23:57'),
	(4598,'WOF091200006-WOB00008','WOG00462','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#27.png',1,'2024-07-05 18:23:57'),
	(4599,'WOF091200006-WOB00008','WOG00462','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#27.html',1,'2024-07-05 18:23:57'),
	(4600,'WOF091200006-WOB00008','WOG00463','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#28.png',1,'2024-07-05 18:23:57'),
	(4601,'WOF091200006-WOB00008','WOG00463','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#28.html',1,'2024-07-05 18:23:57'),
	(4602,'WOF091200006-WOB00008','WOG00464','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#29.png',1,'2024-07-05 18:23:57'),
	(4603,'WOF091200006-WOB00008','WOG00464','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#29.html',1,'2024-07-05 18:23:57'),
	(4604,'WOF091200006-WOB00008','WOG00465','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#30.png',1,'2024-07-05 18:23:57'),
	(4605,'WOF091200006-WOB00008','WOG00465','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#30.html',1,'2024-07-05 18:23:57'),
	(4606,'WOF091200006-WOB00008','WOG00466','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#31.png',1,'2024-07-05 18:23:57'),
	(4607,'WOF091200006-WOB00008','WOG00466','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#31.html',1,'2024-07-05 18:23:57'),
	(4608,'WOF091200006-WOB00008','WOG00467','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#32.png',1,'2024-07-05 18:23:57'),
	(4609,'WOF091200006-WOB00008','WOG00467','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#32.html',1,'2024-07-05 18:23:57'),
	(4610,'WOF091200006-WOB00008','WOG00468','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#33.png',1,'2024-07-05 18:23:57'),
	(4611,'WOF091200006-WOB00008','WOG00468','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/GeneratorTemperature/#33.html',1,'2024-07-05 18:23:57'),
	(4612,'WOF091200006-WOB00008','WOG00436','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#01.html',1,'2024-07-05 18:23:57'),
	(4613,'WOF091200006-WOB00008','WOG00437','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#02.html',1,'2024-07-05 18:23:57'),
	(4614,'WOF091200006-WOB00008','WOG00438','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#03.html',1,'2024-07-05 18:23:57'),
	(4615,'WOF091200006-WOB00008','WOG00439','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#04.html',1,'2024-07-05 18:23:57'),
	(4616,'WOF091200006-WOB00008','WOG00440','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#05.html',1,'2024-07-05 18:23:57'),
	(4617,'WOF091200006-WOB00008','WOG00441','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#06.html',1,'2024-07-05 18:23:57'),
	(4618,'WOF091200006-WOB00008','WOG00442','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#07.html',1,'2024-07-05 18:23:57'),
	(4619,'WOF091200006-WOB00008','WOG00443','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#08.html',1,'2024-07-05 18:23:57'),
	(4620,'WOF091200006-WOB00008','WOG00444','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#09.html',1,'2024-07-05 18:23:57'),
	(4621,'WOF091200006-WOB00008','WOG00445','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#10.html',1,'2024-07-05 18:23:57'),
	(4622,'WOF091200006-WOB00008','WOG00446','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#11.html',1,'2024-07-05 18:23:57'),
	(4623,'WOF091200006-WOB00008','WOG00447','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#12.html',1,'2024-07-05 18:23:57'),
	(4624,'WOF091200006-WOB00008','WOG00448','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#13.html',1,'2024-07-05 18:23:57'),
	(4625,'WOF091200006-WOB00008','WOG00449','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#14.html',1,'2024-07-05 18:23:57'),
	(4626,'WOF091200006-WOB00008','WOG00450','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#15.html',1,'2024-07-05 18:23:57'),
	(4627,'WOF091200006-WOB00008','WOG00451','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#16.html',1,'2024-07-05 18:23:57'),
	(4628,'WOF091200006-WOB00008','WOG00452','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#17.html',1,'2024-07-05 18:23:57'),
	(4629,'WOF091200006-WOB00008','WOG00453','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#18.html',1,'2024-07-05 18:23:57'),
	(4630,'WOF091200006-WOB00008','WOG00454','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#19.html',1,'2024-07-05 18:23:57'),
	(4631,'WOF091200006-WOB00008','WOG00455','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#20.html',1,'2024-07-05 18:23:57'),
	(4632,'WOF091200006-WOB00008','WOG00456','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#21.html',1,'2024-07-05 18:23:57'),
	(4633,'WOF091200006-WOB00008','WOG00457','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#22.html',1,'2024-07-05 18:23:57'),
	(4634,'WOF091200006-WOB00008','WOG00458','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#23.html',1,'2024-07-05 18:23:57'),
	(4635,'WOF091200006-WOB00008','WOG00459','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#24.html',1,'2024-07-05 18:23:57'),
	(4636,'WOF091200006-WOB00008','WOG00460','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#25.html',1,'2024-07-05 18:23:57'),
	(4637,'WOF091200006-WOB00008','WOG00461','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#26.html',1,'2024-07-05 18:23:57'),
	(4638,'WOF091200006-WOB00008','WOG00462','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#27.html',1,'2024-07-05 18:23:57'),
	(4639,'WOF091200006-WOB00008','WOG00463','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#28.html',1,'2024-07-05 18:23:57'),
	(4640,'WOF091200006-WOB00008','WOG00464','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#29.html',1,'2024-07-05 18:23:57'),
	(4641,'WOF091200006-WOB00008','WOG00465','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#30.html',1,'2024-07-05 18:23:57'),
	(4642,'WOF091200006-WOB00008','WOG00466','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#31.html',1,'2024-07-05 18:23:57'),
	(4643,'WOF091200006-WOB00008','WOG00467','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#32.html',1,'2024-07-05 18:23:57'),
	(4644,'WOF091200006-WOB00008','WOG00468','pitch_tsr_cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/pitch_tsr_cp/automatic/#33.html',1,'2024-07-05 18:23:57'),
	(4645,'WOF035900004-WOB00007','WOG00389','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2301.html',0,'2024-07-08 17:53:30'),
	(4646,'WOF035900004-WOB00007','WOG00390','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2302.html',0,'2024-07-08 17:53:30'),
	(4647,'WOF035900004-WOB00007','WOG00391','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2303.html',0,'2024-07-08 17:53:30'),
	(4648,'WOF035900004-WOB00007','WOG00389','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2301.html',0,'2024-07-08 17:53:30'),
	(4649,'WOF035900004-WOB00007','WOG00390','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2302.html',0,'2024-07-08 17:53:30'),
	(4650,'WOF035900004-WOB00007','WOG00391','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2303.html',0,'2024-07-08 17:53:30'),
	(4651,'WOF035900004-WOB00007','WOG00389','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2301.html',0,'2024-07-08 17:53:30'),
	(4652,'WOF035900004-WOB00007','WOG00390','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2302.html',0,'2024-07-08 17:53:30'),
	(4653,'WOF035900004-WOB00007','WOG00391','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2303.html',0,'2024-07-08 17:53:30'),
	(4654,'WOF035900004-WOB00007','WOG00389','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2301.html',0,'2024-07-08 17:53:30'),
	(4655,'WOF035900004-WOB00007','WOG00390','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2302.html',0,'2024-07-08 17:53:30'),
	(4656,'WOF035900004-WOB00007','WOG00391','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2303.html',0,'2024-07-08 17:53:30'),
	(4657,'WOF035900004-WOB00007','WOG00389','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/generator_winding1_temperature/%2301.html',0,'2024-07-08 17:53:30'),
	(4658,'WOF035900004-WOB00007','WOG00390','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/generator_winding1_temperature/%2302.html',0,'2024-07-08 17:53:30'),
	(4659,'WOF035900004-WOB00007','WOG00391','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/generator_winding1_temperature/%2303.html',0,'2024-07-08 17:53:30'),
	(4660,'WOF035900004-WOB00007','WOG00389','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/GeneratorTemperature/%2301.html',0,'2024-07-08 17:53:30'),
	(4661,'WOF035900004-WOB00007','WOG00390','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/GeneratorTemperature/%2302.html',0,'2024-07-08 17:53:30'),
	(4662,'WOF035900004-WOB00007','WOG00391','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/GeneratorTemperature/%2303.html',0,'2024-07-08 17:53:30'),
	(4663,'WOF035900004-WOB00005','WOG00389','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2301.html',0,'2024-07-08 17:53:30'),
	(4664,'WOF035900004-WOB00005','WOG00390','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2302.html',0,'2024-07-08 17:53:30'),
	(4665,'WOF035900004-WOB00005','WOG00391','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2303.html',0,'2024-07-08 17:53:30'),
	(4666,'WOF035900004-WOB00005','WOG00392','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2304.html',0,'2024-07-08 17:53:30'),
	(4667,'WOF035900004-WOB00005','WOG00393','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2305.html',0,'2024-07-08 17:53:30'),
	(4668,'WOF035900004-WOB00005','WOG00394','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2306.html',0,'2024-07-08 17:53:30'),
	(4669,'WOF035900004-WOB00005','WOG00395','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2307.html',0,'2024-07-08 17:53:30'),
	(4670,'WOF035900004-WOB00005','WOG00396','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2308.html',0,'2024-07-08 17:53:30'),
	(4671,'WOF035900004-WOB00005','WOG00397','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2309.html',0,'2024-07-08 17:53:30'),
	(4672,'WOF035900004-WOB00005','WOG00398','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2310.html',0,'2024-07-08 17:53:30'),
	(4673,'WOF035900004-WOB00005','WOG00399','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2311.html',0,'2024-07-08 17:53:30'),
	(4674,'WOF035900004-WOB00005','WOG00400','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2312.html',0,'2024-07-08 17:53:30'),
	(4675,'WOF035900004-WOB00005','WOG00401','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2313.html',0,'2024-07-08 17:53:30'),
	(4676,'WOF035900004-WOB00005','WOG00402','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2314.html',0,'2024-07-08 17:53:30'),
	(4677,'WOF035900004-WOB00005','WOG00403','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2315.html',0,'2024-07-08 17:53:30'),
	(4678,'WOF035900004-WOB00005','WOG00404','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2316.html',0,'2024-07-08 17:53:30'),
	(4679,'WOF035900004-WOB00005','WOG00405','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2317.html',0,'2024-07-08 17:53:30'),
	(4680,'WOF035900004-WOB00005','WOG00406','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2318.html',0,'2024-07-08 17:53:30'),
	(4681,'WOF035900004-WOB00005','WOG00407','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2319.html',0,'2024-07-08 17:53:30'),
	(4682,'WOF035900004-WOB00005','WOG00408','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2320.html',0,'2024-07-08 17:53:30'),
	(4683,'WOF035900004-WOB00005','WOG00409','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2321.html',0,'2024-07-08 17:53:30'),
	(4684,'WOF035900004-WOB00005','WOG00410','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2322.html',0,'2024-07-08 17:53:30'),
	(4685,'WOF035900004-WOB00005','WOG00411','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2323.html',0,'2024-07-08 17:53:30'),
	(4686,'WOF035900004-WOB00005','WOG00412','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2324.html',0,'2024-07-08 17:53:30'),
	(4687,'WOF035900004-WOB00005','WOG00389','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2301.html',0,'2024-07-08 17:53:30'),
	(4688,'WOF035900004-WOB00005','WOG00390','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2302.html',0,'2024-07-08 17:53:30'),
	(4689,'WOF035900004-WOB00005','WOG00391','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2303.html',0,'2024-07-08 17:53:30'),
	(4690,'WOF035900004-WOB00005','WOG00392','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2304.html',0,'2024-07-08 17:53:30'),
	(4691,'WOF035900004-WOB00005','WOG00393','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2305.html',0,'2024-07-08 17:53:30'),
	(4692,'WOF035900004-WOB00005','WOG00394','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2306.html',0,'2024-07-08 17:53:30'),
	(4693,'WOF035900004-WOB00005','WOG00395','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2307.html',0,'2024-07-08 17:53:30'),
	(4694,'WOF035900004-WOB00005','WOG00396','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2308.html',0,'2024-07-08 17:53:30'),
	(4695,'WOF035900004-WOB00005','WOG00397','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2309.html',0,'2024-07-08 17:53:30'),
	(4696,'WOF035900004-WOB00005','WOG00398','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2310.html',0,'2024-07-08 17:53:30'),
	(4697,'WOF035900004-WOB00005','WOG00399','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2311.html',0,'2024-07-08 17:53:30'),
	(4698,'WOF035900004-WOB00005','WOG00400','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2312.html',0,'2024-07-08 17:53:30'),
	(4699,'WOF035900004-WOB00005','WOG00401','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2313.html',0,'2024-07-08 17:53:30'),
	(4700,'WOF035900004-WOB00005','WOG00402','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2314.html',0,'2024-07-08 17:53:30'),
	(4701,'WOF035900004-WOB00005','WOG00403','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2315.html',0,'2024-07-08 17:53:30'),
	(4702,'WOF035900004-WOB00005','WOG00404','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2316.html',0,'2024-07-08 17:53:30'),
	(4703,'WOF035900004-WOB00005','WOG00405','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2317.html',0,'2024-07-08 17:53:30'),
	(4704,'WOF035900004-WOB00005','WOG00406','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2318.html',0,'2024-07-08 17:53:30'),
	(4705,'WOF035900004-WOB00005','WOG00407','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2319.html',0,'2024-07-08 17:53:30'),
	(4706,'WOF035900004-WOB00005','WOG00408','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2320.html',0,'2024-07-08 17:53:30'),
	(4707,'WOF035900004-WOB00005','WOG00409','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2321.html',0,'2024-07-08 17:53:30'),
	(4708,'WOF035900004-WOB00005','WOG00410','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2322.html',0,'2024-07-08 17:53:30'),
	(4709,'WOF035900004-WOB00005','WOG00411','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2323.html',0,'2024-07-08 17:53:30'),
	(4710,'WOF035900004-WOB00005','WOG00412','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2324.html',0,'2024-07-08 17:53:30'),
	(4711,'WOF035900004-WOB00005','WOG00389','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2301.html',0,'2024-07-08 17:53:30'),
	(4712,'WOF035900004-WOB00005','WOG00390','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2302.html',0,'2024-07-08 17:53:30'),
	(4713,'WOF035900004-WOB00005','WOG00391','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2303.html',0,'2024-07-08 17:53:30'),
	(4714,'WOF035900004-WOB00005','WOG00392','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2304.html',0,'2024-07-08 17:53:30'),
	(4715,'WOF035900004-WOB00005','WOG00393','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2305.html',0,'2024-07-08 17:53:30'),
	(4716,'WOF035900004-WOB00005','WOG00394','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2306.html',0,'2024-07-08 17:53:30'),
	(4717,'WOF035900004-WOB00005','WOG00395','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2307.html',0,'2024-07-08 17:53:30'),
	(4718,'WOF035900004-WOB00005','WOG00396','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2308.html',0,'2024-07-08 17:53:30'),
	(4719,'WOF035900004-WOB00005','WOG00397','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2309.html',0,'2024-07-08 17:53:30'),
	(4720,'WOF035900004-WOB00005','WOG00398','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2310.html',0,'2024-07-08 17:53:30'),
	(4721,'WOF035900004-WOB00005','WOG00399','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2311.html',0,'2024-07-08 17:53:30'),
	(4722,'WOF035900004-WOB00005','WOG00400','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2312.html',0,'2024-07-08 17:53:30'),
	(4723,'WOF035900004-WOB00005','WOG00401','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2313.html',0,'2024-07-08 17:53:30'),
	(4724,'WOF035900004-WOB00005','WOG00402','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2314.html',0,'2024-07-08 17:53:30'),
	(4725,'WOF035900004-WOB00005','WOG00403','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2315.html',0,'2024-07-08 17:53:30'),
	(4726,'WOF035900004-WOB00005','WOG00404','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2316.html',0,'2024-07-08 17:53:30'),
	(4727,'WOF035900004-WOB00005','WOG00405','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2317.html',0,'2024-07-08 17:53:30'),
	(4728,'WOF035900004-WOB00005','WOG00406','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2318.html',0,'2024-07-08 17:53:30'),
	(4729,'WOF035900004-WOB00005','WOG00407','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2319.html',0,'2024-07-08 17:53:30'),
	(4730,'WOF035900004-WOB00005','WOG00408','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2320.html',0,'2024-07-08 17:53:30'),
	(4731,'WOF035900004-WOB00005','WOG00409','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2321.html',0,'2024-07-08 17:53:30'),
	(4732,'WOF035900004-WOB00005','WOG00410','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2322.html',0,'2024-07-08 17:53:30'),
	(4733,'WOF035900004-WOB00005','WOG00411','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2323.html',0,'2024-07-08 17:53:30'),
	(4734,'WOF035900004-WOB00005','WOG00412','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2324.html',0,'2024-07-08 17:53:30'),
	(4735,'WOF035900004-WOB00005','WOG00389','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2301.html',0,'2024-07-08 17:53:30'),
	(4736,'WOF035900004-WOB00005','WOG00390','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2302.html',0,'2024-07-08 17:53:30'),
	(4737,'WOF035900004-WOB00005','WOG00391','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2303.html',0,'2024-07-08 17:53:30'),
	(4738,'WOF035900004-WOB00005','WOG00392','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2304.html',0,'2024-07-08 17:53:30'),
	(4739,'WOF035900004-WOB00005','WOG00393','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2305.html',0,'2024-07-08 17:53:30'),
	(4740,'WOF035900004-WOB00005','WOG00394','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2306.html',0,'2024-07-08 17:53:30'),
	(4741,'WOF035900004-WOB00005','WOG00395','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2307.html',0,'2024-07-08 17:53:30'),
	(4742,'WOF035900004-WOB00005','WOG00396','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2308.html',0,'2024-07-08 17:53:30'),
	(4743,'WOF035900004-WOB00005','WOG00397','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2309.html',0,'2024-07-08 17:53:30'),
	(4744,'WOF035900004-WOB00005','WOG00398','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2310.html',0,'2024-07-08 17:53:30'),
	(4745,'WOF035900004-WOB00005','WOG00399','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2311.html',0,'2024-07-08 17:53:30'),
	(4746,'WOF035900004-WOB00005','WOG00400','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2312.html',0,'2024-07-08 17:53:30'),
	(4747,'WOF035900004-WOB00005','WOG00401','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2313.html',0,'2024-07-08 17:53:30'),
	(4748,'WOF035900004-WOB00005','WOG00402','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2314.html',0,'2024-07-08 17:53:30'),
	(4749,'WOF035900004-WOB00005','WOG00403','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2315.html',0,'2024-07-08 17:53:30'),
	(4750,'WOF035900004-WOB00005','WOG00404','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2316.html',0,'2024-07-08 17:53:30'),
	(4751,'WOF035900004-WOB00005','WOG00405','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2317.html',0,'2024-07-08 17:53:30'),
	(4752,'WOF035900004-WOB00005','WOG00406','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2318.html',0,'2024-07-08 17:53:30'),
	(4753,'WOF035900004-WOB00005','WOG00407','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2319.html',0,'2024-07-08 17:53:30'),
	(4754,'WOF035900004-WOB00005','WOG00408','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2320.html',0,'2024-07-08 17:53:30'),
	(4755,'WOF035900004-WOB00005','WOG00409','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2321.html',0,'2024-07-08 17:53:30'),
	(4756,'WOF035900004-WOB00005','WOG00410','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2322.html',0,'2024-07-08 17:53:30'),
	(4757,'WOF035900004-WOB00005','WOG00411','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2323.html',0,'2024-07-08 17:53:30'),
	(4758,'WOF035900004-WOB00005','WOG00412','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2324.html',0,'2024-07-08 17:53:30'),
	(4759,'WOF035900004-WOB00005','WOG00389','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2301.html',0,'2024-07-08 17:53:30'),
	(4760,'WOF035900004-WOB00005','WOG00390','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2302.html',0,'2024-07-08 17:53:30'),
	(4761,'WOF035900004-WOB00005','WOG00391','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2303.html',0,'2024-07-08 17:53:30'),
	(4762,'WOF035900004-WOB00005','WOG00392','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2304.html',0,'2024-07-08 17:53:30'),
	(4763,'WOF035900004-WOB00005','WOG00393','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2305.html',0,'2024-07-08 17:53:30'),
	(4764,'WOF035900004-WOB00005','WOG00394','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2306.html',0,'2024-07-08 17:53:30'),
	(4765,'WOF035900004-WOB00005','WOG00395','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2307.html',0,'2024-07-08 17:53:30'),
	(4766,'WOF035900004-WOB00005','WOG00396','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2308.html',0,'2024-07-08 17:53:30'),
	(4767,'WOF035900004-WOB00005','WOG00397','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2309.html',0,'2024-07-08 17:53:30'),
	(4768,'WOF035900004-WOB00005','WOG00398','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2310.html',0,'2024-07-08 17:53:30'),
	(4769,'WOF035900004-WOB00005','WOG00399','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2311.html',0,'2024-07-08 17:53:30'),
	(4770,'WOF035900004-WOB00005','WOG00400','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2312.html',0,'2024-07-08 17:53:30'),
	(4771,'WOF035900004-WOB00005','WOG00401','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2313.html',0,'2024-07-08 17:53:30'),
	(4772,'WOF035900004-WOB00005','WOG00402','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2314.html',0,'2024-07-08 17:53:30'),
	(4773,'WOF035900004-WOB00005','WOG00403','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2315.html',0,'2024-07-08 17:53:30'),
	(4774,'WOF035900004-WOB00005','WOG00404','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2316.html',0,'2024-07-08 17:53:30'),
	(4775,'WOF035900004-WOB00005','WOG00405','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2317.html',0,'2024-07-08 17:53:30'),
	(4776,'WOF035900004-WOB00005','WOG00406','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2318.html',0,'2024-07-08 17:53:30'),
	(4777,'WOF035900004-WOB00005','WOG00407','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2319.html',0,'2024-07-08 17:53:30'),
	(4778,'WOF035900004-WOB00005','WOG00408','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2320.html',0,'2024-07-08 17:53:30'),
	(4779,'WOF035900004-WOB00005','WOG00409','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2321.html',0,'2024-07-08 17:53:30'),
	(4780,'WOF035900004-WOB00005','WOG00410','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2322.html',0,'2024-07-08 17:53:30'),
	(4781,'WOF035900004-WOB00005','WOG00411','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2323.html',0,'2024-07-08 17:53:30'),
	(4782,'WOF035900004-WOB00005','WOG00412','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%2324.html',0,'2024-07-08 17:53:30'),
	(4783,'WOF035900004-WOB00005','WOG00389','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2301.html',0,'2024-07-08 17:53:30'),
	(4784,'WOF035900004-WOB00005','WOG00390','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2302.html',0,'2024-07-08 17:53:30'),
	(4785,'WOF035900004-WOB00005','WOG00391','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2303.html',0,'2024-07-08 17:53:30'),
	(4786,'WOF035900004-WOB00005','WOG00392','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2304.html',0,'2024-07-08 17:53:30'),
	(4787,'WOF035900004-WOB00005','WOG00393','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2305.html',0,'2024-07-08 17:53:30'),
	(4788,'WOF035900004-WOB00005','WOG00394','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2306.html',0,'2024-07-08 17:53:30'),
	(4789,'WOF035900004-WOB00005','WOG00395','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2307.html',0,'2024-07-08 17:53:30'),
	(4790,'WOF035900004-WOB00005','WOG00396','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2308.html',0,'2024-07-08 17:53:30'),
	(4791,'WOF035900004-WOB00005','WOG00397','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2309.html',0,'2024-07-08 17:53:30'),
	(4792,'WOF035900004-WOB00005','WOG00398','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2310.html',0,'2024-07-08 17:53:30'),
	(4793,'WOF035900004-WOB00005','WOG00399','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2311.html',0,'2024-07-08 17:53:30'),
	(4794,'WOF035900004-WOB00005','WOG00400','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2312.html',0,'2024-07-08 17:53:30'),
	(4795,'WOF035900004-WOB00005','WOG00401','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2313.html',0,'2024-07-08 17:53:30'),
	(4796,'WOF035900004-WOB00005','WOG00402','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2314.html',0,'2024-07-08 17:53:30'),
	(4797,'WOF035900004-WOB00005','WOG00403','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2315.html',0,'2024-07-08 17:53:30'),
	(4798,'WOF035900004-WOB00005','WOG00404','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2316.html',0,'2024-07-08 17:53:30'),
	(4799,'WOF035900004-WOB00005','WOG00405','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2317.html',0,'2024-07-08 17:53:30'),
	(4800,'WOF035900004-WOB00005','WOG00406','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2318.html',0,'2024-07-08 17:53:30'),
	(4801,'WOF035900004-WOB00005','WOG00407','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2319.html',0,'2024-07-08 17:53:30'),
	(4802,'WOF035900004-WOB00005','WOG00408','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2320.html',0,'2024-07-08 17:53:30'),
	(4803,'WOF035900004-WOB00005','WOG00409','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2321.html',0,'2024-07-08 17:53:30'),
	(4804,'WOF035900004-WOB00005','WOG00410','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2322.html',0,'2024-07-08 17:53:30'),
	(4805,'WOF035900004-WOB00005','WOG00411','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2323.html',0,'2024-07-08 17:53:30'),
	(4806,'WOF035900004-WOB00005','WOG00412','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/%2324.html',0,'2024-07-08 17:53:30'),
	(4807,'WOF091200006-WOB00008','WOG00436','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#01.png',0,'2024-07-05 18:23:57'),
	(4808,'WOF091200006-WOB00008','WOG00436','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#01.html',0,'2024-07-05 18:23:57'),
	(4809,'WOF091200006-WOB00008','WOG00437','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#02.png',0,'2024-07-05 18:23:57'),
	(4810,'WOF091200006-WOB00008','WOG00437','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#02.html',0,'2024-07-05 18:23:57'),
	(4811,'WOF091200006-WOB00008','WOG00438','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#03.png',0,'2024-07-05 18:23:57'),
	(4812,'WOF091200006-WOB00008','WOG00438','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#03.html',0,'2024-07-05 18:23:57'),
	(4813,'WOF091200006-WOB00008','WOG00439','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#04.png',0,'2024-07-05 18:23:57'),
	(4814,'WOF091200006-WOB00008','WOG00439','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#04.html',0,'2024-07-05 18:23:57'),
	(4815,'WOF091200006-WOB00008','WOG00440','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#05.png',0,'2024-07-05 18:23:57'),
	(4816,'WOF091200006-WOB00008','WOG00440','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#05.html',0,'2024-07-05 18:23:57'),
	(4817,'WOF091200006-WOB00008','WOG00441','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#06.png',0,'2024-07-05 18:23:57'),
	(4818,'WOF091200006-WOB00008','WOG00441','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#06.html',0,'2024-07-05 18:23:57'),
	(4819,'WOF091200006-WOB00008','WOG00442','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#07.png',0,'2024-07-05 18:23:57'),
	(4820,'WOF091200006-WOB00008','WOG00442','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#07.html',0,'2024-07-05 18:23:57'),
	(4821,'WOF091200006-WOB00008','WOG00443','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#08.png',0,'2024-07-05 18:23:57'),
	(4822,'WOF091200006-WOB00008','WOG00443','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#08.html',0,'2024-07-05 18:23:57'),
	(4823,'WOF091200006-WOB00008','WOG00444','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#09.png',0,'2024-07-05 18:23:57'),
	(4824,'WOF091200006-WOB00008','WOG00444','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#09.html',0,'2024-07-05 18:23:57'),
	(4825,'WOF091200006-WOB00008','WOG00445','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#10.png',0,'2024-07-05 18:23:57'),
	(4826,'WOF091200006-WOB00008','WOG00445','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#10.html',0,'2024-07-05 18:23:57'),
	(4827,'WOF091200006-WOB00008','WOG00446','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#11.png',0,'2024-07-05 18:23:57'),
	(4828,'WOF091200006-WOB00008','WOG00446','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#11.html',0,'2024-07-05 18:23:57'),
	(4829,'WOF091200006-WOB00008','WOG00447','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#12.png',0,'2024-07-05 18:23:57'),
	(4830,'WOF091200006-WOB00008','WOG00447','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#12.html',0,'2024-07-05 18:23:57'),
	(4831,'WOF091200006-WOB00008','WOG00448','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#13.png',0,'2024-07-05 18:23:57'),
	(4832,'WOF091200006-WOB00008','WOG00448','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#13.html',0,'2024-07-05 18:23:57'),
	(4833,'WOF091200006-WOB00008','WOG00449','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#14.png',0,'2024-07-05 18:23:57'),
	(4834,'WOF091200006-WOB00008','WOG00449','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#14.html',0,'2024-07-05 18:23:57'),
	(4835,'WOF091200006-WOB00008','WOG00450','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#15.png',0,'2024-07-05 18:23:57'),
	(4836,'WOF091200006-WOB00008','WOG00450','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#15.html',0,'2024-07-05 18:23:57'),
	(4837,'WOF091200006-WOB00008','WOG00451','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#16.png',0,'2024-07-05 18:23:57'),
	(4838,'WOF091200006-WOB00008','WOG00451','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#16.html',0,'2024-07-05 18:23:57'),
	(4839,'WOF091200006-WOB00008','WOG00452','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#17.png',0,'2024-07-05 18:23:57'),
	(4840,'WOF091200006-WOB00008','WOG00452','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#17.html',0,'2024-07-05 18:23:57'),
	(4841,'WOF091200006-WOB00008','WOG00453','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#18.png',0,'2024-07-05 18:23:57'),
	(4842,'WOF091200006-WOB00008','WOG00453','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#18.html',0,'2024-07-05 18:23:57'),
	(4843,'WOF091200006-WOB00008','WOG00454','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#19.png',0,'2024-07-05 18:23:57'),
	(4844,'WOF091200006-WOB00008','WOG00454','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#19.html',0,'2024-07-05 18:23:57'),
	(4845,'WOF091200006-WOB00008','WOG00455','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#20.png',0,'2024-07-05 18:23:57'),
	(4846,'WOF091200006-WOB00008','WOG00455','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#20.html',0,'2024-07-05 18:23:57'),
	(4847,'WOF091200006-WOB00008','WOG00456','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#21.png',0,'2024-07-05 18:23:57'),
	(4848,'WOF091200006-WOB00008','WOG00456','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#21.html',0,'2024-07-05 18:23:57'),
	(4849,'WOF091200006-WOB00008','WOG00457','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#22.png',0,'2024-07-05 18:23:57'),
	(4850,'WOF091200006-WOB00008','WOG00457','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#22.html',0,'2024-07-05 18:23:57'),
	(4851,'WOF091200006-WOB00008','WOG00458','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#23.png',0,'2024-07-05 18:23:57'),
	(4852,'WOF091200006-WOB00008','WOG00458','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#23.html',0,'2024-07-05 18:23:57'),
	(4853,'WOF091200006-WOB00008','WOG00459','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#24.png',0,'2024-07-05 18:23:57'),
	(4854,'WOF091200006-WOB00008','WOG00459','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#24.html',0,'2024-07-05 18:23:57'),
	(4855,'WOF091200006-WOB00008','WOG00460','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#25.png',0,'2024-07-05 18:23:57'),
	(4856,'WOF091200006-WOB00008','WOG00460','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#25.html',0,'2024-07-05 18:23:57'),
	(4857,'WOF091200006-WOB00008','WOG00461','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#26.png',0,'2024-07-05 18:23:57'),
	(4858,'WOF091200006-WOB00008','WOG00461','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#26.html',0,'2024-07-05 18:23:57'),
	(4859,'WOF091200006-WOB00008','WOG00462','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#27.png',0,'2024-07-05 18:23:57'),
	(4860,'WOF091200006-WOB00008','WOG00462','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#27.html',0,'2024-07-05 18:23:57'),
	(4861,'WOF091200006-WOB00008','WOG00463','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#28.png',0,'2024-07-05 18:23:57'),
	(4862,'WOF091200006-WOB00008','WOG00463','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#28.html',0,'2024-07-05 18:23:57'),
	(4863,'WOF091200006-WOB00008','WOG00464','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#29.png',0,'2024-07-05 18:23:57'),
	(4864,'WOF091200006-WOB00008','WOG00464','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#29.html',0,'2024-07-05 18:23:57'),
	(4865,'WOF091200006-WOB00008','WOG00465','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#30.png',0,'2024-07-05 18:23:57'),
	(4866,'WOF091200006-WOB00008','WOG00465','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#30.html',0,'2024-07-05 18:23:57'),
	(4867,'WOF091200006-WOB00008','WOG00466','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#31.png',0,'2024-07-05 18:23:57'),
	(4868,'WOF091200006-WOB00008','WOG00466','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#31.html',0,'2024-07-05 18:23:57'),
	(4869,'WOF091200006-WOB00008','WOG00467','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#32.png',0,'2024-07-05 18:23:57'),
	(4870,'WOF091200006-WOB00008','WOG00467','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#32.html',0,'2024-07-05 18:23:57'),
	(4871,'WOF091200006-WOB00008','WOG00468','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#33.png',0,'2024-07-05 18:23:57'),
	(4872,'WOF091200006-WOB00008','WOG00468','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#33.html',0,'2024-07-05 18:23:57'),
	(4873,'WOF091200006-WOB00008','WOG00436','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#01.png',0,'2024-07-05 18:23:57'),
	(4874,'WOF091200006-WOB00008','WOG00436','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#01.html',0,'2024-07-05 18:23:57'),
	(4875,'WOF091200006-WOB00008','WOG00437','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#02.png',0,'2024-07-05 18:23:57'),
	(4876,'WOF091200006-WOB00008','WOG00437','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#02.html',0,'2024-07-05 18:23:57'),
	(4877,'WOF091200006-WOB00008','WOG00438','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#03.png',0,'2024-07-05 18:23:57'),
	(4878,'WOF091200006-WOB00008','WOG00438','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#03.html',0,'2024-07-05 18:23:57'),
	(4879,'WOF091200006-WOB00008','WOG00439','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#04.png',0,'2024-07-05 18:23:57'),
	(4880,'WOF091200006-WOB00008','WOG00439','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#04.html',0,'2024-07-05 18:23:57'),
	(4881,'WOF091200006-WOB00008','WOG00440','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#05.png',0,'2024-07-05 18:23:57'),
	(4882,'WOF091200006-WOB00008','WOG00440','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#05.html',0,'2024-07-05 18:23:57'),
	(4883,'WOF091200006-WOB00008','WOG00441','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#06.png',0,'2024-07-05 18:23:57'),
	(4884,'WOF091200006-WOB00008','WOG00441','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#06.html',0,'2024-07-05 18:23:57'),
	(4885,'WOF091200006-WOB00008','WOG00442','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#07.png',0,'2024-07-05 18:23:57'),
	(4886,'WOF091200006-WOB00008','WOG00442','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#07.html',0,'2024-07-05 18:23:57'),
	(4887,'WOF091200006-WOB00008','WOG00443','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#08.png',0,'2024-07-05 18:23:57'),
	(4888,'WOF091200006-WOB00008','WOG00443','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#08.html',0,'2024-07-05 18:23:57'),
	(4889,'WOF091200006-WOB00008','WOG00444','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#09.png',0,'2024-07-05 18:23:57'),
	(4890,'WOF091200006-WOB00008','WOG00444','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#09.html',0,'2024-07-05 18:23:57'),
	(4891,'WOF091200006-WOB00008','WOG00445','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#10.png',0,'2024-07-05 18:23:57'),
	(4892,'WOF091200006-WOB00008','WOG00445','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#10.html',0,'2024-07-05 18:23:57'),
	(4893,'WOF091200006-WOB00008','WOG00446','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#11.png',0,'2024-07-05 18:23:57'),
	(4894,'WOF091200006-WOB00008','WOG00446','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#11.html',0,'2024-07-05 18:23:57'),
	(4895,'WOF091200006-WOB00008','WOG00447','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#12.png',0,'2024-07-05 18:23:57'),
	(4896,'WOF091200006-WOB00008','WOG00447','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#12.html',0,'2024-07-05 18:23:57'),
	(4897,'WOF091200006-WOB00008','WOG00448','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#13.png',0,'2024-07-05 18:23:57'),
	(4898,'WOF091200006-WOB00008','WOG00448','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#13.html',0,'2024-07-05 18:23:57'),
	(4899,'WOF091200006-WOB00008','WOG00449','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#14.png',0,'2024-07-05 18:23:57'),
	(4900,'WOF091200006-WOB00008','WOG00449','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#14.html',0,'2024-07-05 18:23:57'),
	(4901,'WOF091200006-WOB00008','WOG00450','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#15.png',0,'2024-07-05 18:23:57'),
	(4902,'WOF091200006-WOB00008','WOG00450','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#15.html',0,'2024-07-05 18:23:57'),
	(4903,'WOF091200006-WOB00008','WOG00451','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#16.png',0,'2024-07-05 18:23:57'),
	(4904,'WOF091200006-WOB00008','WOG00451','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#16.html',0,'2024-07-05 18:23:57'),
	(4905,'WOF091200006-WOB00008','WOG00452','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#17.png',0,'2024-07-05 18:23:57'),
	(4906,'WOF091200006-WOB00008','WOG00452','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#17.html',0,'2024-07-05 18:23:57'),
	(4907,'WOF091200006-WOB00008','WOG00453','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#18.png',0,'2024-07-05 18:23:57'),
	(4908,'WOF091200006-WOB00008','WOG00453','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#18.html',0,'2024-07-05 18:23:57'),
	(4909,'WOF091200006-WOB00008','WOG00454','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#19.png',0,'2024-07-05 18:23:57'),
	(4910,'WOF091200006-WOB00008','WOG00454','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#19.html',0,'2024-07-05 18:23:57'),
	(4911,'WOF091200006-WOB00008','WOG00455','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#20.png',0,'2024-07-05 18:23:57'),
	(4912,'WOF091200006-WOB00008','WOG00455','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#20.html',0,'2024-07-05 18:23:57'),
	(4913,'WOF091200006-WOB00008','WOG00456','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#21.png',0,'2024-07-05 18:23:57'),
	(4914,'WOF091200006-WOB00008','WOG00456','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#21.html',0,'2024-07-05 18:23:57'),
	(4915,'WOF091200006-WOB00008','WOG00457','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#22.png',0,'2024-07-05 18:23:57'),
	(4916,'WOF091200006-WOB00008','WOG00457','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#22.html',0,'2024-07-05 18:23:57'),
	(4917,'WOF091200006-WOB00008','WOG00458','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#23.png',0,'2024-07-05 18:23:57'),
	(4918,'WOF091200006-WOB00008','WOG00458','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#23.html',0,'2024-07-05 18:23:57'),
	(4919,'WOF091200006-WOB00008','WOG00459','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#24.png',0,'2024-07-05 18:23:57'),
	(4920,'WOF091200006-WOB00008','WOG00459','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#24.html',0,'2024-07-05 18:23:57'),
	(4921,'WOF091200006-WOB00008','WOG00460','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#25.png',0,'2024-07-05 18:23:57'),
	(4922,'WOF091200006-WOB00008','WOG00460','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#25.html',0,'2024-07-05 18:23:57'),
	(4923,'WOF091200006-WOB00008','WOG00461','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#26.png',0,'2024-07-05 18:23:57'),
	(4924,'WOF091200006-WOB00008','WOG00461','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#26.html',0,'2024-07-05 18:23:57'),
	(4925,'WOF091200006-WOB00008','WOG00462','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#27.png',0,'2024-07-05 18:23:57'),
	(4926,'WOF091200006-WOB00008','WOG00462','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#27.html',0,'2024-07-05 18:23:57'),
	(4927,'WOF091200006-WOB00008','WOG00463','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#28.png',0,'2024-07-05 18:23:57'),
	(4928,'WOF091200006-WOB00008','WOG00463','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#28.html',0,'2024-07-05 18:23:57'),
	(4929,'WOF091200006-WOB00008','WOG00464','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#29.png',0,'2024-07-05 18:23:57'),
	(4930,'WOF091200006-WOB00008','WOG00464','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#29.html',0,'2024-07-05 18:23:57'),
	(4931,'WOF091200006-WOB00008','WOG00465','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#30.png',0,'2024-07-05 18:23:57'),
	(4932,'WOF091200006-WOB00008','WOG00465','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#30.html',0,'2024-07-05 18:23:57'),
	(4933,'WOF091200006-WOB00008','WOG00466','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#31.png',0,'2024-07-05 18:23:57'),
	(4934,'WOF091200006-WOB00008','WOG00466','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#31.html',0,'2024-07-05 18:23:57'),
	(4935,'WOF091200006-WOB00008','WOG00467','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#32.png',0,'2024-07-05 18:23:57'),
	(4936,'WOF091200006-WOB00008','WOG00467','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#32.html',0,'2024-07-05 18:23:57'),
	(4937,'WOF091200006-WOB00008','WOG00468','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#33.png',0,'2024-07-05 18:23:57'),
	(4938,'WOF091200006-WOB00008','WOG00468','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#33.html',0,'2024-07-05 18:23:57'),
	(4939,'WOF091200006-WOB00008','WOG00436','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#01.png',0,'2024-07-05 18:23:57'),
	(4940,'WOF091200006-WOB00008','WOG00436','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#01.html',0,'2024-07-05 18:23:57'),
	(4941,'WOF091200006-WOB00008','WOG00437','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#02.png',0,'2024-07-05 18:23:57'),
	(4942,'WOF091200006-WOB00008','WOG00437','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#02.html',0,'2024-07-05 18:23:57'),
	(4943,'WOF091200006-WOB00008','WOG00438','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#03.png',0,'2024-07-05 18:23:57'),
	(4944,'WOF091200006-WOB00008','WOG00438','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#03.html',0,'2024-07-05 18:23:57'),
	(4945,'WOF091200006-WOB00008','WOG00439','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#04.png',0,'2024-07-05 18:23:57'),
	(4946,'WOF091200006-WOB00008','WOG00439','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#04.html',0,'2024-07-05 18:23:57'),
	(4947,'WOF091200006-WOB00008','WOG00440','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#05.png',0,'2024-07-05 18:23:57'),
	(4948,'WOF091200006-WOB00008','WOG00440','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#05.html',0,'2024-07-05 18:23:57'),
	(4949,'WOF091200006-WOB00008','WOG00441','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#06.png',0,'2024-07-05 18:23:57'),
	(4950,'WOF091200006-WOB00008','WOG00441','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#06.html',0,'2024-07-05 18:23:57'),
	(4951,'WOF091200006-WOB00008','WOG00442','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#07.png',0,'2024-07-05 18:23:57'),
	(4952,'WOF091200006-WOB00008','WOG00442','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#07.html',0,'2024-07-05 18:23:57'),
	(4953,'WOF091200006-WOB00008','WOG00443','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#08.png',0,'2024-07-05 18:23:57'),
	(4954,'WOF091200006-WOB00008','WOG00443','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#08.html',0,'2024-07-05 18:23:57'),
	(4955,'WOF091200006-WOB00008','WOG00444','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#09.png',0,'2024-07-05 18:23:57'),
	(4956,'WOF091200006-WOB00008','WOG00444','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#09.html',0,'2024-07-05 18:23:57'),
	(4957,'WOF091200006-WOB00008','WOG00445','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#10.png',0,'2024-07-05 18:23:57'),
	(4958,'WOF091200006-WOB00008','WOG00445','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#10.html',0,'2024-07-05 18:23:57'),
	(4959,'WOF091200006-WOB00008','WOG00446','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#11.png',0,'2024-07-05 18:23:57'),
	(4960,'WOF091200006-WOB00008','WOG00446','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#11.html',0,'2024-07-05 18:23:57'),
	(4961,'WOF091200006-WOB00008','WOG00447','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#12.png',0,'2024-07-05 18:23:57'),
	(4962,'WOF091200006-WOB00008','WOG00447','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#12.html',0,'2024-07-05 18:23:57'),
	(4963,'WOF091200006-WOB00008','WOG00448','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#13.png',0,'2024-07-05 18:23:57'),
	(4964,'WOF091200006-WOB00008','WOG00448','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#13.html',0,'2024-07-05 18:23:57'),
	(4965,'WOF091200006-WOB00008','WOG00449','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#14.png',0,'2024-07-05 18:23:57'),
	(4966,'WOF091200006-WOB00008','WOG00449','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#14.html',0,'2024-07-05 18:23:57'),
	(4967,'WOF091200006-WOB00008','WOG00450','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#15.png',0,'2024-07-05 18:23:57'),
	(4968,'WOF091200006-WOB00008','WOG00450','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#15.html',0,'2024-07-05 18:23:57'),
	(4969,'WOF091200006-WOB00008','WOG00451','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#16.png',0,'2024-07-05 18:23:57'),
	(4970,'WOF091200006-WOB00008','WOG00451','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#16.html',0,'2024-07-05 18:23:57'),
	(4971,'WOF091200006-WOB00008','WOG00452','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#17.png',0,'2024-07-05 18:23:57'),
	(4972,'WOF091200006-WOB00008','WOG00452','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#17.html',0,'2024-07-05 18:23:57'),
	(4973,'WOF091200006-WOB00008','WOG00453','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#18.png',0,'2024-07-05 18:23:57'),
	(4974,'WOF091200006-WOB00008','WOG00453','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#18.html',0,'2024-07-05 18:23:57'),
	(4975,'WOF091200006-WOB00008','WOG00454','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#19.png',0,'2024-07-05 18:23:57'),
	(4976,'WOF091200006-WOB00008','WOG00454','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#19.html',0,'2024-07-05 18:23:57'),
	(4977,'WOF091200006-WOB00008','WOG00455','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#20.png',0,'2024-07-05 18:23:57'),
	(4978,'WOF091200006-WOB00008','WOG00455','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#20.html',0,'2024-07-05 18:23:57'),
	(4979,'WOF091200006-WOB00008','WOG00456','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#21.png',0,'2024-07-05 18:23:57'),
	(4980,'WOF091200006-WOB00008','WOG00456','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#21.html',0,'2024-07-05 18:23:57'),
	(4981,'WOF091200006-WOB00008','WOG00457','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#22.png',0,'2024-07-05 18:23:57'),
	(4982,'WOF091200006-WOB00008','WOG00457','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#22.html',0,'2024-07-05 18:23:57'),
	(4983,'WOF091200006-WOB00008','WOG00458','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#23.png',0,'2024-07-05 18:23:57'),
	(4984,'WOF091200006-WOB00008','WOG00458','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#23.html',0,'2024-07-05 18:23:57'),
	(4985,'WOF091200006-WOB00008','WOG00459','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#24.png',0,'2024-07-05 18:23:57'),
	(4986,'WOF091200006-WOB00008','WOG00459','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#24.html',0,'2024-07-05 18:23:57'),
	(4987,'WOF091200006-WOB00008','WOG00460','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#25.png',0,'2024-07-05 18:23:57'),
	(4988,'WOF091200006-WOB00008','WOG00460','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#25.html',0,'2024-07-05 18:23:57'),
	(4989,'WOF091200006-WOB00008','WOG00461','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#26.png',0,'2024-07-05 18:23:57'),
	(4990,'WOF091200006-WOB00008','WOG00461','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#26.html',0,'2024-07-05 18:23:57'),
	(4991,'WOF091200006-WOB00008','WOG00462','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#27.png',0,'2024-07-05 18:23:57'),
	(4992,'WOF091200006-WOB00008','WOG00462','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#27.html',0,'2024-07-05 18:23:57'),
	(4993,'WOF091200006-WOB00008','WOG00463','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#28.png',0,'2024-07-05 18:23:57'),
	(4994,'WOF091200006-WOB00008','WOG00463','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#28.html',0,'2024-07-05 18:23:57'),
	(4995,'WOF091200006-WOB00008','WOG00464','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#29.png',0,'2024-07-05 18:23:57'),
	(4996,'WOF091200006-WOB00008','WOG00464','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#29.html',0,'2024-07-05 18:23:57'),
	(4997,'WOF091200006-WOB00008','WOG00465','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#30.png',0,'2024-07-05 18:23:57'),
	(4998,'WOF091200006-WOB00008','WOG00465','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#30.html',0,'2024-07-05 18:23:57'),
	(4999,'WOF091200006-WOB00008','WOG00466','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#31.png',0,'2024-07-05 18:23:57'),
	(5000,'WOF091200006-WOB00008','WOG00466','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#31.html',0,'2024-07-05 18:23:57'),
	(5001,'WOF091200006-WOB00008','WOG00467','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#32.png',0,'2024-07-05 18:23:57'),
	(5002,'WOF091200006-WOB00008','WOG00467','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#32.html',0,'2024-07-05 18:23:57'),
	(5003,'WOF091200006-WOB00008','WOG00468','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#33.png',0,'2024-07-05 18:23:57'),
	(5004,'WOF091200006-WOB00008','WOG00468','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#33.html',0,'2024-07-05 18:23:57'),
	(5005,'WOF091200006-WOB00008','WOG00436','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#01.png',0,'2024-07-05 18:23:57'),
	(5006,'WOF091200006-WOB00008','WOG00436','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#01.html',0,'2024-07-05 18:23:57'),
	(5007,'WOF091200006-WOB00008','WOG00437','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#02.png',0,'2024-07-05 18:23:57'),
	(5008,'WOF091200006-WOB00008','WOG00437','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#02.html',0,'2024-07-05 18:23:57'),
	(5009,'WOF091200006-WOB00008','WOG00438','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#03.png',0,'2024-07-05 18:23:57'),
	(5010,'WOF091200006-WOB00008','WOG00438','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#03.html',0,'2024-07-05 18:23:57'),
	(5011,'WOF091200006-WOB00008','WOG00439','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#04.png',0,'2024-07-05 18:23:57'),
	(5012,'WOF091200006-WOB00008','WOG00439','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#04.html',0,'2024-07-05 18:23:57'),
	(5013,'WOF091200006-WOB00008','WOG00440','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#05.png',0,'2024-07-05 18:23:57'),
	(5014,'WOF091200006-WOB00008','WOG00440','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#05.html',0,'2024-07-05 18:23:57'),
	(5015,'WOF091200006-WOB00008','WOG00441','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#06.png',0,'2024-07-05 18:23:57'),
	(5016,'WOF091200006-WOB00008','WOG00441','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#06.html',0,'2024-07-05 18:23:57'),
	(5017,'WOF091200006-WOB00008','WOG00442','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#07.png',0,'2024-07-05 18:23:57'),
	(5018,'WOF091200006-WOB00008','WOG00442','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#07.html',0,'2024-07-05 18:23:57'),
	(5019,'WOF091200006-WOB00008','WOG00443','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#08.png',0,'2024-07-05 18:23:57'),
	(5020,'WOF091200006-WOB00008','WOG00443','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#08.html',0,'2024-07-05 18:23:57'),
	(5021,'WOF091200006-WOB00008','WOG00444','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#09.png',0,'2024-07-05 18:23:57'),
	(5022,'WOF091200006-WOB00008','WOG00444','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#09.html',0,'2024-07-05 18:23:57'),
	(5023,'WOF091200006-WOB00008','WOG00445','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#10.png',0,'2024-07-05 18:23:57'),
	(5024,'WOF091200006-WOB00008','WOG00445','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#10.html',0,'2024-07-05 18:23:57'),
	(5025,'WOF091200006-WOB00008','WOG00446','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#11.png',0,'2024-07-05 18:23:57'),
	(5026,'WOF091200006-WOB00008','WOG00446','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#11.html',0,'2024-07-05 18:23:57'),
	(5027,'WOF091200006-WOB00008','WOG00447','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#12.png',0,'2024-07-05 18:23:57'),
	(5028,'WOF091200006-WOB00008','WOG00447','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#12.html',0,'2024-07-05 18:23:57'),
	(5029,'WOF091200006-WOB00008','WOG00448','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#13.png',0,'2024-07-05 18:23:57'),
	(5030,'WOF091200006-WOB00008','WOG00448','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#13.html',0,'2024-07-05 18:23:57'),
	(5031,'WOF091200006-WOB00008','WOG00449','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#14.png',0,'2024-07-05 18:23:57'),
	(5032,'WOF091200006-WOB00008','WOG00449','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#14.html',0,'2024-07-05 18:23:57'),
	(5033,'WOF091200006-WOB00008','WOG00450','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#15.png',0,'2024-07-05 18:23:57'),
	(5034,'WOF091200006-WOB00008','WOG00450','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#15.html',0,'2024-07-05 18:23:57'),
	(5035,'WOF091200006-WOB00008','WOG00451','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#16.png',0,'2024-07-05 18:23:57'),
	(5036,'WOF091200006-WOB00008','WOG00451','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#16.html',0,'2024-07-05 18:23:57'),
	(5037,'WOF091200006-WOB00008','WOG00452','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#17.png',0,'2024-07-05 18:23:57'),
	(5038,'WOF091200006-WOB00008','WOG00452','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#17.html',0,'2024-07-05 18:23:57'),
	(5039,'WOF091200006-WOB00008','WOG00453','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#18.png',0,'2024-07-05 18:23:57'),
	(5040,'WOF091200006-WOB00008','WOG00453','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#18.html',0,'2024-07-05 18:23:57'),
	(5041,'WOF091200006-WOB00008','WOG00454','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#19.png',0,'2024-07-05 18:23:57'),
	(5042,'WOF091200006-WOB00008','WOG00454','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#19.html',0,'2024-07-05 18:23:57'),
	(5043,'WOF091200006-WOB00008','WOG00455','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#20.png',0,'2024-07-05 18:23:57'),
	(5044,'WOF091200006-WOB00008','WOG00455','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#20.html',0,'2024-07-05 18:23:57'),
	(5045,'WOF091200006-WOB00008','WOG00456','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#21.png',0,'2024-07-05 18:23:57'),
	(5046,'WOF091200006-WOB00008','WOG00456','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#21.html',0,'2024-07-05 18:23:57'),
	(5047,'WOF091200006-WOB00008','WOG00457','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#22.png',0,'2024-07-05 18:23:57'),
	(5048,'WOF091200006-WOB00008','WOG00457','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#22.html',0,'2024-07-05 18:23:57'),
	(5049,'WOF091200006-WOB00008','WOG00458','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#23.png',0,'2024-07-05 18:23:57'),
	(5050,'WOF091200006-WOB00008','WOG00458','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#23.html',0,'2024-07-05 18:23:57'),
	(5051,'WOF091200006-WOB00008','WOG00459','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#24.png',0,'2024-07-05 18:23:57'),
	(5052,'WOF091200006-WOB00008','WOG00459','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#24.html',0,'2024-07-05 18:23:57'),
	(5053,'WOF091200006-WOB00008','WOG00460','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#25.png',0,'2024-07-05 18:23:57'),
	(5054,'WOF091200006-WOB00008','WOG00460','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#25.html',0,'2024-07-05 18:23:57'),
	(5055,'WOF091200006-WOB00008','WOG00461','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#26.png',0,'2024-07-05 18:23:57'),
	(5056,'WOF091200006-WOB00008','WOG00461','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#26.html',0,'2024-07-05 18:23:57'),
	(5057,'WOF091200006-WOB00008','WOG00462','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#27.png',0,'2024-07-05 18:23:57'),
	(5058,'WOF091200006-WOB00008','WOG00462','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#27.html',0,'2024-07-05 18:23:57'),
	(5059,'WOF091200006-WOB00008','WOG00463','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#28.png',0,'2024-07-05 18:23:57'),
	(5060,'WOF091200006-WOB00008','WOG00463','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#28.html',0,'2024-07-05 18:23:57'),
	(5061,'WOF091200006-WOB00008','WOG00464','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#29.png',0,'2024-07-05 18:23:57'),
	(5062,'WOF091200006-WOB00008','WOG00464','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#29.html',0,'2024-07-05 18:23:57'),
	(5063,'WOF091200006-WOB00008','WOG00465','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#30.png',0,'2024-07-05 18:23:57'),
	(5064,'WOF091200006-WOB00008','WOG00465','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#30.html',0,'2024-07-05 18:23:57'),
	(5065,'WOF091200006-WOB00008','WOG00466','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#31.png',0,'2024-07-05 18:23:57'),
	(5066,'WOF091200006-WOB00008','WOG00466','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#31.html',0,'2024-07-05 18:23:57'),
	(5067,'WOF091200006-WOB00008','WOG00467','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#32.png',0,'2024-07-05 18:23:57'),
	(5068,'WOF091200006-WOB00008','WOG00467','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#32.html',0,'2024-07-05 18:23:57'),
	(5069,'WOF091200006-WOB00008','WOG00468','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#33.png',0,'2024-07-05 18:23:57'),
	(5070,'WOF091200006-WOB00008','WOG00468','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#33.html',0,'2024-07-05 18:23:57'),
	(5071,'WOF091200006-WOB00008','WOG00436','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#01.png',0,'2024-07-05 18:23:57'),
	(5072,'WOF091200006-WOB00008','WOG00436','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#01.html',0,'2024-07-05 18:23:57'),
	(5073,'WOF091200006-WOB00008','WOG00437','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#02.png',0,'2024-07-05 18:23:57'),
	(5074,'WOF091200006-WOB00008','WOG00437','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#02.html',0,'2024-07-05 18:23:57'),
	(5075,'WOF091200006-WOB00008','WOG00438','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#03.png',0,'2024-07-05 18:23:57'),
	(5076,'WOF091200006-WOB00008','WOG00438','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#03.html',0,'2024-07-05 18:23:57'),
	(5077,'WOF091200006-WOB00008','WOG00439','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#04.png',0,'2024-07-05 18:23:57'),
	(5078,'WOF091200006-WOB00008','WOG00439','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#04.html',0,'2024-07-05 18:23:57'),
	(5079,'WOF091200006-WOB00008','WOG00440','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#05.png',0,'2024-07-05 18:23:57'),
	(5080,'WOF091200006-WOB00008','WOG00440','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#05.html',0,'2024-07-05 18:23:57'),
	(5081,'WOF091200006-WOB00008','WOG00441','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#06.png',0,'2024-07-05 18:23:57'),
	(5082,'WOF091200006-WOB00008','WOG00441','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#06.html',0,'2024-07-05 18:23:57'),
	(5083,'WOF091200006-WOB00008','WOG00442','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#07.png',0,'2024-07-05 18:23:57'),
	(5084,'WOF091200006-WOB00008','WOG00442','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#07.html',0,'2024-07-05 18:23:57'),
	(5085,'WOF091200006-WOB00008','WOG00443','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#08.png',0,'2024-07-05 18:23:57'),
	(5086,'WOF091200006-WOB00008','WOG00443','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#08.html',0,'2024-07-05 18:23:57'),
	(5087,'WOF091200006-WOB00008','WOG00444','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#09.png',0,'2024-07-05 18:23:57'),
	(5088,'WOF091200006-WOB00008','WOG00444','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#09.html',0,'2024-07-05 18:23:57'),
	(5089,'WOF091200006-WOB00008','WOG00445','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#10.png',0,'2024-07-05 18:23:57'),
	(5090,'WOF091200006-WOB00008','WOG00445','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#10.html',0,'2024-07-05 18:23:57'),
	(5091,'WOF091200006-WOB00008','WOG00446','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#11.png',0,'2024-07-05 18:23:57'),
	(5092,'WOF091200006-WOB00008','WOG00446','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#11.html',0,'2024-07-05 18:23:57'),
	(5093,'WOF091200006-WOB00008','WOG00447','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#12.png',0,'2024-07-05 18:23:57'),
	(5094,'WOF091200006-WOB00008','WOG00447','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#12.html',0,'2024-07-05 18:23:57'),
	(5095,'WOF091200006-WOB00008','WOG00448','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#13.png',0,'2024-07-05 18:23:57'),
	(5096,'WOF091200006-WOB00008','WOG00448','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#13.html',0,'2024-07-05 18:23:57'),
	(5097,'WOF091200006-WOB00008','WOG00449','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#14.png',0,'2024-07-05 18:23:57'),
	(5098,'WOF091200006-WOB00008','WOG00449','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#14.html',0,'2024-07-05 18:23:57'),
	(5099,'WOF091200006-WOB00008','WOG00450','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#15.png',0,'2024-07-05 18:23:57'),
	(5100,'WOF091200006-WOB00008','WOG00450','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#15.html',0,'2024-07-05 18:23:57'),
	(5101,'WOF091200006-WOB00008','WOG00451','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#16.png',0,'2024-07-05 18:23:57'),
	(5102,'WOF091200006-WOB00008','WOG00451','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#16.html',0,'2024-07-05 18:23:57'),
	(5103,'WOF091200006-WOB00008','WOG00452','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#17.png',0,'2024-07-05 18:23:57'),
	(5104,'WOF091200006-WOB00008','WOG00452','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#17.html',0,'2024-07-05 18:23:57'),
	(5105,'WOF091200006-WOB00008','WOG00453','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#18.png',0,'2024-07-05 18:23:57'),
	(5106,'WOF091200006-WOB00008','WOG00453','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#18.html',0,'2024-07-05 18:23:57'),
	(5107,'WOF091200006-WOB00008','WOG00454','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#19.png',0,'2024-07-05 18:23:57'),
	(5108,'WOF091200006-WOB00008','WOG00454','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#19.html',0,'2024-07-05 18:23:57'),
	(5109,'WOF091200006-WOB00008','WOG00455','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#20.png',0,'2024-07-05 18:23:57'),
	(5110,'WOF091200006-WOB00008','WOG00455','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#20.html',0,'2024-07-05 18:23:57'),
	(5111,'WOF091200006-WOB00008','WOG00456','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#21.png',0,'2024-07-05 18:23:57'),
	(5112,'WOF091200006-WOB00008','WOG00456','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#21.html',0,'2024-07-05 18:23:57'),
	(5113,'WOF091200006-WOB00008','WOG00457','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#22.png',0,'2024-07-05 18:23:57'),
	(5114,'WOF091200006-WOB00008','WOG00457','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#22.html',0,'2024-07-05 18:23:57'),
	(5115,'WOF091200006-WOB00008','WOG00458','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#23.png',0,'2024-07-05 18:23:57'),
	(5116,'WOF091200006-WOB00008','WOG00458','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#23.html',0,'2024-07-05 18:23:57'),
	(5117,'WOF091200006-WOB00008','WOG00459','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#24.png',0,'2024-07-05 18:23:57'),
	(5118,'WOF091200006-WOB00008','WOG00459','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#24.html',0,'2024-07-05 18:23:57'),
	(5119,'WOF091200006-WOB00008','WOG00460','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#25.png',0,'2024-07-05 18:23:57'),
	(5120,'WOF091200006-WOB00008','WOG00460','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#25.html',0,'2024-07-05 18:23:57'),
	(5121,'WOF091200006-WOB00008','WOG00461','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#26.png',0,'2024-07-05 18:23:57'),
	(5122,'WOF091200006-WOB00008','WOG00461','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#26.html',0,'2024-07-05 18:23:57'),
	(5123,'WOF091200006-WOB00008','WOG00462','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#27.png',0,'2024-07-05 18:23:57'),
	(5124,'WOF091200006-WOB00008','WOG00462','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#27.html',0,'2024-07-05 18:23:57'),
	(5125,'WOF091200006-WOB00008','WOG00463','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#28.png',0,'2024-07-05 18:23:57'),
	(5126,'WOF091200006-WOB00008','WOG00463','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#28.html',0,'2024-07-05 18:23:57'),
	(5127,'WOF091200006-WOB00008','WOG00464','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#29.png',0,'2024-07-05 18:23:57'),
	(5128,'WOF091200006-WOB00008','WOG00464','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#29.html',0,'2024-07-05 18:23:57'),
	(5129,'WOF091200006-WOB00008','WOG00465','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#30.png',0,'2024-07-05 18:23:57'),
	(5130,'WOF091200006-WOB00008','WOG00465','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#30.html',0,'2024-07-05 18:23:57'),
	(5131,'WOF091200006-WOB00008','WOG00466','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#31.png',0,'2024-07-05 18:23:57'),
	(5132,'WOF091200006-WOB00008','WOG00466','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#31.html',0,'2024-07-05 18:23:57'),
	(5133,'WOF091200006-WOB00008','WOG00467','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#32.png',0,'2024-07-05 18:23:57'),
	(5134,'WOF091200006-WOB00008','WOG00467','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#32.html',0,'2024-07-05 18:23:57'),
	(5135,'WOF091200006-WOB00008','WOG00468','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#33.png',0,'2024-07-05 18:23:57'),
	(5136,'WOF091200006-WOB00008','WOG00468','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#33.html',0,'2024-07-05 18:23:57'),
	(5137,'WOF091200006-WOB00008','WOG00436','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#01.png',0,'2024-07-05 18:23:57'),
	(5138,'WOF091200006-WOB00008','WOG00436','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#01.html',0,'2024-07-05 18:23:57'),
	(5139,'WOF091200006-WOB00008','WOG00437','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#02.png',0,'2024-07-05 18:23:57'),
	(5140,'WOF091200006-WOB00008','WOG00437','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#02.html',0,'2024-07-05 18:23:57'),
	(5141,'WOF091200006-WOB00008','WOG00438','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#03.png',0,'2024-07-05 18:23:57'),
	(5142,'WOF091200006-WOB00008','WOG00438','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#03.html',0,'2024-07-05 18:23:57'),
	(5143,'WOF091200006-WOB00008','WOG00439','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#04.png',0,'2024-07-05 18:23:57'),
	(5144,'WOF091200006-WOB00008','WOG00439','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#04.html',0,'2024-07-05 18:23:57'),
	(5145,'WOF091200006-WOB00008','WOG00440','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#05.png',0,'2024-07-05 18:23:57'),
	(5146,'WOF091200006-WOB00008','WOG00440','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#05.html',0,'2024-07-05 18:23:57'),
	(5147,'WOF091200006-WOB00008','WOG00441','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#06.png',0,'2024-07-05 18:23:57'),
	(5148,'WOF091200006-WOB00008','WOG00441','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#06.html',0,'2024-07-05 18:23:57'),
	(5149,'WOF091200006-WOB00008','WOG00442','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#07.png',0,'2024-07-05 18:23:57'),
	(5150,'WOF091200006-WOB00008','WOG00442','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#07.html',0,'2024-07-05 18:23:57'),
	(5151,'WOF091200006-WOB00008','WOG00443','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#08.png',0,'2024-07-05 18:23:57'),
	(5152,'WOF091200006-WOB00008','WOG00443','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#08.html',0,'2024-07-05 18:23:57'),
	(5153,'WOF091200006-WOB00008','WOG00444','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#09.png',0,'2024-07-05 18:23:57'),
	(5154,'WOF091200006-WOB00008','WOG00444','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#09.html',0,'2024-07-05 18:23:57'),
	(5155,'WOF091200006-WOB00008','WOG00445','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#10.png',0,'2024-07-05 18:23:57'),
	(5156,'WOF091200006-WOB00008','WOG00445','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#10.html',0,'2024-07-05 18:23:57'),
	(5157,'WOF091200006-WOB00008','WOG00446','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#11.png',0,'2024-07-05 18:23:57'),
	(5158,'WOF091200006-WOB00008','WOG00446','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#11.html',0,'2024-07-05 18:23:57'),
	(5159,'WOF091200006-WOB00008','WOG00447','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#12.png',0,'2024-07-05 18:23:57'),
	(5160,'WOF091200006-WOB00008','WOG00447','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#12.html',0,'2024-07-05 18:23:57'),
	(5161,'WOF091200006-WOB00008','WOG00448','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#13.png',0,'2024-07-05 18:23:57'),
	(5162,'WOF091200006-WOB00008','WOG00448','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#13.html',0,'2024-07-05 18:23:57'),
	(5163,'WOF091200006-WOB00008','WOG00449','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#14.png',0,'2024-07-05 18:23:57'),
	(5164,'WOF091200006-WOB00008','WOG00449','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#14.html',0,'2024-07-05 18:23:57'),
	(5165,'WOF091200006-WOB00008','WOG00450','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#15.png',0,'2024-07-05 18:23:57'),
	(5166,'WOF091200006-WOB00008','WOG00450','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#15.html',0,'2024-07-05 18:23:57'),
	(5167,'WOF091200006-WOB00008','WOG00451','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#16.png',0,'2024-07-05 18:23:57'),
	(5168,'WOF091200006-WOB00008','WOG00451','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#16.html',0,'2024-07-05 18:23:57'),
	(5169,'WOF091200006-WOB00008','WOG00452','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#17.png',0,'2024-07-05 18:23:57'),
	(5170,'WOF091200006-WOB00008','WOG00452','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#17.html',0,'2024-07-05 18:23:57'),
	(5171,'WOF091200006-WOB00008','WOG00453','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#18.png',0,'2024-07-05 18:23:57'),
	(5172,'WOF091200006-WOB00008','WOG00453','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#18.html',0,'2024-07-05 18:23:57'),
	(5173,'WOF091200006-WOB00008','WOG00454','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#19.png',0,'2024-07-05 18:23:57'),
	(5174,'WOF091200006-WOB00008','WOG00454','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#19.html',0,'2024-07-05 18:23:57'),
	(5175,'WOF091200006-WOB00008','WOG00455','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#20.png',0,'2024-07-05 18:23:57'),
	(5176,'WOF091200006-WOB00008','WOG00455','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#20.html',0,'2024-07-05 18:23:57'),
	(5177,'WOF091200006-WOB00008','WOG00456','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#21.png',0,'2024-07-05 18:23:57'),
	(5178,'WOF091200006-WOB00008','WOG00456','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#21.html',0,'2024-07-05 18:23:57'),
	(5179,'WOF091200006-WOB00008','WOG00457','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#22.png',0,'2024-07-05 18:23:57'),
	(5180,'WOF091200006-WOB00008','WOG00457','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#22.html',0,'2024-07-05 18:23:57');

INSERT INTO `analysis_diagram_relation` (`id`, `batch_code`, `field_engine_code`, `analysis_type_code`, `file_addr`, `auto_analysis`, `create_time`)
VALUES
	(5181,'WOF091200006-WOB00008','WOG00458','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#23.png',0,'2024-07-05 18:23:57'),
	(5182,'WOF091200006-WOB00008','WOG00458','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#23.html',0,'2024-07-05 18:23:57'),
	(5183,'WOF091200006-WOB00008','WOG00459','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#24.png',0,'2024-07-05 18:23:57'),
	(5184,'WOF091200006-WOB00008','WOG00459','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#24.html',0,'2024-07-05 18:23:57'),
	(5185,'WOF091200006-WOB00008','WOG00460','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#25.png',0,'2024-07-05 18:23:57'),
	(5186,'WOF091200006-WOB00008','WOG00460','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#25.html',0,'2024-07-05 18:23:57'),
	(5187,'WOF091200006-WOB00008','WOG00461','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#26.png',0,'2024-07-05 18:23:57'),
	(5188,'WOF091200006-WOB00008','WOG00461','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#26.html',0,'2024-07-05 18:23:57'),
	(5189,'WOF091200006-WOB00008','WOG00462','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#27.png',0,'2024-07-05 18:23:57'),
	(5190,'WOF091200006-WOB00008','WOG00462','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#27.html',0,'2024-07-05 18:23:57'),
	(5191,'WOF091200006-WOB00008','WOG00463','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#28.png',0,'2024-07-05 18:23:57'),
	(5192,'WOF091200006-WOB00008','WOG00463','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#28.html',0,'2024-07-05 18:23:57'),
	(5193,'WOF091200006-WOB00008','WOG00464','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#29.png',0,'2024-07-05 18:23:57'),
	(5194,'WOF091200006-WOB00008','WOG00464','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#29.html',0,'2024-07-05 18:23:57'),
	(5195,'WOF091200006-WOB00008','WOG00465','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#30.png',0,'2024-07-05 18:23:57'),
	(5196,'WOF091200006-WOB00008','WOG00465','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#30.html',0,'2024-07-05 18:23:57'),
	(5197,'WOF091200006-WOB00008','WOG00466','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#31.png',0,'2024-07-05 18:23:57'),
	(5198,'WOF091200006-WOB00008','WOG00466','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#31.html',0,'2024-07-05 18:23:57'),
	(5199,'WOF091200006-WOB00008','WOG00467','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#32.png',0,'2024-07-05 18:23:57'),
	(5200,'WOF091200006-WOB00008','WOG00467','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#32.html',0,'2024-07-05 18:23:57'),
	(5201,'WOF091200006-WOB00008','WOG00468','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#33.png',0,'2024-07-05 18:23:57'),
	(5202,'WOF091200006-WOB00008','WOG00468','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#33.html',0,'2024-07-05 18:23:57'),
	(5203,'WOF091200006-WOB00008','WOG00436','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#01.png',0,'2024-07-05 18:23:57'),
	(5204,'WOF091200006-WOB00008','WOG00436','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#01.html',0,'2024-07-05 18:23:57'),
	(5205,'WOF091200006-WOB00008','WOG00437','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#02.png',0,'2024-07-05 18:23:57'),
	(5206,'WOF091200006-WOB00008','WOG00437','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#02.html',0,'2024-07-05 18:23:57'),
	(5207,'WOF091200006-WOB00008','WOG00438','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#03.png',0,'2024-07-05 18:23:57'),
	(5208,'WOF091200006-WOB00008','WOG00438','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#03.html',0,'2024-07-05 18:23:57'),
	(5209,'WOF091200006-WOB00008','WOG00439','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#04.png',0,'2024-07-05 18:23:57'),
	(5210,'WOF091200006-WOB00008','WOG00439','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#04.html',0,'2024-07-05 18:23:57'),
	(5211,'WOF091200006-WOB00008','WOG00440','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#05.png',0,'2024-07-05 18:23:57'),
	(5212,'WOF091200006-WOB00008','WOG00440','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#05.html',0,'2024-07-05 18:23:57'),
	(5213,'WOF091200006-WOB00008','WOG00441','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#06.png',0,'2024-07-05 18:23:57'),
	(5214,'WOF091200006-WOB00008','WOG00441','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#06.html',0,'2024-07-05 18:23:57'),
	(5215,'WOF091200006-WOB00008','WOG00442','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#07.png',0,'2024-07-05 18:23:57'),
	(5216,'WOF091200006-WOB00008','WOG00442','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#07.html',0,'2024-07-05 18:23:57'),
	(5217,'WOF091200006-WOB00008','WOG00443','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#08.png',0,'2024-07-05 18:23:57'),
	(5218,'WOF091200006-WOB00008','WOG00443','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#08.html',0,'2024-07-05 18:23:57'),
	(5219,'WOF091200006-WOB00008','WOG00444','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#09.png',0,'2024-07-05 18:23:57'),
	(5220,'WOF091200006-WOB00008','WOG00444','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#09.html',0,'2024-07-05 18:23:57'),
	(5221,'WOF091200006-WOB00008','WOG00445','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#10.png',0,'2024-07-05 18:23:57'),
	(5222,'WOF091200006-WOB00008','WOG00445','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#10.html',0,'2024-07-05 18:23:57'),
	(5223,'WOF091200006-WOB00008','WOG00446','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#11.png',0,'2024-07-05 18:23:57'),
	(5224,'WOF091200006-WOB00008','WOG00446','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#11.html',0,'2024-07-05 18:23:57'),
	(5225,'WOF091200006-WOB00008','WOG00447','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#12.png',0,'2024-07-05 18:23:57'),
	(5226,'WOF091200006-WOB00008','WOG00447','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#12.html',0,'2024-07-05 18:23:57'),
	(5227,'WOF091200006-WOB00008','WOG00448','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#13.png',0,'2024-07-05 18:23:57'),
	(5228,'WOF091200006-WOB00008','WOG00448','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#13.html',0,'2024-07-05 18:23:57'),
	(5229,'WOF091200006-WOB00008','WOG00449','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#14.png',0,'2024-07-05 18:23:57'),
	(5230,'WOF091200006-WOB00008','WOG00449','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#14.html',0,'2024-07-05 18:23:57'),
	(5231,'WOF091200006-WOB00008','WOG00450','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#15.png',0,'2024-07-05 18:23:57'),
	(5232,'WOF091200006-WOB00008','WOG00450','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#15.html',0,'2024-07-05 18:23:57'),
	(5233,'WOF091200006-WOB00008','WOG00451','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#16.png',0,'2024-07-05 18:23:57'),
	(5234,'WOF091200006-WOB00008','WOG00451','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#16.html',0,'2024-07-05 18:23:57'),
	(5235,'WOF091200006-WOB00008','WOG00452','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#17.png',0,'2024-07-05 18:23:57'),
	(5236,'WOF091200006-WOB00008','WOG00452','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#17.html',0,'2024-07-05 18:23:57'),
	(5237,'WOF091200006-WOB00008','WOG00453','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#18.png',0,'2024-07-05 18:23:57'),
	(5238,'WOF091200006-WOB00008','WOG00453','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#18.html',0,'2024-07-05 18:23:57'),
	(5239,'WOF091200006-WOB00008','WOG00454','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#19.png',0,'2024-07-05 18:23:57'),
	(5240,'WOF091200006-WOB00008','WOG00454','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#19.html',0,'2024-07-05 18:23:57'),
	(5241,'WOF091200006-WOB00008','WOG00455','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#20.png',0,'2024-07-05 18:23:57'),
	(5242,'WOF091200006-WOB00008','WOG00455','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#20.html',0,'2024-07-05 18:23:57'),
	(5243,'WOF091200006-WOB00008','WOG00456','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#21.png',0,'2024-07-05 18:23:57'),
	(5244,'WOF091200006-WOB00008','WOG00456','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#21.html',0,'2024-07-05 18:23:57'),
	(5245,'WOF091200006-WOB00008','WOG00457','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#22.png',0,'2024-07-05 18:23:57'),
	(5246,'WOF091200006-WOB00008','WOG00457','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#22.html',0,'2024-07-05 18:23:57'),
	(5247,'WOF091200006-WOB00008','WOG00458','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#23.png',0,'2024-07-05 18:23:57'),
	(5248,'WOF091200006-WOB00008','WOG00458','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#23.html',0,'2024-07-05 18:23:57'),
	(5249,'WOF091200006-WOB00008','WOG00459','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#24.png',0,'2024-07-05 18:23:57'),
	(5250,'WOF091200006-WOB00008','WOG00459','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#24.html',0,'2024-07-05 18:23:57'),
	(5251,'WOF091200006-WOB00008','WOG00460','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#25.png',0,'2024-07-05 18:23:57'),
	(5252,'WOF091200006-WOB00008','WOG00460','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#25.html',0,'2024-07-05 18:23:57'),
	(5253,'WOF091200006-WOB00008','WOG00461','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#26.png',0,'2024-07-05 18:23:57'),
	(5254,'WOF091200006-WOB00008','WOG00461','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#26.html',0,'2024-07-05 18:23:57'),
	(5255,'WOF091200006-WOB00008','WOG00462','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#27.png',0,'2024-07-05 18:23:57'),
	(5256,'WOF091200006-WOB00008','WOG00462','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#27.html',0,'2024-07-05 18:23:57'),
	(5257,'WOF091200006-WOB00008','WOG00463','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#28.png',0,'2024-07-05 18:23:57'),
	(5258,'WOF091200006-WOB00008','WOG00463','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#28.html',0,'2024-07-05 18:23:57'),
	(5259,'WOF091200006-WOB00008','WOG00464','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#29.png',0,'2024-07-05 18:23:57'),
	(5260,'WOF091200006-WOB00008','WOG00464','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#29.html',0,'2024-07-05 18:23:57'),
	(5261,'WOF091200006-WOB00008','WOG00465','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#30.png',0,'2024-07-05 18:23:57'),
	(5262,'WOF091200006-WOB00008','WOG00465','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#30.html',0,'2024-07-05 18:23:57'),
	(5263,'WOF091200006-WOB00008','WOG00466','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#31.png',0,'2024-07-05 18:23:57'),
	(5264,'WOF091200006-WOB00008','WOG00466','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#31.html',0,'2024-07-05 18:23:57'),
	(5265,'WOF091200006-WOB00008','WOG00467','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#32.png',0,'2024-07-05 18:23:57'),
	(5266,'WOF091200006-WOB00008','WOG00467','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#32.html',0,'2024-07-05 18:23:57'),
	(5267,'WOF091200006-WOB00008','WOG00468','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#33.png',0,'2024-07-05 18:23:57'),
	(5268,'WOF091200006-WOB00008','WOG00468','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/#33.html',0,'2024-07-05 18:23:57'),
	(5269,'WOF091200006-WOB00008','WOG00436','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#01.png',0,'2024-07-05 18:23:57'),
	(5270,'WOF091200006-WOB00008','WOG00436','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#01.html',0,'2024-07-05 18:23:57'),
	(5271,'WOF091200006-WOB00008','WOG00437','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#02.png',0,'2024-07-05 18:23:57'),
	(5272,'WOF091200006-WOB00008','WOG00437','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#02.html',0,'2024-07-05 18:23:57'),
	(5273,'WOF091200006-WOB00008','WOG00438','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#03.png',0,'2024-07-05 18:23:57'),
	(5274,'WOF091200006-WOB00008','WOG00438','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#03.html',0,'2024-07-05 18:23:57'),
	(5275,'WOF091200006-WOB00008','WOG00439','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#04.png',0,'2024-07-05 18:23:57'),
	(5276,'WOF091200006-WOB00008','WOG00439','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#04.html',0,'2024-07-05 18:23:57'),
	(5277,'WOF091200006-WOB00008','WOG00440','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#05.png',0,'2024-07-05 18:23:57'),
	(5278,'WOF091200006-WOB00008','WOG00440','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#05.html',0,'2024-07-05 18:23:57'),
	(5279,'WOF091200006-WOB00008','WOG00441','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#06.png',0,'2024-07-05 18:23:57'),
	(5280,'WOF091200006-WOB00008','WOG00441','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#06.html',0,'2024-07-05 18:23:57'),
	(5281,'WOF091200006-WOB00008','WOG00442','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#07.png',0,'2024-07-05 18:23:57'),
	(5282,'WOF091200006-WOB00008','WOG00442','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#07.html',0,'2024-07-05 18:23:57'),
	(5283,'WOF091200006-WOB00008','WOG00443','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#08.png',0,'2024-07-05 18:23:57'),
	(5284,'WOF091200006-WOB00008','WOG00443','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#08.html',0,'2024-07-05 18:23:57'),
	(5285,'WOF091200006-WOB00008','WOG00444','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#09.png',0,'2024-07-05 18:23:57'),
	(5286,'WOF091200006-WOB00008','WOG00444','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#09.html',0,'2024-07-05 18:23:57'),
	(5287,'WOF091200006-WOB00008','WOG00445','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#10.png',0,'2024-07-05 18:23:57'),
	(5288,'WOF091200006-WOB00008','WOG00445','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#10.html',0,'2024-07-05 18:23:57'),
	(5289,'WOF091200006-WOB00008','WOG00446','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#11.png',0,'2024-07-05 18:23:57'),
	(5290,'WOF091200006-WOB00008','WOG00446','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#11.html',0,'2024-07-05 18:23:57'),
	(5291,'WOF091200006-WOB00008','WOG00447','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#12.png',0,'2024-07-05 18:23:57'),
	(5292,'WOF091200006-WOB00008','WOG00447','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#12.html',0,'2024-07-05 18:23:57'),
	(5293,'WOF091200006-WOB00008','WOG00448','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#13.png',0,'2024-07-05 18:23:57'),
	(5294,'WOF091200006-WOB00008','WOG00448','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#13.html',0,'2024-07-05 18:23:57'),
	(5295,'WOF091200006-WOB00008','WOG00449','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#14.png',0,'2024-07-05 18:23:57'),
	(5296,'WOF091200006-WOB00008','WOG00449','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#14.html',0,'2024-07-05 18:23:57'),
	(5297,'WOF091200006-WOB00008','WOG00450','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#15.png',0,'2024-07-05 18:23:57'),
	(5298,'WOF091200006-WOB00008','WOG00450','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#15.html',0,'2024-07-05 18:23:57'),
	(5299,'WOF091200006-WOB00008','WOG00451','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#16.png',0,'2024-07-05 18:23:57'),
	(5300,'WOF091200006-WOB00008','WOG00451','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#16.html',0,'2024-07-05 18:23:57'),
	(5301,'WOF091200006-WOB00008','WOG00452','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#17.png',0,'2024-07-05 18:23:57'),
	(5302,'WOF091200006-WOB00008','WOG00452','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#17.html',0,'2024-07-05 18:23:57'),
	(5303,'WOF091200006-WOB00008','WOG00453','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#18.png',0,'2024-07-05 18:23:57'),
	(5304,'WOF091200006-WOB00008','WOG00453','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#18.html',0,'2024-07-05 18:23:57'),
	(5305,'WOF091200006-WOB00008','WOG00454','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#19.png',0,'2024-07-05 18:23:57'),
	(5306,'WOF091200006-WOB00008','WOG00454','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#19.html',0,'2024-07-05 18:23:57'),
	(5307,'WOF091200006-WOB00008','WOG00455','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#20.png',0,'2024-07-05 18:23:57'),
	(5308,'WOF091200006-WOB00008','WOG00455','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#20.html',0,'2024-07-05 18:23:57'),
	(5309,'WOF091200006-WOB00008','WOG00456','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#21.png',0,'2024-07-05 18:23:57'),
	(5310,'WOF091200006-WOB00008','WOG00456','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#21.html',0,'2024-07-05 18:23:57'),
	(5311,'WOF091200006-WOB00008','WOG00457','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#22.png',0,'2024-07-05 18:23:57'),
	(5312,'WOF091200006-WOB00008','WOG00457','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#22.html',0,'2024-07-05 18:23:57'),
	(5313,'WOF091200006-WOB00008','WOG00458','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#23.png',0,'2024-07-05 18:23:57'),
	(5314,'WOF091200006-WOB00008','WOG00458','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#23.html',0,'2024-07-05 18:23:57'),
	(5315,'WOF091200006-WOB00008','WOG00459','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#24.png',0,'2024-07-05 18:23:57'),
	(5316,'WOF091200006-WOB00008','WOG00459','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#24.html',0,'2024-07-05 18:23:57'),
	(5317,'WOF091200006-WOB00008','WOG00460','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#25.png',0,'2024-07-05 18:23:57'),
	(5318,'WOF091200006-WOB00008','WOG00460','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#25.html',0,'2024-07-05 18:23:57'),
	(5319,'WOF091200006-WOB00008','WOG00461','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#26.png',0,'2024-07-05 18:23:57'),
	(5320,'WOF091200006-WOB00008','WOG00461','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#26.html',0,'2024-07-05 18:23:57'),
	(5321,'WOF091200006-WOB00008','WOG00462','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#27.png',0,'2024-07-05 18:23:57'),
	(5322,'WOF091200006-WOB00008','WOG00462','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#27.html',0,'2024-07-05 18:23:57'),
	(5323,'WOF091200006-WOB00008','WOG00463','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#28.png',0,'2024-07-05 18:23:57'),
	(5324,'WOF091200006-WOB00008','WOG00463','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#28.html',0,'2024-07-05 18:23:57'),
	(5325,'WOF091200006-WOB00008','WOG00464','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#29.png',0,'2024-07-05 18:23:57'),
	(5326,'WOF091200006-WOB00008','WOG00464','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#29.html',0,'2024-07-05 18:23:57'),
	(5327,'WOF091200006-WOB00008','WOG00465','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#30.png',0,'2024-07-05 18:23:57'),
	(5328,'WOF091200006-WOB00008','WOG00465','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#30.html',0,'2024-07-05 18:23:57'),
	(5329,'WOF091200006-WOB00008','WOG00466','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#31.png',0,'2024-07-05 18:23:57'),
	(5330,'WOF091200006-WOB00008','WOG00466','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#31.html',0,'2024-07-05 18:23:57'),
	(5331,'WOF091200006-WOB00008','WOG00467','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#32.png',0,'2024-07-05 18:23:57'),
	(5332,'WOF091200006-WOB00008','WOG00467','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#32.html',0,'2024-07-05 18:23:57'),
	(5333,'WOF091200006-WOB00008','WOG00468','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#33.png',0,'2024-07-05 18:23:57'),
	(5334,'WOF091200006-WOB00008','WOG00468','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/#33.html',0,'2024-07-05 18:23:57'),
	(5335,'WOF091200006-WOB00008','WOG00436','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#01.png',0,'2024-07-05 18:23:57'),
	(5336,'WOF091200006-WOB00008','WOG00436','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#01.html',0,'2024-07-05 18:23:57'),
	(5337,'WOF091200006-WOB00008','WOG00437','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#02.png',0,'2024-07-05 18:23:57'),
	(5338,'WOF091200006-WOB00008','WOG00437','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#02.html',0,'2024-07-05 18:23:57'),
	(5339,'WOF091200006-WOB00008','WOG00438','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#03.png',0,'2024-07-05 18:23:57'),
	(5340,'WOF091200006-WOB00008','WOG00438','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#03.html',0,'2024-07-05 18:23:57'),
	(5341,'WOF091200006-WOB00008','WOG00439','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#04.png',0,'2024-07-05 18:23:57'),
	(5342,'WOF091200006-WOB00008','WOG00439','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#04.html',0,'2024-07-05 18:23:57'),
	(5343,'WOF091200006-WOB00008','WOG00440','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#05.png',0,'2024-07-05 18:23:57'),
	(5344,'WOF091200006-WOB00008','WOG00440','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#05.html',0,'2024-07-05 18:23:57'),
	(5345,'WOF091200006-WOB00008','WOG00441','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#06.png',0,'2024-07-05 18:23:57'),
	(5346,'WOF091200006-WOB00008','WOG00441','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#06.html',0,'2024-07-05 18:23:57'),
	(5347,'WOF091200006-WOB00008','WOG00442','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#07.png',0,'2024-07-05 18:23:57'),
	(5348,'WOF091200006-WOB00008','WOG00442','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#07.html',0,'2024-07-05 18:23:57'),
	(5349,'WOF091200006-WOB00008','WOG00443','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#08.png',0,'2024-07-05 18:23:57'),
	(5350,'WOF091200006-WOB00008','WOG00443','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#08.html',0,'2024-07-05 18:23:57'),
	(5351,'WOF091200006-WOB00008','WOG00444','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#09.png',0,'2024-07-05 18:23:57'),
	(5352,'WOF091200006-WOB00008','WOG00444','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#09.html',0,'2024-07-05 18:23:57'),
	(5353,'WOF091200006-WOB00008','WOG00445','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#10.png',0,'2024-07-05 18:23:57'),
	(5354,'WOF091200006-WOB00008','WOG00445','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#10.html',0,'2024-07-05 18:23:57'),
	(5355,'WOF091200006-WOB00008','WOG00446','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#11.png',0,'2024-07-05 18:23:57'),
	(5356,'WOF091200006-WOB00008','WOG00446','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#11.html',0,'2024-07-05 18:23:57'),
	(5357,'WOF091200006-WOB00008','WOG00447','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#12.png',0,'2024-07-05 18:23:57'),
	(5358,'WOF091200006-WOB00008','WOG00447','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#12.html',0,'2024-07-05 18:23:57'),
	(5359,'WOF091200006-WOB00008','WOG00448','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#13.png',0,'2024-07-05 18:23:57'),
	(5360,'WOF091200006-WOB00008','WOG00448','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#13.html',0,'2024-07-05 18:23:57'),
	(5361,'WOF091200006-WOB00008','WOG00449','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#14.png',0,'2024-07-05 18:23:57'),
	(5362,'WOF091200006-WOB00008','WOG00449','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#14.html',0,'2024-07-05 18:23:57'),
	(5363,'WOF091200006-WOB00008','WOG00450','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#15.png',0,'2024-07-05 18:23:57'),
	(5364,'WOF091200006-WOB00008','WOG00450','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#15.html',0,'2024-07-05 18:23:57'),
	(5365,'WOF091200006-WOB00008','WOG00451','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#16.png',0,'2024-07-05 18:23:57'),
	(5366,'WOF091200006-WOB00008','WOG00451','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#16.html',0,'2024-07-05 18:23:57'),
	(5367,'WOF091200006-WOB00008','WOG00452','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#17.png',0,'2024-07-05 18:23:57'),
	(5368,'WOF091200006-WOB00008','WOG00452','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#17.html',0,'2024-07-05 18:23:57'),
	(5369,'WOF091200006-WOB00008','WOG00453','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#18.png',0,'2024-07-05 18:23:57'),
	(5370,'WOF091200006-WOB00008','WOG00453','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#18.html',0,'2024-07-05 18:23:57'),
	(5371,'WOF091200006-WOB00008','WOG00454','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#19.png',0,'2024-07-05 18:23:57'),
	(5372,'WOF091200006-WOB00008','WOG00454','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#19.html',0,'2024-07-05 18:23:57'),
	(5373,'WOF091200006-WOB00008','WOG00455','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#20.png',0,'2024-07-05 18:23:57'),
	(5374,'WOF091200006-WOB00008','WOG00455','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#20.html',0,'2024-07-05 18:23:57'),
	(5375,'WOF091200006-WOB00008','WOG00456','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#21.png',0,'2024-07-05 18:23:57'),
	(5376,'WOF091200006-WOB00008','WOG00456','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#21.html',0,'2024-07-05 18:23:57'),
	(5377,'WOF091200006-WOB00008','WOG00457','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#22.png',0,'2024-07-05 18:23:57'),
	(5378,'WOF091200006-WOB00008','WOG00457','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#22.html',0,'2024-07-05 18:23:57'),
	(5379,'WOF091200006-WOB00008','WOG00458','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#23.png',0,'2024-07-05 18:23:57'),
	(5380,'WOF091200006-WOB00008','WOG00458','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#23.html',0,'2024-07-05 18:23:57'),
	(5381,'WOF091200006-WOB00008','WOG00459','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#24.png',0,'2024-07-05 18:23:57'),
	(5382,'WOF091200006-WOB00008','WOG00459','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#24.html',0,'2024-07-05 18:23:57'),
	(5383,'WOF091200006-WOB00008','WOG00460','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#25.png',0,'2024-07-05 18:23:57'),
	(5384,'WOF091200006-WOB00008','WOG00460','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#25.html',0,'2024-07-05 18:23:57'),
	(5385,'WOF091200006-WOB00008','WOG00461','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#26.png',0,'2024-07-05 18:23:57'),
	(5386,'WOF091200006-WOB00008','WOG00461','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#26.html',0,'2024-07-05 18:23:57'),
	(5387,'WOF091200006-WOB00008','WOG00462','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#27.png',0,'2024-07-05 18:23:57'),
	(5388,'WOF091200006-WOB00008','WOG00462','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#27.html',0,'2024-07-05 18:23:57'),
	(5389,'WOF091200006-WOB00008','WOG00463','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#28.png',0,'2024-07-05 18:23:57'),
	(5390,'WOF091200006-WOB00008','WOG00463','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#28.html',0,'2024-07-05 18:23:57'),
	(5391,'WOF091200006-WOB00008','WOG00464','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#29.png',0,'2024-07-05 18:23:57'),
	(5392,'WOF091200006-WOB00008','WOG00464','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#29.html',0,'2024-07-05 18:23:57'),
	(5393,'WOF091200006-WOB00008','WOG00465','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#30.png',0,'2024-07-05 18:23:57'),
	(5394,'WOF091200006-WOB00008','WOG00465','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#30.html',0,'2024-07-05 18:23:57'),
	(5395,'WOF091200006-WOB00008','WOG00466','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#31.png',0,'2024-07-05 18:23:57'),
	(5396,'WOF091200006-WOB00008','WOG00466','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#31.html',0,'2024-07-05 18:23:57'),
	(5397,'WOF091200006-WOB00008','WOG00467','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#32.png',0,'2024-07-05 18:23:57'),
	(5398,'WOF091200006-WOB00008','WOG00467','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#32.html',0,'2024-07-05 18:23:57'),
	(5399,'WOF091200006-WOB00008','WOG00468','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#33.png',0,'2024-07-05 18:23:57'),
	(5400,'WOF091200006-WOB00008','WOG00468','cp_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_trend/manual/#33.html',0,'2024-07-05 18:23:57'),
	(5401,'WOF091200006-WOB00008','WOG00436','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#01.png',0,'2024-07-05 18:23:57'),
	(5402,'WOF091200006-WOB00008','WOG00436','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#01.html',0,'2024-07-05 18:23:57'),
	(5403,'WOF091200006-WOB00008','WOG00437','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#02.png',0,'2024-07-05 18:23:57'),
	(5404,'WOF091200006-WOB00008','WOG00437','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#02.html',0,'2024-07-05 18:23:57'),
	(5405,'WOF091200006-WOB00008','WOG00438','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#03.png',0,'2024-07-05 18:23:57'),
	(5406,'WOF091200006-WOB00008','WOG00438','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#03.html',0,'2024-07-05 18:23:57'),
	(5407,'WOF091200006-WOB00008','WOG00439','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#04.png',0,'2024-07-05 18:23:57'),
	(5408,'WOF091200006-WOB00008','WOG00439','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#04.html',0,'2024-07-05 18:23:57'),
	(5409,'WOF091200006-WOB00008','WOG00440','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#05.png',0,'2024-07-05 18:23:57'),
	(5410,'WOF091200006-WOB00008','WOG00440','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#05.html',0,'2024-07-05 18:23:57'),
	(5411,'WOF091200006-WOB00008','WOG00441','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#06.png',0,'2024-07-05 18:23:57'),
	(5412,'WOF091200006-WOB00008','WOG00441','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#06.html',0,'2024-07-05 18:23:57'),
	(5413,'WOF091200006-WOB00008','WOG00442','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#07.png',0,'2024-07-05 18:23:57'),
	(5414,'WOF091200006-WOB00008','WOG00442','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#07.html',0,'2024-07-05 18:23:57'),
	(5415,'WOF091200006-WOB00008','WOG00443','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#08.png',0,'2024-07-05 18:23:57'),
	(5416,'WOF091200006-WOB00008','WOG00443','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#08.html',0,'2024-07-05 18:23:57'),
	(5417,'WOF091200006-WOB00008','WOG00444','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#09.png',0,'2024-07-05 18:23:57'),
	(5418,'WOF091200006-WOB00008','WOG00444','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#09.html',0,'2024-07-05 18:23:57'),
	(5419,'WOF091200006-WOB00008','WOG00445','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#10.png',0,'2024-07-05 18:23:57'),
	(5420,'WOF091200006-WOB00008','WOG00445','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#10.html',0,'2024-07-05 18:23:57'),
	(5421,'WOF091200006-WOB00008','WOG00446','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#11.png',0,'2024-07-05 18:23:57'),
	(5422,'WOF091200006-WOB00008','WOG00446','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#11.html',0,'2024-07-05 18:23:57'),
	(5423,'WOF091200006-WOB00008','WOG00447','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#12.png',0,'2024-07-05 18:23:57'),
	(5424,'WOF091200006-WOB00008','WOG00447','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#12.html',0,'2024-07-05 18:23:57'),
	(5425,'WOF091200006-WOB00008','WOG00448','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#13.png',0,'2024-07-05 18:23:57'),
	(5426,'WOF091200006-WOB00008','WOG00448','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#13.html',0,'2024-07-05 18:23:57'),
	(5427,'WOF091200006-WOB00008','WOG00449','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#14.png',0,'2024-07-05 18:23:57'),
	(5428,'WOF091200006-WOB00008','WOG00449','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#14.html',0,'2024-07-05 18:23:57'),
	(5429,'WOF091200006-WOB00008','WOG00450','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#15.png',0,'2024-07-05 18:23:57'),
	(5430,'WOF091200006-WOB00008','WOG00450','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#15.html',0,'2024-07-05 18:23:57'),
	(5431,'WOF091200006-WOB00008','WOG00451','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#16.png',0,'2024-07-05 18:23:57'),
	(5432,'WOF091200006-WOB00008','WOG00451','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#16.html',0,'2024-07-05 18:23:57'),
	(5433,'WOF091200006-WOB00008','WOG00452','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#17.png',0,'2024-07-05 18:23:57'),
	(5434,'WOF091200006-WOB00008','WOG00452','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#17.html',0,'2024-07-05 18:23:57'),
	(5435,'WOF091200006-WOB00008','WOG00453','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#18.png',0,'2024-07-05 18:23:57'),
	(5436,'WOF091200006-WOB00008','WOG00453','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#18.html',0,'2024-07-05 18:23:57'),
	(5437,'WOF091200006-WOB00008','WOG00454','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#19.png',0,'2024-07-05 18:23:57'),
	(5438,'WOF091200006-WOB00008','WOG00454','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#19.html',0,'2024-07-05 18:23:57'),
	(5439,'WOF091200006-WOB00008','WOG00455','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#20.png',0,'2024-07-05 18:23:57'),
	(5440,'WOF091200006-WOB00008','WOG00455','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#20.html',0,'2024-07-05 18:23:57'),
	(5441,'WOF091200006-WOB00008','WOG00456','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#21.png',0,'2024-07-05 18:23:57'),
	(5442,'WOF091200006-WOB00008','WOG00456','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#21.html',0,'2024-07-05 18:23:57'),
	(5443,'WOF091200006-WOB00008','WOG00457','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#22.png',0,'2024-07-05 18:23:57'),
	(5444,'WOF091200006-WOB00008','WOG00457','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#22.html',0,'2024-07-05 18:23:57'),
	(5445,'WOF091200006-WOB00008','WOG00458','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#23.png',0,'2024-07-05 18:23:57'),
	(5446,'WOF091200006-WOB00008','WOG00458','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#23.html',0,'2024-07-05 18:23:57'),
	(5447,'WOF091200006-WOB00008','WOG00459','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#24.png',0,'2024-07-05 18:23:57'),
	(5448,'WOF091200006-WOB00008','WOG00459','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#24.html',0,'2024-07-05 18:23:57'),
	(5449,'WOF091200006-WOB00008','WOG00460','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#25.png',0,'2024-07-05 18:23:57'),
	(5450,'WOF091200006-WOB00008','WOG00460','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#25.html',0,'2024-07-05 18:23:57'),
	(5451,'WOF091200006-WOB00008','WOG00461','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#26.png',0,'2024-07-05 18:23:57'),
	(5452,'WOF091200006-WOB00008','WOG00461','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#26.html',0,'2024-07-05 18:23:57'),
	(5453,'WOF091200006-WOB00008','WOG00462','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#27.png',0,'2024-07-05 18:23:57'),
	(5454,'WOF091200006-WOB00008','WOG00462','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#27.html',0,'2024-07-05 18:23:57'),
	(5455,'WOF091200006-WOB00008','WOG00463','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#28.png',0,'2024-07-05 18:23:57'),
	(5456,'WOF091200006-WOB00008','WOG00463','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#28.html',0,'2024-07-05 18:23:57'),
	(5457,'WOF091200006-WOB00008','WOG00464','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#29.png',0,'2024-07-05 18:23:57'),
	(5458,'WOF091200006-WOB00008','WOG00464','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#29.html',0,'2024-07-05 18:23:57'),
	(5459,'WOF091200006-WOB00008','WOG00465','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#30.png',0,'2024-07-05 18:23:57'),
	(5460,'WOF091200006-WOB00008','WOG00465','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#30.html',0,'2024-07-05 18:23:57'),
	(5461,'WOF091200006-WOB00008','WOG00466','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#31.png',0,'2024-07-05 18:23:57'),
	(5462,'WOF091200006-WOB00008','WOG00466','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#31.html',0,'2024-07-05 18:23:57'),
	(5463,'WOF091200006-WOB00008','WOG00467','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#32.png',0,'2024-07-05 18:23:57'),
	(5464,'WOF091200006-WOB00008','WOG00467','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#32.html',0,'2024-07-05 18:23:57'),
	(5465,'WOF091200006-WOB00008','WOG00468','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#33.png',0,'2024-07-05 18:23:57'),
	(5466,'WOF091200006-WOB00008','WOG00468','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/#33.html',0,'2024-07-05 18:23:57'),
	(5467,'WOF091200006-WOB00008','WOG00436','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#01.png',0,'2024-07-05 18:23:57'),
	(5468,'WOF091200006-WOB00008','WOG00436','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#01.html',0,'2024-07-05 18:23:57'),
	(5469,'WOF091200006-WOB00008','WOG00437','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#02.png',0,'2024-07-05 18:23:57'),
	(5470,'WOF091200006-WOB00008','WOG00437','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#02.html',0,'2024-07-05 18:23:57'),
	(5471,'WOF091200006-WOB00008','WOG00438','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#03.png',0,'2024-07-05 18:23:57'),
	(5472,'WOF091200006-WOB00008','WOG00438','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#03.html',0,'2024-07-05 18:23:57'),
	(5473,'WOF091200006-WOB00008','WOG00439','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#04.png',0,'2024-07-05 18:23:57'),
	(5474,'WOF091200006-WOB00008','WOG00439','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#04.html',0,'2024-07-05 18:23:57'),
	(5475,'WOF091200006-WOB00008','WOG00440','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#05.png',0,'2024-07-05 18:23:57'),
	(5476,'WOF091200006-WOB00008','WOG00440','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#05.html',0,'2024-07-05 18:23:57'),
	(5477,'WOF091200006-WOB00008','WOG00441','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#06.png',0,'2024-07-05 18:23:57'),
	(5478,'WOF091200006-WOB00008','WOG00441','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#06.html',0,'2024-07-05 18:23:57'),
	(5479,'WOF091200006-WOB00008','WOG00442','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#07.png',0,'2024-07-05 18:23:57'),
	(5480,'WOF091200006-WOB00008','WOG00442','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#07.html',0,'2024-07-05 18:23:57'),
	(5481,'WOF091200006-WOB00008','WOG00443','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#08.png',0,'2024-07-05 18:23:57'),
	(5482,'WOF091200006-WOB00008','WOG00443','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#08.html',0,'2024-07-05 18:23:57'),
	(5483,'WOF091200006-WOB00008','WOG00444','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#09.png',0,'2024-07-05 18:23:57'),
	(5484,'WOF091200006-WOB00008','WOG00444','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#09.html',0,'2024-07-05 18:23:57'),
	(5485,'WOF091200006-WOB00008','WOG00445','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#10.png',0,'2024-07-05 18:23:57'),
	(5486,'WOF091200006-WOB00008','WOG00445','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#10.html',0,'2024-07-05 18:23:57'),
	(5487,'WOF091200006-WOB00008','WOG00446','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#11.png',0,'2024-07-05 18:23:57'),
	(5488,'WOF091200006-WOB00008','WOG00446','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#11.html',0,'2024-07-05 18:23:57'),
	(5489,'WOF091200006-WOB00008','WOG00447','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#12.png',0,'2024-07-05 18:23:57'),
	(5490,'WOF091200006-WOB00008','WOG00447','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#12.html',0,'2024-07-05 18:23:57'),
	(5491,'WOF091200006-WOB00008','WOG00448','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#13.png',0,'2024-07-05 18:23:57'),
	(5492,'WOF091200006-WOB00008','WOG00448','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#13.html',0,'2024-07-05 18:23:57'),
	(5493,'WOF091200006-WOB00008','WOG00449','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#14.png',0,'2024-07-05 18:23:57'),
	(5494,'WOF091200006-WOB00008','WOG00449','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#14.html',0,'2024-07-05 18:23:57'),
	(5495,'WOF091200006-WOB00008','WOG00450','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#15.png',0,'2024-07-05 18:23:57'),
	(5496,'WOF091200006-WOB00008','WOG00450','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#15.html',0,'2024-07-05 18:23:57'),
	(5497,'WOF091200006-WOB00008','WOG00451','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#16.png',0,'2024-07-05 18:23:57'),
	(5498,'WOF091200006-WOB00008','WOG00451','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#16.html',0,'2024-07-05 18:23:57'),
	(5499,'WOF091200006-WOB00008','WOG00452','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#17.png',0,'2024-07-05 18:23:57'),
	(5500,'WOF091200006-WOB00008','WOG00452','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#17.html',0,'2024-07-05 18:23:57'),
	(5501,'WOF091200006-WOB00008','WOG00453','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#18.png',0,'2024-07-05 18:23:57'),
	(5502,'WOF091200006-WOB00008','WOG00453','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#18.html',0,'2024-07-05 18:23:57'),
	(5503,'WOF091200006-WOB00008','WOG00454','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#19.png',0,'2024-07-05 18:23:57'),
	(5504,'WOF091200006-WOB00008','WOG00454','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#19.html',0,'2024-07-05 18:23:57'),
	(5505,'WOF091200006-WOB00008','WOG00455','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#20.png',0,'2024-07-05 18:23:57'),
	(5506,'WOF091200006-WOB00008','WOG00455','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#20.html',0,'2024-07-05 18:23:57'),
	(5507,'WOF091200006-WOB00008','WOG00456','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#21.png',0,'2024-07-05 18:23:57'),
	(5508,'WOF091200006-WOB00008','WOG00456','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#21.html',0,'2024-07-05 18:23:57'),
	(5509,'WOF091200006-WOB00008','WOG00457','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#22.png',0,'2024-07-05 18:23:57'),
	(5510,'WOF091200006-WOB00008','WOG00457','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#22.html',0,'2024-07-05 18:23:57'),
	(5511,'WOF091200006-WOB00008','WOG00458','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#23.png',0,'2024-07-05 18:23:57'),
	(5512,'WOF091200006-WOB00008','WOG00458','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#23.html',0,'2024-07-05 18:23:57'),
	(5513,'WOF091200006-WOB00008','WOG00459','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#24.png',0,'2024-07-05 18:23:57'),
	(5514,'WOF091200006-WOB00008','WOG00459','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#24.html',0,'2024-07-05 18:23:57'),
	(5515,'WOF091200006-WOB00008','WOG00460','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#25.png',0,'2024-07-05 18:23:57'),
	(5516,'WOF091200006-WOB00008','WOG00460','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#25.html',0,'2024-07-05 18:23:57'),
	(5517,'WOF091200006-WOB00008','WOG00461','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#26.png',0,'2024-07-05 18:23:57'),
	(5518,'WOF091200006-WOB00008','WOG00461','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#26.html',0,'2024-07-05 18:23:57'),
	(5519,'WOF091200006-WOB00008','WOG00462','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#27.png',0,'2024-07-05 18:23:57'),
	(5520,'WOF091200006-WOB00008','WOG00462','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#27.html',0,'2024-07-05 18:23:57'),
	(5521,'WOF091200006-WOB00008','WOG00463','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#28.png',0,'2024-07-05 18:23:57'),
	(5522,'WOF091200006-WOB00008','WOG00463','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#28.html',0,'2024-07-05 18:23:57'),
	(5523,'WOF091200006-WOB00008','WOG00464','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#29.png',0,'2024-07-05 18:23:57'),
	(5524,'WOF091200006-WOB00008','WOG00464','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#29.html',0,'2024-07-05 18:23:57'),
	(5525,'WOF091200006-WOB00008','WOG00465','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#30.png',0,'2024-07-05 18:23:57'),
	(5526,'WOF091200006-WOB00008','WOG00465','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#30.html',0,'2024-07-05 18:23:57'),
	(5527,'WOF091200006-WOB00008','WOG00466','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#31.png',0,'2024-07-05 18:23:57'),
	(5528,'WOF091200006-WOB00008','WOG00466','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#31.html',0,'2024-07-05 18:23:57'),
	(5529,'WOF091200006-WOB00008','WOG00467','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#32.png',0,'2024-07-05 18:23:57'),
	(5530,'WOF091200006-WOB00008','WOG00467','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#32.html',0,'2024-07-05 18:23:57'),
	(5531,'WOF091200006-WOB00008','WOG00468','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#33.png',0,'2024-07-05 18:23:57'),
	(5532,'WOF091200006-WOB00008','WOG00468','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/#33.html',0,'2024-07-05 18:23:57'),
	(5533,'WOF091200006-WOB00008','WOG00436','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#01.png',0,'2024-07-05 18:23:57'),
	(5534,'WOF091200006-WOB00008','WOG00436','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#01.html',0,'2024-07-05 18:23:57'),
	(5535,'WOF091200006-WOB00008','WOG00437','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#02.png',0,'2024-07-05 18:23:57'),
	(5536,'WOF091200006-WOB00008','WOG00437','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#02.html',0,'2024-07-05 18:23:57'),
	(5537,'WOF091200006-WOB00008','WOG00438','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#03.png',0,'2024-07-05 18:23:57'),
	(5538,'WOF091200006-WOB00008','WOG00438','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#03.html',0,'2024-07-05 18:23:57'),
	(5539,'WOF091200006-WOB00008','WOG00439','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#04.png',0,'2024-07-05 18:23:57'),
	(5540,'WOF091200006-WOB00008','WOG00439','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#04.html',0,'2024-07-05 18:23:57'),
	(5541,'WOF091200006-WOB00008','WOG00440','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#05.png',0,'2024-07-05 18:23:57'),
	(5542,'WOF091200006-WOB00008','WOG00440','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#05.html',0,'2024-07-05 18:23:57'),
	(5543,'WOF091200006-WOB00008','WOG00441','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#06.png',0,'2024-07-05 18:23:57'),
	(5544,'WOF091200006-WOB00008','WOG00441','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#06.html',0,'2024-07-05 18:23:57'),
	(5545,'WOF091200006-WOB00008','WOG00442','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#07.png',0,'2024-07-05 18:23:57'),
	(5546,'WOF091200006-WOB00008','WOG00442','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#07.html',0,'2024-07-05 18:23:57'),
	(5547,'WOF091200006-WOB00008','WOG00443','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#08.png',0,'2024-07-05 18:23:57'),
	(5548,'WOF091200006-WOB00008','WOG00443','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#08.html',0,'2024-07-05 18:23:57'),
	(5549,'WOF091200006-WOB00008','WOG00444','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#09.png',0,'2024-07-05 18:23:57'),
	(5550,'WOF091200006-WOB00008','WOG00444','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#09.html',0,'2024-07-05 18:23:57'),
	(5551,'WOF091200006-WOB00008','WOG00445','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#10.png',0,'2024-07-05 18:23:57'),
	(5552,'WOF091200006-WOB00008','WOG00445','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#10.html',0,'2024-07-05 18:23:57'),
	(5553,'WOF091200006-WOB00008','WOG00446','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#11.png',0,'2024-07-05 18:23:57'),
	(5554,'WOF091200006-WOB00008','WOG00446','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#11.html',0,'2024-07-05 18:23:57'),
	(5555,'WOF091200006-WOB00008','WOG00447','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#12.png',0,'2024-07-05 18:23:57'),
	(5556,'WOF091200006-WOB00008','WOG00447','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#12.html',0,'2024-07-05 18:23:57'),
	(5557,'WOF091200006-WOB00008','WOG00448','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#13.png',0,'2024-07-05 18:23:57'),
	(5558,'WOF091200006-WOB00008','WOG00448','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#13.html',0,'2024-07-05 18:23:57'),
	(5559,'WOF091200006-WOB00008','WOG00449','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#14.png',0,'2024-07-05 18:23:57'),
	(5560,'WOF091200006-WOB00008','WOG00449','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#14.html',0,'2024-07-05 18:23:57'),
	(5561,'WOF091200006-WOB00008','WOG00450','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#15.png',0,'2024-07-05 18:23:57'),
	(5562,'WOF091200006-WOB00008','WOG00450','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#15.html',0,'2024-07-05 18:23:57'),
	(5563,'WOF091200006-WOB00008','WOG00451','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#16.png',0,'2024-07-05 18:23:57'),
	(5564,'WOF091200006-WOB00008','WOG00451','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#16.html',0,'2024-07-05 18:23:57'),
	(5565,'WOF091200006-WOB00008','WOG00452','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#17.png',0,'2024-07-05 18:23:57'),
	(5566,'WOF091200006-WOB00008','WOG00452','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#17.html',0,'2024-07-05 18:23:57'),
	(5567,'WOF091200006-WOB00008','WOG00453','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#18.png',0,'2024-07-05 18:23:57'),
	(5568,'WOF091200006-WOB00008','WOG00453','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#18.html',0,'2024-07-05 18:23:57'),
	(5569,'WOF091200006-WOB00008','WOG00454','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#19.png',0,'2024-07-05 18:23:57'),
	(5570,'WOF091200006-WOB00008','WOG00454','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#19.html',0,'2024-07-05 18:23:57'),
	(5571,'WOF091200006-WOB00008','WOG00455','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#20.png',0,'2024-07-05 18:23:57'),
	(5572,'WOF091200006-WOB00008','WOG00455','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#20.html',0,'2024-07-05 18:23:57'),
	(5573,'WOF091200006-WOB00008','WOG00456','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#21.png',0,'2024-07-05 18:23:57'),
	(5574,'WOF091200006-WOB00008','WOG00456','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#21.html',0,'2024-07-05 18:23:57'),
	(5575,'WOF091200006-WOB00008','WOG00457','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#22.png',0,'2024-07-05 18:23:57'),
	(5576,'WOF091200006-WOB00008','WOG00457','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#22.html',0,'2024-07-05 18:23:57'),
	(5577,'WOF091200006-WOB00008','WOG00458','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#23.png',0,'2024-07-05 18:23:57'),
	(5578,'WOF091200006-WOB00008','WOG00458','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#23.html',0,'2024-07-05 18:23:57'),
	(5579,'WOF091200006-WOB00008','WOG00459','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#24.png',0,'2024-07-05 18:23:57'),
	(5580,'WOF091200006-WOB00008','WOG00459','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#24.html',0,'2024-07-05 18:23:57'),
	(5581,'WOF091200006-WOB00008','WOG00460','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#25.png',0,'2024-07-05 18:23:57'),
	(5582,'WOF091200006-WOB00008','WOG00460','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#25.html',0,'2024-07-05 18:23:57'),
	(5583,'WOF091200006-WOB00008','WOG00461','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#26.png',0,'2024-07-05 18:23:57'),
	(5584,'WOF091200006-WOB00008','WOG00461','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#26.html',0,'2024-07-05 18:23:57'),
	(5585,'WOF091200006-WOB00008','WOG00462','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#27.png',0,'2024-07-05 18:23:57'),
	(5586,'WOF091200006-WOB00008','WOG00462','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#27.html',0,'2024-07-05 18:23:57'),
	(5587,'WOF091200006-WOB00008','WOG00463','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#28.png',0,'2024-07-05 18:23:57'),
	(5588,'WOF091200006-WOB00008','WOG00463','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#28.html',0,'2024-07-05 18:23:57'),
	(5589,'WOF091200006-WOB00008','WOG00464','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#29.png',0,'2024-07-05 18:23:57'),
	(5590,'WOF091200006-WOB00008','WOG00464','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#29.html',0,'2024-07-05 18:23:57'),
	(5591,'WOF091200006-WOB00008','WOG00465','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#30.png',0,'2024-07-05 18:23:57'),
	(5592,'WOF091200006-WOB00008','WOG00465','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#30.html',0,'2024-07-05 18:23:57'),
	(5593,'WOF091200006-WOB00008','WOG00466','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#31.png',0,'2024-07-05 18:23:57'),
	(5594,'WOF091200006-WOB00008','WOG00466','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#31.html',0,'2024-07-05 18:23:57'),
	(5595,'WOF091200006-WOB00008','WOG00467','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#32.png',0,'2024-07-05 18:23:57'),
	(5596,'WOF091200006-WOB00008','WOG00467','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#32.html',0,'2024-07-05 18:23:57'),
	(5597,'WOF091200006-WOB00008','WOG00468','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#33.png',0,'2024-07-05 18:23:57'),
	(5598,'WOF091200006-WOB00008','WOG00468','tsr_trend','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_trend/manual/#33.html',0,'2024-07-05 18:23:57'),
	(5599,'WOF091200006-WOB00008','WOG00436','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#01.png',0,'2024-07-05 18:23:57'),
	(5600,'WOF091200006-WOB00008','WOG00436','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#01.html',0,'2024-07-05 18:23:57'),
	(5601,'WOF091200006-WOB00008','WOG00437','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#02.png',0,'2024-07-05 18:23:57'),
	(5602,'WOF091200006-WOB00008','WOG00437','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#02.html',0,'2024-07-05 18:23:57'),
	(5603,'WOF091200006-WOB00008','WOG00438','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#03.png',0,'2024-07-05 18:23:57'),
	(5604,'WOF091200006-WOB00008','WOG00438','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#03.html',0,'2024-07-05 18:23:57'),
	(5605,'WOF091200006-WOB00008','WOG00439','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#04.png',0,'2024-07-05 18:23:57'),
	(5606,'WOF091200006-WOB00008','WOG00439','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#04.html',0,'2024-07-05 18:23:57'),
	(5607,'WOF091200006-WOB00008','WOG00440','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#05.png',0,'2024-07-05 18:23:57'),
	(5608,'WOF091200006-WOB00008','WOG00440','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#05.html',0,'2024-07-05 18:23:57'),
	(5609,'WOF091200006-WOB00008','WOG00441','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#06.png',0,'2024-07-05 18:23:57'),
	(5610,'WOF091200006-WOB00008','WOG00441','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#06.html',0,'2024-07-05 18:23:57'),
	(5611,'WOF091200006-WOB00008','WOG00442','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#07.png',0,'2024-07-05 18:23:57'),
	(5612,'WOF091200006-WOB00008','WOG00442','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#07.html',0,'2024-07-05 18:23:57'),
	(5613,'WOF091200006-WOB00008','WOG00443','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#08.png',0,'2024-07-05 18:23:57'),
	(5614,'WOF091200006-WOB00008','WOG00443','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#08.html',0,'2024-07-05 18:23:57'),
	(5615,'WOF091200006-WOB00008','WOG00444','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#09.png',0,'2024-07-05 18:23:57'),
	(5616,'WOF091200006-WOB00008','WOG00444','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#09.html',0,'2024-07-05 18:23:57'),
	(5617,'WOF091200006-WOB00008','WOG00445','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#10.png',0,'2024-07-05 18:23:57'),
	(5618,'WOF091200006-WOB00008','WOG00445','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#10.html',0,'2024-07-05 18:23:57'),
	(5619,'WOF091200006-WOB00008','WOG00446','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#11.png',0,'2024-07-05 18:23:57'),
	(5620,'WOF091200006-WOB00008','WOG00446','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#11.html',0,'2024-07-05 18:23:57'),
	(5621,'WOF091200006-WOB00008','WOG00447','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#12.png',0,'2024-07-05 18:23:57'),
	(5622,'WOF091200006-WOB00008','WOG00447','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#12.html',0,'2024-07-05 18:23:57'),
	(5623,'WOF091200006-WOB00008','WOG00448','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#13.png',0,'2024-07-05 18:23:57'),
	(5624,'WOF091200006-WOB00008','WOG00448','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#13.html',0,'2024-07-05 18:23:57'),
	(5625,'WOF091200006-WOB00008','WOG00449','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#14.png',0,'2024-07-05 18:23:57'),
	(5626,'WOF091200006-WOB00008','WOG00449','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#14.html',0,'2024-07-05 18:23:57'),
	(5627,'WOF091200006-WOB00008','WOG00450','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#15.png',0,'2024-07-05 18:23:57'),
	(5628,'WOF091200006-WOB00008','WOG00450','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#15.html',0,'2024-07-05 18:23:57'),
	(5629,'WOF091200006-WOB00008','WOG00451','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#16.png',0,'2024-07-05 18:23:57'),
	(5630,'WOF091200006-WOB00008','WOG00451','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#16.html',0,'2024-07-05 18:23:57'),
	(5631,'WOF091200006-WOB00008','WOG00452','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#17.png',0,'2024-07-05 18:23:57'),
	(5632,'WOF091200006-WOB00008','WOG00452','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#17.html',0,'2024-07-05 18:23:57'),
	(5633,'WOF091200006-WOB00008','WOG00453','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#18.png',0,'2024-07-05 18:23:57'),
	(5634,'WOF091200006-WOB00008','WOG00453','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#18.html',0,'2024-07-05 18:23:57'),
	(5635,'WOF091200006-WOB00008','WOG00454','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#19.png',0,'2024-07-05 18:23:57'),
	(5636,'WOF091200006-WOB00008','WOG00454','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#19.html',0,'2024-07-05 18:23:57'),
	(5637,'WOF091200006-WOB00008','WOG00455','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#20.png',0,'2024-07-05 18:23:57'),
	(5638,'WOF091200006-WOB00008','WOG00455','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#20.html',0,'2024-07-05 18:23:57'),
	(5639,'WOF091200006-WOB00008','WOG00456','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#21.png',0,'2024-07-05 18:23:57'),
	(5640,'WOF091200006-WOB00008','WOG00456','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#21.html',0,'2024-07-05 18:23:57'),
	(5641,'WOF091200006-WOB00008','WOG00457','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#22.png',0,'2024-07-05 18:23:57'),
	(5642,'WOF091200006-WOB00008','WOG00457','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#22.html',0,'2024-07-05 18:23:57'),
	(5643,'WOF091200006-WOB00008','WOG00458','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#23.png',0,'2024-07-05 18:23:57'),
	(5644,'WOF091200006-WOB00008','WOG00458','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#23.html',0,'2024-07-05 18:23:57'),
	(5645,'WOF091200006-WOB00008','WOG00459','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#24.png',0,'2024-07-05 18:23:57'),
	(5646,'WOF091200006-WOB00008','WOG00459','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#24.html',0,'2024-07-05 18:23:57'),
	(5647,'WOF091200006-WOB00008','WOG00460','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#25.png',0,'2024-07-05 18:23:57'),
	(5648,'WOF091200006-WOB00008','WOG00460','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#25.html',0,'2024-07-05 18:23:57'),
	(5649,'WOF091200006-WOB00008','WOG00461','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#26.png',0,'2024-07-05 18:23:57'),
	(5650,'WOF091200006-WOB00008','WOG00461','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#26.html',0,'2024-07-05 18:23:57'),
	(5651,'WOF091200006-WOB00008','WOG00462','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#27.png',0,'2024-07-05 18:23:57'),
	(5652,'WOF091200006-WOB00008','WOG00462','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#27.html',0,'2024-07-05 18:23:57'),
	(5653,'WOF091200006-WOB00008','WOG00463','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#28.png',0,'2024-07-05 18:23:57'),
	(5654,'WOF091200006-WOB00008','WOG00463','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#28.html',0,'2024-07-05 18:23:57'),
	(5655,'WOF091200006-WOB00008','WOG00464','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#29.png',0,'2024-07-05 18:23:57'),
	(5656,'WOF091200006-WOB00008','WOG00464','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#29.html',0,'2024-07-05 18:23:57'),
	(5657,'WOF091200006-WOB00008','WOG00465','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#30.png',0,'2024-07-05 18:23:57'),
	(5658,'WOF091200006-WOB00008','WOG00465','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#30.html',0,'2024-07-05 18:23:57'),
	(5659,'WOF091200006-WOB00008','WOG00466','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#31.png',0,'2024-07-05 18:23:57'),
	(5660,'WOF091200006-WOB00008','WOG00466','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#31.html',0,'2024-07-05 18:23:57'),
	(5661,'WOF091200006-WOB00008','WOG00467','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#32.png',0,'2024-07-05 18:23:57'),
	(5662,'WOF091200006-WOB00008','WOG00467','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#32.html',0,'2024-07-05 18:23:57'),
	(5663,'WOF091200006-WOB00008','WOG00468','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#33.png',0,'2024-07-05 18:23:57'),
	(5664,'WOF091200006-WOB00008','WOG00468','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/#33.html',0,'2024-07-05 18:23:57'),
	(5665,'WOF091200006-WOB00008','WOG00436','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#01.png',0,'2024-07-05 18:23:57'),
	(5666,'WOF091200006-WOB00008','WOG00436','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#01.html',0,'2024-07-05 18:23:57'),
	(5667,'WOF091200006-WOB00008','WOG00437','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#02.png',0,'2024-07-05 18:23:57'),
	(5668,'WOF091200006-WOB00008','WOG00437','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#02.html',0,'2024-07-05 18:23:57'),
	(5669,'WOF091200006-WOB00008','WOG00438','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#03.png',0,'2024-07-05 18:23:57'),
	(5670,'WOF091200006-WOB00008','WOG00438','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#03.html',0,'2024-07-05 18:23:57'),
	(5671,'WOF091200006-WOB00008','WOG00439','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#04.png',0,'2024-07-05 18:23:57'),
	(5672,'WOF091200006-WOB00008','WOG00439','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#04.html',0,'2024-07-05 18:23:57'),
	(5673,'WOF091200006-WOB00008','WOG00440','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#05.png',0,'2024-07-05 18:23:57'),
	(5674,'WOF091200006-WOB00008','WOG00440','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#05.html',0,'2024-07-05 18:23:57'),
	(5675,'WOF091200006-WOB00008','WOG00441','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#06.png',0,'2024-07-05 18:23:57'),
	(5676,'WOF091200006-WOB00008','WOG00441','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#06.html',0,'2024-07-05 18:23:57'),
	(5677,'WOF091200006-WOB00008','WOG00442','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#07.png',0,'2024-07-05 18:23:57'),
	(5678,'WOF091200006-WOB00008','WOG00442','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#07.html',0,'2024-07-05 18:23:57'),
	(5679,'WOF091200006-WOB00008','WOG00443','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#08.png',0,'2024-07-05 18:23:57'),
	(5680,'WOF091200006-WOB00008','WOG00443','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#08.html',0,'2024-07-05 18:23:57'),
	(5681,'WOF091200006-WOB00008','WOG00444','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#09.png',0,'2024-07-05 18:23:57'),
	(5682,'WOF091200006-WOB00008','WOG00444','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#09.html',0,'2024-07-05 18:23:57'),
	(5683,'WOF091200006-WOB00008','WOG00445','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#10.png',0,'2024-07-05 18:23:57'),
	(5684,'WOF091200006-WOB00008','WOG00445','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#10.html',0,'2024-07-05 18:23:57'),
	(5685,'WOF091200006-WOB00008','WOG00446','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#11.png',0,'2024-07-05 18:23:57'),
	(5686,'WOF091200006-WOB00008','WOG00446','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#11.html',0,'2024-07-05 18:23:57'),
	(5687,'WOF091200006-WOB00008','WOG00447','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#12.png',0,'2024-07-05 18:23:57'),
	(5688,'WOF091200006-WOB00008','WOG00447','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#12.html',0,'2024-07-05 18:23:57'),
	(5689,'WOF091200006-WOB00008','WOG00448','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#13.png',0,'2024-07-05 18:23:57'),
	(5690,'WOF091200006-WOB00008','WOG00448','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#13.html',0,'2024-07-05 18:23:57'),
	(5691,'WOF091200006-WOB00008','WOG00449','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#14.png',0,'2024-07-05 18:23:57'),
	(5692,'WOF091200006-WOB00008','WOG00449','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#14.html',0,'2024-07-05 18:23:57'),
	(5693,'WOF091200006-WOB00008','WOG00450','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#15.png',0,'2024-07-05 18:23:57'),
	(5694,'WOF091200006-WOB00008','WOG00450','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#15.html',0,'2024-07-05 18:23:57'),
	(5695,'WOF091200006-WOB00008','WOG00451','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#16.png',0,'2024-07-05 18:23:57'),
	(5696,'WOF091200006-WOB00008','WOG00451','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#16.html',0,'2024-07-05 18:23:57'),
	(5697,'WOF091200006-WOB00008','WOG00452','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#17.png',0,'2024-07-05 18:23:57'),
	(5698,'WOF091200006-WOB00008','WOG00452','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#17.html',0,'2024-07-05 18:23:57'),
	(5699,'WOF091200006-WOB00008','WOG00453','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#18.png',0,'2024-07-05 18:23:57'),
	(5700,'WOF091200006-WOB00008','WOG00453','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#18.html',0,'2024-07-05 18:23:57'),
	(5701,'WOF091200006-WOB00008','WOG00454','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#19.png',0,'2024-07-05 18:23:57'),
	(5702,'WOF091200006-WOB00008','WOG00454','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#19.html',0,'2024-07-05 18:23:57'),
	(5703,'WOF091200006-WOB00008','WOG00455','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#20.png',0,'2024-07-05 18:23:57'),
	(5704,'WOF091200006-WOB00008','WOG00455','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#20.html',0,'2024-07-05 18:23:57'),
	(5705,'WOF091200006-WOB00008','WOG00456','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#21.png',0,'2024-07-05 18:23:57'),
	(5706,'WOF091200006-WOB00008','WOG00456','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#21.html',0,'2024-07-05 18:23:57'),
	(5707,'WOF091200006-WOB00008','WOG00457','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#22.png',0,'2024-07-05 18:23:57'),
	(5708,'WOF091200006-WOB00008','WOG00457','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#22.html',0,'2024-07-05 18:23:57'),
	(5709,'WOF091200006-WOB00008','WOG00458','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#23.png',0,'2024-07-05 18:23:57'),
	(5710,'WOF091200006-WOB00008','WOG00458','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#23.html',0,'2024-07-05 18:23:57'),
	(5711,'WOF091200006-WOB00008','WOG00459','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#24.png',0,'2024-07-05 18:23:57'),
	(5712,'WOF091200006-WOB00008','WOG00459','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#24.html',0,'2024-07-05 18:23:57'),
	(5713,'WOF091200006-WOB00008','WOG00460','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#25.png',0,'2024-07-05 18:23:57'),
	(5714,'WOF091200006-WOB00008','WOG00460','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#25.html',0,'2024-07-05 18:23:57'),
	(5715,'WOF091200006-WOB00008','WOG00461','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#26.png',0,'2024-07-05 18:23:57'),
	(5716,'WOF091200006-WOB00008','WOG00461','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#26.html',0,'2024-07-05 18:23:57'),
	(5717,'WOF091200006-WOB00008','WOG00462','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#27.png',0,'2024-07-05 18:23:57'),
	(5718,'WOF091200006-WOB00008','WOG00462','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#27.html',0,'2024-07-05 18:23:57'),
	(5719,'WOF091200006-WOB00008','WOG00463','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#28.png',0,'2024-07-05 18:23:57'),
	(5720,'WOF091200006-WOB00008','WOG00463','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#28.html',0,'2024-07-05 18:23:57'),
	(5721,'WOF091200006-WOB00008','WOG00464','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#29.png',0,'2024-07-05 18:23:57'),
	(5722,'WOF091200006-WOB00008','WOG00464','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#29.html',0,'2024-07-05 18:23:57'),
	(5723,'WOF091200006-WOB00008','WOG00465','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#30.png',0,'2024-07-05 18:23:57'),
	(5724,'WOF091200006-WOB00008','WOG00465','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#30.html',0,'2024-07-05 18:23:57'),
	(5725,'WOF091200006-WOB00008','WOG00466','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#31.png',0,'2024-07-05 18:23:57'),
	(5726,'WOF091200006-WOB00008','WOG00466','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#31.html',0,'2024-07-05 18:23:57'),
	(5727,'WOF091200006-WOB00008','WOG00467','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#32.png',0,'2024-07-05 18:23:57'),
	(5728,'WOF091200006-WOB00008','WOG00467','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#32.html',0,'2024-07-05 18:23:57'),
	(5729,'WOF091200006-WOB00008','WOG00468','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#33.png',0,'2024-07-05 18:23:57'),
	(5730,'WOF091200006-WOB00008','WOG00468','min_pitch','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/min_pitch/manual/#33.html',0,'2024-07-05 18:23:57'),
	(5731,'WOF091200006-WOB00008','WOG00436','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2301.png',0,'2024-07-09 11:41:58'),
	(5732,'WOF091200006-WOB00008','WOG00436','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2301.html',0,'2024-07-09 11:41:58'),
	(5733,'WOF091200006-WOB00008','WOG00437','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2302.png',0,'2024-07-09 11:41:58'),
	(5734,'WOF091200006-WOB00008','WOG00437','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2302.html',0,'2024-07-09 11:41:58'),
	(5735,'WOF091200006-WOB00008','WOG00438','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2303.png',0,'2024-07-09 11:41:58'),
	(5736,'WOF091200006-WOB00008','WOG00438','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2303.html',0,'2024-07-09 11:41:58'),
	(5737,'WOF091200006-WOB00008','WOG00439','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2304.png',0,'2024-07-09 11:41:58'),
	(5738,'WOF091200006-WOB00008','WOG00439','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2304.html',0,'2024-07-09 11:41:58'),
	(5739,'WOF091200006-WOB00008','WOG00440','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2305.png',0,'2024-07-09 11:41:58'),
	(5740,'WOF091200006-WOB00008','WOG00440','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2305.html',0,'2024-07-09 11:41:58'),
	(5741,'WOF091200006-WOB00008','WOG00441','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2306.png',0,'2024-07-09 11:41:58'),
	(5742,'WOF091200006-WOB00008','WOG00441','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2306.html',0,'2024-07-09 11:41:58'),
	(5743,'WOF091200006-WOB00008','WOG00442','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2307.png',0,'2024-07-09 11:41:58'),
	(5744,'WOF091200006-WOB00008','WOG00442','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2307.html',0,'2024-07-09 11:41:58'),
	(5745,'WOF091200006-WOB00008','WOG00443','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2308.png',0,'2024-07-09 11:41:58'),
	(5746,'WOF091200006-WOB00008','WOG00443','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2308.html',0,'2024-07-09 11:41:58'),
	(5747,'WOF091200006-WOB00008','WOG00444','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2309.png',0,'2024-07-09 11:41:58'),
	(5748,'WOF091200006-WOB00008','WOG00444','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2309.html',0,'2024-07-09 11:41:58'),
	(5749,'WOF091200006-WOB00008','WOG00445','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2310.png',0,'2024-07-09 11:41:58'),
	(5750,'WOF091200006-WOB00008','WOG00445','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2310.html',0,'2024-07-09 11:41:58'),
	(5751,'WOF091200006-WOB00008','WOG00446','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2311.png',0,'2024-07-09 11:41:58'),
	(5752,'WOF091200006-WOB00008','WOG00446','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2311.html',0,'2024-07-09 11:41:58'),
	(5753,'WOF091200006-WOB00008','WOG00447','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2312.png',0,'2024-07-09 11:41:58'),
	(5754,'WOF091200006-WOB00008','WOG00447','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2312.html',0,'2024-07-09 11:41:58'),
	(5755,'WOF091200006-WOB00008','WOG00448','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2313.png',0,'2024-07-09 11:41:58'),
	(5756,'WOF091200006-WOB00008','WOG00448','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2313.html',0,'2024-07-09 11:41:58'),
	(5757,'WOF091200006-WOB00008','WOG00449','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2314.png',0,'2024-07-09 11:41:58'),
	(5758,'WOF091200006-WOB00008','WOG00449','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2314.html',0,'2024-07-09 11:41:58'),
	(5759,'WOF091200006-WOB00008','WOG00450','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2315.png',0,'2024-07-09 11:41:58'),
	(5760,'WOF091200006-WOB00008','WOG00450','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2315.html',0,'2024-07-09 11:41:58'),
	(5761,'WOF091200006-WOB00008','WOG00451','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2316.png',0,'2024-07-09 11:41:58'),
	(5762,'WOF091200006-WOB00008','WOG00451','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2316.html',0,'2024-07-09 11:41:58'),
	(5763,'WOF091200006-WOB00008','WOG00452','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2317.png',0,'2024-07-09 11:41:58'),
	(5764,'WOF091200006-WOB00008','WOG00452','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2317.html',0,'2024-07-09 11:41:58'),
	(5765,'WOF091200006-WOB00008','WOG00453','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2318.png',0,'2024-07-09 11:41:58'),
	(5766,'WOF091200006-WOB00008','WOG00453','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2318.html',0,'2024-07-09 11:41:58'),
	(5767,'WOF091200006-WOB00008','WOG00454','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2319.png',0,'2024-07-09 11:41:58'),
	(5768,'WOF091200006-WOB00008','WOG00454','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2319.html',0,'2024-07-09 11:41:58'),
	(5769,'WOF091200006-WOB00008','WOG00455','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2320.png',0,'2024-07-09 11:41:58'),
	(5770,'WOF091200006-WOB00008','WOG00455','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2320.html',0,'2024-07-09 11:41:58'),
	(5771,'WOF091200006-WOB00008','WOG00456','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2321.png',0,'2024-07-09 11:41:58'),
	(5772,'WOF091200006-WOB00008','WOG00456','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2321.html',0,'2024-07-09 11:41:58'),
	(5773,'WOF091200006-WOB00008','WOG00457','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2322.png',0,'2024-07-09 11:41:58'),
	(5774,'WOF091200006-WOB00008','WOG00457','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2322.html',0,'2024-07-09 11:41:58'),
	(5775,'WOF091200006-WOB00008','WOG00458','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2323.png',0,'2024-07-09 11:41:58'),
	(5776,'WOF091200006-WOB00008','WOG00458','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2323.html',0,'2024-07-09 11:41:58'),
	(5777,'WOF091200006-WOB00008','WOG00459','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2324.png',0,'2024-07-09 11:41:58'),
	(5778,'WOF091200006-WOB00008','WOG00459','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2324.html',0,'2024-07-09 11:41:58'),
	(5779,'WOF091200006-WOB00008','WOG00460','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2325.png',0,'2024-07-09 11:41:58'),
	(5780,'WOF091200006-WOB00008','WOG00460','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2325.html',0,'2024-07-09 11:41:58'),
	(5781,'WOF091200006-WOB00008','WOG00461','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2326.png',0,'2024-07-09 11:41:58'),
	(5782,'WOF091200006-WOB00008','WOG00461','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2326.html',0,'2024-07-09 11:41:58'),
	(5783,'WOF091200006-WOB00008','WOG00462','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2327.png',0,'2024-07-09 11:41:58'),
	(5784,'WOF091200006-WOB00008','WOG00462','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2327.html',0,'2024-07-09 11:41:58'),
	(5785,'WOF091200006-WOB00008','WOG00463','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2328.png',0,'2024-07-09 11:41:58'),
	(5786,'WOF091200006-WOB00008','WOG00463','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2328.html',0,'2024-07-09 11:41:58'),
	(5787,'WOF091200006-WOB00008','WOG00464','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2329.png',0,'2024-07-09 11:41:58'),
	(5788,'WOF091200006-WOB00008','WOG00464','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2329.html',0,'2024-07-09 11:41:58'),
	(5789,'WOF091200006-WOB00008','WOG00465','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2330.png',0,'2024-07-09 11:41:58'),
	(5790,'WOF091200006-WOB00008','WOG00465','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2330.html',0,'2024-07-09 11:41:58'),
	(5791,'WOF091200006-WOB00008','WOG00466','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2331.png',0,'2024-07-09 11:41:58'),
	(5792,'WOF091200006-WOB00008','WOG00466','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2331.html',0,'2024-07-09 11:41:58'),
	(5793,'WOF091200006-WOB00008','WOG00467','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2332.png',0,'2024-07-09 11:41:58'),
	(5794,'WOF091200006-WOB00008','WOG00467','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2332.html',0,'2024-07-09 11:41:58'),
	(5795,'WOF091200006-WOB00008','WOG00468','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2333.png',0,'2024-07-09 11:41:58'),
	(5796,'WOF091200006-WOB00008','WOG00468','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2333.html',0,'2024-07-09 11:41:58'),
	(5797,'WOF093400005-WOB00006','WOG00422','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-10.png',1,'2024-07-09 11:41:58'),
	(5798,'WOF093400005-WOB00006','WOG00422','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-10.html',1,'2024-07-09 11:41:58'),
	(5799,'WOF093400005-WOB00006','WOG00423','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-11.png',1,'2024-07-09 11:41:58'),
	(5800,'WOF093400005-WOB00006','WOG00423','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-11.html',1,'2024-07-09 11:41:58'),
	(5801,'WOF093400005-WOB00006','WOG00424','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-12.png',1,'2024-07-09 11:41:58'),
	(5802,'WOF093400005-WOB00006','WOG00424','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-12.html',1,'2024-07-09 11:41:58'),
	(5803,'WOF093400005-WOB00006','WOG00425','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-13.png',1,'2024-07-09 11:41:58'),
	(5804,'WOF093400005-WOB00006','WOG00425','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-13.html',1,'2024-07-09 11:41:58'),
	(5805,'WOF093400005-WOB00006','WOG00426','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-14.png',1,'2024-07-09 11:41:58'),
	(5806,'WOF093400005-WOB00006','WOG00426','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-14.html',1,'2024-07-09 11:41:58'),
	(5807,'WOF093400005-WOB00006','WOG00427','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-15.png',1,'2024-07-09 11:41:58'),
	(5808,'WOF093400005-WOB00006','WOG00427','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-15.html',1,'2024-07-09 11:41:58'),
	(5809,'WOF093400005-WOB00006','WOG00428','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-16.png',1,'2024-07-09 11:41:58'),
	(5810,'WOF093400005-WOB00006','WOG00428','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-16.html',1,'2024-07-09 11:41:58'),
	(5811,'WOF093400005-WOB00006','WOG00429','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-17.png',1,'2024-07-09 11:41:58'),
	(5812,'WOF093400005-WOB00006','WOG00429','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-17.html',1,'2024-07-09 11:41:58'),
	(5813,'WOF093400005-WOB00006','WOG00430','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-18.png',1,'2024-07-09 11:41:58'),
	(5814,'WOF093400005-WOB00006','WOG00430','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-18.html',1,'2024-07-09 11:41:58'),
	(5815,'WOF093400005-WOB00006','WOG00431','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-19.png',1,'2024-07-09 11:41:58'),
	(5816,'WOF093400005-WOB00006','WOG00431','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-19.html',1,'2024-07-09 11:41:58'),
	(5817,'WOF093400005-WOB00006','WOG00432','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-20.png',1,'2024-07-09 11:41:58'),
	(5818,'WOF093400005-WOB00006','WOG00432','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-20.html',1,'2024-07-09 11:41:58'),
	(5819,'WOF093400005-WOB00006','WOG00433','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-21.png',1,'2024-07-09 11:41:58'),
	(5820,'WOF093400005-WOB00006','WOG00433','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-21.html',1,'2024-07-09 11:41:58'),
	(5821,'WOF093400005-WOB00006','WOG00434','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-22.png',1,'2024-07-09 11:41:58'),
	(5822,'WOF093400005-WOB00006','WOG00434','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-22.html',1,'2024-07-09 11:41:58'),
	(5823,'WOF093400005-WOB00006','WOG00435','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-23.png',1,'2024-07-09 11:41:58'),
	(5824,'WOF093400005-WOB00006','WOG00435','wind_speed_frequency','wof093400005/WOF093400005-WOB00006/wind_speed_frequency/automatic/HD2-23.html',1,'2024-07-09 11:41:58'),
	(5825,'WOF093400005-WOB00006','WOG00422','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-10.png',1,'2024-07-09 11:41:58'),
	(5826,'WOF093400005-WOB00006','WOG00422','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-10.html',1,'2024-07-09 11:41:58'),
	(5827,'WOF093400005-WOB00006','WOG00423','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-11.png',1,'2024-07-09 11:41:58'),
	(5828,'WOF093400005-WOB00006','WOG00423','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-11.html',1,'2024-07-09 11:41:58'),
	(5829,'WOF093400005-WOB00006','WOG00424','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-12.png',1,'2024-07-09 11:41:58'),
	(5830,'WOF093400005-WOB00006','WOG00424','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-12.html',1,'2024-07-09 11:41:58'),
	(5831,'WOF093400005-WOB00006','WOG00425','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-13.png',1,'2024-07-09 11:41:58'),
	(5832,'WOF093400005-WOB00006','WOG00425','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-13.html',1,'2024-07-09 11:41:58'),
	(5833,'WOF093400005-WOB00006','WOG00426','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-14.png',1,'2024-07-09 11:41:58'),
	(5834,'WOF093400005-WOB00006','WOG00426','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-14.html',1,'2024-07-09 11:41:58'),
	(5835,'WOF093400005-WOB00006','WOG00427','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-15.png',1,'2024-07-09 11:41:58'),
	(5836,'WOF093400005-WOB00006','WOG00427','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-15.html',1,'2024-07-09 11:41:58'),
	(5837,'WOF093400005-WOB00006','WOG00428','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-16.png',1,'2024-07-09 11:41:58'),
	(5838,'WOF093400005-WOB00006','WOG00428','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-16.html',1,'2024-07-09 11:41:58'),
	(5839,'WOF093400005-WOB00006','WOG00429','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-17.png',1,'2024-07-09 11:41:58'),
	(5840,'WOF093400005-WOB00006','WOG00429','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-17.html',1,'2024-07-09 11:41:58'),
	(5841,'WOF093400005-WOB00006','WOG00430','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-18.png',1,'2024-07-09 11:41:58'),
	(5842,'WOF093400005-WOB00006','WOG00430','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-18.html',1,'2024-07-09 11:41:58'),
	(5843,'WOF093400005-WOB00006','WOG00431','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-19.png',1,'2024-07-09 11:41:58'),
	(5844,'WOF093400005-WOB00006','WOG00431','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-19.html',1,'2024-07-09 11:41:58'),
	(5845,'WOF093400005-WOB00006','WOG00432','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-20.png',1,'2024-07-09 11:41:58'),
	(5846,'WOF093400005-WOB00006','WOG00432','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-20.html',1,'2024-07-09 11:41:58'),
	(5847,'WOF093400005-WOB00006','WOG00433','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-21.png',1,'2024-07-09 11:41:58'),
	(5848,'WOF093400005-WOB00006','WOG00433','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-21.html',1,'2024-07-09 11:41:58'),
	(5849,'WOF093400005-WOB00006','WOG00434','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-22.png',1,'2024-07-09 11:41:58'),
	(5850,'WOF093400005-WOB00006','WOG00434','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-22.html',1,'2024-07-09 11:41:58'),
	(5851,'WOF093400005-WOB00006','WOG00435','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-23.png',1,'2024-07-09 11:41:58'),
	(5852,'WOF093400005-WOB00006','WOG00435','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/HD2-23.html',1,'2024-07-09 11:41:58'),
	(5853,'WOF093400005-WOB00006','WOG00422','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-10-scatter.png',1,'2024-07-09 11:41:58'),
	(5854,'WOF093400005-WOB00006','WOG00422','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-10-scatter.html',1,'2024-07-09 11:41:58'),
	(5855,'WOF093400005-WOB00006','WOG00423','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-11-scatter.png',1,'2024-07-09 11:41:58'),
	(5856,'WOF093400005-WOB00006','WOG00423','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-11-scatter.html',1,'2024-07-09 11:41:58'),
	(5857,'WOF093400005-WOB00006','WOG00424','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-12-scatter.png',1,'2024-07-09 11:41:58'),
	(5858,'WOF093400005-WOB00006','WOG00424','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-12-scatter.html',1,'2024-07-09 11:41:58'),
	(5859,'WOF093400005-WOB00006','WOG00425','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-13-scatter.png',1,'2024-07-09 11:41:58'),
	(5860,'WOF093400005-WOB00006','WOG00425','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-13-scatter.html',1,'2024-07-09 11:41:58'),
	(5861,'WOF093400005-WOB00006','WOG00426','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-14-scatter.png',1,'2024-07-09 11:41:58'),
	(5862,'WOF093400005-WOB00006','WOG00426','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-14-scatter.html',1,'2024-07-09 11:41:58'),
	(5863,'WOF093400005-WOB00006','WOG00427','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-15-scatter.png',1,'2024-07-09 11:41:58'),
	(5864,'WOF093400005-WOB00006','WOG00427','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-15-scatter.html',1,'2024-07-09 11:41:58'),
	(5865,'WOF093400005-WOB00006','WOG00428','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-16-scatter.png',1,'2024-07-09 11:41:58'),
	(5866,'WOF093400005-WOB00006','WOG00428','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-16-scatter.html',1,'2024-07-09 11:41:58'),
	(5867,'WOF093400005-WOB00006','WOG00429','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-17-scatter.png',1,'2024-07-09 11:41:58'),
	(5868,'WOF093400005-WOB00006','WOG00429','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-17-scatter.html',1,'2024-07-09 11:41:58'),
	(5869,'WOF093400005-WOB00006','WOG00430','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-18-scatter.png',1,'2024-07-09 11:41:58'),
	(5870,'WOF093400005-WOB00006','WOG00430','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-18-scatter.html',1,'2024-07-09 11:41:58'),
	(5871,'WOF093400005-WOB00006','WOG00431','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-19-scatter.png',1,'2024-07-09 11:41:58'),
	(5872,'WOF093400005-WOB00006','WOG00431','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-19-scatter.html',1,'2024-07-09 11:41:58'),
	(5873,'WOF093400005-WOB00006','WOG00432','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-20-scatter.png',1,'2024-07-09 11:41:58'),
	(5874,'WOF093400005-WOB00006','WOG00432','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-20-scatter.html',1,'2024-07-09 11:41:58'),
	(5875,'WOF093400005-WOB00006','WOG00433','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-21-scatter.png',1,'2024-07-09 11:41:58'),
	(5876,'WOF093400005-WOB00006','WOG00433','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-21-scatter.html',1,'2024-07-09 11:41:58'),
	(5877,'WOF093400005-WOB00006','WOG00434','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-22-scatter.png',1,'2024-07-09 11:41:58'),
	(5878,'WOF093400005-WOB00006','WOG00434','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-22-scatter.html',1,'2024-07-09 11:41:58'),
	(5879,'WOF093400005-WOB00006','WOG00435','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-23-scatter.png',1,'2024-07-09 11:41:58'),
	(5880,'WOF093400005-WOB00006','WOG00435','power_scatter_2D','wof093400005/WOF093400005-WOB00006/power_scatter_2D/automatic/HD2-23-scatter.html',1,'2024-07-09 11:41:58'),
	(5881,'WOF093400005-WOB00006','WOG00422','power_scatter','wof093400005/WOF093400005-WOB00006/power_scatter/automatic/HD2-10.html',1,'2024-07-09 11:41:58'),
	(5882,'WOF093400005-WOB00006','WOG00423','power_scatter','wof093400005/WOF093400005-WOB00006/power_scatter/automatic/HD2-11.html',1,'2024-07-09 11:41:58'),
	(5883,'WOF093400005-WOB00006','WOG00424','power_scatter','wof093400005/WOF093400005-WOB00006/power_scatter/automatic/HD2-12.html',1,'2024-07-09 11:41:58'),
	(5884,'WOF093400005-WOB00006','WOG00425','power_scatter','wof093400005/WOF093400005-WOB00006/power_scatter/automatic/HD2-13.html',1,'2024-07-09 11:41:58'),
	(5885,'WOF093400005-WOB00006','WOG00426','power_scatter','wof093400005/WOF093400005-WOB00006/power_scatter/automatic/HD2-14.html',1,'2024-07-09 11:41:58'),
	(5886,'WOF093400005-WOB00006','WOG00427','power_scatter','wof093400005/WOF093400005-WOB00006/power_scatter/automatic/HD2-15.html',1,'2024-07-09 11:41:58'),
	(5887,'WOF093400005-WOB00006','WOG00428','power_scatter','wof093400005/WOF093400005-WOB00006/power_scatter/automatic/HD2-16.html',1,'2024-07-09 11:41:58'),
	(5888,'WOF093400005-WOB00006','WOG00429','power_scatter','wof093400005/WOF093400005-WOB00006/power_scatter/automatic/HD2-17.html',1,'2024-07-09 11:41:58'),
	(5889,'WOF093400005-WOB00006','WOG00430','power_scatter','wof093400005/WOF093400005-WOB00006/power_scatter/automatic/HD2-18.html',1,'2024-07-09 11:41:58'),
	(5890,'WOF093400005-WOB00006','WOG00431','power_scatter','wof093400005/WOF093400005-WOB00006/power_scatter/automatic/HD2-19.html',1,'2024-07-09 11:41:58'),
	(5891,'WOF093400005-WOB00006','WOG00432','power_scatter','wof093400005/WOF093400005-WOB00006/power_scatter/automatic/HD2-20.html',1,'2024-07-09 11:41:58'),
	(5892,'WOF093400005-WOB00006','WOG00433','power_scatter','wof093400005/WOF093400005-WOB00006/power_scatter/automatic/HD2-21.html',1,'2024-07-09 11:41:58'),
	(5893,'WOF093400005-WOB00006','WOG00434','power_scatter','wof093400005/WOF093400005-WOB00006/power_scatter/automatic/HD2-22.html',1,'2024-07-09 11:41:58'),
	(5894,'WOF093400005-WOB00006','WOG00435','power_scatter','wof093400005/WOF093400005-WOB00006/power_scatter/automatic/HD2-23.html',1,'2024-07-09 11:41:58'),
	(5895,'WOF093400005-WOB00006','WOG00422','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-10.png',1,'2024-07-09 11:41:58'),
	(5896,'WOF093400005-WOB00006','WOG00422','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-10.html',1,'2024-07-09 11:41:58'),
	(5897,'WOF093400005-WOB00006','WOG00423','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-11.png',1,'2024-07-09 11:41:58'),
	(5898,'WOF093400005-WOB00006','WOG00423','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-11.html',1,'2024-07-09 11:41:58'),
	(5899,'WOF093400005-WOB00006','WOG00424','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-12.png',1,'2024-07-09 11:41:58'),
	(5900,'WOF093400005-WOB00006','WOG00424','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-12.html',1,'2024-07-09 11:41:58'),
	(5901,'WOF093400005-WOB00006','WOG00425','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-13.png',1,'2024-07-09 11:41:58'),
	(5902,'WOF093400005-WOB00006','WOG00425','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-13.html',1,'2024-07-09 11:41:58'),
	(5903,'WOF093400005-WOB00006','WOG00426','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-14.png',1,'2024-07-09 11:41:58'),
	(5904,'WOF093400005-WOB00006','WOG00426','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-14.html',1,'2024-07-09 11:41:58'),
	(5905,'WOF093400005-WOB00006','WOG00427','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-15.png',1,'2024-07-09 11:41:58'),
	(5906,'WOF093400005-WOB00006','WOG00427','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-15.html',1,'2024-07-09 11:41:58'),
	(5907,'WOF093400005-WOB00006','WOG00428','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-16.png',1,'2024-07-09 11:41:58'),
	(5908,'WOF093400005-WOB00006','WOG00428','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-16.html',1,'2024-07-09 11:41:58'),
	(5909,'WOF093400005-WOB00006','WOG00429','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-17.png',1,'2024-07-09 11:41:58'),
	(5910,'WOF093400005-WOB00006','WOG00429','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-17.html',1,'2024-07-09 11:41:58'),
	(5911,'WOF093400005-WOB00006','WOG00430','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-18.png',1,'2024-07-09 11:41:58'),
	(5912,'WOF093400005-WOB00006','WOG00430','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-18.html',1,'2024-07-09 11:41:58'),
	(5913,'WOF093400005-WOB00006','WOG00431','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-19.png',1,'2024-07-09 11:41:58'),
	(5914,'WOF093400005-WOB00006','WOG00431','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-19.html',1,'2024-07-09 11:41:58'),
	(5915,'WOF093400005-WOB00006','WOG00432','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-20.png',1,'2024-07-09 11:41:58'),
	(5916,'WOF093400005-WOB00006','WOG00432','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-20.html',1,'2024-07-09 11:41:58'),
	(5917,'WOF093400005-WOB00006','WOG00433','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-21.png',1,'2024-07-09 11:41:58'),
	(5918,'WOF093400005-WOB00006','WOG00433','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-21.html',1,'2024-07-09 11:41:58'),
	(5919,'WOF093400005-WOB00006','WOG00434','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-22.png',1,'2024-07-09 11:41:58'),
	(5920,'WOF093400005-WOB00006','WOG00434','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-22.html',1,'2024-07-09 11:41:58'),
	(5921,'WOF093400005-WOB00006','WOG00435','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-23.png',1,'2024-07-09 11:41:58'),
	(5922,'WOF093400005-WOB00006','WOG00435','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/HD2-23.html',1,'2024-07-09 11:41:58'),
	(5923,'WOF093400005-WOB00006','WOG00422','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-10.png',1,'2024-07-09 11:41:58'),
	(5924,'WOF093400005-WOB00006','WOG00422','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-10.html',1,'2024-07-09 11:41:58'),
	(5925,'WOF093400005-WOB00006','WOG00423','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-11.png',1,'2024-07-09 11:41:58'),
	(5926,'WOF093400005-WOB00006','WOG00423','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-11.html',1,'2024-07-09 11:41:58'),
	(5927,'WOF093400005-WOB00006','WOG00424','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-12.png',1,'2024-07-09 11:41:58'),
	(5928,'WOF093400005-WOB00006','WOG00424','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-12.html',1,'2024-07-09 11:41:58'),
	(5929,'WOF093400005-WOB00006','WOG00425','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-13.png',1,'2024-07-09 11:41:58'),
	(5930,'WOF093400005-WOB00006','WOG00425','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-13.html',1,'2024-07-09 11:41:58'),
	(5931,'WOF093400005-WOB00006','WOG00426','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-14.png',1,'2024-07-09 11:41:58'),
	(5932,'WOF093400005-WOB00006','WOG00426','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-14.html',1,'2024-07-09 11:41:58'),
	(5933,'WOF093400005-WOB00006','WOG00427','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-15.png',1,'2024-07-09 11:41:58'),
	(5934,'WOF093400005-WOB00006','WOG00427','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-15.html',1,'2024-07-09 11:41:58'),
	(5935,'WOF093400005-WOB00006','WOG00428','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-16.png',1,'2024-07-09 11:41:58'),
	(5936,'WOF093400005-WOB00006','WOG00428','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-16.html',1,'2024-07-09 11:41:58'),
	(5937,'WOF093400005-WOB00006','WOG00429','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-17.png',1,'2024-07-09 11:41:58'),
	(5938,'WOF093400005-WOB00006','WOG00429','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-17.html',1,'2024-07-09 11:41:58'),
	(5939,'WOF093400005-WOB00006','WOG00430','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-18.png',1,'2024-07-09 11:41:58'),
	(5940,'WOF093400005-WOB00006','WOG00430','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-18.html',1,'2024-07-09 11:41:58'),
	(5941,'WOF093400005-WOB00006','WOG00431','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-19.png',1,'2024-07-09 11:41:58'),
	(5942,'WOF093400005-WOB00006','WOG00431','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-19.html',1,'2024-07-09 11:41:58'),
	(5943,'WOF093400005-WOB00006','WOG00432','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-20.png',1,'2024-07-09 11:41:58'),
	(5944,'WOF093400005-WOB00006','WOG00432','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-20.html',1,'2024-07-09 11:41:58'),
	(5945,'WOF093400005-WOB00006','WOG00433','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-21.png',1,'2024-07-09 11:41:58'),
	(5946,'WOF093400005-WOB00006','WOG00433','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-21.html',1,'2024-07-09 11:41:58'),
	(5947,'WOF093400005-WOB00006','WOG00434','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-22.png',1,'2024-07-09 11:41:58'),
	(5948,'WOF093400005-WOB00006','WOG00434','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-22.html',1,'2024-07-09 11:41:58'),
	(5949,'WOF093400005-WOB00006','WOG00435','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-23.png',1,'2024-07-09 11:41:58'),
	(5950,'WOF093400005-WOB00006','WOG00435','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/HD2-23.html',1,'2024-07-09 11:41:58'),
	(5951,'WOF093400005-WOB00006','WOG00422','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-10.png',1,'2024-07-09 11:41:58'),
	(5952,'WOF093400005-WOB00006','WOG00422','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-10.html',1,'2024-07-09 11:41:58'),
	(5953,'WOF093400005-WOB00006','WOG00423','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-11.png',1,'2024-07-09 11:41:58'),
	(5954,'WOF093400005-WOB00006','WOG00423','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-11.html',1,'2024-07-09 11:41:58'),
	(5955,'WOF093400005-WOB00006','WOG00424','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-12.png',1,'2024-07-09 11:41:58'),
	(5956,'WOF093400005-WOB00006','WOG00424','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-12.html',1,'2024-07-09 11:41:58'),
	(5957,'WOF093400005-WOB00006','WOG00425','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-13.png',1,'2024-07-09 11:41:58'),
	(5958,'WOF093400005-WOB00006','WOG00425','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-13.html',1,'2024-07-09 11:41:58'),
	(5959,'WOF093400005-WOB00006','WOG00426','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-14.png',1,'2024-07-09 11:41:58'),
	(5960,'WOF093400005-WOB00006','WOG00426','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-14.html',1,'2024-07-09 11:41:58'),
	(5961,'WOF093400005-WOB00006','WOG00427','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-15.png',1,'2024-07-09 11:41:58'),
	(5962,'WOF093400005-WOB00006','WOG00427','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-15.html',1,'2024-07-09 11:41:58'),
	(5963,'WOF093400005-WOB00006','WOG00428','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-16.png',1,'2024-07-09 11:41:58'),
	(5964,'WOF093400005-WOB00006','WOG00428','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-16.html',1,'2024-07-09 11:41:58'),
	(5965,'WOF093400005-WOB00006','WOG00429','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-17.png',1,'2024-07-09 11:41:58'),
	(5966,'WOF093400005-WOB00006','WOG00429','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-17.html',1,'2024-07-09 11:41:58'),
	(5967,'WOF093400005-WOB00006','WOG00430','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-18.png',1,'2024-07-09 11:41:58'),
	(5968,'WOF093400005-WOB00006','WOG00430','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-18.html',1,'2024-07-09 11:41:58'),
	(5969,'WOF093400005-WOB00006','WOG00431','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-19.png',1,'2024-07-09 11:41:58'),
	(5970,'WOF093400005-WOB00006','WOG00431','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-19.html',1,'2024-07-09 11:41:58'),
	(5971,'WOF093400005-WOB00006','WOG00432','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-20.png',1,'2024-07-09 11:41:58'),
	(5972,'WOF093400005-WOB00006','WOG00432','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-20.html',1,'2024-07-09 11:41:58'),
	(5973,'WOF093400005-WOB00006','WOG00433','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-21.png',1,'2024-07-09 11:41:58'),
	(5974,'WOF093400005-WOB00006','WOG00433','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-21.html',1,'2024-07-09 11:41:58'),
	(5975,'WOF093400005-WOB00006','WOG00434','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-22.png',1,'2024-07-09 11:41:58'),
	(5976,'WOF093400005-WOB00006','WOG00434','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-22.html',1,'2024-07-09 11:41:58'),
	(5977,'WOF093400005-WOB00006','WOG00435','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-23.png',1,'2024-07-09 11:41:58'),
	(5978,'WOF093400005-WOB00006','WOG00435','cp_trend','wof093400005/WOF093400005-WOB00006/cp_trend/automatic/HD2-23.html',1,'2024-07-09 11:41:58'),
	(5979,'WOF093400005-WOB00006','WOG00422','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-10.png',1,'2024-07-09 11:41:58'),
	(5980,'WOF093400005-WOB00006','WOG00422','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-10.html',1,'2024-07-09 11:41:58'),
	(5981,'WOF093400005-WOB00006','WOG00423','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-11.png',1,'2024-07-09 11:41:58'),
	(5982,'WOF093400005-WOB00006','WOG00423','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-11.html',1,'2024-07-09 11:41:58'),
	(5983,'WOF093400005-WOB00006','WOG00424','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-12.png',1,'2024-07-09 11:41:58'),
	(5984,'WOF093400005-WOB00006','WOG00424','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-12.html',1,'2024-07-09 11:41:58'),
	(5985,'WOF093400005-WOB00006','WOG00425','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-13.png',1,'2024-07-09 11:41:58'),
	(5986,'WOF093400005-WOB00006','WOG00425','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-13.html',1,'2024-07-09 11:41:58'),
	(5987,'WOF093400005-WOB00006','WOG00426','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-14.png',1,'2024-07-09 11:41:58'),
	(5988,'WOF093400005-WOB00006','WOG00426','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-14.html',1,'2024-07-09 11:41:58'),
	(5989,'WOF093400005-WOB00006','WOG00427','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-15.png',1,'2024-07-09 11:41:58'),
	(5990,'WOF093400005-WOB00006','WOG00427','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-15.html',1,'2024-07-09 11:41:58'),
	(5991,'WOF093400005-WOB00006','WOG00428','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-16.png',1,'2024-07-09 11:41:58'),
	(5992,'WOF093400005-WOB00006','WOG00428','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-16.html',1,'2024-07-09 11:41:58'),
	(5993,'WOF093400005-WOB00006','WOG00429','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-17.png',1,'2024-07-09 11:41:58'),
	(5994,'WOF093400005-WOB00006','WOG00429','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-17.html',1,'2024-07-09 11:41:58'),
	(5995,'WOF093400005-WOB00006','WOG00430','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-18.png',1,'2024-07-09 11:41:58'),
	(5996,'WOF093400005-WOB00006','WOG00430','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-18.html',1,'2024-07-09 11:41:58'),
	(5997,'WOF093400005-WOB00006','WOG00431','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-19.png',1,'2024-07-09 11:41:58'),
	(5998,'WOF093400005-WOB00006','WOG00431','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-19.html',1,'2024-07-09 11:41:58'),
	(5999,'WOF093400005-WOB00006','WOG00432','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-20.png',1,'2024-07-09 11:41:58'),
	(6000,'WOF093400005-WOB00006','WOG00432','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-20.html',1,'2024-07-09 11:41:58'),
	(6001,'WOF093400005-WOB00006','WOG00433','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-21.png',1,'2024-07-09 11:41:58'),
	(6002,'WOF093400005-WOB00006','WOG00433','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-21.html',1,'2024-07-09 11:41:58'),
	(6003,'WOF093400005-WOB00006','WOG00434','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-22.png',1,'2024-07-09 11:41:58'),
	(6004,'WOF093400005-WOB00006','WOG00434','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-22.html',1,'2024-07-09 11:41:58'),
	(6005,'WOF093400005-WOB00006','WOG00435','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-23.png',1,'2024-07-09 11:41:58'),
	(6006,'WOF093400005-WOB00006','WOG00435','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/HD2-23.html',1,'2024-07-09 11:41:58'),
	(6007,'WOF093400005-WOB00006','WOG00422','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-10.png',1,'2024-07-09 11:41:58'),
	(6008,'WOF093400005-WOB00006','WOG00422','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-10.html',1,'2024-07-09 11:41:58'),
	(6009,'WOF093400005-WOB00006','WOG00423','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-11.png',1,'2024-07-09 11:41:58'),
	(6010,'WOF093400005-WOB00006','WOG00423','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-11.html',1,'2024-07-09 11:41:58'),
	(6011,'WOF093400005-WOB00006','WOG00424','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-12.png',1,'2024-07-09 11:41:58'),
	(6012,'WOF093400005-WOB00006','WOG00424','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-12.html',1,'2024-07-09 11:41:58'),
	(6013,'WOF093400005-WOB00006','WOG00425','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-13.png',1,'2024-07-09 11:41:58'),
	(6014,'WOF093400005-WOB00006','WOG00425','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-13.html',1,'2024-07-09 11:41:58'),
	(6015,'WOF093400005-WOB00006','WOG00426','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-14.png',1,'2024-07-09 11:41:58'),
	(6016,'WOF093400005-WOB00006','WOG00426','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-14.html',1,'2024-07-09 11:41:58'),
	(6017,'WOF093400005-WOB00006','WOG00427','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-15.png',1,'2024-07-09 11:41:58'),
	(6018,'WOF093400005-WOB00006','WOG00427','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-15.html',1,'2024-07-09 11:41:58'),
	(6019,'WOF093400005-WOB00006','WOG00428','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-16.png',1,'2024-07-09 11:41:58'),
	(6020,'WOF093400005-WOB00006','WOG00428','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-16.html',1,'2024-07-09 11:41:58'),
	(6021,'WOF093400005-WOB00006','WOG00429','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-17.png',1,'2024-07-09 11:41:58'),
	(6022,'WOF093400005-WOB00006','WOG00429','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-17.html',1,'2024-07-09 11:41:58'),
	(6023,'WOF093400005-WOB00006','WOG00430','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-18.png',1,'2024-07-09 11:41:58'),
	(6024,'WOF093400005-WOB00006','WOG00430','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-18.html',1,'2024-07-09 11:41:58'),
	(6025,'WOF093400005-WOB00006','WOG00431','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-19.png',1,'2024-07-09 11:41:58'),
	(6026,'WOF093400005-WOB00006','WOG00431','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-19.html',1,'2024-07-09 11:41:58'),
	(6027,'WOF093400005-WOB00006','WOG00432','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-20.png',1,'2024-07-09 11:41:58'),
	(6028,'WOF093400005-WOB00006','WOG00432','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-20.html',1,'2024-07-09 11:41:58'),
	(6029,'WOF093400005-WOB00006','WOG00433','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-21.png',1,'2024-07-09 11:41:58'),
	(6030,'WOF093400005-WOB00006','WOG00433','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-21.html',1,'2024-07-09 11:41:58'),
	(6031,'WOF093400005-WOB00006','WOG00434','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-22.png',1,'2024-07-09 11:41:58'),
	(6032,'WOF093400005-WOB00006','WOG00434','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-22.html',1,'2024-07-09 11:41:58'),
	(6033,'WOF093400005-WOB00006','WOG00435','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-23.png',1,'2024-07-09 11:41:58'),
	(6034,'WOF093400005-WOB00006','WOG00435','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/HD2-23.html',1,'2024-07-09 11:41:58'),
	(6035,'WOF093400005-WOB00006','WOG00422','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-10.png',1,'2024-07-09 11:41:58'),
	(6036,'WOF093400005-WOB00006','WOG00422','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-10.html',1,'2024-07-09 11:41:58'),
	(6037,'WOF093400005-WOB00006','WOG00423','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-11.png',1,'2024-07-09 11:41:58'),
	(6038,'WOF093400005-WOB00006','WOG00423','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-11.html',1,'2024-07-09 11:41:58'),
	(6039,'WOF093400005-WOB00006','WOG00424','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-12.png',1,'2024-07-09 11:41:58'),
	(6040,'WOF093400005-WOB00006','WOG00424','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-12.html',1,'2024-07-09 11:41:58'),
	(6041,'WOF093400005-WOB00006','WOG00425','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-13.png',1,'2024-07-09 11:41:58'),
	(6042,'WOF093400005-WOB00006','WOG00425','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-13.html',1,'2024-07-09 11:41:58'),
	(6043,'WOF093400005-WOB00006','WOG00426','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-14.png',1,'2024-07-09 11:41:58'),
	(6044,'WOF093400005-WOB00006','WOG00426','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-14.html',1,'2024-07-09 11:41:58'),
	(6045,'WOF093400005-WOB00006','WOG00427','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-15.png',1,'2024-07-09 11:41:58'),
	(6046,'WOF093400005-WOB00006','WOG00427','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-15.html',1,'2024-07-09 11:41:58'),
	(6047,'WOF093400005-WOB00006','WOG00428','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-16.png',1,'2024-07-09 11:41:58'),
	(6048,'WOF093400005-WOB00006','WOG00428','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-16.html',1,'2024-07-09 11:41:58'),
	(6049,'WOF093400005-WOB00006','WOG00429','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-17.png',1,'2024-07-09 11:41:58'),
	(6050,'WOF093400005-WOB00006','WOG00429','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-17.html',1,'2024-07-09 11:41:58'),
	(6051,'WOF093400005-WOB00006','WOG00430','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-18.png',1,'2024-07-09 11:41:58'),
	(6052,'WOF093400005-WOB00006','WOG00430','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-18.html',1,'2024-07-09 11:41:58'),
	(6053,'WOF093400005-WOB00006','WOG00431','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-19.png',1,'2024-07-09 11:41:58'),
	(6054,'WOF093400005-WOB00006','WOG00431','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-19.html',1,'2024-07-09 11:41:58'),
	(6055,'WOF093400005-WOB00006','WOG00432','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-20.png',1,'2024-07-09 11:41:58'),
	(6056,'WOF093400005-WOB00006','WOG00432','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-20.html',1,'2024-07-09 11:41:58'),
	(6057,'WOF093400005-WOB00006','WOG00433','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-21.png',1,'2024-07-09 11:41:58'),
	(6058,'WOF093400005-WOB00006','WOG00433','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-21.html',1,'2024-07-09 11:41:58'),
	(6059,'WOF093400005-WOB00006','WOG00434','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-22.png',1,'2024-07-09 11:41:58'),
	(6060,'WOF093400005-WOB00006','WOG00434','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-22.html',1,'2024-07-09 11:41:58'),
	(6061,'WOF093400005-WOB00006','WOG00435','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-23.png',1,'2024-07-09 11:41:58'),
	(6062,'WOF093400005-WOB00006','WOG00435','tsr_trend','wof093400005/WOF093400005-WOB00006/tsr_trend/automatic/HD2-23.html',1,'2024-07-09 11:41:58'),
	(6063,'WOF093400005-WOB00006','WOG00422','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-10.png',1,'2024-07-09 11:41:58'),
	(6064,'WOF093400005-WOB00006','WOG00422','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-10.html',1,'2024-07-09 11:41:58'),
	(6065,'WOF093400005-WOB00006','WOG00423','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-11.png',1,'2024-07-09 11:41:58'),
	(6066,'WOF093400005-WOB00006','WOG00423','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-11.html',1,'2024-07-09 11:41:58'),
	(6067,'WOF093400005-WOB00006','WOG00424','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-12.png',1,'2024-07-09 11:41:58'),
	(6068,'WOF093400005-WOB00006','WOG00424','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-12.html',1,'2024-07-09 11:41:58'),
	(6069,'WOF093400005-WOB00006','WOG00425','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-13.png',1,'2024-07-09 11:41:58'),
	(6070,'WOF093400005-WOB00006','WOG00425','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-13.html',1,'2024-07-09 11:41:58'),
	(6071,'WOF093400005-WOB00006','WOG00426','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-14.png',1,'2024-07-09 11:41:58'),
	(6072,'WOF093400005-WOB00006','WOG00426','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-14.html',1,'2024-07-09 11:41:58'),
	(6073,'WOF093400005-WOB00006','WOG00427','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-15.png',1,'2024-07-09 11:41:58'),
	(6074,'WOF093400005-WOB00006','WOG00427','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-15.html',1,'2024-07-09 11:41:58'),
	(6075,'WOF093400005-WOB00006','WOG00428','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-16.png',1,'2024-07-09 11:41:58'),
	(6076,'WOF093400005-WOB00006','WOG00428','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-16.html',1,'2024-07-09 11:41:58'),
	(6077,'WOF093400005-WOB00006','WOG00429','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-17.png',1,'2024-07-09 11:41:58'),
	(6078,'WOF093400005-WOB00006','WOG00429','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-17.html',1,'2024-07-09 11:41:58'),
	(6079,'WOF093400005-WOB00006','WOG00430','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-18.png',1,'2024-07-09 11:41:58'),
	(6080,'WOF093400005-WOB00006','WOG00430','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-18.html',1,'2024-07-09 11:41:58'),
	(6081,'WOF093400005-WOB00006','WOG00431','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-19.png',1,'2024-07-09 11:41:58'),
	(6082,'WOF093400005-WOB00006','WOG00431','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-19.html',1,'2024-07-09 11:41:58'),
	(6083,'WOF093400005-WOB00006','WOG00432','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-20.png',1,'2024-07-09 11:41:58'),
	(6084,'WOF093400005-WOB00006','WOG00432','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-20.html',1,'2024-07-09 11:41:58'),
	(6085,'WOF093400005-WOB00006','WOG00433','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-21.png',1,'2024-07-09 11:41:58'),
	(6086,'WOF093400005-WOB00006','WOG00433','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-21.html',1,'2024-07-09 11:41:58'),
	(6087,'WOF093400005-WOB00006','WOG00434','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-22.png',1,'2024-07-09 11:41:58'),
	(6088,'WOF093400005-WOB00006','WOG00434','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-22.html',1,'2024-07-09 11:41:58'),
	(6089,'WOF093400005-WOB00006','WOG00435','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-23.png',1,'2024-07-09 11:41:58'),
	(6090,'WOF093400005-WOB00006','WOG00435','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-23.html',1,'2024-07-09 11:41:58'),
	(6091,'WOF093400005-WOB00006','WOG00422','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-10_3D.html',1,'2024-07-09 11:41:58'),
	(6092,'WOF093400005-WOB00006','WOG00423','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-11_3D.html',1,'2024-07-09 11:41:58'),
	(6093,'WOF093400005-WOB00006','WOG00424','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-12_3D.html',1,'2024-07-09 11:41:58'),
	(6094,'WOF093400005-WOB00006','WOG00425','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-13_3D.html',1,'2024-07-09 11:41:58'),
	(6095,'WOF093400005-WOB00006','WOG00426','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-14_3D.html',1,'2024-07-09 11:41:58'),
	(6096,'WOF093400005-WOB00006','WOG00427','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-15_3D.html',1,'2024-07-09 11:41:58'),
	(6097,'WOF093400005-WOB00006','WOG00428','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-16_3D.html',1,'2024-07-09 11:41:58'),
	(6098,'WOF093400005-WOB00006','WOG00429','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-17_3D.html',1,'2024-07-09 11:41:58'),
	(6099,'WOF093400005-WOB00006','WOG00430','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-18_3D.html',1,'2024-07-09 11:41:58'),
	(6100,'WOF093400005-WOB00006','WOG00431','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-19_3D.html',1,'2024-07-09 11:41:58'),
	(6101,'WOF093400005-WOB00006','WOG00432','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-20_3D.html',1,'2024-07-09 11:41:58'),
	(6102,'WOF093400005-WOB00006','WOG00433','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-21_3D.html',1,'2024-07-09 11:41:58'),
	(6103,'WOF093400005-WOB00006','WOG00434','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-22_3D.html',1,'2024-07-09 11:41:58'),
	(6104,'WOF093400005-WOB00006','WOG00435','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/HD2-23_3D.html',1,'2024-07-09 11:41:58'),
	(6105,'WOF093400005-WOB00006','WOG00422','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-10.png',1,'2024-07-09 11:41:58'),
	(6106,'WOF093400005-WOB00006','WOG00422','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-10.html',1,'2024-07-09 11:41:58'),
	(6107,'WOF093400005-WOB00006','WOG00423','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-11.png',1,'2024-07-09 11:41:58'),
	(6108,'WOF093400005-WOB00006','WOG00423','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-11.html',1,'2024-07-09 11:41:58'),
	(6109,'WOF093400005-WOB00006','WOG00424','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-12.png',1,'2024-07-09 11:41:58'),
	(6110,'WOF093400005-WOB00006','WOG00424','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-12.html',1,'2024-07-09 11:41:58'),
	(6111,'WOF093400005-WOB00006','WOG00425','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-13.png',1,'2024-07-09 11:41:58'),
	(6112,'WOF093400005-WOB00006','WOG00425','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-13.html',1,'2024-07-09 11:41:58'),
	(6113,'WOF093400005-WOB00006','WOG00426','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-14.png',1,'2024-07-09 11:41:58'),
	(6114,'WOF093400005-WOB00006','WOG00426','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-14.html',1,'2024-07-09 11:41:58'),
	(6115,'WOF093400005-WOB00006','WOG00427','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-15.png',1,'2024-07-09 11:41:58'),
	(6116,'WOF093400005-WOB00006','WOG00427','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-15.html',1,'2024-07-09 11:41:58'),
	(6117,'WOF093400005-WOB00006','WOG00428','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-16.png',1,'2024-07-09 11:41:58'),
	(6118,'WOF093400005-WOB00006','WOG00428','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-16.html',1,'2024-07-09 11:41:58'),
	(6119,'WOF093400005-WOB00006','WOG00429','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-17.png',1,'2024-07-09 11:41:58'),
	(6120,'WOF093400005-WOB00006','WOG00429','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-17.html',1,'2024-07-09 11:41:58'),
	(6121,'WOF093400005-WOB00006','WOG00430','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-18.png',1,'2024-07-09 11:41:58'),
	(6122,'WOF093400005-WOB00006','WOG00430','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-18.html',1,'2024-07-09 11:41:58'),
	(6123,'WOF093400005-WOB00006','WOG00431','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-19.png',1,'2024-07-09 11:41:58'),
	(6124,'WOF093400005-WOB00006','WOG00431','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-19.html',1,'2024-07-09 11:41:58'),
	(6125,'WOF093400005-WOB00006','WOG00432','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-20.png',1,'2024-07-09 11:41:58'),
	(6126,'WOF093400005-WOB00006','WOG00432','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-20.html',1,'2024-07-09 11:41:58'),
	(6127,'WOF093400005-WOB00006','WOG00433','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-21.png',1,'2024-07-09 11:41:58'),
	(6128,'WOF093400005-WOB00006','WOG00433','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-21.html',1,'2024-07-09 11:41:58'),
	(6129,'WOF093400005-WOB00006','WOG00434','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-22.png',1,'2024-07-09 11:41:58'),
	(6130,'WOF093400005-WOB00006','WOG00434','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-22.html',1,'2024-07-09 11:41:58'),
	(6131,'WOF093400005-WOB00006','WOG00435','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-23.png',1,'2024-07-09 11:41:58'),
	(6132,'WOF093400005-WOB00006','WOG00435','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-23.html',1,'2024-07-09 11:41:58'),
	(6133,'WOF093400005-WOB00006','WOG00422','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-10_3D.html',1,'2024-07-09 11:41:58'),
	(6134,'WOF093400005-WOB00006','WOG00423','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-11_3D.html',1,'2024-07-09 11:41:58'),
	(6135,'WOF093400005-WOB00006','WOG00424','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-12_3D.html',1,'2024-07-09 11:41:58'),
	(6136,'WOF093400005-WOB00006','WOG00425','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-13_3D.html',1,'2024-07-09 11:41:58'),
	(6137,'WOF093400005-WOB00006','WOG00426','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-14_3D.html',1,'2024-07-09 11:41:58'),
	(6138,'WOF093400005-WOB00006','WOG00427','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-15_3D.html',1,'2024-07-09 11:41:58'),
	(6139,'WOF093400005-WOB00006','WOG00428','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-16_3D.html',1,'2024-07-09 11:41:58'),
	(6140,'WOF093400005-WOB00006','WOG00429','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-17_3D.html',1,'2024-07-09 11:41:58'),
	(6141,'WOF093400005-WOB00006','WOG00430','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-18_3D.html',1,'2024-07-09 11:41:58'),
	(6142,'WOF093400005-WOB00006','WOG00431','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-19_3D.html',1,'2024-07-09 11:41:58'),
	(6143,'WOF093400005-WOB00006','WOG00432','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-20_3D.html',1,'2024-07-09 11:41:58'),
	(6144,'WOF093400005-WOB00006','WOG00433','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-21_3D.html',1,'2024-07-09 11:41:58'),
	(6145,'WOF093400005-WOB00006','WOG00434','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-22_3D.html',1,'2024-07-09 11:41:58'),
	(6146,'WOF093400005-WOB00006','WOG00435','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/HD2-23_3D.html',1,'2024-07-09 11:41:58'),
	(6147,'WOF093400005-WOB00006','WOG00422','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-10.png',1,'2024-07-09 11:41:58'),
	(6148,'WOF093400005-WOB00006','WOG00422','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-10.html',1,'2024-07-09 11:41:58'),
	(6149,'WOF093400005-WOB00006','WOG00423','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-11.png',1,'2024-07-09 11:41:58'),
	(6150,'WOF093400005-WOB00006','WOG00423','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-11.html',1,'2024-07-09 11:41:58'),
	(6151,'WOF093400005-WOB00006','WOG00424','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-12.png',1,'2024-07-09 11:41:58'),
	(6152,'WOF093400005-WOB00006','WOG00424','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-12.html',1,'2024-07-09 11:41:58'),
	(6153,'WOF093400005-WOB00006','WOG00425','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-13.png',1,'2024-07-09 11:41:58'),
	(6154,'WOF093400005-WOB00006','WOG00425','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-13.html',1,'2024-07-09 11:41:58'),
	(6155,'WOF093400005-WOB00006','WOG00426','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-14.png',1,'2024-07-09 11:41:58'),
	(6156,'WOF093400005-WOB00006','WOG00426','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-14.html',1,'2024-07-09 11:41:58'),
	(6157,'WOF093400005-WOB00006','WOG00427','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-15.png',1,'2024-07-09 11:41:58'),
	(6158,'WOF093400005-WOB00006','WOG00427','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-15.html',1,'2024-07-09 11:41:58'),
	(6159,'WOF093400005-WOB00006','WOG00428','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-16.png',1,'2024-07-09 11:41:58'),
	(6160,'WOF093400005-WOB00006','WOG00428','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-16.html',1,'2024-07-09 11:41:58'),
	(6161,'WOF093400005-WOB00006','WOG00429','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-17.png',1,'2024-07-09 11:41:58'),
	(6162,'WOF093400005-WOB00006','WOG00429','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-17.html',1,'2024-07-09 11:41:58'),
	(6163,'WOF093400005-WOB00006','WOG00430','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-18.png',1,'2024-07-09 11:41:58'),
	(6164,'WOF093400005-WOB00006','WOG00430','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-18.html',1,'2024-07-09 11:41:58'),
	(6165,'WOF093400005-WOB00006','WOG00431','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-19.png',1,'2024-07-09 11:41:58'),
	(6166,'WOF093400005-WOB00006','WOG00431','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-19.html',1,'2024-07-09 11:41:58'),
	(6167,'WOF093400005-WOB00006','WOG00432','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-20.png',1,'2024-07-09 11:41:58'),
	(6168,'WOF093400005-WOB00006','WOG00432','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-20.html',1,'2024-07-09 11:41:58'),
	(6169,'WOF093400005-WOB00006','WOG00433','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-21.png',1,'2024-07-09 11:41:58'),
	(6170,'WOF093400005-WOB00006','WOG00433','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-21.html',1,'2024-07-09 11:41:58'),
	(6171,'WOF093400005-WOB00006','WOG00434','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-22.png',1,'2024-07-09 11:41:58'),
	(6172,'WOF093400005-WOB00006','WOG00434','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-22.html',1,'2024-07-09 11:41:58'),
	(6173,'WOF093400005-WOB00006','WOG00435','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-23.png',1,'2024-07-09 11:41:58'),
	(6174,'WOF093400005-WOB00006','WOG00435','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/HD2-23.html',1,'2024-07-09 11:41:58'),
	(6175,'WOF093400005-WOB00006','WOG00422','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-10.png',1,'2024-07-09 11:41:58'),
	(6176,'WOF093400005-WOB00006','WOG00422','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-10.html',1,'2024-07-09 11:41:58'),
	(6177,'WOF093400005-WOB00006','WOG00423','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-11.png',1,'2024-07-09 11:41:58'),
	(6178,'WOF093400005-WOB00006','WOG00423','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-11.html',1,'2024-07-09 11:41:58'),
	(6179,'WOF093400005-WOB00006','WOG00424','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-12.png',1,'2024-07-09 11:41:58'),
	(6180,'WOF093400005-WOB00006','WOG00424','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-12.html',1,'2024-07-09 11:41:58'),
	(6181,'WOF093400005-WOB00006','WOG00425','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-13.png',1,'2024-07-09 11:41:58'),
	(6182,'WOF093400005-WOB00006','WOG00425','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-13.html',1,'2024-07-09 11:41:58'),
	(6183,'WOF093400005-WOB00006','WOG00426','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-14.png',1,'2024-07-09 11:41:58'),
	(6184,'WOF093400005-WOB00006','WOG00426','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-14.html',1,'2024-07-09 11:41:58'),
	(6185,'WOF093400005-WOB00006','WOG00427','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-15.png',1,'2024-07-09 11:41:58'),
	(6186,'WOF093400005-WOB00006','WOG00427','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-15.html',1,'2024-07-09 11:41:58'),
	(6187,'WOF093400005-WOB00006','WOG00428','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-16.png',1,'2024-07-09 11:41:58'),
	(6188,'WOF093400005-WOB00006','WOG00428','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-16.html',1,'2024-07-09 11:41:58'),
	(6189,'WOF093400005-WOB00006','WOG00429','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-17.png',1,'2024-07-09 11:41:58'),
	(6190,'WOF093400005-WOB00006','WOG00429','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-17.html',1,'2024-07-09 11:41:58'),
	(6191,'WOF093400005-WOB00006','WOG00430','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-18.png',1,'2024-07-09 11:41:58'),
	(6192,'WOF093400005-WOB00006','WOG00430','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-18.html',1,'2024-07-09 11:41:58'),
	(6193,'WOF093400005-WOB00006','WOG00431','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-19.png',1,'2024-07-09 11:41:58'),
	(6194,'WOF093400005-WOB00006','WOG00431','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-19.html',1,'2024-07-09 11:41:58'),
	(6195,'WOF093400005-WOB00006','WOG00432','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-20.png',1,'2024-07-09 11:41:58'),
	(6196,'WOF093400005-WOB00006','WOG00432','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-20.html',1,'2024-07-09 11:41:58'),
	(6197,'WOF093400005-WOB00006','WOG00433','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-21.png',1,'2024-07-09 11:41:58'),
	(6198,'WOF093400005-WOB00006','WOG00433','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-21.html',1,'2024-07-09 11:41:58'),
	(6199,'WOF093400005-WOB00006','WOG00434','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-22.png',1,'2024-07-09 11:41:58'),
	(6200,'WOF093400005-WOB00006','WOG00434','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-22.html',1,'2024-07-09 11:41:58'),
	(6201,'WOF093400005-WOB00006','WOG00435','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-23.png',1,'2024-07-09 11:41:58'),
	(6202,'WOF093400005-WOB00006','WOG00435','min_pitch','wof093400005/WOF093400005-WOB00006/min_pitch/automatic/HD2-23.html',1,'2024-07-09 11:41:58'),
	(6203,'WOF093400005-WOB00006','WOG00422','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-10.png',1,'2024-07-09 11:41:58'),
	(6204,'WOF093400005-WOB00006','WOG00422','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-10.html',1,'2024-07-09 11:41:58'),
	(6205,'WOF093400005-WOB00006','WOG00423','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-11.png',1,'2024-07-09 11:41:58'),
	(6206,'WOF093400005-WOB00006','WOG00423','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-11.html',1,'2024-07-09 11:41:58'),
	(6207,'WOF093400005-WOB00006','WOG00424','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-12.png',1,'2024-07-09 11:41:58'),
	(6208,'WOF093400005-WOB00006','WOG00424','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-12.html',1,'2024-07-09 11:41:58'),
	(6209,'WOF093400005-WOB00006','WOG00425','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-13.png',1,'2024-07-09 11:41:58'),
	(6210,'WOF093400005-WOB00006','WOG00425','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-13.html',1,'2024-07-09 11:41:58'),
	(6211,'WOF093400005-WOB00006','WOG00426','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-14.png',1,'2024-07-09 11:41:58'),
	(6212,'WOF093400005-WOB00006','WOG00426','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-14.html',1,'2024-07-09 11:41:58'),
	(6213,'WOF093400005-WOB00006','WOG00427','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-15.png',1,'2024-07-09 11:41:58'),
	(6214,'WOF093400005-WOB00006','WOG00427','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-15.html',1,'2024-07-09 11:41:58'),
	(6215,'WOF093400005-WOB00006','WOG00428','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-16.png',1,'2024-07-09 11:41:58'),
	(6216,'WOF093400005-WOB00006','WOG00428','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-16.html',1,'2024-07-09 11:41:58'),
	(6217,'WOF093400005-WOB00006','WOG00429','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-17.png',1,'2024-07-09 11:41:58'),
	(6218,'WOF093400005-WOB00006','WOG00429','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-17.html',1,'2024-07-09 11:41:58'),
	(6219,'WOF093400005-WOB00006','WOG00430','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-18.png',1,'2024-07-09 11:41:58'),
	(6220,'WOF093400005-WOB00006','WOG00430','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-18.html',1,'2024-07-09 11:41:58'),
	(6221,'WOF093400005-WOB00006','WOG00431','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-19.png',1,'2024-07-09 11:41:58'),
	(6222,'WOF093400005-WOB00006','WOG00431','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-19.html',1,'2024-07-09 11:41:58'),
	(6223,'WOF093400005-WOB00006','WOG00432','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-20.png',1,'2024-07-09 11:41:58'),
	(6224,'WOF093400005-WOB00006','WOG00432','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-20.html',1,'2024-07-09 11:41:58'),
	(6225,'WOF093400005-WOB00006','WOG00433','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-21.png',1,'2024-07-09 11:41:58'),
	(6226,'WOF093400005-WOB00006','WOG00433','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-21.html',1,'2024-07-09 11:41:58'),
	(6227,'WOF093400005-WOB00006','WOG00434','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-22.png',1,'2024-07-09 11:41:58'),
	(6228,'WOF093400005-WOB00006','WOG00434','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-22.html',1,'2024-07-09 11:41:58'),
	(6229,'WOF093400005-WOB00006','WOG00435','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-23.png',1,'2024-07-09 11:41:58'),
	(6230,'WOF093400005-WOB00006','WOG00435','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-23.html',1,'2024-07-09 11:41:58'),
	(6231,'WOF093400005-WOB00006','WOG00422','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-10_3D.html',1,'2024-07-09 11:41:58'),
	(6232,'WOF093400005-WOB00006','WOG00423','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-11_3D.html',1,'2024-07-09 11:41:58'),
	(6233,'WOF093400005-WOB00006','WOG00424','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-12_3D.html',1,'2024-07-09 11:41:58'),
	(6234,'WOF093400005-WOB00006','WOG00425','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-13_3D.html',1,'2024-07-09 11:41:58'),
	(6235,'WOF093400005-WOB00006','WOG00426','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-14_3D.html',1,'2024-07-09 11:41:58'),
	(6236,'WOF093400005-WOB00006','WOG00427','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-15_3D.html',1,'2024-07-09 11:41:58'),
	(6237,'WOF093400005-WOB00006','WOG00428','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-16_3D.html',1,'2024-07-09 11:41:58'),
	(6238,'WOF093400005-WOB00006','WOG00429','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-17_3D.html',1,'2024-07-09 11:41:58'),
	(6239,'WOF093400005-WOB00006','WOG00430','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-18_3D.html',1,'2024-07-09 11:41:58'),
	(6240,'WOF093400005-WOB00006','WOG00431','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-19_3D.html',1,'2024-07-09 11:41:58'),
	(6241,'WOF093400005-WOB00006','WOG00432','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-20_3D.html',1,'2024-07-09 11:41:58'),
	(6242,'WOF093400005-WOB00006','WOG00433','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-21_3D.html',1,'2024-07-09 11:41:58'),
	(6243,'WOF093400005-WOB00006','WOG00434','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-22_3D.html',1,'2024-07-09 11:41:58'),
	(6244,'WOF093400005-WOB00006','WOG00435','pitch_power','wof093400005/WOF093400005-WOB00006/pitch_power/automatic/HD2-23_3D.html',1,'2024-07-09 11:41:58'),
	(6245,'WOF093400005-WOB00006','WOG00422','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-10.png',1,'2024-07-09 11:41:58'),
	(6246,'WOF093400005-WOB00006','WOG00422','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-10.html',1,'2024-07-09 11:41:58'),
	(6247,'WOF093400005-WOB00006','WOG00423','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-11.png',1,'2024-07-09 11:41:58'),
	(6248,'WOF093400005-WOB00006','WOG00423','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-11.html',1,'2024-07-09 11:41:58'),
	(6249,'WOF093400005-WOB00006','WOG00424','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-12.png',1,'2024-07-09 11:41:58'),
	(6250,'WOF093400005-WOB00006','WOG00424','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-12.html',1,'2024-07-09 11:41:58'),
	(6251,'WOF093400005-WOB00006','WOG00425','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-13.png',1,'2024-07-09 11:41:58'),
	(6252,'WOF093400005-WOB00006','WOG00425','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-13.html',1,'2024-07-09 11:41:58'),
	(6253,'WOF093400005-WOB00006','WOG00426','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-14.png',1,'2024-07-09 11:41:58'),
	(6254,'WOF093400005-WOB00006','WOG00426','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-14.html',1,'2024-07-09 11:41:58'),
	(6255,'WOF093400005-WOB00006','WOG00427','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-15.png',1,'2024-07-09 11:41:58'),
	(6256,'WOF093400005-WOB00006','WOG00427','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-15.html',1,'2024-07-09 11:41:58'),
	(6257,'WOF093400005-WOB00006','WOG00428','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-16.png',1,'2024-07-09 11:41:58'),
	(6258,'WOF093400005-WOB00006','WOG00428','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-16.html',1,'2024-07-09 11:41:58'),
	(6259,'WOF093400005-WOB00006','WOG00429','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-17.png',1,'2024-07-09 11:41:58'),
	(6260,'WOF093400005-WOB00006','WOG00429','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-17.html',1,'2024-07-09 11:41:58'),
	(6261,'WOF093400005-WOB00006','WOG00430','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-18.png',1,'2024-07-09 11:41:58'),
	(6262,'WOF093400005-WOB00006','WOG00430','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-18.html',1,'2024-07-09 11:41:58'),
	(6263,'WOF093400005-WOB00006','WOG00431','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-19.png',1,'2024-07-09 11:41:58'),
	(6264,'WOF093400005-WOB00006','WOG00431','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-19.html',1,'2024-07-09 11:41:58'),
	(6265,'WOF093400005-WOB00006','WOG00432','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-20.png',1,'2024-07-09 11:41:58'),
	(6266,'WOF093400005-WOB00006','WOG00432','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-20.html',1,'2024-07-09 11:41:58'),
	(6267,'WOF093400005-WOB00006','WOG00433','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-21.png',1,'2024-07-09 11:41:58'),
	(6268,'WOF093400005-WOB00006','WOG00433','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-21.html',1,'2024-07-09 11:41:58'),
	(6269,'WOF093400005-WOB00006','WOG00434','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-22.png',1,'2024-07-09 11:41:58'),
	(6270,'WOF093400005-WOB00006','WOG00434','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-22.html',1,'2024-07-09 11:41:58'),
	(6271,'WOF093400005-WOB00006','WOG00435','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-23.png',1,'2024-07-09 11:41:58'),
	(6272,'WOF093400005-WOB00006','WOG00435','pitch_generator_speed','wof093400005/WOF093400005-WOB00006/pitch_generator_speed/automatic/HD2-23.html',1,'2024-07-09 11:41:58'),
	(6273,'WOF093400005-WOB00006','WOG00422','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/main_bearing_temperature/HD2-10.html',1,'2024-07-09 11:41:58'),
	(6274,'WOF093400005-WOB00006','WOG00423','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/main_bearing_temperature/HD2-11.html',1,'2024-07-09 11:41:58'),
	(6275,'WOF093400005-WOB00006','WOG00424','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/main_bearing_temperature/HD2-12.html',1,'2024-07-09 11:41:58'),
	(6276,'WOF093400005-WOB00006','WOG00425','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/main_bearing_temperature/HD2-13.html',1,'2024-07-09 11:41:58'),
	(6277,'WOF093400005-WOB00006','WOG00426','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/main_bearing_temperature/HD2-14.html',1,'2024-07-09 11:41:58'),
	(6278,'WOF093400005-WOB00006','WOG00427','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/main_bearing_temperature/HD2-15.html',1,'2024-07-09 11:41:58'),
	(6279,'WOF093400005-WOB00006','WOG00428','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/main_bearing_temperature/HD2-16.html',1,'2024-07-09 11:41:58'),
	(6280,'WOF093400005-WOB00006','WOG00429','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/main_bearing_temperature/HD2-17.html',1,'2024-07-09 11:41:58'),
	(6281,'WOF093400005-WOB00006','WOG00430','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/main_bearing_temperature/HD2-18.html',1,'2024-07-09 11:41:58'),
	(6282,'WOF093400005-WOB00006','WOG00431','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/main_bearing_temperature/HD2-19.html',1,'2024-07-09 11:41:58'),
	(6283,'WOF093400005-WOB00006','WOG00432','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/main_bearing_temperature/HD2-20.html',1,'2024-07-09 11:41:58'),
	(6284,'WOF093400005-WOB00006','WOG00433','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/main_bearing_temperature/HD2-21.html',1,'2024-07-09 11:41:58'),
	(6285,'WOF093400005-WOB00006','WOG00434','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/main_bearing_temperature/HD2-22.html',1,'2024-07-09 11:41:58'),
	(6286,'WOF093400005-WOB00006','WOG00435','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/main_bearing_temperature/HD2-23.html',1,'2024-07-09 11:41:58'),
	(6287,'WOF093400005-WOB00006','WOG00422','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-10.html',1,'2024-07-09 11:41:58'),
	(6288,'WOF093400005-WOB00006','WOG00423','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-11.html',1,'2024-07-09 11:41:58'),
	(6289,'WOF093400005-WOB00006','WOG00424','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-12.html',1,'2024-07-09 11:41:58'),
	(6290,'WOF093400005-WOB00006','WOG00425','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-13.html',1,'2024-07-09 11:41:58'),
	(6291,'WOF093400005-WOB00006','WOG00426','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-14.html',1,'2024-07-09 11:41:58'),
	(6292,'WOF093400005-WOB00006','WOG00427','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-15.html',1,'2024-07-09 11:41:58'),
	(6293,'WOF093400005-WOB00006','WOG00428','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-16.html',1,'2024-07-09 11:41:58'),
	(6294,'WOF093400005-WOB00006','WOG00429','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-17.html',1,'2024-07-09 11:41:58'),
	(6295,'WOF093400005-WOB00006','WOG00430','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-18.html',1,'2024-07-09 11:41:58'),
	(6296,'WOF093400005-WOB00006','WOG00431','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-19.html',1,'2024-07-09 11:41:58'),
	(6297,'WOF093400005-WOB00006','WOG00432','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-20.html',1,'2024-07-09 11:41:58'),
	(6298,'WOF093400005-WOB00006','WOG00433','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-21.html',1,'2024-07-09 11:41:58'),
	(6299,'WOF093400005-WOB00006','WOG00434','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-22.html',1,'2024-07-09 11:41:58'),
	(6300,'WOF093400005-WOB00006','WOG00435','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-23.html',1,'2024-07-09 11:41:58'),
	(6301,'WOF093400005-WOB00006','WOG00422','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-10.html',1,'2024-07-09 11:41:58'),
	(6302,'WOF093400005-WOB00006','WOG00423','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-11.html',1,'2024-07-09 11:41:58'),
	(6303,'WOF093400005-WOB00006','WOG00424','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-12.html',1,'2024-07-09 11:41:58'),
	(6304,'WOF093400005-WOB00006','WOG00425','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-13.html',1,'2024-07-09 11:41:58'),
	(6305,'WOF093400005-WOB00006','WOG00426','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-14.html',1,'2024-07-09 11:41:58'),
	(6306,'WOF093400005-WOB00006','WOG00427','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-15.html',1,'2024-07-09 11:41:58'),
	(6307,'WOF093400005-WOB00006','WOG00428','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-16.html',1,'2024-07-09 11:41:58'),
	(6308,'WOF093400005-WOB00006','WOG00429','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-17.html',1,'2024-07-09 11:41:58'),
	(6309,'WOF093400005-WOB00006','WOG00430','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-18.html',1,'2024-07-09 11:41:58'),
	(6310,'WOF093400005-WOB00006','WOG00431','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-19.html',1,'2024-07-09 11:41:58'),
	(6311,'WOF093400005-WOB00006','WOG00432','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-20.html',1,'2024-07-09 11:41:58'),
	(6312,'WOF093400005-WOB00006','WOG00433','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-21.html',1,'2024-07-09 11:41:58'),
	(6313,'WOF093400005-WOB00006','WOG00434','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-22.html',1,'2024-07-09 11:41:58'),
	(6314,'WOF093400005-WOB00006','WOG00435','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-23.html',1,'2024-07-09 11:41:58'),
	(6315,'WOF093400005-WOB00006','WOG00422','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-10.html',1,'2024-07-09 11:41:58'),
	(6316,'WOF093400005-WOB00006','WOG00423','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-11.html',1,'2024-07-09 11:41:58'),
	(6317,'WOF093400005-WOB00006','WOG00424','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-12.html',1,'2024-07-09 11:41:58'),
	(6318,'WOF093400005-WOB00006','WOG00425','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-13.html',1,'2024-07-09 11:41:58'),
	(6319,'WOF093400005-WOB00006','WOG00426','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-14.html',1,'2024-07-09 11:41:58'),
	(6320,'WOF093400005-WOB00006','WOG00427','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-15.html',1,'2024-07-09 11:41:58'),
	(6321,'WOF093400005-WOB00006','WOG00428','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-16.html',1,'2024-07-09 11:41:58'),
	(6322,'WOF093400005-WOB00006','WOG00429','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-17.html',1,'2024-07-09 11:41:58'),
	(6323,'WOF093400005-WOB00006','WOG00430','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-18.html',1,'2024-07-09 11:41:58'),
	(6324,'WOF093400005-WOB00006','WOG00431','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-19.html',1,'2024-07-09 11:41:58'),
	(6325,'WOF093400005-WOB00006','WOG00432','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-20.html',1,'2024-07-09 11:41:58'),
	(6326,'WOF093400005-WOB00006','WOG00433','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-21.html',1,'2024-07-09 11:41:58'),
	(6327,'WOF093400005-WOB00006','WOG00434','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-22.html',1,'2024-07-09 11:41:58'),
	(6328,'WOF093400005-WOB00006','WOG00435','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-23.html',1,'2024-07-09 11:41:58'),
	(6329,'WOF093400005-WOB00006','WOG00422','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-10.html',1,'2024-07-09 11:41:58'),
	(6330,'WOF093400005-WOB00006','WOG00423','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-11.html',1,'2024-07-09 11:41:58'),
	(6331,'WOF093400005-WOB00006','WOG00424','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-12.html',1,'2024-07-09 11:41:58'),
	(6332,'WOF093400005-WOB00006','WOG00425','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-13.html',1,'2024-07-09 11:41:58'),
	(6333,'WOF093400005-WOB00006','WOG00426','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-14.html',1,'2024-07-09 11:41:58'),
	(6334,'WOF093400005-WOB00006','WOG00427','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-15.html',1,'2024-07-09 11:41:58'),
	(6335,'WOF093400005-WOB00006','WOG00428','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-16.html',1,'2024-07-09 11:41:58'),
	(6336,'WOF093400005-WOB00006','WOG00429','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-17.html',1,'2024-07-09 11:41:58'),
	(6337,'WOF093400005-WOB00006','WOG00430','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-18.html',1,'2024-07-09 11:41:58'),
	(6338,'WOF093400005-WOB00006','WOG00431','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-19.html',1,'2024-07-09 11:41:58'),
	(6339,'WOF093400005-WOB00006','WOG00432','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-20.html',1,'2024-07-09 11:41:58'),
	(6340,'WOF093400005-WOB00006','WOG00433','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-21.html',1,'2024-07-09 11:41:58'),
	(6341,'WOF093400005-WOB00006','WOG00434','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-22.html',1,'2024-07-09 11:41:58'),
	(6342,'WOF093400005-WOB00006','WOG00435','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-23.html',1,'2024-07-09 11:41:58'),
	(6343,'WOF093400005-WOB00006','WOG00422','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/GeneratorTemperature/HD2-10.html',1,'2024-07-09 11:41:58'),
	(6344,'WOF093400005-WOB00006','WOG00423','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/GeneratorTemperature/HD2-11.html',1,'2024-07-09 11:41:58'),
	(6345,'WOF093400005-WOB00006','WOG00424','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/GeneratorTemperature/HD2-12.html',1,'2024-07-09 11:41:58'),
	(6346,'WOF093400005-WOB00006','WOG00425','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/GeneratorTemperature/HD2-13.html',1,'2024-07-09 11:41:58'),
	(6347,'WOF093400005-WOB00006','WOG00426','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/GeneratorTemperature/HD2-14.html',1,'2024-07-09 11:41:58'),
	(6348,'WOF093400005-WOB00006','WOG00427','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/GeneratorTemperature/HD2-15.html',1,'2024-07-09 11:41:58'),
	(6349,'WOF093400005-WOB00006','WOG00428','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/GeneratorTemperature/HD2-16.html',1,'2024-07-09 11:41:58'),
	(6350,'WOF093400005-WOB00006','WOG00429','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/GeneratorTemperature/HD2-17.html',1,'2024-07-09 11:41:58'),
	(6351,'WOF093400005-WOB00006','WOG00430','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/GeneratorTemperature/HD2-18.html',1,'2024-07-09 11:41:58'),
	(6352,'WOF093400005-WOB00006','WOG00431','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/GeneratorTemperature/HD2-19.html',1,'2024-07-09 11:41:58'),
	(6353,'WOF093400005-WOB00006','WOG00432','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/GeneratorTemperature/HD2-20.html',1,'2024-07-09 11:41:58'),
	(6354,'WOF093400005-WOB00006','WOG00433','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/GeneratorTemperature/HD2-21.html',1,'2024-07-09 11:41:58'),
	(6355,'WOF093400005-WOB00006','WOG00434','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/GeneratorTemperature/HD2-22.html',1,'2024-07-09 11:41:58'),
	(6356,'WOF093400005-WOB00006','WOG00435','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/GeneratorTemperature/HD2-23.html',1,'2024-07-09 11:41:58'),
	(6357,'WOF093400005-WOB00006','WOG00422','pitch_tsr_cp','wof093400005/WOF093400005-WOB00006/pitch_tsr_cp/automatic/HD2-10.html',1,'2024-07-09 11:41:58'),
	(6358,'WOF093400005-WOB00006','WOG00423','pitch_tsr_cp','wof093400005/WOF093400005-WOB00006/pitch_tsr_cp/automatic/HD2-11.html',1,'2024-07-09 11:41:58'),
	(6359,'WOF093400005-WOB00006','WOG00424','pitch_tsr_cp','wof093400005/WOF093400005-WOB00006/pitch_tsr_cp/automatic/HD2-12.html',1,'2024-07-09 11:41:58'),
	(6360,'WOF093400005-WOB00006','WOG00425','pitch_tsr_cp','wof093400005/WOF093400005-WOB00006/pitch_tsr_cp/automatic/HD2-13.html',1,'2024-07-09 11:41:58'),
	(6361,'WOF093400005-WOB00006','WOG00426','pitch_tsr_cp','wof093400005/WOF093400005-WOB00006/pitch_tsr_cp/automatic/HD2-14.html',1,'2024-07-09 11:41:58'),
	(6362,'WOF093400005-WOB00006','WOG00427','pitch_tsr_cp','wof093400005/WOF093400005-WOB00006/pitch_tsr_cp/automatic/HD2-15.html',1,'2024-07-09 11:41:58'),
	(6363,'WOF093400005-WOB00006','WOG00428','pitch_tsr_cp','wof093400005/WOF093400005-WOB00006/pitch_tsr_cp/automatic/HD2-16.html',1,'2024-07-09 11:41:58'),
	(6364,'WOF093400005-WOB00006','WOG00429','pitch_tsr_cp','wof093400005/WOF093400005-WOB00006/pitch_tsr_cp/automatic/HD2-17.html',1,'2024-07-09 11:41:58'),
	(6365,'WOF093400005-WOB00006','WOG00430','pitch_tsr_cp','wof093400005/WOF093400005-WOB00006/pitch_tsr_cp/automatic/HD2-18.html',1,'2024-07-09 11:41:58'),
	(6366,'WOF093400005-WOB00006','WOG00431','pitch_tsr_cp','wof093400005/WOF093400005-WOB00006/pitch_tsr_cp/automatic/HD2-19.html',1,'2024-07-09 11:41:58'),
	(6367,'WOF093400005-WOB00006','WOG00432','pitch_tsr_cp','wof093400005/WOF093400005-WOB00006/pitch_tsr_cp/automatic/HD2-20.html',1,'2024-07-09 11:41:58'),
	(6368,'WOF093400005-WOB00006','WOG00433','pitch_tsr_cp','wof093400005/WOF093400005-WOB00006/pitch_tsr_cp/automatic/HD2-21.html',1,'2024-07-09 11:41:58'),
	(6369,'WOF093400005-WOB00006','WOG00434','pitch_tsr_cp','wof093400005/WOF093400005-WOB00006/pitch_tsr_cp/automatic/HD2-22.html',1,'2024-07-09 11:41:58'),
	(6370,'WOF093400005-WOB00006','WOG00435','pitch_tsr_cp','wof093400005/WOF093400005-WOB00006/pitch_tsr_cp/automatic/HD2-23.html',1,'2024-07-09 11:41:58'),
	(6371,'WOF091200006-WOB00008','WOG00436','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2301.png',0,'2024-07-10 14:16:02'),
	(6372,'WOF091200006-WOB00008','WOG00436','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2301.html',0,'2024-07-10 14:16:02'),
	(6373,'WOF091200006-WOB00008','WOG00437','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2302.png',0,'2024-07-10 14:16:02'),
	(6374,'WOF091200006-WOB00008','WOG00437','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2302.html',0,'2024-07-10 14:16:02'),
	(6375,'WOF091200006-WOB00008','WOG00438','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2303.png',0,'2024-07-10 14:16:02'),
	(6376,'WOF091200006-WOB00008','WOG00438','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2303.html',0,'2024-07-10 14:16:02'),
	(6377,'WOF091200006-WOB00008','WOG00439','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2304.png',0,'2024-07-10 14:16:02'),
	(6378,'WOF091200006-WOB00008','WOG00439','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2304.html',0,'2024-07-10 14:16:02'),
	(6379,'WOF091200006-WOB00008','WOG00440','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2305.png',0,'2024-07-10 14:16:02'),
	(6380,'WOF091200006-WOB00008','WOG00440','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2305.html',0,'2024-07-10 14:16:02'),
	(6381,'WOF091200006-WOB00008','WOG00441','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2306.png',0,'2024-07-10 14:16:02'),
	(6382,'WOF091200006-WOB00008','WOG00441','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2306.html',0,'2024-07-10 14:16:02'),
	(6383,'WOF091200006-WOB00008','WOG00442','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2307.png',0,'2024-07-10 14:16:02'),
	(6384,'WOF091200006-WOB00008','WOG00442','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2307.html',0,'2024-07-10 14:16:02'),
	(6385,'WOF091200006-WOB00008','WOG00443','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2308.png',0,'2024-07-10 14:16:02'),
	(6386,'WOF091200006-WOB00008','WOG00443','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2308.html',0,'2024-07-10 14:16:02'),
	(6387,'WOF091200006-WOB00008','WOG00444','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2309.png',0,'2024-07-10 14:16:02'),
	(6388,'WOF091200006-WOB00008','WOG00444','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2309.html',0,'2024-07-10 14:16:02'),
	(6389,'WOF091200006-WOB00008','WOG00445','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2310.png',0,'2024-07-10 14:16:02'),
	(6390,'WOF091200006-WOB00008','WOG00445','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2310.html',0,'2024-07-10 14:16:02'),
	(6391,'WOF091200006-WOB00008','WOG00446','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2311.png',0,'2024-07-10 14:16:02'),
	(6392,'WOF091200006-WOB00008','WOG00446','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2311.html',0,'2024-07-10 14:16:02'),
	(6393,'WOF091200006-WOB00008','WOG00447','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2312.png',0,'2024-07-10 14:16:02'),
	(6394,'WOF091200006-WOB00008','WOG00447','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2312.html',0,'2024-07-10 14:16:02'),
	(6395,'WOF091200006-WOB00008','WOG00448','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2313.png',0,'2024-07-10 14:16:02'),
	(6396,'WOF091200006-WOB00008','WOG00448','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2313.html',0,'2024-07-10 14:16:02'),
	(6397,'WOF091200006-WOB00008','WOG00449','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2314.png',0,'2024-07-10 14:16:02'),
	(6398,'WOF091200006-WOB00008','WOG00449','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2314.html',0,'2024-07-10 14:16:02'),
	(6399,'WOF091200006-WOB00008','WOG00450','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2315.png',0,'2024-07-10 14:16:02'),
	(6400,'WOF091200006-WOB00008','WOG00450','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2315.html',0,'2024-07-10 14:16:02'),
	(6401,'WOF091200006-WOB00008','WOG00451','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2316.png',0,'2024-07-10 14:16:02'),
	(6402,'WOF091200006-WOB00008','WOG00451','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2316.html',0,'2024-07-10 14:16:02'),
	(6403,'WOF091200006-WOB00008','WOG00452','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2317.png',0,'2024-07-10 14:16:02'),
	(6404,'WOF091200006-WOB00008','WOG00452','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2317.html',0,'2024-07-10 14:16:02'),
	(6405,'WOF091200006-WOB00008','WOG00453','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2318.png',0,'2024-07-10 14:16:02'),
	(6406,'WOF091200006-WOB00008','WOG00453','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2318.html',0,'2024-07-10 14:16:02'),
	(6407,'WOF091200006-WOB00008','WOG00454','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2319.png',0,'2024-07-10 14:16:02'),
	(6408,'WOF091200006-WOB00008','WOG00454','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2319.html',0,'2024-07-10 14:16:02'),
	(6409,'WOF091200006-WOB00008','WOG00455','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2320.png',0,'2024-07-10 14:16:02'),
	(6410,'WOF091200006-WOB00008','WOG00455','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2320.html',0,'2024-07-10 14:16:02'),
	(6411,'WOF091200006-WOB00008','WOG00456','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2321.png',0,'2024-07-10 14:16:02'),
	(6412,'WOF091200006-WOB00008','WOG00456','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2321.html',0,'2024-07-10 14:16:02'),
	(6413,'WOF091200006-WOB00008','WOG00457','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2322.png',0,'2024-07-10 14:16:02'),
	(6414,'WOF091200006-WOB00008','WOG00457','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2322.html',0,'2024-07-10 14:16:02'),
	(6415,'WOF091200006-WOB00008','WOG00458','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2323.png',0,'2024-07-10 14:16:02'),
	(6416,'WOF091200006-WOB00008','WOG00458','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2323.html',0,'2024-07-10 14:16:02'),
	(6417,'WOF091200006-WOB00008','WOG00459','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2324.png',0,'2024-07-10 14:16:02'),
	(6418,'WOF091200006-WOB00008','WOG00459','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2324.html',0,'2024-07-10 14:16:02'),
	(6419,'WOF091200006-WOB00008','WOG00460','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2325.png',0,'2024-07-10 14:16:02'),
	(6420,'WOF091200006-WOB00008','WOG00460','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2325.html',0,'2024-07-10 14:16:02'),
	(6421,'WOF091200006-WOB00008','WOG00461','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2326.png',0,'2024-07-10 14:16:02'),
	(6422,'WOF091200006-WOB00008','WOG00461','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2326.html',0,'2024-07-10 14:16:02'),
	(6423,'WOF091200006-WOB00008','WOG00462','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2327.png',0,'2024-07-10 14:16:02'),
	(6424,'WOF091200006-WOB00008','WOG00462','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2327.html',0,'2024-07-10 14:16:02'),
	(6425,'WOF091200006-WOB00008','WOG00463','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2328.png',0,'2024-07-10 14:16:02'),
	(6426,'WOF091200006-WOB00008','WOG00463','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2328.html',0,'2024-07-10 14:16:02'),
	(6427,'WOF091200006-WOB00008','WOG00464','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2329.png',0,'2024-07-10 14:16:02'),
	(6428,'WOF091200006-WOB00008','WOG00464','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2329.html',0,'2024-07-10 14:16:02'),
	(6429,'WOF091200006-WOB00008','WOG00465','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2330.png',0,'2024-07-10 14:16:02'),
	(6430,'WOF091200006-WOB00008','WOG00465','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2330.html',0,'2024-07-10 14:16:02'),
	(6431,'WOF091200006-WOB00008','WOG00466','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2331.png',0,'2024-07-10 14:16:02'),
	(6432,'WOF091200006-WOB00008','WOG00466','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2331.html',0,'2024-07-10 14:16:02'),
	(6433,'WOF091200006-WOB00008','WOG00467','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2332.png',0,'2024-07-10 14:16:02'),
	(6434,'WOF091200006-WOB00008','WOG00467','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2332.html',0,'2024-07-10 14:16:02'),
	(6435,'WOF091200006-WOB00008','WOG00468','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2333.png',0,'2024-07-10 14:16:02'),
	(6436,'WOF091200006-WOB00008','WOG00468','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2333.html',0,'2024-07-10 14:16:02'),
	(6437,'WOF091200006-WOB00008','WOG00436','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2301.png',0,'2024-07-10 14:16:02'),
	(6438,'WOF091200006-WOB00008','WOG00436','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2301.html',0,'2024-07-10 14:16:02'),
	(6439,'WOF091200006-WOB00008','WOG00437','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2302.png',0,'2024-07-10 14:16:02'),
	(6440,'WOF091200006-WOB00008','WOG00437','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2302.html',0,'2024-07-10 14:16:02'),
	(6441,'WOF091200006-WOB00008','WOG00438','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2303.png',0,'2024-07-10 14:16:02'),
	(6442,'WOF091200006-WOB00008','WOG00438','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2303.html',0,'2024-07-10 14:16:02'),
	(6443,'WOF091200006-WOB00008','WOG00439','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2304.png',0,'2024-07-10 14:16:02'),
	(6444,'WOF091200006-WOB00008','WOG00439','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2304.html',0,'2024-07-10 14:16:02'),
	(6445,'WOF091200006-WOB00008','WOG00440','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2305.png',0,'2024-07-10 14:16:02'),
	(6446,'WOF091200006-WOB00008','WOG00440','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2305.html',0,'2024-07-10 14:16:02'),
	(6447,'WOF091200006-WOB00008','WOG00441','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2306.png',0,'2024-07-10 14:16:02'),
	(6448,'WOF091200006-WOB00008','WOG00441','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2306.html',0,'2024-07-10 14:16:02'),
	(6449,'WOF091200006-WOB00008','WOG00442','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2307.png',0,'2024-07-10 14:16:02'),
	(6450,'WOF091200006-WOB00008','WOG00442','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2307.html',0,'2024-07-10 14:16:02'),
	(6451,'WOF091200006-WOB00008','WOG00443','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2308.png',0,'2024-07-10 14:16:02'),
	(6452,'WOF091200006-WOB00008','WOG00443','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2308.html',0,'2024-07-10 14:16:02'),
	(6453,'WOF091200006-WOB00008','WOG00444','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2309.png',0,'2024-07-10 14:16:02'),
	(6454,'WOF091200006-WOB00008','WOG00444','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2309.html',0,'2024-07-10 14:16:02'),
	(6455,'WOF091200006-WOB00008','WOG00445','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2310.png',0,'2024-07-10 14:16:02'),
	(6456,'WOF091200006-WOB00008','WOG00445','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2310.html',0,'2024-07-10 14:16:02'),
	(6457,'WOF091200006-WOB00008','WOG00446','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2311.png',0,'2024-07-10 14:16:02'),
	(6458,'WOF091200006-WOB00008','WOG00446','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2311.html',0,'2024-07-10 14:16:02'),
	(6459,'WOF091200006-WOB00008','WOG00447','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2312.png',0,'2024-07-10 14:16:02'),
	(6460,'WOF091200006-WOB00008','WOG00447','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2312.html',0,'2024-07-10 14:16:02'),
	(6461,'WOF091200006-WOB00008','WOG00448','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2313.png',0,'2024-07-10 14:16:02'),
	(6462,'WOF091200006-WOB00008','WOG00448','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2313.html',0,'2024-07-10 14:16:02'),
	(6463,'WOF091200006-WOB00008','WOG00449','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2314.png',0,'2024-07-10 14:16:02'),
	(6464,'WOF091200006-WOB00008','WOG00449','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2314.html',0,'2024-07-10 14:16:02'),
	(6465,'WOF091200006-WOB00008','WOG00450','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2315.png',0,'2024-07-10 14:16:02'),
	(6466,'WOF091200006-WOB00008','WOG00450','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2315.html',0,'2024-07-10 14:16:02'),
	(6467,'WOF091200006-WOB00008','WOG00451','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2316.png',0,'2024-07-10 14:16:02'),
	(6468,'WOF091200006-WOB00008','WOG00451','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2316.html',0,'2024-07-10 14:16:02'),
	(6469,'WOF091200006-WOB00008','WOG00452','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2317.png',0,'2024-07-10 14:16:02'),
	(6470,'WOF091200006-WOB00008','WOG00452','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2317.html',0,'2024-07-10 14:16:02'),
	(6471,'WOF091200006-WOB00008','WOG00453','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2318.png',0,'2024-07-10 14:16:02'),
	(6472,'WOF091200006-WOB00008','WOG00453','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2318.html',0,'2024-07-10 14:16:02'),
	(6473,'WOF091200006-WOB00008','WOG00454','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2319.png',0,'2024-07-10 14:16:02'),
	(6474,'WOF091200006-WOB00008','WOG00454','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2319.html',0,'2024-07-10 14:16:02'),
	(6475,'WOF091200006-WOB00008','WOG00455','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2320.png',0,'2024-07-10 14:16:02'),
	(6476,'WOF091200006-WOB00008','WOG00455','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2320.html',0,'2024-07-10 14:16:02'),
	(6477,'WOF091200006-WOB00008','WOG00456','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2321.png',0,'2024-07-10 14:16:02'),
	(6478,'WOF091200006-WOB00008','WOG00456','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2321.html',0,'2024-07-10 14:16:02'),
	(6479,'WOF091200006-WOB00008','WOG00457','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2322.png',0,'2024-07-10 14:16:02'),
	(6480,'WOF091200006-WOB00008','WOG00457','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2322.html',0,'2024-07-10 14:16:02'),
	(6481,'WOF091200006-WOB00008','WOG00458','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2323.png',0,'2024-07-10 14:16:02'),
	(6482,'WOF091200006-WOB00008','WOG00458','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2323.html',0,'2024-07-10 14:16:02'),
	(6483,'WOF091200006-WOB00008','WOG00459','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2324.png',0,'2024-07-10 14:16:02'),
	(6484,'WOF091200006-WOB00008','WOG00459','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2324.html',0,'2024-07-10 14:16:02'),
	(6485,'WOF091200006-WOB00008','WOG00460','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2325.png',0,'2024-07-10 14:16:02'),
	(6486,'WOF091200006-WOB00008','WOG00460','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2325.html',0,'2024-07-10 14:16:02'),
	(6487,'WOF091200006-WOB00008','WOG00461','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2326.png',0,'2024-07-10 14:16:02'),
	(6488,'WOF091200006-WOB00008','WOG00461','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2326.html',0,'2024-07-10 14:16:02'),
	(6489,'WOF091200006-WOB00008','WOG00462','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2327.png',0,'2024-07-10 14:16:02'),
	(6490,'WOF091200006-WOB00008','WOG00462','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2327.html',0,'2024-07-10 14:16:02'),
	(6491,'WOF091200006-WOB00008','WOG00463','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2328.png',0,'2024-07-10 14:16:02'),
	(6492,'WOF091200006-WOB00008','WOG00463','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2328.html',0,'2024-07-10 14:16:02'),
	(6493,'WOF091200006-WOB00008','WOG00464','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2329.png',0,'2024-07-10 14:16:02'),
	(6494,'WOF091200006-WOB00008','WOG00464','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2329.html',0,'2024-07-10 14:16:02'),
	(6495,'WOF091200006-WOB00008','WOG00465','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2330.png',0,'2024-07-10 14:16:02'),
	(6496,'WOF091200006-WOB00008','WOG00465','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2330.html',0,'2024-07-10 14:16:02'),
	(6497,'WOF091200006-WOB00008','WOG00466','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2331.png',0,'2024-07-10 14:16:02'),
	(6498,'WOF091200006-WOB00008','WOG00466','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2331.html',0,'2024-07-10 14:16:02'),
	(6499,'WOF091200006-WOB00008','WOG00467','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2332.png',0,'2024-07-10 14:16:02'),
	(6500,'WOF091200006-WOB00008','WOG00467','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2332.html',0,'2024-07-10 14:16:02'),
	(6501,'WOF091200006-WOB00008','WOG00468','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2333.png',0,'2024-07-10 14:16:02'),
	(6502,'WOF091200006-WOB00008','WOG00468','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2333.html',0,'2024-07-10 14:16:02'),
	(6503,'WOF091200006-WOB00008','WOG00436','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2301.png',0,'2024-07-10 14:16:02'),
	(6504,'WOF091200006-WOB00008','WOG00436','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2301.html',0,'2024-07-10 14:16:02'),
	(6505,'WOF091200006-WOB00008','WOG00437','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2302.png',0,'2024-07-10 14:16:02'),
	(6506,'WOF091200006-WOB00008','WOG00437','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2302.html',0,'2024-07-10 14:16:02'),
	(6507,'WOF091200006-WOB00008','WOG00438','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2303.png',0,'2024-07-10 14:16:02'),
	(6508,'WOF091200006-WOB00008','WOG00438','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2303.html',0,'2024-07-10 14:16:02'),
	(6509,'WOF091200006-WOB00008','WOG00439','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2304.png',0,'2024-07-10 14:16:02'),
	(6510,'WOF091200006-WOB00008','WOG00439','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2304.html',0,'2024-07-10 14:16:02'),
	(6511,'WOF091200006-WOB00008','WOG00440','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2305.png',0,'2024-07-10 14:16:02'),
	(6512,'WOF091200006-WOB00008','WOG00440','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2305.html',0,'2024-07-10 14:16:02'),
	(6513,'WOF091200006-WOB00008','WOG00441','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2306.png',0,'2024-07-10 14:16:02'),
	(6514,'WOF091200006-WOB00008','WOG00441','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2306.html',0,'2024-07-10 14:16:02'),
	(6515,'WOF091200006-WOB00008','WOG00442','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2307.png',0,'2024-07-10 14:16:02'),
	(6516,'WOF091200006-WOB00008','WOG00442','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2307.html',0,'2024-07-10 14:16:02'),
	(6517,'WOF091200006-WOB00008','WOG00443','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2308.png',0,'2024-07-10 14:16:02'),
	(6518,'WOF091200006-WOB00008','WOG00443','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2308.html',0,'2024-07-10 14:16:02'),
	(6519,'WOF091200006-WOB00008','WOG00444','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2309.png',0,'2024-07-10 14:16:02'),
	(6520,'WOF091200006-WOB00008','WOG00444','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2309.html',0,'2024-07-10 14:16:02'),
	(6521,'WOF091200006-WOB00008','WOG00445','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2310.png',0,'2024-07-10 14:16:02'),
	(6522,'WOF091200006-WOB00008','WOG00445','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2310.html',0,'2024-07-10 14:16:02'),
	(6523,'WOF091200006-WOB00008','WOG00446','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2311.png',0,'2024-07-10 14:16:02'),
	(6524,'WOF091200006-WOB00008','WOG00446','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2311.html',0,'2024-07-10 14:16:02'),
	(6525,'WOF091200006-WOB00008','WOG00447','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2312.png',0,'2024-07-10 14:16:02'),
	(6526,'WOF091200006-WOB00008','WOG00447','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2312.html',0,'2024-07-10 14:16:02'),
	(6527,'WOF091200006-WOB00008','WOG00448','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2313.png',0,'2024-07-10 14:16:02'),
	(6528,'WOF091200006-WOB00008','WOG00448','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2313.html',0,'2024-07-10 14:16:02'),
	(6529,'WOF091200006-WOB00008','WOG00449','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2314.png',0,'2024-07-10 14:16:02'),
	(6530,'WOF091200006-WOB00008','WOG00449','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2314.html',0,'2024-07-10 14:16:02'),
	(6531,'WOF091200006-WOB00008','WOG00450','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2315.png',0,'2024-07-10 14:16:02'),
	(6532,'WOF091200006-WOB00008','WOG00450','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2315.html',0,'2024-07-10 14:16:02'),
	(6533,'WOF091200006-WOB00008','WOG00451','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2316.png',0,'2024-07-10 14:16:02'),
	(6534,'WOF091200006-WOB00008','WOG00451','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2316.html',0,'2024-07-10 14:16:02'),
	(6535,'WOF091200006-WOB00008','WOG00452','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2317.png',0,'2024-07-10 14:16:02'),
	(6536,'WOF091200006-WOB00008','WOG00452','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2317.html',0,'2024-07-10 14:16:02'),
	(6537,'WOF091200006-WOB00008','WOG00453','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2318.png',0,'2024-07-10 14:16:02'),
	(6538,'WOF091200006-WOB00008','WOG00453','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2318.html',0,'2024-07-10 14:16:02'),
	(6539,'WOF091200006-WOB00008','WOG00454','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2319.png',0,'2024-07-10 14:16:02'),
	(6540,'WOF091200006-WOB00008','WOG00454','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2319.html',0,'2024-07-10 14:16:02'),
	(6541,'WOF091200006-WOB00008','WOG00455','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2320.png',0,'2024-07-10 14:16:02'),
	(6542,'WOF091200006-WOB00008','WOG00455','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2320.html',0,'2024-07-10 14:16:02'),
	(6543,'WOF091200006-WOB00008','WOG00456','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2321.png',0,'2024-07-10 14:16:02'),
	(6544,'WOF091200006-WOB00008','WOG00456','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2321.html',0,'2024-07-10 14:16:02'),
	(6545,'WOF091200006-WOB00008','WOG00457','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2322.png',0,'2024-07-10 14:16:02'),
	(6546,'WOF091200006-WOB00008','WOG00457','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2322.html',0,'2024-07-10 14:16:02'),
	(6547,'WOF091200006-WOB00008','WOG00458','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2323.png',0,'2024-07-10 14:16:02'),
	(6548,'WOF091200006-WOB00008','WOG00458','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2323.html',0,'2024-07-10 14:16:02'),
	(6549,'WOF091200006-WOB00008','WOG00459','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2324.png',0,'2024-07-10 14:16:02'),
	(6550,'WOF091200006-WOB00008','WOG00459','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2324.html',0,'2024-07-10 14:16:02'),
	(6551,'WOF091200006-WOB00008','WOG00460','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2325.png',0,'2024-07-10 14:16:02'),
	(6552,'WOF091200006-WOB00008','WOG00460','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2325.html',0,'2024-07-10 14:16:02'),
	(6553,'WOF091200006-WOB00008','WOG00461','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2326.png',0,'2024-07-10 14:16:02'),
	(6554,'WOF091200006-WOB00008','WOG00461','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2326.html',0,'2024-07-10 14:16:02'),
	(6555,'WOF091200006-WOB00008','WOG00462','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2327.png',0,'2024-07-10 14:16:02'),
	(6556,'WOF091200006-WOB00008','WOG00462','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2327.html',0,'2024-07-10 14:16:02'),
	(6557,'WOF091200006-WOB00008','WOG00463','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2328.png',0,'2024-07-10 14:16:02'),
	(6558,'WOF091200006-WOB00008','WOG00463','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2328.html',0,'2024-07-10 14:16:02'),
	(6559,'WOF091200006-WOB00008','WOG00464','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2329.png',0,'2024-07-10 14:16:02'),
	(6560,'WOF091200006-WOB00008','WOG00464','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2329.html',0,'2024-07-10 14:16:02'),
	(6561,'WOF091200006-WOB00008','WOG00465','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2330.png',0,'2024-07-10 14:16:02'),
	(6562,'WOF091200006-WOB00008','WOG00465','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2330.html',0,'2024-07-10 14:16:02'),
	(6563,'WOF091200006-WOB00008','WOG00466','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2331.png',0,'2024-07-10 14:16:02'),
	(6564,'WOF091200006-WOB00008','WOG00466','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2331.html',0,'2024-07-10 14:16:02'),
	(6565,'WOF091200006-WOB00008','WOG00467','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2332.png',0,'2024-07-10 14:16:02'),
	(6566,'WOF091200006-WOB00008','WOG00467','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2332.html',0,'2024-07-10 14:16:02'),
	(6567,'WOF091200006-WOB00008','WOG00468','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2333.png',0,'2024-07-10 14:16:02'),
	(6568,'WOF091200006-WOB00008','WOG00468','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2333.html',0,'2024-07-10 14:16:02'),
	(6569,'WOF091200006-WOB00008','WOG00436','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2301.png',0,'2024-07-10 14:16:02'),
	(6570,'WOF091200006-WOB00008','WOG00436','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2301.html',0,'2024-07-10 14:16:02'),
	(6571,'WOF091200006-WOB00008','WOG00437','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2302.png',0,'2024-07-10 14:16:02'),
	(6572,'WOF091200006-WOB00008','WOG00437','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2302.html',0,'2024-07-10 14:16:02'),
	(6573,'WOF091200006-WOB00008','WOG00438','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2303.png',0,'2024-07-10 14:16:02'),
	(6574,'WOF091200006-WOB00008','WOG00438','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2303.html',0,'2024-07-10 14:16:02'),
	(6575,'WOF091200006-WOB00008','WOG00439','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2304.png',0,'2024-07-10 14:16:02'),
	(6576,'WOF091200006-WOB00008','WOG00439','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2304.html',0,'2024-07-10 14:16:02'),
	(6577,'WOF091200006-WOB00008','WOG00440','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2305.png',0,'2024-07-10 14:16:02'),
	(6578,'WOF091200006-WOB00008','WOG00440','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2305.html',0,'2024-07-10 14:16:02'),
	(6579,'WOF091200006-WOB00008','WOG00441','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2306.png',0,'2024-07-10 14:16:02'),
	(6580,'WOF091200006-WOB00008','WOG00441','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2306.html',0,'2024-07-10 14:16:02'),
	(6581,'WOF091200006-WOB00008','WOG00442','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2307.png',0,'2024-07-10 14:16:02'),
	(6582,'WOF091200006-WOB00008','WOG00442','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2307.html',0,'2024-07-10 14:16:02'),
	(6583,'WOF091200006-WOB00008','WOG00443','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2308.png',0,'2024-07-10 14:16:02'),
	(6584,'WOF091200006-WOB00008','WOG00443','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2308.html',0,'2024-07-10 14:16:02'),
	(6585,'WOF091200006-WOB00008','WOG00444','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2309.png',0,'2024-07-10 14:16:02'),
	(6586,'WOF091200006-WOB00008','WOG00444','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2309.html',0,'2024-07-10 14:16:02'),
	(6587,'WOF091200006-WOB00008','WOG00445','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2310.png',0,'2024-07-10 14:16:02'),
	(6588,'WOF091200006-WOB00008','WOG00445','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2310.html',0,'2024-07-10 14:16:02'),
	(6589,'WOF091200006-WOB00008','WOG00446','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2311.png',0,'2024-07-10 14:16:02'),
	(6590,'WOF091200006-WOB00008','WOG00446','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2311.html',0,'2024-07-10 14:16:02'),
	(6591,'WOF091200006-WOB00008','WOG00447','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2312.png',0,'2024-07-10 14:16:02'),
	(6592,'WOF091200006-WOB00008','WOG00447','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2312.html',0,'2024-07-10 14:16:02'),
	(6593,'WOF091200006-WOB00008','WOG00448','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2313.png',0,'2024-07-10 14:16:02'),
	(6594,'WOF091200006-WOB00008','WOG00448','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2313.html',0,'2024-07-10 14:16:02'),
	(6595,'WOF091200006-WOB00008','WOG00449','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2314.png',0,'2024-07-10 14:16:02'),
	(6596,'WOF091200006-WOB00008','WOG00449','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2314.html',0,'2024-07-10 14:16:02'),
	(6597,'WOF091200006-WOB00008','WOG00450','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2315.png',0,'2024-07-10 14:16:02'),
	(6598,'WOF091200006-WOB00008','WOG00450','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2315.html',0,'2024-07-10 14:16:02'),
	(6599,'WOF091200006-WOB00008','WOG00451','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2316.png',0,'2024-07-10 14:16:02'),
	(6600,'WOF091200006-WOB00008','WOG00451','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2316.html',0,'2024-07-10 14:16:02'),
	(6601,'WOF091200006-WOB00008','WOG00452','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2317.png',0,'2024-07-10 14:16:02'),
	(6602,'WOF091200006-WOB00008','WOG00452','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2317.html',0,'2024-07-10 14:16:02'),
	(6603,'WOF091200006-WOB00008','WOG00453','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2318.png',0,'2024-07-10 14:16:02'),
	(6604,'WOF091200006-WOB00008','WOG00453','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2318.html',0,'2024-07-10 14:16:02'),
	(6605,'WOF091200006-WOB00008','WOG00454','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2319.png',0,'2024-07-10 14:16:02'),
	(6606,'WOF091200006-WOB00008','WOG00454','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2319.html',0,'2024-07-10 14:16:02'),
	(6607,'WOF091200006-WOB00008','WOG00455','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2320.png',0,'2024-07-10 14:16:02'),
	(6608,'WOF091200006-WOB00008','WOG00455','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2320.html',0,'2024-07-10 14:16:02'),
	(6609,'WOF091200006-WOB00008','WOG00456','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2321.png',0,'2024-07-10 14:16:02'),
	(6610,'WOF091200006-WOB00008','WOG00456','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2321.html',0,'2024-07-10 14:16:02'),
	(6611,'WOF091200006-WOB00008','WOG00457','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2322.png',0,'2024-07-10 14:16:02'),
	(6612,'WOF091200006-WOB00008','WOG00457','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2322.html',0,'2024-07-10 14:16:02'),
	(6613,'WOF091200006-WOB00008','WOG00458','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2323.png',0,'2024-07-10 14:16:02'),
	(6614,'WOF091200006-WOB00008','WOG00458','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2323.html',0,'2024-07-10 14:16:02'),
	(6615,'WOF091200006-WOB00008','WOG00459','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2324.png',0,'2024-07-10 14:16:02'),
	(6616,'WOF091200006-WOB00008','WOG00459','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2324.html',0,'2024-07-10 14:16:02'),
	(6617,'WOF091200006-WOB00008','WOG00460','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2325.png',0,'2024-07-10 14:16:02'),
	(6618,'WOF091200006-WOB00008','WOG00460','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2325.html',0,'2024-07-10 14:16:02'),
	(6619,'WOF091200006-WOB00008','WOG00461','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2326.png',0,'2024-07-10 14:16:02'),
	(6620,'WOF091200006-WOB00008','WOG00461','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2326.html',0,'2024-07-10 14:16:02'),
	(6621,'WOF091200006-WOB00008','WOG00462','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2327.png',0,'2024-07-10 14:16:02'),
	(6622,'WOF091200006-WOB00008','WOG00462','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2327.html',0,'2024-07-10 14:16:02'),
	(6623,'WOF091200006-WOB00008','WOG00463','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2328.png',0,'2024-07-10 14:16:02'),
	(6624,'WOF091200006-WOB00008','WOG00463','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2328.html',0,'2024-07-10 14:16:02'),
	(6625,'WOF091200006-WOB00008','WOG00464','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2329.png',0,'2024-07-10 14:16:02'),
	(6626,'WOF091200006-WOB00008','WOG00464','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2329.html',0,'2024-07-10 14:16:02'),
	(6627,'WOF091200006-WOB00008','WOG00465','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2330.png',0,'2024-07-10 14:16:02'),
	(6628,'WOF091200006-WOB00008','WOG00465','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2330.html',0,'2024-07-10 14:16:02'),
	(6629,'WOF091200006-WOB00008','WOG00466','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2331.png',0,'2024-07-10 14:16:02'),
	(6630,'WOF091200006-WOB00008','WOG00466','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2331.html',0,'2024-07-10 14:16:02'),
	(6631,'WOF091200006-WOB00008','WOG00467','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2332.png',0,'2024-07-10 14:16:02'),
	(6632,'WOF091200006-WOB00008','WOG00467','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2332.html',0,'2024-07-10 14:16:02'),
	(6633,'WOF091200006-WOB00008','WOG00468','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2333.png',0,'2024-07-10 14:16:02'),
	(6634,'WOF091200006-WOB00008','WOG00468','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2333.html',0,'2024-07-10 14:16:02'),
	(6635,'WOF091200006-WOB00008','WOG00436','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2301.png',0,'2024-07-10 17:23:43'),
	(6636,'WOF091200006-WOB00008','WOG00436','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2301.html',0,'2024-07-10 17:23:43'),
	(6637,'WOF091200006-WOB00008','WOG00437','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2302.png',0,'2024-07-10 17:23:43'),
	(6638,'WOF091200006-WOB00008','WOG00437','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2302.html',0,'2024-07-10 17:23:43'),
	(6639,'WOF091200006-WOB00008','WOG00438','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2303.png',0,'2024-07-10 17:23:43'),
	(6640,'WOF091200006-WOB00008','WOG00438','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2303.html',0,'2024-07-10 17:23:43'),
	(6641,'WOF091200006-WOB00008','WOG00439','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2304.png',0,'2024-07-10 17:23:43'),
	(6642,'WOF091200006-WOB00008','WOG00439','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2304.html',0,'2024-07-10 17:23:43'),
	(6643,'WOF091200006-WOB00008','WOG00440','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2305.png',0,'2024-07-10 17:23:43'),
	(6644,'WOF091200006-WOB00008','WOG00440','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2305.html',0,'2024-07-10 17:23:43'),
	(6645,'WOF091200006-WOB00008','WOG00441','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2306.png',0,'2024-07-10 17:23:43'),
	(6646,'WOF091200006-WOB00008','WOG00441','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2306.html',0,'2024-07-10 17:23:43'),
	(6647,'WOF091200006-WOB00008','WOG00442','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2307.png',0,'2024-07-10 17:23:43'),
	(6648,'WOF091200006-WOB00008','WOG00442','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2307.html',0,'2024-07-10 17:23:43'),
	(6649,'WOF091200006-WOB00008','WOG00443','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2308.png',0,'2024-07-10 17:23:43'),
	(6650,'WOF091200006-WOB00008','WOG00443','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2308.html',0,'2024-07-10 17:23:43'),
	(6651,'WOF091200006-WOB00008','WOG00444','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2309.png',0,'2024-07-10 17:23:43'),
	(6652,'WOF091200006-WOB00008','WOG00444','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2309.html',0,'2024-07-10 17:23:43'),
	(6653,'WOF091200006-WOB00008','WOG00445','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2310.png',0,'2024-07-10 17:23:43'),
	(6654,'WOF091200006-WOB00008','WOG00445','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2310.html',0,'2024-07-10 17:23:43'),
	(6655,'WOF091200006-WOB00008','WOG00446','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2311.png',0,'2024-07-10 17:23:43'),
	(6656,'WOF091200006-WOB00008','WOG00446','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2311.html',0,'2024-07-10 17:23:43'),
	(6657,'WOF091200006-WOB00008','WOG00447','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2312.png',0,'2024-07-10 17:23:43'),
	(6658,'WOF091200006-WOB00008','WOG00447','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2312.html',0,'2024-07-10 17:23:43'),
	(6659,'WOF091200006-WOB00008','WOG00448','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2313.png',0,'2024-07-10 17:23:43'),
	(6660,'WOF091200006-WOB00008','WOG00448','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2313.html',0,'2024-07-10 17:23:43'),
	(6661,'WOF091200006-WOB00008','WOG00449','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2314.png',0,'2024-07-10 17:23:43'),
	(6662,'WOF091200006-WOB00008','WOG00449','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2314.html',0,'2024-07-10 17:23:43'),
	(6663,'WOF091200006-WOB00008','WOG00450','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2315.png',0,'2024-07-10 17:23:43'),
	(6664,'WOF091200006-WOB00008','WOG00450','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2315.html',0,'2024-07-10 17:23:43'),
	(6665,'WOF091200006-WOB00008','WOG00451','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2316.png',0,'2024-07-10 17:23:43'),
	(6666,'WOF091200006-WOB00008','WOG00451','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2316.html',0,'2024-07-10 17:23:43'),
	(6667,'WOF091200006-WOB00008','WOG00452','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2317.png',0,'2024-07-10 17:23:43'),
	(6668,'WOF091200006-WOB00008','WOG00452','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2317.html',0,'2024-07-10 17:23:43'),
	(6669,'WOF091200006-WOB00008','WOG00453','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2318.png',0,'2024-07-10 17:23:43'),
	(6670,'WOF091200006-WOB00008','WOG00453','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2318.html',0,'2024-07-10 17:23:43'),
	(6671,'WOF091200006-WOB00008','WOG00454','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2319.png',0,'2024-07-10 17:23:43'),
	(6672,'WOF091200006-WOB00008','WOG00454','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2319.html',0,'2024-07-10 17:23:43'),
	(6673,'WOF091200006-WOB00008','WOG00455','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2320.png',0,'2024-07-10 17:23:43'),
	(6674,'WOF091200006-WOB00008','WOG00455','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2320.html',0,'2024-07-10 17:23:43'),
	(6675,'WOF091200006-WOB00008','WOG00456','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2321.png',0,'2024-07-10 17:23:43'),
	(6676,'WOF091200006-WOB00008','WOG00456','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2321.html',0,'2024-07-10 17:23:43'),
	(6677,'WOF091200006-WOB00008','WOG00457','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2322.png',0,'2024-07-10 17:23:43'),
	(6678,'WOF091200006-WOB00008','WOG00457','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2322.html',0,'2024-07-10 17:23:43'),
	(6679,'WOF091200006-WOB00008','WOG00458','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2323.png',0,'2024-07-10 17:23:43'),
	(6680,'WOF091200006-WOB00008','WOG00458','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2323.html',0,'2024-07-10 17:23:43'),
	(6681,'WOF091200006-WOB00008','WOG00459','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2324.png',0,'2024-07-10 17:23:43'),
	(6682,'WOF091200006-WOB00008','WOG00459','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2324.html',0,'2024-07-10 17:23:43'),
	(6683,'WOF091200006-WOB00008','WOG00460','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2325.png',0,'2024-07-10 17:23:43'),
	(6684,'WOF091200006-WOB00008','WOG00460','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2325.html',0,'2024-07-10 17:23:43'),
	(6685,'WOF091200006-WOB00008','WOG00461','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2326.png',0,'2024-07-10 17:23:43'),
	(6686,'WOF091200006-WOB00008','WOG00461','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2326.html',0,'2024-07-10 17:23:43'),
	(6687,'WOF091200006-WOB00008','WOG00462','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2327.png',0,'2024-07-10 17:23:43'),
	(6688,'WOF091200006-WOB00008','WOG00462','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2327.html',0,'2024-07-10 17:23:43'),
	(6689,'WOF091200006-WOB00008','WOG00463','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2328.png',0,'2024-07-10 17:23:43'),
	(6690,'WOF091200006-WOB00008','WOG00463','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2328.html',0,'2024-07-10 17:23:43'),
	(6691,'WOF091200006-WOB00008','WOG00464','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2329.png',0,'2024-07-10 17:23:43'),
	(6692,'WOF091200006-WOB00008','WOG00464','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2329.html',0,'2024-07-10 17:23:43'),
	(6693,'WOF091200006-WOB00008','WOG00465','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2330.png',0,'2024-07-10 17:23:43'),
	(6694,'WOF091200006-WOB00008','WOG00465','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2330.html',0,'2024-07-10 17:23:43'),
	(6695,'WOF091200006-WOB00008','WOG00466','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2331.png',0,'2024-07-10 17:23:43'),
	(6696,'WOF091200006-WOB00008','WOG00466','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2331.html',0,'2024-07-10 17:23:43'),
	(6697,'WOF091200006-WOB00008','WOG00467','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2332.png',0,'2024-07-10 17:23:43'),
	(6698,'WOF091200006-WOB00008','WOG00467','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2332.html',0,'2024-07-10 17:23:43'),
	(6699,'WOF091200006-WOB00008','WOG00468','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2333.png',0,'2024-07-10 17:23:43'),
	(6700,'WOF091200006-WOB00008','WOG00468','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2333.html',0,'2024-07-10 17:23:43'),
	(6701,'WOF091200006-WOB00008','WOG00436','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2301.png',0,'2024-07-10 17:23:43'),
	(6702,'WOF091200006-WOB00008','WOG00436','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2301.html',0,'2024-07-10 17:23:43'),
	(6703,'WOF091200006-WOB00008','WOG00437','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2302.png',0,'2024-07-10 17:23:43'),
	(6704,'WOF091200006-WOB00008','WOG00437','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2302.html',0,'2024-07-10 17:23:43'),
	(6705,'WOF091200006-WOB00008','WOG00438','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2303.png',0,'2024-07-10 17:23:43'),
	(6706,'WOF091200006-WOB00008','WOG00438','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2303.html',0,'2024-07-10 17:23:43'),
	(6707,'WOF091200006-WOB00008','WOG00439','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2304.png',0,'2024-07-10 17:23:43'),
	(6708,'WOF091200006-WOB00008','WOG00439','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2304.html',0,'2024-07-10 17:23:43'),
	(6709,'WOF091200006-WOB00008','WOG00440','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2305.png',0,'2024-07-10 17:23:43'),
	(6710,'WOF091200006-WOB00008','WOG00440','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2305.html',0,'2024-07-10 17:23:43'),
	(6711,'WOF091200006-WOB00008','WOG00441','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2306.png',0,'2024-07-10 17:23:43'),
	(6712,'WOF091200006-WOB00008','WOG00441','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2306.html',0,'2024-07-10 17:23:43'),
	(6713,'WOF091200006-WOB00008','WOG00442','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2307.png',0,'2024-07-10 17:23:43'),
	(6714,'WOF091200006-WOB00008','WOG00442','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2307.html',0,'2024-07-10 17:23:43'),
	(6715,'WOF091200006-WOB00008','WOG00443','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2308.png',0,'2024-07-10 17:23:43'),
	(6716,'WOF091200006-WOB00008','WOG00443','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2308.html',0,'2024-07-10 17:23:43'),
	(6717,'WOF091200006-WOB00008','WOG00444','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2309.png',0,'2024-07-10 17:23:43'),
	(6718,'WOF091200006-WOB00008','WOG00444','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2309.html',0,'2024-07-10 17:23:43'),
	(6719,'WOF091200006-WOB00008','WOG00445','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2310.png',0,'2024-07-10 17:23:43'),
	(6720,'WOF091200006-WOB00008','WOG00445','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2310.html',0,'2024-07-10 17:23:43'),
	(6721,'WOF091200006-WOB00008','WOG00446','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2311.png',0,'2024-07-10 17:23:43'),
	(6722,'WOF091200006-WOB00008','WOG00446','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2311.html',0,'2024-07-10 17:23:43'),
	(6723,'WOF091200006-WOB00008','WOG00447','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2312.png',0,'2024-07-10 17:23:43'),
	(6724,'WOF091200006-WOB00008','WOG00447','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2312.html',0,'2024-07-10 17:23:43'),
	(6725,'WOF091200006-WOB00008','WOG00448','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2313.png',0,'2024-07-10 17:23:43'),
	(6726,'WOF091200006-WOB00008','WOG00448','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2313.html',0,'2024-07-10 17:23:43'),
	(6727,'WOF091200006-WOB00008','WOG00449','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2314.png',0,'2024-07-10 17:23:43'),
	(6728,'WOF091200006-WOB00008','WOG00449','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2314.html',0,'2024-07-10 17:23:43'),
	(6729,'WOF091200006-WOB00008','WOG00450','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2315.png',0,'2024-07-10 17:23:43'),
	(6730,'WOF091200006-WOB00008','WOG00450','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2315.html',0,'2024-07-10 17:23:43'),
	(6731,'WOF091200006-WOB00008','WOG00451','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2316.png',0,'2024-07-10 17:23:43'),
	(6732,'WOF091200006-WOB00008','WOG00451','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2316.html',0,'2024-07-10 17:23:43'),
	(6733,'WOF091200006-WOB00008','WOG00452','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2317.png',0,'2024-07-10 17:23:43'),
	(6734,'WOF091200006-WOB00008','WOG00452','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2317.html',0,'2024-07-10 17:23:43'),
	(6735,'WOF091200006-WOB00008','WOG00453','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2318.png',0,'2024-07-10 17:23:43'),
	(6736,'WOF091200006-WOB00008','WOG00453','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2318.html',0,'2024-07-10 17:23:43'),
	(6737,'WOF091200006-WOB00008','WOG00454','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2319.png',0,'2024-07-10 17:23:43'),
	(6738,'WOF091200006-WOB00008','WOG00454','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2319.html',0,'2024-07-10 17:23:43'),
	(6739,'WOF091200006-WOB00008','WOG00455','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2320.png',0,'2024-07-10 17:23:43'),
	(6740,'WOF091200006-WOB00008','WOG00455','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2320.html',0,'2024-07-10 17:23:43'),
	(6741,'WOF091200006-WOB00008','WOG00456','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2321.png',0,'2024-07-10 17:23:43'),
	(6742,'WOF091200006-WOB00008','WOG00456','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2321.html',0,'2024-07-10 17:23:43'),
	(6743,'WOF091200006-WOB00008','WOG00457','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2322.png',0,'2024-07-10 17:23:43'),
	(6744,'WOF091200006-WOB00008','WOG00457','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2322.html',0,'2024-07-10 17:23:43'),
	(6745,'WOF091200006-WOB00008','WOG00458','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2323.png',0,'2024-07-10 17:23:43'),
	(6746,'WOF091200006-WOB00008','WOG00458','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2323.html',0,'2024-07-10 17:23:43'),
	(6747,'WOF091200006-WOB00008','WOG00459','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2324.png',0,'2024-07-10 17:23:43'),
	(6748,'WOF091200006-WOB00008','WOG00459','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2324.html',0,'2024-07-10 17:23:43'),
	(6749,'WOF091200006-WOB00008','WOG00460','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2325.png',0,'2024-07-10 17:23:43'),
	(6750,'WOF091200006-WOB00008','WOG00460','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2325.html',0,'2024-07-10 17:23:43'),
	(6751,'WOF091200006-WOB00008','WOG00461','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2326.png',0,'2024-07-10 17:23:43'),
	(6752,'WOF091200006-WOB00008','WOG00461','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2326.html',0,'2024-07-10 17:23:43'),
	(6753,'WOF091200006-WOB00008','WOG00462','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2327.png',0,'2024-07-10 17:23:43'),
	(6754,'WOF091200006-WOB00008','WOG00462','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2327.html',0,'2024-07-10 17:23:43'),
	(6755,'WOF091200006-WOB00008','WOG00463','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2328.png',0,'2024-07-10 17:23:43'),
	(6756,'WOF091200006-WOB00008','WOG00463','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2328.html',0,'2024-07-10 17:23:43'),
	(6757,'WOF091200006-WOB00008','WOG00464','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2329.png',0,'2024-07-10 17:23:43'),
	(6758,'WOF091200006-WOB00008','WOG00464','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2329.html',0,'2024-07-10 17:23:43'),
	(6759,'WOF091200006-WOB00008','WOG00465','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2330.png',0,'2024-07-10 17:23:43'),
	(6760,'WOF091200006-WOB00008','WOG00465','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2330.html',0,'2024-07-10 17:23:43'),
	(6761,'WOF091200006-WOB00008','WOG00466','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2331.png',0,'2024-07-10 17:23:43'),
	(6762,'WOF091200006-WOB00008','WOG00466','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2331.html',0,'2024-07-10 17:23:43'),
	(6763,'WOF091200006-WOB00008','WOG00467','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2332.png',0,'2024-07-10 17:23:43'),
	(6764,'WOF091200006-WOB00008','WOG00467','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2332.html',0,'2024-07-10 17:23:43'),
	(6765,'WOF091200006-WOB00008','WOG00468','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2333.png',0,'2024-07-10 17:23:43'),
	(6766,'WOF091200006-WOB00008','WOG00468','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%2333.html',0,'2024-07-10 17:23:43'),
	(6767,'WOF091200006-WOB00008','WOG00436','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2301.png',0,'2024-07-10 17:23:43'),
	(6768,'WOF091200006-WOB00008','WOG00436','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2301.html',0,'2024-07-10 17:23:43'),
	(6769,'WOF091200006-WOB00008','WOG00437','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2302.png',0,'2024-07-10 17:23:43'),
	(6770,'WOF091200006-WOB00008','WOG00437','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2302.html',0,'2024-07-10 17:23:43'),
	(6771,'WOF091200006-WOB00008','WOG00438','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2303.png',0,'2024-07-10 17:23:43'),
	(6772,'WOF091200006-WOB00008','WOG00438','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2303.html',0,'2024-07-10 17:23:43'),
	(6773,'WOF091200006-WOB00008','WOG00439','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2304.png',0,'2024-07-10 17:23:43'),
	(6774,'WOF091200006-WOB00008','WOG00439','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2304.html',0,'2024-07-10 17:23:43'),
	(6775,'WOF091200006-WOB00008','WOG00440','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2305.png',0,'2024-07-10 17:23:43'),
	(6776,'WOF091200006-WOB00008','WOG00440','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2305.html',0,'2024-07-10 17:23:43'),
	(6777,'WOF091200006-WOB00008','WOG00441','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2306.png',0,'2024-07-10 17:23:43'),
	(6778,'WOF091200006-WOB00008','WOG00441','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2306.html',0,'2024-07-10 17:23:43'),
	(6779,'WOF091200006-WOB00008','WOG00442','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2307.png',0,'2024-07-10 17:23:43'),
	(6780,'WOF091200006-WOB00008','WOG00442','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2307.html',0,'2024-07-10 17:23:43'),
	(6781,'WOF091200006-WOB00008','WOG00443','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2308.png',0,'2024-07-10 17:23:43'),
	(6782,'WOF091200006-WOB00008','WOG00443','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2308.html',0,'2024-07-10 17:23:43'),
	(6783,'WOF091200006-WOB00008','WOG00444','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2309.png',0,'2024-07-10 17:23:43'),
	(6784,'WOF091200006-WOB00008','WOG00444','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2309.html',0,'2024-07-10 17:23:43'),
	(6785,'WOF091200006-WOB00008','WOG00445','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2310.png',0,'2024-07-10 17:23:43'),
	(6786,'WOF091200006-WOB00008','WOG00445','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2310.html',0,'2024-07-10 17:23:43'),
	(6787,'WOF091200006-WOB00008','WOG00446','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2311.png',0,'2024-07-10 17:23:43'),
	(6788,'WOF091200006-WOB00008','WOG00446','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2311.html',0,'2024-07-10 17:23:43'),
	(6789,'WOF091200006-WOB00008','WOG00447','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2312.png',0,'2024-07-10 17:23:43'),
	(6790,'WOF091200006-WOB00008','WOG00447','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2312.html',0,'2024-07-10 17:23:43'),
	(6791,'WOF091200006-WOB00008','WOG00448','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2313.png',0,'2024-07-10 17:23:43'),
	(6792,'WOF091200006-WOB00008','WOG00448','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2313.html',0,'2024-07-10 17:23:43'),
	(6793,'WOF091200006-WOB00008','WOG00449','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2314.png',0,'2024-07-10 17:23:43'),
	(6794,'WOF091200006-WOB00008','WOG00449','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2314.html',0,'2024-07-10 17:23:43'),
	(6795,'WOF091200006-WOB00008','WOG00450','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2315.png',0,'2024-07-10 17:23:43'),
	(6796,'WOF091200006-WOB00008','WOG00450','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2315.html',0,'2024-07-10 17:23:43'),
	(6797,'WOF091200006-WOB00008','WOG00451','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2316.png',0,'2024-07-10 17:23:43'),
	(6798,'WOF091200006-WOB00008','WOG00451','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2316.html',0,'2024-07-10 17:23:43'),
	(6799,'WOF091200006-WOB00008','WOG00452','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2317.png',0,'2024-07-10 17:23:43'),
	(6800,'WOF091200006-WOB00008','WOG00452','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2317.html',0,'2024-07-10 17:23:43'),
	(6801,'WOF091200006-WOB00008','WOG00453','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2318.png',0,'2024-07-10 17:23:43'),
	(6802,'WOF091200006-WOB00008','WOG00453','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2318.html',0,'2024-07-10 17:23:43'),
	(6803,'WOF091200006-WOB00008','WOG00454','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2319.png',0,'2024-07-10 17:23:43'),
	(6804,'WOF091200006-WOB00008','WOG00454','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2319.html',0,'2024-07-10 17:23:43');

INSERT INTO `analysis_diagram_relation` (`id`, `batch_code`, `field_engine_code`, `analysis_type_code`, `file_addr`, `auto_analysis`, `create_time`)
VALUES
	(6805,'WOF091200006-WOB00008','WOG00455','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2320.png',0,'2024-07-10 17:23:43'),
	(6806,'WOF091200006-WOB00008','WOG00455','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2320.html',0,'2024-07-10 17:23:43'),
	(6807,'WOF091200006-WOB00008','WOG00456','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2321.png',0,'2024-07-10 17:23:43'),
	(6808,'WOF091200006-WOB00008','WOG00456','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2321.html',0,'2024-07-10 17:23:43'),
	(6809,'WOF091200006-WOB00008','WOG00457','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2322.png',0,'2024-07-10 17:23:43'),
	(6810,'WOF091200006-WOB00008','WOG00457','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2322.html',0,'2024-07-10 17:23:43'),
	(6811,'WOF091200006-WOB00008','WOG00458','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2323.png',0,'2024-07-10 17:23:43'),
	(6812,'WOF091200006-WOB00008','WOG00458','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2323.html',0,'2024-07-10 17:23:43'),
	(6813,'WOF091200006-WOB00008','WOG00459','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2324.png',0,'2024-07-10 17:23:43'),
	(6814,'WOF091200006-WOB00008','WOG00459','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2324.html',0,'2024-07-10 17:23:43'),
	(6815,'WOF091200006-WOB00008','WOG00460','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2325.png',0,'2024-07-10 17:23:43'),
	(6816,'WOF091200006-WOB00008','WOG00460','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2325.html',0,'2024-07-10 17:23:43'),
	(6817,'WOF091200006-WOB00008','WOG00461','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2326.png',0,'2024-07-10 17:23:43'),
	(6818,'WOF091200006-WOB00008','WOG00461','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2326.html',0,'2024-07-10 17:23:43'),
	(6819,'WOF091200006-WOB00008','WOG00462','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2327.png',0,'2024-07-10 17:23:43'),
	(6820,'WOF091200006-WOB00008','WOG00462','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2327.html',0,'2024-07-10 17:23:43'),
	(6821,'WOF091200006-WOB00008','WOG00463','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2328.png',0,'2024-07-10 17:23:43'),
	(6822,'WOF091200006-WOB00008','WOG00463','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2328.html',0,'2024-07-10 17:23:43'),
	(6823,'WOF091200006-WOB00008','WOG00464','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2329.png',0,'2024-07-10 17:23:43'),
	(6824,'WOF091200006-WOB00008','WOG00464','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2329.html',0,'2024-07-10 17:23:43'),
	(6825,'WOF091200006-WOB00008','WOG00465','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2330.png',0,'2024-07-10 17:23:43'),
	(6826,'WOF091200006-WOB00008','WOG00465','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2330.html',0,'2024-07-10 17:23:43'),
	(6827,'WOF091200006-WOB00008','WOG00466','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2331.png',0,'2024-07-10 17:23:43'),
	(6828,'WOF091200006-WOB00008','WOG00466','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2331.html',0,'2024-07-10 17:23:43'),
	(6829,'WOF091200006-WOB00008','WOG00467','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2332.png',0,'2024-07-10 17:23:43'),
	(6830,'WOF091200006-WOB00008','WOG00467','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2332.html',0,'2024-07-10 17:23:43'),
	(6831,'WOF091200006-WOB00008','WOG00468','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2333.png',0,'2024-07-10 17:23:43'),
	(6832,'WOF091200006-WOB00008','WOG00468','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2333.html',0,'2024-07-10 17:23:43'),
	(6833,'WOF091200006-WOB00008','WOG00436','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2301.png',0,'2024-07-10 17:23:43'),
	(6834,'WOF091200006-WOB00008','WOG00436','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2301.html',0,'2024-07-10 17:23:43'),
	(6835,'WOF091200006-WOB00008','WOG00437','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2302.png',0,'2024-07-10 17:23:43'),
	(6836,'WOF091200006-WOB00008','WOG00437','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2302.html',0,'2024-07-10 17:23:43'),
	(6837,'WOF091200006-WOB00008','WOG00438','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2303.png',0,'2024-07-10 17:23:43'),
	(6838,'WOF091200006-WOB00008','WOG00438','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2303.html',0,'2024-07-10 17:23:43'),
	(6839,'WOF091200006-WOB00008','WOG00439','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2304.png',0,'2024-07-10 17:23:43'),
	(6840,'WOF091200006-WOB00008','WOG00439','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2304.html',0,'2024-07-10 17:23:43'),
	(6841,'WOF091200006-WOB00008','WOG00440','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2305.png',0,'2024-07-10 17:23:43'),
	(6842,'WOF091200006-WOB00008','WOG00440','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2305.html',0,'2024-07-10 17:23:43'),
	(6843,'WOF091200006-WOB00008','WOG00441','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2306.png',0,'2024-07-10 17:23:43'),
	(6844,'WOF091200006-WOB00008','WOG00441','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2306.html',0,'2024-07-10 17:23:43'),
	(6845,'WOF091200006-WOB00008','WOG00442','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2307.png',0,'2024-07-10 17:23:43'),
	(6846,'WOF091200006-WOB00008','WOG00442','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2307.html',0,'2024-07-10 17:23:43'),
	(6847,'WOF091200006-WOB00008','WOG00443','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2308.png',0,'2024-07-10 17:23:43'),
	(6848,'WOF091200006-WOB00008','WOG00443','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2308.html',0,'2024-07-10 17:23:43'),
	(6849,'WOF091200006-WOB00008','WOG00444','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2309.png',0,'2024-07-10 17:23:43'),
	(6850,'WOF091200006-WOB00008','WOG00444','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2309.html',0,'2024-07-10 17:23:43'),
	(6851,'WOF091200006-WOB00008','WOG00445','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2310.png',0,'2024-07-10 17:23:43'),
	(6852,'WOF091200006-WOB00008','WOG00445','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2310.html',0,'2024-07-10 17:23:43'),
	(6853,'WOF091200006-WOB00008','WOG00446','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2311.png',0,'2024-07-10 17:23:43'),
	(6854,'WOF091200006-WOB00008','WOG00446','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2311.html',0,'2024-07-10 17:23:43'),
	(6855,'WOF091200006-WOB00008','WOG00447','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2312.png',0,'2024-07-10 17:23:43'),
	(6856,'WOF091200006-WOB00008','WOG00447','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2312.html',0,'2024-07-10 17:23:43'),
	(6857,'WOF091200006-WOB00008','WOG00448','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2313.png',0,'2024-07-10 17:23:43'),
	(6858,'WOF091200006-WOB00008','WOG00448','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2313.html',0,'2024-07-10 17:23:43'),
	(6859,'WOF091200006-WOB00008','WOG00449','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2314.png',0,'2024-07-10 17:23:43'),
	(6860,'WOF091200006-WOB00008','WOG00449','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2314.html',0,'2024-07-10 17:23:43'),
	(6861,'WOF091200006-WOB00008','WOG00450','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2315.png',0,'2024-07-10 17:23:43'),
	(6862,'WOF091200006-WOB00008','WOG00450','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2315.html',0,'2024-07-10 17:23:43'),
	(6863,'WOF091200006-WOB00008','WOG00451','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2316.png',0,'2024-07-10 17:23:43'),
	(6864,'WOF091200006-WOB00008','WOG00451','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2316.html',0,'2024-07-10 17:23:43'),
	(6865,'WOF091200006-WOB00008','WOG00452','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2317.png',0,'2024-07-10 17:23:43'),
	(6866,'WOF091200006-WOB00008','WOG00452','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2317.html',0,'2024-07-10 17:23:43'),
	(6867,'WOF091200006-WOB00008','WOG00453','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2318.png',0,'2024-07-10 17:23:43'),
	(6868,'WOF091200006-WOB00008','WOG00453','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2318.html',0,'2024-07-10 17:23:43'),
	(6869,'WOF091200006-WOB00008','WOG00454','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2319.png',0,'2024-07-10 17:23:43'),
	(6870,'WOF091200006-WOB00008','WOG00454','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2319.html',0,'2024-07-10 17:23:43'),
	(6871,'WOF091200006-WOB00008','WOG00455','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2320.png',0,'2024-07-10 17:23:43'),
	(6872,'WOF091200006-WOB00008','WOG00455','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2320.html',0,'2024-07-10 17:23:43'),
	(6873,'WOF091200006-WOB00008','WOG00456','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2321.png',0,'2024-07-10 17:23:43'),
	(6874,'WOF091200006-WOB00008','WOG00456','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2321.html',0,'2024-07-10 17:23:43'),
	(6875,'WOF091200006-WOB00008','WOG00457','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2322.png',0,'2024-07-10 17:23:43'),
	(6876,'WOF091200006-WOB00008','WOG00457','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2322.html',0,'2024-07-10 17:23:43'),
	(6877,'WOF091200006-WOB00008','WOG00458','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2323.png',0,'2024-07-10 17:23:43'),
	(6878,'WOF091200006-WOB00008','WOG00458','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2323.html',0,'2024-07-10 17:23:43'),
	(6879,'WOF091200006-WOB00008','WOG00459','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2324.png',0,'2024-07-10 17:23:43'),
	(6880,'WOF091200006-WOB00008','WOG00459','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2324.html',0,'2024-07-10 17:23:43'),
	(6881,'WOF091200006-WOB00008','WOG00460','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2325.png',0,'2024-07-10 17:23:43'),
	(6882,'WOF091200006-WOB00008','WOG00460','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2325.html',0,'2024-07-10 17:23:43'),
	(6883,'WOF091200006-WOB00008','WOG00461','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2326.png',0,'2024-07-10 17:23:43'),
	(6884,'WOF091200006-WOB00008','WOG00461','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2326.html',0,'2024-07-10 17:23:43'),
	(6885,'WOF091200006-WOB00008','WOG00462','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2327.png',0,'2024-07-10 17:23:43'),
	(6886,'WOF091200006-WOB00008','WOG00462','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2327.html',0,'2024-07-10 17:23:43'),
	(6887,'WOF091200006-WOB00008','WOG00463','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2328.png',0,'2024-07-10 17:23:43'),
	(6888,'WOF091200006-WOB00008','WOG00463','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2328.html',0,'2024-07-10 17:23:43'),
	(6889,'WOF091200006-WOB00008','WOG00464','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2329.png',0,'2024-07-10 17:23:43'),
	(6890,'WOF091200006-WOB00008','WOG00464','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2329.html',0,'2024-07-10 17:23:43'),
	(6891,'WOF091200006-WOB00008','WOG00465','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2330.png',0,'2024-07-10 17:23:43'),
	(6892,'WOF091200006-WOB00008','WOG00465','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2330.html',0,'2024-07-10 17:23:43'),
	(6893,'WOF091200006-WOB00008','WOG00466','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2331.png',0,'2024-07-10 17:23:43'),
	(6894,'WOF091200006-WOB00008','WOG00466','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2331.html',0,'2024-07-10 17:23:43'),
	(6895,'WOF091200006-WOB00008','WOG00467','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2332.png',0,'2024-07-10 17:23:43'),
	(6896,'WOF091200006-WOB00008','WOG00467','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2332.html',0,'2024-07-10 17:23:43'),
	(6897,'WOF091200006-WOB00008','WOG00468','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2333.png',0,'2024-07-10 17:23:43'),
	(6898,'WOF091200006-WOB00008','WOG00468','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%2333.html',0,'2024-07-10 17:23:43'),
	(6899,'WOF035200003-WOB000001','WOG00469','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2301.png',0,'2024-07-10 17:23:43'),
	(6900,'WOF035200003-WOB000001','WOG00469','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2301.html',0,'2024-07-10 17:23:43'),
	(6901,'WOF035200003-WOB000001','WOG00470','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2302.png',0,'2024-07-10 17:23:43'),
	(6902,'WOF035200003-WOB000001','WOG00470','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2302.html',0,'2024-07-10 17:23:43'),
	(6903,'WOF035200003-WOB000001','WOG00471','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2303.png',0,'2024-07-10 17:23:43'),
	(6904,'WOF035200003-WOB000001','WOG00471','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2303.html',0,'2024-07-10 17:23:43'),
	(6905,'WOF035200003-WOB000001','WOG00472','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2304.png',0,'2024-07-10 17:23:43'),
	(6906,'WOF035200003-WOB000001','WOG00472','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2304.html',0,'2024-07-10 17:23:43'),
	(6907,'WOF035200003-WOB000001','WOG00473','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2305.png',0,'2024-07-10 17:23:43'),
	(6908,'WOF035200003-WOB000001','WOG00473','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2305.html',0,'2024-07-10 17:23:43'),
	(6909,'WOF035200003-WOB000001','WOG00474','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2306.png',0,'2024-07-10 17:23:43'),
	(6910,'WOF035200003-WOB000001','WOG00474','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2306.html',0,'2024-07-10 17:23:43'),
	(6911,'WOF035200003-WOB000001','WOG00475','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2307.png',0,'2024-07-10 17:23:43'),
	(6912,'WOF035200003-WOB000001','WOG00475','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2307.html',0,'2024-07-10 17:23:43'),
	(6913,'WOF035200003-WOB000001','WOG00476','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2308.png',0,'2024-07-10 17:23:43'),
	(6914,'WOF035200003-WOB000001','WOG00476','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2308.html',0,'2024-07-10 17:23:43'),
	(6915,'WOF035200003-WOB000001','WOG00477','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2309.png',0,'2024-07-10 17:23:43'),
	(6916,'WOF035200003-WOB000001','WOG00477','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2309.html',0,'2024-07-10 17:23:43'),
	(6917,'WOF035200003-WOB000001','WOG00478','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2310.png',0,'2024-07-10 17:23:43'),
	(6918,'WOF035200003-WOB000001','WOG00478','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2310.html',0,'2024-07-10 17:23:43'),
	(6919,'WOF035200003-WOB000001','WOG00479','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2311.png',0,'2024-07-10 17:23:43'),
	(6920,'WOF035200003-WOB000001','WOG00479','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2311.html',0,'2024-07-10 17:23:43'),
	(6921,'WOF035200003-WOB000001','WOG00480','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2312.png',0,'2024-07-10 17:23:43'),
	(6922,'WOF035200003-WOB000001','WOG00480','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2312.html',0,'2024-07-10 17:23:43'),
	(6923,'WOF035200003-WOB000001','WOG00481','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2313.png',0,'2024-07-10 17:23:43'),
	(6924,'WOF035200003-WOB000001','WOG00481','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2313.html',0,'2024-07-10 17:23:43'),
	(6925,'WOF035200003-WOB000001','WOG00482','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2315.png',0,'2024-07-10 17:23:43'),
	(6926,'WOF035200003-WOB000001','WOG00482','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2315.html',0,'2024-07-10 17:23:43'),
	(6927,'WOF035200003-WOB000001','WOG00483','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2316.png',0,'2024-07-10 17:23:43'),
	(6928,'WOF035200003-WOB000001','WOG00483','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2316.html',0,'2024-07-10 17:23:43'),
	(6929,'WOF035200003-WOB000001','WOG00484','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2317.png',0,'2024-07-10 17:23:43'),
	(6930,'WOF035200003-WOB000001','WOG00484','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2317.html',0,'2024-07-10 17:23:43'),
	(6931,'WOF035200003-WOB000001','WOG00485','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2318.png',0,'2024-07-10 17:23:43'),
	(6932,'WOF035200003-WOB000001','WOG00485','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2318.html',0,'2024-07-10 17:23:43'),
	(6933,'WOF035200003-WOB000001','WOG00486','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2319.png',0,'2024-07-10 17:23:43'),
	(6934,'WOF035200003-WOB000001','WOG00486','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2319.html',0,'2024-07-10 17:23:43'),
	(6935,'WOF035200003-WOB000001','WOG00487','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2320.png',0,'2024-07-10 17:23:43'),
	(6936,'WOF035200003-WOB000001','WOG00487','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2320.html',0,'2024-07-10 17:23:43'),
	(6937,'WOF035200003-WOB000001','WOG00488','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2321.png',0,'2024-07-10 17:23:43'),
	(6938,'WOF035200003-WOB000001','WOG00488','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2321.html',0,'2024-07-10 17:23:43'),
	(6939,'WOF035200003-WOB000001','WOG00489','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2322.png',0,'2024-07-10 17:23:43'),
	(6940,'WOF035200003-WOB000001','WOG00489','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2322.html',0,'2024-07-10 17:23:43'),
	(6941,'WOF035200003-WOB000001','WOG00490','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2323.png',0,'2024-07-10 17:23:43'),
	(6942,'WOF035200003-WOB000001','WOG00490','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2323.html',0,'2024-07-10 17:23:43'),
	(6943,'WOF035200003-WOB000001','WOG00491','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2324.png',0,'2024-07-10 17:23:43'),
	(6944,'WOF035200003-WOB000001','WOG00491','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2324.html',0,'2024-07-10 17:23:43'),
	(6945,'WOF035200003-WOB000001','WOG00492','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2325.png',0,'2024-07-10 17:23:43'),
	(6946,'WOF035200003-WOB000001','WOG00492','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2325.html',0,'2024-07-10 17:23:43'),
	(6947,'WOF035200003-WOB000001','WOG00493','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2326.png',0,'2024-07-10 17:23:43'),
	(6948,'WOF035200003-WOB000001','WOG00493','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2326.html',0,'2024-07-10 17:23:43'),
	(6949,'WOF035200003-WOB000001','WOG00494','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2327.png',0,'2024-07-10 17:23:43'),
	(6950,'WOF035200003-WOB000001','WOG00494','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2327.html',0,'2024-07-10 17:23:43'),
	(6951,'WOF035200003-WOB000001','WOG00495','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2328.png',0,'2024-07-10 17:23:43'),
	(6952,'WOF035200003-WOB000001','WOG00495','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2328.html',0,'2024-07-10 17:23:43'),
	(6953,'WOF035200003-WOB000001','WOG00496','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2329.png',0,'2024-07-10 17:23:43'),
	(6954,'WOF035200003-WOB000001','WOG00496','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2329.html',0,'2024-07-10 17:23:43'),
	(6955,'WOF035200003-WOB000001','WOG00497','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2330.png',0,'2024-07-10 17:23:43'),
	(6956,'WOF035200003-WOB000001','WOG00497','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2330.html',0,'2024-07-10 17:23:43'),
	(6957,'WOF035200003-WOB000001','WOG00498','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2331.png',0,'2024-07-10 17:23:43'),
	(6958,'WOF035200003-WOB000001','WOG00498','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2331.html',0,'2024-07-10 17:23:43'),
	(6959,'WOF035200003-WOB000001','WOG00499','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2332.png',0,'2024-07-10 17:23:43'),
	(6960,'WOF035200003-WOB000001','WOG00499','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2332.html',0,'2024-07-10 17:23:43'),
	(6961,'WOF035200003-WOB000001','WOG00500','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2333.png',0,'2024-07-10 17:23:43'),
	(6962,'WOF035200003-WOB000001','WOG00500','wind_speed_frequency','wof035200003/WOF035200003-WOB000001/wind_speed_frequency/manual/%2333.html',0,'2024-07-10 17:23:43'),
	(6963,'WOF035200003-WOB000001','WOG00469','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2301.png',0,'2024-07-10 17:23:43'),
	(6964,'WOF035200003-WOB000001','WOG00469','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2301.html',0,'2024-07-10 17:23:43'),
	(6965,'WOF035200003-WOB000001','WOG00470','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2302.png',0,'2024-07-10 17:23:43'),
	(6966,'WOF035200003-WOB000001','WOG00470','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2302.html',0,'2024-07-10 17:23:43'),
	(6967,'WOF035200003-WOB000001','WOG00471','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2303.png',0,'2024-07-10 17:23:43'),
	(6968,'WOF035200003-WOB000001','WOG00471','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2303.html',0,'2024-07-10 17:23:43'),
	(6969,'WOF035200003-WOB000001','WOG00472','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2304.png',0,'2024-07-10 17:23:43'),
	(6970,'WOF035200003-WOB000001','WOG00472','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2304.html',0,'2024-07-10 17:23:43'),
	(6971,'WOF035200003-WOB000001','WOG00473','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2305.png',0,'2024-07-10 17:23:43'),
	(6972,'WOF035200003-WOB000001','WOG00473','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2305.html',0,'2024-07-10 17:23:43'),
	(6973,'WOF035200003-WOB000001','WOG00474','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2306.png',0,'2024-07-10 17:23:43'),
	(6974,'WOF035200003-WOB000001','WOG00474','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2306.html',0,'2024-07-10 17:23:43'),
	(6975,'WOF035200003-WOB000001','WOG00475','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2307.png',0,'2024-07-10 17:23:43'),
	(6976,'WOF035200003-WOB000001','WOG00475','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2307.html',0,'2024-07-10 17:23:43'),
	(6977,'WOF035200003-WOB000001','WOG00476','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2308.png',0,'2024-07-10 17:23:43'),
	(6978,'WOF035200003-WOB000001','WOG00476','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2308.html',0,'2024-07-10 17:23:43'),
	(6979,'WOF035200003-WOB000001','WOG00477','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2309.png',0,'2024-07-10 17:23:43'),
	(6980,'WOF035200003-WOB000001','WOG00477','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2309.html',0,'2024-07-10 17:23:43'),
	(6981,'WOF035200003-WOB000001','WOG00478','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2310.png',0,'2024-07-10 17:23:43'),
	(6982,'WOF035200003-WOB000001','WOG00478','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2310.html',0,'2024-07-10 17:23:43'),
	(6983,'WOF035200003-WOB000001','WOG00479','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2311.png',0,'2024-07-10 17:23:43'),
	(6984,'WOF035200003-WOB000001','WOG00479','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2311.html',0,'2024-07-10 17:23:43'),
	(6985,'WOF035200003-WOB000001','WOG00480','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2312.png',0,'2024-07-10 17:23:43'),
	(6986,'WOF035200003-WOB000001','WOG00480','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2312.html',0,'2024-07-10 17:23:43'),
	(6987,'WOF035200003-WOB000001','WOG00481','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2313.png',0,'2024-07-10 17:23:43'),
	(6988,'WOF035200003-WOB000001','WOG00481','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2313.html',0,'2024-07-10 17:23:43'),
	(6989,'WOF035200003-WOB000001','WOG00482','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2315.png',0,'2024-07-10 17:23:43'),
	(6990,'WOF035200003-WOB000001','WOG00482','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2315.html',0,'2024-07-10 17:23:43'),
	(6991,'WOF035200003-WOB000001','WOG00483','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2316.png',0,'2024-07-10 17:23:43'),
	(6992,'WOF035200003-WOB000001','WOG00483','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2316.html',0,'2024-07-10 17:23:43'),
	(6993,'WOF035200003-WOB000001','WOG00484','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2317.png',0,'2024-07-10 17:23:43'),
	(6994,'WOF035200003-WOB000001','WOG00484','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2317.html',0,'2024-07-10 17:23:43'),
	(6995,'WOF035200003-WOB000001','WOG00485','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2318.png',0,'2024-07-10 17:23:43'),
	(6996,'WOF035200003-WOB000001','WOG00485','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2318.html',0,'2024-07-10 17:23:43'),
	(6997,'WOF035200003-WOB000001','WOG00486','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2319.png',0,'2024-07-10 17:23:43'),
	(6998,'WOF035200003-WOB000001','WOG00486','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2319.html',0,'2024-07-10 17:23:43'),
	(6999,'WOF035200003-WOB000001','WOG00487','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2320.png',0,'2024-07-10 17:23:43'),
	(7000,'WOF035200003-WOB000001','WOG00487','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2320.html',0,'2024-07-10 17:23:43'),
	(7001,'WOF035200003-WOB000001','WOG00488','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2321.png',0,'2024-07-10 17:23:43'),
	(7002,'WOF035200003-WOB000001','WOG00488','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2321.html',0,'2024-07-10 17:23:43'),
	(7003,'WOF035200003-WOB000001','WOG00489','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2322.png',0,'2024-07-10 17:23:43'),
	(7004,'WOF035200003-WOB000001','WOG00489','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2322.html',0,'2024-07-10 17:23:43'),
	(7005,'WOF035200003-WOB000001','WOG00490','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2323.png',0,'2024-07-10 17:23:43'),
	(7006,'WOF035200003-WOB000001','WOG00490','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2323.html',0,'2024-07-10 17:23:43'),
	(7007,'WOF035200003-WOB000001','WOG00491','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2324.png',0,'2024-07-10 17:23:43'),
	(7008,'WOF035200003-WOB000001','WOG00491','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2324.html',0,'2024-07-10 17:23:43'),
	(7009,'WOF035200003-WOB000001','WOG00492','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2325.png',0,'2024-07-10 17:23:43'),
	(7010,'WOF035200003-WOB000001','WOG00492','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2325.html',0,'2024-07-10 17:23:43'),
	(7011,'WOF035200003-WOB000001','WOG00493','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2326.png',0,'2024-07-10 17:23:43'),
	(7012,'WOF035200003-WOB000001','WOG00493','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2326.html',0,'2024-07-10 17:23:43'),
	(7013,'WOF035200003-WOB000001','WOG00494','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2327.png',0,'2024-07-10 17:23:43'),
	(7014,'WOF035200003-WOB000001','WOG00494','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2327.html',0,'2024-07-10 17:23:43'),
	(7015,'WOF035200003-WOB000001','WOG00495','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2328.png',0,'2024-07-10 17:23:43'),
	(7016,'WOF035200003-WOB000001','WOG00495','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2328.html',0,'2024-07-10 17:23:43'),
	(7017,'WOF035200003-WOB000001','WOG00496','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2329.png',0,'2024-07-10 17:23:43'),
	(7018,'WOF035200003-WOB000001','WOG00496','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2329.html',0,'2024-07-10 17:23:43'),
	(7019,'WOF035200003-WOB000001','WOG00497','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2330.png',0,'2024-07-10 17:23:43'),
	(7020,'WOF035200003-WOB000001','WOG00497','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2330.html',0,'2024-07-10 17:23:43'),
	(7021,'WOF035200003-WOB000001','WOG00498','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2331.png',0,'2024-07-10 17:23:43'),
	(7022,'WOF035200003-WOB000001','WOG00498','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2331.html',0,'2024-07-10 17:23:43'),
	(7023,'WOF035200003-WOB000001','WOG00499','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2332.png',0,'2024-07-10 17:23:43'),
	(7024,'WOF035200003-WOB000001','WOG00499','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2332.html',0,'2024-07-10 17:23:43'),
	(7025,'WOF035200003-WOB000001','WOG00500','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2333.png',0,'2024-07-10 17:23:43'),
	(7026,'WOF035200003-WOB000001','WOG00500','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%2333.html',0,'2024-07-10 17:23:43'),
	(7027,'WOF035200003-WOB000001','WOG00469','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2301-scatter.png',0,'2024-07-10 17:23:43'),
	(7028,'WOF035200003-WOB000001','WOG00469','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2301-scatter.html',0,'2024-07-10 17:23:43'),
	(7029,'WOF035200003-WOB000001','WOG00470','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2302-scatter.png',0,'2024-07-10 17:23:43'),
	(7030,'WOF035200003-WOB000001','WOG00470','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2302-scatter.html',0,'2024-07-10 17:23:43'),
	(7031,'WOF035200003-WOB000001','WOG00471','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2303-scatter.png',0,'2024-07-10 17:23:43'),
	(7032,'WOF035200003-WOB000001','WOG00471','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2303-scatter.html',0,'2024-07-10 17:23:43'),
	(7033,'WOF035200003-WOB000001','WOG00472','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2304-scatter.png',0,'2024-07-10 17:23:43'),
	(7034,'WOF035200003-WOB000001','WOG00472','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2304-scatter.html',0,'2024-07-10 17:23:43'),
	(7035,'WOF035200003-WOB000001','WOG00473','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2305-scatter.png',0,'2024-07-10 17:23:43'),
	(7036,'WOF035200003-WOB000001','WOG00473','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2305-scatter.html',0,'2024-07-10 17:23:43'),
	(7037,'WOF035200003-WOB000001','WOG00474','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2306-scatter.png',0,'2024-07-10 17:23:43'),
	(7038,'WOF035200003-WOB000001','WOG00474','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2306-scatter.html',0,'2024-07-10 17:23:43'),
	(7039,'WOF035200003-WOB000001','WOG00475','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2307-scatter.png',0,'2024-07-10 17:23:43'),
	(7040,'WOF035200003-WOB000001','WOG00475','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2307-scatter.html',0,'2024-07-10 17:23:43'),
	(7041,'WOF035200003-WOB000001','WOG00476','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2308-scatter.png',0,'2024-07-10 17:23:43'),
	(7042,'WOF035200003-WOB000001','WOG00476','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2308-scatter.html',0,'2024-07-10 17:23:43'),
	(7043,'WOF035200003-WOB000001','WOG00477','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2309-scatter.png',0,'2024-07-10 17:23:43'),
	(7044,'WOF035200003-WOB000001','WOG00477','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2309-scatter.html',0,'2024-07-10 17:23:43'),
	(7045,'WOF035200003-WOB000001','WOG00478','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2310-scatter.png',0,'2024-07-10 17:23:43'),
	(7046,'WOF035200003-WOB000001','WOG00478','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2310-scatter.html',0,'2024-07-10 17:23:43'),
	(7047,'WOF035200003-WOB000001','WOG00479','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2311-scatter.png',0,'2024-07-10 17:23:43'),
	(7048,'WOF035200003-WOB000001','WOG00479','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2311-scatter.html',0,'2024-07-10 17:23:43'),
	(7049,'WOF035200003-WOB000001','WOG00480','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2312-scatter.png',0,'2024-07-10 17:23:43'),
	(7050,'WOF035200003-WOB000001','WOG00480','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2312-scatter.html',0,'2024-07-10 17:23:43'),
	(7051,'WOF035200003-WOB000001','WOG00481','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2313-scatter.png',0,'2024-07-10 17:23:43'),
	(7052,'WOF035200003-WOB000001','WOG00481','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2313-scatter.html',0,'2024-07-10 17:23:43'),
	(7053,'WOF035200003-WOB000001','WOG00482','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2315-scatter.png',0,'2024-07-10 17:23:43'),
	(7054,'WOF035200003-WOB000001','WOG00482','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2315-scatter.html',0,'2024-07-10 17:23:43'),
	(7055,'WOF035200003-WOB000001','WOG00483','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2316-scatter.png',0,'2024-07-10 17:23:43'),
	(7056,'WOF035200003-WOB000001','WOG00483','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2316-scatter.html',0,'2024-07-10 17:23:43'),
	(7057,'WOF035200003-WOB000001','WOG00484','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2317-scatter.png',0,'2024-07-10 17:23:43'),
	(7058,'WOF035200003-WOB000001','WOG00484','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2317-scatter.html',0,'2024-07-10 17:23:43'),
	(7059,'WOF035200003-WOB000001','WOG00485','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2318-scatter.png',0,'2024-07-10 17:23:43'),
	(7060,'WOF035200003-WOB000001','WOG00485','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2318-scatter.html',0,'2024-07-10 17:23:43'),
	(7061,'WOF035200003-WOB000001','WOG00486','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2319-scatter.png',0,'2024-07-10 17:23:43'),
	(7062,'WOF035200003-WOB000001','WOG00486','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2319-scatter.html',0,'2024-07-10 17:23:43'),
	(7063,'WOF035200003-WOB000001','WOG00487','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2320-scatter.png',0,'2024-07-10 17:23:43'),
	(7064,'WOF035200003-WOB000001','WOG00487','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2320-scatter.html',0,'2024-07-10 17:23:43'),
	(7065,'WOF035200003-WOB000001','WOG00488','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2321-scatter.png',0,'2024-07-10 17:23:43'),
	(7066,'WOF035200003-WOB000001','WOG00488','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2321-scatter.html',0,'2024-07-10 17:23:43'),
	(7067,'WOF035200003-WOB000001','WOG00489','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2322-scatter.png',0,'2024-07-10 17:23:43'),
	(7068,'WOF035200003-WOB000001','WOG00489','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2322-scatter.html',0,'2024-07-10 17:23:43'),
	(7069,'WOF035200003-WOB000001','WOG00490','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2323-scatter.png',0,'2024-07-10 17:23:43'),
	(7070,'WOF035200003-WOB000001','WOG00490','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2323-scatter.html',0,'2024-07-10 17:23:43'),
	(7071,'WOF035200003-WOB000001','WOG00491','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2324-scatter.png',0,'2024-07-10 17:23:43'),
	(7072,'WOF035200003-WOB000001','WOG00491','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2324-scatter.html',0,'2024-07-10 17:23:43'),
	(7073,'WOF035200003-WOB000001','WOG00492','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2325-scatter.png',0,'2024-07-10 17:23:43'),
	(7074,'WOF035200003-WOB000001','WOG00492','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2325-scatter.html',0,'2024-07-10 17:23:43'),
	(7075,'WOF035200003-WOB000001','WOG00493','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2326-scatter.png',0,'2024-07-10 17:23:43'),
	(7076,'WOF035200003-WOB000001','WOG00493','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2326-scatter.html',0,'2024-07-10 17:23:43'),
	(7077,'WOF035200003-WOB000001','WOG00494','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2327-scatter.png',0,'2024-07-10 17:23:43'),
	(7078,'WOF035200003-WOB000001','WOG00494','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2327-scatter.html',0,'2024-07-10 17:23:43'),
	(7079,'WOF035200003-WOB000001','WOG00495','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2328-scatter.png',0,'2024-07-10 17:23:43'),
	(7080,'WOF035200003-WOB000001','WOG00495','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2328-scatter.html',0,'2024-07-10 17:23:43'),
	(7081,'WOF035200003-WOB000001','WOG00496','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2329-scatter.png',0,'2024-07-10 17:23:43'),
	(7082,'WOF035200003-WOB000001','WOG00496','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2329-scatter.html',0,'2024-07-10 17:23:43'),
	(7083,'WOF035200003-WOB000001','WOG00497','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2330-scatter.png',0,'2024-07-10 17:23:43'),
	(7084,'WOF035200003-WOB000001','WOG00497','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2330-scatter.html',0,'2024-07-10 17:23:43'),
	(7085,'WOF035200003-WOB000001','WOG00498','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2331-scatter.png',0,'2024-07-10 17:23:43'),
	(7086,'WOF035200003-WOB000001','WOG00498','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2331-scatter.html',0,'2024-07-10 17:23:43'),
	(7087,'WOF035200003-WOB000001','WOG00499','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2332-scatter.png',0,'2024-07-10 17:23:43'),
	(7088,'WOF035200003-WOB000001','WOG00499','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2332-scatter.html',0,'2024-07-10 17:23:43'),
	(7089,'WOF035200003-WOB000001','WOG00500','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2333-scatter.png',0,'2024-07-10 17:23:43'),
	(7090,'WOF035200003-WOB000001','WOG00500','power_scatter_2D','wof035200003/WOF035200003-WOB000001/power_scatter_2D/manual/%2333-scatter.html',0,'2024-07-10 17:23:43'),
	(7091,'WOF035200003-WOB000001','WOG00469','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2301.html',0,'2024-07-10 17:23:43'),
	(7092,'WOF035200003-WOB000001','WOG00470','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2302.html',0,'2024-07-10 17:23:43'),
	(7093,'WOF035200003-WOB000001','WOG00471','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2303.html',0,'2024-07-10 17:23:43'),
	(7094,'WOF035200003-WOB000001','WOG00472','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2304.html',0,'2024-07-10 17:23:43'),
	(7095,'WOF035200003-WOB000001','WOG00473','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2305.html',0,'2024-07-10 17:23:43'),
	(7096,'WOF035200003-WOB000001','WOG00474','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2306.html',0,'2024-07-10 17:23:43'),
	(7097,'WOF035200003-WOB000001','WOG00475','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2307.html',0,'2024-07-10 17:23:43'),
	(7098,'WOF035200003-WOB000001','WOG00476','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2308.html',0,'2024-07-10 17:23:43'),
	(7099,'WOF035200003-WOB000001','WOG00477','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2309.html',0,'2024-07-10 17:23:43'),
	(7100,'WOF035200003-WOB000001','WOG00478','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2310.html',0,'2024-07-10 17:23:43'),
	(7101,'WOF035200003-WOB000001','WOG00479','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2311.html',0,'2024-07-10 17:23:43'),
	(7102,'WOF035200003-WOB000001','WOG00480','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2312.html',0,'2024-07-10 17:23:43'),
	(7103,'WOF035200003-WOB000001','WOG00481','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2313.html',0,'2024-07-10 17:23:43'),
	(7104,'WOF035200003-WOB000001','WOG00482','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2315.html',0,'2024-07-10 17:23:43'),
	(7105,'WOF035200003-WOB000001','WOG00483','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2316.html',0,'2024-07-10 17:23:43'),
	(7106,'WOF035200003-WOB000001','WOG00484','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2317.html',0,'2024-07-10 17:23:43'),
	(7107,'WOF035200003-WOB000001','WOG00485','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2318.html',0,'2024-07-10 17:23:43'),
	(7108,'WOF035200003-WOB000001','WOG00486','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2319.html',0,'2024-07-10 17:23:43'),
	(7109,'WOF035200003-WOB000001','WOG00487','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2320.html',0,'2024-07-10 17:23:43'),
	(7110,'WOF035200003-WOB000001','WOG00488','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2321.html',0,'2024-07-10 17:23:43'),
	(7111,'WOF035200003-WOB000001','WOG00489','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2322.html',0,'2024-07-10 17:23:43'),
	(7112,'WOF035200003-WOB000001','WOG00490','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2323.html',0,'2024-07-10 17:23:43'),
	(7113,'WOF035200003-WOB000001','WOG00491','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2324.html',0,'2024-07-10 17:23:43'),
	(7114,'WOF035200003-WOB000001','WOG00492','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2325.html',0,'2024-07-10 17:23:43'),
	(7115,'WOF035200003-WOB000001','WOG00493','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2326.html',0,'2024-07-10 17:23:43'),
	(7116,'WOF035200003-WOB000001','WOG00494','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2327.html',0,'2024-07-10 17:23:43'),
	(7117,'WOF035200003-WOB000001','WOG00495','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2328.html',0,'2024-07-10 17:23:43'),
	(7118,'WOF035200003-WOB000001','WOG00496','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2329.html',0,'2024-07-10 17:23:43'),
	(7119,'WOF035200003-WOB000001','WOG00497','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2330.html',0,'2024-07-10 17:23:43'),
	(7120,'WOF035200003-WOB000001','WOG00498','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2331.html',0,'2024-07-10 17:23:43'),
	(7121,'WOF035200003-WOB000001','WOG00499','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2332.html',0,'2024-07-10 17:23:43'),
	(7122,'WOF035200003-WOB000001','WOG00500','power_scatter','wof035200003/WOF035200003-WOB000001/power_scatter/manual/%2333.html',0,'2024-07-10 17:23:43'),
	(7123,'WOF035200003-WOB000001','WOG00469','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2301.png',0,'2024-07-10 17:23:43'),
	(7124,'WOF035200003-WOB000001','WOG00469','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2301.html',0,'2024-07-10 17:23:43'),
	(7125,'WOF035200003-WOB000001','WOG00470','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2302.png',0,'2024-07-10 17:23:43'),
	(7126,'WOF035200003-WOB000001','WOG00470','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2302.html',0,'2024-07-10 17:23:43'),
	(7127,'WOF035200003-WOB000001','WOG00471','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2303.png',0,'2024-07-10 17:23:43'),
	(7128,'WOF035200003-WOB000001','WOG00471','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2303.html',0,'2024-07-10 17:23:43'),
	(7129,'WOF035200003-WOB000001','WOG00472','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2304.png',0,'2024-07-10 17:23:43'),
	(7130,'WOF035200003-WOB000001','WOG00472','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2304.html',0,'2024-07-10 17:23:43'),
	(7131,'WOF035200003-WOB000001','WOG00473','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2305.png',0,'2024-07-10 17:23:43'),
	(7132,'WOF035200003-WOB000001','WOG00473','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2305.html',0,'2024-07-10 17:23:43'),
	(7133,'WOF035200003-WOB000001','WOG00474','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2306.png',0,'2024-07-10 17:23:43'),
	(7134,'WOF035200003-WOB000001','WOG00474','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2306.html',0,'2024-07-10 17:23:43'),
	(7135,'WOF035200003-WOB000001','WOG00475','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2307.png',0,'2024-07-10 17:23:43'),
	(7136,'WOF035200003-WOB000001','WOG00475','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2307.html',0,'2024-07-10 17:23:43'),
	(7137,'WOF035200003-WOB000001','WOG00476','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2308.png',0,'2024-07-10 17:23:43'),
	(7138,'WOF035200003-WOB000001','WOG00476','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2308.html',0,'2024-07-10 17:23:43'),
	(7139,'WOF035200003-WOB000001','WOG00477','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2309.png',0,'2024-07-10 17:23:43'),
	(7140,'WOF035200003-WOB000001','WOG00477','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2309.html',0,'2024-07-10 17:23:43'),
	(7141,'WOF035200003-WOB000001','WOG00478','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2310.png',0,'2024-07-10 17:23:43'),
	(7142,'WOF035200003-WOB000001','WOG00478','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2310.html',0,'2024-07-10 17:23:43'),
	(7143,'WOF035200003-WOB000001','WOG00479','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2311.png',0,'2024-07-10 17:23:43'),
	(7144,'WOF035200003-WOB000001','WOG00479','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2311.html',0,'2024-07-10 17:23:43'),
	(7145,'WOF035200003-WOB000001','WOG00480','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2312.png',0,'2024-07-10 17:23:43'),
	(7146,'WOF035200003-WOB000001','WOG00480','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2312.html',0,'2024-07-10 17:23:43'),
	(7147,'WOF035200003-WOB000001','WOG00481','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2313.png',0,'2024-07-10 17:23:43'),
	(7148,'WOF035200003-WOB000001','WOG00481','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2313.html',0,'2024-07-10 17:23:43'),
	(7149,'WOF035200003-WOB000001','WOG00482','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2315.png',0,'2024-07-10 17:23:43'),
	(7150,'WOF035200003-WOB000001','WOG00482','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2315.html',0,'2024-07-10 17:23:43'),
	(7151,'WOF035200003-WOB000001','WOG00483','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2316.png',0,'2024-07-10 17:23:43'),
	(7152,'WOF035200003-WOB000001','WOG00483','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2316.html',0,'2024-07-10 17:23:43'),
	(7153,'WOF035200003-WOB000001','WOG00484','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2317.png',0,'2024-07-10 17:23:43'),
	(7154,'WOF035200003-WOB000001','WOG00484','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2317.html',0,'2024-07-10 17:23:43'),
	(7155,'WOF035200003-WOB000001','WOG00485','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2318.png',0,'2024-07-10 17:23:43'),
	(7156,'WOF035200003-WOB000001','WOG00485','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2318.html',0,'2024-07-10 17:23:43'),
	(7157,'WOF035200003-WOB000001','WOG00486','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2319.png',0,'2024-07-10 17:23:43'),
	(7158,'WOF035200003-WOB000001','WOG00486','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2319.html',0,'2024-07-10 17:23:43'),
	(7159,'WOF035200003-WOB000001','WOG00487','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2320.png',0,'2024-07-10 17:23:43'),
	(7160,'WOF035200003-WOB000001','WOG00487','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2320.html',0,'2024-07-10 17:23:43'),
	(7161,'WOF035200003-WOB000001','WOG00488','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2321.png',0,'2024-07-10 17:23:43'),
	(7162,'WOF035200003-WOB000001','WOG00488','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2321.html',0,'2024-07-10 17:23:43'),
	(7163,'WOF035200003-WOB000001','WOG00489','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2322.png',0,'2024-07-10 17:23:43'),
	(7164,'WOF035200003-WOB000001','WOG00489','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2322.html',0,'2024-07-10 17:23:43'),
	(7165,'WOF035200003-WOB000001','WOG00490','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2323.png',0,'2024-07-10 17:23:43'),
	(7166,'WOF035200003-WOB000001','WOG00490','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2323.html',0,'2024-07-10 17:23:43'),
	(7167,'WOF035200003-WOB000001','WOG00491','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2324.png',0,'2024-07-10 17:23:43'),
	(7168,'WOF035200003-WOB000001','WOG00491','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2324.html',0,'2024-07-10 17:23:43'),
	(7169,'WOF035200003-WOB000001','WOG00492','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2325.png',0,'2024-07-10 17:23:43'),
	(7170,'WOF035200003-WOB000001','WOG00492','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2325.html',0,'2024-07-10 17:23:43'),
	(7171,'WOF035200003-WOB000001','WOG00493','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2326.png',0,'2024-07-10 17:23:43'),
	(7172,'WOF035200003-WOB000001','WOG00493','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2326.html',0,'2024-07-10 17:23:43'),
	(7173,'WOF035200003-WOB000001','WOG00494','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2327.png',0,'2024-07-10 17:23:43'),
	(7174,'WOF035200003-WOB000001','WOG00494','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2327.html',0,'2024-07-10 17:23:43'),
	(7175,'WOF035200003-WOB000001','WOG00495','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2328.png',0,'2024-07-10 17:23:43'),
	(7176,'WOF035200003-WOB000001','WOG00495','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2328.html',0,'2024-07-10 17:23:43'),
	(7177,'WOF035200003-WOB000001','WOG00496','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2329.png',0,'2024-07-10 17:23:43'),
	(7178,'WOF035200003-WOB000001','WOG00496','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2329.html',0,'2024-07-10 17:23:43'),
	(7179,'WOF035200003-WOB000001','WOG00497','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2330.png',0,'2024-07-10 17:23:43'),
	(7180,'WOF035200003-WOB000001','WOG00497','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2330.html',0,'2024-07-10 17:23:43'),
	(7181,'WOF035200003-WOB000001','WOG00498','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2331.png',0,'2024-07-10 17:23:43'),
	(7182,'WOF035200003-WOB000001','WOG00498','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2331.html',0,'2024-07-10 17:23:43'),
	(7183,'WOF035200003-WOB000001','WOG00499','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2332.png',0,'2024-07-10 17:23:43'),
	(7184,'WOF035200003-WOB000001','WOG00499','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2332.html',0,'2024-07-10 17:23:43'),
	(7185,'WOF035200003-WOB000001','WOG00500','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2333.png',0,'2024-07-10 17:23:43'),
	(7186,'WOF035200003-WOB000001','WOG00500','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2333.html',0,'2024-07-10 17:23:43'),
	(7187,'WOF035200003-WOB000001','WOG00469','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2301_3D.html',0,'2024-07-10 17:23:43'),
	(7188,'WOF035200003-WOB000001','WOG00470','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2302_3D.html',0,'2024-07-10 17:23:43'),
	(7189,'WOF035200003-WOB000001','WOG00471','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2303_3D.html',0,'2024-07-10 17:23:43'),
	(7190,'WOF035200003-WOB000001','WOG00472','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2304_3D.html',0,'2024-07-10 17:23:43'),
	(7191,'WOF035200003-WOB000001','WOG00473','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2305_3D.html',0,'2024-07-10 17:23:43'),
	(7192,'WOF035200003-WOB000001','WOG00474','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2306_3D.html',0,'2024-07-10 17:23:43'),
	(7193,'WOF035200003-WOB000001','WOG00475','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2307_3D.html',0,'2024-07-10 17:23:43'),
	(7194,'WOF035200003-WOB000001','WOG00476','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2308_3D.html',0,'2024-07-10 17:23:43'),
	(7195,'WOF035200003-WOB000001','WOG00477','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2309_3D.html',0,'2024-07-10 17:23:43'),
	(7196,'WOF035200003-WOB000001','WOG00478','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2310_3D.html',0,'2024-07-10 17:23:43'),
	(7197,'WOF035200003-WOB000001','WOG00479','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2311_3D.html',0,'2024-07-10 17:23:43'),
	(7198,'WOF035200003-WOB000001','WOG00480','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2312_3D.html',0,'2024-07-10 17:23:43'),
	(7199,'WOF035200003-WOB000001','WOG00481','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2313_3D.html',0,'2024-07-10 17:23:43'),
	(7200,'WOF035200003-WOB000001','WOG00482','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2315_3D.html',0,'2024-07-10 17:23:43'),
	(7201,'WOF035200003-WOB000001','WOG00483','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2316_3D.html',0,'2024-07-10 17:23:43'),
	(7202,'WOF035200003-WOB000001','WOG00484','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2317_3D.html',0,'2024-07-10 17:23:43'),
	(7203,'WOF035200003-WOB000001','WOG00485','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2318_3D.html',0,'2024-07-10 17:23:43'),
	(7204,'WOF035200003-WOB000001','WOG00486','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2319_3D.html',0,'2024-07-10 17:23:43'),
	(7205,'WOF035200003-WOB000001','WOG00487','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2320_3D.html',0,'2024-07-10 17:23:43'),
	(7206,'WOF035200003-WOB000001','WOG00488','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2321_3D.html',0,'2024-07-10 17:23:43'),
	(7207,'WOF035200003-WOB000001','WOG00489','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2322_3D.html',0,'2024-07-10 17:23:43'),
	(7208,'WOF035200003-WOB000001','WOG00490','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2323_3D.html',0,'2024-07-10 17:23:43'),
	(7209,'WOF035200003-WOB000001','WOG00491','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2324_3D.html',0,'2024-07-10 17:23:43'),
	(7210,'WOF035200003-WOB000001','WOG00492','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2325_3D.html',0,'2024-07-10 17:23:43'),
	(7211,'WOF035200003-WOB000001','WOG00493','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2326_3D.html',0,'2024-07-10 17:23:43'),
	(7212,'WOF035200003-WOB000001','WOG00494','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2327_3D.html',0,'2024-07-10 17:23:43'),
	(7213,'WOF035200003-WOB000001','WOG00495','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2328_3D.html',0,'2024-07-10 17:23:43'),
	(7214,'WOF035200003-WOB000001','WOG00496','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2329_3D.html',0,'2024-07-10 17:23:43'),
	(7215,'WOF035200003-WOB000001','WOG00497','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2330_3D.html',0,'2024-07-10 17:23:43'),
	(7216,'WOF035200003-WOB000001','WOG00498','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2331_3D.html',0,'2024-07-10 17:23:43'),
	(7217,'WOF035200003-WOB000001','WOG00499','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2332_3D.html',0,'2024-07-10 17:23:43'),
	(7218,'WOF035200003-WOB000001','WOG00500','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/%2333_3D.html',0,'2024-07-10 17:23:43'),
	(7219,'WOF035200003-WOB000001','WOG00469','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2301.png',0,'2024-07-10 17:23:43'),
	(7220,'WOF035200003-WOB000001','WOG00469','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2301.html',0,'2024-07-10 17:23:43'),
	(7221,'WOF035200003-WOB000001','WOG00470','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2302.png',0,'2024-07-10 17:23:43'),
	(7222,'WOF035200003-WOB000001','WOG00470','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2302.html',0,'2024-07-10 17:23:43'),
	(7223,'WOF035200003-WOB000001','WOG00471','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2303.png',0,'2024-07-10 17:23:43'),
	(7224,'WOF035200003-WOB000001','WOG00471','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2303.html',0,'2024-07-10 17:23:43'),
	(7225,'WOF035200003-WOB000001','WOG00472','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2304.png',0,'2024-07-10 17:23:43'),
	(7226,'WOF035200003-WOB000001','WOG00472','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2304.html',0,'2024-07-10 17:23:43'),
	(7227,'WOF035200003-WOB000001','WOG00473','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2305.png',0,'2024-07-10 17:23:43'),
	(7228,'WOF035200003-WOB000001','WOG00473','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2305.html',0,'2024-07-10 17:23:43'),
	(7229,'WOF035200003-WOB000001','WOG00474','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2306.png',0,'2024-07-10 17:23:43'),
	(7230,'WOF035200003-WOB000001','WOG00474','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2306.html',0,'2024-07-10 17:23:43'),
	(7231,'WOF035200003-WOB000001','WOG00475','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2307.png',0,'2024-07-10 17:23:43'),
	(7232,'WOF035200003-WOB000001','WOG00475','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2307.html',0,'2024-07-10 17:23:43'),
	(7233,'WOF035200003-WOB000001','WOG00476','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2308.png',0,'2024-07-10 17:23:43'),
	(7234,'WOF035200003-WOB000001','WOG00476','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2308.html',0,'2024-07-10 17:23:43'),
	(7235,'WOF035200003-WOB000001','WOG00477','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2309.png',0,'2024-07-10 17:23:43'),
	(7236,'WOF035200003-WOB000001','WOG00477','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2309.html',0,'2024-07-10 17:23:43'),
	(7237,'WOF035200003-WOB000001','WOG00478','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2310.png',0,'2024-07-10 17:23:43'),
	(7238,'WOF035200003-WOB000001','WOG00478','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2310.html',0,'2024-07-10 17:23:43'),
	(7239,'WOF035200003-WOB000001','WOG00479','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2311.png',0,'2024-07-10 17:23:43'),
	(7240,'WOF035200003-WOB000001','WOG00479','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2311.html',0,'2024-07-10 17:23:43'),
	(7241,'WOF035200003-WOB000001','WOG00480','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2312.png',0,'2024-07-10 17:23:43'),
	(7242,'WOF035200003-WOB000001','WOG00480','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2312.html',0,'2024-07-10 17:23:43'),
	(7243,'WOF035200003-WOB000001','WOG00481','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2313.png',0,'2024-07-10 17:23:43'),
	(7244,'WOF035200003-WOB000001','WOG00481','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2313.html',0,'2024-07-10 17:23:43'),
	(7245,'WOF035200003-WOB000001','WOG00482','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2315.png',0,'2024-07-10 17:23:43'),
	(7246,'WOF035200003-WOB000001','WOG00482','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2315.html',0,'2024-07-10 17:23:43'),
	(7247,'WOF035200003-WOB000001','WOG00483','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2316.png',0,'2024-07-10 17:23:43'),
	(7248,'WOF035200003-WOB000001','WOG00483','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2316.html',0,'2024-07-10 17:23:43'),
	(7249,'WOF035200003-WOB000001','WOG00484','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2317.png',0,'2024-07-10 17:23:43'),
	(7250,'WOF035200003-WOB000001','WOG00484','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2317.html',0,'2024-07-10 17:23:43'),
	(7251,'WOF035200003-WOB000001','WOG00485','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2318.png',0,'2024-07-10 17:23:43'),
	(7252,'WOF035200003-WOB000001','WOG00485','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2318.html',0,'2024-07-10 17:23:43'),
	(7253,'WOF035200003-WOB000001','WOG00486','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2319.png',0,'2024-07-10 17:23:43'),
	(7254,'WOF035200003-WOB000001','WOG00486','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2319.html',0,'2024-07-10 17:23:43'),
	(7255,'WOF035200003-WOB000001','WOG00487','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2320.png',0,'2024-07-10 17:23:43'),
	(7256,'WOF035200003-WOB000001','WOG00487','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2320.html',0,'2024-07-10 17:23:43'),
	(7257,'WOF035200003-WOB000001','WOG00488','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2321.png',0,'2024-07-10 17:23:43'),
	(7258,'WOF035200003-WOB000001','WOG00488','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2321.html',0,'2024-07-10 17:23:43'),
	(7259,'WOF035200003-WOB000001','WOG00489','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2322.png',0,'2024-07-10 17:23:43'),
	(7260,'WOF035200003-WOB000001','WOG00489','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2322.html',0,'2024-07-10 17:23:43'),
	(7261,'WOF035200003-WOB000001','WOG00490','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2323.png',0,'2024-07-10 17:23:43'),
	(7262,'WOF035200003-WOB000001','WOG00490','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2323.html',0,'2024-07-10 17:23:43'),
	(7263,'WOF035200003-WOB000001','WOG00491','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2324.png',0,'2024-07-10 17:23:43'),
	(7264,'WOF035200003-WOB000001','WOG00491','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2324.html',0,'2024-07-10 17:23:43'),
	(7265,'WOF035200003-WOB000001','WOG00492','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2325.png',0,'2024-07-10 17:23:43'),
	(7266,'WOF035200003-WOB000001','WOG00492','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2325.html',0,'2024-07-10 17:23:43'),
	(7267,'WOF035200003-WOB000001','WOG00493','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2326.png',0,'2024-07-10 17:23:43'),
	(7268,'WOF035200003-WOB000001','WOG00493','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2326.html',0,'2024-07-10 17:23:43'),
	(7269,'WOF035200003-WOB000001','WOG00494','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2327.png',0,'2024-07-10 17:23:43'),
	(7270,'WOF035200003-WOB000001','WOG00494','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2327.html',0,'2024-07-10 17:23:43'),
	(7271,'WOF035200003-WOB000001','WOG00495','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2328.png',0,'2024-07-10 17:23:43'),
	(7272,'WOF035200003-WOB000001','WOG00495','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2328.html',0,'2024-07-10 17:23:43'),
	(7273,'WOF035200003-WOB000001','WOG00496','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2329.png',0,'2024-07-10 17:23:43'),
	(7274,'WOF035200003-WOB000001','WOG00496','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2329.html',0,'2024-07-10 17:23:43'),
	(7275,'WOF035200003-WOB000001','WOG00497','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2330.png',0,'2024-07-10 17:23:43'),
	(7276,'WOF035200003-WOB000001','WOG00497','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2330.html',0,'2024-07-10 17:23:43'),
	(7277,'WOF035200003-WOB000001','WOG00498','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2331.png',0,'2024-07-10 17:23:43'),
	(7278,'WOF035200003-WOB000001','WOG00498','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2331.html',0,'2024-07-10 17:23:43'),
	(7279,'WOF035200003-WOB000001','WOG00499','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2332.png',0,'2024-07-10 17:23:43'),
	(7280,'WOF035200003-WOB000001','WOG00499','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2332.html',0,'2024-07-10 17:23:43'),
	(7281,'WOF035200003-WOB000001','WOG00500','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2333.png',0,'2024-07-10 17:23:43'),
	(7282,'WOF035200003-WOB000001','WOG00500','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2333.html',0,'2024-07-10 17:23:43'),
	(7283,'WOF035200003-WOB000001','WOG00469','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2301_3D.html',0,'2024-07-10 17:23:43'),
	(7284,'WOF035200003-WOB000001','WOG00470','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2302_3D.html',0,'2024-07-10 17:23:43'),
	(7285,'WOF035200003-WOB000001','WOG00471','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2303_3D.html',0,'2024-07-10 17:23:43'),
	(7286,'WOF035200003-WOB000001','WOG00472','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2304_3D.html',0,'2024-07-10 17:23:43'),
	(7287,'WOF035200003-WOB000001','WOG00473','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2305_3D.html',0,'2024-07-10 17:23:43'),
	(7288,'WOF035200003-WOB000001','WOG00474','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2306_3D.html',0,'2024-07-10 17:23:43'),
	(7289,'WOF035200003-WOB000001','WOG00475','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2307_3D.html',0,'2024-07-10 17:23:43'),
	(7290,'WOF035200003-WOB000001','WOG00476','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2308_3D.html',0,'2024-07-10 17:23:43'),
	(7291,'WOF035200003-WOB000001','WOG00477','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2309_3D.html',0,'2024-07-10 17:23:43'),
	(7292,'WOF035200003-WOB000001','WOG00478','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2310_3D.html',0,'2024-07-10 17:23:43'),
	(7293,'WOF035200003-WOB000001','WOG00479','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2311_3D.html',0,'2024-07-10 17:23:43'),
	(7294,'WOF035200003-WOB000001','WOG00480','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2312_3D.html',0,'2024-07-10 17:23:43'),
	(7295,'WOF035200003-WOB000001','WOG00481','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2313_3D.html',0,'2024-07-10 17:23:43'),
	(7296,'WOF035200003-WOB000001','WOG00482','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2315_3D.html',0,'2024-07-10 17:23:43'),
	(7297,'WOF035200003-WOB000001','WOG00483','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2316_3D.html',0,'2024-07-10 17:23:43'),
	(7298,'WOF035200003-WOB000001','WOG00484','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2317_3D.html',0,'2024-07-10 17:23:43'),
	(7299,'WOF035200003-WOB000001','WOG00485','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2318_3D.html',0,'2024-07-10 17:23:43'),
	(7300,'WOF035200003-WOB000001','WOG00486','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2319_3D.html',0,'2024-07-10 17:23:43'),
	(7301,'WOF035200003-WOB000001','WOG00487','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2320_3D.html',0,'2024-07-10 17:23:43'),
	(7302,'WOF035200003-WOB000001','WOG00488','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2321_3D.html',0,'2024-07-10 17:23:43'),
	(7303,'WOF035200003-WOB000001','WOG00489','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2322_3D.html',0,'2024-07-10 17:23:43'),
	(7304,'WOF035200003-WOB000001','WOG00490','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2323_3D.html',0,'2024-07-10 17:23:43'),
	(7305,'WOF035200003-WOB000001','WOG00491','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2324_3D.html',0,'2024-07-10 17:23:43'),
	(7306,'WOF035200003-WOB000001','WOG00492','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2325_3D.html',0,'2024-07-10 17:23:43'),
	(7307,'WOF035200003-WOB000001','WOG00493','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2326_3D.html',0,'2024-07-10 17:23:43'),
	(7308,'WOF035200003-WOB000001','WOG00494','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2327_3D.html',0,'2024-07-10 17:23:43'),
	(7309,'WOF035200003-WOB000001','WOG00495','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2328_3D.html',0,'2024-07-10 17:23:43'),
	(7310,'WOF035200003-WOB000001','WOG00496','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2329_3D.html',0,'2024-07-10 17:23:43'),
	(7311,'WOF035200003-WOB000001','WOG00497','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2330_3D.html',0,'2024-07-10 17:23:43'),
	(7312,'WOF035200003-WOB000001','WOG00498','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2331_3D.html',0,'2024-07-10 17:23:43'),
	(7313,'WOF035200003-WOB000001','WOG00499','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2332_3D.html',0,'2024-07-10 17:23:43'),
	(7314,'WOF035200003-WOB000001','WOG00500','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/%2333_3D.html',0,'2024-07-10 17:23:43'),
	(7315,'WOF035200003-WOB000001','WOG00469','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2301.png',0,'2024-07-10 17:23:43'),
	(7316,'WOF035200003-WOB000001','WOG00469','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2301.html',0,'2024-07-10 17:23:43'),
	(7317,'WOF035200003-WOB000001','WOG00470','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2302.png',0,'2024-07-10 17:23:43'),
	(7318,'WOF035200003-WOB000001','WOG00470','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2302.html',0,'2024-07-10 17:23:43'),
	(7319,'WOF035200003-WOB000001','WOG00471','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2303.png',0,'2024-07-10 17:23:43'),
	(7320,'WOF035200003-WOB000001','WOG00471','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2303.html',0,'2024-07-10 17:23:43'),
	(7321,'WOF035200003-WOB000001','WOG00472','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2304.png',0,'2024-07-10 17:23:43'),
	(7322,'WOF035200003-WOB000001','WOG00472','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2304.html',0,'2024-07-10 17:23:43'),
	(7323,'WOF035200003-WOB000001','WOG00473','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2305.png',0,'2024-07-10 17:23:43'),
	(7324,'WOF035200003-WOB000001','WOG00473','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2305.html',0,'2024-07-10 17:23:43'),
	(7325,'WOF035200003-WOB000001','WOG00474','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2306.png',0,'2024-07-10 17:23:43'),
	(7326,'WOF035200003-WOB000001','WOG00474','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2306.html',0,'2024-07-10 17:23:43'),
	(7327,'WOF035200003-WOB000001','WOG00475','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2307.png',0,'2024-07-10 17:23:43'),
	(7328,'WOF035200003-WOB000001','WOG00475','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2307.html',0,'2024-07-10 17:23:43'),
	(7329,'WOF035200003-WOB000001','WOG00476','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2308.png',0,'2024-07-10 17:23:43'),
	(7330,'WOF035200003-WOB000001','WOG00476','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2308.html',0,'2024-07-10 17:23:43'),
	(7331,'WOF035200003-WOB000001','WOG00477','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2309.png',0,'2024-07-10 17:23:43'),
	(7332,'WOF035200003-WOB000001','WOG00477','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2309.html',0,'2024-07-10 17:23:43'),
	(7333,'WOF035200003-WOB000001','WOG00478','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2310.png',0,'2024-07-10 17:23:43'),
	(7334,'WOF035200003-WOB000001','WOG00478','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2310.html',0,'2024-07-10 17:23:43'),
	(7335,'WOF035200003-WOB000001','WOG00479','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2311.png',0,'2024-07-10 17:23:43'),
	(7336,'WOF035200003-WOB000001','WOG00479','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2311.html',0,'2024-07-10 17:23:43'),
	(7337,'WOF035200003-WOB000001','WOG00480','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2312.png',0,'2024-07-10 17:23:43'),
	(7338,'WOF035200003-WOB000001','WOG00480','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2312.html',0,'2024-07-10 17:23:43'),
	(7339,'WOF035200003-WOB000001','WOG00481','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2313.png',0,'2024-07-10 17:23:43'),
	(7340,'WOF035200003-WOB000001','WOG00481','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2313.html',0,'2024-07-10 17:23:43'),
	(7341,'WOF035200003-WOB000001','WOG00482','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2315.png',0,'2024-07-10 17:23:43'),
	(7342,'WOF035200003-WOB000001','WOG00482','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2315.html',0,'2024-07-10 17:23:43'),
	(7343,'WOF035200003-WOB000001','WOG00483','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2316.png',0,'2024-07-10 17:23:43'),
	(7344,'WOF035200003-WOB000001','WOG00483','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2316.html',0,'2024-07-10 17:23:43'),
	(7345,'WOF035200003-WOB000001','WOG00484','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2317.png',0,'2024-07-10 17:23:43'),
	(7346,'WOF035200003-WOB000001','WOG00484','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2317.html',0,'2024-07-10 17:23:43'),
	(7347,'WOF035200003-WOB000001','WOG00485','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2318.png',0,'2024-07-10 17:23:43'),
	(7348,'WOF035200003-WOB000001','WOG00485','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2318.html',0,'2024-07-10 17:23:43'),
	(7349,'WOF035200003-WOB000001','WOG00486','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2319.png',0,'2024-07-10 17:23:43'),
	(7350,'WOF035200003-WOB000001','WOG00486','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2319.html',0,'2024-07-10 17:23:43'),
	(7351,'WOF035200003-WOB000001','WOG00487','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2320.png',0,'2024-07-10 17:23:43'),
	(7352,'WOF035200003-WOB000001','WOG00487','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2320.html',0,'2024-07-10 17:23:43'),
	(7353,'WOF035200003-WOB000001','WOG00488','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2321.png',0,'2024-07-10 17:23:43'),
	(7354,'WOF035200003-WOB000001','WOG00488','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2321.html',0,'2024-07-10 17:23:43'),
	(7355,'WOF035200003-WOB000001','WOG00489','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2322.png',0,'2024-07-10 17:23:43'),
	(7356,'WOF035200003-WOB000001','WOG00489','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2322.html',0,'2024-07-10 17:23:43'),
	(7357,'WOF035200003-WOB000001','WOG00490','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2323.png',0,'2024-07-10 17:23:43'),
	(7358,'WOF035200003-WOB000001','WOG00490','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2323.html',0,'2024-07-10 17:23:43'),
	(7359,'WOF035200003-WOB000001','WOG00491','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2324.png',0,'2024-07-10 17:23:43'),
	(7360,'WOF035200003-WOB000001','WOG00491','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2324.html',0,'2024-07-10 17:23:43'),
	(7361,'WOF035200003-WOB000001','WOG00492','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2325.png',0,'2024-07-10 17:23:43'),
	(7362,'WOF035200003-WOB000001','WOG00492','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2325.html',0,'2024-07-10 17:23:43'),
	(7363,'WOF035200003-WOB000001','WOG00493','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2326.png',0,'2024-07-10 17:23:43'),
	(7364,'WOF035200003-WOB000001','WOG00493','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2326.html',0,'2024-07-10 17:23:43'),
	(7365,'WOF035200003-WOB000001','WOG00494','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2327.png',0,'2024-07-10 17:23:43'),
	(7366,'WOF035200003-WOB000001','WOG00494','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2327.html',0,'2024-07-10 17:23:43'),
	(7367,'WOF035200003-WOB000001','WOG00495','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2328.png',0,'2024-07-10 17:23:43'),
	(7368,'WOF035200003-WOB000001','WOG00495','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2328.html',0,'2024-07-10 17:23:43'),
	(7369,'WOF035200003-WOB000001','WOG00496','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2329.png',0,'2024-07-10 17:23:43'),
	(7370,'WOF035200003-WOB000001','WOG00496','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2329.html',0,'2024-07-10 17:23:43'),
	(7371,'WOF035200003-WOB000001','WOG00497','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2330.png',0,'2024-07-10 17:23:43'),
	(7372,'WOF035200003-WOB000001','WOG00497','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2330.html',0,'2024-07-10 17:23:43'),
	(7373,'WOF035200003-WOB000001','WOG00498','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2331.png',0,'2024-07-10 17:23:43'),
	(7374,'WOF035200003-WOB000001','WOG00498','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2331.html',0,'2024-07-10 17:23:43'),
	(7375,'WOF035200003-WOB000001','WOG00499','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2332.png',0,'2024-07-10 17:23:43'),
	(7376,'WOF035200003-WOB000001','WOG00499','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2332.html',0,'2024-07-10 17:23:43'),
	(7377,'WOF035200003-WOB000001','WOG00500','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2333.png',0,'2024-07-10 17:23:43'),
	(7378,'WOF035200003-WOB000001','WOG00500','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2333.html',0,'2024-07-10 17:23:43'),
	(7379,'WOF035200003-WOB000001','WOG00469','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2301_3D.html',0,'2024-07-10 17:23:43'),
	(7380,'WOF035200003-WOB000001','WOG00470','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2302_3D.html',0,'2024-07-10 17:23:43'),
	(7381,'WOF035200003-WOB000001','WOG00471','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2303_3D.html',0,'2024-07-10 17:23:43'),
	(7382,'WOF035200003-WOB000001','WOG00472','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2304_3D.html',0,'2024-07-10 17:23:43'),
	(7383,'WOF035200003-WOB000001','WOG00473','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2305_3D.html',0,'2024-07-10 17:23:43'),
	(7384,'WOF035200003-WOB000001','WOG00474','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2306_3D.html',0,'2024-07-10 17:23:43'),
	(7385,'WOF035200003-WOB000001','WOG00475','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2307_3D.html',0,'2024-07-10 17:23:43'),
	(7386,'WOF035200003-WOB000001','WOG00476','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2308_3D.html',0,'2024-07-10 17:23:43'),
	(7387,'WOF035200003-WOB000001','WOG00477','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2309_3D.html',0,'2024-07-10 17:23:43'),
	(7388,'WOF035200003-WOB000001','WOG00478','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2310_3D.html',0,'2024-07-10 17:23:43'),
	(7389,'WOF035200003-WOB000001','WOG00479','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2311_3D.html',0,'2024-07-10 17:23:43'),
	(7390,'WOF035200003-WOB000001','WOG00480','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2312_3D.html',0,'2024-07-10 17:23:43'),
	(7391,'WOF035200003-WOB000001','WOG00481','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2313_3D.html',0,'2024-07-10 17:23:43'),
	(7392,'WOF035200003-WOB000001','WOG00482','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2315_3D.html',0,'2024-07-10 17:23:43'),
	(7393,'WOF035200003-WOB000001','WOG00483','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2316_3D.html',0,'2024-07-10 17:23:43'),
	(7394,'WOF035200003-WOB000001','WOG00484','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2317_3D.html',0,'2024-07-10 17:23:43'),
	(7395,'WOF035200003-WOB000001','WOG00485','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2318_3D.html',0,'2024-07-10 17:23:43'),
	(7396,'WOF035200003-WOB000001','WOG00486','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2319_3D.html',0,'2024-07-10 17:23:43'),
	(7397,'WOF035200003-WOB000001','WOG00487','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2320_3D.html',0,'2024-07-10 17:23:43'),
	(7398,'WOF035200003-WOB000001','WOG00488','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2321_3D.html',0,'2024-07-10 17:23:43'),
	(7399,'WOF035200003-WOB000001','WOG00489','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2322_3D.html',0,'2024-07-10 17:23:43'),
	(7400,'WOF035200003-WOB000001','WOG00490','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2323_3D.html',0,'2024-07-10 17:23:43'),
	(7401,'WOF035200003-WOB000001','WOG00491','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2324_3D.html',0,'2024-07-10 17:23:43'),
	(7402,'WOF035200003-WOB000001','WOG00492','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2325_3D.html',0,'2024-07-10 17:23:43'),
	(7403,'WOF035200003-WOB000001','WOG00493','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2326_3D.html',0,'2024-07-10 17:23:43'),
	(7404,'WOF035200003-WOB000001','WOG00494','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2327_3D.html',0,'2024-07-10 17:23:43'),
	(7405,'WOF035200003-WOB000001','WOG00495','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2328_3D.html',0,'2024-07-10 17:23:43'),
	(7406,'WOF035200003-WOB000001','WOG00496','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2329_3D.html',0,'2024-07-10 17:23:43'),
	(7407,'WOF035200003-WOB000001','WOG00497','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2330_3D.html',0,'2024-07-10 17:23:43'),
	(7408,'WOF035200003-WOB000001','WOG00498','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2331_3D.html',0,'2024-07-10 17:23:43'),
	(7409,'WOF035200003-WOB000001','WOG00499','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2332_3D.html',0,'2024-07-10 17:23:43'),
	(7410,'WOF035200003-WOB000001','WOG00500','pitch_power','wof035200003/WOF035200003-WOB000001/pitch_power/manual/%2333_3D.html',0,'2024-07-10 17:23:43'),
	(7411,'WOF035200003-WOB000001','WOG00469','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2301.png',0,'2024-07-10 17:23:43'),
	(7412,'WOF035200003-WOB000001','WOG00469','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2301.html',0,'2024-07-10 17:23:43'),
	(7413,'WOF035200003-WOB000001','WOG00470','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2302.png',0,'2024-07-10 17:23:43'),
	(7414,'WOF035200003-WOB000001','WOG00470','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2302.html',0,'2024-07-10 17:23:43'),
	(7415,'WOF035200003-WOB000001','WOG00471','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2303.png',0,'2024-07-10 17:23:43'),
	(7416,'WOF035200003-WOB000001','WOG00471','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2303.html',0,'2024-07-10 17:23:43'),
	(7417,'WOF035200003-WOB000001','WOG00472','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2304.png',0,'2024-07-10 17:23:43'),
	(7418,'WOF035200003-WOB000001','WOG00472','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2304.html',0,'2024-07-10 17:23:43'),
	(7419,'WOF035200003-WOB000001','WOG00473','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2305.png',0,'2024-07-10 17:23:43'),
	(7420,'WOF035200003-WOB000001','WOG00473','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2305.html',0,'2024-07-10 17:23:43'),
	(7421,'WOF035200003-WOB000001','WOG00474','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2306.png',0,'2024-07-10 17:23:43'),
	(7422,'WOF035200003-WOB000001','WOG00474','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2306.html',0,'2024-07-10 17:23:43'),
	(7423,'WOF035200003-WOB000001','WOG00475','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2307.png',0,'2024-07-10 17:23:43'),
	(7424,'WOF035200003-WOB000001','WOG00475','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2307.html',0,'2024-07-10 17:23:43'),
	(7425,'WOF035200003-WOB000001','WOG00476','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2308.png',0,'2024-07-10 17:23:43'),
	(7426,'WOF035200003-WOB000001','WOG00476','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2308.html',0,'2024-07-10 17:23:43'),
	(7427,'WOF035200003-WOB000001','WOG00477','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2309.png',0,'2024-07-10 17:23:43'),
	(7428,'WOF035200003-WOB000001','WOG00477','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2309.html',0,'2024-07-10 17:23:43'),
	(7429,'WOF035200003-WOB000001','WOG00478','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2310.png',0,'2024-07-10 17:23:43'),
	(7430,'WOF035200003-WOB000001','WOG00478','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2310.html',0,'2024-07-10 17:23:43'),
	(7431,'WOF035200003-WOB000001','WOG00479','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2311.png',0,'2024-07-10 17:23:43'),
	(7432,'WOF035200003-WOB000001','WOG00479','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2311.html',0,'2024-07-10 17:23:43'),
	(7433,'WOF035200003-WOB000001','WOG00480','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2312.png',0,'2024-07-10 17:23:43'),
	(7434,'WOF035200003-WOB000001','WOG00480','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2312.html',0,'2024-07-10 17:23:43'),
	(7435,'WOF035200003-WOB000001','WOG00481','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2313.png',0,'2024-07-10 17:23:43'),
	(7436,'WOF035200003-WOB000001','WOG00481','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2313.html',0,'2024-07-10 17:23:43'),
	(7437,'WOF035200003-WOB000001','WOG00482','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2315.png',0,'2024-07-10 17:23:43'),
	(7438,'WOF035200003-WOB000001','WOG00482','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2315.html',0,'2024-07-10 17:23:43'),
	(7439,'WOF035200003-WOB000001','WOG00483','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2316.png',0,'2024-07-10 17:23:43'),
	(7440,'WOF035200003-WOB000001','WOG00483','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2316.html',0,'2024-07-10 17:23:43'),
	(7441,'WOF035200003-WOB000001','WOG00484','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2317.png',0,'2024-07-10 17:23:43'),
	(7442,'WOF035200003-WOB000001','WOG00484','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2317.html',0,'2024-07-10 17:23:43'),
	(7443,'WOF035200003-WOB000001','WOG00485','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2318.png',0,'2024-07-10 17:23:43'),
	(7444,'WOF035200003-WOB000001','WOG00485','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2318.html',0,'2024-07-10 17:23:43'),
	(7445,'WOF035200003-WOB000001','WOG00486','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2319.png',0,'2024-07-10 17:23:43'),
	(7446,'WOF035200003-WOB000001','WOG00486','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2319.html',0,'2024-07-10 17:23:43'),
	(7447,'WOF035200003-WOB000001','WOG00487','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2320.png',0,'2024-07-10 17:23:43'),
	(7448,'WOF035200003-WOB000001','WOG00487','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2320.html',0,'2024-07-10 17:23:43'),
	(7449,'WOF035200003-WOB000001','WOG00488','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2321.png',0,'2024-07-10 17:23:43'),
	(7450,'WOF035200003-WOB000001','WOG00488','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2321.html',0,'2024-07-10 17:23:43'),
	(7451,'WOF035200003-WOB000001','WOG00489','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2322.png',0,'2024-07-10 17:23:43'),
	(7452,'WOF035200003-WOB000001','WOG00489','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2322.html',0,'2024-07-10 17:23:43'),
	(7453,'WOF035200003-WOB000001','WOG00490','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2323.png',0,'2024-07-10 17:23:43'),
	(7454,'WOF035200003-WOB000001','WOG00490','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2323.html',0,'2024-07-10 17:23:43'),
	(7455,'WOF035200003-WOB000001','WOG00491','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2324.png',0,'2024-07-10 17:23:43'),
	(7456,'WOF035200003-WOB000001','WOG00491','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2324.html',0,'2024-07-10 17:23:43'),
	(7457,'WOF035200003-WOB000001','WOG00492','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2325.png',0,'2024-07-10 17:23:43'),
	(7458,'WOF035200003-WOB000001','WOG00492','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2325.html',0,'2024-07-10 17:23:43'),
	(7459,'WOF035200003-WOB000001','WOG00493','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2326.png',0,'2024-07-10 17:23:43'),
	(7460,'WOF035200003-WOB000001','WOG00493','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2326.html',0,'2024-07-10 17:23:43'),
	(7461,'WOF035200003-WOB000001','WOG00494','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2327.png',0,'2024-07-10 17:23:43'),
	(7462,'WOF035200003-WOB000001','WOG00494','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2327.html',0,'2024-07-10 17:23:43'),
	(7463,'WOF035200003-WOB000001','WOG00495','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2328.png',0,'2024-07-10 17:23:43'),
	(7464,'WOF035200003-WOB000001','WOG00495','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2328.html',0,'2024-07-10 17:23:43'),
	(7465,'WOF035200003-WOB000001','WOG00496','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2329.png',0,'2024-07-10 17:23:43'),
	(7466,'WOF035200003-WOB000001','WOG00496','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2329.html',0,'2024-07-10 17:23:43'),
	(7467,'WOF035200003-WOB000001','WOG00497','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2330.png',0,'2024-07-10 17:23:43'),
	(7468,'WOF035200003-WOB000001','WOG00497','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2330.html',0,'2024-07-10 17:23:43'),
	(7469,'WOF035200003-WOB000001','WOG00498','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2331.png',0,'2024-07-10 17:23:43'),
	(7470,'WOF035200003-WOB000001','WOG00498','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2331.html',0,'2024-07-10 17:23:43'),
	(7471,'WOF035200003-WOB000001','WOG00499','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2332.png',0,'2024-07-10 17:23:43'),
	(7472,'WOF035200003-WOB000001','WOG00499','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2332.html',0,'2024-07-10 17:23:43'),
	(7473,'WOF035200003-WOB000001','WOG00500','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2333.png',0,'2024-07-10 17:23:43'),
	(7474,'WOF035200003-WOB000001','WOG00500','pitch_generator_speed','wof035200003/WOF035200003-WOB000001/pitch_generator_speed/manual/%2333.html',0,'2024-07-10 17:23:43'),
	(7475,'WOF035200003-WOB000001','WOG00469','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2301.html',0,'2024-07-10 17:23:43'),
	(7476,'WOF035200003-WOB000001','WOG00470','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2302.html',0,'2024-07-10 17:23:43'),
	(7477,'WOF035200003-WOB000001','WOG00471','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2303.html',0,'2024-07-10 17:23:43'),
	(7478,'WOF035200003-WOB000001','WOG00472','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2304.html',0,'2024-07-10 17:23:43'),
	(7479,'WOF035200003-WOB000001','WOG00473','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2305.html',0,'2024-07-10 17:23:43'),
	(7480,'WOF035200003-WOB000001','WOG00474','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2306.html',0,'2024-07-10 17:23:43'),
	(7481,'WOF035200003-WOB000001','WOG00475','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2307.html',0,'2024-07-10 17:23:43'),
	(7482,'WOF035200003-WOB000001','WOG00476','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2308.html',0,'2024-07-10 17:23:43'),
	(7483,'WOF035200003-WOB000001','WOG00477','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2309.html',0,'2024-07-10 17:23:43'),
	(7484,'WOF035200003-WOB000001','WOG00478','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2310.html',0,'2024-07-10 17:23:43'),
	(7485,'WOF035200003-WOB000001','WOG00479','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2311.html',0,'2024-07-10 17:23:43'),
	(7486,'WOF035200003-WOB000001','WOG00480','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2312.html',0,'2024-07-10 17:23:43'),
	(7487,'WOF035200003-WOB000001','WOG00481','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2313.html',0,'2024-07-10 17:23:43'),
	(7488,'WOF035200003-WOB000001','WOG00482','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2315.html',0,'2024-07-10 17:23:43'),
	(7489,'WOF035200003-WOB000001','WOG00483','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2316.html',0,'2024-07-10 17:23:43'),
	(7490,'WOF035200003-WOB000001','WOG00484','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2317.html',0,'2024-07-10 17:23:43'),
	(7491,'WOF035200003-WOB000001','WOG00485','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2318.html',0,'2024-07-10 17:23:43'),
	(7492,'WOF035200003-WOB000001','WOG00486','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2319.html',0,'2024-07-10 17:23:43'),
	(7493,'WOF035200003-WOB000001','WOG00487','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2320.html',0,'2024-07-10 17:23:43'),
	(7494,'WOF035200003-WOB000001','WOG00488','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2321.html',0,'2024-07-10 17:23:43'),
	(7495,'WOF035200003-WOB000001','WOG00489','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2322.html',0,'2024-07-10 17:23:43'),
	(7496,'WOF035200003-WOB000001','WOG00490','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2323.html',0,'2024-07-10 17:23:43'),
	(7497,'WOF035200003-WOB000001','WOG00491','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2324.html',0,'2024-07-10 17:23:43'),
	(7498,'WOF035200003-WOB000001','WOG00492','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2325.html',0,'2024-07-10 17:23:43'),
	(7499,'WOF035200003-WOB000001','WOG00493','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2326.html',0,'2024-07-10 17:23:43'),
	(7500,'WOF035200003-WOB000001','WOG00494','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2327.html',0,'2024-07-10 17:23:43'),
	(7501,'WOF035200003-WOB000001','WOG00495','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2328.html',0,'2024-07-10 17:23:43'),
	(7502,'WOF035200003-WOB000001','WOG00496','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2329.html',0,'2024-07-10 17:23:43'),
	(7503,'WOF035200003-WOB000001','WOG00497','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2330.html',0,'2024-07-10 17:23:43'),
	(7504,'WOF035200003-WOB000001','WOG00498','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2331.html',0,'2024-07-10 17:23:43'),
	(7505,'WOF035200003-WOB000001','WOG00499','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2332.html',0,'2024-07-10 17:23:43'),
	(7506,'WOF035200003-WOB000001','WOG00500','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%2333.html',0,'2024-07-10 17:23:43'),
	(7507,'WOF035200003-WOB000001','WOG00469','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2301.html',0,'2024-07-10 17:23:43'),
	(7508,'WOF035200003-WOB000001','WOG00470','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2302.html',0,'2024-07-10 17:23:43'),
	(7509,'WOF035200003-WOB000001','WOG00471','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2303.html',0,'2024-07-10 17:23:43'),
	(7510,'WOF035200003-WOB000001','WOG00472','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2304.html',0,'2024-07-10 17:23:43'),
	(7511,'WOF035200003-WOB000001','WOG00473','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2305.html',0,'2024-07-10 17:23:43'),
	(7512,'WOF035200003-WOB000001','WOG00474','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2306.html',0,'2024-07-10 17:23:43'),
	(7513,'WOF035200003-WOB000001','WOG00475','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2307.html',0,'2024-07-10 17:23:43'),
	(7514,'WOF035200003-WOB000001','WOG00476','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2308.html',0,'2024-07-10 17:23:43'),
	(7515,'WOF035200003-WOB000001','WOG00477','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2309.html',0,'2024-07-10 17:23:43'),
	(7516,'WOF035200003-WOB000001','WOG00478','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2310.html',0,'2024-07-10 17:23:43'),
	(7517,'WOF035200003-WOB000001','WOG00479','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2311.html',0,'2024-07-10 17:23:43'),
	(7518,'WOF035200003-WOB000001','WOG00480','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2312.html',0,'2024-07-10 17:23:43'),
	(7519,'WOF035200003-WOB000001','WOG00481','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2313.html',0,'2024-07-10 17:23:43'),
	(7520,'WOF035200003-WOB000001','WOG00482','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2315.html',0,'2024-07-10 17:23:43'),
	(7521,'WOF035200003-WOB000001','WOG00483','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2316.html',0,'2024-07-10 17:23:43'),
	(7522,'WOF035200003-WOB000001','WOG00484','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2317.html',0,'2024-07-10 17:23:43'),
	(7523,'WOF035200003-WOB000001','WOG00485','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2318.html',0,'2024-07-10 17:23:43'),
	(7524,'WOF035200003-WOB000001','WOG00486','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2319.html',0,'2024-07-10 17:23:43'),
	(7525,'WOF035200003-WOB000001','WOG00487','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2320.html',0,'2024-07-10 17:23:43'),
	(7526,'WOF035200003-WOB000001','WOG00488','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2321.html',0,'2024-07-10 17:23:43'),
	(7527,'WOF035200003-WOB000001','WOG00489','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2322.html',0,'2024-07-10 17:23:43'),
	(7528,'WOF035200003-WOB000001','WOG00490','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2323.html',0,'2024-07-10 17:23:43'),
	(7529,'WOF035200003-WOB000001','WOG00491','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2324.html',0,'2024-07-10 17:23:43'),
	(7530,'WOF035200003-WOB000001','WOG00492','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2325.html',0,'2024-07-10 17:23:43'),
	(7531,'WOF035200003-WOB000001','WOG00493','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2326.html',0,'2024-07-10 17:23:43'),
	(7532,'WOF035200003-WOB000001','WOG00494','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2327.html',0,'2024-07-10 17:23:43'),
	(7533,'WOF035200003-WOB000001','WOG00495','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2328.html',0,'2024-07-10 17:23:43'),
	(7534,'WOF035200003-WOB000001','WOG00496','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2329.html',0,'2024-07-10 17:23:43'),
	(7535,'WOF035200003-WOB000001','WOG00497','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2330.html',0,'2024-07-10 17:23:43'),
	(7536,'WOF035200003-WOB000001','WOG00498','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2331.html',0,'2024-07-10 17:23:43'),
	(7537,'WOF035200003-WOB000001','WOG00499','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2332.html',0,'2024-07-10 17:23:43'),
	(7538,'WOF035200003-WOB000001','WOG00500','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%2333.html',0,'2024-07-10 17:23:43'),
	(7539,'WOF035200003-WOB000001','WOG00469','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2301.html',0,'2024-07-10 17:23:43'),
	(7540,'WOF035200003-WOB000001','WOG00470','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2302.html',0,'2024-07-10 17:23:43'),
	(7541,'WOF035200003-WOB000001','WOG00471','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2303.html',0,'2024-07-10 17:23:43'),
	(7542,'WOF035200003-WOB000001','WOG00472','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2304.html',0,'2024-07-10 17:23:43'),
	(7543,'WOF035200003-WOB000001','WOG00473','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2305.html',0,'2024-07-10 17:23:43'),
	(7544,'WOF035200003-WOB000001','WOG00474','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2306.html',0,'2024-07-10 17:23:43'),
	(7545,'WOF035200003-WOB000001','WOG00475','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2307.html',0,'2024-07-10 17:23:43'),
	(7546,'WOF035200003-WOB000001','WOG00476','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2308.html',0,'2024-07-10 17:23:43'),
	(7547,'WOF035200003-WOB000001','WOG00477','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2309.html',0,'2024-07-10 17:23:43'),
	(7548,'WOF035200003-WOB000001','WOG00478','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2310.html',0,'2024-07-10 17:23:43'),
	(7549,'WOF035200003-WOB000001','WOG00479','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2311.html',0,'2024-07-10 17:23:43'),
	(7550,'WOF035200003-WOB000001','WOG00480','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2312.html',0,'2024-07-10 17:23:43'),
	(7551,'WOF035200003-WOB000001','WOG00481','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2313.html',0,'2024-07-10 17:23:43'),
	(7552,'WOF035200003-WOB000001','WOG00482','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2315.html',0,'2024-07-10 17:23:43'),
	(7553,'WOF035200003-WOB000001','WOG00483','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2316.html',0,'2024-07-10 17:23:43'),
	(7554,'WOF035200003-WOB000001','WOG00484','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2317.html',0,'2024-07-10 17:23:43'),
	(7555,'WOF035200003-WOB000001','WOG00485','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2318.html',0,'2024-07-10 17:23:43'),
	(7556,'WOF035200003-WOB000001','WOG00486','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2319.html',0,'2024-07-10 17:23:43'),
	(7557,'WOF035200003-WOB000001','WOG00487','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2320.html',0,'2024-07-10 17:23:43'),
	(7558,'WOF035200003-WOB000001','WOG00488','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2321.html',0,'2024-07-10 17:23:43'),
	(7559,'WOF035200003-WOB000001','WOG00489','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2322.html',0,'2024-07-10 17:23:43'),
	(7560,'WOF035200003-WOB000001','WOG00490','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2323.html',0,'2024-07-10 17:23:43'),
	(7561,'WOF035200003-WOB000001','WOG00491','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2324.html',0,'2024-07-10 17:23:43'),
	(7562,'WOF035200003-WOB000001','WOG00492','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2325.html',0,'2024-07-10 17:23:43'),
	(7563,'WOF035200003-WOB000001','WOG00493','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2326.html',0,'2024-07-10 17:23:43'),
	(7564,'WOF035200003-WOB000001','WOG00494','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2327.html',0,'2024-07-10 17:23:43'),
	(7565,'WOF035200003-WOB000001','WOG00495','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2328.html',0,'2024-07-10 17:23:43'),
	(7566,'WOF035200003-WOB000001','WOG00496','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2329.html',0,'2024-07-10 17:23:43'),
	(7567,'WOF035200003-WOB000001','WOG00497','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2330.html',0,'2024-07-10 17:23:43'),
	(7568,'WOF035200003-WOB000001','WOG00498','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2331.html',0,'2024-07-10 17:23:43'),
	(7569,'WOF035200003-WOB000001','WOG00499','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2332.html',0,'2024-07-10 17:23:43'),
	(7570,'WOF035200003-WOB000001','WOG00500','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%2333.html',0,'2024-07-10 17:23:43'),
	(7571,'WOF035200003-WOB000001','WOG00469','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2301.html',0,'2024-07-10 17:23:43'),
	(7572,'WOF035200003-WOB000001','WOG00470','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2302.html',0,'2024-07-10 17:23:43'),
	(7573,'WOF035200003-WOB000001','WOG00471','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2303.html',0,'2024-07-10 17:23:43'),
	(7574,'WOF035200003-WOB000001','WOG00472','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2304.html',0,'2024-07-10 17:23:43'),
	(7575,'WOF035200003-WOB000001','WOG00473','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2305.html',0,'2024-07-10 17:23:43'),
	(7576,'WOF035200003-WOB000001','WOG00474','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2306.html',0,'2024-07-10 17:23:43'),
	(7577,'WOF035200003-WOB000001','WOG00475','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2307.html',0,'2024-07-10 17:23:43'),
	(7578,'WOF035200003-WOB000001','WOG00476','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2308.html',0,'2024-07-10 17:23:43'),
	(7579,'WOF035200003-WOB000001','WOG00477','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2309.html',0,'2024-07-10 17:23:43'),
	(7580,'WOF035200003-WOB000001','WOG00478','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2310.html',0,'2024-07-10 17:23:43'),
	(7581,'WOF035200003-WOB000001','WOG00479','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2311.html',0,'2024-07-10 17:23:43'),
	(7582,'WOF035200003-WOB000001','WOG00480','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2312.html',0,'2024-07-10 17:23:43'),
	(7583,'WOF035200003-WOB000001','WOG00481','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2313.html',0,'2024-07-10 17:23:43'),
	(7584,'WOF035200003-WOB000001','WOG00482','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2315.html',0,'2024-07-10 17:23:43'),
	(7585,'WOF035200003-WOB000001','WOG00483','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2316.html',0,'2024-07-10 17:23:43'),
	(7586,'WOF035200003-WOB000001','WOG00484','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2317.html',0,'2024-07-10 17:23:43'),
	(7587,'WOF035200003-WOB000001','WOG00485','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2318.html',0,'2024-07-10 17:23:43'),
	(7588,'WOF035200003-WOB000001','WOG00486','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2319.html',0,'2024-07-10 17:23:43'),
	(7589,'WOF035200003-WOB000001','WOG00487','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2320.html',0,'2024-07-10 17:23:43'),
	(7590,'WOF035200003-WOB000001','WOG00488','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2321.html',0,'2024-07-10 17:23:43'),
	(7591,'WOF035200003-WOB000001','WOG00489','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2322.html',0,'2024-07-10 17:23:43'),
	(7592,'WOF035200003-WOB000001','WOG00490','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2323.html',0,'2024-07-10 17:23:43'),
	(7593,'WOF035200003-WOB000001','WOG00491','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2324.html',0,'2024-07-10 17:23:43'),
	(7594,'WOF035200003-WOB000001','WOG00492','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2325.html',0,'2024-07-10 17:23:43'),
	(7595,'WOF035200003-WOB000001','WOG00493','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2326.html',0,'2024-07-10 17:23:43'),
	(7596,'WOF035200003-WOB000001','WOG00494','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2327.html',0,'2024-07-10 17:23:43'),
	(7597,'WOF035200003-WOB000001','WOG00495','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2328.html',0,'2024-07-10 17:23:43'),
	(7598,'WOF035200003-WOB000001','WOG00496','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2329.html',0,'2024-07-10 17:23:43'),
	(7599,'WOF035200003-WOB000001','WOG00497','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2330.html',0,'2024-07-10 17:23:43'),
	(7600,'WOF035200003-WOB000001','WOG00498','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2331.html',0,'2024-07-10 17:23:43'),
	(7601,'WOF035200003-WOB000001','WOG00499','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2332.html',0,'2024-07-10 17:23:43'),
	(7602,'WOF035200003-WOB000001','WOG00500','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%2333.html',0,'2024-07-10 17:23:43'),
	(7603,'WOF035200003-WOB000001','WOG00469','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2301.html',0,'2024-07-10 17:23:43'),
	(7604,'WOF035200003-WOB000001','WOG00470','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2302.html',0,'2024-07-10 17:23:43'),
	(7605,'WOF035200003-WOB000001','WOG00471','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2303.html',0,'2024-07-10 17:23:43'),
	(7606,'WOF035200003-WOB000001','WOG00472','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2304.html',0,'2024-07-10 17:23:43'),
	(7607,'WOF035200003-WOB000001','WOG00473','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2305.html',0,'2024-07-10 17:23:43'),
	(7608,'WOF035200003-WOB000001','WOG00474','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2306.html',0,'2024-07-10 17:23:43'),
	(7609,'WOF035200003-WOB000001','WOG00475','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2307.html',0,'2024-07-10 17:23:43'),
	(7610,'WOF035200003-WOB000001','WOG00476','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2308.html',0,'2024-07-10 17:23:43'),
	(7611,'WOF035200003-WOB000001','WOG00477','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2309.html',0,'2024-07-10 17:23:43'),
	(7612,'WOF035200003-WOB000001','WOG00478','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2310.html',0,'2024-07-10 17:23:43'),
	(7613,'WOF035200003-WOB000001','WOG00479','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2311.html',0,'2024-07-10 17:23:43'),
	(7614,'WOF035200003-WOB000001','WOG00480','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2312.html',0,'2024-07-10 17:23:43'),
	(7615,'WOF035200003-WOB000001','WOG00481','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2313.html',0,'2024-07-10 17:23:43'),
	(7616,'WOF035200003-WOB000001','WOG00482','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2315.html',0,'2024-07-10 17:23:43'),
	(7617,'WOF035200003-WOB000001','WOG00483','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2316.html',0,'2024-07-10 17:23:43'),
	(7618,'WOF035200003-WOB000001','WOG00484','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2317.html',0,'2024-07-10 17:23:43'),
	(7619,'WOF035200003-WOB000001','WOG00485','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2318.html',0,'2024-07-10 17:23:43'),
	(7620,'WOF035200003-WOB000001','WOG00486','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2319.html',0,'2024-07-10 17:23:43'),
	(7621,'WOF035200003-WOB000001','WOG00487','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2320.html',0,'2024-07-10 17:23:43'),
	(7622,'WOF035200003-WOB000001','WOG00488','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2321.html',0,'2024-07-10 17:23:43'),
	(7623,'WOF035200003-WOB000001','WOG00489','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2322.html',0,'2024-07-10 17:23:43'),
	(7624,'WOF035200003-WOB000001','WOG00490','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2323.html',0,'2024-07-10 17:23:43'),
	(7625,'WOF035200003-WOB000001','WOG00491','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2324.html',0,'2024-07-10 17:23:43'),
	(7626,'WOF035200003-WOB000001','WOG00492','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2325.html',0,'2024-07-10 17:23:43'),
	(7627,'WOF035200003-WOB000001','WOG00493','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2326.html',0,'2024-07-10 17:23:43'),
	(7628,'WOF035200003-WOB000001','WOG00494','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2327.html',0,'2024-07-10 17:23:43'),
	(7629,'WOF035200003-WOB000001','WOG00495','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2328.html',0,'2024-07-10 17:23:43'),
	(7630,'WOF035200003-WOB000001','WOG00496','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2329.html',0,'2024-07-10 17:23:43'),
	(7631,'WOF035200003-WOB000001','WOG00497','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2330.html',0,'2024-07-10 17:23:43'),
	(7632,'WOF035200003-WOB000001','WOG00498','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2331.html',0,'2024-07-10 17:23:43'),
	(7633,'WOF035200003-WOB000001','WOG00499','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2332.html',0,'2024-07-10 17:23:43'),
	(7634,'WOF035200003-WOB000001','WOG00500','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%2333.html',0,'2024-07-10 17:23:43'),
	(7635,'WOF035200003-WOB000001','WOG00469','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2301.html',0,'2024-07-10 17:23:43'),
	(7636,'WOF035200003-WOB000001','WOG00470','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2302.html',0,'2024-07-10 17:23:43'),
	(7637,'WOF035200003-WOB000001','WOG00471','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2303.html',0,'2024-07-10 17:23:43'),
	(7638,'WOF035200003-WOB000001','WOG00472','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2304.html',0,'2024-07-10 17:23:43'),
	(7639,'WOF035200003-WOB000001','WOG00473','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2305.html',0,'2024-07-10 17:23:43'),
	(7640,'WOF035200003-WOB000001','WOG00474','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2306.html',0,'2024-07-10 17:23:43'),
	(7641,'WOF035200003-WOB000001','WOG00475','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2307.html',0,'2024-07-10 17:23:43'),
	(7642,'WOF035200003-WOB000001','WOG00476','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2308.html',0,'2024-07-10 17:23:43'),
	(7643,'WOF035200003-WOB000001','WOG00477','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2309.html',0,'2024-07-10 17:23:43'),
	(7644,'WOF035200003-WOB000001','WOG00478','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2310.html',0,'2024-07-10 17:23:43'),
	(7645,'WOF035200003-WOB000001','WOG00479','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2311.html',0,'2024-07-10 17:23:43'),
	(7646,'WOF035200003-WOB000001','WOG00480','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2312.html',0,'2024-07-10 17:23:43'),
	(7647,'WOF035200003-WOB000001','WOG00481','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2313.html',0,'2024-07-10 17:23:43'),
	(7648,'WOF035200003-WOB000001','WOG00482','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2315.html',0,'2024-07-10 17:23:43'),
	(7649,'WOF035200003-WOB000001','WOG00483','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2316.html',0,'2024-07-10 17:23:43'),
	(7650,'WOF035200003-WOB000001','WOG00484','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2317.html',0,'2024-07-10 17:23:43'),
	(7651,'WOF035200003-WOB000001','WOG00485','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2318.html',0,'2024-07-10 17:23:43'),
	(7652,'WOF035200003-WOB000001','WOG00486','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2319.html',0,'2024-07-10 17:23:43'),
	(7653,'WOF035200003-WOB000001','WOG00487','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2320.html',0,'2024-07-10 17:23:43'),
	(7654,'WOF035200003-WOB000001','WOG00488','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2321.html',0,'2024-07-10 17:23:43'),
	(7655,'WOF035200003-WOB000001','WOG00489','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2322.html',0,'2024-07-10 17:23:43'),
	(7656,'WOF035200003-WOB000001','WOG00490','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2323.html',0,'2024-07-10 17:23:43'),
	(7657,'WOF035200003-WOB000001','WOG00491','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2324.html',0,'2024-07-10 17:23:43'),
	(7658,'WOF035200003-WOB000001','WOG00492','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2325.html',0,'2024-07-10 17:23:43'),
	(7659,'WOF035200003-WOB000001','WOG00493','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2326.html',0,'2024-07-10 17:23:43'),
	(7660,'WOF035200003-WOB000001','WOG00494','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2327.html',0,'2024-07-10 17:23:43'),
	(7661,'WOF035200003-WOB000001','WOG00495','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2328.html',0,'2024-07-10 17:23:43'),
	(7662,'WOF035200003-WOB000001','WOG00496','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2329.html',0,'2024-07-10 17:23:43'),
	(7663,'WOF035200003-WOB000001','WOG00497','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2330.html',0,'2024-07-10 17:23:43'),
	(7664,'WOF035200003-WOB000001','WOG00498','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2331.html',0,'2024-07-10 17:23:43'),
	(7665,'WOF035200003-WOB000001','WOG00499','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2332.html',0,'2024-07-10 17:23:43'),
	(7666,'WOF035200003-WOB000001','WOG00500','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%2333.html',0,'2024-07-10 17:23:43'),
	(7667,'WOF035200003-WOB000001','WOG00469','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2301.html',0,'2024-07-10 17:23:43'),
	(7668,'WOF035200003-WOB000001','WOG00470','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2302.html',0,'2024-07-10 17:23:43'),
	(7669,'WOF035200003-WOB000001','WOG00471','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2303.html',0,'2024-07-10 17:23:43'),
	(7670,'WOF035200003-WOB000001','WOG00472','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2304.html',0,'2024-07-10 17:23:43'),
	(7671,'WOF035200003-WOB000001','WOG00473','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2305.html',0,'2024-07-10 17:23:43'),
	(7672,'WOF035200003-WOB000001','WOG00474','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2306.html',0,'2024-07-10 17:23:43'),
	(7673,'WOF035200003-WOB000001','WOG00475','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2307.html',0,'2024-07-10 17:23:43'),
	(7674,'WOF035200003-WOB000001','WOG00476','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2308.html',0,'2024-07-10 17:23:43'),
	(7675,'WOF035200003-WOB000001','WOG00477','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2309.html',0,'2024-07-10 17:23:43'),
	(7676,'WOF035200003-WOB000001','WOG00478','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2310.html',0,'2024-07-10 17:23:43'),
	(7677,'WOF035200003-WOB000001','WOG00479','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2311.html',0,'2024-07-10 17:23:43'),
	(7678,'WOF035200003-WOB000001','WOG00480','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2312.html',0,'2024-07-10 17:23:43'),
	(7679,'WOF035200003-WOB000001','WOG00481','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2313.html',0,'2024-07-10 17:23:43'),
	(7680,'WOF035200003-WOB000001','WOG00482','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2315.html',0,'2024-07-10 17:23:43'),
	(7681,'WOF035200003-WOB000001','WOG00483','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2316.html',0,'2024-07-10 17:23:43'),
	(7682,'WOF035200003-WOB000001','WOG00484','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2317.html',0,'2024-07-10 17:23:43'),
	(7683,'WOF035200003-WOB000001','WOG00485','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2318.html',0,'2024-07-10 17:23:43'),
	(7684,'WOF035200003-WOB000001','WOG00486','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2319.html',0,'2024-07-10 17:23:43'),
	(7685,'WOF035200003-WOB000001','WOG00487','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2320.html',0,'2024-07-10 17:23:43'),
	(7686,'WOF035200003-WOB000001','WOG00488','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2321.html',0,'2024-07-10 17:23:43'),
	(7687,'WOF035200003-WOB000001','WOG00489','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2322.html',0,'2024-07-10 17:23:43'),
	(7688,'WOF035200003-WOB000001','WOG00490','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2323.html',0,'2024-07-10 17:23:43'),
	(7689,'WOF035200003-WOB000001','WOG00491','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2324.html',0,'2024-07-10 17:23:43'),
	(7690,'WOF035200003-WOB000001','WOG00492','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2325.html',0,'2024-07-10 17:23:43'),
	(7691,'WOF035200003-WOB000001','WOG00493','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2326.html',0,'2024-07-10 17:23:43'),
	(7692,'WOF035200003-WOB000001','WOG00494','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2327.html',0,'2024-07-10 17:23:43'),
	(7693,'WOF035200003-WOB000001','WOG00495','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2328.html',0,'2024-07-10 17:23:43'),
	(7694,'WOF035200003-WOB000001','WOG00496','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2329.html',0,'2024-07-10 17:23:43'),
	(7695,'WOF035200003-WOB000001','WOG00497','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2330.html',0,'2024-07-10 17:23:43'),
	(7696,'WOF035200003-WOB000001','WOG00498','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2331.html',0,'2024-07-10 17:23:43'),
	(7697,'WOF035200003-WOB000001','WOG00499','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2332.html',0,'2024-07-10 17:23:43'),
	(7698,'WOF035200003-WOB000001','WOG00500','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/GeneratorTemperature/%2333.html',0,'2024-07-10 17:23:43'),
	(7699,'WOF035900004-WOB00005','WOG00396','power_curve','wof035900004/WOF035900004-WOB00005/power_curve/manual/%2308.png',0,'2024-07-11 21:27:03'),
	(7700,'WOF035900004-WOB00005','WOG00396','power_curve','wof035900004/WOF035900004-WOB00005/power_curve/manual/%2308.html',0,'2024-07-11 21:27:03'),
	(7701,'WOF035900004-WOB00005','WOG00396','power_curve','wof035900004/WOF035900004-WOB00005/power_curve/manual/%2308.png',0,'2024-07-11 21:48:12'),
	(7702,'WOF035900004-WOB00005','WOG00396','power_curve','wof035900004/WOF035900004-WOB00005/power_curve/manual/%2308.html',0,'2024-07-11 21:48:12'),
	(7703,'WOF035900004-WOB00005','WOG00396','power_curve','wof035900004/WOF035900004-WOB00005/power_curve/manual/%2308.png',0,'2024-07-11 21:50:32'),
	(7704,'WOF035900004-WOB00005','WOG00396','power_curve','wof035900004/WOF035900004-WOB00005/power_curve/manual/%2308.html',0,'2024-07-11 21:50:32'),
	(7705,'WOF035900004-WOB00005','WOG00396','power_curve','wof035900004/WOF035900004-WOB00005/power_curve/manual/%2308.png',0,'2024-07-11 21:54:32'),
	(7706,'WOF035900004-WOB00005','WOG00396','power_curve','wof035900004/WOF035900004-WOB00005/power_curve/manual/%2308.html',0,'2024-07-11 21:54:32'),
	(7707,'WOF035900004-WOB00005','WOG00396','power_curve','wof035900004/WOF035900004-WOB00005/power_curve/manual/%2308.png',0,'2024-07-11 21:57:08'),
	(7708,'WOF035900004-WOB00005','WOG00396','power_curve','wof035900004/WOF035900004-WOB00005/power_curve/manual/%2308.html',0,'2024-07-11 21:57:08'),
	(7709,'WOF035900004-WOB00005','WOG00396','power_curve','wof035900004/WOF035900004-WOB00005/power_curve/manual/%2308.png',0,'2024-07-11 21:57:08'),
	(7710,'WOF035900004-WOB00005','WOG00396','power_curve','wof035900004/WOF035900004-WOB00005/power_curve/manual/%2308.html',0,'2024-07-11 21:57:08'),
	(7711,'WOF093400005-WOB000001','WOG00413','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-01.png',1,'2024-07-11 21:57:08'),
	(7712,'WOF093400005-WOB000001','WOG00413','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-01.html',1,'2024-07-11 21:57:08'),
	(7713,'WOF093400005-WOB000001','WOG00414','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-02.png',1,'2024-07-11 21:57:08'),
	(7714,'WOF093400005-WOB000001','WOG00414','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-02.html',1,'2024-07-11 21:57:08'),
	(7715,'WOF093400005-WOB000001','WOG00415','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-03.png',1,'2024-07-11 21:57:08'),
	(7716,'WOF093400005-WOB000001','WOG00415','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-03.html',1,'2024-07-11 21:57:08'),
	(7717,'WOF093400005-WOB000001','WOG00416','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-04.png',1,'2024-07-11 21:57:08'),
	(7718,'WOF093400005-WOB000001','WOG00416','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-04.html',1,'2024-07-11 21:57:08'),
	(7719,'WOF093400005-WOB000001','WOG00417','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-05.png',1,'2024-07-11 21:57:08'),
	(7720,'WOF093400005-WOB000001','WOG00417','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-05.html',1,'2024-07-11 21:57:08'),
	(7721,'WOF093400005-WOB000001','WOG00418','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-06.png',1,'2024-07-11 21:57:08'),
	(7722,'WOF093400005-WOB000001','WOG00418','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-06.html',1,'2024-07-11 21:57:08'),
	(7723,'WOF093400005-WOB000001','WOG00419','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-07.png',1,'2024-07-11 21:57:08'),
	(7724,'WOF093400005-WOB000001','WOG00419','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-07.html',1,'2024-07-11 21:57:08'),
	(7725,'WOF093400005-WOB000001','WOG00420','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-08.png',1,'2024-07-11 21:57:08'),
	(7726,'WOF093400005-WOB000001','WOG00420','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-08.html',1,'2024-07-11 21:57:08'),
	(7727,'WOF093400005-WOB000001','WOG00421','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-09.png',1,'2024-07-11 21:57:08'),
	(7728,'WOF093400005-WOB000001','WOG00421','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-09.html',1,'2024-07-11 21:57:08'),
	(7729,'WOF093400005-WOB000001','WOG00422','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-10.png',1,'2024-07-11 21:57:08'),
	(7730,'WOF093400005-WOB000001','WOG00422','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-10.html',1,'2024-07-11 21:57:08'),
	(7731,'WOF093400005-WOB000001','WOG00423','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-11.png',1,'2024-07-11 21:57:08'),
	(7732,'WOF093400005-WOB000001','WOG00423','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-11.html',1,'2024-07-11 21:57:08'),
	(7733,'WOF093400005-WOB000001','WOG00424','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-12.png',1,'2024-07-11 21:57:08'),
	(7734,'WOF093400005-WOB000001','WOG00424','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-12.html',1,'2024-07-11 21:57:08'),
	(7735,'WOF093400005-WOB000001','WOG00425','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-13.png',1,'2024-07-11 21:57:08'),
	(7736,'WOF093400005-WOB000001','WOG00425','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-13.html',1,'2024-07-11 21:57:08'),
	(7737,'WOF093400005-WOB000001','WOG00426','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-14.png',1,'2024-07-11 21:57:08'),
	(7738,'WOF093400005-WOB000001','WOG00426','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-14.html',1,'2024-07-11 21:57:08'),
	(7739,'WOF093400005-WOB000001','WOG00427','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-15.png',1,'2024-07-11 21:57:08'),
	(7740,'WOF093400005-WOB000001','WOG00427','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-15.html',1,'2024-07-11 21:57:08'),
	(7741,'WOF093400005-WOB000001','WOG00428','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-16.png',1,'2024-07-11 21:57:08'),
	(7742,'WOF093400005-WOB000001','WOG00428','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-16.html',1,'2024-07-11 21:57:08'),
	(7743,'WOF093400005-WOB000001','WOG00429','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-17.png',1,'2024-07-11 21:57:08'),
	(7744,'WOF093400005-WOB000001','WOG00429','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-17.html',1,'2024-07-11 21:57:08'),
	(7745,'WOF093400005-WOB000001','WOG00430','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-18.png',1,'2024-07-11 21:57:08'),
	(7746,'WOF093400005-WOB000001','WOG00430','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-18.html',1,'2024-07-11 21:57:08'),
	(7747,'WOF093400005-WOB000001','WOG00431','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-19.png',1,'2024-07-11 21:57:08'),
	(7748,'WOF093400005-WOB000001','WOG00431','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-19.html',1,'2024-07-11 21:57:08'),
	(7749,'WOF093400005-WOB000001','WOG00432','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-20.png',1,'2024-07-11 21:57:08'),
	(7750,'WOF093400005-WOB000001','WOG00432','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-20.html',1,'2024-07-11 21:57:08'),
	(7751,'WOF093400005-WOB000001','WOG00433','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-21.png',1,'2024-07-11 21:57:08'),
	(7752,'WOF093400005-WOB000001','WOG00433','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-21.html',1,'2024-07-11 21:57:08'),
	(7753,'WOF093400005-WOB000001','WOG00434','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-22.png',1,'2024-07-11 21:57:08'),
	(7754,'WOF093400005-WOB000001','WOG00434','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-22.html',1,'2024-07-11 21:57:08'),
	(7755,'WOF093400005-WOB000001','WOG00435','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-23.png',1,'2024-07-11 21:57:08'),
	(7756,'WOF093400005-WOB000001','WOG00435','wind_speed_frequency','wof093400005/WOF093400005-WOB000001/wind_speed_frequency/automatic/HD2-23.html',1,'2024-07-11 21:57:08'),
	(7757,'WOF093400005-WOB000001','WOG00413','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-01.png',1,'2024-07-11 21:57:08'),
	(7758,'WOF093400005-WOB000001','WOG00413','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-01.html',1,'2024-07-11 21:57:08'),
	(7759,'WOF093400005-WOB000001','WOG00414','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-02.png',1,'2024-07-11 21:57:08'),
	(7760,'WOF093400005-WOB000001','WOG00414','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-02.html',1,'2024-07-11 21:57:08'),
	(7761,'WOF093400005-WOB000001','WOG00415','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-03.png',1,'2024-07-11 21:57:08'),
	(7762,'WOF093400005-WOB000001','WOG00415','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-03.html',1,'2024-07-11 21:57:08'),
	(7763,'WOF093400005-WOB000001','WOG00416','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-04.png',1,'2024-07-11 21:57:08'),
	(7764,'WOF093400005-WOB000001','WOG00416','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-04.html',1,'2024-07-11 21:57:08'),
	(7765,'WOF093400005-WOB000001','WOG00417','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-05.png',1,'2024-07-11 21:57:08'),
	(7766,'WOF093400005-WOB000001','WOG00417','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-05.html',1,'2024-07-11 21:57:08'),
	(7767,'WOF093400005-WOB000001','WOG00418','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-06.png',1,'2024-07-11 21:57:08'),
	(7768,'WOF093400005-WOB000001','WOG00418','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-06.html',1,'2024-07-11 21:57:08'),
	(7769,'WOF093400005-WOB000001','WOG00419','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-07.png',1,'2024-07-11 21:57:08'),
	(7770,'WOF093400005-WOB000001','WOG00419','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-07.html',1,'2024-07-11 21:57:08'),
	(7771,'WOF093400005-WOB000001','WOG00420','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-08.png',1,'2024-07-11 21:57:08'),
	(7772,'WOF093400005-WOB000001','WOG00420','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-08.html',1,'2024-07-11 21:57:08'),
	(7773,'WOF093400005-WOB000001','WOG00421','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-09.png',1,'2024-07-11 21:57:08'),
	(7774,'WOF093400005-WOB000001','WOG00421','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-09.html',1,'2024-07-11 21:57:08'),
	(7775,'WOF093400005-WOB000001','WOG00422','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-10.png',1,'2024-07-11 21:57:08'),
	(7776,'WOF093400005-WOB000001','WOG00422','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-10.html',1,'2024-07-11 21:57:08'),
	(7777,'WOF093400005-WOB000001','WOG00423','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-11.png',1,'2024-07-11 21:57:08'),
	(7778,'WOF093400005-WOB000001','WOG00423','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-11.html',1,'2024-07-11 21:57:08'),
	(7779,'WOF093400005-WOB000001','WOG00424','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-12.png',1,'2024-07-11 21:57:08'),
	(7780,'WOF093400005-WOB000001','WOG00424','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-12.html',1,'2024-07-11 21:57:08'),
	(7781,'WOF093400005-WOB000001','WOG00425','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-13.png',1,'2024-07-11 21:57:08'),
	(7782,'WOF093400005-WOB000001','WOG00425','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-13.html',1,'2024-07-11 21:57:08'),
	(7783,'WOF093400005-WOB000001','WOG00426','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-14.png',1,'2024-07-11 21:57:08'),
	(7784,'WOF093400005-WOB000001','WOG00426','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-14.html',1,'2024-07-11 21:57:08'),
	(7785,'WOF093400005-WOB000001','WOG00427','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-15.png',1,'2024-07-11 21:57:08'),
	(7786,'WOF093400005-WOB000001','WOG00427','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-15.html',1,'2024-07-11 21:57:08'),
	(7787,'WOF093400005-WOB000001','WOG00428','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-16.png',1,'2024-07-11 21:57:08'),
	(7788,'WOF093400005-WOB000001','WOG00428','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-16.html',1,'2024-07-11 21:57:08'),
	(7789,'WOF093400005-WOB000001','WOG00429','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-17.png',1,'2024-07-11 21:57:08'),
	(7790,'WOF093400005-WOB000001','WOG00429','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-17.html',1,'2024-07-11 21:57:08'),
	(7791,'WOF093400005-WOB000001','WOG00430','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-18.png',1,'2024-07-11 21:57:08'),
	(7792,'WOF093400005-WOB000001','WOG00430','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-18.html',1,'2024-07-11 21:57:08'),
	(7793,'WOF093400005-WOB000001','WOG00431','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-19.png',1,'2024-07-11 21:57:08'),
	(7794,'WOF093400005-WOB000001','WOG00431','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-19.html',1,'2024-07-11 21:57:08'),
	(7795,'WOF093400005-WOB000001','WOG00432','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-20.png',1,'2024-07-11 21:57:08'),
	(7796,'WOF093400005-WOB000001','WOG00432','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-20.html',1,'2024-07-11 21:57:08'),
	(7797,'WOF093400005-WOB000001','WOG00433','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-21.png',1,'2024-07-11 21:57:08'),
	(7798,'WOF093400005-WOB000001','WOG00433','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-21.html',1,'2024-07-11 21:57:08'),
	(7799,'WOF093400005-WOB000001','WOG00434','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-22.png',1,'2024-07-11 21:57:08'),
	(7800,'WOF093400005-WOB000001','WOG00434','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-22.html',1,'2024-07-11 21:57:08'),
	(7801,'WOF093400005-WOB000001','WOG00435','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-23.png',1,'2024-07-11 21:57:08'),
	(7802,'WOF093400005-WOB000001','WOG00435','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/HD2-23.html',1,'2024-07-11 21:57:08'),
	(7803,'WOF093400005-WOB000001','WOG00413','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-01-scatter.png',1,'2024-07-11 21:57:08'),
	(7804,'WOF093400005-WOB000001','WOG00413','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-01-scatter.html',1,'2024-07-11 21:57:08'),
	(7805,'WOF093400005-WOB000001','WOG00414','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-02-scatter.png',1,'2024-07-11 21:57:08'),
	(7806,'WOF093400005-WOB000001','WOG00414','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-02-scatter.html',1,'2024-07-11 21:57:08'),
	(7807,'WOF093400005-WOB000001','WOG00415','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-03-scatter.png',1,'2024-07-11 21:57:08'),
	(7808,'WOF093400005-WOB000001','WOG00415','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-03-scatter.html',1,'2024-07-11 21:57:08'),
	(7809,'WOF093400005-WOB000001','WOG00416','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-04-scatter.png',1,'2024-07-11 21:57:08'),
	(7810,'WOF093400005-WOB000001','WOG00416','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-04-scatter.html',1,'2024-07-11 21:57:08'),
	(7811,'WOF093400005-WOB000001','WOG00417','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-05-scatter.png',1,'2024-07-11 21:57:08'),
	(7812,'WOF093400005-WOB000001','WOG00417','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-05-scatter.html',1,'2024-07-11 21:57:08'),
	(7813,'WOF093400005-WOB000001','WOG00418','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-06-scatter.png',1,'2024-07-11 21:57:08'),
	(7814,'WOF093400005-WOB000001','WOG00418','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-06-scatter.html',1,'2024-07-11 21:57:08'),
	(7815,'WOF093400005-WOB000001','WOG00419','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-07-scatter.png',1,'2024-07-11 21:57:08'),
	(7816,'WOF093400005-WOB000001','WOG00419','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-07-scatter.html',1,'2024-07-11 21:57:08'),
	(7817,'WOF093400005-WOB000001','WOG00420','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-08-scatter.png',1,'2024-07-11 21:57:08'),
	(7818,'WOF093400005-WOB000001','WOG00420','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-08-scatter.html',1,'2024-07-11 21:57:08'),
	(7819,'WOF093400005-WOB000001','WOG00421','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-09-scatter.png',1,'2024-07-11 21:57:08'),
	(7820,'WOF093400005-WOB000001','WOG00421','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-09-scatter.html',1,'2024-07-11 21:57:08'),
	(7821,'WOF093400005-WOB000001','WOG00422','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-10-scatter.png',1,'2024-07-11 21:57:08'),
	(7822,'WOF093400005-WOB000001','WOG00422','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-10-scatter.html',1,'2024-07-11 21:57:08'),
	(7823,'WOF093400005-WOB000001','WOG00423','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-11-scatter.png',1,'2024-07-11 21:57:08'),
	(7824,'WOF093400005-WOB000001','WOG00423','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-11-scatter.html',1,'2024-07-11 21:57:08'),
	(7825,'WOF093400005-WOB000001','WOG00424','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-12-scatter.png',1,'2024-07-11 21:57:08'),
	(7826,'WOF093400005-WOB000001','WOG00424','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-12-scatter.html',1,'2024-07-11 21:57:08'),
	(7827,'WOF093400005-WOB000001','WOG00425','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-13-scatter.png',1,'2024-07-11 21:57:08'),
	(7828,'WOF093400005-WOB000001','WOG00425','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-13-scatter.html',1,'2024-07-11 21:57:08'),
	(7829,'WOF093400005-WOB000001','WOG00426','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-14-scatter.png',1,'2024-07-11 21:57:08'),
	(7830,'WOF093400005-WOB000001','WOG00426','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-14-scatter.html',1,'2024-07-11 21:57:08'),
	(7831,'WOF093400005-WOB000001','WOG00427','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-15-scatter.png',1,'2024-07-11 21:57:08'),
	(7832,'WOF093400005-WOB000001','WOG00427','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-15-scatter.html',1,'2024-07-11 21:57:08'),
	(7833,'WOF093400005-WOB000001','WOG00428','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-16-scatter.png',1,'2024-07-11 21:57:08'),
	(7834,'WOF093400005-WOB000001','WOG00428','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-16-scatter.html',1,'2024-07-11 21:57:08'),
	(7835,'WOF093400005-WOB000001','WOG00429','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-17-scatter.png',1,'2024-07-11 21:57:08'),
	(7836,'WOF093400005-WOB000001','WOG00429','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-17-scatter.html',1,'2024-07-11 21:57:08'),
	(7837,'WOF093400005-WOB000001','WOG00430','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-18-scatter.png',1,'2024-07-11 21:57:08'),
	(7838,'WOF093400005-WOB000001','WOG00430','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-18-scatter.html',1,'2024-07-11 21:57:08'),
	(7839,'WOF093400005-WOB000001','WOG00431','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-19-scatter.png',1,'2024-07-11 21:57:08'),
	(7840,'WOF093400005-WOB000001','WOG00431','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-19-scatter.html',1,'2024-07-11 21:57:08'),
	(7841,'WOF093400005-WOB000001','WOG00432','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-20-scatter.png',1,'2024-07-11 21:57:08'),
	(7842,'WOF093400005-WOB000001','WOG00432','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-20-scatter.html',1,'2024-07-11 21:57:08'),
	(7843,'WOF093400005-WOB000001','WOG00433','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-21-scatter.png',1,'2024-07-11 21:57:08'),
	(7844,'WOF093400005-WOB000001','WOG00433','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-21-scatter.html',1,'2024-07-11 21:57:08'),
	(7845,'WOF093400005-WOB000001','WOG00434','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-22-scatter.png',1,'2024-07-11 21:57:08'),
	(7846,'WOF093400005-WOB000001','WOG00434','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-22-scatter.html',1,'2024-07-11 21:57:08'),
	(7847,'WOF093400005-WOB000001','WOG00435','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-23-scatter.png',1,'2024-07-11 21:57:08'),
	(7848,'WOF093400005-WOB000001','WOG00435','power_scatter_2D','wof093400005/WOF093400005-WOB000001/power_scatter_2D/automatic/HD2-23-scatter.html',1,'2024-07-11 21:57:08'),
	(7849,'WOF093400005-WOB000001','WOG00413','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-01.html',1,'2024-07-11 21:57:08'),
	(7850,'WOF093400005-WOB000001','WOG00414','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-02.html',1,'2024-07-11 21:57:08'),
	(7851,'WOF093400005-WOB000001','WOG00415','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-03.html',1,'2024-07-11 21:57:08'),
	(7852,'WOF093400005-WOB000001','WOG00416','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-04.html',1,'2024-07-11 21:57:08'),
	(7853,'WOF093400005-WOB000001','WOG00417','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-05.html',1,'2024-07-11 21:57:08'),
	(7854,'WOF093400005-WOB000001','WOG00418','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-06.html',1,'2024-07-11 21:57:08'),
	(7855,'WOF093400005-WOB000001','WOG00419','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-07.html',1,'2024-07-11 21:57:08'),
	(7856,'WOF093400005-WOB000001','WOG00420','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-08.html',1,'2024-07-11 21:57:08'),
	(7857,'WOF093400005-WOB000001','WOG00421','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-09.html',1,'2024-07-11 21:57:08'),
	(7858,'WOF093400005-WOB000001','WOG00422','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-10.html',1,'2024-07-11 21:57:08'),
	(7859,'WOF093400005-WOB000001','WOG00423','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-11.html',1,'2024-07-11 21:57:08'),
	(7860,'WOF093400005-WOB000001','WOG00424','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-12.html',1,'2024-07-11 21:57:08'),
	(7861,'WOF093400005-WOB000001','WOG00425','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-13.html',1,'2024-07-11 21:57:08'),
	(7862,'WOF093400005-WOB000001','WOG00426','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-14.html',1,'2024-07-11 21:57:08'),
	(7863,'WOF093400005-WOB000001','WOG00427','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-15.html',1,'2024-07-11 21:57:08'),
	(7864,'WOF093400005-WOB000001','WOG00428','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-16.html',1,'2024-07-11 21:57:08'),
	(7865,'WOF093400005-WOB000001','WOG00429','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-17.html',1,'2024-07-11 21:57:08'),
	(7866,'WOF093400005-WOB000001','WOG00430','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-18.html',1,'2024-07-11 21:57:08'),
	(7867,'WOF093400005-WOB000001','WOG00431','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-19.html',1,'2024-07-11 21:57:08'),
	(7868,'WOF093400005-WOB000001','WOG00432','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-20.html',1,'2024-07-11 21:57:08'),
	(7869,'WOF093400005-WOB000001','WOG00433','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-21.html',1,'2024-07-11 21:57:08'),
	(7870,'WOF093400005-WOB000001','WOG00434','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-22.html',1,'2024-07-11 21:57:08'),
	(7871,'WOF093400005-WOB000001','WOG00435','power_scatter','wof093400005/WOF093400005-WOB000001/power_scatter/automatic/HD2-23.html',1,'2024-07-11 21:57:08'),
	(7872,'WOF093400005-WOB000001','WOG00413','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-01.png',1,'2024-07-11 21:57:08'),
	(7873,'WOF093400005-WOB000001','WOG00413','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-01.html',1,'2024-07-11 21:57:08'),
	(7874,'WOF093400005-WOB000001','WOG00414','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-02.png',1,'2024-07-11 21:57:08'),
	(7875,'WOF093400005-WOB000001','WOG00414','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-02.html',1,'2024-07-11 21:57:08'),
	(7876,'WOF093400005-WOB000001','WOG00415','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-03.png',1,'2024-07-11 21:57:08'),
	(7877,'WOF093400005-WOB000001','WOG00415','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-03.html',1,'2024-07-11 21:57:08'),
	(7878,'WOF093400005-WOB000001','WOG00416','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-04.png',1,'2024-07-11 21:57:08'),
	(7879,'WOF093400005-WOB000001','WOG00416','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-04.html',1,'2024-07-11 21:57:08'),
	(7880,'WOF093400005-WOB000001','WOG00417','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-05.png',1,'2024-07-11 21:57:08'),
	(7881,'WOF093400005-WOB000001','WOG00417','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-05.html',1,'2024-07-11 21:57:08'),
	(7882,'WOF093400005-WOB000001','WOG00418','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-06.png',1,'2024-07-11 21:57:08'),
	(7883,'WOF093400005-WOB000001','WOG00418','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-06.html',1,'2024-07-11 21:57:08'),
	(7884,'WOF093400005-WOB000001','WOG00419','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-07.png',1,'2024-07-11 21:57:08'),
	(7885,'WOF093400005-WOB000001','WOG00419','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-07.html',1,'2024-07-11 21:57:08'),
	(7886,'WOF093400005-WOB000001','WOG00420','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-08.png',1,'2024-07-11 21:57:08'),
	(7887,'WOF093400005-WOB000001','WOG00420','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-08.html',1,'2024-07-11 21:57:08'),
	(7888,'WOF093400005-WOB000001','WOG00421','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-09.png',1,'2024-07-11 21:57:08'),
	(7889,'WOF093400005-WOB000001','WOG00421','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-09.html',1,'2024-07-11 21:57:08'),
	(7890,'WOF093400005-WOB000001','WOG00422','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-10.png',1,'2024-07-11 21:57:08'),
	(7891,'WOF093400005-WOB000001','WOG00422','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-10.html',1,'2024-07-11 21:57:08'),
	(7892,'WOF093400005-WOB000001','WOG00423','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-11.png',1,'2024-07-11 21:57:08'),
	(7893,'WOF093400005-WOB000001','WOG00423','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-11.html',1,'2024-07-11 21:57:08'),
	(7894,'WOF093400005-WOB000001','WOG00424','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-12.png',1,'2024-07-11 21:57:08'),
	(7895,'WOF093400005-WOB000001','WOG00424','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-12.html',1,'2024-07-11 21:57:08'),
	(7896,'WOF093400005-WOB000001','WOG00425','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-13.png',1,'2024-07-11 21:57:08'),
	(7897,'WOF093400005-WOB000001','WOG00425','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-13.html',1,'2024-07-11 21:57:08'),
	(7898,'WOF093400005-WOB000001','WOG00426','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-14.png',1,'2024-07-11 21:57:08'),
	(7899,'WOF093400005-WOB000001','WOG00426','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-14.html',1,'2024-07-11 21:57:08'),
	(7900,'WOF093400005-WOB000001','WOG00427','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-15.png',1,'2024-07-11 21:57:08'),
	(7901,'WOF093400005-WOB000001','WOG00427','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-15.html',1,'2024-07-11 21:57:08'),
	(7902,'WOF093400005-WOB000001','WOG00428','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-16.png',1,'2024-07-11 21:57:08'),
	(7903,'WOF093400005-WOB000001','WOG00428','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-16.html',1,'2024-07-11 21:57:08'),
	(7904,'WOF093400005-WOB000001','WOG00429','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-17.png',1,'2024-07-11 21:57:08'),
	(7905,'WOF093400005-WOB000001','WOG00429','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-17.html',1,'2024-07-11 21:57:08'),
	(7906,'WOF093400005-WOB000001','WOG00430','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-18.png',1,'2024-07-11 21:57:08'),
	(7907,'WOF093400005-WOB000001','WOG00430','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-18.html',1,'2024-07-11 21:57:08'),
	(7908,'WOF093400005-WOB000001','WOG00431','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-19.png',1,'2024-07-11 21:57:08'),
	(7909,'WOF093400005-WOB000001','WOG00431','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-19.html',1,'2024-07-11 21:57:08'),
	(7910,'WOF093400005-WOB000001','WOG00432','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-20.png',1,'2024-07-11 21:57:08'),
	(7911,'WOF093400005-WOB000001','WOG00432','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-20.html',1,'2024-07-11 21:57:08'),
	(7912,'WOF093400005-WOB000001','WOG00433','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-21.png',1,'2024-07-11 21:57:08'),
	(7913,'WOF093400005-WOB000001','WOG00433','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-21.html',1,'2024-07-11 21:57:08'),
	(7914,'WOF093400005-WOB000001','WOG00434','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-22.png',1,'2024-07-11 21:57:08'),
	(7915,'WOF093400005-WOB000001','WOG00434','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-22.html',1,'2024-07-11 21:57:08'),
	(7916,'WOF093400005-WOB000001','WOG00435','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-23.png',1,'2024-07-11 21:57:08'),
	(7917,'WOF093400005-WOB000001','WOG00435','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/HD2-23.html',1,'2024-07-11 21:57:08'),
	(7918,'WOF093400005-WOB000001','WOG00413','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-01.png',1,'2024-07-11 21:57:08'),
	(7919,'WOF093400005-WOB000001','WOG00413','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-01.html',1,'2024-07-11 21:57:08'),
	(7920,'WOF093400005-WOB000001','WOG00414','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-02.png',1,'2024-07-11 21:57:08'),
	(7921,'WOF093400005-WOB000001','WOG00414','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-02.html',1,'2024-07-11 21:57:08'),
	(7922,'WOF093400005-WOB000001','WOG00415','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-03.png',1,'2024-07-11 21:57:08'),
	(7923,'WOF093400005-WOB000001','WOG00415','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-03.html',1,'2024-07-11 21:57:08'),
	(7924,'WOF093400005-WOB000001','WOG00416','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-04.png',1,'2024-07-11 21:57:08'),
	(7925,'WOF093400005-WOB000001','WOG00416','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-04.html',1,'2024-07-11 21:57:08'),
	(7926,'WOF093400005-WOB000001','WOG00417','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-05.png',1,'2024-07-11 21:57:08'),
	(7927,'WOF093400005-WOB000001','WOG00417','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-05.html',1,'2024-07-11 21:57:08'),
	(7928,'WOF093400005-WOB000001','WOG00418','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-06.png',1,'2024-07-11 21:57:08'),
	(7929,'WOF093400005-WOB000001','WOG00418','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-06.html',1,'2024-07-11 21:57:08'),
	(7930,'WOF093400005-WOB000001','WOG00419','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-07.png',1,'2024-07-11 21:57:08'),
	(7931,'WOF093400005-WOB000001','WOG00419','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-07.html',1,'2024-07-11 21:57:08'),
	(7932,'WOF093400005-WOB000001','WOG00420','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-08.png',1,'2024-07-11 21:57:08'),
	(7933,'WOF093400005-WOB000001','WOG00420','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-08.html',1,'2024-07-11 21:57:08'),
	(7934,'WOF093400005-WOB000001','WOG00421','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-09.png',1,'2024-07-11 21:57:08'),
	(7935,'WOF093400005-WOB000001','WOG00421','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-09.html',1,'2024-07-11 21:57:08'),
	(7936,'WOF093400005-WOB000001','WOG00422','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-10.png',1,'2024-07-11 21:57:08'),
	(7937,'WOF093400005-WOB000001','WOG00422','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-10.html',1,'2024-07-11 21:57:08'),
	(7938,'WOF093400005-WOB000001','WOG00423','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-11.png',1,'2024-07-11 21:57:08'),
	(7939,'WOF093400005-WOB000001','WOG00423','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-11.html',1,'2024-07-11 21:57:08'),
	(7940,'WOF093400005-WOB000001','WOG00424','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-12.png',1,'2024-07-11 21:57:08'),
	(7941,'WOF093400005-WOB000001','WOG00424','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-12.html',1,'2024-07-11 21:57:08'),
	(7942,'WOF093400005-WOB000001','WOG00425','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-13.png',1,'2024-07-11 21:57:08'),
	(7943,'WOF093400005-WOB000001','WOG00425','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-13.html',1,'2024-07-11 21:57:08'),
	(7944,'WOF093400005-WOB000001','WOG00426','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-14.png',1,'2024-07-11 21:57:08'),
	(7945,'WOF093400005-WOB000001','WOG00426','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-14.html',1,'2024-07-11 21:57:08'),
	(7946,'WOF093400005-WOB000001','WOG00427','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-15.png',1,'2024-07-11 21:57:08'),
	(7947,'WOF093400005-WOB000001','WOG00427','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-15.html',1,'2024-07-11 21:57:08'),
	(7948,'WOF093400005-WOB000001','WOG00428','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-16.png',1,'2024-07-11 21:57:08'),
	(7949,'WOF093400005-WOB000001','WOG00428','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-16.html',1,'2024-07-11 21:57:08'),
	(7950,'WOF093400005-WOB000001','WOG00429','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-17.png',1,'2024-07-11 21:57:08'),
	(7951,'WOF093400005-WOB000001','WOG00429','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-17.html',1,'2024-07-11 21:57:08'),
	(7952,'WOF093400005-WOB000001','WOG00430','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-18.png',1,'2024-07-11 21:57:08'),
	(7953,'WOF093400005-WOB000001','WOG00430','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-18.html',1,'2024-07-11 21:57:08'),
	(7954,'WOF093400005-WOB000001','WOG00431','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-19.png',1,'2024-07-11 21:57:08'),
	(7955,'WOF093400005-WOB000001','WOG00431','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-19.html',1,'2024-07-11 21:57:08'),
	(7956,'WOF093400005-WOB000001','WOG00432','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-20.png',1,'2024-07-11 21:57:08'),
	(7957,'WOF093400005-WOB000001','WOG00432','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-20.html',1,'2024-07-11 21:57:08'),
	(7958,'WOF093400005-WOB000001','WOG00433','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-21.png',1,'2024-07-11 21:57:08'),
	(7959,'WOF093400005-WOB000001','WOG00433','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-21.html',1,'2024-07-11 21:57:08'),
	(7960,'WOF093400005-WOB000001','WOG00434','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-22.png',1,'2024-07-11 21:57:08'),
	(7961,'WOF093400005-WOB000001','WOG00434','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-22.html',1,'2024-07-11 21:57:08'),
	(7962,'WOF093400005-WOB000001','WOG00435','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-23.png',1,'2024-07-11 21:57:08'),
	(7963,'WOF093400005-WOB000001','WOG00435','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/HD2-23.html',1,'2024-07-11 21:57:08'),
	(7964,'WOF093400005-WOB000001','WOG00413','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-01.png',1,'2024-07-11 21:57:08'),
	(7965,'WOF093400005-WOB000001','WOG00413','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-01.html',1,'2024-07-11 21:57:08'),
	(7966,'WOF093400005-WOB000001','WOG00414','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-02.png',1,'2024-07-11 21:57:08'),
	(7967,'WOF093400005-WOB000001','WOG00414','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-02.html',1,'2024-07-11 21:57:08'),
	(7968,'WOF093400005-WOB000001','WOG00415','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-03.png',1,'2024-07-11 21:57:08'),
	(7969,'WOF093400005-WOB000001','WOG00415','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-03.html',1,'2024-07-11 21:57:08'),
	(7970,'WOF093400005-WOB000001','WOG00416','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-04.png',1,'2024-07-11 21:57:08'),
	(7971,'WOF093400005-WOB000001','WOG00416','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-04.html',1,'2024-07-11 21:57:08'),
	(7972,'WOF093400005-WOB000001','WOG00417','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-05.png',1,'2024-07-11 21:57:08'),
	(7973,'WOF093400005-WOB000001','WOG00417','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-05.html',1,'2024-07-11 21:57:08'),
	(7974,'WOF093400005-WOB000001','WOG00418','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-06.png',1,'2024-07-11 21:57:08'),
	(7975,'WOF093400005-WOB000001','WOG00418','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-06.html',1,'2024-07-11 21:57:08'),
	(7976,'WOF093400005-WOB000001','WOG00419','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-07.png',1,'2024-07-11 21:57:08'),
	(7977,'WOF093400005-WOB000001','WOG00419','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-07.html',1,'2024-07-11 21:57:08'),
	(7978,'WOF093400005-WOB000001','WOG00420','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-08.png',1,'2024-07-11 21:57:08'),
	(7979,'WOF093400005-WOB000001','WOG00420','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-08.html',1,'2024-07-11 21:57:08'),
	(7980,'WOF093400005-WOB000001','WOG00421','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-09.png',1,'2024-07-11 21:57:08'),
	(7981,'WOF093400005-WOB000001','WOG00421','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-09.html',1,'2024-07-11 21:57:08'),
	(7982,'WOF093400005-WOB000001','WOG00422','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-10.png',1,'2024-07-11 21:57:08'),
	(7983,'WOF093400005-WOB000001','WOG00422','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-10.html',1,'2024-07-11 21:57:08'),
	(7984,'WOF093400005-WOB000001','WOG00423','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-11.png',1,'2024-07-11 21:57:08'),
	(7985,'WOF093400005-WOB000001','WOG00423','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-11.html',1,'2024-07-11 21:57:08'),
	(7986,'WOF093400005-WOB000001','WOG00424','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-12.png',1,'2024-07-11 21:57:08'),
	(7987,'WOF093400005-WOB000001','WOG00424','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-12.html',1,'2024-07-11 21:57:08'),
	(7988,'WOF093400005-WOB000001','WOG00425','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-13.png',1,'2024-07-11 21:57:08'),
	(7989,'WOF093400005-WOB000001','WOG00425','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-13.html',1,'2024-07-11 21:57:08'),
	(7990,'WOF093400005-WOB000001','WOG00426','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-14.png',1,'2024-07-11 21:57:08'),
	(7991,'WOF093400005-WOB000001','WOG00426','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-14.html',1,'2024-07-11 21:57:08'),
	(7992,'WOF093400005-WOB000001','WOG00427','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-15.png',1,'2024-07-11 21:57:08'),
	(7993,'WOF093400005-WOB000001','WOG00427','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-15.html',1,'2024-07-11 21:57:08'),
	(7994,'WOF093400005-WOB000001','WOG00428','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-16.png',1,'2024-07-11 21:57:08'),
	(7995,'WOF093400005-WOB000001','WOG00428','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-16.html',1,'2024-07-11 21:57:08'),
	(7996,'WOF093400005-WOB000001','WOG00429','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-17.png',1,'2024-07-11 21:57:08'),
	(7997,'WOF093400005-WOB000001','WOG00429','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-17.html',1,'2024-07-11 21:57:08'),
	(7998,'WOF093400005-WOB000001','WOG00430','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-18.png',1,'2024-07-11 21:57:08'),
	(7999,'WOF093400005-WOB000001','WOG00430','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-18.html',1,'2024-07-11 21:57:08'),
	(8000,'WOF093400005-WOB000001','WOG00431','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-19.png',1,'2024-07-11 21:57:08'),
	(8001,'WOF093400005-WOB000001','WOG00431','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-19.html',1,'2024-07-11 21:57:08'),
	(8002,'WOF093400005-WOB000001','WOG00432','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-20.png',1,'2024-07-11 21:57:08'),
	(8003,'WOF093400005-WOB000001','WOG00432','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-20.html',1,'2024-07-11 21:57:08'),
	(8004,'WOF093400005-WOB000001','WOG00433','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-21.png',1,'2024-07-11 21:57:08'),
	(8005,'WOF093400005-WOB000001','WOG00433','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-21.html',1,'2024-07-11 21:57:08'),
	(8006,'WOF093400005-WOB000001','WOG00434','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-22.png',1,'2024-07-11 21:57:08'),
	(8007,'WOF093400005-WOB000001','WOG00434','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-22.html',1,'2024-07-11 21:57:08'),
	(8008,'WOF093400005-WOB000001','WOG00435','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-23.png',1,'2024-07-11 21:57:08'),
	(8009,'WOF093400005-WOB000001','WOG00435','cp_trend','wof093400005/WOF093400005-WOB000001/cp_trend/automatic/HD2-23.html',1,'2024-07-11 21:57:08'),
	(8010,'WOF093400005-WOB000001','WOG00413','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-01.png',1,'2024-07-11 21:57:08'),
	(8011,'WOF093400005-WOB000001','WOG00413','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-01.html',1,'2024-07-11 21:57:08'),
	(8012,'WOF093400005-WOB000001','WOG00414','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-02.png',1,'2024-07-11 21:57:08'),
	(8013,'WOF093400005-WOB000001','WOG00414','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-02.html',1,'2024-07-11 21:57:08'),
	(8014,'WOF093400005-WOB000001','WOG00415','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-03.png',1,'2024-07-11 21:57:08'),
	(8015,'WOF093400005-WOB000001','WOG00415','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-03.html',1,'2024-07-11 21:57:08'),
	(8016,'WOF093400005-WOB000001','WOG00416','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-04.png',1,'2024-07-11 21:57:08'),
	(8017,'WOF093400005-WOB000001','WOG00416','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-04.html',1,'2024-07-11 21:57:08'),
	(8018,'WOF093400005-WOB000001','WOG00417','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-05.png',1,'2024-07-11 21:57:08'),
	(8019,'WOF093400005-WOB000001','WOG00417','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-05.html',1,'2024-07-11 21:57:08'),
	(8020,'WOF093400005-WOB000001','WOG00418','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-06.png',1,'2024-07-11 21:57:08'),
	(8021,'WOF093400005-WOB000001','WOG00418','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-06.html',1,'2024-07-11 21:57:08'),
	(8022,'WOF093400005-WOB000001','WOG00419','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-07.png',1,'2024-07-11 21:57:08'),
	(8023,'WOF093400005-WOB000001','WOG00419','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-07.html',1,'2024-07-11 21:57:08'),
	(8024,'WOF093400005-WOB000001','WOG00420','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-08.png',1,'2024-07-11 21:57:08'),
	(8025,'WOF093400005-WOB000001','WOG00420','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-08.html',1,'2024-07-11 21:57:08'),
	(8026,'WOF093400005-WOB000001','WOG00421','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-09.png',1,'2024-07-11 21:57:08'),
	(8027,'WOF093400005-WOB000001','WOG00421','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-09.html',1,'2024-07-11 21:57:08'),
	(8028,'WOF093400005-WOB000001','WOG00422','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-10.png',1,'2024-07-11 21:57:08'),
	(8029,'WOF093400005-WOB000001','WOG00422','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-10.html',1,'2024-07-11 21:57:08'),
	(8030,'WOF093400005-WOB000001','WOG00423','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-11.png',1,'2024-07-11 21:57:08'),
	(8031,'WOF093400005-WOB000001','WOG00423','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-11.html',1,'2024-07-11 21:57:08'),
	(8032,'WOF093400005-WOB000001','WOG00424','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-12.png',1,'2024-07-11 21:57:08'),
	(8033,'WOF093400005-WOB000001','WOG00424','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-12.html',1,'2024-07-11 21:57:08'),
	(8034,'WOF093400005-WOB000001','WOG00425','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-13.png',1,'2024-07-11 21:57:08'),
	(8035,'WOF093400005-WOB000001','WOG00425','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-13.html',1,'2024-07-11 21:57:08'),
	(8036,'WOF093400005-WOB000001','WOG00426','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-14.png',1,'2024-07-11 21:57:08'),
	(8037,'WOF093400005-WOB000001','WOG00426','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-14.html',1,'2024-07-11 21:57:08'),
	(8038,'WOF093400005-WOB000001','WOG00427','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-15.png',1,'2024-07-11 21:57:08'),
	(8039,'WOF093400005-WOB000001','WOG00427','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-15.html',1,'2024-07-11 21:57:08'),
	(8040,'WOF093400005-WOB000001','WOG00428','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-16.png',1,'2024-07-11 21:57:08'),
	(8041,'WOF093400005-WOB000001','WOG00428','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-16.html',1,'2024-07-11 21:57:08'),
	(8042,'WOF093400005-WOB000001','WOG00429','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-17.png',1,'2024-07-11 21:57:08'),
	(8043,'WOF093400005-WOB000001','WOG00429','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-17.html',1,'2024-07-11 21:57:08'),
	(8044,'WOF093400005-WOB000001','WOG00430','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-18.png',1,'2024-07-11 21:57:08'),
	(8045,'WOF093400005-WOB000001','WOG00430','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-18.html',1,'2024-07-11 21:57:08'),
	(8046,'WOF093400005-WOB000001','WOG00431','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-19.png',1,'2024-07-11 21:57:08'),
	(8047,'WOF093400005-WOB000001','WOG00431','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-19.html',1,'2024-07-11 21:57:08'),
	(8048,'WOF093400005-WOB000001','WOG00432','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-20.png',1,'2024-07-11 21:57:08'),
	(8049,'WOF093400005-WOB000001','WOG00432','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-20.html',1,'2024-07-11 21:57:08'),
	(8050,'WOF093400005-WOB000001','WOG00433','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-21.png',1,'2024-07-11 21:57:08'),
	(8051,'WOF093400005-WOB000001','WOG00433','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-21.html',1,'2024-07-11 21:57:08'),
	(8052,'WOF093400005-WOB000001','WOG00434','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-22.png',1,'2024-07-11 21:57:08'),
	(8053,'WOF093400005-WOB000001','WOG00434','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-22.html',1,'2024-07-11 21:57:08'),
	(8054,'WOF093400005-WOB000001','WOG00435','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-23.png',1,'2024-07-11 21:57:08'),
	(8055,'WOF093400005-WOB000001','WOG00435','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/HD2-23.html',1,'2024-07-11 21:57:08'),
	(8056,'WOF093400005-WOB000001','WOG00413','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-01.png',1,'2024-07-11 21:57:08'),
	(8057,'WOF093400005-WOB000001','WOG00413','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-01.html',1,'2024-07-11 21:57:08'),
	(8058,'WOF093400005-WOB000001','WOG00414','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-02.png',1,'2024-07-11 21:57:08'),
	(8059,'WOF093400005-WOB000001','WOG00414','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-02.html',1,'2024-07-11 21:57:08'),
	(8060,'WOF093400005-WOB000001','WOG00415','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-03.png',1,'2024-07-11 21:57:08'),
	(8061,'WOF093400005-WOB000001','WOG00415','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-03.html',1,'2024-07-11 21:57:08'),
	(8062,'WOF093400005-WOB000001','WOG00416','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-04.png',1,'2024-07-11 21:57:08'),
	(8063,'WOF093400005-WOB000001','WOG00416','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-04.html',1,'2024-07-11 21:57:08'),
	(8064,'WOF093400005-WOB000001','WOG00417','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-05.png',1,'2024-07-11 21:57:08'),
	(8065,'WOF093400005-WOB000001','WOG00417','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-05.html',1,'2024-07-11 21:57:08'),
	(8066,'WOF093400005-WOB000001','WOG00418','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-06.png',1,'2024-07-11 21:57:08'),
	(8067,'WOF093400005-WOB000001','WOG00418','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-06.html',1,'2024-07-11 21:57:08'),
	(8068,'WOF093400005-WOB000001','WOG00419','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-07.png',1,'2024-07-11 21:57:08'),
	(8069,'WOF093400005-WOB000001','WOG00419','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-07.html',1,'2024-07-11 21:57:08'),
	(8070,'WOF093400005-WOB000001','WOG00420','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-08.png',1,'2024-07-11 21:57:08'),
	(8071,'WOF093400005-WOB000001','WOG00420','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-08.html',1,'2024-07-11 21:57:08'),
	(8072,'WOF093400005-WOB000001','WOG00421','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-09.png',1,'2024-07-11 21:57:08'),
	(8073,'WOF093400005-WOB000001','WOG00421','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-09.html',1,'2024-07-11 21:57:08'),
	(8074,'WOF093400005-WOB000001','WOG00422','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-10.png',1,'2024-07-11 21:57:08'),
	(8075,'WOF093400005-WOB000001','WOG00422','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-10.html',1,'2024-07-11 21:57:08'),
	(8076,'WOF093400005-WOB000001','WOG00423','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-11.png',1,'2024-07-11 21:57:08'),
	(8077,'WOF093400005-WOB000001','WOG00423','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-11.html',1,'2024-07-11 21:57:08'),
	(8078,'WOF093400005-WOB000001','WOG00424','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-12.png',1,'2024-07-11 21:57:08'),
	(8079,'WOF093400005-WOB000001','WOG00424','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-12.html',1,'2024-07-11 21:57:08'),
	(8080,'WOF093400005-WOB000001','WOG00425','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-13.png',1,'2024-07-11 21:57:08'),
	(8081,'WOF093400005-WOB000001','WOG00425','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-13.html',1,'2024-07-11 21:57:08'),
	(8082,'WOF093400005-WOB000001','WOG00426','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-14.png',1,'2024-07-11 21:57:08'),
	(8083,'WOF093400005-WOB000001','WOG00426','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-14.html',1,'2024-07-11 21:57:08'),
	(8084,'WOF093400005-WOB000001','WOG00427','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-15.png',1,'2024-07-11 21:57:08'),
	(8085,'WOF093400005-WOB000001','WOG00427','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-15.html',1,'2024-07-11 21:57:08'),
	(8086,'WOF093400005-WOB000001','WOG00428','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-16.png',1,'2024-07-11 21:57:08'),
	(8087,'WOF093400005-WOB000001','WOG00428','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-16.html',1,'2024-07-11 21:57:08'),
	(8088,'WOF093400005-WOB000001','WOG00429','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-17.png',1,'2024-07-11 21:57:08'),
	(8089,'WOF093400005-WOB000001','WOG00429','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-17.html',1,'2024-07-11 21:57:08'),
	(8090,'WOF093400005-WOB000001','WOG00430','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-18.png',1,'2024-07-11 21:57:08'),
	(8091,'WOF093400005-WOB000001','WOG00430','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-18.html',1,'2024-07-11 21:57:08'),
	(8092,'WOF093400005-WOB000001','WOG00431','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-19.png',1,'2024-07-11 21:57:08'),
	(8093,'WOF093400005-WOB000001','WOG00431','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-19.html',1,'2024-07-11 21:57:08'),
	(8094,'WOF093400005-WOB000001','WOG00432','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-20.png',1,'2024-07-11 21:57:08'),
	(8095,'WOF093400005-WOB000001','WOG00432','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-20.html',1,'2024-07-11 21:57:08'),
	(8096,'WOF093400005-WOB000001','WOG00433','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-21.png',1,'2024-07-11 21:57:08'),
	(8097,'WOF093400005-WOB000001','WOG00433','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-21.html',1,'2024-07-11 21:57:08'),
	(8098,'WOF093400005-WOB000001','WOG00434','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-22.png',1,'2024-07-11 21:57:08'),
	(8099,'WOF093400005-WOB000001','WOG00434','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-22.html',1,'2024-07-11 21:57:08'),
	(8100,'WOF093400005-WOB000001','WOG00435','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-23.png',1,'2024-07-11 21:57:08'),
	(8101,'WOF093400005-WOB000001','WOG00435','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/HD2-23.html',1,'2024-07-11 21:57:08'),
	(8102,'WOF093400005-WOB000001','WOG00413','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-01.png',1,'2024-07-11 21:57:08'),
	(8103,'WOF093400005-WOB000001','WOG00413','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-01.html',1,'2024-07-11 21:57:08'),
	(8104,'WOF093400005-WOB000001','WOG00414','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-02.png',1,'2024-07-11 21:57:08'),
	(8105,'WOF093400005-WOB000001','WOG00414','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-02.html',1,'2024-07-11 21:57:08'),
	(8106,'WOF093400005-WOB000001','WOG00415','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-03.png',1,'2024-07-11 21:57:08'),
	(8107,'WOF093400005-WOB000001','WOG00415','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-03.html',1,'2024-07-11 21:57:08'),
	(8108,'WOF093400005-WOB000001','WOG00416','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-04.png',1,'2024-07-11 21:57:08'),
	(8109,'WOF093400005-WOB000001','WOG00416','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-04.html',1,'2024-07-11 21:57:08'),
	(8110,'WOF093400005-WOB000001','WOG00417','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-05.png',1,'2024-07-11 21:57:08'),
	(8111,'WOF093400005-WOB000001','WOG00417','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-05.html',1,'2024-07-11 21:57:08'),
	(8112,'WOF093400005-WOB000001','WOG00418','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-06.png',1,'2024-07-11 21:57:08'),
	(8113,'WOF093400005-WOB000001','WOG00418','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-06.html',1,'2024-07-11 21:57:08'),
	(8114,'WOF093400005-WOB000001','WOG00419','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-07.png',1,'2024-07-11 21:57:08'),
	(8115,'WOF093400005-WOB000001','WOG00419','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-07.html',1,'2024-07-11 21:57:08'),
	(8116,'WOF093400005-WOB000001','WOG00420','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-08.png',1,'2024-07-11 21:57:08'),
	(8117,'WOF093400005-WOB000001','WOG00420','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-08.html',1,'2024-07-11 21:57:08'),
	(8118,'WOF093400005-WOB000001','WOG00421','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-09.png',1,'2024-07-11 21:57:08'),
	(8119,'WOF093400005-WOB000001','WOG00421','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-09.html',1,'2024-07-11 21:57:08'),
	(8120,'WOF093400005-WOB000001','WOG00422','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-10.png',1,'2024-07-11 21:57:08'),
	(8121,'WOF093400005-WOB000001','WOG00422','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-10.html',1,'2024-07-11 21:57:08'),
	(8122,'WOF093400005-WOB000001','WOG00423','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-11.png',1,'2024-07-11 21:57:08'),
	(8123,'WOF093400005-WOB000001','WOG00423','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-11.html',1,'2024-07-11 21:57:08'),
	(8124,'WOF093400005-WOB000001','WOG00424','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-12.png',1,'2024-07-11 21:57:08'),
	(8125,'WOF093400005-WOB000001','WOG00424','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-12.html',1,'2024-07-11 21:57:08'),
	(8126,'WOF093400005-WOB000001','WOG00425','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-13.png',1,'2024-07-11 21:57:08'),
	(8127,'WOF093400005-WOB000001','WOG00425','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-13.html',1,'2024-07-11 21:57:08'),
	(8128,'WOF093400005-WOB000001','WOG00426','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-14.png',1,'2024-07-11 21:57:08'),
	(8129,'WOF093400005-WOB000001','WOG00426','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-14.html',1,'2024-07-11 21:57:08'),
	(8130,'WOF093400005-WOB000001','WOG00427','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-15.png',1,'2024-07-11 21:57:08'),
	(8131,'WOF093400005-WOB000001','WOG00427','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-15.html',1,'2024-07-11 21:57:08'),
	(8132,'WOF093400005-WOB000001','WOG00428','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-16.png',1,'2024-07-11 21:57:08'),
	(8133,'WOF093400005-WOB000001','WOG00428','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-16.html',1,'2024-07-11 21:57:08'),
	(8134,'WOF093400005-WOB000001','WOG00429','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-17.png',1,'2024-07-11 21:57:08'),
	(8135,'WOF093400005-WOB000001','WOG00429','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-17.html',1,'2024-07-11 21:57:08'),
	(8136,'WOF093400005-WOB000001','WOG00430','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-18.png',1,'2024-07-11 21:57:08'),
	(8137,'WOF093400005-WOB000001','WOG00430','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-18.html',1,'2024-07-11 21:57:08'),
	(8138,'WOF093400005-WOB000001','WOG00431','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-19.png',1,'2024-07-11 21:57:08'),
	(8139,'WOF093400005-WOB000001','WOG00431','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-19.html',1,'2024-07-11 21:57:08'),
	(8140,'WOF093400005-WOB000001','WOG00432','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-20.png',1,'2024-07-11 21:57:08'),
	(8141,'WOF093400005-WOB000001','WOG00432','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-20.html',1,'2024-07-11 21:57:08'),
	(8142,'WOF093400005-WOB000001','WOG00433','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-21.png',1,'2024-07-11 21:57:08'),
	(8143,'WOF093400005-WOB000001','WOG00433','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-21.html',1,'2024-07-11 21:57:08'),
	(8144,'WOF093400005-WOB000001','WOG00434','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-22.png',1,'2024-07-11 21:57:08'),
	(8145,'WOF093400005-WOB000001','WOG00434','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-22.html',1,'2024-07-11 21:57:08'),
	(8146,'WOF093400005-WOB000001','WOG00435','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-23.png',1,'2024-07-11 21:57:08'),
	(8147,'WOF093400005-WOB000001','WOG00435','tsr_trend','wof093400005/WOF093400005-WOB000001/tsr_trend/automatic/HD2-23.html',1,'2024-07-11 21:57:08'),
	(8148,'WOF093400005-WOB000001','WOG00413','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-01.png',1,'2024-07-11 21:57:08'),
	(8149,'WOF093400005-WOB000001','WOG00413','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-01.html',1,'2024-07-11 21:57:08'),
	(8150,'WOF093400005-WOB000001','WOG00414','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-02.png',1,'2024-07-11 21:57:08'),
	(8151,'WOF093400005-WOB000001','WOG00414','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-02.html',1,'2024-07-11 21:57:08'),
	(8152,'WOF093400005-WOB000001','WOG00415','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-03.png',1,'2024-07-11 21:57:08'),
	(8153,'WOF093400005-WOB000001','WOG00415','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-03.html',1,'2024-07-11 21:57:08'),
	(8154,'WOF093400005-WOB000001','WOG00416','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-04.png',1,'2024-07-11 21:57:08'),
	(8155,'WOF093400005-WOB000001','WOG00416','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-04.html',1,'2024-07-11 21:57:08'),
	(8156,'WOF093400005-WOB000001','WOG00417','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-05.png',1,'2024-07-11 21:57:08'),
	(8157,'WOF093400005-WOB000001','WOG00417','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-05.html',1,'2024-07-11 21:57:08'),
	(8158,'WOF093400005-WOB000001','WOG00418','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-06.png',1,'2024-07-11 21:57:08'),
	(8159,'WOF093400005-WOB000001','WOG00418','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-06.html',1,'2024-07-11 21:57:08'),
	(8160,'WOF093400005-WOB000001','WOG00419','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-07.png',1,'2024-07-11 21:57:08'),
	(8161,'WOF093400005-WOB000001','WOG00419','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-07.html',1,'2024-07-11 21:57:08'),
	(8162,'WOF093400005-WOB000001','WOG00420','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-08.png',1,'2024-07-11 21:57:08'),
	(8163,'WOF093400005-WOB000001','WOG00420','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-08.html',1,'2024-07-11 21:57:08'),
	(8164,'WOF093400005-WOB000001','WOG00421','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-09.png',1,'2024-07-11 21:57:08'),
	(8165,'WOF093400005-WOB000001','WOG00421','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-09.html',1,'2024-07-11 21:57:08'),
	(8166,'WOF093400005-WOB000001','WOG00422','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-10.png',1,'2024-07-11 21:57:08'),
	(8167,'WOF093400005-WOB000001','WOG00422','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-10.html',1,'2024-07-11 21:57:08'),
	(8168,'WOF093400005-WOB000001','WOG00423','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-11.png',1,'2024-07-11 21:57:08'),
	(8169,'WOF093400005-WOB000001','WOG00423','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-11.html',1,'2024-07-11 21:57:08'),
	(8170,'WOF093400005-WOB000001','WOG00424','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-12.png',1,'2024-07-11 21:57:08'),
	(8171,'WOF093400005-WOB000001','WOG00424','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-12.html',1,'2024-07-11 21:57:08'),
	(8172,'WOF093400005-WOB000001','WOG00425','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-13.png',1,'2024-07-11 21:57:08'),
	(8173,'WOF093400005-WOB000001','WOG00425','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-13.html',1,'2024-07-11 21:57:08'),
	(8174,'WOF093400005-WOB000001','WOG00426','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-14.png',1,'2024-07-11 21:57:08'),
	(8175,'WOF093400005-WOB000001','WOG00426','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-14.html',1,'2024-07-11 21:57:08'),
	(8176,'WOF093400005-WOB000001','WOG00427','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-15.png',1,'2024-07-11 21:57:08'),
	(8177,'WOF093400005-WOB000001','WOG00427','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-15.html',1,'2024-07-11 21:57:08'),
	(8178,'WOF093400005-WOB000001','WOG00428','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-16.png',1,'2024-07-11 21:57:08'),
	(8179,'WOF093400005-WOB000001','WOG00428','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-16.html',1,'2024-07-11 21:57:08'),
	(8180,'WOF093400005-WOB000001','WOG00429','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-17.png',1,'2024-07-11 21:57:08'),
	(8181,'WOF093400005-WOB000001','WOG00429','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-17.html',1,'2024-07-11 21:57:08'),
	(8182,'WOF093400005-WOB000001','WOG00430','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-18.png',1,'2024-07-11 21:57:08'),
	(8183,'WOF093400005-WOB000001','WOG00430','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-18.html',1,'2024-07-11 21:57:08'),
	(8184,'WOF093400005-WOB000001','WOG00431','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-19.png',1,'2024-07-11 21:57:08'),
	(8185,'WOF093400005-WOB000001','WOG00431','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-19.html',1,'2024-07-11 21:57:08'),
	(8186,'WOF093400005-WOB000001','WOG00432','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-20.png',1,'2024-07-11 21:57:08'),
	(8187,'WOF093400005-WOB000001','WOG00432','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-20.html',1,'2024-07-11 21:57:08'),
	(8188,'WOF093400005-WOB000001','WOG00433','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-21.png',1,'2024-07-11 21:57:08'),
	(8189,'WOF093400005-WOB000001','WOG00433','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-21.html',1,'2024-07-11 21:57:08'),
	(8190,'WOF093400005-WOB000001','WOG00434','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-22.png',1,'2024-07-11 21:57:08'),
	(8191,'WOF093400005-WOB000001','WOG00434','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-22.html',1,'2024-07-11 21:57:08'),
	(8192,'WOF093400005-WOB000001','WOG00435','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-23.png',1,'2024-07-11 21:57:08'),
	(8193,'WOF093400005-WOB000001','WOG00435','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-23.html',1,'2024-07-11 21:57:08'),
	(8194,'WOF093400005-WOB000001','WOG00413','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-01_3D.html',1,'2024-07-11 21:57:08'),
	(8195,'WOF093400005-WOB000001','WOG00414','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-02_3D.html',1,'2024-07-11 21:57:08'),
	(8196,'WOF093400005-WOB000001','WOG00415','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-03_3D.html',1,'2024-07-11 21:57:08'),
	(8197,'WOF093400005-WOB000001','WOG00416','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-04_3D.html',1,'2024-07-11 21:57:08'),
	(8198,'WOF093400005-WOB000001','WOG00417','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-05_3D.html',1,'2024-07-11 21:57:08'),
	(8199,'WOF093400005-WOB000001','WOG00418','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-06_3D.html',1,'2024-07-11 21:57:08'),
	(8200,'WOF093400005-WOB000001','WOG00419','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-07_3D.html',1,'2024-07-11 21:57:08'),
	(8201,'WOF093400005-WOB000001','WOG00420','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-08_3D.html',1,'2024-07-11 21:57:08'),
	(8202,'WOF093400005-WOB000001','WOG00421','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-09_3D.html',1,'2024-07-11 21:57:08'),
	(8203,'WOF093400005-WOB000001','WOG00422','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-10_3D.html',1,'2024-07-11 21:57:08'),
	(8204,'WOF093400005-WOB000001','WOG00423','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-11_3D.html',1,'2024-07-11 21:57:08'),
	(8205,'WOF093400005-WOB000001','WOG00424','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-12_3D.html',1,'2024-07-11 21:57:08'),
	(8206,'WOF093400005-WOB000001','WOG00425','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-13_3D.html',1,'2024-07-11 21:57:08'),
	(8207,'WOF093400005-WOB000001','WOG00426','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-14_3D.html',1,'2024-07-11 21:57:08'),
	(8208,'WOF093400005-WOB000001','WOG00427','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-15_3D.html',1,'2024-07-11 21:57:08'),
	(8209,'WOF093400005-WOB000001','WOG00428','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-16_3D.html',1,'2024-07-11 21:57:08'),
	(8210,'WOF093400005-WOB000001','WOG00429','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-17_3D.html',1,'2024-07-11 21:57:08'),
	(8211,'WOF093400005-WOB000001','WOG00430','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-18_3D.html',1,'2024-07-11 21:57:08'),
	(8212,'WOF093400005-WOB000001','WOG00431','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-19_3D.html',1,'2024-07-11 21:57:08'),
	(8213,'WOF093400005-WOB000001','WOG00432','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-20_3D.html',1,'2024-07-11 21:57:08'),
	(8214,'WOF093400005-WOB000001','WOG00433','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-21_3D.html',1,'2024-07-11 21:57:08'),
	(8215,'WOF093400005-WOB000001','WOG00434','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-22_3D.html',1,'2024-07-11 21:57:08'),
	(8216,'WOF093400005-WOB000001','WOG00435','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/HD2-23_3D.html',1,'2024-07-11 21:57:08'),
	(8217,'WOF093400005-WOB000001','WOG00413','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-01.png',1,'2024-07-11 21:57:08'),
	(8218,'WOF093400005-WOB000001','WOG00413','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-01.html',1,'2024-07-11 21:57:08'),
	(8219,'WOF093400005-WOB000001','WOG00414','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-02.png',1,'2024-07-11 21:57:08'),
	(8220,'WOF093400005-WOB000001','WOG00414','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-02.html',1,'2024-07-11 21:57:08'),
	(8221,'WOF093400005-WOB000001','WOG00415','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-03.png',1,'2024-07-11 21:57:08'),
	(8222,'WOF093400005-WOB000001','WOG00415','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-03.html',1,'2024-07-11 21:57:08'),
	(8223,'WOF093400005-WOB000001','WOG00416','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-04.png',1,'2024-07-11 21:57:08'),
	(8224,'WOF093400005-WOB000001','WOG00416','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-04.html',1,'2024-07-11 21:57:08'),
	(8225,'WOF093400005-WOB000001','WOG00417','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-05.png',1,'2024-07-11 21:57:08'),
	(8226,'WOF093400005-WOB000001','WOG00417','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-05.html',1,'2024-07-11 21:57:08'),
	(8227,'WOF093400005-WOB000001','WOG00418','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-06.png',1,'2024-07-11 21:57:08'),
	(8228,'WOF093400005-WOB000001','WOG00418','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-06.html',1,'2024-07-11 21:57:08'),
	(8229,'WOF093400005-WOB000001','WOG00419','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-07.png',1,'2024-07-11 21:57:08'),
	(8230,'WOF093400005-WOB000001','WOG00419','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-07.html',1,'2024-07-11 21:57:08'),
	(8231,'WOF093400005-WOB000001','WOG00420','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-08.png',1,'2024-07-11 21:57:08'),
	(8232,'WOF093400005-WOB000001','WOG00420','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-08.html',1,'2024-07-11 21:57:08'),
	(8233,'WOF093400005-WOB000001','WOG00421','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-09.png',1,'2024-07-11 21:57:08'),
	(8234,'WOF093400005-WOB000001','WOG00421','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-09.html',1,'2024-07-11 21:57:08'),
	(8235,'WOF093400005-WOB000001','WOG00422','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-10.png',1,'2024-07-11 21:57:08'),
	(8236,'WOF093400005-WOB000001','WOG00422','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-10.html',1,'2024-07-11 21:57:08'),
	(8237,'WOF093400005-WOB000001','WOG00423','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-11.png',1,'2024-07-11 21:57:08'),
	(8238,'WOF093400005-WOB000001','WOG00423','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-11.html',1,'2024-07-11 21:57:08'),
	(8239,'WOF093400005-WOB000001','WOG00424','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-12.png',1,'2024-07-11 21:57:08'),
	(8240,'WOF093400005-WOB000001','WOG00424','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-12.html',1,'2024-07-11 21:57:08'),
	(8241,'WOF093400005-WOB000001','WOG00425','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-13.png',1,'2024-07-11 21:57:08'),
	(8242,'WOF093400005-WOB000001','WOG00425','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-13.html',1,'2024-07-11 21:57:08'),
	(8243,'WOF093400005-WOB000001','WOG00426','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-14.png',1,'2024-07-11 21:57:08'),
	(8244,'WOF093400005-WOB000001','WOG00426','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-14.html',1,'2024-07-11 21:57:08'),
	(8245,'WOF093400005-WOB000001','WOG00427','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-15.png',1,'2024-07-11 21:57:08'),
	(8246,'WOF093400005-WOB000001','WOG00427','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-15.html',1,'2024-07-11 21:57:08'),
	(8247,'WOF093400005-WOB000001','WOG00428','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-16.png',1,'2024-07-11 21:57:08'),
	(8248,'WOF093400005-WOB000001','WOG00428','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-16.html',1,'2024-07-11 21:57:08'),
	(8249,'WOF093400005-WOB000001','WOG00429','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-17.png',1,'2024-07-11 21:57:08'),
	(8250,'WOF093400005-WOB000001','WOG00429','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-17.html',1,'2024-07-11 21:57:08'),
	(8251,'WOF093400005-WOB000001','WOG00430','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-18.png',1,'2024-07-11 21:57:08'),
	(8252,'WOF093400005-WOB000001','WOG00430','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-18.html',1,'2024-07-11 21:57:08'),
	(8253,'WOF093400005-WOB000001','WOG00431','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-19.png',1,'2024-07-11 21:57:08'),
	(8254,'WOF093400005-WOB000001','WOG00431','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-19.html',1,'2024-07-11 21:57:08'),
	(8255,'WOF093400005-WOB000001','WOG00432','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-20.png',1,'2024-07-11 21:57:08'),
	(8256,'WOF093400005-WOB000001','WOG00432','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-20.html',1,'2024-07-11 21:57:08'),
	(8257,'WOF093400005-WOB000001','WOG00433','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-21.png',1,'2024-07-11 21:57:08'),
	(8258,'WOF093400005-WOB000001','WOG00433','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-21.html',1,'2024-07-11 21:57:08'),
	(8259,'WOF093400005-WOB000001','WOG00434','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-22.png',1,'2024-07-11 21:57:08'),
	(8260,'WOF093400005-WOB000001','WOG00434','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-22.html',1,'2024-07-11 21:57:08'),
	(8261,'WOF093400005-WOB000001','WOG00435','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-23.png',1,'2024-07-11 21:57:08'),
	(8262,'WOF093400005-WOB000001','WOG00435','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-23.html',1,'2024-07-11 21:57:08'),
	(8263,'WOF093400005-WOB000001','WOG00413','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-01_3D.html',1,'2024-07-11 21:57:08'),
	(8264,'WOF093400005-WOB000001','WOG00414','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-02_3D.html',1,'2024-07-11 21:57:08'),
	(8265,'WOF093400005-WOB000001','WOG00415','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-03_3D.html',1,'2024-07-11 21:57:08'),
	(8266,'WOF093400005-WOB000001','WOG00416','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-04_3D.html',1,'2024-07-11 21:57:08'),
	(8267,'WOF093400005-WOB000001','WOG00417','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-05_3D.html',1,'2024-07-11 21:57:08'),
	(8268,'WOF093400005-WOB000001','WOG00418','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-06_3D.html',1,'2024-07-11 21:57:08'),
	(8269,'WOF093400005-WOB000001','WOG00419','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-07_3D.html',1,'2024-07-11 21:57:08'),
	(8270,'WOF093400005-WOB000001','WOG00420','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-08_3D.html',1,'2024-07-11 21:57:08'),
	(8271,'WOF093400005-WOB000001','WOG00421','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-09_3D.html',1,'2024-07-11 21:57:08'),
	(8272,'WOF093400005-WOB000001','WOG00422','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-10_3D.html',1,'2024-07-11 21:57:08'),
	(8273,'WOF093400005-WOB000001','WOG00423','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-11_3D.html',1,'2024-07-11 21:57:08'),
	(8274,'WOF093400005-WOB000001','WOG00424','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-12_3D.html',1,'2024-07-11 21:57:08'),
	(8275,'WOF093400005-WOB000001','WOG00425','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-13_3D.html',1,'2024-07-11 21:57:08'),
	(8276,'WOF093400005-WOB000001','WOG00426','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-14_3D.html',1,'2024-07-11 21:57:08'),
	(8277,'WOF093400005-WOB000001','WOG00427','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-15_3D.html',1,'2024-07-11 21:57:08'),
	(8278,'WOF093400005-WOB000001','WOG00428','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-16_3D.html',1,'2024-07-11 21:57:08'),
	(8279,'WOF093400005-WOB000001','WOG00429','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-17_3D.html',1,'2024-07-11 21:57:08'),
	(8280,'WOF093400005-WOB000001','WOG00430','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-18_3D.html',1,'2024-07-11 21:57:08'),
	(8281,'WOF093400005-WOB000001','WOG00431','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-19_3D.html',1,'2024-07-11 21:57:08'),
	(8282,'WOF093400005-WOB000001','WOG00432','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-20_3D.html',1,'2024-07-11 21:57:08'),
	(8283,'WOF093400005-WOB000001','WOG00433','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-21_3D.html',1,'2024-07-11 21:57:08'),
	(8284,'WOF093400005-WOB000001','WOG00434','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-22_3D.html',1,'2024-07-11 21:57:08'),
	(8285,'WOF093400005-WOB000001','WOG00435','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/HD2-23_3D.html',1,'2024-07-11 21:57:08'),
	(8286,'WOF093400005-WOB000001','WOG00413','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-01.png',1,'2024-07-11 21:57:08'),
	(8287,'WOF093400005-WOB000001','WOG00413','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-01.html',1,'2024-07-11 21:57:08'),
	(8288,'WOF093400005-WOB000001','WOG00414','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-02.png',1,'2024-07-11 21:57:08'),
	(8289,'WOF093400005-WOB000001','WOG00414','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-02.html',1,'2024-07-11 21:57:08'),
	(8290,'WOF093400005-WOB000001','WOG00415','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-03.png',1,'2024-07-11 21:57:08'),
	(8291,'WOF093400005-WOB000001','WOG00415','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-03.html',1,'2024-07-11 21:57:08'),
	(8292,'WOF093400005-WOB000001','WOG00416','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-04.png',1,'2024-07-11 21:57:08'),
	(8293,'WOF093400005-WOB000001','WOG00416','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-04.html',1,'2024-07-11 21:57:08'),
	(8294,'WOF093400005-WOB000001','WOG00417','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-05.png',1,'2024-07-11 21:57:08'),
	(8295,'WOF093400005-WOB000001','WOG00417','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-05.html',1,'2024-07-11 21:57:08'),
	(8296,'WOF093400005-WOB000001','WOG00418','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-06.png',1,'2024-07-11 21:57:08'),
	(8297,'WOF093400005-WOB000001','WOG00418','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-06.html',1,'2024-07-11 21:57:08'),
	(8298,'WOF093400005-WOB000001','WOG00419','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-07.png',1,'2024-07-11 21:57:08'),
	(8299,'WOF093400005-WOB000001','WOG00419','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-07.html',1,'2024-07-11 21:57:08'),
	(8300,'WOF093400005-WOB000001','WOG00420','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-08.png',1,'2024-07-11 21:57:08'),
	(8301,'WOF093400005-WOB000001','WOG00420','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-08.html',1,'2024-07-11 21:57:08'),
	(8302,'WOF093400005-WOB000001','WOG00421','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-09.png',1,'2024-07-11 21:57:08'),
	(8303,'WOF093400005-WOB000001','WOG00421','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-09.html',1,'2024-07-11 21:57:08'),
	(8304,'WOF093400005-WOB000001','WOG00422','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-10.png',1,'2024-07-11 21:57:08'),
	(8305,'WOF093400005-WOB000001','WOG00422','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-10.html',1,'2024-07-11 21:57:08'),
	(8306,'WOF093400005-WOB000001','WOG00423','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-11.png',1,'2024-07-11 21:57:08'),
	(8307,'WOF093400005-WOB000001','WOG00423','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-11.html',1,'2024-07-11 21:57:08'),
	(8308,'WOF093400005-WOB000001','WOG00424','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-12.png',1,'2024-07-11 21:57:08'),
	(8309,'WOF093400005-WOB000001','WOG00424','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-12.html',1,'2024-07-11 21:57:08'),
	(8310,'WOF093400005-WOB000001','WOG00425','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-13.png',1,'2024-07-11 21:57:08'),
	(8311,'WOF093400005-WOB000001','WOG00425','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-13.html',1,'2024-07-11 21:57:08'),
	(8312,'WOF093400005-WOB000001','WOG00426','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-14.png',1,'2024-07-11 21:57:08'),
	(8313,'WOF093400005-WOB000001','WOG00426','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-14.html',1,'2024-07-11 21:57:08'),
	(8314,'WOF093400005-WOB000001','WOG00427','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-15.png',1,'2024-07-11 21:57:08'),
	(8315,'WOF093400005-WOB000001','WOG00427','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-15.html',1,'2024-07-11 21:57:08'),
	(8316,'WOF093400005-WOB000001','WOG00428','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-16.png',1,'2024-07-11 21:57:08'),
	(8317,'WOF093400005-WOB000001','WOG00428','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-16.html',1,'2024-07-11 21:57:08'),
	(8318,'WOF093400005-WOB000001','WOG00429','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-17.png',1,'2024-07-11 21:57:08'),
	(8319,'WOF093400005-WOB000001','WOG00429','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-17.html',1,'2024-07-11 21:57:08'),
	(8320,'WOF093400005-WOB000001','WOG00430','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-18.png',1,'2024-07-11 21:57:08'),
	(8321,'WOF093400005-WOB000001','WOG00430','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-18.html',1,'2024-07-11 21:57:08'),
	(8322,'WOF093400005-WOB000001','WOG00431','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-19.png',1,'2024-07-11 21:57:08'),
	(8323,'WOF093400005-WOB000001','WOG00431','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-19.html',1,'2024-07-11 21:57:08'),
	(8324,'WOF093400005-WOB000001','WOG00432','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-20.png',1,'2024-07-11 21:57:08'),
	(8325,'WOF093400005-WOB000001','WOG00432','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-20.html',1,'2024-07-11 21:57:08'),
	(8326,'WOF093400005-WOB000001','WOG00433','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-21.png',1,'2024-07-11 21:57:08'),
	(8327,'WOF093400005-WOB000001','WOG00433','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-21.html',1,'2024-07-11 21:57:08'),
	(8328,'WOF093400005-WOB000001','WOG00434','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-22.png',1,'2024-07-11 21:57:08'),
	(8329,'WOF093400005-WOB000001','WOG00434','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-22.html',1,'2024-07-11 21:57:08'),
	(8330,'WOF093400005-WOB000001','WOG00435','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-23.png',1,'2024-07-11 21:57:08'),
	(8331,'WOF093400005-WOB000001','WOG00435','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/HD2-23.html',1,'2024-07-11 21:57:08'),
	(8332,'WOF093400005-WOB000001','WOG00413','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-01.png',1,'2024-07-11 21:57:08'),
	(8333,'WOF093400005-WOB000001','WOG00413','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-01.html',1,'2024-07-11 21:57:08'),
	(8334,'WOF093400005-WOB000001','WOG00414','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-02.png',1,'2024-07-11 21:57:08'),
	(8335,'WOF093400005-WOB000001','WOG00414','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-02.html',1,'2024-07-11 21:57:08'),
	(8336,'WOF093400005-WOB000001','WOG00415','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-03.png',1,'2024-07-11 21:57:08'),
	(8337,'WOF093400005-WOB000001','WOG00415','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-03.html',1,'2024-07-11 21:57:08'),
	(8338,'WOF093400005-WOB000001','WOG00416','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-04.png',1,'2024-07-11 21:57:08'),
	(8339,'WOF093400005-WOB000001','WOG00416','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-04.html',1,'2024-07-11 21:57:08'),
	(8340,'WOF093400005-WOB000001','WOG00417','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-05.png',1,'2024-07-11 21:57:08'),
	(8341,'WOF093400005-WOB000001','WOG00417','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-05.html',1,'2024-07-11 21:57:08'),
	(8342,'WOF093400005-WOB000001','WOG00418','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-06.png',1,'2024-07-11 21:57:08'),
	(8343,'WOF093400005-WOB000001','WOG00418','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-06.html',1,'2024-07-11 21:57:08'),
	(8344,'WOF093400005-WOB000001','WOG00419','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-07.png',1,'2024-07-11 21:57:08'),
	(8345,'WOF093400005-WOB000001','WOG00419','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-07.html',1,'2024-07-11 21:57:08'),
	(8346,'WOF093400005-WOB000001','WOG00420','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-08.png',1,'2024-07-11 21:57:08'),
	(8347,'WOF093400005-WOB000001','WOG00420','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-08.html',1,'2024-07-11 21:57:08'),
	(8348,'WOF093400005-WOB000001','WOG00421','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-09.png',1,'2024-07-11 21:57:08'),
	(8349,'WOF093400005-WOB000001','WOG00421','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-09.html',1,'2024-07-11 21:57:08'),
	(8350,'WOF093400005-WOB000001','WOG00422','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-10.png',1,'2024-07-11 21:57:08'),
	(8351,'WOF093400005-WOB000001','WOG00422','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-10.html',1,'2024-07-11 21:57:08'),
	(8352,'WOF093400005-WOB000001','WOG00423','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-11.png',1,'2024-07-11 21:57:08'),
	(8353,'WOF093400005-WOB000001','WOG00423','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-11.html',1,'2024-07-11 21:57:08'),
	(8354,'WOF093400005-WOB000001','WOG00424','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-12.png',1,'2024-07-11 21:57:08'),
	(8355,'WOF093400005-WOB000001','WOG00424','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-12.html',1,'2024-07-11 21:57:08'),
	(8356,'WOF093400005-WOB000001','WOG00425','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-13.png',1,'2024-07-11 21:57:08'),
	(8357,'WOF093400005-WOB000001','WOG00425','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-13.html',1,'2024-07-11 21:57:08');

INSERT INTO `analysis_diagram_relation` (`id`, `batch_code`, `field_engine_code`, `analysis_type_code`, `file_addr`, `auto_analysis`, `create_time`)
VALUES
	(8358,'WOF093400005-WOB000001','WOG00426','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-14.png',1,'2024-07-11 21:57:08'),
	(8359,'WOF093400005-WOB000001','WOG00426','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-14.html',1,'2024-07-11 21:57:08'),
	(8360,'WOF093400005-WOB000001','WOG00427','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-15.png',1,'2024-07-11 21:57:08'),
	(8361,'WOF093400005-WOB000001','WOG00427','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-15.html',1,'2024-07-11 21:57:08'),
	(8362,'WOF093400005-WOB000001','WOG00428','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-16.png',1,'2024-07-11 21:57:08'),
	(8363,'WOF093400005-WOB000001','WOG00428','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-16.html',1,'2024-07-11 21:57:08'),
	(8364,'WOF093400005-WOB000001','WOG00429','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-17.png',1,'2024-07-11 21:57:08'),
	(8365,'WOF093400005-WOB000001','WOG00429','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-17.html',1,'2024-07-11 21:57:08'),
	(8366,'WOF093400005-WOB000001','WOG00430','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-18.png',1,'2024-07-11 21:57:08'),
	(8367,'WOF093400005-WOB000001','WOG00430','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-18.html',1,'2024-07-11 21:57:08'),
	(8368,'WOF093400005-WOB000001','WOG00431','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-19.png',1,'2024-07-11 21:57:08'),
	(8369,'WOF093400005-WOB000001','WOG00431','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-19.html',1,'2024-07-11 21:57:08'),
	(8370,'WOF093400005-WOB000001','WOG00432','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-20.png',1,'2024-07-11 21:57:08'),
	(8371,'WOF093400005-WOB000001','WOG00432','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-20.html',1,'2024-07-11 21:57:08'),
	(8372,'WOF093400005-WOB000001','WOG00433','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-21.png',1,'2024-07-11 21:57:08'),
	(8373,'WOF093400005-WOB000001','WOG00433','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-21.html',1,'2024-07-11 21:57:08'),
	(8374,'WOF093400005-WOB000001','WOG00434','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-22.png',1,'2024-07-11 21:57:08'),
	(8375,'WOF093400005-WOB000001','WOG00434','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-22.html',1,'2024-07-11 21:57:08'),
	(8376,'WOF093400005-WOB000001','WOG00435','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-23.png',1,'2024-07-11 21:57:08'),
	(8377,'WOF093400005-WOB000001','WOG00435','min_pitch','wof093400005/WOF093400005-WOB000001/min_pitch/automatic/HD2-23.html',1,'2024-07-11 21:57:08'),
	(8378,'WOF093400005-WOB000001','WOG00413','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-01.png',1,'2024-07-11 21:57:08'),
	(8379,'WOF093400005-WOB000001','WOG00413','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-01.html',1,'2024-07-11 21:57:08'),
	(8380,'WOF093400005-WOB000001','WOG00414','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-02.png',1,'2024-07-11 21:57:08'),
	(8381,'WOF093400005-WOB000001','WOG00414','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-02.html',1,'2024-07-11 21:57:08'),
	(8382,'WOF093400005-WOB000001','WOG00415','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-03.png',1,'2024-07-11 21:57:08'),
	(8383,'WOF093400005-WOB000001','WOG00415','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-03.html',1,'2024-07-11 21:57:08'),
	(8384,'WOF093400005-WOB000001','WOG00416','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-04.png',1,'2024-07-11 21:57:08'),
	(8385,'WOF093400005-WOB000001','WOG00416','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-04.html',1,'2024-07-11 21:57:08'),
	(8386,'WOF093400005-WOB000001','WOG00417','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-05.png',1,'2024-07-11 21:57:08'),
	(8387,'WOF093400005-WOB000001','WOG00417','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-05.html',1,'2024-07-11 21:57:08'),
	(8388,'WOF093400005-WOB000001','WOG00418','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-06.png',1,'2024-07-11 21:57:08'),
	(8389,'WOF093400005-WOB000001','WOG00418','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-06.html',1,'2024-07-11 21:57:08'),
	(8390,'WOF093400005-WOB000001','WOG00419','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-07.png',1,'2024-07-11 21:57:08'),
	(8391,'WOF093400005-WOB000001','WOG00419','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-07.html',1,'2024-07-11 21:57:08'),
	(8392,'WOF093400005-WOB000001','WOG00420','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-08.png',1,'2024-07-11 21:57:08'),
	(8393,'WOF093400005-WOB000001','WOG00420','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-08.html',1,'2024-07-11 21:57:08'),
	(8394,'WOF093400005-WOB000001','WOG00421','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-09.png',1,'2024-07-11 21:57:08'),
	(8395,'WOF093400005-WOB000001','WOG00421','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-09.html',1,'2024-07-11 21:57:08'),
	(8396,'WOF093400005-WOB000001','WOG00422','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-10.png',1,'2024-07-11 21:57:08'),
	(8397,'WOF093400005-WOB000001','WOG00422','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-10.html',1,'2024-07-11 21:57:08'),
	(8398,'WOF093400005-WOB000001','WOG00423','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-11.png',1,'2024-07-11 21:57:08'),
	(8399,'WOF093400005-WOB000001','WOG00423','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-11.html',1,'2024-07-11 21:57:08'),
	(8400,'WOF093400005-WOB000001','WOG00424','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-12.png',1,'2024-07-11 21:57:08'),
	(8401,'WOF093400005-WOB000001','WOG00424','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-12.html',1,'2024-07-11 21:57:08'),
	(8402,'WOF093400005-WOB000001','WOG00425','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-13.png',1,'2024-07-11 21:57:08'),
	(8403,'WOF093400005-WOB000001','WOG00425','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-13.html',1,'2024-07-11 21:57:08'),
	(8404,'WOF093400005-WOB000001','WOG00426','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-14.png',1,'2024-07-11 21:57:08'),
	(8405,'WOF093400005-WOB000001','WOG00426','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-14.html',1,'2024-07-11 21:57:08'),
	(8406,'WOF093400005-WOB000001','WOG00427','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-15.png',1,'2024-07-11 21:57:08'),
	(8407,'WOF093400005-WOB000001','WOG00427','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-15.html',1,'2024-07-11 21:57:08'),
	(8408,'WOF093400005-WOB000001','WOG00428','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-16.png',1,'2024-07-11 21:57:08'),
	(8409,'WOF093400005-WOB000001','WOG00428','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-16.html',1,'2024-07-11 21:57:08'),
	(8410,'WOF093400005-WOB000001','WOG00429','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-17.png',1,'2024-07-11 21:57:08'),
	(8411,'WOF093400005-WOB000001','WOG00429','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-17.html',1,'2024-07-11 21:57:08'),
	(8412,'WOF093400005-WOB000001','WOG00430','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-18.png',1,'2024-07-11 21:57:08'),
	(8413,'WOF093400005-WOB000001','WOG00430','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-18.html',1,'2024-07-11 21:57:08'),
	(8414,'WOF093400005-WOB000001','WOG00431','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-19.png',1,'2024-07-11 21:57:08'),
	(8415,'WOF093400005-WOB000001','WOG00431','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-19.html',1,'2024-07-11 21:57:08'),
	(8416,'WOF093400005-WOB000001','WOG00432','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-20.png',1,'2024-07-11 21:57:08'),
	(8417,'WOF093400005-WOB000001','WOG00432','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-20.html',1,'2024-07-11 21:57:08'),
	(8418,'WOF093400005-WOB000001','WOG00433','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-21.png',1,'2024-07-11 21:57:08'),
	(8419,'WOF093400005-WOB000001','WOG00433','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-21.html',1,'2024-07-11 21:57:08'),
	(8420,'WOF093400005-WOB000001','WOG00434','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-22.png',1,'2024-07-11 21:57:08'),
	(8421,'WOF093400005-WOB000001','WOG00434','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-22.html',1,'2024-07-11 21:57:08'),
	(8422,'WOF093400005-WOB000001','WOG00435','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-23.png',1,'2024-07-11 21:57:08'),
	(8423,'WOF093400005-WOB000001','WOG00435','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-23.html',1,'2024-07-11 21:57:08'),
	(8424,'WOF093400005-WOB000001','WOG00413','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-01_3D.html',1,'2024-07-11 21:57:08'),
	(8425,'WOF093400005-WOB000001','WOG00414','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-02_3D.html',1,'2024-07-11 21:57:08'),
	(8426,'WOF093400005-WOB000001','WOG00415','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-03_3D.html',1,'2024-07-11 21:57:08'),
	(8427,'WOF093400005-WOB000001','WOG00416','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-04_3D.html',1,'2024-07-11 21:57:08'),
	(8428,'WOF093400005-WOB000001','WOG00417','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-05_3D.html',1,'2024-07-11 21:57:08'),
	(8429,'WOF093400005-WOB000001','WOG00418','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-06_3D.html',1,'2024-07-11 21:57:08'),
	(8430,'WOF093400005-WOB000001','WOG00419','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-07_3D.html',1,'2024-07-11 21:57:08'),
	(8431,'WOF093400005-WOB000001','WOG00420','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-08_3D.html',1,'2024-07-11 21:57:08'),
	(8432,'WOF093400005-WOB000001','WOG00421','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-09_3D.html',1,'2024-07-11 21:57:08'),
	(8433,'WOF093400005-WOB000001','WOG00422','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-10_3D.html',1,'2024-07-11 21:57:08'),
	(8434,'WOF093400005-WOB000001','WOG00423','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-11_3D.html',1,'2024-07-11 21:57:08'),
	(8435,'WOF093400005-WOB000001','WOG00424','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-12_3D.html',1,'2024-07-11 21:57:08'),
	(8436,'WOF093400005-WOB000001','WOG00425','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-13_3D.html',1,'2024-07-11 21:57:08'),
	(8437,'WOF093400005-WOB000001','WOG00426','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-14_3D.html',1,'2024-07-11 21:57:08'),
	(8438,'WOF093400005-WOB000001','WOG00427','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-15_3D.html',1,'2024-07-11 21:57:08'),
	(8439,'WOF093400005-WOB000001','WOG00428','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-16_3D.html',1,'2024-07-11 21:57:08'),
	(8440,'WOF093400005-WOB000001','WOG00429','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-17_3D.html',1,'2024-07-11 21:57:08'),
	(8441,'WOF093400005-WOB000001','WOG00430','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-18_3D.html',1,'2024-07-11 21:57:08'),
	(8442,'WOF093400005-WOB000001','WOG00431','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-19_3D.html',1,'2024-07-11 21:57:08'),
	(8443,'WOF093400005-WOB000001','WOG00432','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-20_3D.html',1,'2024-07-11 21:57:08'),
	(8444,'WOF093400005-WOB000001','WOG00433','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-21_3D.html',1,'2024-07-11 21:57:08'),
	(8445,'WOF093400005-WOB000001','WOG00434','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-22_3D.html',1,'2024-07-11 21:57:08'),
	(8446,'WOF093400005-WOB000001','WOG00435','pitch_power','wof093400005/WOF093400005-WOB000001/pitch_power/automatic/HD2-23_3D.html',1,'2024-07-11 21:57:08'),
	(8447,'WOF093400005-WOB000001','WOG00413','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-01.png',1,'2024-07-11 21:57:08'),
	(8448,'WOF093400005-WOB000001','WOG00413','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-01.html',1,'2024-07-11 21:57:08'),
	(8449,'WOF093400005-WOB000001','WOG00414','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-02.png',1,'2024-07-11 21:57:08'),
	(8450,'WOF093400005-WOB000001','WOG00414','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-02.html',1,'2024-07-11 21:57:08'),
	(8451,'WOF093400005-WOB000001','WOG00415','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-03.png',1,'2024-07-11 21:57:08'),
	(8452,'WOF093400005-WOB000001','WOG00415','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-03.html',1,'2024-07-11 21:57:08'),
	(8453,'WOF093400005-WOB000001','WOG00416','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-04.png',1,'2024-07-11 21:57:08'),
	(8454,'WOF093400005-WOB000001','WOG00416','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-04.html',1,'2024-07-11 21:57:08'),
	(8455,'WOF093400005-WOB000001','WOG00417','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-05.png',1,'2024-07-11 21:57:08'),
	(8456,'WOF093400005-WOB000001','WOG00417','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-05.html',1,'2024-07-11 21:57:08'),
	(8457,'WOF093400005-WOB000001','WOG00418','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-06.png',1,'2024-07-11 21:57:08'),
	(8458,'WOF093400005-WOB000001','WOG00418','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-06.html',1,'2024-07-11 21:57:08'),
	(8459,'WOF093400005-WOB000001','WOG00419','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-07.png',1,'2024-07-11 21:57:08'),
	(8460,'WOF093400005-WOB000001','WOG00419','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-07.html',1,'2024-07-11 21:57:08'),
	(8461,'WOF093400005-WOB000001','WOG00420','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-08.png',1,'2024-07-11 21:57:08'),
	(8462,'WOF093400005-WOB000001','WOG00420','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-08.html',1,'2024-07-11 21:57:08'),
	(8463,'WOF093400005-WOB000001','WOG00421','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-09.png',1,'2024-07-11 21:57:08'),
	(8464,'WOF093400005-WOB000001','WOG00421','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-09.html',1,'2024-07-11 21:57:08'),
	(8465,'WOF093400005-WOB000001','WOG00422','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-10.png',1,'2024-07-11 21:57:08'),
	(8466,'WOF093400005-WOB000001','WOG00422','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-10.html',1,'2024-07-11 21:57:08'),
	(8467,'WOF093400005-WOB000001','WOG00423','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-11.png',1,'2024-07-11 21:57:08'),
	(8468,'WOF093400005-WOB000001','WOG00423','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-11.html',1,'2024-07-11 21:57:08'),
	(8469,'WOF093400005-WOB000001','WOG00424','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-12.png',1,'2024-07-11 21:57:08'),
	(8470,'WOF093400005-WOB000001','WOG00424','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-12.html',1,'2024-07-11 21:57:08'),
	(8471,'WOF093400005-WOB000001','WOG00425','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-13.png',1,'2024-07-11 21:57:08'),
	(8472,'WOF093400005-WOB000001','WOG00425','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-13.html',1,'2024-07-11 21:57:08'),
	(8473,'WOF093400005-WOB000001','WOG00426','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-14.png',1,'2024-07-11 21:57:08'),
	(8474,'WOF093400005-WOB000001','WOG00426','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-14.html',1,'2024-07-11 21:57:08'),
	(8475,'WOF093400005-WOB000001','WOG00427','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-15.png',1,'2024-07-11 21:57:08'),
	(8476,'WOF093400005-WOB000001','WOG00427','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-15.html',1,'2024-07-11 21:57:08'),
	(8477,'WOF093400005-WOB000001','WOG00428','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-16.png',1,'2024-07-11 21:57:08'),
	(8478,'WOF093400005-WOB000001','WOG00428','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-16.html',1,'2024-07-11 21:57:08'),
	(8479,'WOF093400005-WOB000001','WOG00429','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-17.png',1,'2024-07-11 21:57:08'),
	(8480,'WOF093400005-WOB000001','WOG00429','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-17.html',1,'2024-07-11 21:57:08'),
	(8481,'WOF093400005-WOB000001','WOG00430','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-18.png',1,'2024-07-11 21:57:08'),
	(8482,'WOF093400005-WOB000001','WOG00430','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-18.html',1,'2024-07-11 21:57:08'),
	(8483,'WOF093400005-WOB000001','WOG00431','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-19.png',1,'2024-07-11 21:57:08'),
	(8484,'WOF093400005-WOB000001','WOG00431','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-19.html',1,'2024-07-11 21:57:08'),
	(8485,'WOF093400005-WOB000001','WOG00432','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-20.png',1,'2024-07-11 21:57:08'),
	(8486,'WOF093400005-WOB000001','WOG00432','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-20.html',1,'2024-07-11 21:57:08'),
	(8487,'WOF093400005-WOB000001','WOG00433','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-21.png',1,'2024-07-11 21:57:08'),
	(8488,'WOF093400005-WOB000001','WOG00433','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-21.html',1,'2024-07-11 21:57:08'),
	(8489,'WOF093400005-WOB000001','WOG00434','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-22.png',1,'2024-07-11 21:57:08'),
	(8490,'WOF093400005-WOB000001','WOG00434','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-22.html',1,'2024-07-11 21:57:08'),
	(8491,'WOF093400005-WOB000001','WOG00435','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-23.png',1,'2024-07-11 21:57:08'),
	(8492,'WOF093400005-WOB000001','WOG00435','pitch_generator_speed','wof093400005/WOF093400005-WOB000001/pitch_generator_speed/automatic/HD2-23.html',1,'2024-07-11 21:57:08'),
	(8493,'WOF093400005-WOB000001','WOG00413','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-01.html',1,'2024-07-11 21:57:08'),
	(8494,'WOF093400005-WOB000001','WOG00414','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-02.html',1,'2024-07-11 21:57:08'),
	(8495,'WOF093400005-WOB000001','WOG00415','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-03.html',1,'2024-07-11 21:57:08'),
	(8496,'WOF093400005-WOB000001','WOG00416','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-04.html',1,'2024-07-11 21:57:08'),
	(8497,'WOF093400005-WOB000001','WOG00417','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-05.html',1,'2024-07-11 21:57:08'),
	(8498,'WOF093400005-WOB000001','WOG00418','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-06.html',1,'2024-07-11 21:57:08'),
	(8499,'WOF093400005-WOB000001','WOG00419','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-07.html',1,'2024-07-11 21:57:08'),
	(8500,'WOF093400005-WOB000001','WOG00420','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-08.html',1,'2024-07-11 21:57:08'),
	(8501,'WOF093400005-WOB000001','WOG00421','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-09.html',1,'2024-07-11 21:57:08'),
	(8502,'WOF093400005-WOB000001','WOG00422','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-10.html',1,'2024-07-11 21:57:08'),
	(8503,'WOF093400005-WOB000001','WOG00423','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-11.html',1,'2024-07-11 21:57:08'),
	(8504,'WOF093400005-WOB000001','WOG00424','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-12.html',1,'2024-07-11 21:57:08'),
	(8505,'WOF093400005-WOB000001','WOG00425','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-13.html',1,'2024-07-11 21:57:08'),
	(8506,'WOF093400005-WOB000001','WOG00426','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-14.html',1,'2024-07-11 21:57:08'),
	(8507,'WOF093400005-WOB000001','WOG00427','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-15.html',1,'2024-07-11 21:57:08'),
	(8508,'WOF093400005-WOB000001','WOG00428','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-16.html',1,'2024-07-11 21:57:08'),
	(8509,'WOF093400005-WOB000001','WOG00429','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-17.html',1,'2024-07-11 21:57:08'),
	(8510,'WOF093400005-WOB000001','WOG00430','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-18.html',1,'2024-07-11 21:57:08'),
	(8511,'WOF093400005-WOB000001','WOG00431','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-19.html',1,'2024-07-11 21:57:08'),
	(8512,'WOF093400005-WOB000001','WOG00432','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-20.html',1,'2024-07-11 21:57:08'),
	(8513,'WOF093400005-WOB000001','WOG00433','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-21.html',1,'2024-07-11 21:57:08'),
	(8514,'WOF093400005-WOB000001','WOG00434','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-22.html',1,'2024-07-11 21:57:08'),
	(8515,'WOF093400005-WOB000001','WOG00435','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/HD2-23.html',1,'2024-07-11 21:57:08'),
	(8516,'WOF093400005-WOB000001','WOG00413','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-01.html',1,'2024-07-11 21:57:08'),
	(8517,'WOF093400005-WOB000001','WOG00414','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-02.html',1,'2024-07-11 21:57:08'),
	(8518,'WOF093400005-WOB000001','WOG00415','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-03.html',1,'2024-07-11 21:57:08'),
	(8519,'WOF093400005-WOB000001','WOG00416','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-04.html',1,'2024-07-11 21:57:08'),
	(8520,'WOF093400005-WOB000001','WOG00417','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-05.html',1,'2024-07-11 21:57:08'),
	(8521,'WOF093400005-WOB000001','WOG00418','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-06.html',1,'2024-07-11 21:57:08'),
	(8522,'WOF093400005-WOB000001','WOG00419','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-07.html',1,'2024-07-11 21:57:08'),
	(8523,'WOF093400005-WOB000001','WOG00420','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-08.html',1,'2024-07-11 21:57:08'),
	(8524,'WOF093400005-WOB000001','WOG00421','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-09.html',1,'2024-07-11 21:57:08'),
	(8525,'WOF093400005-WOB000001','WOG00422','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-10.html',1,'2024-07-11 21:57:08'),
	(8526,'WOF093400005-WOB000001','WOG00423','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-11.html',1,'2024-07-11 21:57:08'),
	(8527,'WOF093400005-WOB000001','WOG00424','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-12.html',1,'2024-07-11 21:57:08'),
	(8528,'WOF093400005-WOB000001','WOG00425','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-13.html',1,'2024-07-11 21:57:08'),
	(8529,'WOF093400005-WOB000001','WOG00426','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-14.html',1,'2024-07-11 21:57:08'),
	(8530,'WOF093400005-WOB000001','WOG00427','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-15.html',1,'2024-07-11 21:57:08'),
	(8531,'WOF093400005-WOB000001','WOG00428','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-16.html',1,'2024-07-11 21:57:08'),
	(8532,'WOF093400005-WOB000001','WOG00429','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-17.html',1,'2024-07-11 21:57:08'),
	(8533,'WOF093400005-WOB000001','WOG00430','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-18.html',1,'2024-07-11 21:57:08'),
	(8534,'WOF093400005-WOB000001','WOG00431','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-19.html',1,'2024-07-11 21:57:08'),
	(8535,'WOF093400005-WOB000001','WOG00432','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-20.html',1,'2024-07-11 21:57:08'),
	(8536,'WOF093400005-WOB000001','WOG00433','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-21.html',1,'2024-07-11 21:57:08'),
	(8537,'WOF093400005-WOB000001','WOG00434','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-22.html',1,'2024-07-11 21:57:08'),
	(8538,'WOF093400005-WOB000001','WOG00435','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/HD2-23.html',1,'2024-07-11 21:57:08'),
	(8539,'WOF093400005-WOB000001','WOG00413','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-01.html',1,'2024-07-11 21:57:08'),
	(8540,'WOF093400005-WOB000001','WOG00414','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-02.html',1,'2024-07-11 21:57:08'),
	(8541,'WOF093400005-WOB000001','WOG00415','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-03.html',1,'2024-07-11 21:57:08'),
	(8542,'WOF093400005-WOB000001','WOG00416','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-04.html',1,'2024-07-11 21:57:08'),
	(8543,'WOF093400005-WOB000001','WOG00417','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-05.html',1,'2024-07-11 21:57:08'),
	(8544,'WOF093400005-WOB000001','WOG00418','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-06.html',1,'2024-07-11 21:57:08'),
	(8545,'WOF093400005-WOB000001','WOG00419','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-07.html',1,'2024-07-11 21:57:08'),
	(8546,'WOF093400005-WOB000001','WOG00420','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-08.html',1,'2024-07-11 21:57:08'),
	(8547,'WOF093400005-WOB000001','WOG00421','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-09.html',1,'2024-07-11 21:57:08'),
	(8548,'WOF093400005-WOB000001','WOG00422','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-10.html',1,'2024-07-11 21:57:08'),
	(8549,'WOF093400005-WOB000001','WOG00423','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-11.html',1,'2024-07-11 21:57:08'),
	(8550,'WOF093400005-WOB000001','WOG00424','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-12.html',1,'2024-07-11 21:57:08'),
	(8551,'WOF093400005-WOB000001','WOG00425','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-13.html',1,'2024-07-11 21:57:08'),
	(8552,'WOF093400005-WOB000001','WOG00426','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-14.html',1,'2024-07-11 21:57:08'),
	(8553,'WOF093400005-WOB000001','WOG00427','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-15.html',1,'2024-07-11 21:57:08'),
	(8554,'WOF093400005-WOB000001','WOG00428','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-16.html',1,'2024-07-11 21:57:08'),
	(8555,'WOF093400005-WOB000001','WOG00429','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-17.html',1,'2024-07-11 21:57:08'),
	(8556,'WOF093400005-WOB000001','WOG00430','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-18.html',1,'2024-07-11 21:57:08'),
	(8557,'WOF093400005-WOB000001','WOG00431','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-19.html',1,'2024-07-11 21:57:08'),
	(8558,'WOF093400005-WOB000001','WOG00432','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-20.html',1,'2024-07-11 21:57:08'),
	(8559,'WOF093400005-WOB000001','WOG00433','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-21.html',1,'2024-07-11 21:57:08'),
	(8560,'WOF093400005-WOB000001','WOG00434','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-22.html',1,'2024-07-11 21:57:08'),
	(8561,'WOF093400005-WOB000001','WOG00435','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/HD2-23.html',1,'2024-07-11 21:57:08'),
	(8562,'WOF093400005-WOB000001','WOG00413','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-01.html',1,'2024-07-11 21:57:08'),
	(8563,'WOF093400005-WOB000001','WOG00414','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-02.html',1,'2024-07-11 21:57:08'),
	(8564,'WOF093400005-WOB000001','WOG00415','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-03.html',1,'2024-07-11 21:57:08'),
	(8565,'WOF093400005-WOB000001','WOG00416','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-04.html',1,'2024-07-11 21:57:08'),
	(8566,'WOF093400005-WOB000001','WOG00417','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-05.html',1,'2024-07-11 21:57:08'),
	(8567,'WOF093400005-WOB000001','WOG00418','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-06.html',1,'2024-07-11 21:57:08'),
	(8568,'WOF093400005-WOB000001','WOG00419','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-07.html',1,'2024-07-11 21:57:08'),
	(8569,'WOF093400005-WOB000001','WOG00420','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-08.html',1,'2024-07-11 21:57:08'),
	(8570,'WOF093400005-WOB000001','WOG00421','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-09.html',1,'2024-07-11 21:57:08'),
	(8571,'WOF093400005-WOB000001','WOG00422','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-10.html',1,'2024-07-11 21:57:08'),
	(8572,'WOF093400005-WOB000001','WOG00423','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-11.html',1,'2024-07-11 21:57:08'),
	(8573,'WOF093400005-WOB000001','WOG00424','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-12.html',1,'2024-07-11 21:57:08'),
	(8574,'WOF093400005-WOB000001','WOG00425','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-13.html',1,'2024-07-11 21:57:08'),
	(8575,'WOF093400005-WOB000001','WOG00426','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-14.html',1,'2024-07-11 21:57:08'),
	(8576,'WOF093400005-WOB000001','WOG00427','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-15.html',1,'2024-07-11 21:57:08'),
	(8577,'WOF093400005-WOB000001','WOG00428','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-16.html',1,'2024-07-11 21:57:08'),
	(8578,'WOF093400005-WOB000001','WOG00429','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-17.html',1,'2024-07-11 21:57:08'),
	(8579,'WOF093400005-WOB000001','WOG00430','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-18.html',1,'2024-07-11 21:57:08'),
	(8580,'WOF093400005-WOB000001','WOG00431','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-19.html',1,'2024-07-11 21:57:08'),
	(8581,'WOF093400005-WOB000001','WOG00432','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-20.html',1,'2024-07-11 21:57:08'),
	(8582,'WOF093400005-WOB000001','WOG00433','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-21.html',1,'2024-07-11 21:57:08'),
	(8583,'WOF093400005-WOB000001','WOG00434','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-22.html',1,'2024-07-11 21:57:08'),
	(8584,'WOF093400005-WOB000001','WOG00435','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/HD2-23.html',1,'2024-07-11 21:57:08'),
	(8585,'WOF093400005-WOB000001','WOG00413','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-01.html',1,'2024-07-11 21:57:08'),
	(8586,'WOF093400005-WOB000001','WOG00414','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-02.html',1,'2024-07-11 21:57:08'),
	(8587,'WOF093400005-WOB000001','WOG00415','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-03.html',1,'2024-07-11 21:57:08'),
	(8588,'WOF093400005-WOB000001','WOG00416','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-04.html',1,'2024-07-11 21:57:08'),
	(8589,'WOF093400005-WOB000001','WOG00417','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-05.html',1,'2024-07-11 21:57:08'),
	(8590,'WOF093400005-WOB000001','WOG00418','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-06.html',1,'2024-07-11 21:57:08'),
	(8591,'WOF093400005-WOB000001','WOG00419','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-07.html',1,'2024-07-11 21:57:08'),
	(8592,'WOF093400005-WOB000001','WOG00420','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-08.html',1,'2024-07-11 21:57:08'),
	(8593,'WOF093400005-WOB000001','WOG00421','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-09.html',1,'2024-07-11 21:57:08'),
	(8594,'WOF093400005-WOB000001','WOG00422','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-10.html',1,'2024-07-11 21:57:08'),
	(8595,'WOF093400005-WOB000001','WOG00423','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-11.html',1,'2024-07-11 21:57:08'),
	(8596,'WOF093400005-WOB000001','WOG00424','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-12.html',1,'2024-07-11 21:57:08'),
	(8597,'WOF093400005-WOB000001','WOG00425','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-13.html',1,'2024-07-11 21:57:08'),
	(8598,'WOF093400005-WOB000001','WOG00426','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-14.html',1,'2024-07-11 21:57:08'),
	(8599,'WOF093400005-WOB000001','WOG00427','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-15.html',1,'2024-07-11 21:57:08'),
	(8600,'WOF093400005-WOB000001','WOG00428','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-16.html',1,'2024-07-11 21:57:08'),
	(8601,'WOF093400005-WOB000001','WOG00429','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-17.html',1,'2024-07-11 21:57:08'),
	(8602,'WOF093400005-WOB000001','WOG00430','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-18.html',1,'2024-07-11 21:57:08'),
	(8603,'WOF093400005-WOB000001','WOG00431','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-19.html',1,'2024-07-11 21:57:08'),
	(8604,'WOF093400005-WOB000001','WOG00432','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-20.html',1,'2024-07-11 21:57:08'),
	(8605,'WOF093400005-WOB000001','WOG00433','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-21.html',1,'2024-07-11 21:57:08'),
	(8606,'WOF093400005-WOB000001','WOG00434','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-22.html',1,'2024-07-11 21:57:08'),
	(8607,'WOF093400005-WOB000001','WOG00435','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/HD2-23.html',1,'2024-07-11 21:57:08'),
	(8608,'WOF093400005-WOB000001','WOG00413','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-01.html',1,'2024-07-11 21:57:08'),
	(8609,'WOF093400005-WOB000001','WOG00414','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-02.html',1,'2024-07-11 21:57:08'),
	(8610,'WOF093400005-WOB000001','WOG00415','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-03.html',1,'2024-07-11 21:57:08'),
	(8611,'WOF093400005-WOB000001','WOG00416','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-04.html',1,'2024-07-11 21:57:08'),
	(8612,'WOF093400005-WOB000001','WOG00417','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-05.html',1,'2024-07-11 21:57:08'),
	(8613,'WOF093400005-WOB000001','WOG00418','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-06.html',1,'2024-07-11 21:57:08'),
	(8614,'WOF093400005-WOB000001','WOG00419','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-07.html',1,'2024-07-11 21:57:08'),
	(8615,'WOF093400005-WOB000001','WOG00420','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-08.html',1,'2024-07-11 21:57:08'),
	(8616,'WOF093400005-WOB000001','WOG00421','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-09.html',1,'2024-07-11 21:57:08'),
	(8617,'WOF093400005-WOB000001','WOG00422','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-10.html',1,'2024-07-11 21:57:08'),
	(8618,'WOF093400005-WOB000001','WOG00423','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-11.html',1,'2024-07-11 21:57:08'),
	(8619,'WOF093400005-WOB000001','WOG00424','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-12.html',1,'2024-07-11 21:57:08'),
	(8620,'WOF093400005-WOB000001','WOG00425','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-13.html',1,'2024-07-11 21:57:08'),
	(8621,'WOF093400005-WOB000001','WOG00426','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-14.html',1,'2024-07-11 21:57:08'),
	(8622,'WOF093400005-WOB000001','WOG00427','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-15.html',1,'2024-07-11 21:57:08'),
	(8623,'WOF093400005-WOB000001','WOG00428','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-16.html',1,'2024-07-11 21:57:08'),
	(8624,'WOF093400005-WOB000001','WOG00429','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-17.html',1,'2024-07-11 21:57:08'),
	(8625,'WOF093400005-WOB000001','WOG00430','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-18.html',1,'2024-07-11 21:57:08'),
	(8626,'WOF093400005-WOB000001','WOG00431','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-19.html',1,'2024-07-11 21:57:08'),
	(8627,'WOF093400005-WOB000001','WOG00432','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-20.html',1,'2024-07-11 21:57:08'),
	(8628,'WOF093400005-WOB000001','WOG00433','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-21.html',1,'2024-07-11 21:57:08'),
	(8629,'WOF093400005-WOB000001','WOG00434','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-22.html',1,'2024-07-11 21:57:08'),
	(8630,'WOF093400005-WOB000001','WOG00435','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/GeneratorTemperature/HD2-23.html',1,'2024-07-11 21:57:08'),
	(8631,'WOF093400005-WOB000001','WOG00413','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-01.html',1,'2024-07-11 21:57:08'),
	(8632,'WOF093400005-WOB000001','WOG00414','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-02.html',1,'2024-07-11 21:57:08'),
	(8633,'WOF093400005-WOB000001','WOG00415','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-03.html',1,'2024-07-11 21:57:08'),
	(8634,'WOF093400005-WOB000001','WOG00416','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-04.html',1,'2024-07-11 21:57:08'),
	(8635,'WOF093400005-WOB000001','WOG00417','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-05.html',1,'2024-07-11 21:57:08'),
	(8636,'WOF093400005-WOB000001','WOG00418','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-06.html',1,'2024-07-11 21:57:08'),
	(8637,'WOF093400005-WOB000001','WOG00419','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-07.html',1,'2024-07-11 21:57:08'),
	(8638,'WOF093400005-WOB000001','WOG00420','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-08.html',1,'2024-07-11 21:57:08'),
	(8639,'WOF093400005-WOB000001','WOG00421','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-09.html',1,'2024-07-11 21:57:08'),
	(8640,'WOF093400005-WOB000001','WOG00422','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-10.html',1,'2024-07-11 21:57:08'),
	(8641,'WOF093400005-WOB000001','WOG00423','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-11.html',1,'2024-07-11 21:57:08'),
	(8642,'WOF093400005-WOB000001','WOG00424','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-12.html',1,'2024-07-11 21:57:08'),
	(8643,'WOF093400005-WOB000001','WOG00425','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-13.html',1,'2024-07-11 21:57:08'),
	(8644,'WOF093400005-WOB000001','WOG00426','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-14.html',1,'2024-07-11 21:57:08'),
	(8645,'WOF093400005-WOB000001','WOG00427','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-15.html',1,'2024-07-11 21:57:08'),
	(8646,'WOF093400005-WOB000001','WOG00428','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-16.html',1,'2024-07-11 21:57:08'),
	(8647,'WOF093400005-WOB000001','WOG00429','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-17.html',1,'2024-07-11 21:57:08'),
	(8648,'WOF093400005-WOB000001','WOG00430','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-18.html',1,'2024-07-11 21:57:08'),
	(8649,'WOF093400005-WOB000001','WOG00431','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-19.html',1,'2024-07-11 21:57:08'),
	(8650,'WOF093400005-WOB000001','WOG00432','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-20.html',1,'2024-07-11 21:57:08'),
	(8651,'WOF093400005-WOB000001','WOG00433','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-21.html',1,'2024-07-11 21:57:08'),
	(8652,'WOF093400005-WOB000001','WOG00434','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-22.html',1,'2024-07-11 21:57:08'),
	(8653,'WOF093400005-WOB000001','WOG00435','pitch_tsr_cp','wof093400005/WOF093400005-WOB000001/pitch_tsr_cp/automatic/HD2-23.html',1,'2024-07-11 21:57:08'),
	(8654,'WOF091200006-WOB00008','WOG00436','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2301.png',0,'2024-07-11 21:57:08'),
	(8655,'WOF091200006-WOB00008','WOG00436','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2301.html',0,'2024-07-11 21:57:08'),
	(8656,'WOF091200006-WOB00008','WOG00437','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2302.png',0,'2024-07-11 21:57:08'),
	(8657,'WOF091200006-WOB00008','WOG00437','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2302.html',0,'2024-07-11 21:57:08'),
	(8658,'WOF091200006-WOB00008','WOG00438','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2303.png',0,'2024-07-11 21:57:08'),
	(8659,'WOF091200006-WOB00008','WOG00438','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2303.html',0,'2024-07-11 21:57:08'),
	(8660,'WOF091200006-WOB00008','WOG00439','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2304.png',0,'2024-07-11 21:57:08'),
	(8661,'WOF091200006-WOB00008','WOG00439','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2304.html',0,'2024-07-11 21:57:08'),
	(8662,'WOF091200006-WOB00008','WOG00440','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2305.png',0,'2024-07-11 21:57:08'),
	(8663,'WOF091200006-WOB00008','WOG00440','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2305.html',0,'2024-07-11 21:57:08'),
	(8664,'WOF091200006-WOB00008','WOG00441','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2306.png',0,'2024-07-11 21:57:08'),
	(8665,'WOF091200006-WOB00008','WOG00441','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2306.html',0,'2024-07-11 21:57:08'),
	(8666,'WOF091200006-WOB00008','WOG00442','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2307.png',0,'2024-07-11 21:57:08'),
	(8667,'WOF091200006-WOB00008','WOG00442','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2307.html',0,'2024-07-11 21:57:08'),
	(8668,'WOF091200006-WOB00008','WOG00443','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2308.png',0,'2024-07-11 21:57:08'),
	(8669,'WOF091200006-WOB00008','WOG00443','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2308.html',0,'2024-07-11 21:57:08'),
	(8670,'WOF091200006-WOB00008','WOG00444','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2309.png',0,'2024-07-11 21:57:08'),
	(8671,'WOF091200006-WOB00008','WOG00444','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2309.html',0,'2024-07-11 21:57:08'),
	(8672,'WOF091200006-WOB00008','WOG00445','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2310.png',0,'2024-07-11 21:57:08'),
	(8673,'WOF091200006-WOB00008','WOG00445','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2310.html',0,'2024-07-11 21:57:08'),
	(8674,'WOF091200006-WOB00008','WOG00446','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2311.png',0,'2024-07-11 21:57:08'),
	(8675,'WOF091200006-WOB00008','WOG00446','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2311.html',0,'2024-07-11 21:57:08'),
	(8676,'WOF091200006-WOB00008','WOG00447','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2312.png',0,'2024-07-11 21:57:08'),
	(8677,'WOF091200006-WOB00008','WOG00447','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2312.html',0,'2024-07-11 21:57:08'),
	(8678,'WOF091200006-WOB00008','WOG00448','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2313.png',0,'2024-07-11 21:57:08'),
	(8679,'WOF091200006-WOB00008','WOG00448','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2313.html',0,'2024-07-11 21:57:08'),
	(8680,'WOF091200006-WOB00008','WOG00449','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2314.png',0,'2024-07-11 21:57:08'),
	(8681,'WOF091200006-WOB00008','WOG00449','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2314.html',0,'2024-07-11 21:57:08'),
	(8682,'WOF091200006-WOB00008','WOG00450','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2315.png',0,'2024-07-11 21:57:08'),
	(8683,'WOF091200006-WOB00008','WOG00450','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2315.html',0,'2024-07-11 21:57:08'),
	(8684,'WOF091200006-WOB00008','WOG00451','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2316.png',0,'2024-07-11 21:57:08'),
	(8685,'WOF091200006-WOB00008','WOG00451','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2316.html',0,'2024-07-11 21:57:08'),
	(8686,'WOF091200006-WOB00008','WOG00452','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2317.png',0,'2024-07-11 21:57:08'),
	(8687,'WOF091200006-WOB00008','WOG00452','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2317.html',0,'2024-07-11 21:57:08'),
	(8688,'WOF091200006-WOB00008','WOG00453','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2318.png',0,'2024-07-11 21:57:08'),
	(8689,'WOF091200006-WOB00008','WOG00453','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2318.html',0,'2024-07-11 21:57:08'),
	(8690,'WOF091200006-WOB00008','WOG00454','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2319.png',0,'2024-07-11 21:57:08'),
	(8691,'WOF091200006-WOB00008','WOG00454','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2319.html',0,'2024-07-11 21:57:08'),
	(8692,'WOF091200006-WOB00008','WOG00455','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2320.png',0,'2024-07-11 21:57:08'),
	(8693,'WOF091200006-WOB00008','WOG00455','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2320.html',0,'2024-07-11 21:57:08'),
	(8694,'WOF091200006-WOB00008','WOG00456','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2321.png',0,'2024-07-11 21:57:08'),
	(8695,'WOF091200006-WOB00008','WOG00456','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2321.html',0,'2024-07-11 21:57:08'),
	(8696,'WOF091200006-WOB00008','WOG00457','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2322.png',0,'2024-07-11 21:57:08'),
	(8697,'WOF091200006-WOB00008','WOG00457','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2322.html',0,'2024-07-11 21:57:08'),
	(8698,'WOF091200006-WOB00008','WOG00458','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2323.png',0,'2024-07-11 21:57:08'),
	(8699,'WOF091200006-WOB00008','WOG00458','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2323.html',0,'2024-07-11 21:57:08'),
	(8700,'WOF091200006-WOB00008','WOG00459','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2324.png',0,'2024-07-11 21:57:08'),
	(8701,'WOF091200006-WOB00008','WOG00459','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2324.html',0,'2024-07-11 21:57:08'),
	(8702,'WOF091200006-WOB00008','WOG00460','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2325.png',0,'2024-07-11 21:57:08'),
	(8703,'WOF091200006-WOB00008','WOG00460','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2325.html',0,'2024-07-11 21:57:08'),
	(8704,'WOF091200006-WOB00008','WOG00461','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2326.png',0,'2024-07-11 21:57:08'),
	(8705,'WOF091200006-WOB00008','WOG00461','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2326.html',0,'2024-07-11 21:57:08'),
	(8706,'WOF091200006-WOB00008','WOG00462','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2327.png',0,'2024-07-11 21:57:08'),
	(8707,'WOF091200006-WOB00008','WOG00462','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2327.html',0,'2024-07-11 21:57:08'),
	(8708,'WOF091200006-WOB00008','WOG00463','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2328.png',0,'2024-07-11 21:57:08'),
	(8709,'WOF091200006-WOB00008','WOG00463','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2328.html',0,'2024-07-11 21:57:08'),
	(8710,'WOF091200006-WOB00008','WOG00464','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2329.png',0,'2024-07-11 21:57:08'),
	(8711,'WOF091200006-WOB00008','WOG00464','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2329.html',0,'2024-07-11 21:57:08'),
	(8712,'WOF091200006-WOB00008','WOG00465','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2330.png',0,'2024-07-11 21:57:08'),
	(8713,'WOF091200006-WOB00008','WOG00465','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2330.html',0,'2024-07-11 21:57:08'),
	(8714,'WOF091200006-WOB00008','WOG00466','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2331.png',0,'2024-07-11 21:57:08'),
	(8715,'WOF091200006-WOB00008','WOG00466','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2331.html',0,'2024-07-11 21:57:08'),
	(8716,'WOF091200006-WOB00008','WOG00467','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2332.png',0,'2024-07-11 21:57:08'),
	(8717,'WOF091200006-WOB00008','WOG00467','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2332.html',0,'2024-07-11 21:57:08'),
	(8718,'WOF091200006-WOB00008','WOG00468','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2333.png',0,'2024-07-11 21:57:08'),
	(8719,'WOF091200006-WOB00008','WOG00468','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%2333.html',0,'2024-07-11 21:57:08'),
	(8720,'WOF091200006-WOB00008','WOG00436','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2301.png',0,'2024-07-11 21:57:08'),
	(8721,'WOF091200006-WOB00008','WOG00436','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2301.html',0,'2024-07-11 21:57:08'),
	(8722,'WOF091200006-WOB00008','WOG00437','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2302.png',0,'2024-07-11 21:57:08'),
	(8723,'WOF091200006-WOB00008','WOG00437','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2302.html',0,'2024-07-11 21:57:08'),
	(8724,'WOF091200006-WOB00008','WOG00438','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2303.png',0,'2024-07-11 21:57:08'),
	(8725,'WOF091200006-WOB00008','WOG00438','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2303.html',0,'2024-07-11 21:57:08'),
	(8726,'WOF091200006-WOB00008','WOG00439','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2304.png',0,'2024-07-11 21:57:08'),
	(8727,'WOF091200006-WOB00008','WOG00439','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2304.html',0,'2024-07-11 21:57:08'),
	(8728,'WOF091200006-WOB00008','WOG00440','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2305.png',0,'2024-07-11 21:57:08'),
	(8729,'WOF091200006-WOB00008','WOG00440','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2305.html',0,'2024-07-11 21:57:08'),
	(8730,'WOF091200006-WOB00008','WOG00441','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2306.png',0,'2024-07-11 21:57:08'),
	(8731,'WOF091200006-WOB00008','WOG00441','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2306.html',0,'2024-07-11 21:57:08'),
	(8732,'WOF091200006-WOB00008','WOG00442','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2307.png',0,'2024-07-11 21:57:08'),
	(8733,'WOF091200006-WOB00008','WOG00442','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2307.html',0,'2024-07-11 21:57:08'),
	(8734,'WOF091200006-WOB00008','WOG00443','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2308.png',0,'2024-07-11 21:57:08'),
	(8735,'WOF091200006-WOB00008','WOG00443','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2308.html',0,'2024-07-11 21:57:08'),
	(8736,'WOF091200006-WOB00008','WOG00444','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2309.png',0,'2024-07-11 21:57:08'),
	(8737,'WOF091200006-WOB00008','WOG00444','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2309.html',0,'2024-07-11 21:57:08'),
	(8738,'WOF091200006-WOB00008','WOG00445','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2310.png',0,'2024-07-11 21:57:08'),
	(8739,'WOF091200006-WOB00008','WOG00445','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2310.html',0,'2024-07-11 21:57:08'),
	(8740,'WOF091200006-WOB00008','WOG00446','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2311.png',0,'2024-07-11 21:57:08'),
	(8741,'WOF091200006-WOB00008','WOG00446','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2311.html',0,'2024-07-11 21:57:08'),
	(8742,'WOF091200006-WOB00008','WOG00447','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2312.png',0,'2024-07-11 21:57:08'),
	(8743,'WOF091200006-WOB00008','WOG00447','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2312.html',0,'2024-07-11 21:57:08'),
	(8744,'WOF091200006-WOB00008','WOG00448','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2313.png',0,'2024-07-11 21:57:08'),
	(8745,'WOF091200006-WOB00008','WOG00448','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2313.html',0,'2024-07-11 21:57:08'),
	(8746,'WOF091200006-WOB00008','WOG00449','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2314.png',0,'2024-07-11 21:57:08'),
	(8747,'WOF091200006-WOB00008','WOG00449','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2314.html',0,'2024-07-11 21:57:08'),
	(8748,'WOF091200006-WOB00008','WOG00450','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2315.png',0,'2024-07-11 21:57:08'),
	(8749,'WOF091200006-WOB00008','WOG00450','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2315.html',0,'2024-07-11 21:57:08'),
	(8750,'WOF091200006-WOB00008','WOG00451','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2316.png',0,'2024-07-11 21:57:08'),
	(8751,'WOF091200006-WOB00008','WOG00451','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2316.html',0,'2024-07-11 21:57:08'),
	(8752,'WOF091200006-WOB00008','WOG00452','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2317.png',0,'2024-07-11 21:57:08'),
	(8753,'WOF091200006-WOB00008','WOG00452','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2317.html',0,'2024-07-11 21:57:08'),
	(8754,'WOF091200006-WOB00008','WOG00453','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2318.png',0,'2024-07-11 21:57:08'),
	(8755,'WOF091200006-WOB00008','WOG00453','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2318.html',0,'2024-07-11 21:57:08'),
	(8756,'WOF091200006-WOB00008','WOG00454','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2319.png',0,'2024-07-11 21:57:08'),
	(8757,'WOF091200006-WOB00008','WOG00454','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2319.html',0,'2024-07-11 21:57:08'),
	(8758,'WOF091200006-WOB00008','WOG00455','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2320.png',0,'2024-07-11 21:57:08'),
	(8759,'WOF091200006-WOB00008','WOG00455','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2320.html',0,'2024-07-11 21:57:08'),
	(8760,'WOF091200006-WOB00008','WOG00456','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2321.png',0,'2024-07-11 21:57:08'),
	(8761,'WOF091200006-WOB00008','WOG00456','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2321.html',0,'2024-07-11 21:57:08'),
	(8762,'WOF091200006-WOB00008','WOG00457','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2322.png',0,'2024-07-11 21:57:08'),
	(8763,'WOF091200006-WOB00008','WOG00457','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2322.html',0,'2024-07-11 21:57:08'),
	(8764,'WOF091200006-WOB00008','WOG00458','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2323.png',0,'2024-07-11 21:57:08'),
	(8765,'WOF091200006-WOB00008','WOG00458','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2323.html',0,'2024-07-11 21:57:08'),
	(8766,'WOF091200006-WOB00008','WOG00459','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2324.png',0,'2024-07-11 21:57:08'),
	(8767,'WOF091200006-WOB00008','WOG00459','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2324.html',0,'2024-07-11 21:57:08'),
	(8768,'WOF091200006-WOB00008','WOG00460','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2325.png',0,'2024-07-11 21:57:08'),
	(8769,'WOF091200006-WOB00008','WOG00460','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2325.html',0,'2024-07-11 21:57:08'),
	(8770,'WOF091200006-WOB00008','WOG00461','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2326.png',0,'2024-07-11 21:57:08'),
	(8771,'WOF091200006-WOB00008','WOG00461','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2326.html',0,'2024-07-11 21:57:08'),
	(8772,'WOF091200006-WOB00008','WOG00462','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2327.png',0,'2024-07-11 21:57:08'),
	(8773,'WOF091200006-WOB00008','WOG00462','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2327.html',0,'2024-07-11 21:57:08'),
	(8774,'WOF091200006-WOB00008','WOG00463','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2328.png',0,'2024-07-11 21:57:08'),
	(8775,'WOF091200006-WOB00008','WOG00463','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2328.html',0,'2024-07-11 21:57:08'),
	(8776,'WOF091200006-WOB00008','WOG00464','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2329.png',0,'2024-07-11 21:57:08'),
	(8777,'WOF091200006-WOB00008','WOG00464','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2329.html',0,'2024-07-11 21:57:08'),
	(8778,'WOF091200006-WOB00008','WOG00465','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2330.png',0,'2024-07-11 21:57:08'),
	(8779,'WOF091200006-WOB00008','WOG00465','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2330.html',0,'2024-07-11 21:57:08'),
	(8780,'WOF091200006-WOB00008','WOG00466','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2331.png',0,'2024-07-11 21:57:08'),
	(8781,'WOF091200006-WOB00008','WOG00466','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2331.html',0,'2024-07-11 21:57:08'),
	(8782,'WOF091200006-WOB00008','WOG00467','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2332.png',0,'2024-07-11 21:57:08'),
	(8783,'WOF091200006-WOB00008','WOG00467','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2332.html',0,'2024-07-11 21:57:08'),
	(8784,'WOF091200006-WOB00008','WOG00468','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2333.png',0,'2024-07-11 21:57:08'),
	(8785,'WOF091200006-WOB00008','WOG00468','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%2333.html',0,'2024-07-11 21:57:08'),
	(8786,'WOF035900004-WOB00009','WOG00389','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2301.png',0,'2024-07-11 21:57:08'),
	(8787,'WOF035900004-WOB00009','WOG00389','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2301.html',0,'2024-07-11 21:57:08'),
	(8788,'WOF035900004-WOB00009','WOG00390','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2302.png',0,'2024-07-11 21:57:08'),
	(8789,'WOF035900004-WOB00009','WOG00390','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2302.html',0,'2024-07-11 21:57:08'),
	(8790,'WOF035900004-WOB00009','WOG00391','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2303.png',0,'2024-07-11 21:57:08'),
	(8791,'WOF035900004-WOB00009','WOG00391','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2303.html',0,'2024-07-11 21:57:08'),
	(8792,'WOF035900004-WOB00009','WOG00392','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2304.png',0,'2024-07-11 21:57:08'),
	(8793,'WOF035900004-WOB00009','WOG00392','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2304.html',0,'2024-07-11 21:57:08'),
	(8794,'WOF035900004-WOB00009','WOG00393','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2305.png',0,'2024-07-11 21:57:08'),
	(8795,'WOF035900004-WOB00009','WOG00393','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2305.html',0,'2024-07-11 21:57:08'),
	(8796,'WOF035900004-WOB00009','WOG00394','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2306.png',0,'2024-07-11 21:57:08'),
	(8797,'WOF035900004-WOB00009','WOG00394','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2306.html',0,'2024-07-11 21:57:08'),
	(8798,'WOF035900004-WOB00009','WOG00395','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2307.png',0,'2024-07-11 21:57:08'),
	(8799,'WOF035900004-WOB00009','WOG00395','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2307.html',0,'2024-07-11 21:57:08'),
	(8800,'WOF035900004-WOB00009','WOG00396','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2308.png',0,'2024-07-11 21:57:08'),
	(8801,'WOF035900004-WOB00009','WOG00396','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2308.html',0,'2024-07-11 21:57:08'),
	(8802,'WOF035900004-WOB00009','WOG00397','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2309.png',0,'2024-07-11 21:57:08'),
	(8803,'WOF035900004-WOB00009','WOG00397','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2309.html',0,'2024-07-11 21:57:08'),
	(8804,'WOF035900004-WOB00009','WOG00398','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2310.png',0,'2024-07-11 21:57:08'),
	(8805,'WOF035900004-WOB00009','WOG00398','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2310.html',0,'2024-07-11 21:57:08'),
	(8806,'WOF035900004-WOB00009','WOG00399','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2311.png',0,'2024-07-11 21:57:08'),
	(8807,'WOF035900004-WOB00009','WOG00399','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2311.html',0,'2024-07-11 21:57:08'),
	(8808,'WOF035900004-WOB00009','WOG00400','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2312.png',0,'2024-07-11 21:57:08'),
	(8809,'WOF035900004-WOB00009','WOG00400','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2312.html',0,'2024-07-11 21:57:08'),
	(8810,'WOF035900004-WOB00009','WOG00401','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2313.png',0,'2024-07-11 21:57:08'),
	(8811,'WOF035900004-WOB00009','WOG00401','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2313.html',0,'2024-07-11 21:57:08'),
	(8812,'WOF035900004-WOB00009','WOG00402','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2314.png',0,'2024-07-11 21:57:08'),
	(8813,'WOF035900004-WOB00009','WOG00402','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2314.html',0,'2024-07-11 21:57:08'),
	(8814,'WOF035900004-WOB00009','WOG00403','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2315.png',0,'2024-07-11 21:57:08'),
	(8815,'WOF035900004-WOB00009','WOG00403','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2315.html',0,'2024-07-11 21:57:08'),
	(8816,'WOF035900004-WOB00009','WOG00404','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2316.png',0,'2024-07-11 21:57:08'),
	(8817,'WOF035900004-WOB00009','WOG00404','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2316.html',0,'2024-07-11 21:57:08'),
	(8818,'WOF035900004-WOB00009','WOG00405','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2317.png',0,'2024-07-11 21:57:08'),
	(8819,'WOF035900004-WOB00009','WOG00405','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2317.html',0,'2024-07-11 21:57:08'),
	(8820,'WOF035900004-WOB00009','WOG00406','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2318.png',0,'2024-07-11 21:57:08'),
	(8821,'WOF035900004-WOB00009','WOG00406','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2318.html',0,'2024-07-11 21:57:08'),
	(8822,'WOF035900004-WOB00009','WOG00407','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2319.png',0,'2024-07-11 21:57:08'),
	(8823,'WOF035900004-WOB00009','WOG00407','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2319.html',0,'2024-07-11 21:57:08'),
	(8824,'WOF035900004-WOB00009','WOG00408','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2320.png',0,'2024-07-11 21:57:08'),
	(8825,'WOF035900004-WOB00009','WOG00408','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2320.html',0,'2024-07-11 21:57:08'),
	(8826,'WOF035900004-WOB00009','WOG00409','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2321.png',0,'2024-07-11 21:57:08'),
	(8827,'WOF035900004-WOB00009','WOG00409','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2321.html',0,'2024-07-11 21:57:08'),
	(8828,'WOF035900004-WOB00009','WOG00410','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2322.png',0,'2024-07-11 21:57:08'),
	(8829,'WOF035900004-WOB00009','WOG00410','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2322.html',0,'2024-07-11 21:57:08'),
	(8830,'WOF035900004-WOB00009','WOG00411','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2323.png',0,'2024-07-11 21:57:08'),
	(8831,'WOF035900004-WOB00009','WOG00411','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2323.html',0,'2024-07-11 21:57:08'),
	(8832,'WOF035900004-WOB00009','WOG00412','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2324.png',0,'2024-07-11 21:57:08'),
	(8833,'WOF035900004-WOB00009','WOG00412','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%2324.html',0,'2024-07-11 21:57:08'),
	(8834,'WOF035900004-WOB00009','WOG00389','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2301.png',0,'2024-07-11 21:57:08'),
	(8835,'WOF035900004-WOB00009','WOG00389','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2301.html',0,'2024-07-11 21:57:08'),
	(8836,'WOF035900004-WOB00009','WOG00390','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2302.png',0,'2024-07-11 21:57:08'),
	(8837,'WOF035900004-WOB00009','WOG00390','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2302.html',0,'2024-07-11 21:57:08'),
	(8838,'WOF035900004-WOB00009','WOG00391','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2303.png',0,'2024-07-11 21:57:08'),
	(8839,'WOF035900004-WOB00009','WOG00391','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2303.html',0,'2024-07-11 21:57:08'),
	(8840,'WOF035900004-WOB00009','WOG00392','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2304.png',0,'2024-07-11 21:57:08'),
	(8841,'WOF035900004-WOB00009','WOG00392','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2304.html',0,'2024-07-11 21:57:08'),
	(8842,'WOF035900004-WOB00009','WOG00393','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2305.png',0,'2024-07-11 21:57:08'),
	(8843,'WOF035900004-WOB00009','WOG00393','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2305.html',0,'2024-07-11 21:57:08'),
	(8844,'WOF035900004-WOB00009','WOG00394','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2306.png',0,'2024-07-11 21:57:08'),
	(8845,'WOF035900004-WOB00009','WOG00394','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2306.html',0,'2024-07-11 21:57:08'),
	(8846,'WOF035900004-WOB00009','WOG00395','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2307.png',0,'2024-07-11 21:57:08'),
	(8847,'WOF035900004-WOB00009','WOG00395','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2307.html',0,'2024-07-11 21:57:08'),
	(8848,'WOF035900004-WOB00009','WOG00396','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2308.png',0,'2024-07-11 21:57:08'),
	(8849,'WOF035900004-WOB00009','WOG00396','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2308.html',0,'2024-07-11 21:57:08'),
	(8850,'WOF035900004-WOB00009','WOG00397','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2309.png',0,'2024-07-11 21:57:08'),
	(8851,'WOF035900004-WOB00009','WOG00397','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2309.html',0,'2024-07-11 21:57:08'),
	(8852,'WOF035900004-WOB00009','WOG00398','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2310.png',0,'2024-07-11 21:57:08'),
	(8853,'WOF035900004-WOB00009','WOG00398','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2310.html',0,'2024-07-11 21:57:08'),
	(8854,'WOF035900004-WOB00009','WOG00399','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2311.png',0,'2024-07-11 21:57:08'),
	(8855,'WOF035900004-WOB00009','WOG00399','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2311.html',0,'2024-07-11 21:57:08'),
	(8856,'WOF035900004-WOB00009','WOG00400','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2312.png',0,'2024-07-11 21:57:08'),
	(8857,'WOF035900004-WOB00009','WOG00400','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2312.html',0,'2024-07-11 21:57:08'),
	(8858,'WOF035900004-WOB00009','WOG00401','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2313.png',0,'2024-07-11 21:57:08'),
	(8859,'WOF035900004-WOB00009','WOG00401','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2313.html',0,'2024-07-11 21:57:08'),
	(8860,'WOF035900004-WOB00009','WOG00402','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2314.png',0,'2024-07-11 21:57:08'),
	(8861,'WOF035900004-WOB00009','WOG00402','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2314.html',0,'2024-07-11 21:57:08'),
	(8862,'WOF035900004-WOB00009','WOG00403','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2315.png',0,'2024-07-11 21:57:08'),
	(8863,'WOF035900004-WOB00009','WOG00403','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2315.html',0,'2024-07-11 21:57:08'),
	(8864,'WOF035900004-WOB00009','WOG00404','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2316.png',0,'2024-07-11 21:57:08'),
	(8865,'WOF035900004-WOB00009','WOG00404','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2316.html',0,'2024-07-11 21:57:08'),
	(8866,'WOF035900004-WOB00009','WOG00405','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2317.png',0,'2024-07-11 21:57:08'),
	(8867,'WOF035900004-WOB00009','WOG00405','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2317.html',0,'2024-07-11 21:57:08'),
	(8868,'WOF035900004-WOB00009','WOG00406','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2318.png',0,'2024-07-11 21:57:08'),
	(8869,'WOF035900004-WOB00009','WOG00406','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2318.html',0,'2024-07-11 21:57:08'),
	(8870,'WOF035900004-WOB00009','WOG00407','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2319.png',0,'2024-07-11 21:57:08'),
	(8871,'WOF035900004-WOB00009','WOG00407','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2319.html',0,'2024-07-11 21:57:08'),
	(8872,'WOF035900004-WOB00009','WOG00408','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2320.png',0,'2024-07-11 21:57:08'),
	(8873,'WOF035900004-WOB00009','WOG00408','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2320.html',0,'2024-07-11 21:57:08'),
	(8874,'WOF035900004-WOB00009','WOG00409','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2321.png',0,'2024-07-11 21:57:08'),
	(8875,'WOF035900004-WOB00009','WOG00409','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2321.html',0,'2024-07-11 21:57:08'),
	(8876,'WOF035900004-WOB00009','WOG00410','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2322.png',0,'2024-07-11 21:57:08'),
	(8877,'WOF035900004-WOB00009','WOG00410','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2322.html',0,'2024-07-11 21:57:08'),
	(8878,'WOF035900004-WOB00009','WOG00411','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2323.png',0,'2024-07-11 21:57:08'),
	(8879,'WOF035900004-WOB00009','WOG00411','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2323.html',0,'2024-07-11 21:57:08'),
	(8880,'WOF035900004-WOB00009','WOG00412','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2324.png',0,'2024-07-11 21:57:08'),
	(8881,'WOF035900004-WOB00009','WOG00412','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%2324.html',0,'2024-07-11 21:57:08');

/*!40000 ALTER TABLE `analysis_diagram_relation` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table analysis_diagram_relation_copy1
# ------------------------------------------------------------

DROP TABLE IF EXISTS `analysis_diagram_relation_copy1`;

CREATE TABLE `analysis_diagram_relation_copy1` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `batch_code` varchar(50) NOT NULL DEFAULT '' COMMENT '批次编号',
  `field_engine_code` varchar(50) NOT NULL DEFAULT '' COMMENT '风机编号',
  `analysis_type_code` varchar(50) NOT NULL DEFAULT '' COMMENT '分析类型编号',
  `file_addr` varchar(650) NOT NULL COMMENT '分析结果地址minio',
  `auto_analysis` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否自动分析(0-否 1-是)',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`),
  KEY `index_batch_code` (`batch_code`) USING BTREE COMMENT '批次索引'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分析图表关系表 ';

LOCK TABLES `analysis_diagram_relation_copy1` WRITE;
/*!40000 ALTER TABLE `analysis_diagram_relation_copy1` DISABLE KEYS */;

INSERT INTO `analysis_diagram_relation_copy1` (`id`, `batch_code`, `field_engine_code`, `analysis_type_code`, `file_addr`, `auto_analysis`, `create_time`)
VALUES
	(1,'WOF085500002-WOB00004','WOG00365','speed_torque','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/speed_torque/manual/28.png',0,'2024-06-26 12:14:36'),
	(2,'WOF085500002-WOB00004','WOG00365','speed_torque','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/speed_torque/manual/28.html',0,'2024-06-26 12:14:36'),
	(3,'WOF085500002-WOB00004','WOG00365','speed_torque','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/speed_torque/manual/28_3D.html',0,'2024-06-26 12:14:36'),
	(4,'WOF085500002-WOB00004','WOG00365','speed_power','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/speed_power/manual/28.png',0,'2024-06-26 12:14:36'),
	(5,'WOF085500002-WOB00004','WOG00365','speed_power','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/speed_power/manual/28.html',0,'2024-06-26 12:14:36'),
	(6,'WOF085500002-WOB00004','WOG00365','speed_power','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/speed_power/manual/28_3D.html',0,'2024-06-26 12:14:36'),
	(7,'WOF085500002-WOB00004','WOG00365','power_curve','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/power_curve/manual/28.png',0,'2024-06-26 12:14:36'),
	(8,'WOF085500002-WOB00004','WOG00365','power_curve','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/power_curve/manual/28.html',0,'2024-06-26 12:14:36'),
	(113,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#17.png',0,'2024-07-01 23:40:25'),
	(114,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#17.html',0,'2024-07-01 23:40:25'),
	(115,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-01 23:40:25'),
	(116,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-01 23:40:25'),
	(117,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#24.png',0,'2024-07-01 23:40:25'),
	(118,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#24.html',0,'2024-07-01 23:40:25'),
	(119,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-01 23:40:25'),
	(120,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-01 23:40:25'),
	(121,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#17.png',0,'2024-07-01 23:40:25'),
	(122,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#17.html',0,'2024-07-01 23:40:25'),
	(123,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-01 23:40:25'),
	(124,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-01 23:40:25'),
	(125,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#24.png',0,'2024-07-01 23:40:25'),
	(126,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#24.html',0,'2024-07-01 23:40:25'),
	(127,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-01 23:40:25'),
	(128,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-01 23:40:25'),
	(129,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#17.png',0,'2024-07-01 23:40:25'),
	(130,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#17.html',0,'2024-07-01 23:40:25'),
	(131,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-01 23:40:25'),
	(132,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-01 23:40:25'),
	(133,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#24.png',0,'2024-07-01 23:40:25'),
	(134,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#24.html',0,'2024-07-01 23:40:25'),
	(135,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-01 23:40:25'),
	(136,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-01 23:40:25'),
	(137,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#17.png',0,'2024-07-01 23:40:25'),
	(138,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#17.html',0,'2024-07-01 23:40:25'),
	(139,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-01 23:40:25'),
	(140,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-01 23:40:25'),
	(141,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#24.png',0,'2024-07-01 23:40:25'),
	(142,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#24.html',0,'2024-07-01 23:40:25'),
	(143,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-01 23:40:25'),
	(144,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-01 23:40:25'),
	(145,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#17.png',0,'2024-07-01 23:40:25'),
	(146,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#17.html',0,'2024-07-01 23:40:25'),
	(147,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-01 23:40:25'),
	(148,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-01 23:40:25'),
	(149,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#24.png',0,'2024-07-01 23:40:25'),
	(150,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#24.html',0,'2024-07-01 23:40:25'),
	(151,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-01 23:40:25'),
	(152,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-01 23:40:25'),
	(155,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-02 00:10:29'),
	(156,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-02 00:10:29'),
	(159,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-02 00:10:29'),
	(160,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-02 00:10:29'),
	(163,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-02 00:10:29'),
	(164,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-02 00:10:29'),
	(167,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-02 00:10:29'),
	(168,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-02 00:10:29'),
	(171,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-02 00:10:29'),
	(172,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-02 00:10:29'),
	(175,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-02 00:10:29'),
	(176,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-02 00:10:29'),
	(179,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-02 00:10:29'),
	(180,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-02 00:10:29'),
	(183,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-02 00:10:29'),
	(184,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-02 00:10:29'),
	(185,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#17.png',0,'2024-07-02 00:10:29'),
	(186,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#17.html',0,'2024-07-02 00:10:29'),
	(187,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-02 00:10:29'),
	(188,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-02 00:10:29'),
	(189,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#24.png',0,'2024-07-02 00:10:29'),
	(190,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#24.html',0,'2024-07-02 00:10:29'),
	(191,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-02 00:10:29'),
	(192,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-02 00:10:29'),
	(193,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#17.png',0,'2024-07-02 00:10:29'),
	(194,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#17.html',0,'2024-07-02 00:10:29'),
	(195,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-02 00:10:29'),
	(196,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-02 00:10:29'),
	(197,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#24.png',0,'2024-07-02 00:10:29'),
	(198,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#24.html',0,'2024-07-02 00:10:29'),
	(199,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-02 00:10:29'),
	(200,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-02 00:10:29'),
	(201,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#17.png',0,'2024-07-02 00:10:29'),
	(202,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#17.html',0,'2024-07-02 00:10:29'),
	(203,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-02 00:10:29'),
	(204,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-02 00:10:29'),
	(205,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#24.png',0,'2024-07-02 00:10:29'),
	(206,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#24.html',0,'2024-07-02 00:10:29'),
	(207,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-02 00:10:29'),
	(208,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-02 00:10:29'),
	(209,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#17.png',0,'2024-07-02 00:10:29'),
	(210,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#17.html',0,'2024-07-02 00:10:29'),
	(211,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-02 00:10:29'),
	(212,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-02 00:10:29'),
	(213,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#24.png',0,'2024-07-02 00:10:29'),
	(214,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#24.html',0,'2024-07-02 00:10:29'),
	(215,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-02 00:10:29'),
	(216,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-02 00:10:29'),
	(217,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#17.png',0,'2024-07-02 00:10:29'),
	(218,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#17.html',0,'2024-07-02 00:10:29'),
	(219,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-02 00:10:29'),
	(220,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-02 00:10:29'),
	(221,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#24.png',0,'2024-07-02 00:10:29'),
	(222,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#24.html',0,'2024-07-02 00:10:29'),
	(223,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-02 00:10:29'),
	(224,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-02 00:10:29'),
	(225,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#17.png',0,'2024-07-02 00:21:46'),
	(226,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#17.html',0,'2024-07-02 00:21:46'),
	(227,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-02 00:21:46'),
	(228,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-02 00:21:46'),
	(229,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#24.png',0,'2024-07-02 00:21:46'),
	(230,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#24.html',0,'2024-07-02 00:21:46'),
	(231,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-02 00:21:46'),
	(232,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-02 00:21:46'),
	(233,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#17.png',0,'2024-07-02 00:21:46'),
	(234,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#17.html',0,'2024-07-02 00:21:46'),
	(235,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-02 00:21:46'),
	(236,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-02 00:21:46'),
	(237,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#24.png',0,'2024-07-02 00:21:46'),
	(238,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#24.html',0,'2024-07-02 00:21:46'),
	(239,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-02 00:21:46'),
	(240,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-02 00:21:46'),
	(241,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#17.png',0,'2024-07-02 00:21:46'),
	(242,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#17.html',0,'2024-07-02 00:21:46'),
	(243,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-02 00:21:46'),
	(244,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-02 00:21:46'),
	(245,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#24.png',0,'2024-07-02 00:21:46'),
	(246,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#24.html',0,'2024-07-02 00:21:46'),
	(247,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-02 00:21:46'),
	(248,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-02 00:21:46'),
	(249,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#17.png',0,'2024-07-02 00:21:46'),
	(250,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#17.html',0,'2024-07-02 00:21:46'),
	(251,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-02 00:21:46'),
	(252,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-02 00:21:46'),
	(253,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#24.png',0,'2024-07-02 00:21:46'),
	(254,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#24.html',0,'2024-07-02 00:21:46'),
	(255,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-02 00:21:46'),
	(256,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-02 00:21:46'),
	(257,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#17.png',0,'2024-07-02 00:21:46'),
	(258,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#17.html',0,'2024-07-02 00:21:46'),
	(259,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-02 00:21:46'),
	(260,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-02 00:21:46'),
	(261,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#24.png',0,'2024-07-02 00:21:46'),
	(262,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#24.html',0,'2024-07-02 00:21:46'),
	(263,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-02 00:21:46'),
	(264,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-02 00:21:46'),
	(265,'WOF035900004-WOB00005','WOG00405','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#17.png',0,'2024-07-02 00:42:13'),
	(266,'WOF035900004-WOB00005','WOG00405','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#17.html',0,'2024-07-02 00:42:13'),
	(267,'WOF035900004-WOB00005','WOG00412','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#24.png',0,'2024-07-02 00:42:13'),
	(268,'WOF035900004-WOB00005','WOG00412','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#24.html',0,'2024-07-02 00:42:13'),
	(269,'WOF035900004-WOB00005','WOG00405','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#17.png',0,'2024-07-02 00:42:13'),
	(270,'WOF035900004-WOB00005','WOG00405','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#17.html',0,'2024-07-02 00:42:13'),
	(271,'WOF035900004-WOB00005','WOG00412','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#24.png',0,'2024-07-02 00:42:13'),
	(272,'WOF035900004-WOB00005','WOG00412','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#24.html',0,'2024-07-02 00:42:13'),
	(273,'WOF035900004-WOB00005','WOG00405','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#17.png',0,'2024-07-02 00:42:13'),
	(274,'WOF035900004-WOB00005','WOG00405','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#17.html',0,'2024-07-02 00:42:13'),
	(275,'WOF035900004-WOB00005','WOG00412','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#24.png',0,'2024-07-02 00:42:13'),
	(276,'WOF035900004-WOB00005','WOG00412','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#24.html',0,'2024-07-02 00:42:13'),
	(277,'WOF035900004-WOB00005','WOG00405','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#17.png',0,'2024-07-02 00:42:13'),
	(278,'WOF035900004-WOB00005','WOG00405','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#17.html',0,'2024-07-02 00:42:13'),
	(279,'WOF035900004-WOB00005','WOG00412','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#24.png',0,'2024-07-02 00:42:13'),
	(280,'WOF035900004-WOB00005','WOG00412','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#24.html',0,'2024-07-02 00:42:13'),
	(281,'WOF035900004-WOB00005','WOG00405','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#17.png',0,'2024-07-02 00:42:13'),
	(282,'WOF035900004-WOB00005','WOG00405','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#17.html',0,'2024-07-02 00:42:13'),
	(283,'WOF035900004-WOB00005','WOG00412','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#24.png',0,'2024-07-02 00:42:13'),
	(284,'WOF035900004-WOB00005','WOG00412','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#24.html',0,'2024-07-02 00:42:13'),
	(285,'WOF035900004-WOB00005','WOG00405','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#17.png',0,'2024-07-02 00:42:13'),
	(286,'WOF035900004-WOB00005','WOG00405','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#17.html',0,'2024-07-02 00:42:13'),
	(287,'WOF035900004-WOB00005','WOG00412','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#24.png',0,'2024-07-02 00:42:13'),
	(288,'WOF035900004-WOB00005','WOG00412','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#24.html',0,'2024-07-02 00:42:13'),
	(289,'WOF035900004-WOB00005','WOG00405','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#17.png',0,'2024-07-02 00:42:13'),
	(290,'WOF035900004-WOB00005','WOG00405','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#17.html',0,'2024-07-02 00:42:13'),
	(291,'WOF035900004-WOB00005','WOG00412','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#24.png',0,'2024-07-02 00:42:13'),
	(292,'WOF035900004-WOB00005','WOG00412','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#24.html',0,'2024-07-02 00:42:13'),
	(293,'WOF035900004-WOB00005','WOG00389','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#01.png',0,'2024-07-02 00:51:28'),
	(294,'WOF035900004-WOB00005','WOG00389','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#01.html',0,'2024-07-02 00:51:28'),
	(295,'WOF035900004-WOB00005','WOG00390','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#02.png',0,'2024-07-02 00:51:28'),
	(296,'WOF035900004-WOB00005','WOG00390','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#02.html',0,'2024-07-02 00:51:28'),
	(297,'WOF035900004-WOB00005','WOG00391','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#03.png',0,'2024-07-02 00:51:28'),
	(298,'WOF035900004-WOB00005','WOG00391','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#03.html',0,'2024-07-02 00:51:28'),
	(299,'WOF035900004-WOB00005','WOG00392','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#04.png',0,'2024-07-02 00:51:28'),
	(300,'WOF035900004-WOB00005','WOG00392','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#04.html',0,'2024-07-02 00:51:28'),
	(301,'WOF035900004-WOB00005','WOG00393','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#05.png',0,'2024-07-02 00:51:28'),
	(302,'WOF035900004-WOB00005','WOG00393','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#05.html',0,'2024-07-02 00:51:28'),
	(303,'WOF035900004-WOB00005','WOG00394','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#06.png',0,'2024-07-02 00:51:28'),
	(304,'WOF035900004-WOB00005','WOG00394','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#06.html',0,'2024-07-02 00:51:28'),
	(305,'WOF035900004-WOB00005','WOG00395','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#07.png',0,'2024-07-02 00:51:28'),
	(306,'WOF035900004-WOB00005','WOG00395','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#07.html',0,'2024-07-02 00:51:28'),
	(307,'WOF035900004-WOB00005','WOG00396','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#08.png',0,'2024-07-02 00:51:28'),
	(308,'WOF035900004-WOB00005','WOG00396','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#08.html',0,'2024-07-02 00:51:28'),
	(309,'WOF035900004-WOB00005','WOG00397','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#09.png',0,'2024-07-02 00:51:28'),
	(310,'WOF035900004-WOB00005','WOG00397','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#09.html',0,'2024-07-02 00:51:28'),
	(311,'WOF035900004-WOB00005','WOG00398','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#10.png',0,'2024-07-02 00:51:28'),
	(312,'WOF035900004-WOB00005','WOG00398','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#10.html',0,'2024-07-02 00:51:28'),
	(313,'WOF035900004-WOB00005','WOG00399','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#11.png',0,'2024-07-02 00:51:28'),
	(314,'WOF035900004-WOB00005','WOG00399','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#11.html',0,'2024-07-02 00:51:28'),
	(315,'WOF035900004-WOB00005','WOG00400','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#12.png',0,'2024-07-02 00:51:28'),
	(316,'WOF035900004-WOB00005','WOG00400','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#12.html',0,'2024-07-02 00:51:28'),
	(317,'WOF035900004-WOB00005','WOG00401','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#13.png',0,'2024-07-02 00:51:28'),
	(318,'WOF035900004-WOB00005','WOG00401','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#13.html',0,'2024-07-02 00:51:28'),
	(319,'WOF035900004-WOB00005','WOG00402','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#14.png',0,'2024-07-02 00:51:28'),
	(320,'WOF035900004-WOB00005','WOG00402','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#14.html',0,'2024-07-02 00:51:28'),
	(321,'WOF035900004-WOB00005','WOG00403','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#15.png',0,'2024-07-02 00:51:28'),
	(322,'WOF035900004-WOB00005','WOG00403','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#15.html',0,'2024-07-02 00:51:28'),
	(323,'WOF035900004-WOB00005','WOG00404','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#16.png',0,'2024-07-02 00:51:28'),
	(324,'WOF035900004-WOB00005','WOG00404','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#16.html',0,'2024-07-02 00:51:28'),
	(325,'WOF035900004-WOB00005','WOG00405','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#17.png',0,'2024-07-02 00:51:28'),
	(326,'WOF035900004-WOB00005','WOG00405','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#17.html',0,'2024-07-02 00:51:28'),
	(327,'WOF035900004-WOB00005','WOG00406','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#18.png',0,'2024-07-02 00:51:28'),
	(328,'WOF035900004-WOB00005','WOG00406','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#18.html',0,'2024-07-02 00:51:28'),
	(329,'WOF035900004-WOB00005','WOG00407','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#19.png',0,'2024-07-02 00:51:28'),
	(330,'WOF035900004-WOB00005','WOG00407','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#19.html',0,'2024-07-02 00:51:28'),
	(331,'WOF035900004-WOB00005','WOG00408','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#20.png',0,'2024-07-02 00:51:28'),
	(332,'WOF035900004-WOB00005','WOG00408','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#20.html',0,'2024-07-02 00:51:28'),
	(333,'WOF035900004-WOB00005','WOG00409','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#21.png',0,'2024-07-02 00:51:28'),
	(334,'WOF035900004-WOB00005','WOG00409','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#21.html',0,'2024-07-02 00:51:28'),
	(335,'WOF035900004-WOB00005','WOG00410','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#22.png',0,'2024-07-02 00:51:28'),
	(336,'WOF035900004-WOB00005','WOG00410','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#22.html',0,'2024-07-02 00:51:28'),
	(337,'WOF035900004-WOB00005','WOG00411','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#23.png',0,'2024-07-02 00:51:28'),
	(338,'WOF035900004-WOB00005','WOG00411','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#23.html',0,'2024-07-02 00:51:28'),
	(339,'WOF035900004-WOB00005','WOG00412','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#24.png',0,'2024-07-02 00:51:28'),
	(340,'WOF035900004-WOB00005','WOG00412','power_curve','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_curve/manual/#24.html',0,'2024-07-02 00:51:28'),
	(341,'WOF035900004-WOB00005','WOG00389','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#01-scatter.png',0,'2024-07-02 00:51:28'),
	(342,'WOF035900004-WOB00005','WOG00389','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#01-scatter.html',0,'2024-07-02 00:51:28'),
	(343,'WOF035900004-WOB00005','WOG00390','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#02-scatter.png',0,'2024-07-02 00:51:28'),
	(344,'WOF035900004-WOB00005','WOG00390','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#02-scatter.html',0,'2024-07-02 00:51:28'),
	(345,'WOF035900004-WOB00005','WOG00391','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#03-scatter.png',0,'2024-07-02 00:51:28'),
	(346,'WOF035900004-WOB00005','WOG00391','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#03-scatter.html',0,'2024-07-02 00:51:28'),
	(347,'WOF035900004-WOB00005','WOG00392','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#04-scatter.png',0,'2024-07-02 00:51:28'),
	(348,'WOF035900004-WOB00005','WOG00392','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#04-scatter.html',0,'2024-07-02 00:51:28'),
	(349,'WOF035900004-WOB00005','WOG00393','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#05-scatter.png',0,'2024-07-02 00:51:28'),
	(350,'WOF035900004-WOB00005','WOG00393','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#05-scatter.html',0,'2024-07-02 00:51:28'),
	(351,'WOF035900004-WOB00005','WOG00394','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#06-scatter.png',0,'2024-07-02 00:51:28'),
	(352,'WOF035900004-WOB00005','WOG00394','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#06-scatter.html',0,'2024-07-02 00:51:28'),
	(353,'WOF035900004-WOB00005','WOG00395','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#07-scatter.png',0,'2024-07-02 00:51:28'),
	(354,'WOF035900004-WOB00005','WOG00395','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#07-scatter.html',0,'2024-07-02 00:51:28'),
	(355,'WOF035900004-WOB00005','WOG00396','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#08-scatter.png',0,'2024-07-02 00:51:28'),
	(356,'WOF035900004-WOB00005','WOG00396','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#08-scatter.html',0,'2024-07-02 00:51:28'),
	(357,'WOF035900004-WOB00005','WOG00397','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#09-scatter.png',0,'2024-07-02 00:51:28'),
	(358,'WOF035900004-WOB00005','WOG00397','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#09-scatter.html',0,'2024-07-02 00:51:28'),
	(359,'WOF035900004-WOB00005','WOG00398','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#10-scatter.png',0,'2024-07-02 00:51:28'),
	(360,'WOF035900004-WOB00005','WOG00398','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#10-scatter.html',0,'2024-07-02 00:51:28'),
	(361,'WOF035900004-WOB00005','WOG00399','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#11-scatter.png',0,'2024-07-02 00:51:28'),
	(362,'WOF035900004-WOB00005','WOG00399','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#11-scatter.html',0,'2024-07-02 00:51:28'),
	(363,'WOF035900004-WOB00005','WOG00400','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#12-scatter.png',0,'2024-07-02 00:51:28'),
	(364,'WOF035900004-WOB00005','WOG00400','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#12-scatter.html',0,'2024-07-02 00:51:28'),
	(365,'WOF035900004-WOB00005','WOG00401','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#13-scatter.png',0,'2024-07-02 00:51:28'),
	(366,'WOF035900004-WOB00005','WOG00401','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#13-scatter.html',0,'2024-07-02 00:51:28'),
	(367,'WOF035900004-WOB00005','WOG00402','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#14-scatter.png',0,'2024-07-02 00:51:28'),
	(368,'WOF035900004-WOB00005','WOG00402','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#14-scatter.html',0,'2024-07-02 00:51:28'),
	(369,'WOF035900004-WOB00005','WOG00403','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#15-scatter.png',0,'2024-07-02 00:51:28'),
	(370,'WOF035900004-WOB00005','WOG00403','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#15-scatter.html',0,'2024-07-02 00:51:28'),
	(371,'WOF035900004-WOB00005','WOG00404','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#16-scatter.png',0,'2024-07-02 00:51:28'),
	(372,'WOF035900004-WOB00005','WOG00404','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#16-scatter.html',0,'2024-07-02 00:51:28'),
	(373,'WOF035900004-WOB00005','WOG00405','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#17-scatter.png',0,'2024-07-02 00:51:28'),
	(374,'WOF035900004-WOB00005','WOG00405','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#17-scatter.html',0,'2024-07-02 00:51:28'),
	(375,'WOF035900004-WOB00005','WOG00406','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#18-scatter.png',0,'2024-07-02 00:51:28'),
	(376,'WOF035900004-WOB00005','WOG00406','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#18-scatter.html',0,'2024-07-02 00:51:28'),
	(377,'WOF035900004-WOB00005','WOG00407','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#19-scatter.png',0,'2024-07-02 00:51:28'),
	(378,'WOF035900004-WOB00005','WOG00407','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#19-scatter.html',0,'2024-07-02 00:51:28'),
	(379,'WOF035900004-WOB00005','WOG00408','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#20-scatter.png',0,'2024-07-02 00:51:28'),
	(380,'WOF035900004-WOB00005','WOG00408','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#20-scatter.html',0,'2024-07-02 00:51:28'),
	(381,'WOF035900004-WOB00005','WOG00409','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#21-scatter.png',0,'2024-07-02 00:51:28'),
	(382,'WOF035900004-WOB00005','WOG00409','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#21-scatter.html',0,'2024-07-02 00:51:28'),
	(383,'WOF035900004-WOB00005','WOG00410','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#22-scatter.png',0,'2024-07-02 00:51:28'),
	(384,'WOF035900004-WOB00005','WOG00410','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#22-scatter.html',0,'2024-07-02 00:51:28'),
	(385,'WOF035900004-WOB00005','WOG00411','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#23-scatter.png',0,'2024-07-02 00:51:28'),
	(386,'WOF035900004-WOB00005','WOG00411','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#23-scatter.html',0,'2024-07-02 00:51:28'),
	(387,'WOF035900004-WOB00005','WOG00412','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#24-scatter.png',0,'2024-07-02 00:51:28'),
	(388,'WOF035900004-WOB00005','WOG00412','power_scatter_2D','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter_2D/manual/#24-scatter.html',0,'2024-07-02 00:51:28'),
	(389,'WOF035900004-WOB00005','WOG00389','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#01.html',0,'2024-07-02 00:51:28'),
	(390,'WOF035900004-WOB00005','WOG00390','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#02.html',0,'2024-07-02 00:51:28'),
	(391,'WOF035900004-WOB00005','WOG00391','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#03.html',0,'2024-07-02 00:51:28'),
	(392,'WOF035900004-WOB00005','WOG00392','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#04.html',0,'2024-07-02 00:51:28'),
	(393,'WOF035900004-WOB00005','WOG00393','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#05.html',0,'2024-07-02 00:51:28'),
	(394,'WOF035900004-WOB00005','WOG00394','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#06.html',0,'2024-07-02 00:51:28'),
	(395,'WOF035900004-WOB00005','WOG00395','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#07.html',0,'2024-07-02 00:51:28'),
	(396,'WOF035900004-WOB00005','WOG00396','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#08.html',0,'2024-07-02 00:51:28'),
	(397,'WOF035900004-WOB00005','WOG00397','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#09.html',0,'2024-07-02 00:51:28'),
	(398,'WOF035900004-WOB00005','WOG00398','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#10.html',0,'2024-07-02 00:51:28'),
	(399,'WOF035900004-WOB00005','WOG00399','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#11.html',0,'2024-07-02 00:51:28'),
	(400,'WOF035900004-WOB00005','WOG00400','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#12.html',0,'2024-07-02 00:51:28'),
	(401,'WOF035900004-WOB00005','WOG00401','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#13.html',0,'2024-07-02 00:51:28'),
	(402,'WOF035900004-WOB00005','WOG00402','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#14.html',0,'2024-07-02 00:51:28'),
	(403,'WOF035900004-WOB00005','WOG00403','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#15.html',0,'2024-07-02 00:51:28'),
	(404,'WOF035900004-WOB00005','WOG00404','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#16.html',0,'2024-07-02 00:51:28'),
	(405,'WOF035900004-WOB00005','WOG00405','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#17.html',0,'2024-07-02 00:51:28'),
	(406,'WOF035900004-WOB00005','WOG00406','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#18.html',0,'2024-07-02 00:51:28'),
	(407,'WOF035900004-WOB00005','WOG00407','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#19.html',0,'2024-07-02 00:51:28'),
	(408,'WOF035900004-WOB00005','WOG00408','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#20.html',0,'2024-07-02 00:51:28'),
	(409,'WOF035900004-WOB00005','WOG00409','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#21.html',0,'2024-07-02 00:51:28'),
	(410,'WOF035900004-WOB00005','WOG00410','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#22.html',0,'2024-07-02 00:51:28'),
	(411,'WOF035900004-WOB00005','WOG00411','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#23.html',0,'2024-07-02 00:51:28'),
	(412,'WOF035900004-WOB00005','WOG00412','power_scatter','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/power_scatter/manual/#24.html',0,'2024-07-02 00:51:28'),
	(413,'WOF035900004-WOB00005','WOG00389','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#01.png',0,'2024-07-02 00:51:28'),
	(414,'WOF035900004-WOB00005','WOG00389','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#01.html',0,'2024-07-02 00:51:28'),
	(415,'WOF035900004-WOB00005','WOG00390','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#02.png',0,'2024-07-02 00:51:28'),
	(416,'WOF035900004-WOB00005','WOG00390','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#02.html',0,'2024-07-02 00:51:28'),
	(417,'WOF035900004-WOB00005','WOG00391','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#03.png',0,'2024-07-02 00:51:28'),
	(418,'WOF035900004-WOB00005','WOG00391','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#03.html',0,'2024-07-02 00:51:28'),
	(419,'WOF035900004-WOB00005','WOG00392','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#04.png',0,'2024-07-02 00:51:28'),
	(420,'WOF035900004-WOB00005','WOG00392','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#04.html',0,'2024-07-02 00:51:28'),
	(421,'WOF035900004-WOB00005','WOG00393','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#05.png',0,'2024-07-02 00:51:28'),
	(422,'WOF035900004-WOB00005','WOG00393','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#05.html',0,'2024-07-02 00:51:28'),
	(423,'WOF035900004-WOB00005','WOG00394','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#06.png',0,'2024-07-02 00:51:28'),
	(424,'WOF035900004-WOB00005','WOG00394','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#06.html',0,'2024-07-02 00:51:28'),
	(425,'WOF035900004-WOB00005','WOG00395','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#07.png',0,'2024-07-02 00:51:28'),
	(426,'WOF035900004-WOB00005','WOG00395','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#07.html',0,'2024-07-02 00:51:28'),
	(427,'WOF035900004-WOB00005','WOG00396','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#08.png',0,'2024-07-02 00:51:28'),
	(428,'WOF035900004-WOB00005','WOG00396','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#08.html',0,'2024-07-02 00:51:28'),
	(429,'WOF035900004-WOB00005','WOG00397','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#09.png',0,'2024-07-02 00:51:28'),
	(430,'WOF035900004-WOB00005','WOG00397','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#09.html',0,'2024-07-02 00:51:28'),
	(431,'WOF035900004-WOB00005','WOG00398','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#10.png',0,'2024-07-02 00:51:28'),
	(432,'WOF035900004-WOB00005','WOG00398','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#10.html',0,'2024-07-02 00:51:28'),
	(433,'WOF035900004-WOB00005','WOG00399','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#11.png',0,'2024-07-02 00:51:28'),
	(434,'WOF035900004-WOB00005','WOG00399','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#11.html',0,'2024-07-02 00:51:28'),
	(435,'WOF035900004-WOB00005','WOG00400','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#12.png',0,'2024-07-02 00:51:28'),
	(436,'WOF035900004-WOB00005','WOG00400','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#12.html',0,'2024-07-02 00:51:28'),
	(437,'WOF035900004-WOB00005','WOG00401','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#13.png',0,'2024-07-02 00:51:28'),
	(438,'WOF035900004-WOB00005','WOG00401','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#13.html',0,'2024-07-02 00:51:28'),
	(439,'WOF035900004-WOB00005','WOG00402','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#14.png',0,'2024-07-02 00:51:28'),
	(440,'WOF035900004-WOB00005','WOG00402','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#14.html',0,'2024-07-02 00:51:28'),
	(441,'WOF035900004-WOB00005','WOG00403','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#15.png',0,'2024-07-02 00:51:28'),
	(442,'WOF035900004-WOB00005','WOG00403','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#15.html',0,'2024-07-02 00:51:28'),
	(443,'WOF035900004-WOB00005','WOG00404','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#16.png',0,'2024-07-02 00:51:28'),
	(444,'WOF035900004-WOB00005','WOG00404','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#16.html',0,'2024-07-02 00:51:28'),
	(445,'WOF035900004-WOB00005','WOG00405','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#17.png',0,'2024-07-02 00:51:28'),
	(446,'WOF035900004-WOB00005','WOG00405','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#17.html',0,'2024-07-02 00:51:28'),
	(447,'WOF035900004-WOB00005','WOG00406','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#18.png',0,'2024-07-02 00:51:28'),
	(448,'WOF035900004-WOB00005','WOG00406','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#18.html',0,'2024-07-02 00:51:28'),
	(449,'WOF035900004-WOB00005','WOG00407','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#19.png',0,'2024-07-02 00:51:28'),
	(450,'WOF035900004-WOB00005','WOG00407','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#19.html',0,'2024-07-02 00:51:28'),
	(451,'WOF035900004-WOB00005','WOG00408','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#20.png',0,'2024-07-02 00:51:28'),
	(452,'WOF035900004-WOB00005','WOG00408','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#20.html',0,'2024-07-02 00:51:28'),
	(453,'WOF035900004-WOB00005','WOG00409','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#21.png',0,'2024-07-02 00:51:28'),
	(454,'WOF035900004-WOB00005','WOG00409','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#21.html',0,'2024-07-02 00:51:28'),
	(455,'WOF035900004-WOB00005','WOG00410','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#22.png',0,'2024-07-02 00:51:28'),
	(456,'WOF035900004-WOB00005','WOG00410','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#22.html',0,'2024-07-02 00:51:28'),
	(457,'WOF035900004-WOB00005','WOG00411','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#23.png',0,'2024-07-02 00:51:28'),
	(458,'WOF035900004-WOB00005','WOG00411','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#23.html',0,'2024-07-02 00:51:28'),
	(459,'WOF035900004-WOB00005','WOG00412','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#24.png',0,'2024-07-02 00:51:28'),
	(460,'WOF035900004-WOB00005','WOG00412','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#24.html',0,'2024-07-02 00:51:28'),
	(461,'WOF035900004-WOB00005','WOG00389','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#01_3D.html',0,'2024-07-02 00:51:28'),
	(462,'WOF035900004-WOB00005','WOG00390','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#02_3D.html',0,'2024-07-02 00:51:28'),
	(463,'WOF035900004-WOB00005','WOG00391','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#03_3D.html',0,'2024-07-02 00:51:28'),
	(464,'WOF035900004-WOB00005','WOG00392','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#04_3D.html',0,'2024-07-02 00:51:28'),
	(465,'WOF035900004-WOB00005','WOG00393','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#05_3D.html',0,'2024-07-02 00:51:28'),
	(466,'WOF035900004-WOB00005','WOG00394','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#06_3D.html',0,'2024-07-02 00:51:28'),
	(467,'WOF035900004-WOB00005','WOG00395','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#07_3D.html',0,'2024-07-02 00:51:28'),
	(468,'WOF035900004-WOB00005','WOG00396','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#08_3D.html',0,'2024-07-02 00:51:28'),
	(469,'WOF035900004-WOB00005','WOG00397','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#09_3D.html',0,'2024-07-02 00:51:28'),
	(470,'WOF035900004-WOB00005','WOG00398','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#10_3D.html',0,'2024-07-02 00:51:28'),
	(471,'WOF035900004-WOB00005','WOG00399','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#11_3D.html',0,'2024-07-02 00:51:28'),
	(472,'WOF035900004-WOB00005','WOG00400','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#12_3D.html',0,'2024-07-02 00:51:28'),
	(473,'WOF035900004-WOB00005','WOG00401','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#13_3D.html',0,'2024-07-02 00:51:28'),
	(474,'WOF035900004-WOB00005','WOG00402','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#14_3D.html',0,'2024-07-02 00:51:28'),
	(475,'WOF035900004-WOB00005','WOG00403','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#15_3D.html',0,'2024-07-02 00:51:28'),
	(476,'WOF035900004-WOB00005','WOG00404','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#16_3D.html',0,'2024-07-02 00:51:28'),
	(477,'WOF035900004-WOB00005','WOG00405','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#17_3D.html',0,'2024-07-02 00:51:28'),
	(478,'WOF035900004-WOB00005','WOG00406','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#18_3D.html',0,'2024-07-02 00:51:28'),
	(479,'WOF035900004-WOB00005','WOG00407','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#19_3D.html',0,'2024-07-02 00:51:28'),
	(480,'WOF035900004-WOB00005','WOG00408','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#20_3D.html',0,'2024-07-02 00:51:28'),
	(481,'WOF035900004-WOB00005','WOG00409','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#21_3D.html',0,'2024-07-02 00:51:28'),
	(482,'WOF035900004-WOB00005','WOG00410','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#22_3D.html',0,'2024-07-02 00:51:28'),
	(483,'WOF035900004-WOB00005','WOG00411','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#23_3D.html',0,'2024-07-02 00:51:28'),
	(484,'WOF035900004-WOB00005','WOG00412','speed_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_power/manual/#24_3D.html',0,'2024-07-02 00:51:28'),
	(485,'WOF035900004-WOB00005','WOG00389','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#01.png',0,'2024-07-02 00:51:28'),
	(486,'WOF035900004-WOB00005','WOG00389','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#01.html',0,'2024-07-02 00:51:28'),
	(487,'WOF035900004-WOB00005','WOG00390','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#02.png',0,'2024-07-02 00:51:28'),
	(488,'WOF035900004-WOB00005','WOG00390','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#02.html',0,'2024-07-02 00:51:28'),
	(489,'WOF035900004-WOB00005','WOG00391','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#03.png',0,'2024-07-02 00:51:28'),
	(490,'WOF035900004-WOB00005','WOG00391','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#03.html',0,'2024-07-02 00:51:28'),
	(491,'WOF035900004-WOB00005','WOG00392','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#04.png',0,'2024-07-02 00:51:28'),
	(492,'WOF035900004-WOB00005','WOG00392','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#04.html',0,'2024-07-02 00:51:28'),
	(493,'WOF035900004-WOB00005','WOG00393','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#05.png',0,'2024-07-02 00:51:28'),
	(494,'WOF035900004-WOB00005','WOG00393','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#05.html',0,'2024-07-02 00:51:28'),
	(495,'WOF035900004-WOB00005','WOG00394','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#06.png',0,'2024-07-02 00:51:28'),
	(496,'WOF035900004-WOB00005','WOG00394','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#06.html',0,'2024-07-02 00:51:28'),
	(497,'WOF035900004-WOB00005','WOG00395','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#07.png',0,'2024-07-02 00:51:28'),
	(498,'WOF035900004-WOB00005','WOG00395','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#07.html',0,'2024-07-02 00:51:28'),
	(499,'WOF035900004-WOB00005','WOG00396','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#08.png',0,'2024-07-02 00:51:28'),
	(500,'WOF035900004-WOB00005','WOG00396','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#08.html',0,'2024-07-02 00:51:28'),
	(501,'WOF035900004-WOB00005','WOG00397','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#09.png',0,'2024-07-02 00:51:28'),
	(502,'WOF035900004-WOB00005','WOG00397','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#09.html',0,'2024-07-02 00:51:28'),
	(503,'WOF035900004-WOB00005','WOG00398','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#10.png',0,'2024-07-02 00:51:28'),
	(504,'WOF035900004-WOB00005','WOG00398','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#10.html',0,'2024-07-02 00:51:28'),
	(505,'WOF035900004-WOB00005','WOG00399','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#11.png',0,'2024-07-02 00:51:28'),
	(506,'WOF035900004-WOB00005','WOG00399','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#11.html',0,'2024-07-02 00:51:28'),
	(507,'WOF035900004-WOB00005','WOG00400','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#12.png',0,'2024-07-02 00:51:28'),
	(508,'WOF035900004-WOB00005','WOG00400','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#12.html',0,'2024-07-02 00:51:28'),
	(509,'WOF035900004-WOB00005','WOG00401','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#13.png',0,'2024-07-02 00:51:28'),
	(510,'WOF035900004-WOB00005','WOG00401','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#13.html',0,'2024-07-02 00:51:28'),
	(511,'WOF035900004-WOB00005','WOG00402','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#14.png',0,'2024-07-02 00:51:28'),
	(512,'WOF035900004-WOB00005','WOG00402','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#14.html',0,'2024-07-02 00:51:28'),
	(513,'WOF035900004-WOB00005','WOG00403','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#15.png',0,'2024-07-02 00:51:28'),
	(514,'WOF035900004-WOB00005','WOG00403','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#15.html',0,'2024-07-02 00:51:28'),
	(515,'WOF035900004-WOB00005','WOG00404','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#16.png',0,'2024-07-02 00:51:28'),
	(516,'WOF035900004-WOB00005','WOG00404','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#16.html',0,'2024-07-02 00:51:28'),
	(517,'WOF035900004-WOB00005','WOG00405','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#17.png',0,'2024-07-02 00:51:28'),
	(518,'WOF035900004-WOB00005','WOG00405','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#17.html',0,'2024-07-02 00:51:28'),
	(519,'WOF035900004-WOB00005','WOG00406','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#18.png',0,'2024-07-02 00:51:28'),
	(520,'WOF035900004-WOB00005','WOG00406','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#18.html',0,'2024-07-02 00:51:28'),
	(521,'WOF035900004-WOB00005','WOG00407','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#19.png',0,'2024-07-02 00:51:28'),
	(522,'WOF035900004-WOB00005','WOG00407','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#19.html',0,'2024-07-02 00:51:28'),
	(523,'WOF035900004-WOB00005','WOG00408','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#20.png',0,'2024-07-02 00:51:28'),
	(524,'WOF035900004-WOB00005','WOG00408','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#20.html',0,'2024-07-02 00:51:28'),
	(525,'WOF035900004-WOB00005','WOG00409','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#21.png',0,'2024-07-02 00:51:28'),
	(526,'WOF035900004-WOB00005','WOG00409','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#21.html',0,'2024-07-02 00:51:28'),
	(527,'WOF035900004-WOB00005','WOG00410','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#22.png',0,'2024-07-02 00:51:28'),
	(528,'WOF035900004-WOB00005','WOG00410','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#22.html',0,'2024-07-02 00:51:28'),
	(529,'WOF035900004-WOB00005','WOG00411','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#23.png',0,'2024-07-02 00:51:28'),
	(530,'WOF035900004-WOB00005','WOG00411','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#23.html',0,'2024-07-02 00:51:28'),
	(531,'WOF035900004-WOB00005','WOG00412','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#24.png',0,'2024-07-02 00:51:28'),
	(532,'WOF035900004-WOB00005','WOG00412','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#24.html',0,'2024-07-02 00:51:28'),
	(533,'WOF035900004-WOB00005','WOG00389','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#01_3D.html',0,'2024-07-02 00:51:28'),
	(534,'WOF035900004-WOB00005','WOG00390','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#02_3D.html',0,'2024-07-02 00:51:28'),
	(535,'WOF035900004-WOB00005','WOG00391','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#03_3D.html',0,'2024-07-02 00:51:28'),
	(536,'WOF035900004-WOB00005','WOG00392','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#04_3D.html',0,'2024-07-02 00:51:28'),
	(537,'WOF035900004-WOB00005','WOG00393','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#05_3D.html',0,'2024-07-02 00:51:28'),
	(538,'WOF035900004-WOB00005','WOG00394','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#06_3D.html',0,'2024-07-02 00:51:28'),
	(539,'WOF035900004-WOB00005','WOG00395','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#07_3D.html',0,'2024-07-02 00:51:28'),
	(540,'WOF035900004-WOB00005','WOG00396','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#08_3D.html',0,'2024-07-02 00:51:28'),
	(541,'WOF035900004-WOB00005','WOG00397','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#09_3D.html',0,'2024-07-02 00:51:28'),
	(542,'WOF035900004-WOB00005','WOG00398','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#10_3D.html',0,'2024-07-02 00:51:28'),
	(543,'WOF035900004-WOB00005','WOG00399','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#11_3D.html',0,'2024-07-02 00:51:28'),
	(544,'WOF035900004-WOB00005','WOG00400','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#12_3D.html',0,'2024-07-02 00:51:28'),
	(545,'WOF035900004-WOB00005','WOG00401','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#13_3D.html',0,'2024-07-02 00:51:28'),
	(546,'WOF035900004-WOB00005','WOG00402','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#14_3D.html',0,'2024-07-02 00:51:28'),
	(547,'WOF035900004-WOB00005','WOG00403','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#15_3D.html',0,'2024-07-02 00:51:28'),
	(548,'WOF035900004-WOB00005','WOG00404','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#16_3D.html',0,'2024-07-02 00:51:28'),
	(549,'WOF035900004-WOB00005','WOG00405','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#17_3D.html',0,'2024-07-02 00:51:28'),
	(550,'WOF035900004-WOB00005','WOG00406','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#18_3D.html',0,'2024-07-02 00:51:28'),
	(551,'WOF035900004-WOB00005','WOG00407','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#19_3D.html',0,'2024-07-02 00:51:28'),
	(552,'WOF035900004-WOB00005','WOG00408','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#20_3D.html',0,'2024-07-02 00:51:28'),
	(553,'WOF035900004-WOB00005','WOG00409','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#21_3D.html',0,'2024-07-02 00:51:28'),
	(554,'WOF035900004-WOB00005','WOG00410','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#22_3D.html',0,'2024-07-02 00:51:28'),
	(555,'WOF035900004-WOB00005','WOG00411','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#23_3D.html',0,'2024-07-02 00:51:28'),
	(556,'WOF035900004-WOB00005','WOG00412','speed_torque','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/speed_torque/manual/#24_3D.html',0,'2024-07-02 00:51:28'),
	(557,'WOF035900004-WOB00005','WOG00389','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#01.png',0,'2024-07-02 00:51:28'),
	(558,'WOF035900004-WOB00005','WOG00389','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#01.html',0,'2024-07-02 00:51:28'),
	(559,'WOF035900004-WOB00005','WOG00390','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#02.png',0,'2024-07-02 00:51:28'),
	(560,'WOF035900004-WOB00005','WOG00390','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#02.html',0,'2024-07-02 00:51:28'),
	(561,'WOF035900004-WOB00005','WOG00391','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#03.png',0,'2024-07-02 00:51:28'),
	(562,'WOF035900004-WOB00005','WOG00391','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#03.html',0,'2024-07-02 00:51:28'),
	(563,'WOF035900004-WOB00005','WOG00392','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#04.png',0,'2024-07-02 00:51:28'),
	(564,'WOF035900004-WOB00005','WOG00392','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#04.html',0,'2024-07-02 00:51:28'),
	(565,'WOF035900004-WOB00005','WOG00393','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#05.png',0,'2024-07-02 00:51:28'),
	(566,'WOF035900004-WOB00005','WOG00393','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#05.html',0,'2024-07-02 00:51:28'),
	(567,'WOF035900004-WOB00005','WOG00394','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#06.png',0,'2024-07-02 00:51:28'),
	(568,'WOF035900004-WOB00005','WOG00394','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#06.html',0,'2024-07-02 00:51:28'),
	(569,'WOF035900004-WOB00005','WOG00395','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#07.png',0,'2024-07-02 00:51:28'),
	(570,'WOF035900004-WOB00005','WOG00395','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#07.html',0,'2024-07-02 00:51:28'),
	(571,'WOF035900004-WOB00005','WOG00396','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#08.png',0,'2024-07-02 00:51:28'),
	(572,'WOF035900004-WOB00005','WOG00396','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#08.html',0,'2024-07-02 00:51:28'),
	(573,'WOF035900004-WOB00005','WOG00397','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#09.png',0,'2024-07-02 00:51:28'),
	(574,'WOF035900004-WOB00005','WOG00397','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#09.html',0,'2024-07-02 00:51:28'),
	(575,'WOF035900004-WOB00005','WOG00398','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#10.png',0,'2024-07-02 00:51:28'),
	(576,'WOF035900004-WOB00005','WOG00398','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#10.html',0,'2024-07-02 00:51:28'),
	(577,'WOF035900004-WOB00005','WOG00399','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#11.png',0,'2024-07-02 00:51:28'),
	(578,'WOF035900004-WOB00005','WOG00399','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#11.html',0,'2024-07-02 00:51:28'),
	(579,'WOF035900004-WOB00005','WOG00400','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#12.png',0,'2024-07-02 00:51:28'),
	(580,'WOF035900004-WOB00005','WOG00400','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#12.html',0,'2024-07-02 00:51:28'),
	(581,'WOF035900004-WOB00005','WOG00401','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#13.png',0,'2024-07-02 00:51:28'),
	(582,'WOF035900004-WOB00005','WOG00401','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#13.html',0,'2024-07-02 00:51:28'),
	(583,'WOF035900004-WOB00005','WOG00402','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#14.png',0,'2024-07-02 00:51:28'),
	(584,'WOF035900004-WOB00005','WOG00402','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#14.html',0,'2024-07-02 00:51:28'),
	(585,'WOF035900004-WOB00005','WOG00403','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#15.png',0,'2024-07-02 00:51:28'),
	(586,'WOF035900004-WOB00005','WOG00403','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#15.html',0,'2024-07-02 00:51:28'),
	(587,'WOF035900004-WOB00005','WOG00404','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#16.png',0,'2024-07-02 00:51:28'),
	(588,'WOF035900004-WOB00005','WOG00404','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#16.html',0,'2024-07-02 00:51:28'),
	(589,'WOF035900004-WOB00005','WOG00405','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#17.png',0,'2024-07-02 00:51:28'),
	(590,'WOF035900004-WOB00005','WOG00405','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#17.html',0,'2024-07-02 00:51:28'),
	(591,'WOF035900004-WOB00005','WOG00406','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#18.png',0,'2024-07-02 00:51:28'),
	(592,'WOF035900004-WOB00005','WOG00406','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#18.html',0,'2024-07-02 00:51:28'),
	(593,'WOF035900004-WOB00005','WOG00407','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#19.png',0,'2024-07-02 00:51:28'),
	(594,'WOF035900004-WOB00005','WOG00407','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#19.html',0,'2024-07-02 00:51:28'),
	(595,'WOF035900004-WOB00005','WOG00408','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#20.png',0,'2024-07-02 00:51:28'),
	(596,'WOF035900004-WOB00005','WOG00408','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#20.html',0,'2024-07-02 00:51:28'),
	(597,'WOF035900004-WOB00005','WOG00409','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#21.png',0,'2024-07-02 00:51:28'),
	(598,'WOF035900004-WOB00005','WOG00409','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#21.html',0,'2024-07-02 00:51:28'),
	(599,'WOF035900004-WOB00005','WOG00410','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#22.png',0,'2024-07-02 00:51:28'),
	(600,'WOF035900004-WOB00005','WOG00410','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#22.html',0,'2024-07-02 00:51:28'),
	(601,'WOF035900004-WOB00005','WOG00411','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#23.png',0,'2024-07-02 00:51:28'),
	(602,'WOF035900004-WOB00005','WOG00411','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#23.html',0,'2024-07-02 00:51:28'),
	(603,'WOF035900004-WOB00005','WOG00412','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#24.png',0,'2024-07-02 00:51:28'),
	(604,'WOF035900004-WOB00005','WOG00412','pitch_generator_speed','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_generator_speed/manual/#24.html',0,'2024-07-02 00:51:28'),
	(605,'WOF035900004-WOB00005','WOG00389','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#01.png',0,'2024-07-02 00:51:28'),
	(606,'WOF035900004-WOB00005','WOG00389','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#01.html',0,'2024-07-02 00:51:28'),
	(607,'WOF035900004-WOB00005','WOG00390','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#02.png',0,'2024-07-02 00:51:28'),
	(608,'WOF035900004-WOB00005','WOG00390','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#02.html',0,'2024-07-02 00:51:28'),
	(609,'WOF035900004-WOB00005','WOG00391','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#03.png',0,'2024-07-02 00:51:28'),
	(610,'WOF035900004-WOB00005','WOG00391','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#03.html',0,'2024-07-02 00:51:28'),
	(611,'WOF035900004-WOB00005','WOG00392','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#04.png',0,'2024-07-02 00:51:28'),
	(612,'WOF035900004-WOB00005','WOG00392','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#04.html',0,'2024-07-02 00:51:28'),
	(613,'WOF035900004-WOB00005','WOG00393','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#05.png',0,'2024-07-02 00:51:28'),
	(614,'WOF035900004-WOB00005','WOG00393','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#05.html',0,'2024-07-02 00:51:28'),
	(615,'WOF035900004-WOB00005','WOG00394','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#06.png',0,'2024-07-02 00:51:28'),
	(616,'WOF035900004-WOB00005','WOG00394','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#06.html',0,'2024-07-02 00:51:28'),
	(617,'WOF035900004-WOB00005','WOG00395','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#07.png',0,'2024-07-02 00:51:28'),
	(618,'WOF035900004-WOB00005','WOG00395','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#07.html',0,'2024-07-02 00:51:28'),
	(619,'WOF035900004-WOB00005','WOG00396','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#08.png',0,'2024-07-02 00:51:28'),
	(620,'WOF035900004-WOB00005','WOG00396','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#08.html',0,'2024-07-02 00:51:28'),
	(621,'WOF035900004-WOB00005','WOG00397','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#09.png',0,'2024-07-02 00:51:28'),
	(622,'WOF035900004-WOB00005','WOG00397','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#09.html',0,'2024-07-02 00:51:28'),
	(623,'WOF035900004-WOB00005','WOG00398','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#10.png',0,'2024-07-02 00:51:28'),
	(624,'WOF035900004-WOB00005','WOG00398','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#10.html',0,'2024-07-02 00:51:28'),
	(625,'WOF035900004-WOB00005','WOG00399','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#11.png',0,'2024-07-02 00:51:28'),
	(626,'WOF035900004-WOB00005','WOG00399','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#11.html',0,'2024-07-02 00:51:28'),
	(627,'WOF035900004-WOB00005','WOG00400','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#12.png',0,'2024-07-02 00:51:28'),
	(628,'WOF035900004-WOB00005','WOG00400','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#12.html',0,'2024-07-02 00:51:28'),
	(629,'WOF035900004-WOB00005','WOG00401','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#13.png',0,'2024-07-02 00:51:28'),
	(630,'WOF035900004-WOB00005','WOG00401','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#13.html',0,'2024-07-02 00:51:28'),
	(631,'WOF035900004-WOB00005','WOG00402','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#14.png',0,'2024-07-02 00:51:28'),
	(632,'WOF035900004-WOB00005','WOG00402','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#14.html',0,'2024-07-02 00:51:28'),
	(633,'WOF035900004-WOB00005','WOG00403','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#15.png',0,'2024-07-02 00:51:28'),
	(634,'WOF035900004-WOB00005','WOG00403','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#15.html',0,'2024-07-02 00:51:28'),
	(635,'WOF035900004-WOB00005','WOG00404','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#16.png',0,'2024-07-02 00:51:28'),
	(636,'WOF035900004-WOB00005','WOG00404','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#16.html',0,'2024-07-02 00:51:28'),
	(637,'WOF035900004-WOB00005','WOG00405','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#17.png',0,'2024-07-02 00:51:28'),
	(638,'WOF035900004-WOB00005','WOG00405','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#17.html',0,'2024-07-02 00:51:28'),
	(639,'WOF035900004-WOB00005','WOG00406','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#18.png',0,'2024-07-02 00:51:28'),
	(640,'WOF035900004-WOB00005','WOG00406','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#18.html',0,'2024-07-02 00:51:28'),
	(641,'WOF035900004-WOB00005','WOG00407','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#19.png',0,'2024-07-02 00:51:28'),
	(642,'WOF035900004-WOB00005','WOG00407','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#19.html',0,'2024-07-02 00:51:28'),
	(643,'WOF035900004-WOB00005','WOG00408','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#20.png',0,'2024-07-02 00:51:28'),
	(644,'WOF035900004-WOB00005','WOG00408','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#20.html',0,'2024-07-02 00:51:28'),
	(645,'WOF035900004-WOB00005','WOG00409','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#21.png',0,'2024-07-02 00:51:28'),
	(646,'WOF035900004-WOB00005','WOG00409','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#21.html',0,'2024-07-02 00:51:28'),
	(647,'WOF035900004-WOB00005','WOG00410','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#22.png',0,'2024-07-02 00:51:28'),
	(648,'WOF035900004-WOB00005','WOG00410','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#22.html',0,'2024-07-02 00:51:28'),
	(649,'WOF035900004-WOB00005','WOG00411','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#23.png',0,'2024-07-02 00:51:28'),
	(650,'WOF035900004-WOB00005','WOG00411','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#23.html',0,'2024-07-02 00:51:28'),
	(651,'WOF035900004-WOB00005','WOG00412','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#24.png',0,'2024-07-02 00:51:28'),
	(652,'WOF035900004-WOB00005','WOG00412','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#24.html',0,'2024-07-02 00:51:28'),
	(653,'WOF035900004-WOB00005','WOG00389','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#01_3D.html',0,'2024-07-02 00:51:28'),
	(654,'WOF035900004-WOB00005','WOG00390','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#02_3D.html',0,'2024-07-02 00:51:28'),
	(655,'WOF035900004-WOB00005','WOG00391','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#03_3D.html',0,'2024-07-02 00:51:28'),
	(656,'WOF035900004-WOB00005','WOG00392','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#04_3D.html',0,'2024-07-02 00:51:28'),
	(657,'WOF035900004-WOB00005','WOG00393','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#05_3D.html',0,'2024-07-02 00:51:28'),
	(658,'WOF035900004-WOB00005','WOG00394','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#06_3D.html',0,'2024-07-02 00:51:28'),
	(659,'WOF035900004-WOB00005','WOG00395','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#07_3D.html',0,'2024-07-02 00:51:28'),
	(660,'WOF035900004-WOB00005','WOG00396','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#08_3D.html',0,'2024-07-02 00:51:28'),
	(661,'WOF035900004-WOB00005','WOG00397','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#09_3D.html',0,'2024-07-02 00:51:28'),
	(662,'WOF035900004-WOB00005','WOG00398','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#10_3D.html',0,'2024-07-02 00:51:28'),
	(663,'WOF035900004-WOB00005','WOG00399','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#11_3D.html',0,'2024-07-02 00:51:28'),
	(664,'WOF035900004-WOB00005','WOG00400','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#12_3D.html',0,'2024-07-02 00:51:28'),
	(665,'WOF035900004-WOB00005','WOG00401','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#13_3D.html',0,'2024-07-02 00:51:28'),
	(666,'WOF035900004-WOB00005','WOG00402','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#14_3D.html',0,'2024-07-02 00:51:28'),
	(667,'WOF035900004-WOB00005','WOG00403','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#15_3D.html',0,'2024-07-02 00:51:28'),
	(668,'WOF035900004-WOB00005','WOG00404','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#16_3D.html',0,'2024-07-02 00:51:28'),
	(669,'WOF035900004-WOB00005','WOG00405','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#17_3D.html',0,'2024-07-02 00:51:28'),
	(670,'WOF035900004-WOB00005','WOG00406','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#18_3D.html',0,'2024-07-02 00:51:28'),
	(671,'WOF035900004-WOB00005','WOG00407','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#19_3D.html',0,'2024-07-02 00:51:28'),
	(672,'WOF035900004-WOB00005','WOG00408','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#20_3D.html',0,'2024-07-02 00:51:28'),
	(673,'WOF035900004-WOB00005','WOG00409','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#21_3D.html',0,'2024-07-02 00:51:28'),
	(674,'WOF035900004-WOB00005','WOG00410','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#22_3D.html',0,'2024-07-02 00:51:28'),
	(675,'WOF035900004-WOB00005','WOG00411','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#23_3D.html',0,'2024-07-02 00:51:28'),
	(676,'WOF035900004-WOB00005','WOG00412','pitch_power','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/pitch_power/manual/#24_3D.html',0,'2024-07-02 00:51:28'),
	(677,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#01.png',0,'2024-07-02 00:51:28'),
	(678,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#01.html',0,'2024-07-02 00:51:28'),
	(679,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#01.png',0,'2024-07-02 00:51:28'),
	(680,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#01.html',0,'2024-07-02 00:51:28'),
	(681,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#02.png',0,'2024-07-02 00:51:28'),
	(682,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#02.html',0,'2024-07-02 00:51:28'),
	(683,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#02.png',0,'2024-07-02 00:51:28'),
	(684,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#02.html',0,'2024-07-02 00:51:28'),
	(685,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#03.png',0,'2024-07-02 00:51:28'),
	(686,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#03.html',0,'2024-07-02 00:51:28'),
	(687,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#03.png',0,'2024-07-02 00:51:28'),
	(688,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#03.html',0,'2024-07-02 00:51:28'),
	(689,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#04.png',0,'2024-07-02 00:51:28'),
	(690,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#04.html',0,'2024-07-02 00:51:28'),
	(691,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#04.png',0,'2024-07-02 00:51:28'),
	(692,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#04.html',0,'2024-07-02 00:51:28'),
	(693,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#05.png',0,'2024-07-02 00:51:28'),
	(694,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#05.html',0,'2024-07-02 00:51:28'),
	(695,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#05.png',0,'2024-07-02 00:51:28'),
	(696,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#05.html',0,'2024-07-02 00:51:28'),
	(697,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#06.png',0,'2024-07-02 00:51:28'),
	(698,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#06.html',0,'2024-07-02 00:51:28'),
	(699,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#06.png',0,'2024-07-02 00:51:28'),
	(700,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#06.html',0,'2024-07-02 00:51:28'),
	(701,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#07.png',0,'2024-07-02 00:51:28'),
	(702,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#07.html',0,'2024-07-02 00:51:28'),
	(703,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#07.png',0,'2024-07-02 00:51:28'),
	(704,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#07.html',0,'2024-07-02 00:51:28'),
	(705,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#08.png',0,'2024-07-02 00:51:28'),
	(706,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#08.html',0,'2024-07-02 00:51:28'),
	(707,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#08.png',0,'2024-07-02 00:51:28'),
	(708,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#08.html',0,'2024-07-02 00:51:28'),
	(709,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#09.png',0,'2024-07-02 00:51:28'),
	(710,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#09.html',0,'2024-07-02 00:51:28'),
	(711,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#09.png',0,'2024-07-02 00:51:28'),
	(712,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#09.html',0,'2024-07-02 00:51:28'),
	(713,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#10.png',0,'2024-07-02 00:51:28'),
	(714,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#10.html',0,'2024-07-02 00:51:28'),
	(715,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#10.png',0,'2024-07-02 00:51:28'),
	(716,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#10.html',0,'2024-07-02 00:51:28'),
	(717,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#11.png',0,'2024-07-02 00:51:28'),
	(718,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#11.html',0,'2024-07-02 00:51:28'),
	(719,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#11.png',0,'2024-07-02 00:51:28'),
	(720,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#11.html',0,'2024-07-02 00:51:28'),
	(721,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#12.png',0,'2024-07-02 00:51:28'),
	(722,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#12.html',0,'2024-07-02 00:51:28'),
	(723,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#12.png',0,'2024-07-02 00:51:28'),
	(724,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#12.html',0,'2024-07-02 00:51:28'),
	(725,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#13.png',0,'2024-07-02 00:51:28'),
	(726,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#13.html',0,'2024-07-02 00:51:28'),
	(727,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#13.png',0,'2024-07-02 00:51:28'),
	(728,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#13.html',0,'2024-07-02 00:51:28'),
	(729,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#14.png',0,'2024-07-02 00:51:28'),
	(730,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#14.html',0,'2024-07-02 00:51:28'),
	(731,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#14.png',0,'2024-07-02 00:51:28'),
	(732,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#14.html',0,'2024-07-02 00:51:28'),
	(733,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#15.png',0,'2024-07-02 00:51:28'),
	(734,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#15.html',0,'2024-07-02 00:51:28'),
	(735,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#15.png',0,'2024-07-02 00:51:28'),
	(736,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#15.html',0,'2024-07-02 00:51:28'),
	(737,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#16.png',0,'2024-07-02 00:51:28'),
	(738,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#16.html',0,'2024-07-02 00:51:28'),
	(739,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#16.png',0,'2024-07-02 00:51:28'),
	(740,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#16.html',0,'2024-07-02 00:51:28'),
	(741,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#17.png',0,'2024-07-02 00:51:28'),
	(742,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#17.html',0,'2024-07-02 00:51:28'),
	(743,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-02 00:51:28'),
	(744,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-02 00:51:28'),
	(745,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#18.png',0,'2024-07-02 00:51:28'),
	(746,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#18.html',0,'2024-07-02 00:51:28'),
	(747,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#18.png',0,'2024-07-02 00:51:28'),
	(748,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#18.html',0,'2024-07-02 00:51:28'),
	(749,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#19.png',0,'2024-07-02 00:51:28'),
	(750,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#19.html',0,'2024-07-02 00:51:28'),
	(751,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#19.png',0,'2024-07-02 00:51:28'),
	(752,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#19.html',0,'2024-07-02 00:51:28'),
	(753,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#20.png',0,'2024-07-02 00:51:28'),
	(754,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#20.html',0,'2024-07-02 00:51:28'),
	(755,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#20.png',0,'2024-07-02 00:51:28'),
	(756,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#20.html',0,'2024-07-02 00:51:28'),
	(757,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#21.png',0,'2024-07-02 00:51:28'),
	(758,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#21.html',0,'2024-07-02 00:51:28'),
	(759,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#21.png',0,'2024-07-02 00:51:28'),
	(760,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#21.html',0,'2024-07-02 00:51:28'),
	(761,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#22.png',0,'2024-07-02 00:51:28'),
	(762,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#22.html',0,'2024-07-02 00:51:28'),
	(763,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#22.png',0,'2024-07-02 00:51:28'),
	(764,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#22.html',0,'2024-07-02 00:51:28'),
	(765,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#23.png',0,'2024-07-02 00:51:28'),
	(766,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#23.html',0,'2024-07-02 00:51:28'),
	(767,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#23.png',0,'2024-07-02 00:51:28'),
	(768,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#23.html',0,'2024-07-02 00:51:28'),
	(769,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#24.png',0,'2024-07-02 00:51:28'),
	(770,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/#24.html',0,'2024-07-02 00:51:28'),
	(771,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-02 00:51:28'),
	(772,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-02 00:51:28'),
	(773,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#01.png',0,'2024-07-02 00:51:28'),
	(774,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#01.html',0,'2024-07-02 00:51:28'),
	(775,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#01.png',0,'2024-07-02 00:51:28'),
	(776,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#01.html',0,'2024-07-02 00:51:28'),
	(777,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#02.png',0,'2024-07-02 00:51:28'),
	(778,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#02.html',0,'2024-07-02 00:51:28'),
	(779,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#02.png',0,'2024-07-02 00:51:28'),
	(780,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#02.html',0,'2024-07-02 00:51:28'),
	(781,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#03.png',0,'2024-07-02 00:51:28'),
	(782,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#03.html',0,'2024-07-02 00:51:28'),
	(783,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#03.png',0,'2024-07-02 00:51:28'),
	(784,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#03.html',0,'2024-07-02 00:51:28'),
	(785,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#04.png',0,'2024-07-02 00:51:28'),
	(786,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#04.html',0,'2024-07-02 00:51:28'),
	(787,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#04.png',0,'2024-07-02 00:51:28'),
	(788,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#04.html',0,'2024-07-02 00:51:28'),
	(789,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#05.png',0,'2024-07-02 00:51:28'),
	(790,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#05.html',0,'2024-07-02 00:51:28'),
	(791,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#05.png',0,'2024-07-02 00:51:28'),
	(792,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#05.html',0,'2024-07-02 00:51:28'),
	(793,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#06.png',0,'2024-07-02 00:51:28'),
	(794,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#06.html',0,'2024-07-02 00:51:28'),
	(795,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#06.png',0,'2024-07-02 00:51:28'),
	(796,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#06.html',0,'2024-07-02 00:51:28'),
	(797,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#07.png',0,'2024-07-02 00:51:28'),
	(798,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#07.html',0,'2024-07-02 00:51:28'),
	(799,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#07.png',0,'2024-07-02 00:51:28'),
	(800,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#07.html',0,'2024-07-02 00:51:28'),
	(801,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#08.png',0,'2024-07-02 00:51:28'),
	(802,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#08.html',0,'2024-07-02 00:51:28'),
	(803,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#08.png',0,'2024-07-02 00:51:28'),
	(804,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#08.html',0,'2024-07-02 00:51:28'),
	(805,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#09.png',0,'2024-07-02 00:51:28'),
	(806,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#09.html',0,'2024-07-02 00:51:28'),
	(807,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#09.png',0,'2024-07-02 00:51:28'),
	(808,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#09.html',0,'2024-07-02 00:51:28'),
	(809,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#10.png',0,'2024-07-02 00:51:28'),
	(810,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#10.html',0,'2024-07-02 00:51:28'),
	(811,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#10.png',0,'2024-07-02 00:51:28'),
	(812,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#10.html',0,'2024-07-02 00:51:28'),
	(813,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#11.png',0,'2024-07-02 00:51:28'),
	(814,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#11.html',0,'2024-07-02 00:51:28'),
	(815,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#11.png',0,'2024-07-02 00:51:28'),
	(816,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#11.html',0,'2024-07-02 00:51:28'),
	(817,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#12.png',0,'2024-07-02 00:51:28'),
	(818,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#12.html',0,'2024-07-02 00:51:28'),
	(819,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#12.png',0,'2024-07-02 00:51:28'),
	(820,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#12.html',0,'2024-07-02 00:51:28'),
	(821,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#13.png',0,'2024-07-02 00:51:28'),
	(822,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#13.html',0,'2024-07-02 00:51:28'),
	(823,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#13.png',0,'2024-07-02 00:51:28'),
	(824,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#13.html',0,'2024-07-02 00:51:28'),
	(825,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#14.png',0,'2024-07-02 00:51:28'),
	(826,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#14.html',0,'2024-07-02 00:51:28'),
	(827,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#14.png',0,'2024-07-02 00:51:28'),
	(828,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#14.html',0,'2024-07-02 00:51:28'),
	(829,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#15.png',0,'2024-07-02 00:51:28'),
	(830,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#15.html',0,'2024-07-02 00:51:28'),
	(831,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#15.png',0,'2024-07-02 00:51:28'),
	(832,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#15.html',0,'2024-07-02 00:51:28'),
	(833,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#16.png',0,'2024-07-02 00:51:28'),
	(834,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#16.html',0,'2024-07-02 00:51:28'),
	(835,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#16.png',0,'2024-07-02 00:51:28'),
	(836,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#16.html',0,'2024-07-02 00:51:28'),
	(837,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#17.png',0,'2024-07-02 00:51:28'),
	(838,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#17.html',0,'2024-07-02 00:51:28'),
	(839,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-02 00:51:28'),
	(840,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-02 00:51:28'),
	(841,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#18.png',0,'2024-07-02 00:51:28'),
	(842,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#18.html',0,'2024-07-02 00:51:28'),
	(843,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#18.png',0,'2024-07-02 00:51:28'),
	(844,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#18.html',0,'2024-07-02 00:51:28'),
	(845,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#19.png',0,'2024-07-02 00:51:28'),
	(846,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#19.html',0,'2024-07-02 00:51:28'),
	(847,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#19.png',0,'2024-07-02 00:51:28'),
	(848,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#19.html',0,'2024-07-02 00:51:28'),
	(849,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#20.png',0,'2024-07-02 00:51:28'),
	(850,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#20.html',0,'2024-07-02 00:51:28'),
	(851,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#20.png',0,'2024-07-02 00:51:28'),
	(852,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#20.html',0,'2024-07-02 00:51:28'),
	(853,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#21.png',0,'2024-07-02 00:51:28'),
	(854,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#21.html',0,'2024-07-02 00:51:28'),
	(855,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#21.png',0,'2024-07-02 00:51:28'),
	(856,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#21.html',0,'2024-07-02 00:51:28'),
	(857,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#22.png',0,'2024-07-02 00:51:28'),
	(858,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#22.html',0,'2024-07-02 00:51:28'),
	(859,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#22.png',0,'2024-07-02 00:51:28'),
	(860,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#22.html',0,'2024-07-02 00:51:28'),
	(861,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#23.png',0,'2024-07-02 00:51:28'),
	(862,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#23.html',0,'2024-07-02 00:51:28'),
	(863,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#23.png',0,'2024-07-02 00:51:28'),
	(864,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#23.html',0,'2024-07-02 00:51:28'),
	(865,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#24.png',0,'2024-07-02 00:51:28'),
	(866,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/#24.html',0,'2024-07-02 00:51:28'),
	(867,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-02 00:51:28'),
	(868,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-02 00:51:28'),
	(869,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#01.png',0,'2024-07-02 00:51:28'),
	(870,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#01.html',0,'2024-07-02 00:51:28'),
	(871,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#01.png',0,'2024-07-02 00:51:28'),
	(872,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#01.html',0,'2024-07-02 00:51:28'),
	(873,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#02.png',0,'2024-07-02 00:51:28'),
	(874,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#02.html',0,'2024-07-02 00:51:28'),
	(875,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#02.png',0,'2024-07-02 00:51:28'),
	(876,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#02.html',0,'2024-07-02 00:51:28'),
	(877,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#03.png',0,'2024-07-02 00:51:28'),
	(878,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#03.html',0,'2024-07-02 00:51:28'),
	(879,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#03.png',0,'2024-07-02 00:51:28'),
	(880,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#03.html',0,'2024-07-02 00:51:28'),
	(881,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#04.png',0,'2024-07-02 00:51:28'),
	(882,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#04.html',0,'2024-07-02 00:51:28'),
	(883,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#04.png',0,'2024-07-02 00:51:28'),
	(884,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#04.html',0,'2024-07-02 00:51:28'),
	(885,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#05.png',0,'2024-07-02 00:51:28'),
	(886,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#05.html',0,'2024-07-02 00:51:28'),
	(887,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#05.png',0,'2024-07-02 00:51:28'),
	(888,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#05.html',0,'2024-07-02 00:51:28'),
	(889,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#06.png',0,'2024-07-02 00:51:28'),
	(890,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#06.html',0,'2024-07-02 00:51:28'),
	(891,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#06.png',0,'2024-07-02 00:51:28'),
	(892,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#06.html',0,'2024-07-02 00:51:28'),
	(893,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#07.png',0,'2024-07-02 00:51:28'),
	(894,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#07.html',0,'2024-07-02 00:51:28'),
	(895,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#07.png',0,'2024-07-02 00:51:28'),
	(896,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#07.html',0,'2024-07-02 00:51:28'),
	(897,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#08.png',0,'2024-07-02 00:51:28'),
	(898,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#08.html',0,'2024-07-02 00:51:28'),
	(899,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#08.png',0,'2024-07-02 00:51:28'),
	(900,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#08.html',0,'2024-07-02 00:51:28'),
	(901,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#09.png',0,'2024-07-02 00:51:28'),
	(902,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#09.html',0,'2024-07-02 00:51:28'),
	(903,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#09.png',0,'2024-07-02 00:51:28'),
	(904,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#09.html',0,'2024-07-02 00:51:28'),
	(905,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#10.png',0,'2024-07-02 00:51:28'),
	(906,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#10.html',0,'2024-07-02 00:51:28'),
	(907,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#10.png',0,'2024-07-02 00:51:28'),
	(908,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#10.html',0,'2024-07-02 00:51:28'),
	(909,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#11.png',0,'2024-07-02 00:51:28'),
	(910,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#11.html',0,'2024-07-02 00:51:28'),
	(911,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#11.png',0,'2024-07-02 00:51:28'),
	(912,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#11.html',0,'2024-07-02 00:51:28'),
	(913,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#12.png',0,'2024-07-02 00:51:28'),
	(914,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#12.html',0,'2024-07-02 00:51:28'),
	(915,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#12.png',0,'2024-07-02 00:51:28'),
	(916,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#12.html',0,'2024-07-02 00:51:28'),
	(917,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#13.png',0,'2024-07-02 00:51:28'),
	(918,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#13.html',0,'2024-07-02 00:51:28'),
	(919,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#13.png',0,'2024-07-02 00:51:28'),
	(920,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#13.html',0,'2024-07-02 00:51:28'),
	(921,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#14.png',0,'2024-07-02 00:51:28'),
	(922,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#14.html',0,'2024-07-02 00:51:28'),
	(923,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#14.png',0,'2024-07-02 00:51:28'),
	(924,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#14.html',0,'2024-07-02 00:51:28'),
	(925,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#15.png',0,'2024-07-02 00:51:28'),
	(926,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#15.html',0,'2024-07-02 00:51:28'),
	(927,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#15.png',0,'2024-07-02 00:51:28'),
	(928,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#15.html',0,'2024-07-02 00:51:28'),
	(929,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#16.png',0,'2024-07-02 00:51:28'),
	(930,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#16.html',0,'2024-07-02 00:51:28'),
	(931,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#16.png',0,'2024-07-02 00:51:28'),
	(932,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#16.html',0,'2024-07-02 00:51:28'),
	(933,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#17.png',0,'2024-07-02 00:51:28'),
	(934,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#17.html',0,'2024-07-02 00:51:28'),
	(935,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-02 00:51:28'),
	(936,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-02 00:51:28'),
	(937,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#18.png',0,'2024-07-02 00:51:28'),
	(938,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#18.html',0,'2024-07-02 00:51:28'),
	(939,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#18.png',0,'2024-07-02 00:51:28'),
	(940,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#18.html',0,'2024-07-02 00:51:28'),
	(941,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#19.png',0,'2024-07-02 00:51:28'),
	(942,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#19.html',0,'2024-07-02 00:51:28'),
	(943,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#19.png',0,'2024-07-02 00:51:28'),
	(944,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#19.html',0,'2024-07-02 00:51:28'),
	(945,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#20.png',0,'2024-07-02 00:51:28'),
	(946,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#20.html',0,'2024-07-02 00:51:28'),
	(947,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#20.png',0,'2024-07-02 00:51:28'),
	(948,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#20.html',0,'2024-07-02 00:51:28'),
	(949,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#21.png',0,'2024-07-02 00:51:28'),
	(950,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#21.html',0,'2024-07-02 00:51:28'),
	(951,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#21.png',0,'2024-07-02 00:51:28'),
	(952,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#21.html',0,'2024-07-02 00:51:28'),
	(953,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#22.png',0,'2024-07-02 00:51:28'),
	(954,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#22.html',0,'2024-07-02 00:51:28'),
	(955,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#22.png',0,'2024-07-02 00:51:28'),
	(956,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#22.html',0,'2024-07-02 00:51:28'),
	(957,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#23.png',0,'2024-07-02 00:51:28'),
	(958,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#23.html',0,'2024-07-02 00:51:28'),
	(959,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#23.png',0,'2024-07-02 00:51:28'),
	(960,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#23.html',0,'2024-07-02 00:51:28'),
	(961,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#24.png',0,'2024-07-02 00:51:28'),
	(962,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/#24.html',0,'2024-07-02 00:51:28'),
	(963,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-02 00:51:28'),
	(964,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-02 00:51:28'),
	(965,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#01.png',0,'2024-07-02 00:51:28'),
	(966,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#01.html',0,'2024-07-02 00:51:28'),
	(967,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#01.png',0,'2024-07-02 00:51:28'),
	(968,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#01.html',0,'2024-07-02 00:51:28'),
	(969,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#02.png',0,'2024-07-02 00:51:28'),
	(970,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#02.html',0,'2024-07-02 00:51:28'),
	(971,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#02.png',0,'2024-07-02 00:51:28'),
	(972,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#02.html',0,'2024-07-02 00:51:28'),
	(973,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#03.png',0,'2024-07-02 00:51:28'),
	(974,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#03.html',0,'2024-07-02 00:51:28'),
	(975,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#03.png',0,'2024-07-02 00:51:28'),
	(976,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#03.html',0,'2024-07-02 00:51:28'),
	(977,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#04.png',0,'2024-07-02 00:51:28'),
	(978,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#04.html',0,'2024-07-02 00:51:28'),
	(979,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#04.png',0,'2024-07-02 00:51:28'),
	(980,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#04.html',0,'2024-07-02 00:51:28'),
	(981,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#05.png',0,'2024-07-02 00:51:28'),
	(982,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#05.html',0,'2024-07-02 00:51:28'),
	(983,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#05.png',0,'2024-07-02 00:51:28'),
	(984,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#05.html',0,'2024-07-02 00:51:28'),
	(985,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#06.png',0,'2024-07-02 00:51:28'),
	(986,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#06.html',0,'2024-07-02 00:51:28'),
	(987,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#06.png',0,'2024-07-02 00:51:28'),
	(988,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#06.html',0,'2024-07-02 00:51:28'),
	(989,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#07.png',0,'2024-07-02 00:51:28'),
	(990,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#07.html',0,'2024-07-02 00:51:28'),
	(991,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#07.png',0,'2024-07-02 00:51:28'),
	(992,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#07.html',0,'2024-07-02 00:51:28'),
	(993,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#08.png',0,'2024-07-02 00:51:28'),
	(994,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#08.html',0,'2024-07-02 00:51:28'),
	(995,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#08.png',0,'2024-07-02 00:51:28'),
	(996,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#08.html',0,'2024-07-02 00:51:28'),
	(997,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#09.png',0,'2024-07-02 00:51:28'),
	(998,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#09.html',0,'2024-07-02 00:51:28'),
	(999,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#09.png',0,'2024-07-02 00:51:28'),
	(1000,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#09.html',0,'2024-07-02 00:51:28'),
	(1001,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#10.png',0,'2024-07-02 00:51:28'),
	(1002,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#10.html',0,'2024-07-02 00:51:28'),
	(1003,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#10.png',0,'2024-07-02 00:51:28'),
	(1004,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#10.html',0,'2024-07-02 00:51:28'),
	(1005,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#11.png',0,'2024-07-02 00:51:28'),
	(1006,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#11.html',0,'2024-07-02 00:51:28'),
	(1007,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#11.png',0,'2024-07-02 00:51:28'),
	(1008,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#11.html',0,'2024-07-02 00:51:28'),
	(1009,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#12.png',0,'2024-07-02 00:51:28'),
	(1010,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#12.html',0,'2024-07-02 00:51:28'),
	(1011,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#12.png',0,'2024-07-02 00:51:28'),
	(1012,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#12.html',0,'2024-07-02 00:51:28'),
	(1013,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#13.png',0,'2024-07-02 00:51:28'),
	(1014,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#13.html',0,'2024-07-02 00:51:28'),
	(1015,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#13.png',0,'2024-07-02 00:51:28'),
	(1016,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#13.html',0,'2024-07-02 00:51:28'),
	(1017,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#14.png',0,'2024-07-02 00:51:28'),
	(1018,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#14.html',0,'2024-07-02 00:51:28'),
	(1019,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#14.png',0,'2024-07-02 00:51:28'),
	(1020,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#14.html',0,'2024-07-02 00:51:28'),
	(1021,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#15.png',0,'2024-07-02 00:51:28'),
	(1022,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#15.html',0,'2024-07-02 00:51:28'),
	(1023,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#15.png',0,'2024-07-02 00:51:28'),
	(1024,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#15.html',0,'2024-07-02 00:51:28'),
	(1025,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#16.png',0,'2024-07-02 00:51:28'),
	(1026,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#16.html',0,'2024-07-02 00:51:28'),
	(1027,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#16.png',0,'2024-07-02 00:51:28'),
	(1028,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#16.html',0,'2024-07-02 00:51:28'),
	(1029,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#17.png',0,'2024-07-02 00:51:28'),
	(1030,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#17.html',0,'2024-07-02 00:51:28'),
	(1031,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-02 00:51:28'),
	(1032,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-02 00:51:28'),
	(1033,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#18.png',0,'2024-07-02 00:51:28'),
	(1034,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#18.html',0,'2024-07-02 00:51:28'),
	(1035,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#18.png',0,'2024-07-02 00:51:28'),
	(1036,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#18.html',0,'2024-07-02 00:51:28'),
	(1037,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#19.png',0,'2024-07-02 00:51:28'),
	(1038,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#19.html',0,'2024-07-02 00:51:28'),
	(1039,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#19.png',0,'2024-07-02 00:51:28'),
	(1040,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#19.html',0,'2024-07-02 00:51:28'),
	(1041,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#20.png',0,'2024-07-02 00:51:28'),
	(1042,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#20.html',0,'2024-07-02 00:51:28'),
	(1043,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#20.png',0,'2024-07-02 00:51:28'),
	(1044,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#20.html',0,'2024-07-02 00:51:28'),
	(1045,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#21.png',0,'2024-07-02 00:51:28'),
	(1046,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#21.html',0,'2024-07-02 00:51:28'),
	(1047,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#21.png',0,'2024-07-02 00:51:28'),
	(1048,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#21.html',0,'2024-07-02 00:51:28'),
	(1049,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#22.png',0,'2024-07-02 00:51:28'),
	(1050,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#22.html',0,'2024-07-02 00:51:28'),
	(1051,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#22.png',0,'2024-07-02 00:51:28'),
	(1052,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#22.html',0,'2024-07-02 00:51:28'),
	(1053,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#23.png',0,'2024-07-02 00:51:28'),
	(1054,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#23.html',0,'2024-07-02 00:51:28'),
	(1055,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#23.png',0,'2024-07-02 00:51:28'),
	(1056,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#23.html',0,'2024-07-02 00:51:28'),
	(1057,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#24.png',0,'2024-07-02 00:51:28'),
	(1058,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/#24.html',0,'2024-07-02 00:51:28'),
	(1059,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-02 00:51:28'),
	(1060,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-02 00:51:28'),
	(1061,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#01.png',0,'2024-07-02 00:51:28'),
	(1062,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#01.html',0,'2024-07-02 00:51:28'),
	(1063,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#01.png',0,'2024-07-02 00:51:28'),
	(1064,'WOF035900004-WOB00005','WOG00389','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#01.html',0,'2024-07-02 00:51:28'),
	(1065,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#02.png',0,'2024-07-02 00:51:28'),
	(1066,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#02.html',0,'2024-07-02 00:51:28'),
	(1067,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#02.png',0,'2024-07-02 00:51:28'),
	(1068,'WOF035900004-WOB00005','WOG00390','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#02.html',0,'2024-07-02 00:51:28'),
	(1069,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#03.png',0,'2024-07-02 00:51:28'),
	(1070,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#03.html',0,'2024-07-02 00:51:28'),
	(1071,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#03.png',0,'2024-07-02 00:51:28'),
	(1072,'WOF035900004-WOB00005','WOG00391','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#03.html',0,'2024-07-02 00:51:28'),
	(1073,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#04.png',0,'2024-07-02 00:51:28'),
	(1074,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#04.html',0,'2024-07-02 00:51:28'),
	(1075,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#04.png',0,'2024-07-02 00:51:28'),
	(1076,'WOF035900004-WOB00005','WOG00392','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#04.html',0,'2024-07-02 00:51:28'),
	(1077,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#05.png',0,'2024-07-02 00:51:28'),
	(1078,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#05.html',0,'2024-07-02 00:51:28'),
	(1079,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#05.png',0,'2024-07-02 00:51:28'),
	(1080,'WOF035900004-WOB00005','WOG00393','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#05.html',0,'2024-07-02 00:51:28'),
	(1081,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#06.png',0,'2024-07-02 00:51:28'),
	(1082,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#06.html',0,'2024-07-02 00:51:28'),
	(1083,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#06.png',0,'2024-07-02 00:51:28'),
	(1084,'WOF035900004-WOB00005','WOG00394','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#06.html',0,'2024-07-02 00:51:28'),
	(1085,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#07.png',0,'2024-07-02 00:51:28'),
	(1086,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#07.html',0,'2024-07-02 00:51:28'),
	(1087,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#07.png',0,'2024-07-02 00:51:28'),
	(1088,'WOF035900004-WOB00005','WOG00395','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#07.html',0,'2024-07-02 00:51:28'),
	(1089,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#08.png',0,'2024-07-02 00:51:28'),
	(1090,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#08.html',0,'2024-07-02 00:51:28'),
	(1091,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#08.png',0,'2024-07-02 00:51:28'),
	(1092,'WOF035900004-WOB00005','WOG00396','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#08.html',0,'2024-07-02 00:51:28'),
	(1093,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#09.png',0,'2024-07-02 00:51:28'),
	(1094,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#09.html',0,'2024-07-02 00:51:28'),
	(1095,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#09.png',0,'2024-07-02 00:51:28'),
	(1096,'WOF035900004-WOB00005','WOG00397','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#09.html',0,'2024-07-02 00:51:28'),
	(1097,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#10.png',0,'2024-07-02 00:51:28'),
	(1098,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#10.html',0,'2024-07-02 00:51:28'),
	(1099,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#10.png',0,'2024-07-02 00:51:28'),
	(1100,'WOF035900004-WOB00005','WOG00398','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#10.html',0,'2024-07-02 00:51:28'),
	(1101,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#11.png',0,'2024-07-02 00:51:28'),
	(1102,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#11.html',0,'2024-07-02 00:51:28'),
	(1103,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#11.png',0,'2024-07-02 00:51:28'),
	(1104,'WOF035900004-WOB00005','WOG00399','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#11.html',0,'2024-07-02 00:51:28'),
	(1105,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#12.png',0,'2024-07-02 00:51:28'),
	(1106,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#12.html',0,'2024-07-02 00:51:28'),
	(1107,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#12.png',0,'2024-07-02 00:51:28'),
	(1108,'WOF035900004-WOB00005','WOG00400','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#12.html',0,'2024-07-02 00:51:28'),
	(1109,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#13.png',0,'2024-07-02 00:51:28'),
	(1110,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#13.html',0,'2024-07-02 00:51:28'),
	(1111,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#13.png',0,'2024-07-02 00:51:28'),
	(1112,'WOF035900004-WOB00005','WOG00401','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#13.html',0,'2024-07-02 00:51:28'),
	(1113,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#14.png',0,'2024-07-02 00:51:28'),
	(1114,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#14.html',0,'2024-07-02 00:51:28'),
	(1115,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#14.png',0,'2024-07-02 00:51:28'),
	(1116,'WOF035900004-WOB00005','WOG00402','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#14.html',0,'2024-07-02 00:51:28'),
	(1117,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#15.png',0,'2024-07-02 00:51:28'),
	(1118,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#15.html',0,'2024-07-02 00:51:28'),
	(1119,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#15.png',0,'2024-07-02 00:51:28'),
	(1120,'WOF035900004-WOB00005','WOG00403','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#15.html',0,'2024-07-02 00:51:28'),
	(1121,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#16.png',0,'2024-07-02 00:51:28'),
	(1122,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#16.html',0,'2024-07-02 00:51:28'),
	(1123,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#16.png',0,'2024-07-02 00:51:28'),
	(1124,'WOF035900004-WOB00005','WOG00404','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#16.html',0,'2024-07-02 00:51:28'),
	(1125,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#17.png',0,'2024-07-02 00:51:28'),
	(1126,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#17.html',0,'2024-07-02 00:51:28'),
	(1127,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.png',0,'2024-07-02 00:51:28'),
	(1128,'WOF035900004-WOB00005','WOG00405','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#17.html',0,'2024-07-02 00:51:28'),
	(1129,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#18.png',0,'2024-07-02 00:51:28'),
	(1130,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#18.html',0,'2024-07-02 00:51:28'),
	(1131,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#18.png',0,'2024-07-02 00:51:28'),
	(1132,'WOF035900004-WOB00005','WOG00406','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#18.html',0,'2024-07-02 00:51:28'),
	(1133,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#19.png',0,'2024-07-02 00:51:28'),
	(1134,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#19.html',0,'2024-07-02 00:51:28'),
	(1135,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#19.png',0,'2024-07-02 00:51:28'),
	(1136,'WOF035900004-WOB00005','WOG00407','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#19.html',0,'2024-07-02 00:51:28'),
	(1137,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#20.png',0,'2024-07-02 00:51:28'),
	(1138,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#20.html',0,'2024-07-02 00:51:28'),
	(1139,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#20.png',0,'2024-07-02 00:51:28'),
	(1140,'WOF035900004-WOB00005','WOG00408','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#20.html',0,'2024-07-02 00:51:28'),
	(1141,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#21.png',0,'2024-07-02 00:51:28'),
	(1142,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#21.html',0,'2024-07-02 00:51:28'),
	(1143,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#21.png',0,'2024-07-02 00:51:28'),
	(1144,'WOF035900004-WOB00005','WOG00409','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#21.html',0,'2024-07-02 00:51:28'),
	(1145,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#22.png',0,'2024-07-02 00:51:28'),
	(1146,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#22.html',0,'2024-07-02 00:51:28'),
	(1147,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#22.png',0,'2024-07-02 00:51:28'),
	(1148,'WOF035900004-WOB00005','WOG00410','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#22.html',0,'2024-07-02 00:51:28'),
	(1149,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#23.png',0,'2024-07-02 00:51:28'),
	(1150,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#23.html',0,'2024-07-02 00:51:28'),
	(1151,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#23.png',0,'2024-07-02 00:51:28'),
	(1152,'WOF035900004-WOB00005','WOG00411','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#23.html',0,'2024-07-02 00:51:28'),
	(1153,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#24.png',0,'2024-07-02 00:51:28'),
	(1154,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/#24.html',0,'2024-07-02 00:51:28'),
	(1155,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.png',0,'2024-07-02 00:51:28'),
	(1156,'WOF035900004-WOB00005','WOG00412','temperature_large_components','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/GeneratorTemperature/#24.html',0,'2024-07-02 00:51:28'),
	(1157,'WOF035900004-WOB00005','WOG00389','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#01.png',0,'2024-07-02 00:51:28'),
	(1158,'WOF035900004-WOB00005','WOG00389','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#01.html',0,'2024-07-02 00:51:28'),
	(1159,'WOF035900004-WOB00005','WOG00390','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#02.png',0,'2024-07-02 00:51:28'),
	(1160,'WOF035900004-WOB00005','WOG00390','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#02.html',0,'2024-07-02 00:51:28'),
	(1161,'WOF035900004-WOB00005','WOG00391','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#03.png',0,'2024-07-02 00:51:28'),
	(1162,'WOF035900004-WOB00005','WOG00391','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#03.html',0,'2024-07-02 00:51:28'),
	(1163,'WOF035900004-WOB00005','WOG00392','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#04.png',0,'2024-07-02 00:51:28'),
	(1164,'WOF035900004-WOB00005','WOG00392','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#04.html',0,'2024-07-02 00:51:28'),
	(1165,'WOF035900004-WOB00005','WOG00393','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#05.png',0,'2024-07-02 00:51:28'),
	(1166,'WOF035900004-WOB00005','WOG00393','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#05.html',0,'2024-07-02 00:51:28'),
	(1167,'WOF035900004-WOB00005','WOG00394','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#06.png',0,'2024-07-02 00:51:28'),
	(1168,'WOF035900004-WOB00005','WOG00394','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#06.html',0,'2024-07-02 00:51:28'),
	(1169,'WOF035900004-WOB00005','WOG00395','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#07.png',0,'2024-07-02 00:51:28'),
	(1170,'WOF035900004-WOB00005','WOG00395','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#07.html',0,'2024-07-02 00:51:28'),
	(1171,'WOF035900004-WOB00005','WOG00396','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#08.png',0,'2024-07-02 00:51:28'),
	(1172,'WOF035900004-WOB00005','WOG00396','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#08.html',0,'2024-07-02 00:51:28'),
	(1173,'WOF035900004-WOB00005','WOG00397','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#09.png',0,'2024-07-02 00:51:28'),
	(1174,'WOF035900004-WOB00005','WOG00397','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#09.html',0,'2024-07-02 00:51:28'),
	(1175,'WOF035900004-WOB00005','WOG00398','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#10.png',0,'2024-07-02 00:51:28'),
	(1176,'WOF035900004-WOB00005','WOG00398','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#10.html',0,'2024-07-02 00:51:28'),
	(1177,'WOF035900004-WOB00005','WOG00399','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#11.png',0,'2024-07-02 00:51:28'),
	(1178,'WOF035900004-WOB00005','WOG00399','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#11.html',0,'2024-07-02 00:51:28'),
	(1179,'WOF035900004-WOB00005','WOG00400','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#12.png',0,'2024-07-02 00:51:28'),
	(1180,'WOF035900004-WOB00005','WOG00400','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#12.html',0,'2024-07-02 00:51:28'),
	(1181,'WOF035900004-WOB00005','WOG00401','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#13.png',0,'2024-07-02 00:51:28'),
	(1182,'WOF035900004-WOB00005','WOG00401','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#13.html',0,'2024-07-02 00:51:28'),
	(1183,'WOF035900004-WOB00005','WOG00402','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#14.png',0,'2024-07-02 00:51:28'),
	(1184,'WOF035900004-WOB00005','WOG00402','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#14.html',0,'2024-07-02 00:51:28'),
	(1185,'WOF035900004-WOB00005','WOG00403','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#15.png',0,'2024-07-02 00:51:28'),
	(1186,'WOF035900004-WOB00005','WOG00403','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#15.html',0,'2024-07-02 00:51:28'),
	(1187,'WOF035900004-WOB00005','WOG00404','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#16.png',0,'2024-07-02 00:51:28'),
	(1188,'WOF035900004-WOB00005','WOG00404','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#16.html',0,'2024-07-02 00:51:28'),
	(1189,'WOF035900004-WOB00005','WOG00405','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#17.png',0,'2024-07-02 00:51:28'),
	(1190,'WOF035900004-WOB00005','WOG00405','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#17.html',0,'2024-07-02 00:51:28'),
	(1191,'WOF035900004-WOB00005','WOG00406','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#18.png',0,'2024-07-02 00:51:28'),
	(1192,'WOF035900004-WOB00005','WOG00406','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#18.html',0,'2024-07-02 00:51:28'),
	(1193,'WOF035900004-WOB00005','WOG00407','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#19.png',0,'2024-07-02 00:51:28'),
	(1194,'WOF035900004-WOB00005','WOG00407','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#19.html',0,'2024-07-02 00:51:28'),
	(1195,'WOF035900004-WOB00005','WOG00408','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#20.png',0,'2024-07-02 00:51:28'),
	(1196,'WOF035900004-WOB00005','WOG00408','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#20.html',0,'2024-07-02 00:51:28'),
	(1197,'WOF035900004-WOB00005','WOG00409','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#21.png',0,'2024-07-02 00:51:28'),
	(1198,'WOF035900004-WOB00005','WOG00409','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#21.html',0,'2024-07-02 00:51:28'),
	(1199,'WOF035900004-WOB00005','WOG00410','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#22.png',0,'2024-07-02 00:51:28'),
	(1200,'WOF035900004-WOB00005','WOG00410','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#22.html',0,'2024-07-02 00:51:28'),
	(1201,'WOF035900004-WOB00005','WOG00411','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#23.png',0,'2024-07-02 00:51:28'),
	(1202,'WOF035900004-WOB00005','WOG00411','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#23.html',0,'2024-07-02 00:51:28'),
	(1203,'WOF035900004-WOB00005','WOG00412','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#24.png',0,'2024-07-02 00:51:28'),
	(1204,'WOF035900004-WOB00005','WOG00412','wind_speed_frequency','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/wind_speed_frequency/manual/#24.html',0,'2024-07-02 00:51:28'),
	(1205,'WOF035900004-WOB00005','WOG00389','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#01.png',0,'2024-07-02 00:51:28'),
	(1206,'WOF035900004-WOB00005','WOG00389','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#01.html',0,'2024-07-02 00:51:28'),
	(1207,'WOF035900004-WOB00005','WOG00390','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#02.png',0,'2024-07-02 00:51:28'),
	(1208,'WOF035900004-WOB00005','WOG00390','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#02.html',0,'2024-07-02 00:51:28'),
	(1209,'WOF035900004-WOB00005','WOG00391','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#03.png',0,'2024-07-02 00:51:28'),
	(1210,'WOF035900004-WOB00005','WOG00391','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#03.html',0,'2024-07-02 00:51:28'),
	(1211,'WOF035900004-WOB00005','WOG00392','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#04.png',0,'2024-07-02 00:51:28'),
	(1212,'WOF035900004-WOB00005','WOG00392','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#04.html',0,'2024-07-02 00:51:28'),
	(1213,'WOF035900004-WOB00005','WOG00393','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#05.png',0,'2024-07-02 00:51:28'),
	(1214,'WOF035900004-WOB00005','WOG00393','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#05.html',0,'2024-07-02 00:51:28'),
	(1215,'WOF035900004-WOB00005','WOG00394','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#06.png',0,'2024-07-02 00:51:28'),
	(1216,'WOF035900004-WOB00005','WOG00394','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#06.html',0,'2024-07-02 00:51:28'),
	(1217,'WOF035900004-WOB00005','WOG00395','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#07.png',0,'2024-07-02 00:51:28'),
	(1218,'WOF035900004-WOB00005','WOG00395','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#07.html',0,'2024-07-02 00:51:28'),
	(1219,'WOF035900004-WOB00005','WOG00396','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#08.png',0,'2024-07-02 00:51:28'),
	(1220,'WOF035900004-WOB00005','WOG00396','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#08.html',0,'2024-07-02 00:51:28'),
	(1221,'WOF035900004-WOB00005','WOG00397','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#09.png',0,'2024-07-02 00:51:28'),
	(1222,'WOF035900004-WOB00005','WOG00397','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#09.html',0,'2024-07-02 00:51:28'),
	(1223,'WOF035900004-WOB00005','WOG00398','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#10.png',0,'2024-07-02 00:51:28'),
	(1224,'WOF035900004-WOB00005','WOG00398','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#10.html',0,'2024-07-02 00:51:28'),
	(1225,'WOF035900004-WOB00005','WOG00399','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#11.png',0,'2024-07-02 00:51:28'),
	(1226,'WOF035900004-WOB00005','WOG00399','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#11.html',0,'2024-07-02 00:51:28'),
	(1227,'WOF035900004-WOB00005','WOG00400','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#12.png',0,'2024-07-02 00:51:28'),
	(1228,'WOF035900004-WOB00005','WOG00400','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#12.html',0,'2024-07-02 00:51:28'),
	(1229,'WOF035900004-WOB00005','WOG00401','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#13.png',0,'2024-07-02 00:51:28'),
	(1230,'WOF035900004-WOB00005','WOG00401','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#13.html',0,'2024-07-02 00:51:28'),
	(1231,'WOF035900004-WOB00005','WOG00402','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#14.png',0,'2024-07-02 00:51:28'),
	(1232,'WOF035900004-WOB00005','WOG00402','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#14.html',0,'2024-07-02 00:51:28'),
	(1233,'WOF035900004-WOB00005','WOG00403','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#15.png',0,'2024-07-02 00:51:28'),
	(1234,'WOF035900004-WOB00005','WOG00403','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#15.html',0,'2024-07-02 00:51:28'),
	(1235,'WOF035900004-WOB00005','WOG00404','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#16.png',0,'2024-07-02 00:51:28'),
	(1236,'WOF035900004-WOB00005','WOG00404','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#16.html',0,'2024-07-02 00:51:28'),
	(1237,'WOF035900004-WOB00005','WOG00405','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#17.png',0,'2024-07-02 00:51:28'),
	(1238,'WOF035900004-WOB00005','WOG00405','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#17.html',0,'2024-07-02 00:51:28'),
	(1239,'WOF035900004-WOB00005','WOG00406','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#18.png',0,'2024-07-02 00:51:28'),
	(1240,'WOF035900004-WOB00005','WOG00406','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#18.html',0,'2024-07-02 00:51:28'),
	(1241,'WOF035900004-WOB00005','WOG00407','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#19.png',0,'2024-07-02 00:51:28'),
	(1242,'WOF035900004-WOB00005','WOG00407','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#19.html',0,'2024-07-02 00:51:28'),
	(1243,'WOF035900004-WOB00005','WOG00408','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#20.png',0,'2024-07-02 00:51:28'),
	(1244,'WOF035900004-WOB00005','WOG00408','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#20.html',0,'2024-07-02 00:51:28'),
	(1245,'WOF035900004-WOB00005','WOG00409','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#21.png',0,'2024-07-02 00:51:28'),
	(1246,'WOF035900004-WOB00005','WOG00409','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#21.html',0,'2024-07-02 00:51:28'),
	(1247,'WOF035900004-WOB00005','WOG00410','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#22.png',0,'2024-07-02 00:51:28'),
	(1248,'WOF035900004-WOB00005','WOG00410','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#22.html',0,'2024-07-02 00:51:28'),
	(1249,'WOF035900004-WOB00005','WOG00411','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#23.png',0,'2024-07-02 00:51:28'),
	(1250,'WOF035900004-WOB00005','WOG00411','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#23.html',0,'2024-07-02 00:51:28'),
	(1251,'WOF035900004-WOB00005','WOG00412','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#24.png',0,'2024-07-02 00:51:28'),
	(1252,'WOF035900004-WOB00005','WOG00412','min_pitch','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/min_pitch/manual/#24.html',0,'2024-07-02 00:51:28'),
	(1253,'WOF035900004-WOB00005','WOG00389','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#01.png',0,'2024-07-02 00:51:28'),
	(1254,'WOF035900004-WOB00005','WOG00389','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#01.html',0,'2024-07-02 00:51:28'),
	(1255,'WOF035900004-WOB00005','WOG00390','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#02.png',0,'2024-07-02 00:51:28'),
	(1256,'WOF035900004-WOB00005','WOG00390','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#02.html',0,'2024-07-02 00:51:28'),
	(1257,'WOF035900004-WOB00005','WOG00391','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#03.png',0,'2024-07-02 00:51:28'),
	(1258,'WOF035900004-WOB00005','WOG00391','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#03.html',0,'2024-07-02 00:51:28'),
	(1259,'WOF035900004-WOB00005','WOG00392','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#04.png',0,'2024-07-02 00:51:28'),
	(1260,'WOF035900004-WOB00005','WOG00392','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#04.html',0,'2024-07-02 00:51:28'),
	(1261,'WOF035900004-WOB00005','WOG00393','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#05.png',0,'2024-07-02 00:51:28'),
	(1262,'WOF035900004-WOB00005','WOG00393','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#05.html',0,'2024-07-02 00:51:28'),
	(1263,'WOF035900004-WOB00005','WOG00394','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#06.png',0,'2024-07-02 00:51:28'),
	(1264,'WOF035900004-WOB00005','WOG00394','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#06.html',0,'2024-07-02 00:51:28'),
	(1265,'WOF035900004-WOB00005','WOG00395','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#07.png',0,'2024-07-02 00:51:28'),
	(1266,'WOF035900004-WOB00005','WOG00395','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#07.html',0,'2024-07-02 00:51:28'),
	(1267,'WOF035900004-WOB00005','WOG00396','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#08.png',0,'2024-07-02 00:51:28'),
	(1268,'WOF035900004-WOB00005','WOG00396','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#08.html',0,'2024-07-02 00:51:28'),
	(1269,'WOF035900004-WOB00005','WOG00397','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#09.png',0,'2024-07-02 00:51:28'),
	(1270,'WOF035900004-WOB00005','WOG00397','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#09.html',0,'2024-07-02 00:51:28'),
	(1271,'WOF035900004-WOB00005','WOG00398','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#10.png',0,'2024-07-02 00:51:28'),
	(1272,'WOF035900004-WOB00005','WOG00398','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#10.html',0,'2024-07-02 00:51:28'),
	(1273,'WOF035900004-WOB00005','WOG00399','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#11.png',0,'2024-07-02 00:51:28'),
	(1274,'WOF035900004-WOB00005','WOG00399','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#11.html',0,'2024-07-02 00:51:28'),
	(1275,'WOF035900004-WOB00005','WOG00400','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#12.png',0,'2024-07-02 00:51:28'),
	(1276,'WOF035900004-WOB00005','WOG00400','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#12.html',0,'2024-07-02 00:51:28'),
	(1277,'WOF035900004-WOB00005','WOG00401','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#13.png',0,'2024-07-02 00:51:28'),
	(1278,'WOF035900004-WOB00005','WOG00401','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#13.html',0,'2024-07-02 00:51:28'),
	(1279,'WOF035900004-WOB00005','WOG00402','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#14.png',0,'2024-07-02 00:51:28'),
	(1280,'WOF035900004-WOB00005','WOG00402','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#14.html',0,'2024-07-02 00:51:28'),
	(1281,'WOF035900004-WOB00005','WOG00403','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#15.png',0,'2024-07-02 00:51:28'),
	(1282,'WOF035900004-WOB00005','WOG00403','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#15.html',0,'2024-07-02 00:51:28'),
	(1283,'WOF035900004-WOB00005','WOG00404','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#16.png',0,'2024-07-02 00:51:28'),
	(1284,'WOF035900004-WOB00005','WOG00404','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#16.html',0,'2024-07-02 00:51:28'),
	(1285,'WOF035900004-WOB00005','WOG00405','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#17.png',0,'2024-07-02 00:51:28'),
	(1286,'WOF035900004-WOB00005','WOG00405','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#17.html',0,'2024-07-02 00:51:28'),
	(1287,'WOF035900004-WOB00005','WOG00406','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#18.png',0,'2024-07-02 00:51:28'),
	(1288,'WOF035900004-WOB00005','WOG00406','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#18.html',0,'2024-07-02 00:51:28'),
	(1289,'WOF035900004-WOB00005','WOG00407','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#19.png',0,'2024-07-02 00:51:28'),
	(1290,'WOF035900004-WOB00005','WOG00407','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#19.html',0,'2024-07-02 00:51:28'),
	(1291,'WOF035900004-WOB00005','WOG00408','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#20.png',0,'2024-07-02 00:51:28'),
	(1292,'WOF035900004-WOB00005','WOG00408','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#20.html',0,'2024-07-02 00:51:28'),
	(1293,'WOF035900004-WOB00005','WOG00409','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#21.png',0,'2024-07-02 00:51:28'),
	(1294,'WOF035900004-WOB00005','WOG00409','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#21.html',0,'2024-07-02 00:51:28'),
	(1295,'WOF035900004-WOB00005','WOG00410','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#22.png',0,'2024-07-02 00:51:28'),
	(1296,'WOF035900004-WOB00005','WOG00410','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#22.html',0,'2024-07-02 00:51:28'),
	(1297,'WOF035900004-WOB00005','WOG00411','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#23.png',0,'2024-07-02 00:51:28'),
	(1298,'WOF035900004-WOB00005','WOG00411','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#23.html',0,'2024-07-02 00:51:28'),
	(1299,'WOF035900004-WOB00005','WOG00412','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#24.png',0,'2024-07-02 00:51:28'),
	(1300,'WOF035900004-WOB00005','WOG00412','yaw_error','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/yaw_error/manual/#24.html',0,'2024-07-02 00:51:28'),
	(1301,'WOF035900004-WOB00005','WOG00389','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#01.png',0,'2024-07-02 00:51:28'),
	(1302,'WOF035900004-WOB00005','WOG00389','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#01.html',0,'2024-07-02 00:51:28'),
	(1303,'WOF035900004-WOB00005','WOG00390','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#02.png',0,'2024-07-02 00:51:28'),
	(1304,'WOF035900004-WOB00005','WOG00390','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#02.html',0,'2024-07-02 00:51:28'),
	(1305,'WOF035900004-WOB00005','WOG00391','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#03.png',0,'2024-07-02 00:51:28'),
	(1306,'WOF035900004-WOB00005','WOG00391','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#03.html',0,'2024-07-02 00:51:28'),
	(1307,'WOF035900004-WOB00005','WOG00392','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#04.png',0,'2024-07-02 00:51:28'),
	(1308,'WOF035900004-WOB00005','WOG00392','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#04.html',0,'2024-07-02 00:51:28'),
	(1309,'WOF035900004-WOB00005','WOG00393','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#05.png',0,'2024-07-02 00:51:28'),
	(1310,'WOF035900004-WOB00005','WOG00393','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#05.html',0,'2024-07-02 00:51:28'),
	(1311,'WOF035900004-WOB00005','WOG00394','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#06.png',0,'2024-07-02 00:51:28'),
	(1312,'WOF035900004-WOB00005','WOG00394','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#06.html',0,'2024-07-02 00:51:28'),
	(1313,'WOF035900004-WOB00005','WOG00395','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#07.png',0,'2024-07-02 00:51:28'),
	(1314,'WOF035900004-WOB00005','WOG00395','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#07.html',0,'2024-07-02 00:51:28'),
	(1315,'WOF035900004-WOB00005','WOG00396','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#08.png',0,'2024-07-02 00:51:28'),
	(1316,'WOF035900004-WOB00005','WOG00396','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#08.html',0,'2024-07-02 00:51:28'),
	(1317,'WOF035900004-WOB00005','WOG00397','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#09.png',0,'2024-07-02 00:51:28'),
	(1318,'WOF035900004-WOB00005','WOG00397','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#09.html',0,'2024-07-02 00:51:28'),
	(1319,'WOF035900004-WOB00005','WOG00398','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#10.png',0,'2024-07-02 00:51:28'),
	(1320,'WOF035900004-WOB00005','WOG00398','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#10.html',0,'2024-07-02 00:51:28'),
	(1321,'WOF035900004-WOB00005','WOG00399','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#11.png',0,'2024-07-02 00:51:28'),
	(1322,'WOF035900004-WOB00005','WOG00399','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#11.html',0,'2024-07-02 00:51:28'),
	(1323,'WOF035900004-WOB00005','WOG00400','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#12.png',0,'2024-07-02 00:51:28'),
	(1324,'WOF035900004-WOB00005','WOG00400','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#12.html',0,'2024-07-02 00:51:28'),
	(1325,'WOF035900004-WOB00005','WOG00401','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#13.png',0,'2024-07-02 00:51:28'),
	(1326,'WOF035900004-WOB00005','WOG00401','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#13.html',0,'2024-07-02 00:51:28'),
	(1327,'WOF035900004-WOB00005','WOG00402','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#14.png',0,'2024-07-02 00:51:28'),
	(1328,'WOF035900004-WOB00005','WOG00402','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#14.html',0,'2024-07-02 00:51:28'),
	(1329,'WOF035900004-WOB00005','WOG00403','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#15.png',0,'2024-07-02 00:51:28'),
	(1330,'WOF035900004-WOB00005','WOG00403','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#15.html',0,'2024-07-02 00:51:28'),
	(1331,'WOF035900004-WOB00005','WOG00404','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#16.png',0,'2024-07-02 00:51:28'),
	(1332,'WOF035900004-WOB00005','WOG00404','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#16.html',0,'2024-07-02 00:51:28'),
	(1333,'WOF035900004-WOB00005','WOG00405','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#17.png',0,'2024-07-02 00:51:28'),
	(1334,'WOF035900004-WOB00005','WOG00405','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#17.html',0,'2024-07-02 00:51:28'),
	(1335,'WOF035900004-WOB00005','WOG00406','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#18.png',0,'2024-07-02 00:51:28'),
	(1336,'WOF035900004-WOB00005','WOG00406','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#18.html',0,'2024-07-02 00:51:28'),
	(1337,'WOF035900004-WOB00005','WOG00407','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#19.png',0,'2024-07-02 00:51:28'),
	(1338,'WOF035900004-WOB00005','WOG00407','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#19.html',0,'2024-07-02 00:51:28'),
	(1339,'WOF035900004-WOB00005','WOG00408','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#20.png',0,'2024-07-02 00:51:28'),
	(1340,'WOF035900004-WOB00005','WOG00408','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#20.html',0,'2024-07-02 00:51:28'),
	(1341,'WOF035900004-WOB00005','WOG00409','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#21.png',0,'2024-07-02 00:51:28'),
	(1342,'WOF035900004-WOB00005','WOG00409','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#21.html',0,'2024-07-02 00:51:28'),
	(1343,'WOF035900004-WOB00005','WOG00410','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#22.png',0,'2024-07-02 00:51:28'),
	(1344,'WOF035900004-WOB00005','WOG00410','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#22.html',0,'2024-07-02 00:51:28'),
	(1345,'WOF035900004-WOB00005','WOG00411','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#23.png',0,'2024-07-02 00:51:28'),
	(1346,'WOF035900004-WOB00005','WOG00411','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#23.html',0,'2024-07-02 00:51:28'),
	(1347,'WOF035900004-WOB00005','WOG00412','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#24.png',0,'2024-07-02 00:51:28'),
	(1348,'WOF035900004-WOB00005','WOG00412','cp','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp/manual/#24.html',0,'2024-07-02 00:51:28');

INSERT INTO `analysis_diagram_relation_copy1` (`id`, `batch_code`, `field_engine_code`, `analysis_type_code`, `file_addr`, `auto_analysis`, `create_time`)
VALUES
	(1349,'WOF035900004-WOB00005','WOG00389','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#01.png',0,'2024-07-02 00:51:28'),
	(1350,'WOF035900004-WOB00005','WOG00389','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#01.html',0,'2024-07-02 00:51:28'),
	(1351,'WOF035900004-WOB00005','WOG00390','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#02.png',0,'2024-07-02 00:51:28'),
	(1352,'WOF035900004-WOB00005','WOG00390','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#02.html',0,'2024-07-02 00:51:28'),
	(1353,'WOF035900004-WOB00005','WOG00391','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#03.png',0,'2024-07-02 00:51:28'),
	(1354,'WOF035900004-WOB00005','WOG00391','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#03.html',0,'2024-07-02 00:51:28'),
	(1355,'WOF035900004-WOB00005','WOG00392','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#04.png',0,'2024-07-02 00:51:28'),
	(1356,'WOF035900004-WOB00005','WOG00392','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#04.html',0,'2024-07-02 00:51:28'),
	(1357,'WOF035900004-WOB00005','WOG00393','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#05.png',0,'2024-07-02 00:51:28'),
	(1358,'WOF035900004-WOB00005','WOG00393','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#05.html',0,'2024-07-02 00:51:28'),
	(1359,'WOF035900004-WOB00005','WOG00394','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#06.png',0,'2024-07-02 00:51:28'),
	(1360,'WOF035900004-WOB00005','WOG00394','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#06.html',0,'2024-07-02 00:51:28'),
	(1361,'WOF035900004-WOB00005','WOG00395','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#07.png',0,'2024-07-02 00:51:28'),
	(1362,'WOF035900004-WOB00005','WOG00395','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#07.html',0,'2024-07-02 00:51:28'),
	(1363,'WOF035900004-WOB00005','WOG00396','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#08.png',0,'2024-07-02 00:51:28'),
	(1364,'WOF035900004-WOB00005','WOG00396','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#08.html',0,'2024-07-02 00:51:28'),
	(1365,'WOF035900004-WOB00005','WOG00397','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#09.png',0,'2024-07-02 00:51:28'),
	(1366,'WOF035900004-WOB00005','WOG00397','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#09.html',0,'2024-07-02 00:51:28'),
	(1367,'WOF035900004-WOB00005','WOG00398','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#10.png',0,'2024-07-02 00:51:28'),
	(1368,'WOF035900004-WOB00005','WOG00398','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#10.html',0,'2024-07-02 00:51:28'),
	(1369,'WOF035900004-WOB00005','WOG00399','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#11.png',0,'2024-07-02 00:51:28'),
	(1370,'WOF035900004-WOB00005','WOG00399','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#11.html',0,'2024-07-02 00:51:28'),
	(1371,'WOF035900004-WOB00005','WOG00400','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#12.png',0,'2024-07-02 00:51:28'),
	(1372,'WOF035900004-WOB00005','WOG00400','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#12.html',0,'2024-07-02 00:51:28'),
	(1373,'WOF035900004-WOB00005','WOG00401','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#13.png',0,'2024-07-02 00:51:28'),
	(1374,'WOF035900004-WOB00005','WOG00401','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#13.html',0,'2024-07-02 00:51:28'),
	(1375,'WOF035900004-WOB00005','WOG00402','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#14.png',0,'2024-07-02 00:51:28'),
	(1376,'WOF035900004-WOB00005','WOG00402','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#14.html',0,'2024-07-02 00:51:28'),
	(1377,'WOF035900004-WOB00005','WOG00403','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#15.png',0,'2024-07-02 00:51:28'),
	(1378,'WOF035900004-WOB00005','WOG00403','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#15.html',0,'2024-07-02 00:51:28'),
	(1379,'WOF035900004-WOB00005','WOG00404','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#16.png',0,'2024-07-02 00:51:28'),
	(1380,'WOF035900004-WOB00005','WOG00404','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#16.html',0,'2024-07-02 00:51:28'),
	(1381,'WOF035900004-WOB00005','WOG00405','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#17.png',0,'2024-07-02 00:51:28'),
	(1382,'WOF035900004-WOB00005','WOG00405','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#17.html',0,'2024-07-02 00:51:28'),
	(1383,'WOF035900004-WOB00005','WOG00406','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#18.png',0,'2024-07-02 00:51:28'),
	(1384,'WOF035900004-WOB00005','WOG00406','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#18.html',0,'2024-07-02 00:51:28'),
	(1385,'WOF035900004-WOB00005','WOG00407','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#19.png',0,'2024-07-02 00:51:28'),
	(1386,'WOF035900004-WOB00005','WOG00407','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#19.html',0,'2024-07-02 00:51:28'),
	(1387,'WOF035900004-WOB00005','WOG00408','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#20.png',0,'2024-07-02 00:51:28'),
	(1388,'WOF035900004-WOB00005','WOG00408','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#20.html',0,'2024-07-02 00:51:28'),
	(1389,'WOF035900004-WOB00005','WOG00409','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#21.png',0,'2024-07-02 00:51:28'),
	(1390,'WOF035900004-WOB00005','WOG00409','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#21.html',0,'2024-07-02 00:51:28'),
	(1391,'WOF035900004-WOB00005','WOG00410','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#22.png',0,'2024-07-02 00:51:28'),
	(1392,'WOF035900004-WOB00005','WOG00410','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#22.html',0,'2024-07-02 00:51:28'),
	(1393,'WOF035900004-WOB00005','WOG00411','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#23.png',0,'2024-07-02 00:51:28'),
	(1394,'WOF035900004-WOB00005','WOG00411','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#23.html',0,'2024-07-02 00:51:28'),
	(1395,'WOF035900004-WOB00005','WOG00412','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#24.png',0,'2024-07-02 00:51:28'),
	(1396,'WOF035900004-WOB00005','WOG00412','cp_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/cp_trend/manual/#24.html',0,'2024-07-02 00:51:28'),
	(1397,'WOF035900004-WOB00005','WOG00389','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#01.png',0,'2024-07-02 00:51:28'),
	(1398,'WOF035900004-WOB00005','WOG00389','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#01.html',0,'2024-07-02 00:51:28'),
	(1399,'WOF035900004-WOB00005','WOG00390','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#02.png',0,'2024-07-02 00:51:28'),
	(1400,'WOF035900004-WOB00005','WOG00390','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#02.html',0,'2024-07-02 00:51:28'),
	(1401,'WOF035900004-WOB00005','WOG00391','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#03.png',0,'2024-07-02 00:51:28'),
	(1402,'WOF035900004-WOB00005','WOG00391','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#03.html',0,'2024-07-02 00:51:28'),
	(1403,'WOF035900004-WOB00005','WOG00392','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#04.png',0,'2024-07-02 00:51:28'),
	(1404,'WOF035900004-WOB00005','WOG00392','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#04.html',0,'2024-07-02 00:51:28'),
	(1405,'WOF035900004-WOB00005','WOG00393','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#05.png',0,'2024-07-02 00:51:28'),
	(1406,'WOF035900004-WOB00005','WOG00393','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#05.html',0,'2024-07-02 00:51:28'),
	(1407,'WOF035900004-WOB00005','WOG00394','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#06.png',0,'2024-07-02 00:51:28'),
	(1408,'WOF035900004-WOB00005','WOG00394','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#06.html',0,'2024-07-02 00:51:28'),
	(1409,'WOF035900004-WOB00005','WOG00395','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#07.png',0,'2024-07-02 00:51:28'),
	(1410,'WOF035900004-WOB00005','WOG00395','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#07.html',0,'2024-07-02 00:51:28'),
	(1411,'WOF035900004-WOB00005','WOG00396','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#08.png',0,'2024-07-02 00:51:28'),
	(1412,'WOF035900004-WOB00005','WOG00396','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#08.html',0,'2024-07-02 00:51:28'),
	(1413,'WOF035900004-WOB00005','WOG00397','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#09.png',0,'2024-07-02 00:51:28'),
	(1414,'WOF035900004-WOB00005','WOG00397','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#09.html',0,'2024-07-02 00:51:28'),
	(1415,'WOF035900004-WOB00005','WOG00398','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#10.png',0,'2024-07-02 00:51:28'),
	(1416,'WOF035900004-WOB00005','WOG00398','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#10.html',0,'2024-07-02 00:51:28'),
	(1417,'WOF035900004-WOB00005','WOG00399','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#11.png',0,'2024-07-02 00:51:28'),
	(1418,'WOF035900004-WOB00005','WOG00399','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#11.html',0,'2024-07-02 00:51:28'),
	(1419,'WOF035900004-WOB00005','WOG00400','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#12.png',0,'2024-07-02 00:51:28'),
	(1420,'WOF035900004-WOB00005','WOG00400','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#12.html',0,'2024-07-02 00:51:28'),
	(1421,'WOF035900004-WOB00005','WOG00401','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#13.png',0,'2024-07-02 00:51:28'),
	(1422,'WOF035900004-WOB00005','WOG00401','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#13.html',0,'2024-07-02 00:51:28'),
	(1423,'WOF035900004-WOB00005','WOG00402','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#14.png',0,'2024-07-02 00:51:28'),
	(1424,'WOF035900004-WOB00005','WOG00402','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#14.html',0,'2024-07-02 00:51:28'),
	(1425,'WOF035900004-WOB00005','WOG00403','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#15.png',0,'2024-07-02 00:51:28'),
	(1426,'WOF035900004-WOB00005','WOG00403','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#15.html',0,'2024-07-02 00:51:28'),
	(1427,'WOF035900004-WOB00005','WOG00404','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#16.png',0,'2024-07-02 00:51:28'),
	(1428,'WOF035900004-WOB00005','WOG00404','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#16.html',0,'2024-07-02 00:51:28'),
	(1429,'WOF035900004-WOB00005','WOG00405','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#17.png',0,'2024-07-02 00:51:28'),
	(1430,'WOF035900004-WOB00005','WOG00405','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#17.html',0,'2024-07-02 00:51:28'),
	(1431,'WOF035900004-WOB00005','WOG00406','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#18.png',0,'2024-07-02 00:51:28'),
	(1432,'WOF035900004-WOB00005','WOG00406','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#18.html',0,'2024-07-02 00:51:28'),
	(1433,'WOF035900004-WOB00005','WOG00407','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#19.png',0,'2024-07-02 00:51:28'),
	(1434,'WOF035900004-WOB00005','WOG00407','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#19.html',0,'2024-07-02 00:51:28'),
	(1435,'WOF035900004-WOB00005','WOG00408','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#20.png',0,'2024-07-02 00:51:28'),
	(1436,'WOF035900004-WOB00005','WOG00408','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#20.html',0,'2024-07-02 00:51:28'),
	(1437,'WOF035900004-WOB00005','WOG00409','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#21.png',0,'2024-07-02 00:51:28'),
	(1438,'WOF035900004-WOB00005','WOG00409','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#21.html',0,'2024-07-02 00:51:28'),
	(1439,'WOF035900004-WOB00005','WOG00410','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#22.png',0,'2024-07-02 00:51:28'),
	(1440,'WOF035900004-WOB00005','WOG00410','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#22.html',0,'2024-07-02 00:51:28'),
	(1441,'WOF035900004-WOB00005','WOG00411','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#23.png',0,'2024-07-02 00:51:28'),
	(1442,'WOF035900004-WOB00005','WOG00411','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#23.html',0,'2024-07-02 00:51:28'),
	(1443,'WOF035900004-WOB00005','WOG00412','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#24.png',0,'2024-07-02 00:51:28'),
	(1444,'WOF035900004-WOB00005','WOG00412','tsr','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr/manual/#24.html',0,'2024-07-02 00:51:28'),
	(1445,'WOF035900004-WOB00005','WOG00389','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#01.png',0,'2024-07-02 00:51:28'),
	(1446,'WOF035900004-WOB00005','WOG00389','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#01.html',0,'2024-07-02 00:51:28'),
	(1447,'WOF035900004-WOB00005','WOG00390','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#02.png',0,'2024-07-02 00:51:28'),
	(1448,'WOF035900004-WOB00005','WOG00390','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#02.html',0,'2024-07-02 00:51:28'),
	(1449,'WOF035900004-WOB00005','WOG00391','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#03.png',0,'2024-07-02 00:51:28'),
	(1450,'WOF035900004-WOB00005','WOG00391','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#03.html',0,'2024-07-02 00:51:28'),
	(1451,'WOF035900004-WOB00005','WOG00392','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#04.png',0,'2024-07-02 00:51:28'),
	(1452,'WOF035900004-WOB00005','WOG00392','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#04.html',0,'2024-07-02 00:51:28'),
	(1453,'WOF035900004-WOB00005','WOG00393','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#05.png',0,'2024-07-02 00:51:28'),
	(1454,'WOF035900004-WOB00005','WOG00393','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#05.html',0,'2024-07-02 00:51:28'),
	(1455,'WOF035900004-WOB00005','WOG00394','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#06.png',0,'2024-07-02 00:51:28'),
	(1456,'WOF035900004-WOB00005','WOG00394','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#06.html',0,'2024-07-02 00:51:28'),
	(1457,'WOF035900004-WOB00005','WOG00395','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#07.png',0,'2024-07-02 00:51:28'),
	(1458,'WOF035900004-WOB00005','WOG00395','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#07.html',0,'2024-07-02 00:51:28'),
	(1459,'WOF035900004-WOB00005','WOG00396','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#08.png',0,'2024-07-02 00:51:28'),
	(1460,'WOF035900004-WOB00005','WOG00396','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#08.html',0,'2024-07-02 00:51:28'),
	(1461,'WOF035900004-WOB00005','WOG00397','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#09.png',0,'2024-07-02 00:51:28'),
	(1462,'WOF035900004-WOB00005','WOG00397','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#09.html',0,'2024-07-02 00:51:28'),
	(1463,'WOF035900004-WOB00005','WOG00398','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#10.png',0,'2024-07-02 00:51:28'),
	(1464,'WOF035900004-WOB00005','WOG00398','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#10.html',0,'2024-07-02 00:51:28'),
	(1465,'WOF035900004-WOB00005','WOG00399','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#11.png',0,'2024-07-02 00:51:28'),
	(1466,'WOF035900004-WOB00005','WOG00399','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#11.html',0,'2024-07-02 00:51:28'),
	(1467,'WOF035900004-WOB00005','WOG00400','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#12.png',0,'2024-07-02 00:51:28'),
	(1468,'WOF035900004-WOB00005','WOG00400','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#12.html',0,'2024-07-02 00:51:28'),
	(1469,'WOF035900004-WOB00005','WOG00401','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#13.png',0,'2024-07-02 00:51:28'),
	(1470,'WOF035900004-WOB00005','WOG00401','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#13.html',0,'2024-07-02 00:51:28'),
	(1471,'WOF035900004-WOB00005','WOG00402','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#14.png',0,'2024-07-02 00:51:28'),
	(1472,'WOF035900004-WOB00005','WOG00402','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#14.html',0,'2024-07-02 00:51:28'),
	(1473,'WOF035900004-WOB00005','WOG00403','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#15.png',0,'2024-07-02 00:51:28'),
	(1474,'WOF035900004-WOB00005','WOG00403','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#15.html',0,'2024-07-02 00:51:28'),
	(1475,'WOF035900004-WOB00005','WOG00404','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#16.png',0,'2024-07-02 00:51:28'),
	(1476,'WOF035900004-WOB00005','WOG00404','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#16.html',0,'2024-07-02 00:51:28'),
	(1477,'WOF035900004-WOB00005','WOG00405','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#17.png',0,'2024-07-02 00:51:28'),
	(1478,'WOF035900004-WOB00005','WOG00405','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#17.html',0,'2024-07-02 00:51:28'),
	(1479,'WOF035900004-WOB00005','WOG00406','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#18.png',0,'2024-07-02 00:51:28'),
	(1480,'WOF035900004-WOB00005','WOG00406','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#18.html',0,'2024-07-02 00:51:28'),
	(1481,'WOF035900004-WOB00005','WOG00407','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#19.png',0,'2024-07-02 00:51:28'),
	(1482,'WOF035900004-WOB00005','WOG00407','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#19.html',0,'2024-07-02 00:51:28'),
	(1483,'WOF035900004-WOB00005','WOG00408','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#20.png',0,'2024-07-02 00:51:28'),
	(1484,'WOF035900004-WOB00005','WOG00408','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#20.html',0,'2024-07-02 00:51:28'),
	(1485,'WOF035900004-WOB00005','WOG00409','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#21.png',0,'2024-07-02 00:51:28'),
	(1486,'WOF035900004-WOB00005','WOG00409','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#21.html',0,'2024-07-02 00:51:28'),
	(1487,'WOF035900004-WOB00005','WOG00410','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#22.png',0,'2024-07-02 00:51:28'),
	(1488,'WOF035900004-WOB00005','WOG00410','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#22.html',0,'2024-07-02 00:51:28'),
	(1489,'WOF035900004-WOB00005','WOG00411','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#23.png',0,'2024-07-02 00:51:28'),
	(1490,'WOF035900004-WOB00005','WOG00411','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#23.html',0,'2024-07-02 00:51:28'),
	(1491,'WOF035900004-WOB00005','WOG00412','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#24.png',0,'2024-07-02 00:51:28'),
	(1492,'WOF035900004-WOB00005','WOG00412','tsr_trend','http://106.120.102.238:16900/wof035900004/WOF035900004-WOB00005/tsr_trend/manual/#24.html',0,'2024-07-02 00:51:28');

/*!40000 ALTER TABLE `analysis_diagram_relation_copy1` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table analysis_general_file
# ------------------------------------------------------------

DROP TABLE IF EXISTS `analysis_general_file`;

CREATE TABLE `analysis_general_file` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `batch_code` varchar(50) NOT NULL DEFAULT '' COMMENT '批次号',
  `analysis_type_code` varchar(50) NOT NULL DEFAULT '' COMMENT '分析类型编号',
  `file_addr` varchar(650) NOT NULL DEFAULT '' COMMENT '总文件地址minIO',
  `auto_analysis` tinyint(1) NOT NULL DEFAULT '1' COMMENT '是否自动分析(0:否 1：是)',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `index_file_unique` (`batch_code`,`analysis_type_code`,`file_addr`) USING BTREE COMMENT '唯一索引',
  KEY `index_batch_code` (`batch_code`) USING BTREE COMMENT '批次索引'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分析结果总文件信息表 ';

LOCK TABLES `analysis_general_file` WRITE;
/*!40000 ALTER TABLE `analysis_general_file` DISABLE KEYS */;

INSERT INTO `analysis_general_file` (`id`, `batch_code`, `analysis_type_code`, `file_addr`, `auto_analysis`, `create_time`)
VALUES
	(1,'WOF085500002-WOB00004','speed_torque','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/speed_torque/manual/speed_torque.html',0,'2024-06-26 12:14:36'),
	(2,'WOF085500002-WOB00004','speed_power','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/speed_power/manual/speed_power.html',0,'2024-06-26 12:14:36'),
	(3,'WOF085500002-WOB00004','temperature_large_components','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/temperature_large_components/manual/main_bearing_temperature/main_bearing_temperature.png',0,'2024-06-26 12:14:36'),
	(4,'WOF085500002-WOB00004','temperature_large_components','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/temperature_large_components/manual/main_bearing_temperature/main_bearing_temperature.html',0,'2024-06-26 12:14:36'),
	(5,'WOF085500002-WOB00004','temperature_large_components','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/gearbox_low_speed_shaft_bearing_temperature.png',0,'2024-06-26 12:14:36'),
	(6,'WOF085500002-WOB00004','temperature_large_components','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/gearbox_low_speed_shaft_bearing_temperature.html',0,'2024-06-26 12:14:36'),
	(7,'WOF085500002-WOB00004','temperature_large_components','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/gearbox_high_speed_shaft_bearing_temperature.png',0,'2024-06-26 12:14:36'),
	(8,'WOF085500002-WOB00004','temperature_large_components','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/gearbox_high_speed_shaft_bearing_temperature.html',0,'2024-06-26 12:14:36'),
	(9,'WOF085500002-WOB00004','temperature_large_components','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/temperature_large_components/manual/generatordrive_end_bearing_temperature/generatordrive_end_bearing_temperature.png',0,'2024-06-26 12:14:36'),
	(10,'WOF085500002-WOB00004','temperature_large_components','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/temperature_large_components/manual/generatordrive_end_bearing_temperature/generatordrive_end_bearing_temperature.html',0,'2024-06-26 12:14:36'),
	(11,'WOF085500002-WOB00004','temperature_large_components','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/generatornon_drive_end_bearing_temperature.png',0,'2024-06-26 12:14:36'),
	(12,'WOF085500002-WOB00004','temperature_large_components','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/generatornon_drive_end_bearing_temperature.html',0,'2024-06-26 12:14:36'),
	(13,'WOF085500002-WOB00004','temperature_large_components','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/temperature_large_components/manual/generator_winding1_temperature/generator_winding1_temperature.png',0,'2024-06-26 12:14:36'),
	(14,'WOF085500002-WOB00004','temperature_large_components','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/temperature_large_components/manual/generator_winding1_temperature/generator_winding1_temperature.html',0,'2024-06-26 12:14:36'),
	(15,'WOF085500002-WOB00004','power_curve','http://192.168.50.234:6900/wof085500002/WOF085500002-WOB00004/power_curve/manual/全场-昌平坳风电场功率曲线.html',0,'2024-06-26 12:14:36'),
	(416,'WOF091200006-WOB00008','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/manual/元梁山风电场-Cp-Distribution.html',0,'2024-07-05 18:23:57'),
	(417,'WOF091200006-WOB00008','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/元梁山风电场-Cp-Distribution.html',0,'2024-07-05 18:23:57'),
	(418,'WOF091200006-WOB00008','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/manual/元梁山风电场-TSR-Distribution.html',0,'2024-07-05 18:23:57'),
	(419,'WOF091200006-WOB00008','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/元梁山风电场-TSR-Distribution.html',0,'2024-07-05 18:23:57'),
	(420,'WOF091200006-WOB00008','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/manual/yaw_error_result.csv',0,'2024-07-05 18:23:57'),
	(423,'WOF091200006-WOB00008','data_integrity_minute','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/data_integrity_minute/automatic/元梁山风电场数据完整度分析.png',1,'2024-07-05 18:23:57'),
	(424,'WOF091200006-WOB00008','data_integrity_minute','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/data_integrity_minute/automatic/元梁山风电场数据完整度分析.html',1,'2024-07-05 18:23:57'),
	(425,'WOF091200006-WOB00008','data_integrity_second','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/data_integrity_second/automatic/元梁山风电场数据完整度分析.png',1,'2024-07-05 18:23:57'),
	(426,'WOF091200006-WOB00008','data_integrity_second','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/data_integrity_second/automatic/元梁山风电场数据完整度分析.html',1,'2024-07-05 18:23:57'),
	(427,'WOF091200006-WOB00008','wind_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed/automatic/WindSpeedAvg_Turbines.png',1,'2024-07-05 18:23:57'),
	(428,'WOF091200006-WOB00008','wind_speed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/wind_speed/automatic/WindSpeedAvg_Turbines.html',1,'2024-07-05 18:23:57'),
	(429,'WOF091200006-WOB00008','power_curve','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/power_curve/automatic/全场-元梁山风电场功率曲线.html',1,'2024-07-05 18:23:57'),
	(430,'WOF091200006-WOB00008','rated_power_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/rated_power_windspeed/automatic/额定满发风速功率分布(10min)(环境温度大于25度).png',1,'2024-07-05 18:23:57'),
	(431,'WOF091200006-WOB00008','rated_power_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/rated_power_windspeed/automatic/额定满发风速功率分布(10min)(环境温度大于25度).html',1,'2024-07-05 18:23:57'),
	(432,'WOF091200006-WOB00008','rated_power_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/rated_power_windspeed/automatic/额定满发风速功率分布(10min)(环境温度小于25度).png',1,'2024-07-05 18:23:57'),
	(433,'WOF091200006-WOB00008','rated_power_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/rated_power_windspeed/automatic/额定满发风速功率分布(10min)(环境温度小于25度).html',1,'2024-07-05 18:23:57'),
	(434,'WOF091200006-WOB00008','rated_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/rated_windspeed/automatic/风速区间数据计数.png',1,'2024-07-05 18:23:57'),
	(435,'WOF091200006-WOB00008','rated_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/rated_windspeed/automatic/风速区间数据计数.html',1,'2024-07-05 18:23:57'),
	(436,'WOF091200006-WOB00008','cp','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp/automatic/元梁山风电场-Cp-Distribution.html',1,'2024-07-05 18:23:57'),
	(437,'WOF091200006-WOB00008','cp_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/cp_windspeed/automatic/元梁山风电场-Cp-Distribution.html',1,'2024-07-05 18:23:57'),
	(438,'WOF091200006-WOB00008','tsr','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr/automatic/元梁山风电场-TSR-Distribution.html',1,'2024-07-05 18:23:57'),
	(439,'WOF091200006-WOB00008','tsr_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/tsr_windspeed/automatic/元梁山风电场-TSR-Distribution.html',1,'2024-07-05 18:23:57'),
	(440,'WOF091200006-WOB00008','speed_power','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_power/automatic/speed_power.html',1,'2024-07-05 18:23:57'),
	(441,'WOF091200006-WOB00008','speed_torque','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/speed_torque/automatic/speed_torque.html',1,'2024-07-05 18:23:57'),
	(442,'WOF091200006-WOB00008','yaw_error','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/yaw_error/automatic/yaw_error_result.csv',1,'2024-07-05 18:23:57'),
	(443,'WOF091200006-WOB00008','temperature_environment','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_environment/automatic/元梁山风电场环境温差Bias.png',1,'2024-07-05 18:23:57'),
	(444,'WOF091200006-WOB00008','temperature_environment','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_environment/automatic/元梁山风电场环境温差Bias.html',1,'2024-07-05 18:23:57'),
	(445,'WOF091200006-WOB00008','temperature_environment','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_environment/automatic/元梁山风电场环境温度中位数.png',1,'2024-07-05 18:23:57'),
	(446,'WOF091200006-WOB00008','temperature_environment','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_environment/automatic/元梁山风电场环境温度中位数.html',1,'2024-07-05 18:23:57'),
	(447,'WOF091200006-WOB00008','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/main_bearing_temperature.png',1,'2024-07-05 18:23:57'),
	(448,'WOF091200006-WOB00008','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/main_bearing_temperature/main_bearing_temperature.html',1,'2024-07-05 18:23:57'),
	(449,'WOF091200006-WOB00008','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/gearbox_low_speed_shaft_bearing_temperature.png',1,'2024-07-05 18:23:57'),
	(450,'WOF091200006-WOB00008','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/gearbox_low_speed_shaft_bearing_temperature.html',1,'2024-07-05 18:23:57'),
	(451,'WOF091200006-WOB00008','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/gearbox_high_speed_shaft_bearing_temperature.png',1,'2024-07-05 18:23:57'),
	(452,'WOF091200006-WOB00008','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/gearbox_high_speed_shaft_bearing_temperature.html',1,'2024-07-05 18:23:57'),
	(453,'WOF091200006-WOB00008','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/generatordrive_end_bearing_temperature.png',1,'2024-07-05 18:23:57'),
	(454,'WOF091200006-WOB00008','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatordrive_end_bearing_temperature/generatordrive_end_bearing_temperature.html',1,'2024-07-05 18:23:57'),
	(455,'WOF091200006-WOB00008','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/generatornon_drive_end_bearing_temperature.png',1,'2024-07-05 18:23:57'),
	(456,'WOF091200006-WOB00008','temperature_large_components','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/generatornon_drive_end_bearing_temperature.html',1,'2024-07-05 18:23:57'),
	(457,'WOF035900004-WOB00009','data_integrity_second','http://192.168.50.234:6900/wof035900004/WOF035900004-WOB00009/data_integrity_second/manual/平陆风电场数据完整度分析.png',0,'2024-07-05 18:23:57'),
	(458,'WOF035900004-WOB00009','data_integrity_second','http://192.168.50.234:6900/wof035900004/WOF035900004-WOB00009/data_integrity_second/manual/平陆风电场数据完整度分析.html',0,'2024-07-05 18:23:57'),
	(459,'WOF035900004-WOB00007','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%E9%BD%BF%E8%BD%AE%E7%AE%B1%E4%BD%8E%E9%80%9F%E8%BD%B4%E6%B8%A9%E5%BA%A6.html',0,'2024-07-08 17:53:30'),
	(460,'WOF035900004-WOB00007','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%E9%BD%BF%E8%BD%AE%E7%AE%B1%E9%AB%98%E9%80%9F%E8%BD%B4%E6%B8%A9%E5%BA%A6.html',0,'2024-07-08 17:53:30'),
	(461,'WOF035900004-WOB00007','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/generatordrive_end_bearing_temperature/%E5%8F%91%E7%94%B5%E6%9C%BA%E9%A9%B1%E5%8A%A8%E7%AB%AF%E8%BD%B4%E6%89%BF%E6%B8%A9%E5%BA%A6.html',0,'2024-07-08 17:53:30'),
	(462,'WOF035900004-WOB00007','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%E5%8F%91%E7%94%B5%E6%9C%BA%E9%9D%9E%E9%A9%B1%E5%8A%A8%E7%AB%AF%E8%BD%B4%E6%89%BF%E6%B8%A9%E5%BA%A6.html',0,'2024-07-08 17:53:30'),
	(463,'WOF035900004-WOB00007','temperature_large_components','wof035900004/WOF035900004-WOB00007/temperature_large_components/manual/generator_winding1_temperature/%E5%8F%91%E7%94%B5%E6%9C%BA%E7%BB%95%E7%BB%84%E6%B8%A9%E5%BA%A6.html',0,'2024-07-08 17:53:30'),
	(464,'WOF035900004-WOB00005','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%E9%BD%BF%E8%BD%AE%E7%AE%B1%E4%BD%8E%E9%80%9F%E8%BD%B4%E6%B8%A9%E5%BA%A6.html',0,'2024-07-08 17:53:30'),
	(465,'WOF035900004-WOB00005','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%E9%BD%BF%E8%BD%AE%E7%AE%B1%E9%AB%98%E9%80%9F%E8%BD%B4%E6%B8%A9%E5%BA%A6.html',0,'2024-07-08 17:53:30'),
	(466,'WOF035900004-WOB00005','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatordrive_end_bearing_temperature/%E5%8F%91%E7%94%B5%E6%9C%BA%E9%A9%B1%E5%8A%A8%E7%AB%AF%E8%BD%B4%E6%89%BF%E6%B8%A9%E5%BA%A6.html',0,'2024-07-08 17:53:30'),
	(467,'WOF035900004-WOB00005','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%E5%8F%91%E7%94%B5%E6%9C%BA%E9%9D%9E%E9%A9%B1%E5%8A%A8%E7%AB%AF%E8%BD%B4%E6%89%BF%E6%B8%A9%E5%BA%A6.html',0,'2024-07-08 17:53:30'),
	(468,'WOF035900004-WOB00005','temperature_large_components','wof035900004/WOF035900004-WOB00005/temperature_large_components/manual/generator_winding1_temperature/%E5%8F%91%E7%94%B5%E6%9C%BA%E7%BB%95%E7%BB%84%E6%B8%A9%E5%BA%A6.html',0,'2024-07-08 17:53:30'),
	(477,'WOF091200006-WOB00008','rated_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/rated_windspeed/manual/风速区间数据计数.png',0,'2024-07-05 18:23:57'),
	(478,'WOF091200006-WOB00008','rated_windspeed','http://192.168.50.234:6900/wof091200006/WOF091200006-WOB00008/rated_windspeed/manual/风速区间数据计数.html',0,'2024-07-05 18:23:57'),
	(479,'WOF035900004-WOB00009','data_integrity_minute','wof035900004/WOF035900004-WOB00009/data_integrity_minute/manual/%E5%B9%B3%E9%99%86%E9%A3%8E%E7%94%B5%E5%9C%BA%E6%95%B0%E6%8D%AE%E5%AE%8C%E6%95%B4%E5%BA%A6%E5%88%86%E6%9E%90.png',0,'2024-07-08 21:14:13'),
	(480,'WOF035900004-WOB00009','data_integrity_minute','wof035900004/WOF035900004-WOB00009/data_integrity_minute/manual/%E5%B9%B3%E9%99%86%E9%A3%8E%E7%94%B5%E5%9C%BA%E6%95%B0%E6%8D%AE%E5%AE%8C%E6%95%B4%E5%BA%A6%E5%88%86%E6%9E%90.html',0,'2024-07-08 21:14:13'),
	(481,'WOF091200006-WOB00008','cp','wof091200006/WOF091200006-WOB00008/cp/manual/%E5%85%83%E6%A2%81%E5%B1%B1%E9%A3%8E%E7%94%B5%E5%9C%BA-Cp-Distribution.html',0,'2024-07-09 11:41:58'),
	(482,'WOF093400005-WOB00006','data_integrity_minute','wof093400005/WOF093400005-WOB00006/data_integrity_minute/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E6%95%B0%E6%8D%AE%E5%AE%8C%E6%95%B4%E5%BA%A6%E5%88%86%E6%9E%90.png',1,'2024-07-09 11:41:58'),
	(483,'WOF093400005-WOB00006','data_integrity_minute','wof093400005/WOF093400005-WOB00006/data_integrity_minute/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E6%95%B0%E6%8D%AE%E5%AE%8C%E6%95%B4%E5%BA%A6%E5%88%86%E6%9E%90.html',1,'2024-07-09 11:41:58'),
	(484,'WOF093400005-WOB00006','data_integrity_second','wof093400005/WOF093400005-WOB00006/data_integrity_second/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E6%95%B0%E6%8D%AE%E5%AE%8C%E6%95%B4%E5%BA%A6%E5%88%86%E6%9E%90.png',1,'2024-07-09 11:41:58'),
	(485,'WOF093400005-WOB00006','data_integrity_second','wof093400005/WOF093400005-WOB00006/data_integrity_second/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E6%95%B0%E6%8D%AE%E5%AE%8C%E6%95%B4%E5%BA%A6%E5%88%86%E6%9E%90.html',1,'2024-07-09 11:41:58'),
	(486,'WOF093400005-WOB00006','wind_speed','wof093400005/WOF093400005-WOB00006/wind_speed/automatic/WindSpeedAvg_Turbines.png',1,'2024-07-09 11:41:58'),
	(487,'WOF093400005-WOB00006','wind_speed','wof093400005/WOF093400005-WOB00006/wind_speed/automatic/WindSpeedAvg_Turbines.html',1,'2024-07-09 11:41:58'),
	(488,'WOF093400005-WOB00006','power_curve','wof093400005/WOF093400005-WOB00006/power_curve/automatic/%E5%85%A8%E5%9C%BA-%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E5%8A%9F%E7%8E%87%E6%9B%B2%E7%BA%BF.html',1,'2024-07-09 11:41:58'),
	(489,'WOF093400005-WOB00006','rated_power_windspeed','wof093400005/WOF093400005-WOB00006/rated_power_windspeed/automatic/%E9%A2%9D%E5%AE%9A%E6%BB%A1%E5%8F%91%E9%A3%8E%E9%80%9F%E5%8A%9F%E7%8E%87%E5%88%86%E5%B8%83%2810min%29%28%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%BA%A6%E5%A4%A7%E4%BA%8E25%E5%BA%A6%29.png',1,'2024-07-09 11:41:58'),
	(490,'WOF093400005-WOB00006','rated_power_windspeed','wof093400005/WOF093400005-WOB00006/rated_power_windspeed/automatic/%E9%A2%9D%E5%AE%9A%E6%BB%A1%E5%8F%91%E9%A3%8E%E9%80%9F%E5%8A%9F%E7%8E%87%E5%88%86%E5%B8%83%2810min%29%28%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%BA%A6%E5%A4%A7%E4%BA%8E25%E5%BA%A6%29.html',1,'2024-07-09 11:41:58'),
	(491,'WOF093400005-WOB00006','rated_power_windspeed','wof093400005/WOF093400005-WOB00006/rated_power_windspeed/automatic/%E9%A2%9D%E5%AE%9A%E6%BB%A1%E5%8F%91%E9%A3%8E%E9%80%9F%E5%8A%9F%E7%8E%87%E5%88%86%E5%B8%83%2810min%29%28%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%BA%A6%E5%B0%8F%E4%BA%8E25%E5%BA%A6%29.png',1,'2024-07-09 11:41:58'),
	(492,'WOF093400005-WOB00006','rated_power_windspeed','wof093400005/WOF093400005-WOB00006/rated_power_windspeed/automatic/%E9%A2%9D%E5%AE%9A%E6%BB%A1%E5%8F%91%E9%A3%8E%E9%80%9F%E5%8A%9F%E7%8E%87%E5%88%86%E5%B8%83%2810min%29%28%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%BA%A6%E5%B0%8F%E4%BA%8E25%E5%BA%A6%29.html',1,'2024-07-09 11:41:58'),
	(493,'WOF093400005-WOB00006','rated_windspeed','wof093400005/WOF093400005-WOB00006/rated_windspeed/automatic/%E9%A3%8E%E9%80%9F%E5%8C%BA%E9%97%B4%E6%95%B0%E6%8D%AE%E8%AE%A1%E6%95%B0.png',1,'2024-07-09 11:41:58'),
	(494,'WOF093400005-WOB00006','rated_windspeed','wof093400005/WOF093400005-WOB00006/rated_windspeed/automatic/%E9%A3%8E%E9%80%9F%E5%8C%BA%E9%97%B4%E6%95%B0%E6%8D%AE%E8%AE%A1%E6%95%B0.html',1,'2024-07-09 11:41:58'),
	(495,'WOF093400005-WOB00006','cp','wof093400005/WOF093400005-WOB00006/cp/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA-Cp-Distribution.html',1,'2024-07-09 11:41:58'),
	(496,'WOF093400005-WOB00006','cp_windspeed','wof093400005/WOF093400005-WOB00006/cp_windspeed/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA-Cp-Distribution.html',1,'2024-07-09 11:41:58'),
	(497,'WOF093400005-WOB00006','tsr','wof093400005/WOF093400005-WOB00006/tsr/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA-TSR-Distribution.html',1,'2024-07-09 11:41:58'),
	(498,'WOF093400005-WOB00006','tsr_windspeed','wof093400005/WOF093400005-WOB00006/tsr_windspeed/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA-TSR-Distribution.html',1,'2024-07-09 11:41:58'),
	(499,'WOF093400005-WOB00006','speed_power','wof093400005/WOF093400005-WOB00006/speed_power/automatic/speed_power.html',1,'2024-07-09 11:41:58'),
	(500,'WOF093400005-WOB00006','speed_torque','wof093400005/WOF093400005-WOB00006/speed_torque/automatic/speed_torque.html',1,'2024-07-09 11:41:58'),
	(501,'WOF093400005-WOB00006','yaw_error','wof093400005/WOF093400005-WOB00006/yaw_error/automatic/yaw_error_result.csv',1,'2024-07-09 11:41:58'),
	(502,'WOF093400005-WOB00006','temperature_environment','wof093400005/WOF093400005-WOB00006/temperature_environment/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%B7%AEBias.png',1,'2024-07-09 11:41:58'),
	(503,'WOF093400005-WOB00006','temperature_environment','wof093400005/WOF093400005-WOB00006/temperature_environment/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%B7%AEBias.html',1,'2024-07-09 11:41:58'),
	(504,'WOF093400005-WOB00006','temperature_environment','wof093400005/WOF093400005-WOB00006/temperature_environment/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%BA%A6%E4%B8%AD%E4%BD%8D%E6%95%B0.png',1,'2024-07-09 11:41:58'),
	(505,'WOF093400005-WOB00006','temperature_environment','wof093400005/WOF093400005-WOB00006/temperature_environment/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%BA%A6%E4%B8%AD%E4%BD%8D%E6%95%B0.html',1,'2024-07-09 11:41:58'),
	(506,'WOF093400005-WOB00006','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/main_bearing_temperature/%E4%B8%BB%E8%BD%B4%E6%89%BF%E6%B8%A9%E5%BA%A6.html',1,'2024-07-09 11:41:58'),
	(507,'WOF093400005-WOB00006','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/%E9%BD%BF%E8%BD%AE%E7%AE%B1%E4%BD%8E%E9%80%9F%E8%BD%B4%E6%B8%A9%E5%BA%A6.html',1,'2024-07-09 11:41:58'),
	(508,'WOF093400005-WOB00006','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/%E9%BD%BF%E8%BD%AE%E7%AE%B1%E9%AB%98%E9%80%9F%E8%BD%B4%E6%B8%A9%E5%BA%A6.html',1,'2024-07-09 11:41:58'),
	(509,'WOF093400005-WOB00006','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatordrive_end_bearing_temperature/%E5%8F%91%E7%94%B5%E6%9C%BA%E9%A9%B1%E5%8A%A8%E7%AB%AF%E8%BD%B4%E6%89%BF%E6%B8%A9%E5%BA%A6.html',1,'2024-07-09 11:41:58'),
	(510,'WOF093400005-WOB00006','temperature_large_components','wof093400005/WOF093400005-WOB00006/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/%E5%8F%91%E7%94%B5%E6%9C%BA%E9%9D%9E%E9%A9%B1%E5%8A%A8%E7%AB%AF%E8%BD%B4%E6%89%BF%E6%B8%A9%E5%BA%A6.html',1,'2024-07-09 11:41:58'),
	(512,'WOF091200006-WOB00008','cp_windspeed','wof091200006/WOF091200006-WOB00008/cp_windspeed/manual/%E5%85%83%E6%A2%81%E5%B1%B1%E9%A3%8E%E7%94%B5%E5%9C%BA-Cp-Distribution.html',0,'2024-07-10 14:16:02'),
	(513,'WOF091200006-WOB00008','tsr','wof091200006/WOF091200006-WOB00008/tsr/manual/%E5%85%83%E6%A2%81%E5%B1%B1%E9%A3%8E%E7%94%B5%E5%9C%BA-TSR-Distribution.html',0,'2024-07-10 14:16:02'),
	(514,'WOF091200006-WOB00008','tsr_windspeed','wof091200006/WOF091200006-WOB00008/tsr_windspeed/manual/%E5%85%83%E6%A2%81%E5%B1%B1%E9%A3%8E%E7%94%B5%E5%9C%BA-TSR-Distribution.html',0,'2024-07-10 14:16:02'),
	(519,'WOF035200003-WOB000001','data_integrity_minute','wof035200003/WOF035200003-WOB000001/data_integrity_minute/manual/%E5%AF%86%E9%A9%AC%E9%A3%8E%E7%94%B5%E5%9C%BA%E6%95%B0%E6%8D%AE%E5%AE%8C%E6%95%B4%E5%BA%A6%E5%88%86%E6%9E%90.png',0,'2024-07-10 17:23:43'),
	(520,'WOF035200003-WOB000001','data_integrity_minute','wof035200003/WOF035200003-WOB000001/data_integrity_minute/manual/%E5%AF%86%E9%A9%AC%E9%A3%8E%E7%94%B5%E5%9C%BA%E6%95%B0%E6%8D%AE%E5%AE%8C%E6%95%B4%E5%BA%A6%E5%88%86%E6%9E%90.html',0,'2024-07-10 17:23:43'),
	(521,'WOF035200003-WOB000001','wind_speed','wof035200003/WOF035200003-WOB000001/wind_speed/manual/WindSpeedAvg_Turbines.png',0,'2024-07-10 17:23:43'),
	(522,'WOF035200003-WOB000001','wind_speed','wof035200003/WOF035200003-WOB000001/wind_speed/manual/WindSpeedAvg_Turbines.html',0,'2024-07-10 17:23:43'),
	(523,'WOF035200003-WOB000001','power_curve','wof035200003/WOF035200003-WOB000001/power_curve/manual/%E5%85%A8%E5%9C%BA-%E5%AF%86%E9%A9%AC%E9%A3%8E%E7%94%B5%E5%9C%BA%E5%8A%9F%E7%8E%87%E6%9B%B2%E7%BA%BF.html',0,'2024-07-10 17:23:43'),
	(524,'WOF035200003-WOB000001','rated_power_windspeed','wof035200003/WOF035200003-WOB000001/rated_power_windspeed/manual/%E9%A2%9D%E5%AE%9A%E6%BB%A1%E5%8F%91%E9%A3%8E%E9%80%9F%E5%8A%9F%E7%8E%87%E5%88%86%E5%B8%83%2810min%29%28%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%BA%A6%E5%A4%A7%E4%BA%8E25%E5%BA%A6%29.png',0,'2024-07-10 17:23:43'),
	(525,'WOF035200003-WOB000001','rated_power_windspeed','wof035200003/WOF035200003-WOB000001/rated_power_windspeed/manual/%E9%A2%9D%E5%AE%9A%E6%BB%A1%E5%8F%91%E9%A3%8E%E9%80%9F%E5%8A%9F%E7%8E%87%E5%88%86%E5%B8%83%2810min%29%28%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%BA%A6%E5%A4%A7%E4%BA%8E25%E5%BA%A6%29.html',0,'2024-07-10 17:23:43'),
	(526,'WOF035200003-WOB000001','rated_power_windspeed','wof035200003/WOF035200003-WOB000001/rated_power_windspeed/manual/%E9%A2%9D%E5%AE%9A%E6%BB%A1%E5%8F%91%E9%A3%8E%E9%80%9F%E5%8A%9F%E7%8E%87%E5%88%86%E5%B8%83%2810min%29%28%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%BA%A6%E5%B0%8F%E4%BA%8E25%E5%BA%A6%29.png',0,'2024-07-10 17:23:43'),
	(527,'WOF035200003-WOB000001','rated_power_windspeed','wof035200003/WOF035200003-WOB000001/rated_power_windspeed/manual/%E9%A2%9D%E5%AE%9A%E6%BB%A1%E5%8F%91%E9%A3%8E%E9%80%9F%E5%8A%9F%E7%8E%87%E5%88%86%E5%B8%83%2810min%29%28%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%BA%A6%E5%B0%8F%E4%BA%8E25%E5%BA%A6%29.html',0,'2024-07-10 17:23:43'),
	(528,'WOF035200003-WOB000001','rated_windspeed','wof035200003/WOF035200003-WOB000001/rated_windspeed/manual/%E9%A3%8E%E9%80%9F%E5%8C%BA%E9%97%B4%E6%95%B0%E6%8D%AE%E8%AE%A1%E6%95%B0.png',0,'2024-07-10 17:23:43'),
	(529,'WOF035200003-WOB000001','rated_windspeed','wof035200003/WOF035200003-WOB000001/rated_windspeed/manual/%E9%A3%8E%E9%80%9F%E5%8C%BA%E9%97%B4%E6%95%B0%E6%8D%AE%E8%AE%A1%E6%95%B0.html',0,'2024-07-10 17:23:43'),
	(530,'WOF035200003-WOB000001','speed_power','wof035200003/WOF035200003-WOB000001/speed_power/manual/speed_power.html',0,'2024-07-10 17:23:43'),
	(531,'WOF035200003-WOB000001','speed_torque','wof035200003/WOF035200003-WOB000001/speed_torque/manual/speed_torque.html',0,'2024-07-10 17:23:43'),
	(532,'WOF035200003-WOB000001','temperature_environment','wof035200003/WOF035200003-WOB000001/temperature_environment/manual/%E5%AF%86%E9%A9%AC%E9%A3%8E%E7%94%B5%E5%9C%BA%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%B7%AEBias.png',0,'2024-07-10 17:23:43'),
	(533,'WOF035200003-WOB000001','temperature_environment','wof035200003/WOF035200003-WOB000001/temperature_environment/manual/%E5%AF%86%E9%A9%AC%E9%A3%8E%E7%94%B5%E5%9C%BA%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%B7%AEBias.html',0,'2024-07-10 17:23:43'),
	(534,'WOF035200003-WOB000001','temperature_environment','wof035200003/WOF035200003-WOB000001/temperature_environment/manual/%E5%AF%86%E9%A9%AC%E9%A3%8E%E7%94%B5%E5%9C%BA%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%BA%A6%E4%B8%AD%E4%BD%8D%E6%95%B0.png',0,'2024-07-10 17:23:43'),
	(535,'WOF035200003-WOB000001','temperature_environment','wof035200003/WOF035200003-WOB000001/temperature_environment/manual/%E5%AF%86%E9%A9%AC%E9%A3%8E%E7%94%B5%E5%9C%BA%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%BA%A6%E4%B8%AD%E4%BD%8D%E6%95%B0.html',0,'2024-07-10 17:23:43'),
	(536,'WOF035200003-WOB000001','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/main_bearing_temperature/%E4%B8%BB%E8%BD%B4%E6%89%BF%E6%B8%A9%E5%BA%A6.html',0,'2024-07-10 17:23:43'),
	(537,'WOF035200003-WOB000001','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_low_speed_shaft_bearing_temperature/%E9%BD%BF%E8%BD%AE%E7%AE%B1%E4%BD%8E%E9%80%9F%E8%BD%B4%E6%B8%A9%E5%BA%A6.html',0,'2024-07-10 17:23:43'),
	(538,'WOF035200003-WOB000001','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/gearbox_high_speed_shaft_bearing_temperature/%E9%BD%BF%E8%BD%AE%E7%AE%B1%E9%AB%98%E9%80%9F%E8%BD%B4%E6%B8%A9%E5%BA%A6.html',0,'2024-07-10 17:23:43'),
	(539,'WOF035200003-WOB000001','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatordrive_end_bearing_temperature/%E5%8F%91%E7%94%B5%E6%9C%BA%E9%A9%B1%E5%8A%A8%E7%AB%AF%E8%BD%B4%E6%89%BF%E6%B8%A9%E5%BA%A6.html',0,'2024-07-10 17:23:43'),
	(540,'WOF035200003-WOB000001','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generatornon_drive_end_bearing_temperature/%E5%8F%91%E7%94%B5%E6%9C%BA%E9%9D%9E%E9%A9%B1%E5%8A%A8%E7%AB%AF%E8%BD%B4%E6%89%BF%E6%B8%A9%E5%BA%A6.html',0,'2024-07-10 17:23:43'),
	(541,'WOF035200003-WOB000001','temperature_large_components','wof035200003/WOF035200003-WOB000001/temperature_large_components/manual/generator_winding1_temperature/%E5%8F%91%E7%94%B5%E6%9C%BA%E7%BB%95%E7%BB%84%E6%B8%A9%E5%BA%A6.html',0,'2024-07-10 17:23:43'),
	(542,'WOF035900004-WOB00005','power_curve','wof035900004/WOF035900004-WOB00005/power_curve/manual/%E5%85%A8%E5%9C%BA-%E5%B9%B3%E9%99%86%E9%A3%8E%E7%94%B5%E5%9C%BA%E5%8A%9F%E7%8E%87%E6%9B%B2%E7%BA%BF.html',0,'2024-07-11 21:27:03'),
	(548,'WOF093400005-WOB000001','data_integrity_minute','wof093400005/WOF093400005-WOB000001/data_integrity_minute/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E6%95%B0%E6%8D%AE%E5%AE%8C%E6%95%B4%E5%BA%A6%E5%88%86%E6%9E%90.png',1,'2024-07-11 21:57:08'),
	(549,'WOF093400005-WOB000001','data_integrity_minute','wof093400005/WOF093400005-WOB000001/data_integrity_minute/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E6%95%B0%E6%8D%AE%E5%AE%8C%E6%95%B4%E5%BA%A6%E5%88%86%E6%9E%90.html',1,'2024-07-11 21:57:08'),
	(550,'WOF093400005-WOB000001','data_integrity_second','wof093400005/WOF093400005-WOB000001/data_integrity_second/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E6%95%B0%E6%8D%AE%E5%AE%8C%E6%95%B4%E5%BA%A6%E5%88%86%E6%9E%90.png',1,'2024-07-11 21:57:08'),
	(551,'WOF093400005-WOB000001','data_integrity_second','wof093400005/WOF093400005-WOB000001/data_integrity_second/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E6%95%B0%E6%8D%AE%E5%AE%8C%E6%95%B4%E5%BA%A6%E5%88%86%E6%9E%90.html',1,'2024-07-11 21:57:08'),
	(552,'WOF093400005-WOB000001','wind_speed','wof093400005/WOF093400005-WOB000001/wind_speed/automatic/WindSpeedAvg_Turbines.png',1,'2024-07-11 21:57:08'),
	(553,'WOF093400005-WOB000001','wind_speed','wof093400005/WOF093400005-WOB000001/wind_speed/automatic/WindSpeedAvg_Turbines.html',1,'2024-07-11 21:57:08'),
	(554,'WOF093400005-WOB000001','power_curve','wof093400005/WOF093400005-WOB000001/power_curve/automatic/%E5%85%A8%E5%9C%BA-%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E5%8A%9F%E7%8E%87%E6%9B%B2%E7%BA%BF.html',1,'2024-07-11 21:57:08'),
	(555,'WOF093400005-WOB000001','rated_power_windspeed','wof093400005/WOF093400005-WOB000001/rated_power_windspeed/automatic/%E9%A2%9D%E5%AE%9A%E6%BB%A1%E5%8F%91%E9%A3%8E%E9%80%9F%E5%8A%9F%E7%8E%87%E5%88%86%E5%B8%83%2810min%29%28%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%BA%A6%E5%A4%A7%E4%BA%8E25%E5%BA%A6%29.png',1,'2024-07-11 21:57:08'),
	(556,'WOF093400005-WOB000001','rated_power_windspeed','wof093400005/WOF093400005-WOB000001/rated_power_windspeed/automatic/%E9%A2%9D%E5%AE%9A%E6%BB%A1%E5%8F%91%E9%A3%8E%E9%80%9F%E5%8A%9F%E7%8E%87%E5%88%86%E5%B8%83%2810min%29%28%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%BA%A6%E5%A4%A7%E4%BA%8E25%E5%BA%A6%29.html',1,'2024-07-11 21:57:08'),
	(557,'WOF093400005-WOB000001','rated_power_windspeed','wof093400005/WOF093400005-WOB000001/rated_power_windspeed/automatic/%E9%A2%9D%E5%AE%9A%E6%BB%A1%E5%8F%91%E9%A3%8E%E9%80%9F%E5%8A%9F%E7%8E%87%E5%88%86%E5%B8%83%2810min%29%28%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%BA%A6%E5%B0%8F%E4%BA%8E25%E5%BA%A6%29.png',1,'2024-07-11 21:57:08'),
	(558,'WOF093400005-WOB000001','rated_power_windspeed','wof093400005/WOF093400005-WOB000001/rated_power_windspeed/automatic/%E9%A2%9D%E5%AE%9A%E6%BB%A1%E5%8F%91%E9%A3%8E%E9%80%9F%E5%8A%9F%E7%8E%87%E5%88%86%E5%B8%83%2810min%29%28%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%BA%A6%E5%B0%8F%E4%BA%8E25%E5%BA%A6%29.html',1,'2024-07-11 21:57:08'),
	(559,'WOF093400005-WOB000001','rated_windspeed','wof093400005/WOF093400005-WOB000001/rated_windspeed/automatic/%E9%A3%8E%E9%80%9F%E5%8C%BA%E9%97%B4%E6%95%B0%E6%8D%AE%E8%AE%A1%E6%95%B0.png',1,'2024-07-11 21:57:08'),
	(560,'WOF093400005-WOB000001','rated_windspeed','wof093400005/WOF093400005-WOB000001/rated_windspeed/automatic/%E9%A3%8E%E9%80%9F%E5%8C%BA%E9%97%B4%E6%95%B0%E6%8D%AE%E8%AE%A1%E6%95%B0.html',1,'2024-07-11 21:57:08'),
	(561,'WOF093400005-WOB000001','cp','wof093400005/WOF093400005-WOB000001/cp/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA-Cp-Distribution.html',1,'2024-07-11 21:57:08'),
	(562,'WOF093400005-WOB000001','cp_windspeed','wof093400005/WOF093400005-WOB000001/cp_windspeed/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA-Cp-Distribution.html',1,'2024-07-11 21:57:08'),
	(563,'WOF093400005-WOB000001','tsr','wof093400005/WOF093400005-WOB000001/tsr/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA-TSR-Distribution.html',1,'2024-07-11 21:57:08'),
	(564,'WOF093400005-WOB000001','tsr_windspeed','wof093400005/WOF093400005-WOB000001/tsr_windspeed/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA-TSR-Distribution.html',1,'2024-07-11 21:57:08'),
	(565,'WOF093400005-WOB000001','speed_power','wof093400005/WOF093400005-WOB000001/speed_power/automatic/speed_power.html',1,'2024-07-11 21:57:08'),
	(566,'WOF093400005-WOB000001','speed_torque','wof093400005/WOF093400005-WOB000001/speed_torque/automatic/speed_torque.html',1,'2024-07-11 21:57:08'),
	(567,'WOF093400005-WOB000001','yaw_error','wof093400005/WOF093400005-WOB000001/yaw_error/automatic/yaw_error_result.csv',1,'2024-07-11 21:57:08'),
	(568,'WOF093400005-WOB000001','temperature_environment','wof093400005/WOF093400005-WOB000001/temperature_environment/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%B7%AEBias.png',1,'2024-07-11 21:57:08'),
	(569,'WOF093400005-WOB000001','temperature_environment','wof093400005/WOF093400005-WOB000001/temperature_environment/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%B7%AEBias.html',1,'2024-07-11 21:57:08'),
	(570,'WOF093400005-WOB000001','temperature_environment','wof093400005/WOF093400005-WOB000001/temperature_environment/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%BA%A6%E4%B8%AD%E4%BD%8D%E6%95%B0.png',1,'2024-07-11 21:57:08'),
	(571,'WOF093400005-WOB000001','temperature_environment','wof093400005/WOF093400005-WOB000001/temperature_environment/automatic/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E7%8E%AF%E5%A2%83%E6%B8%A9%E5%BA%A6%E4%B8%AD%E4%BD%8D%E6%95%B0.html',1,'2024-07-11 21:57:08'),
	(572,'WOF093400005-WOB000001','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/main_bearing_temperature/%E4%B8%BB%E8%BD%B4%E6%89%BF%E6%B8%A9%E5%BA%A6.html',1,'2024-07-11 21:57:08'),
	(573,'WOF093400005-WOB000001','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_low_speed_shaft_bearing_temperature/%E9%BD%BF%E8%BD%AE%E7%AE%B1%E4%BD%8E%E9%80%9F%E8%BD%B4%E6%B8%A9%E5%BA%A6.html',1,'2024-07-11 21:57:08'),
	(574,'WOF093400005-WOB000001','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/gearbox_high_speed_shaft_bearing_temperature/%E9%BD%BF%E8%BD%AE%E7%AE%B1%E9%AB%98%E9%80%9F%E8%BD%B4%E6%B8%A9%E5%BA%A6.html',1,'2024-07-11 21:57:08'),
	(575,'WOF093400005-WOB000001','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatordrive_end_bearing_temperature/%E5%8F%91%E7%94%B5%E6%9C%BA%E9%A9%B1%E5%8A%A8%E7%AB%AF%E8%BD%B4%E6%89%BF%E6%B8%A9%E5%BA%A6.html',1,'2024-07-11 21:57:08'),
	(576,'WOF093400005-WOB000001','temperature_large_components','wof093400005/WOF093400005-WOB000001/temperature_large_components/automatic/generatornon_drive_end_bearing_temperature/%E5%8F%91%E7%94%B5%E6%9C%BA%E9%9D%9E%E9%A9%B1%E5%8A%A8%E7%AB%AF%E8%BD%B4%E6%89%BF%E6%B8%A9%E5%BA%A6.html',1,'2024-07-11 21:57:08'),
	(579,'WOF035900004-WOB00009','cp','wof035900004/WOF035900004-WOB00009/cp/manual/%E5%B9%B3%E9%99%86%E9%A3%8E%E7%94%B5%E5%9C%BA-Cp-Distribution.html',0,'2024-07-11 21:57:08'),
	(580,'WOF035900004-WOB00009','tsr','wof035900004/WOF035900004-WOB00009/tsr/manual/%E5%B9%B3%E9%99%86%E9%A3%8E%E7%94%B5%E5%9C%BA-TSR-Distribution.html',0,'2024-07-11 21:57:08'),
	(581,'WOF093400005-WOB000001','data_integrity_second','wof093400005/WOF093400005-WOB000001/data_integrity_second/manual/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E6%95%B0%E6%8D%AE%E5%AE%8C%E6%95%B4%E5%BA%A6%E5%88%86%E6%9E%90.png',0,'2024-07-14 15:53:41'),
	(582,'WOF093400005-WOB000001','data_integrity_second','wof093400005/WOF093400005-WOB000001/data_integrity_second/manual/%E8%AF%BA%E6%9C%A8%E6%B4%AA%E9%A3%8E%E7%94%B5%E5%9C%BA%E6%95%B0%E6%8D%AE%E5%AE%8C%E6%95%B4%E5%BA%A6%E5%88%86%E6%9E%90.html',0,'2024-07-14 15:53:41');

/*!40000 ALTER TABLE `analysis_general_file` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table analysis_option_records
# ------------------------------------------------------------

DROP TABLE IF EXISTS `analysis_option_records`;

CREATE TABLE `analysis_option_records` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `option_content` varchar(50) NOT NULL DEFAULT '' COMMENT '操作内容',
  `option_by` int(10) NOT NULL DEFAULT '0' COMMENT '操作人id',
  `option_by_name` varchar(20) NOT NULL COMMENT '操作人名称',
  `field_code` varchar(50) NOT NULL DEFAULT '' COMMENT '风场编号',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '操作时间',
  PRIMARY KEY (`id`),
  KEY `index_field_code` (`field_code`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分析操作记录';

LOCK TABLES `analysis_option_records` WRITE;
/*!40000 ALTER TABLE `analysis_option_records` DISABLE KEYS */;

INSERT INTO `analysis_option_records` (`id`, `option_content`, `option_by`, `option_by_name`, `field_code`, `create_time`)
VALUES
	(1,'手动分析',133,'wcl','WOF035500001','2024-06-25 16:41:29'),
	(2,'手动分析',133,'wcl','WOF085500002','2024-06-25 16:41:50'),
	(3,'手动分析',133,'wcl','WOF085500002','2024-06-25 17:07:23'),
	(4,'手动分析',135,'wzx','WOF085500002','2024-06-25 17:13:34'),
	(5,'手动分析',133,'wcl','WOF085500002','2024-06-26 10:22:37'),
	(6,'手动分析',133,'wcl','WOF085500002','2024-06-26 11:22:19'),
	(7,'手动分析',133,'wcl','WOF085500002','2024-06-26 12:07:14'),
	(8,'手动分析',133,'wcl','WOF035900004','2024-06-28 16:58:03'),
	(9,'手动分析',133,'wcl','WOF035900004','2024-06-28 17:37:29'),
	(10,'手动分析',134,'xzy','WOF035900004','2024-07-01 09:56:57'),
	(11,'手动分析',133,'wcl','WOF035900004','2024-07-01 10:05:38'),
	(12,'手动分析',133,'wcl','WOF035900004','2024-07-01 10:56:32'),
	(13,'手动分析',133,'wcl','WOF035900004','2024-07-01 10:59:11'),
	(14,'手动分析',134,'xzy','WOF035900004','2024-07-01 11:07:10'),
	(15,'手动分析',134,'xzy','WOF035900004','2024-07-01 11:13:27'),
	(16,'手动分析',134,'xzy','WOF035900004','2024-07-01 11:15:07'),
	(17,'手动分析',134,'xzy','WOF035900004','2024-07-01 11:15:30'),
	(18,'手动分析',134,'xzy','WOF035900004','2024-07-01 11:16:44'),
	(19,'手动分析',134,'xzy','WOF035900004','2024-07-01 11:28:51'),
	(20,'手动分析',134,'xzy','WOF035900004','2024-07-01 11:29:21'),
	(21,'手动分析',134,'xzy','WOF035900004','2024-07-01 11:31:41'),
	(22,'手动分析',134,'xzy','WOF035900004','2024-07-01 12:24:05'),
	(23,'手动分析',134,'xzy','WOF035900004','2024-07-01 12:26:43'),
	(24,'手动分析',134,'xzy','WOF035900004','2024-07-01 12:29:18'),
	(25,'手动分析',134,'xzy','WOF035900004','2024-07-01 12:29:39'),
	(26,'手动分析',133,'wcl','WOF035900004','2024-07-01 13:02:06'),
	(27,'手动分析',2,'admin','WOF085500002','2024-07-02 13:33:33'),
	(28,'手动分析',134,'xzy','WOF035900004','2024-07-02 15:51:30'),
	(29,'手动分析',134,'xzy','WOF035900004','2024-07-05 18:26:06'),
	(30,'手动分析',133,'wcl','WOF091200006','2024-07-08 09:00:42'),
	(31,'手动分析',133,'wcl','WOF091200006','2024-07-08 09:02:10'),
	(32,'手动分析',133,'wcl','WOF091200006','2024-07-08 09:15:30'),
	(33,'手动分析',133,'wcl','WOF035900004','2024-07-08 11:25:05'),
	(34,'手动分析',133,'wcl','WOF035900004','2024-07-08 13:51:39'),
	(35,'手动分析',133,'wcl','WOF091200006','2024-07-08 15:11:19'),
	(36,'手动分析',133,'wcl','WOF091200006','2024-07-08 15:14:59'),
	(37,'手动分析',133,'wcl','WOF091200006','2024-07-08 15:16:40'),
	(38,'手动分析',133,'wcl','WOF035900004','2024-07-09 09:21:21'),
	(39,'手动分析',133,'wcl','WOF091200006','2024-07-09 11:43:56'),
	(40,'手动分析',133,'wcl','WOF091200006','2024-07-10 14:18:37'),
	(41,'手动分析',133,'wcl','WOF091200006','2024-07-10 16:10:50'),
	(42,'手动分析',133,'wcl','WOF091200006','2024-07-11 09:16:04'),
	(43,'手动分析',133,'wcl','WOF035200003','2024-07-11 09:21:39'),
	(44,'手动分析',133,'wcl','WOF035200003','2024-07-11 11:15:09'),
	(45,'手动分析',2,'admin','WOF091200006','2024-07-11 12:03:33'),
	(46,'手动分析',133,'wcl','WOF093400005','2024-07-11 14:17:28'),
	(47,'手动分析',133,'wcl','WOF091200006','2024-07-12 12:29:49'),
	(48,'手动分析',133,'wcl','WOF035200003','2024-07-12 12:31:06'),
	(49,'手动分析',133,'wcl','WOF035900004','2024-07-12 14:10:50'),
	(50,'手动分析',133,'wcl','WOF093400005','2024-07-15 14:42:14'),
	(51,'手动分析',133,'wcl','WOF035200003','2024-07-16 09:08:49');

/*!40000 ALTER TABLE `analysis_option_records` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table analysis_result
# ------------------------------------------------------------

DROP TABLE IF EXISTS `analysis_result`;

CREATE TABLE `analysis_result` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `batch_code` varchar(50) NOT NULL DEFAULT '' COMMENT '批次编号',
  `analysis_state` tinyint(1) NOT NULL DEFAULT '-1' COMMENT '分析状态(-1-未分析，0-分析中1-已分析)',
  `err_state` tinyint(1) DEFAULT '0' COMMENT '异常状态（0：否 1：是）',
  `err_code` varchar(100) DEFAULT '' COMMENT '异常编号',
  `err_info` varchar(1000) DEFAULT '' COMMENT '异常信息',
  `create_by` int(11) DEFAULT '0' COMMENT '创建人',
  `create_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` int(11) DEFAULT '0' COMMENT '更新人',
  `update_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `analysis_progress` decimal(6,2) DEFAULT '0.00' COMMENT '分析进度',
  PRIMARY KEY (`id`),
  UNIQUE KEY `index_batch_code` (`batch_code`) USING BTREE COMMENT '批次索引'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分析结果表—批次分析结果表';

LOCK TABLES `analysis_result` WRITE;
/*!40000 ALTER TABLE `analysis_result` DISABLE KEYS */;

INSERT INTO `analysis_result` (`id`, `batch_code`, `analysis_state`, `err_state`, `err_code`, `err_info`, `create_by`, `create_time`, `update_by`, `update_time`, `analysis_progress`)
VALUES
	(1,'WOF035500001-WOB00001',-1,0,NULL,NULL,0,'2024-06-25 14:39:31',0,'2024-06-25 17:06:21',0.00),
	(2,'WOF085500002-WOB00002',-1,0,NULL,NULL,0,'2024-06-25 15:12:59',0,'2024-06-25 17:14:14',0.00),
	(3,'WOF085500002-WOB00003',-1,0,'','',0,'2024-06-25 15:14:01',0,'2024-06-25 15:14:01',0.00),
	(8,'WOF085500002-WOB00004',-1,0,NULL,NULL,0,'2024-06-26 09:20:25',0,'2024-06-26 13:14:53',0.00),
	(17,'WOF035900004-WOB00005',-1,0,NULL,NULL,0,'2024-06-28 15:04:00',0,'2024-07-15 14:55:06',10.00),
	(26,'WOF093400005-WOB00006',1,1,'102','缺少风电机组运行数据',0,'2024-06-28 17:32:02',0,'2024-07-12 08:47:48',0.00),
	(53,'WOF035900004-WOB00007',1,0,NULL,NULL,0,'2024-07-01 10:12:16',0,'2024-07-08 17:59:17',100.00),
	(172,'WOF091200006-WOB00008',1,0,NULL,NULL,0,'2024-07-04 10:04:58',0,'2024-07-12 13:27:53',100.00),
	(175,'WOF035900004-WOB00009',1,0,NULL,NULL,0,'2024-07-04 13:24:40',0,'2024-07-12 23:32:57',100.00),
	(502,'WOF053600062-WOB000071',1,1,'104','缺失场站基础信息',0,'2024-07-08 21:14:13',0,'2024-07-09 16:01:44',0.00),
	(514,'WOF053600062-WOB00021',1,1,'104','缺失场站基础信息',0,'2024-07-09 11:41:58',0,'2024-07-09 16:04:23',0.00),
	(520,'WOF035200003-WOB000001',-1,0,NULL,NULL,0,'2024-07-10 11:39:42',0,'2024-07-16 09:32:43',10.00),
	(561,'WOF053600062-WOB00022',1,1,'104','缺失场站基础信息',0,'2024-07-10 17:23:43',0,'2024-07-15 11:29:56',0.00),
	(566,'WOF093400005-WOB000001',1,0,NULL,NULL,0,'2024-07-11 13:38:44',0,'2024-07-15 16:39:45',100.00),
	(645,'WOF093400005-WOB000002',-1,0,'','',0,'2024-07-15 17:05:30',0,'2024-07-15 17:05:30',0.00),
	(648,'WOF0359000041-WOB00005',1,1,'104','缺失场站基础信息',0,'2024-07-16 09:55:06',0,'2024-07-16 09:58:30',0.00);

/*!40000 ALTER TABLE `analysis_result` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table analysis_type
# ------------------------------------------------------------

DROP TABLE IF EXISTS `analysis_type`;

CREATE TABLE `analysis_type` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `parent_id` bigint(11) NOT NULL COMMENT '分析类型父级编号',
  `type_flag` varchar(200) NOT NULL DEFAULT '' COMMENT '分析类型标识',
  `type_name` varchar(50) NOT NULL DEFAULT '' COMMENT '分析类型名称',
  `create_by` int(11) NOT NULL DEFAULT '0' COMMENT '创建人',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `type_code` varchar(50) NOT NULL DEFAULT '' COMMENT '分析类型编号',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分析类型字典表 ';

LOCK TABLES `analysis_type` WRITE;
/*!40000 ALTER TABLE `analysis_type` DISABLE KEYS */;

INSERT INTO `analysis_type` (`id`, `parent_id`, `type_flag`, `type_name`, `create_by`, `create_time`, `type_code`)
VALUES
	(1,0,'','数据情况',2,'2024-06-05 11:30:12',''),
	(2,0,'','风资源分析',2,'2024-06-05 11:30:12',''),
	(3,0,'','功率曲线分析',2,'2024-06-05 13:28:03',''),
	(4,0,'','额定功率分析',2,'2024-06-05 13:28:47',''),
	(5,0,'','性能特性分析',2,'2024-06-05 13:29:02',''),
	(6,0,'','静态偏航误差分析',2,'2024-06-05 13:29:18',''),
	(7,0,'','变桨特性分析',2,'2024-06-05 13:29:31',''),
	(8,0,'','变桨-转速-转矩（功率）协调分析',2,'2024-06-05 13:29:44',''),
	(9,0,'','温度传感器性能分析',2,'2024-06-05 13:30:07',''),
	(10,0,'','尚未归类的分析类型',2,'2024-06-05 13:30:19',''),
	(11,1,'algorithm.dataIntegrityOfMinuteAnalyst|DataIntegrityOfMinuteAnalyst|executeAnalysis|minute','分钟级SCADA数据记录完整度分析',2,'2024-06-05 13:38:17','data_integrity_minute'),
	(12,1,'algorithm.dataIntegrityOfSecondAnalyst|DataIntegrityOfSecondAnalyst|executeAnalysis|second','秒级SCADA数据记录完整度分析',2,'2024-06-05 13:38:17','data_integrity_second'),
	(13,2,'algorithm.windSpeedFrequencyAnalyst|WindSpeedFrequencyAnalyst|executeAnalysis|minute','风速频率分析',2,'2024-06-05 13:38:17','wind_speed_frequency'),
	(14,2,'algorithm.windDirectionFrequencyAnalyst|WindDirectionFrequencyAnalyst|executeAnalysis|minute','风向玫瑰分析',2,'2024-06-05 13:40:36','wind_direction_frequency'),
	(15,2,'algorithm.windSpeedAnalyst|WindSpeedAnalyst|executeAnalysis|minute','风速均值分析',2,'2024-06-05 14:19:29','wind_speed'),
	(16,3,'algorithm.powerCurveAnalyst|PowerCurveAnalyst|executeAnalysis|minute','有功功率曲线分析',2,'2024-06-05 14:19:59','power_curve'),
	(17,3,'algorithm.powerScatter2DAnalyst|PowerScatter2DAnalyst|executeAnalysis|minute','逐月有功功率散点2D分析',2,'2024-06-05 14:20:47','power_scatter_2D'),
	(18,3,'algorithm.powerScatterAnalyst|PowerScatterAnalyst|executeAnalysis|minute','逐月有功功率散点3D分析',2,'2024-06-05 14:21:17','power_scatter'),
	(19,4,'algorithm.ratedPowerWindSpeedAnalyst|RatedPowerWindSpeedAnalyst|executeAnalysis|minute','额定功率和风速分析',2,'2024-06-05 14:21:24','rated_power_windspeed'),
	(20,4,'algorithm.ratedWindSpeedAnalyst|RatedWindSpeedAnalyst|executeAnalysis|minute','额定风速分析',2,'2024-06-05 14:21:52','rated_windspeed'),
	(21,5,'algorithm.cpAnalyst|CpAnalyst|executeAnalysis|second','风能利用系数和有功功率分析',2,'2024-06-05 14:22:12','cp'),
	(22,5,'algorithm.cpWindSpeedAnalyst|CpWindSpeedAnalyst|executeAnalysis|second','风能利用系数和风速分析',2,'2024-06-05 14:22:50','cp_windspeed'),
	(23,5,'algorithm.cpTrendAnalyst|CpTrendAnalyst|executeAnalysis|second','风能利用系数时序分析',2,'2024-06-05 14:23:13','cp_trend'),
	(24,5,'algorithm.tsrAnalyst|TSRAnalyst|executeAnalysis|second','叶尖速比和有功功率分析',2,'2024-06-05 14:23:19','tsr'),
	(25,5,'algorithm.tsrWindSpeedAnalyst|TSRWindSpeedAnalyst|executeAnalysis|second','叶尖速比和风速分析',2,'2024-06-05 14:23:23','tsr_windspeed'),
	(26,5,'algorithm.tsrTrendAnalyst|TSRTrendAnalyst|executeAnalysis|second','叶尖速比时序分析',2,'2024-06-05 14:23:28','tsr_trend'),
	(27,5,'algorithm.generatorSpeedPowerAnalyst|GeneratorSpeedPowerAnalyst|executeAnalysis|minute','发电机转速和有功功率分析',2,'2024-06-05 14:23:32','speed_power'),
	(28,5,'algorithm.generatorSpeedTorqueAnalyst|GeneratorSpeedTorqueAnalyst|executeAnalysis|minute','发电机转速和转矩分析',2,'2024-06-05 14:24:51','speed_torque'),
	(29,6,'algorithm.yawErrorAnalyst|YawErrorAnalyst|executeAnalysis|second','静态偏航误差分析',2,'2024-06-05 14:25:14','yaw_error'),
	(30,7,'algorithm.minPitchAnalyst|MinPitchAnalyst|executeAnalysis|second','最小桨距角分析',2,'2024-06-05 14:25:42','min_pitch'),
	(31,8,'algorithm.pitchPowerAnalyst|PitchPowerAnalyst|executeAnalysis|minute','变桨和有功功率协调性分析',2,'2024-06-05 14:26:19','pitch_power'),
	(32,8,'algorithm.pitchGeneratorSpeedAnalyst|PitchGeneratorSpeedAnalyst|executeAnalysis|minute','变桨和发电机转速协调性分析',2,'2024-06-05 14:26:41','pitch_generator_speed'),
	(33,9,'algorithm.temperatureEnvironmentAnalyst|TemperatureEnvironmentAnalyst|executeAnalysis|minute','环境温度传感器分析',2,'2024-06-05 14:27:20','temperature_environment'),
	(34,9,'algorithm.temperatureLargeComponentsAnalyst|TemperatureLargeComponentsAnalyst|executeAnalysis|minute','大部件温度传感器分析',2,'2024-06-13 09:03:50','temperature_large_components'),
	(35,10,'algorithm.pitchTSRCpAnalyst|PitchTSRCpAnalyst|executeAnalysis|second','变桨和叶尖速比及风能利用系数分析',2,'2024-06-13 09:04:50','pitch_tsr_cp');

/*!40000 ALTER TABLE `analysis_type` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table anemometer_tower
# ------------------------------------------------------------

DROP TABLE IF EXISTS `anemometer_tower`;

CREATE TABLE `anemometer_tower` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `anemometer_code` varchar(32) DEFAULT NULL COMMENT '测风塔编号',
  `anemometer_name` varchar(32) DEFAULT NULL COMMENT '测风塔名称',
  `longitude` decimal(15,8) DEFAULT NULL COMMENT '经度',
  `latitude` decimal(15,8) DEFAULT NULL COMMENT '纬度',
  `state` tinyint(1) DEFAULT NULL COMMENT '状态',
  `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `anemometer_code` (`anemometer_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='测风塔信息 ';

LOCK TABLES `anemometer_tower` WRITE;
/*!40000 ALTER TABLE `anemometer_tower` DISABLE KEYS */;

INSERT INTO `anemometer_tower` (`id`, `anemometer_code`, `anemometer_name`, `longitude`, `latitude`, `state`, `del_state`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(1,'WOT00001','大唐贵州红阳风电场1',113.50000000,23.50000000,1,0,133,'2024-07-15 16:40:13',NULL,'2024-07-15 16:40:13');

/*!40000 ALTER TABLE `anemometer_tower` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table anemometer_tower_height
# ------------------------------------------------------------

DROP TABLE IF EXISTS `anemometer_tower_height`;

CREATE TABLE `anemometer_tower_height` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `anemometer_code` varchar(32) DEFAULT NULL COMMENT '测风塔编号',
  `anemometer_height` double(10,2) DEFAULT NULL COMMENT '测风塔高度',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `anemometer_code` (`anemometer_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='测风塔层高信息表 ';

LOCK TABLES `anemometer_tower_height` WRITE;
/*!40000 ALTER TABLE `anemometer_tower_height` DISABLE KEYS */;

INSERT INTO `anemometer_tower_height` (`id`, `anemometer_code`, `anemometer_height`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(1,'WOT00001',80.00,NULL,'2024-07-15 16:40:13',NULL,'2024-07-15 16:40:13');

/*!40000 ALTER TABLE `anemometer_tower_height` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table anemometer_tower_relation
# ------------------------------------------------------------

DROP TABLE IF EXISTS `anemometer_tower_relation`;

CREATE TABLE `anemometer_tower_relation` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `field_code` varchar(32) DEFAULT NULL COMMENT '风场编号',
  `tower_code` varchar(32) DEFAULT NULL COMMENT '测风塔编号',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `field_code` (`field_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='测风塔与风场关系表 ';

LOCK TABLES `anemometer_tower_relation` WRITE;
/*!40000 ALTER TABLE `anemometer_tower_relation` DISABLE KEYS */;

INSERT INTO `anemometer_tower_relation` (`id`, `field_code`, `tower_code`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(1,'WOF085500008','WOT00001',NULL,'2024-07-15 16:51:04',NULL,'2024-07-15 16:51:04');

/*!40000 ALTER TABLE `anemometer_tower_relation` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table data_transfer
# ------------------------------------------------------------

DROP TABLE IF EXISTS `data_transfer`;

CREATE TABLE `data_transfer` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `field_code` varchar(50) NOT NULL DEFAULT '' COMMENT '风场编号',
  `batch_code` varchar(50) NOT NULL DEFAULT '' COMMENT '批次编号',
  `engine_count` int(11) NOT NULL DEFAULT '0' COMMENT '机组数量',
  `transfer_type` varchar(32) NOT NULL DEFAULT '' COMMENT '转换类型',
  `transfer_addr` varchar(100) DEFAULT '' COMMENT '转换路径',
  `time_granularity` int(10) NOT NULL DEFAULT '0' COMMENT '时间粒度（以秒为单位）',
  `err_info` varchar(1000) DEFAULT '' COMMENT '异常信息',
  `transfer_state` tinyint(1) NOT NULL DEFAULT '-1' COMMENT '转换状态(-1：初始化状态 0-转换中 1-转换成功 2-转换失败)',
  `trans_sys_status` tinyint(1) DEFAULT '-1' COMMENT '转化系统的状态值',
  `transfer_data_count` bigint(20) DEFAULT NULL COMMENT '转化后数据总条数',
  `data_min_time` datetime DEFAULT NULL COMMENT '数据中最小时间',
  `data_max_time` datetime DEFAULT NULL COMMENT '数据中最大时间',
  `transfer_start_time` datetime DEFAULT NULL COMMENT '数据开始转化的时间',
  `transfer_finish_time` datetime DEFAULT NULL COMMENT '转换完成时间',
  `create_by` int(11) NOT NULL COMMENT '创建人',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` int(11) NOT NULL COMMENT '更新人',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `call_state` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0:未调用 1：已调用  是否已调用分析算法',
  `transfer_progress` int(4) NOT NULL DEFAULT '1' COMMENT '转换进度',
  PRIMARY KEY (`id`),
  KEY `index_batch_code` (`batch_code`) USING BTREE COMMENT '批次编号'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='数据操作 ';

LOCK TABLES `data_transfer` WRITE;
/*!40000 ALTER TABLE `data_transfer` DISABLE KEYS */;

INSERT INTO `data_transfer` (`id`, `field_code`, `batch_code`, `engine_count`, `transfer_type`, `transfer_addr`, `time_granularity`, `err_info`, `transfer_state`, `trans_sys_status`, `transfer_data_count`, `data_min_time`, `data_max_time`, `transfer_start_time`, `transfer_finish_time`, `create_by`, `create_time`, `update_by`, `update_time`, `call_state`, `transfer_progress`)
VALUES
	(1,'WOF035500001','WOF035500001-WOB00001',0,'tower','/data/wzl/hongtiguan/filtered_data',0,'未找到虹梯关风电场的tower配置',2,2,NULL,NULL,NULL,NULL,'2024-06-25 15:20:39',133,'2024-06-25 14:41:25',133,'2024-06-25 15:20:39',0,0),
	(2,'WOF035500001','WOF035500001-WOB00001',0,'second',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-06-25 14:41:25',133,'2024-06-25 14:41:25',0,0),
	(3,'WOF035500001','WOF035500001-WOB00001',0,'minute','/data/download/collection_data/1进行中/虹梯关风电场-山西-大唐/收资数据/华创23年十分钟数据',0,'系统返回错误:Usecols do not match columns, columns expected but not found: [\'资产名称\', \'数值\', \'采集点名称\', \'数据时间\'] (sheet: 2023-01-01-2023-02-01机组07号十分钟历史)',2,2,NULL,NULL,NULL,NULL,'2024-06-25 14:55:11',133,'2024-06-25 14:41:25',133,'2024-06-25 14:55:11',0,0),
	(4,'WOF085500002','WOF085500002-WOB00002',0,'tower',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-06-25 15:23:24',133,'2024-06-25 15:23:24',0,0),
	(5,'WOF085500002','WOF085500002-WOB00002',0,'event',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-06-25 15:23:24',133,'2024-06-25 15:23:24',0,0),
	(6,'WOF085500002','WOF085500002-WOB00002',0,'second',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-06-25 15:23:24',133,'2024-06-25 15:23:24',0,0),
	(7,'WOF085500002','WOF085500002-WOB00002',25,'minute','/data/download/collection_data/1进行中/昌平坳风电场-贵州-大唐/收资数据/min',0,'',1,1,NULL,NULL,NULL,NULL,'2024-06-25 17:49:44',133,'2024-06-25 15:23:24',133,'2024-06-25 17:49:44',0,0),
	(8,'WOF085500002','WOF085500002-WOB00004',0,'second',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-06-26 09:22:07',133,'2024-06-27 17:09:18',0,0),
	(9,'WOF085500002','WOF085500002-WOB00004',0,'tower',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-06-26 09:22:07',133,'2024-06-26 09:22:07',0,0),
	(10,'WOF085500002','WOF085500002-WOB00004',0,'event',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-06-26 09:22:07',133,'2024-06-26 09:22:07',0,0),
	(11,'WOF085500002','WOF085500002-WOB00004',25,'minute','/data/download/collection_data/1进行中/昌平坳风电场-贵州-大唐/收资数据/min',600,'',1,1,NULL,NULL,NULL,NULL,'2024-06-26 10:15:48',133,'2024-06-26 09:22:07',133,'2024-06-26 17:48:30',0,0),
	(12,'WOF035900004','WOF035900004-WOB00005',24,'second','/data/download/collection_data/1进行中/平陆风电场-山西-中广核/收资数据/30秒数据',30,'',1,1,NULL,NULL,NULL,NULL,'2024-06-28 15:32:41',133,'2024-06-28 15:04:37',133,'2024-07-01 16:20:07',1,100),
	(13,'WOF035900004','WOF035900004-WOB00005',0,'tower',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-06-28 15:04:37',133,'2024-07-01 16:20:07',1,1),
	(14,'WOF035900004','WOF035900004-WOB00005',24,'minute','/data/download/collection_data/1进行中/平陆风电场-山西-中广核/收资数据/min',600,'',1,1,NULL,NULL,NULL,NULL,'2024-06-28 15:20:31',133,'2024-06-28 15:04:37',133,'2024-07-01 16:20:07',1,100),
	(15,'WOF035900004','WOF035900004-WOB00005',0,'event',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-06-28 15:04:37',133,'2024-07-01 16:20:07',1,1),
	(16,'WOF035900004','WOF035900004-WOB00007',0,'tower',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-07-01 10:12:53',133,'2024-07-05 17:13:36',1,1),
	(17,'WOF035900004','WOF035900004-WOB00007',24,'minute','/data/download/collection_data/1进行中/平陆风电场-山西-中广核/收资数据/min',600,'',1,1,NULL,NULL,NULL,NULL,'2024-07-01 10:15:57',133,'2024-07-01 10:12:53',133,'2024-07-05 17:13:36',1,100),
	(18,'WOF035900004','WOF035900004-WOB00007',24,'second','/data/download/collection_data/1进行中/平陆风电场-山西-中广核/收资数据/30秒数据',30,'',1,1,NULL,NULL,NULL,NULL,'2024-07-01 10:26:42',133,'2024-07-01 10:12:53',133,'2024-07-05 17:13:36',1,100),
	(19,'WOF035900004','WOF035900004-WOB00007',0,'event',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-07-01 10:12:53',133,'2024-07-05 17:13:36',1,1),
	(20,'WOF091200006','WOF091200006-WOB00008',0,'tower',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-07-04 10:06:53',133,'2024-07-08 11:26:02',1,1),
	(21,'WOF091200006','WOF091200006-WOB00008',0,'event',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-07-04 10:06:53',133,'2024-07-08 11:26:02',1,1),
	(22,'WOF091200006','WOF091200006-WOB00008',33,'minute','/data/download/collection_data/1进行中/元梁山风电场-陕西-大唐/清理数据/WOF091200006-WOB00008_元梁山0704test/min',600,'',1,1,NULL,NULL,NULL,'2024-07-08 11:17:24','2024-07-08 11:18:49',133,'2024-07-04 10:06:53',133,'2024-07-08 11:26:02',1,100),
	(23,'WOF091200006','WOF091200006-WOB00008',33,'second','/data/download/collection_data/1进行中/元梁山风电场-陕西-大唐/收资数据/3简单整理数据/second',30,'',1,1,NULL,NULL,NULL,NULL,'2024-07-04 12:23:09',133,'2024-07-04 10:06:53',133,'2024-07-08 11:26:02',1,100),
	(24,'WOF035900004','WOF035900004-WOB00009',0,'tower',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-07-04 13:25:47',133,'2024-07-05 17:13:37',1,1),
	(25,'WOF035900004','WOF035900004-WOB00009',24,'minute','/data/download/collection_data/1进行中/平陆风电场-山西-中广核/收资数据/min',600,'',1,1,NULL,NULL,NULL,NULL,'2024-07-04 13:28:42',133,'2024-07-04 13:25:47',133,'2024-07-05 17:13:37',1,100),
	(26,'WOF035900004','WOF035900004-WOB00009',0,'event',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-07-04 13:25:47',133,'2024-07-05 17:13:37',1,1),
	(27,'WOF035900004','WOF035900004-WOB00009',24,'second','/data/download/collection_data/1进行中/平陆风电场-山西-中广核/收资数据/30秒数据',30,'',1,1,NULL,NULL,NULL,NULL,'2024-07-05 09:26:44',133,'2024-07-04 13:25:47',133,'2024-07-05 17:13:37',1,100),
	(28,'WOF093400005','WOF093400005-WOB00006',0,'tower',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-07-10 09:09:08',133,'2024-07-10 11:36:00',1,1),
	(29,'WOF093400005','WOF093400005-WOB00006',23,'minute','/data/download/collection_data/1进行中/诺木洪风电场-甘肃-华电/清理数据/min',600,'',1,1,596031,'2023-12-01 00:00:00','2024-05-30 23:50:00','2024-07-10 11:34:05','2024-07-10 11:35:00',133,'2024-07-10 09:09:08',133,'2024-07-10 11:36:00',1,100),
	(30,'WOF093400005','WOF093400005-WOB00006',0,'event',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-07-10 09:09:08',133,'2024-07-10 11:36:00',1,1),
	(31,'WOF093400005','WOF093400005-WOB00006',23,'second','/data/download/collection_data/1进行中/诺木洪风电场-甘肃-华电/清理数据/sec',10,'',1,1,6160313,'2024-05-01 00:00:00','2024-05-31 23:59:50','2024-07-10 11:26:05','2024-07-10 11:33:55',133,'2024-07-10 09:09:08',133,'2024-07-10 11:36:00',1,100),
	(32,'WOF035200003','WOF035200003-WOB000001',0,'tower',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-07-10 14:58:58',133,'2024-07-10 17:22:00',1,1),
	(33,'WOF035200003','WOF035200003-WOB000001',0,'event',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-07-10 14:58:58',133,'2024-07-10 17:22:00',1,1),
	(34,'WOF035200003','WOF035200003-WOB000001',32,'minute','/data/download/collection_data/1进行中/密马风电场-山西-大唐/收资数据/scada/min/2023',600,'',1,1,2422883,'2022-10-01 00:00:00','2024-03-31 23:50:00','2024-07-10 14:59:05','2024-07-10 15:02:10',133,'2024-07-10 14:58:58',133,'2024-07-10 17:22:00',1,100),
	(35,'WOF035200003','WOF035200003-WOB000001',33,'second','/data/download/collection_data/1进行中/密马风电场-山西-大唐/收资数据/scada/秒级数据',3,'',1,1,78926275,'2024-01-01 08:00:00','2024-04-01 07:59:56','2024-07-10 15:03:05','2024-07-10 17:21:27',133,'2024-07-10 14:58:58',133,'2024-07-10 17:22:00',1,100),
	(36,'WOF093400005','WOF093400005-WOB000001',0,'tower',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-07-11 13:41:21',133,'2024-07-12 08:48:00',1,1),
	(37,'WOF093400005','WOF093400005-WOB000001',0,'event',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-07-11 13:41:21',133,'2024-07-12 08:48:00',1,1),
	(38,'WOF093400005','WOF093400005-WOB000001',23,'minute','/data/download/collection_data/1进行中/诺木洪风电场-甘肃-华电/清理数据/min',600,'',1,1,596031,'2023-12-01 00:00:00','2024-05-30 23:50:00','2024-07-11 13:42:05','2024-07-11 13:43:03',133,'2024-07-11 13:41:21',133,'2024-07-12 08:48:00',1,100),
	(39,'WOF093400005','WOF093400005-WOB000001',23,'second','/data/download/collection_data/1进行中/诺木洪风电场-甘肃-华电/清理数据/sec',10,'',1,1,18297498,'2023-11-15 19:10:00','2024-05-31 23:59:50','2024-07-11 17:00:05','2024-07-11 17:23:15',133,'2024-07-11 13:41:21',133,'2024-07-12 08:48:00',1,100),
	(40,'WOF093400005','WOF093400005-WOB000002',0,'minute',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-07-15 17:08:55',133,'2024-07-15 17:08:55',0,1),
	(41,'WOF093400005','WOF093400005-WOB000002',0,'event',NULL,0,'',-1,-1,NULL,NULL,NULL,NULL,NULL,133,'2024-07-15 17:08:55',133,'2024-07-15 17:08:55',0,1),
	(42,'WOF093400005','WOF093400005-WOB000002',0,'second','/data/download/collection_data/1进行中/诺木洪风电场-甘肃-华电/收资数据/sec',10,'系统返回错误:Usecols do not match columns, columns expected but not found: [\'gearbox_low_speed_shaft_bearing_temperature\', \'generatornon_drive_end_bearing_temperature\', \'rotor_speed\', \'time_stamp\', \'gearbox',2,2,NULL,NULL,NULL,'2024-07-15 17:09:05','2024-07-15 17:10:25',133,'2024-07-15 17:08:55',133,'2024-07-15 17:10:25',0,20);

/*!40000 ALTER TABLE `data_transfer` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table data_transfer_history
# ------------------------------------------------------------

DROP TABLE IF EXISTS `data_transfer_history`;

CREATE TABLE `data_transfer_history` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `batch_code` varchar(50) NOT NULL COMMENT '批次编号',
  `engine_count` int(4) DEFAULT '0' COMMENT '风机数量',
  `transfer_addr` varchar(500) NOT NULL DEFAULT '' COMMENT '转换地址',
  `transfer_type` varchar(50) NOT NULL DEFAULT '' COMMENT '转换类型',
  `err_info` varchar(1000) NOT NULL DEFAULT '' COMMENT '异常信息',
  `transfer_finish_time` datetime DEFAULT NULL COMMENT '转换完成时间',
  `option_by` int(11) NOT NULL COMMENT '转换人',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='数据转换异常历史表 ';

LOCK TABLES `data_transfer_history` WRITE;
/*!40000 ALTER TABLE `data_transfer_history` DISABLE KEYS */;

INSERT INTO `data_transfer_history` (`id`, `batch_code`, `engine_count`, `transfer_addr`, `transfer_type`, `err_info`, `transfer_finish_time`, `option_by`, `create_time`)
VALUES
	(1,'WOF035500001-WOB00001',0,'/data/download/collection_data/1进行中/虹梯官风电场-山西-大唐/清理数据/htg_min','minute','未找到虹梯关风电场的minute配置','2024-06-25 14:41:39',133,'2024-06-25 14:54:34'),
	(2,'WOF085500002-WOB00002',0,'/data/download/collection_data/1进行中/昌平坳风场-贵州-大唐/收资数据/min','minute','未找到昌平坳风电场的minute配置','2024-06-25 15:23:39',133,'2024-06-25 15:30:56'),
	(3,'WOF085500002-WOB00002',0,'/data/download/collection_data/1进行中/昌平坳风电场-贵州-大唐/收资数据/min','minute','系统返回错误:整理临时文件,系统返回错误:name \'win_name\' is not defined','2024-06-25 15:31:45',133,'2024-06-25 15:32:28'),
	(4,'WOF085500002-WOB00004',0,'/data/download/collection_data/1进行中/昌平坳风电场-贵州-大唐/收资数据/min','minute','系统返回错误:保存到数据库错误,系统返回错误:(2006, \"MySQL server has gone away (BrokenPipeError(32, \'Broken pipe\'))\")','2024-06-26 09:24:30',133,'2024-06-26 09:53:54'),
	(5,'WOF035900004-WOB00005',0,'/data/download/collection_data/1进行中/平陆风电场-山西-中广核/收资数据/min','minute','系统返回错误:Usecols do not match columns, columns expected but not found: [\'驱动前轴承温度(℃)\', \'机舱振动传感器X(g)\', \'机舱振动传感器Y(g)\', \'自由后轴承温度(℃)\']','2024-06-28 15:05:10',133,'2024-06-28 15:08:23'),
	(6,'WOF035900004-WOB00005',0,'/data/download/collection_data/1进行中/平陆风电场-山西-中广核/收资数据/min','minute','系统返回错误:整理临时文件,系统返回错误:invalid syntax (<string>, line 1)','2024-06-28 15:09:10',133,'2024-06-28 15:10:41'),
	(7,'WOF035900004-WOB00005',0,'/data/download/collection_data/1进行中/平陆风电场-山西-中广核/收资数据/min','minute','系统返回错误:整理临时文件,系统返回错误:invalid syntax (<string>, line 1)','2024-06-28 15:11:10',133,'2024-06-28 15:17:37'),
	(8,'WOF091200006-WOB00008',0,'/data/download/collection_data/1进行中/元梁山风电场-陕西-大唐/清理数据/WOF091200006-WOB00008_元梁山0704test/minute','minute','未找到元梁山风电场的minute配置','2024-07-08 10:49:06',133,'2024-07-08 10:51:15'),
	(9,'WOF091200006-WOB00008',0,'/data/download/collection_data/1进行中/元梁山风电场-陕西-大唐/清理数据/WOF091200006-WOB00008_元梁山0704test/minute','minute','系统返回错误:读取文件列表错误:/data/download/collection_data/1进行中/元梁山风电场-陕西-大唐/清理数据/WOF091200006-WOB00008_元梁山0704test/minute,系统返回错误:[Errno 2] No such file or directory: \'/data/download/collection_data/1进行中/元梁山风电场-陕','2024-07-08 10:52:05',133,'2024-07-08 11:02:30'),
	(10,'WOF093400005-WOB00006',0,'/data/download/collection_data/1进行中/诺木洪风电场-甘肃-华电/清理数据/min','minute','系统返回错误:保存到数据库错误,系统返回错误:(pymysql.err.DataError) (1265, \"Data truncated for column \'cabin_temperature\' at row 374\")\n[SQL: INSERT INTO `WOF093400005-WOB00006_minute` (wind_turbine_number, time_stamp, act','2024-07-10 09:10:48',133,'2024-07-10 11:25:00'),
	(11,'WOF093400005-WOB00006',0,'/data/download/collection_data/1进行中/诺木洪风电场-甘肃-华电/清理数据/sec','second','系统返回错误:保存到数据库错误,系统返回错误:(pymysql.err.DataError) (1265, \"Data truncated for column \'active_power\' at row 623\")\n[SQL: INSERT INTO `WOF093400005-WOB00006_second` (wind_turbine_number, time_stamp, active_p','2024-07-10 09:19:03',133,'2024-07-10 11:25:04'),
	(12,'WOF093400005-WOB00006',0,'/data/download/collection_data/1进行中/诺木洪风电场-甘肃-华电/清理数据/min','minute','系统返回错误:(1054, \"Unknown column \'data_max_time\' in \'field list\'\")','2024-07-10 11:25:59',133,'2024-07-10 11:28:00'),
	(13,'WOF093400005-WOB000001',0,'/data/download/collection_data/1进行中/诺木洪风电场-甘肃-华电/清理数据/sec','second','系统返回错误:保存到数据库错误,系统返回错误:WOG00420.csv(pymysql.err.DataError) (1265, \"Data truncated for column \'active_power\' at row 2378\")\n[SQL: INSERT INTO `WOF093400005-WOB000001_second` (wind_turbine_number, time_s','2024-07-11 14:05:58',133,'2024-07-11 14:39:35'),
	(14,'WOF093400005-WOB000001',0,'/data/download/collection_data/1进行中/诺木洪风电场-甘肃-华电/清理数据/sec','second','系统返回错误:保存到数据库错误,系统返回错误:WOG00420.csv(pymysql.err.DataError) (1366, \"Incorrect decimal value: \'-\' for column \'active_power\' at row 2378\")\n[SQL: INSERT INTO `WOF093400005-WOB000001_second` (wind_turbine_','2024-07-11 15:03:39',133,'2024-07-11 15:57:37');

/*!40000 ALTER TABLE `data_transfer_history` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table data_transfer_type
# ------------------------------------------------------------

DROP TABLE IF EXISTS `data_transfer_type`;

CREATE TABLE `data_transfer_type` (
  `id` bigint(11) NOT NULL AUTO_INCREMENT COMMENT '主键 唯一标识',
  `transfer_type_name` varchar(100) NOT NULL DEFAULT '',
  `transfer_type` varchar(20) NOT NULL COMMENT '转换类型',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT=' 转换类型表（scada分钟级 scada秒级）';

LOCK TABLES `data_transfer_type` WRITE;
/*!40000 ALTER TABLE `data_transfer_type` DISABLE KEYS */;

INSERT INTO `data_transfer_type` (`id`, `transfer_type_name`, `transfer_type`, `create_time`)
VALUES
	(1,'分钟级数据路径','minute','2024-06-04 10:46:56'),
	(2,'秒级数据路径','second','2024-06-04 10:47:15'),
	(3,'测风塔数据路径','tower','2024-06-04 10:47:40'),
	(4,'事件数数据路径','event','2024-06-04 10:48:00');

/*!40000 ALTER TABLE `data_transfer_type` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table dict_constants
# ------------------------------------------------------------

DROP TABLE IF EXISTS `dict_constants`;

CREATE TABLE `dict_constants` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `contents_type` tinyint(4) DEFAULT NULL COMMENT '常量类型',
  `contents_value` tinyint(4) DEFAULT NULL COMMENT '常量值',
  `contents_name` varchar(255) DEFAULT NULL COMMENT '常量显示内容',
  `contents_describe` varchar(255) DEFAULT NULL COMMENT '描述信息',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='字典表';

LOCK TABLES `dict_constants` WRITE;
/*!40000 ALTER TABLE `dict_constants` DISABLE KEYS */;

INSERT INTO `dict_constants` (`id`, `contents_type`, `contents_value`, `contents_name`, `contents_describe`)
VALUES
	(388,1,1,'双馈','驱动类型'),
	(389,1,2,'半驱','驱动类型'),
	(390,1,3,'半直驱','驱动类型'),
	(391,2,1,'管理员','角色类型'),
	(392,2,2,'普通员工','角色类型');

/*!40000 ALTER TABLE `dict_constants` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table power_word_relation_contract
# ------------------------------------------------------------

DROP TABLE IF EXISTS `power_word_relation_contract`;

CREATE TABLE `power_word_relation_contract` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `field_code` varchar(32) DEFAULT NULL COMMENT '风场编号',
  `mill_type_code` varchar(32) DEFAULT NULL COMMENT '机型编号',
  `active_power` double(10,3) DEFAULT NULL COMMENT '有功功率',
  `wind_speed` double(10,2) DEFAULT NULL COMMENT '风速',
  `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='合同功率曲线关系表 合同功率曲线-关联机型厂商+风场';

LOCK TABLES `power_word_relation_contract` WRITE;
/*!40000 ALTER TABLE `power_word_relation_contract` DISABLE KEYS */;

INSERT INTO `power_word_relation_contract` (`id`, `field_code`, `mill_type_code`, `active_power`, `wind_speed`, `del_state`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(1,'WOF085500002','WEM00002',0.000,0.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(2,'WOF085500002','WEM00002',0.000,0.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(3,'WOF085500002','WEM00002',0.000,1.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(4,'WOF085500002','WEM00002',0.000,1.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(5,'WOF085500002','WEM00002',0.000,2.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(6,'WOF085500002','WEM00002',0.000,2.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(7,'WOF085500002','WEM00002',43.750,3.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(8,'WOF085500002','WEM00002',79.160,3.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(9,'WOF085500002','WEM00002',141.160,4.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(10,'WOF085500002','WEM00002',214.010,4.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(11,'WOF085500002','WEM00002',320.560,5.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(12,'WOF085500002','WEM00002',463.350,5.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(13,'WOF085500002','WEM00002',659.220,6.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(14,'WOF085500002','WEM00002',827.030,6.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(15,'WOF085500002','WEM00002',1056.140,7.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(16,'WOF085500002','WEM00002',1370.010,7.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(17,'WOF085500002','WEM00002',1591.830,8.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(18,'WOF085500002','WEM00002',1790.960,8.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(19,'WOF085500002','WEM00002',1893.650,9.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(20,'WOF085500002','WEM00002',1986.330,9.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(21,'WOF085500002','WEM00002',2000.000,10.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(22,'WOF085500002','WEM00002',2000.000,10.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(23,'WOF085500002','WEM00002',2000.000,11.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(24,'WOF085500002','WEM00002',2000.000,11.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(25,'WOF085500002','WEM00002',2000.000,12.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(26,'WOF085500002','WEM00002',2000.000,12.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(27,'WOF085500002','WEM00002',2000.000,13.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(28,'WOF085500002','WEM00002',2000.000,13.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(29,'WOF085500002','WEM00002',2000.000,14.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(30,'WOF085500002','WEM00002',2000.000,14.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(31,'WOF085500002','WEM00002',2000.000,15.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(32,'WOF085500002','WEM00002',2000.000,15.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(33,'WOF085500002','WEM00002',2000.000,16.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(34,'WOF085500002','WEM00002',2000.000,16.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(35,'WOF085500002','WEM00002',2000.000,17.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(36,'WOF085500002','WEM00002',2000.000,17.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(37,'WOF085500002','WEM00002',2000.000,18.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(38,'WOF085500002','WEM00002',2000.000,18.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(39,'WOF085500002','WEM00002',2000.000,19.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(40,'WOF085500002','WEM00002',2000.000,19.50,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(41,'WOF085500002','WEM00002',2000.000,20.00,0,NULL,'2024-06-26 11:20:45',NULL,'2024-06-26 11:20:45'),
	(42,'WOF035900004','WEM00003',0.000,0.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(43,'WOF035900004','WEM00003',0.000,0.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(44,'WOF035900004','WEM00003',0.000,1.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(45,'WOF035900004','WEM00003',0.000,1.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(46,'WOF035900004','WEM00003',0.000,2.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(47,'WOF035900004','WEM00003',0.000,2.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(48,'WOF035900004','WEM00003',0.000,3.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(49,'WOF035900004','WEM00003',28.200,3.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(50,'WOF035900004','WEM00003',57.500,4.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(51,'WOF035900004','WEM00003',88.300,4.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(52,'WOF035900004','WEM00003',144.700,5.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(53,'WOF035900004','WEM00003',238.800,5.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(54,'WOF035900004','WEM00003',341.600,6.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(55,'WOF035900004','WEM00003',456.610,6.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(56,'WOF035900004','WEM00003',607.210,7.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(57,'WOF035900004','WEM00003',759.910,7.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(58,'WOF035900004','WEM00003',928.910,8.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(59,'WOF035900004','WEM00003',1132.620,8.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(60,'WOF035900004','WEM00003',1319.820,9.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(61,'WOF035900004','WEM00003',1482.030,9.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(62,'WOF035900004','WEM00003',1639.330,10.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(63,'WOF035900004','WEM00003',1766.220,10.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(64,'WOF035900004','WEM00003',1846.410,11.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(65,'WOF035900004','WEM00003',1887.800,11.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(66,'WOF035900004','WEM00003',1900.000,12.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(67,'WOF035900004','WEM00003',2000.000,12.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(68,'WOF035900004','WEM00003',2000.000,13.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(69,'WOF035900004','WEM00003',2000.000,13.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(70,'WOF035900004','WEM00003',2000.000,14.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(71,'WOF035900004','WEM00003',2000.000,14.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(72,'WOF035900004','WEM00003',2000.000,15.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(73,'WOF035900004','WEM00003',2000.000,15.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(74,'WOF035900004','WEM00003',2000.000,16.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(75,'WOF035900004','WEM00003',2000.000,16.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(76,'WOF035900004','WEM00003',2000.000,17.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(77,'WOF035900004','WEM00003',2000.000,17.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(78,'WOF035900004','WEM00003',2000.000,18.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(79,'WOF035900004','WEM00003',2000.000,18.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(80,'WOF035900004','WEM00003',2000.000,19.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(81,'WOF035900004','WEM00003',2000.000,19.50,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(82,'WOF035900004','WEM00003',2000.000,20.00,0,NULL,'2024-06-28 15:26:09',NULL,'2024-06-28 15:26:09'),
	(83,'WOF091200006','0',1.180,0.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(84,'WOF091200006','0.25',1.180,0.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(85,'WOF091200006','0.75',1.180,0.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(86,'WOF091200006','1.25',1.180,0.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(87,'WOF091200006','1.75',1.180,0.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(88,'WOF091200006','2.25',1.180,0.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(89,'WOF091200006','2.75',1.180,2.50,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(90,'WOF091200006','3.25',1.180,17.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(91,'WOF091200006','3.75',1.180,46.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(92,'WOF091200006','4.25',1.180,82.50,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(93,'WOF091200006','4.75',1.180,124.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(94,'WOF091200006','5.25',1.180,179.50,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(95,'WOF091200006','5.75',1.180,239.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(96,'WOF091200006','6.25',1.180,388.56,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(97,'WOF091200006','6.75',1.180,393.50,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(98,'WOF091200006','7.25',1.180,491.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(99,'WOF091200006','7.75',1.180,611.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(100,'WOF091200006','8.25',1.180,721.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(101,'WOF091200006','8.75',1.180,871.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(102,'WOF091200006','9.25',1.180,1044.50,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(103,'WOF091200006','9.75',1.180,1199.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(104,'WOF091200006','10.25',1.180,1315.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(105,'WOF091200006','10.75',1.180,1423.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(106,'WOF091200006','11.25',1.180,1500.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(107,'WOF091200006','11.75',1.180,1500.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(108,'WOF091200006','12.25',1.180,1500.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(109,'WOF091200006','12.75',1.180,1500.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(110,'WOF091200006','13.25',1.180,1500.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(111,'WOF091200006','13.75',1.180,1500.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(112,'WOF091200006','14.25',1.180,1500.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(113,'WOF091200006','14.75',1.180,1500.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(114,'WOF091200006','15.25',1.180,1500.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(115,'WOF091200006','15.75',1.180,1500.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(116,'WOF091200006','16.25',1.180,1500.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(117,'WOF091200006','16.75',1.180,1500.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(118,'WOF091200006','17.25',1.180,1500.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(119,'WOF091200006','17.75',1.180,1500.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(120,'WOF091200006','18.25',1.180,1500.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(121,'WOF091200006','18.75',1.180,1500.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(122,'WOF091200006','19.25',1.180,1500.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(123,'WOF091200006','19.75',1.180,1500.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(124,'WOF091200006','20.25',1.180,1500.00,1,NULL,'2024-07-08 09:10:30',NULL,'2024-07-08 09:10:30'),
	(125,'WOF091200006','WEM00005',0.000,0.00,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(126,'WOF091200006','WEM00005',0.000,0.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(127,'WOF091200006','WEM00005',0.000,0.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(128,'WOF091200006','WEM00005',0.000,1.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(129,'WOF091200006','WEM00005',0.000,1.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(130,'WOF091200006','WEM00005',0.000,2.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(131,'WOF091200006','WEM00005',2.500,2.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(132,'WOF091200006','WEM00005',17.000,3.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(133,'WOF091200006','WEM00005',46.000,3.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(134,'WOF091200006','WEM00005',82.500,4.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(135,'WOF091200006','WEM00005',124.000,4.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(136,'WOF091200006','WEM00005',179.500,5.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(137,'WOF091200006','WEM00005',239.000,5.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(138,'WOF091200006','WEM00005',388.560,6.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(139,'WOF091200006','WEM00005',393.500,6.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(140,'WOF091200006','WEM00005',491.000,7.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(141,'WOF091200006','WEM00005',611.000,7.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(142,'WOF091200006','WEM00005',721.000,8.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(143,'WOF091200006','WEM00005',871.000,8.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(144,'WOF091200006','WEM00005',1044.500,9.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(145,'WOF091200006','WEM00005',1199.000,9.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(146,'WOF091200006','WEM00005',1315.000,10.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(147,'WOF091200006','WEM00005',1423.000,10.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(148,'WOF091200006','WEM00005',1500.000,11.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(149,'WOF091200006','WEM00005',1500.000,11.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(150,'WOF091200006','WEM00005',1500.000,12.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(151,'WOF091200006','WEM00005',1500.000,12.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(152,'WOF091200006','WEM00005',1500.000,13.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(153,'WOF091200006','WEM00005',1500.000,13.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(154,'WOF091200006','WEM00005',1500.000,14.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(155,'WOF091200006','WEM00005',1500.000,14.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(156,'WOF091200006','WEM00005',1500.000,15.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(157,'WOF091200006','WEM00005',1500.000,15.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(158,'WOF091200006','WEM00005',1500.000,16.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(159,'WOF091200006','WEM00005',1500.000,16.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(160,'WOF091200006','WEM00005',1500.000,17.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(161,'WOF091200006','WEM00005',1500.000,17.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(162,'WOF091200006','WEM00005',1500.000,18.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(163,'WOF091200006','WEM00005',1500.000,18.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(164,'WOF091200006','WEM00005',1500.000,19.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(165,'WOF091200006','WEM00005',1500.000,19.75,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(166,'WOF091200006','WEM00005',1500.000,20.25,0,NULL,'2024-07-08 09:13:13',NULL,'2024-07-08 09:13:13'),
	(167,'WOF093400005','WEM00004',45.000,3.00,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(168,'WOF093400005','WEM00004',104.000,3.50,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(169,'WOF093400005','WEM00004',177.000,4.00,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(170,'WOF093400005','WEM00004',261.000,4.50,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(171,'WOF093400005','WEM00004',363.000,5.00,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(172,'WOF093400005','WEM00004',490.000,5.50,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(173,'WOF093400005','WEM00004',637.000,6.00,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(174,'WOF093400005','WEM00004',807.000,6.50,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(175,'WOF093400005','WEM00004',1008.000,7.00,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(176,'WOF093400005','WEM00004',1235.000,7.50,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(177,'WOF093400005','WEM00004',1490.000,8.00,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(178,'WOF093400005','WEM00004',1792.000,8.50,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(179,'WOF093400005','WEM00004',2042.000,9.00,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(180,'WOF093400005','WEM00004',2183.000,9.50,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(181,'WOF093400005','WEM00004',2200.000,10.00,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(182,'WOF093400005','WEM00004',2200.000,10.50,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(183,'WOF093400005','WEM00004',2200.000,11.00,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(184,'WOF093400005','WEM00004',2200.000,11.50,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(185,'WOF093400005','WEM00004',2200.000,12.00,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(186,'WOF093400005','WEM00004',2200.000,12.50,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(187,'WOF093400005','WEM00004',2200.000,13.00,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(188,'WOF093400005','WEM00004',2200.000,13.50,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(189,'WOF093400005','WEM00004',2200.000,14.00,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(190,'WOF093400005','WEM00004',2200.000,14.50,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(191,'WOF093400005','WEM00004',2200.000,15.00,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(192,'WOF093400005','WEM00004',2200.000,15.50,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(193,'WOF093400005','WEM00004',2200.000,16.00,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(194,'WOF093400005','WEM00004',2200.000,16.50,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(195,'WOF093400005','WEM00004',2200.000,17.00,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(196,'WOF093400005','WEM00004',2200.000,17.50,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(197,'WOF093400005','WEM00004',2200.000,18.00,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(198,'WOF093400005','WEM00004',2200.000,18.50,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(199,'WOF093400005','WEM00004',2200.000,19.00,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(200,'WOF093400005','WEM00004',2200.000,19.50,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(201,'WOF093400005','WEM00004',2200.000,20.00,0,NULL,'2024-07-10 09:08:07',NULL,'2024-07-10 09:08:07'),
	(203,'WOF035200003','WEM00006',0.000,0.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(204,'WOF035200003','WEM00006',0.000,1.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(205,'WOF035200003','WEM00006',0.000,2.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(206,'WOF035200003','WEM00006',0.000,3.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(207,'WOF035200003','WEM00006',44.000,4.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(208,'WOF035200003','WEM00006',106.000,5.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(209,'WOF035200003','WEM00006',212.000,6.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(210,'WOF035200003','WEM00006',362.000,7.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(211,'WOF035200003','WEM00006',565.000,8.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(212,'WOF035200003','WEM00006',826.000,9.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(213,'WOF035200003','WEM00006',1104.000,10.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(214,'WOF035200003','WEM00006',1352.000,11.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(215,'WOF035200003','WEM00006',1468.000,12.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(216,'WOF035200003','WEM00006',1500.000,13.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(217,'WOF035200003','WEM00006',1500.000,14.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(218,'WOF035200003','WEM00006',1500.000,15.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(219,'WOF035200003','WEM00006',1500.000,16.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(220,'WOF035200003','WEM00006',1500.000,17.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(221,'WOF035200003','WEM00006',1500.000,18.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(222,'WOF035200003','WEM00006',1500.000,19.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(223,'WOF035200003','WEM00006',1500.000,20.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(224,'WOF035200003','WEM00006',1500.000,21.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(225,'WOF035200003','WEM00006',1500.000,22.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(226,'WOF035200003','WEM00006',1500.000,23.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(227,'WOF035200003','WEM00006',1500.000,24.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53'),
	(228,'WOF035200003','WEM00006',1500.000,25.00,0,NULL,'2024-07-10 14:57:53',NULL,'2024-07-10 14:57:53');

/*!40000 ALTER TABLE `power_word_relation_contract` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table power_word_relation_criterion
# ------------------------------------------------------------

DROP TABLE IF EXISTS `power_word_relation_criterion`;

CREATE TABLE `power_word_relation_criterion` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `mill_type_code` varchar(32) DEFAULT NULL COMMENT '机型编号',
  `wind_speed` double(10,2) DEFAULT NULL COMMENT '风速',
  `active_power` double(10,2) DEFAULT NULL COMMENT '有功功率',
  `density` double(10,3) DEFAULT NULL COMMENT '空气密度',
  `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='标准功率曲线关系表 标准功率曲线-关联机型';

LOCK TABLES `power_word_relation_criterion` WRITE;
/*!40000 ALTER TABLE `power_word_relation_criterion` DISABLE KEYS */;

INSERT INTO `power_word_relation_criterion` (`id`, `mill_type_code`, `wind_speed`, `active_power`, `density`, `del_state`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(1,'WEM00002',0.00,0.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(2,'WEM00002',0.50,0.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(3,'WEM00002',1.00,0.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(4,'WEM00002',1.50,0.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(5,'WEM00002',2.00,0.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(6,'WEM00002',2.50,0.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(7,'WEM00002',3.00,20.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(8,'WEM00002',3.50,73.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(9,'WEM00002',4.00,152.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(10,'WEM00002',4.50,237.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(11,'WEM00002',5.00,335.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(12,'WEM00002',5.50,463.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(13,'WEM00002',6.00,609.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(14,'WEM00002',6.50,764.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(15,'WEM00002',7.00,970.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(16,'WEM00002',7.50,1181.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(17,'WEM00002',8.00,1423.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(18,'WEM00002',8.50,1673.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(19,'WEM00002',9.00,1856.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(20,'WEM00002',9.50,1960.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(21,'WEM00002',10.00,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(22,'WEM00002',10.50,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(23,'WEM00002',11.00,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(24,'WEM00002',11.50,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(25,'WEM00002',12.00,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(26,'WEM00002',12.50,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(27,'WEM00002',13.00,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(28,'WEM00002',13.50,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(29,'WEM00002',14.00,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(30,'WEM00002',14.50,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(31,'WEM00002',15.00,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(32,'WEM00002',15.50,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(33,'WEM00002',16.00,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(34,'WEM00002',16.50,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(35,'WEM00002',17.00,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(36,'WEM00002',17.50,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(37,'WEM00002',18.00,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(38,'WEM00002',18.50,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(39,'WEM00002',19.00,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(40,'WEM00002',19.50,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(41,'WEM00002',20.00,2000.00,1.225,0,NULL,'2024-06-26 11:16:08',NULL,'2024-06-26 11:16:08'),
	(42,'WEM00003',0.00,0.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(43,'WEM00003',0.50,0.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(44,'WEM00003',1.00,0.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(45,'WEM00003',1.50,0.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(46,'WEM00003',2.00,0.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(47,'WEM00003',2.50,0.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(48,'WEM00003',3.00,0.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(49,'WEM00003',3.50,28.20,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(50,'WEM00003',4.00,57.50,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(51,'WEM00003',4.50,88.30,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(52,'WEM00003',5.00,144.70,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(53,'WEM00003',5.50,238.80,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(54,'WEM00003',6.00,341.60,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(55,'WEM00003',6.50,456.61,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(56,'WEM00003',7.00,607.21,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(57,'WEM00003',7.50,759.91,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(58,'WEM00003',8.00,928.91,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(59,'WEM00003',8.50,1132.62,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(60,'WEM00003',9.00,1319.82,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(61,'WEM00003',9.50,1482.03,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(62,'WEM00003',10.00,1639.33,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(63,'WEM00003',10.50,1766.22,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(64,'WEM00003',11.00,1846.41,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(65,'WEM00003',11.50,1887.80,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(66,'WEM00003',12.00,1900.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(67,'WEM00003',12.50,2000.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(68,'WEM00003',13.00,2000.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(69,'WEM00003',13.50,2000.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(70,'WEM00003',14.00,2000.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(71,'WEM00003',14.50,2000.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(72,'WEM00003',15.00,2000.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(73,'WEM00003',15.50,2000.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(74,'WEM00003',16.00,2000.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(75,'WEM00003',16.50,2000.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(76,'WEM00003',17.00,2000.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(77,'WEM00003',17.50,2000.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(78,'WEM00003',18.00,2000.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(79,'WEM00003',18.50,2000.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(80,'WEM00003',19.00,2000.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(81,'WEM00003',19.50,2000.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(82,'WEM00003',20.00,2000.00,1.080,0,NULL,'2024-06-28 15:25:05',NULL,'2024-06-28 15:25:05'),
	(83,'WEM00005',0.00,0.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(84,'WEM00005',0.25,0.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(85,'WEM00005',0.75,0.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(86,'WEM00005',1.25,0.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(87,'WEM00005',1.75,0.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(88,'WEM00005',2.25,0.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(89,'WEM00005',2.75,2.50,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(90,'WEM00005',3.25,17.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(91,'WEM00005',3.75,46.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(92,'WEM00005',4.25,82.50,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(93,'WEM00005',4.75,124.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(94,'WEM00005',5.25,179.50,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(95,'WEM00005',5.75,239.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(96,'WEM00005',6.25,388.56,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(97,'WEM00005',6.75,393.50,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(98,'WEM00005',7.25,491.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(99,'WEM00005',7.75,611.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(100,'WEM00005',8.25,721.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(101,'WEM00005',8.75,871.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(102,'WEM00005',9.25,1044.50,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(103,'WEM00005',9.75,1199.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(104,'WEM00005',10.25,1315.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(105,'WEM00005',10.75,1423.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(106,'WEM00005',11.25,1500.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(107,'WEM00005',11.75,1500.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(108,'WEM00005',12.25,1500.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(109,'WEM00005',12.75,1500.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(110,'WEM00005',13.25,1500.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(111,'WEM00005',13.75,1500.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(112,'WEM00005',14.25,1500.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(113,'WEM00005',14.75,1500.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(114,'WEM00005',15.25,1500.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(115,'WEM00005',15.75,1500.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(116,'WEM00005',16.25,1500.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(117,'WEM00005',16.75,1500.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(118,'WEM00005',17.25,1500.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(119,'WEM00005',17.75,1500.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(120,'WEM00005',18.25,1500.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(121,'WEM00005',18.75,1500.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(122,'WEM00005',19.25,1500.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(123,'WEM00005',19.75,1500.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(124,'WEM00005',20.25,1500.00,1.180,0,NULL,'2024-07-08 09:13:00',NULL,'2024-07-08 09:13:00'),
	(125,'WEM00004',3.00,82.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(126,'WEM00004',3.50,160.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(127,'WEM00004',4.00,251.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(128,'WEM00004',4.50,362.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(129,'WEM00004',5.00,504.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(130,'WEM00004',5.50,670.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(131,'WEM00004',6.00,869.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(132,'WEM00004',6.50,1104.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(133,'WEM00004',7.00,1368.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(134,'WEM00004',7.50,1687.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(135,'WEM00004',8.00,1992.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(136,'WEM00004',8.50,2172.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(137,'WEM00004',9.00,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(138,'WEM00004',9.50,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(139,'WEM00004',10.00,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(140,'WEM00004',10.50,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(141,'WEM00004',11.00,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(142,'WEM00004',11.50,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(143,'WEM00004',12.00,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(144,'WEM00004',12.50,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(145,'WEM00004',13.00,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(146,'WEM00004',13.50,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(147,'WEM00004',14.00,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(148,'WEM00004',14.50,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(149,'WEM00004',15.00,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(150,'WEM00004',15.50,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(151,'WEM00004',16.00,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(152,'WEM00004',16.50,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(153,'WEM00004',17.00,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(154,'WEM00004',17.50,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(155,'WEM00004',18.00,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(156,'WEM00004',18.50,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(157,'WEM00004',19.00,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(158,'WEM00004',19.50,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(159,'WEM00004',20.00,2200.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(160,'WEM00004',17.25,1500.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(161,'WEM00004',17.75,1500.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(162,'WEM00004',18.25,1500.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(163,'WEM00004',18.75,1500.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(164,'WEM00004',19.25,1500.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(165,'WEM00004',19.75,1500.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(166,'WEM00004',20.25,1500.00,1.225,0,NULL,'2024-07-10 09:07:53',NULL,'2024-07-10 09:07:53'),
	(167,'WEM00006',0.00,0.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(168,'WEM00006',1.00,0.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(169,'WEM00006',2.00,0.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(170,'WEM00006',3.00,3.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(171,'WEM00006',4.00,56.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(172,'WEM00006',5.00,140.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(173,'WEM00006',6.00,271.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(174,'WEM00006',7.00,460.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(175,'WEM00006',8.00,712.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(176,'WEM00006',9.00,1022.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(177,'WEM00006',10.00,1347.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(178,'WEM00006',11.00,1500.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(179,'WEM00006',12.00,1500.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(180,'WEM00006',13.00,1500.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(181,'WEM00006',14.00,1500.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(182,'WEM00006',15.00,1500.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(183,'WEM00006',16.00,1500.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(184,'WEM00006',17.00,1500.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(185,'WEM00006',18.00,1500.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(186,'WEM00006',19.00,1500.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(187,'WEM00006',20.00,1500.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(188,'WEM00006',21.00,1500.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(189,'WEM00006',22.00,1500.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(190,'WEM00006',23.00,1500.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(191,'WEM00006',24.00,1500.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57'),
	(192,'WEM00006',25.00,1500.00,1.225,0,NULL,'2024-07-10 14:55:57',NULL,'2024-07-10 14:55:57');

/*!40000 ALTER TABLE `power_word_relation_criterion` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table sys_areas_info
# ------------------------------------------------------------

DROP TABLE IF EXISTS `sys_areas_info`;

CREATE TABLE `sys_areas_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `province` varchar(255) DEFAULT NULL,
  `city` varchar(255) DEFAULT NULL,
  `area` varchar(255) DEFAULT NULL,
  `area_code` varchar(10) DEFAULT NULL COMMENT '区域编号',
  `type` int(11) DEFAULT NULL,
  `root_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `areas_index` (`type`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='省市区县表';

LOCK TABLES `sys_areas_info` WRITE;
/*!40000 ALTER TABLE `sys_areas_info` DISABLE KEYS */;

INSERT INTO `sys_areas_info` (`id`, `province`, `city`, `area`, `area_code`, `type`, `root_id`)
VALUES
	(1,'北京市',NULL,NULL,NULL,1,0),
	(2,'天津市',NULL,NULL,NULL,1,0),
	(3,'河北省',NULL,NULL,NULL,1,0),
	(4,'山西省',NULL,NULL,NULL,1,0),
	(5,'内蒙古自治区',NULL,NULL,NULL,1,0),
	(6,'辽宁省',NULL,NULL,NULL,1,0),
	(7,'吉林省',NULL,NULL,NULL,1,0),
	(8,'黑龙江省',NULL,NULL,NULL,1,0),
	(9,'上海市',NULL,NULL,NULL,1,0),
	(10,'江苏省',NULL,NULL,NULL,1,0),
	(11,'浙江省',NULL,NULL,NULL,1,0),
	(12,'安徽省',NULL,NULL,NULL,1,0),
	(13,'福建省',NULL,NULL,NULL,1,0),
	(14,'江西省',NULL,NULL,NULL,1,0),
	(15,'山东省',NULL,NULL,NULL,1,0),
	(16,'河南省',NULL,NULL,NULL,1,0),
	(17,'湖北省',NULL,NULL,NULL,1,0),
	(18,'广东省',NULL,NULL,NULL,1,0),
	(19,'广西壮族自治区',NULL,NULL,NULL,1,0),
	(20,'海南省',NULL,NULL,NULL,1,0),
	(21,'重庆市',NULL,NULL,NULL,1,0),
	(22,'四川省',NULL,NULL,NULL,1,0),
	(23,'贵州省',NULL,NULL,NULL,1,0),
	(24,'云南省',NULL,NULL,NULL,1,0),
	(25,'西藏自治区',NULL,NULL,NULL,1,0),
	(26,'陕西省',NULL,NULL,NULL,1,0),
	(27,'甘肃省',NULL,NULL,NULL,1,0),
	(28,'宁夏回族自治区',NULL,NULL,NULL,1,0),
	(29,'新疆维吾尔族自治区',NULL,NULL,NULL,1,0),
	(30,'青海省',NULL,NULL,NULL,1,0),
	(31,'湖南省',NULL,NULL,NULL,1,0),
	(101,'江苏省','连云港市',NULL,'0518',2,10),
	(102,'河南省','周口市',NULL,'0394',2,16),
	(103,'云南省','丽江市',NULL,'0888',2,24),
	(104,'江西省','九江市',NULL,'0792',2,14),
	(105,'黑龙江省','佳木斯市',NULL,'0454',2,8),
	(106,'四川省','成都市',NULL,'028',2,22),
	(107,'浙江省','嘉兴市',NULL,'0573',2,11),
	(108,'山西省','大同市',NULL,'0352',2,4),
	(109,'四川省','宜宾市',NULL,'0831',2,22),
	(110,'四川省','泸州市',NULL,'0830',2,22),
	(111,'河南省','开封市',NULL,'0378',2,16),
	(112,'吉林省','长春市',NULL,'0431',2,7),
	(113,'湖北省','武汉市',NULL,'027',2,17),
	(114,'广东省','揭阳市',NULL,'0663',2,18),
	(115,'山东省','日照市',NULL,'0633',2,15),
	(116,'湖南省','衡阳市',NULL,'0734',2,31),
	(117,'河南省','平顶山市',NULL,'0375',2,16),
	(118,'广东省','深圳市',NULL,'0755',2,18),
	(119,'福建省','南平市',NULL,'0599',2,13),
	(120,'新疆维吾尔族自治区','伊犁哈萨克自治州',NULL,'0999',2,29),
	(121,'山东省','潍坊市',NULL,'0536',2,15),
	(122,'吉林省','辽源市',NULL,'0437',2,7),
	(123,'内蒙古自治区','阿拉善盟',NULL,'0483',2,5),
	(124,'黑龙江省','哈尔滨市',NULL,'0451',2,8),
	(125,'黑龙江省','伊春市',NULL,'0458',2,8),
	(126,'山东省','莱芜市',NULL,'0634',2,15),
	(127,'河北省','承德市',NULL,'0314',2,3),
	(128,'黑龙江省','鸡西市',NULL,'0467',2,8),
	(129,'广东省','广州市',NULL,'020',2,18),
	(130,'江苏省','徐州市',NULL,'0516',2,10),
	(131,'黑龙江省','黑河市',NULL,'0456',2,8),
	(132,'安徽省','铜陵市',NULL,'0562',2,12),
	(133,'山东省','德州市',NULL,'0534',2,15),
	(134,'广东省','珠海市',NULL,'0756',2,18),
	(135,'广西壮族自治区','贺州市',NULL,'0774',2,19),
	(136,'江苏省','扬州市',NULL,'0514',2,10),
	(137,'山西省','阳泉市',NULL,'0353',2,4),
	(138,'河北省','衡水市',NULL,'0318',2,3),
	(139,'山西省','晋中市',NULL,'0354',2,4),
	(140,'山东省','东营市',NULL,'0546',2,15),
	(141,'辽宁省','本溪市',NULL,'0414',2,6),
	(142,'江西省','宜春市',NULL,'0795',2,14),
	(143,'广东省','梅州市',NULL,'0753',2,18),
	(144,'广东省','肇庆市',NULL,'0758',2,18),
	(145,'湖南省','益阳市',NULL,'0737',2,31),
	(146,'新疆维吾尔族自治区','塔城地区',NULL,'0901',2,29),
	(147,'辽宁省','盘锦市',NULL,'0427',2,6),
	(148,'青海省','海南藏族自治州',NULL,'0974',2,30),
	(149,'广东省','韶关市',NULL,'0751',2,18),
	(150,'福建省','漳州市',NULL,'0596',2,13),
	(151,'河北省','邢台市',NULL,'0319',2,3),
	(152,'浙江省','金华市',NULL,'0579',2,11),
	(153,'湖北省','荆门市',NULL,'0724',2,17),
	(154,'山西省','太原市',NULL,'0351',2,4),
	(155,'四川省','乐山市',NULL,'0833',2,22),
	(156,'湖南省','怀化市',NULL,'0745',2,31),
	(157,'甘肃省','白银市',NULL,'0943',2,27),
	(158,'辽宁省','抚顺市',NULL,'024',2,6),
	(159,'浙江省','湖州市',NULL,'0572',2,11),
	(160,'湖北省','仙桃市',NULL,'0728',2,17),
	(161,'福建省','泉州市',NULL,'0595',2,13),
	(162,'河北省','张家口市',NULL,'0313',2,3),
	(163,'河北省','秦皇岛市',NULL,'0335',2,3),
	(164,'海南省','五指山市',NULL,'0898',2,20),
	(165,'吉林省','延边朝鲜族自治州',NULL,'0433',2,7),
	(166,'辽宁省','营口市',NULL,'0417',2,6),
	(167,'广东省','中山市',NULL,'0760',2,18),
	(168,'云南省','思茅市',NULL,'0879',2,24),
	(169,'山东省','济宁市',NULL,'0537',2,15),
	(170,'辽宁省','沈阳市',NULL,'024',2,6),
	(171,'广东省','湛江市',NULL,'0759',2,18),
	(172,'西藏自治区','山南地区',NULL,'0893',2,25),
	(173,'四川省','凉山彝族自治州',NULL,'0834',2,22),
	(174,'辽宁省','朝阳市',NULL,'0421',2,6),
	(175,'河南省','焦作市',NULL,'0391',2,16),
	(176,'河北省','廊坊市',NULL,'0316',2,3),
	(177,'福建省','福州市',NULL,'0591',2,13),
	(178,'四川省','德阳市',NULL,'0838',2,22),
	(179,'甘肃省','天水市',NULL,'0938',2,27),
	(180,'陕西省','咸阳市',NULL,'029',2,26),
	(181,'安徽省','宿州市',NULL,'0557',2,12),
	(182,'内蒙古自治区','乌海市',NULL,'0473',2,5),
	(183,'新疆维吾尔族自治区','克拉玛依市',NULL,'0990',2,29),
	(184,'云南省','德宏傣族景颇族自治州',NULL,'0692',2,24),
	(185,'湖北省','十堰市',NULL,'0719',2,17),
	(186,'湖南省','常德市',NULL,'0736',2,31),
	(187,'西藏自治区','日喀则地区',NULL,'0892',2,25),
	(188,'黑龙江省','鹤岗市',NULL,'0468',2,8),
	(189,'宁夏回族自治区','石嘴山市',NULL,'0952',2,28),
	(190,'新疆维吾尔族自治区','阿勒泰地区',NULL,'0906',2,29),
	(191,'云南省','大理白族自治州',NULL,'0872',2,24),
	(192,'山东省','泰安市',NULL,'0538',2,15),
	(193,'青海省','西宁市',NULL,'0971',2,30),
	(194,'浙江省','舟山市',NULL,'0580',2,11),
	(195,'黑龙江省','齐齐哈尔市',NULL,'0452',2,8),
	(196,'广东省','清远市',NULL,'0763',2,18),
	(197,'广西壮族自治区','河池市',NULL,'0778',2,19),
	(198,'甘肃省','庆阳市',NULL,'0934',2,27),
	(199,'海南省','儋州市',NULL,'0898',2,20),
	(200,'江西省','南昌市',NULL,'0791',2,14),
	(201,'湖南省','长沙市',NULL,'0731',2,31),
	(202,'福建省','宁德市',NULL,'0593',2,13),
	(203,'山东省','淄博市',NULL,'0533',2,15),
	(204,'云南省','迪庆藏族自治州',NULL,'0887',2,24),
	(205,'陕西省','渭南市',NULL,'0913',2,26),
	(206,'湖南省','娄底市',NULL,'0738',2,31),
	(207,'新疆维吾尔族自治区','乌鲁木齐市',NULL,'0991',2,29),
	(208,'四川省','雅安市',NULL,'0835',2,22),
	(209,'河北省','保定市',NULL,'0312',2,3),
	(210,'湖北省','孝感市',NULL,'0712',2,17),
	(211,'湖南省','湘西土家族苗族自治州',NULL,'0743',2,31),
	(212,'广西壮族自治区','钦州市',NULL,'0777',2,19),
	(213,'辽宁省','葫芦岛市',NULL,'0429',2,6),
	(214,'河南省','洛阳市',NULL,'0379',2,16),
	(215,'广东省','汕头市',NULL,'0754',2,18),
	(216,'山东省','菏泽市',NULL,'0530',2,15),
	(217,'浙江省','宁波市',NULL,'0574',2,11),
	(218,'甘肃省','平凉市',NULL,'0933',2,27),
	(219,'海南省','海口市',NULL,'0898',2,20),
	(220,'陕西省','铜川市',NULL,'0919',2,26),
	(221,'广东省','茂名市',NULL,'0668',2,18),
	(222,'湖北省','黄石市',NULL,'0714',2,17),
	(223,'辽宁省','铁岭市',NULL,'0410',2,6),
	(224,'四川省','绵阳市',NULL,'0816',2,22),
	(225,'广西壮族自治区','来宾市',NULL,'0772',2,19),
	(226,'辽宁省','阜新市',NULL,'0418',2,6),
	(227,'山西省','吕梁市',NULL,'0358',2,4),
	(228,'甘肃省','兰州市',NULL,'0931',2,27),
	(229,'广东省','东莞市',NULL,'0769',2,18),
	(230,'内蒙古自治区','包头市',NULL,'0472',2,5),
	(231,'云南省','楚雄彝族自治州',NULL,'0878',2,24),
	(232,'陕西省','宝鸡市',NULL,'0917',2,26),
	(233,'四川省','巴中市',NULL,'0827',2,22),
	(234,'江西省','上饶市',NULL,'0793',2,14),
	(235,'山东省','枣庄市',NULL,'0632',2,15),
	(236,'山西省','运城市',NULL,'0359',2,4),
	(237,'四川省','广安市',NULL,'0826',2,22),
	(238,'山西省','临汾市',NULL,'0357',2,4),
	(239,'湖北省','鄂州市',NULL,'0711',2,17),
	(240,'吉林省','吉林市',NULL,'0432',2,7),
	(241,'广西壮族自治区','崇左市',NULL,'0771',2,19),
	(242,'广西壮族自治区','南宁市',NULL,'0771',2,19),
	(243,'辽宁省','锦州市',NULL,'0416',2,6),
	(244,'江西省','景德镇市',NULL,'0798',2,14),
	(245,'山东省','滨州市',NULL,'0543',2,15),
	(246,'安徽省','安庆市',NULL,'0556',2,12),
	(247,'宁夏回族自治区','银川市',NULL,'0951',2,28),
	(248,'内蒙古自治区','兴安盟',NULL,'0482',2,5),
	(249,'安徽省','亳州市',NULL,'0558',2,12),
	(250,'广东省','惠州市',NULL,'0752',2,18),
	(251,'安徽省','马鞍山市',NULL,'0555',2,12),
	(252,'天津市','天津市',NULL,'022',2,2),
	(253,'安徽省','六安市',NULL,'0564',2,12),
	(254,'河南省','商丘市',NULL,'0370',2,16),
	(255,'四川省','阿坝藏族羌族自治州',NULL,'0837',2,22),
	(256,'山东省','威海市',NULL,'0631',2,15),
	(257,'浙江省','衢州市',NULL,'0570',2,11),
	(258,'云南省','怒江傈僳族自治州',NULL,'0886',2,24),
	(259,'新疆维吾尔族自治区','克孜勒苏柯尔克孜自治州',NULL,'0908',2,29),
	(260,'黑龙江省','牡丹江市',NULL,'0453',2,8),
	(261,'山东省','烟台市',NULL,'0535',2,15),
	(262,'辽宁省','大连市',NULL,'0411',2,6),
	(263,'浙江省','杭州市',NULL,'0571',2,11),
	(264,'河北省','石家庄市',NULL,'0311',2,3),
	(265,'安徽省','阜阳市',NULL,'0558',2,12),
	(266,'江西省','抚州市',NULL,'0794',2,14),
	(267,'福建省','龙岩市',NULL,'0597',2,13),
	(268,'四川省','遂宁市',NULL,'0825',2,22),
	(269,'河南省','信阳市',NULL,'0376',2,16),
	(270,'云南省','临沧市',NULL,'0883',2,24),
	(271,'湖北省','咸宁市',NULL,'0715',2,17),
	(272,'贵州省','铜仁地区',NULL,'0856',2,23),
	(273,'贵州省','贵阳市',NULL,'0851',2,23),
	(274,'湖南省','邵阳市',NULL,'0739',2,31),
	(275,'海南省','三亚市',NULL,'0898',2,20),
	(276,'贵州省','黔南布依族苗族自治州',NULL,'0854',2,23),
	(277,'河北省','唐山市',NULL,'0315',2,3),
	(278,'宁夏回族自治区','中卫市',NULL,'0955',2,28),
	(279,'安徽省','黄山市',NULL,'0559',2,12),
	(280,'广西壮族自治区','梧州市',NULL,'0774',2,19),
	(281,'江苏省','苏州市',NULL,'0512',2,10),
	(282,'河南省','驻马店市',NULL,'0396',2,16),
	(283,'江苏省','镇江市',NULL,'0511',2,10),
	(284,'山东省','青岛市',NULL,'0532',2,15),
	(285,'江苏省','宿迁市',NULL,'0527',2,10),
	(286,'河北省','沧州市',NULL,'0317',2,3),
	(287,'上海市','上海市',NULL,'021',2,9),
	(288,'贵州省','遵义市',NULL,'0852',2,23),
	(289,'浙江省','台州市',NULL,'0576',2,11),
	(290,'山西省','朔州市',NULL,'0349',2,4),
	(291,'广东省','潮州市',NULL,'0768',2,18),
	(292,'新疆维吾尔族自治区','和田地区',NULL,'0903',2,29),
	(293,'新疆维吾尔族自治区','昌吉回族自治州',NULL,'0994',2,29),
	(294,'甘肃省','武威市',NULL,'0935',2,27),
	(295,'广西壮族自治区','贵港市',NULL,'0775',2,19),
	(296,'新疆维吾尔族自治区','喀什地区',NULL,'0998',2,29),
	(297,'贵州省','黔西南布依族苗族自治州',NULL,'0859',2,23),
	(298,'四川省','广元市',NULL,'0839',2,22),
	(299,'安徽省','合肥市',NULL,'0551',2,12),
	(300,'湖南省','张家界市',NULL,'0744',2,31),
	(301,'辽宁省','鞍山市',NULL,'0412',2,6),
	(302,'湖南省','株洲市',NULL,'0731',2,31),
	(303,'新疆维吾尔族自治区','吐鲁番地区',NULL,'0995',2,29),
	(304,'江苏省','常州市',NULL,'0519',2,10),
	(305,'辽宁省','丹东市',NULL,'0415',2,6),
	(306,'山东省','济南市',NULL,'0531',2,15),
	(307,'浙江省','绍兴市',NULL,'0575',2,11),
	(308,'河南省','郑州市',NULL,'0371',2,16),
	(309,'甘肃省','嘉峪关市',NULL,'0937',2,27),
	(310,'新疆维吾尔族自治区','巴音郭楞蒙古自治州',NULL,'0996',2,29),
	(311,'江苏省','泰州市',NULL,'0523',2,10),
	(312,'山东省','临沂市',NULL,'0539',2,15),
	(313,'江苏省','南京市',NULL,'025',2,10),
	(314,'内蒙古自治区','赤峰市',NULL,'0476',2,5),
	(315,'浙江省','温州市',NULL,'0577',2,11),
	(316,'内蒙古自治区','巴彦淖尔市',NULL,'0478',2,5),
	(317,'四川省','达州市',NULL,'0818',2,22),
	(318,'贵州省','毕节地区',NULL,'0857',2,23),
	(319,'河南省','濮阳市',NULL,'0393',2,16),
	(320,'江西省','萍乡市',NULL,'0799',2,14),
	(321,'吉林省','白山市',NULL,'0439',2,7),
	(322,'四川省','内江市',NULL,'0832',2,22),
	(323,'陕西省','商洛市',NULL,'0914',2,26),
	(324,'湖北省','随州市',NULL,'0722',2,17),
	(325,'贵州省','黔东南苗族侗族自治州',NULL,'0855',2,23),
	(326,'内蒙古自治区','通辽市',NULL,'0475',2,5),
	(327,'甘肃省','定西市',NULL,'0932',2,27),
	(328,'河南省','三门峡市',NULL,'0398',2,16),
	(329,'江苏省','盐城市',NULL,'0515',2,10),
	(330,'内蒙古自治区','锡林郭勒盟',NULL,'0479',2,5),
	(331,'广西壮族自治区','北海市',NULL,'0779',2,19),
	(332,'江西省','吉安市',NULL,'0796',2,14),
	(333,'吉林省','松原市',NULL,'0438',2,7),
	(334,'陕西省','西安市',NULL,'029',2,26),
	(335,'甘肃省','临夏回族自治州',NULL,'0930',2,27),
	(336,'江西省','赣州市',NULL,'0797',2,14),
	(337,'湖南省','湘潭市',NULL,'0731',2,31),
	(338,'广西壮族自治区','玉林市',NULL,'0775',2,19),
	(339,'贵州省','六盘水市',NULL,'0858',2,23),
	(340,'湖北省','恩施市',NULL,'0718',2,17),
	(341,'江西省','新余市',NULL,'0790',2,14),
	(342,'四川省','眉山市',NULL,'028',2,22),
	(343,'吉林省','白城市',NULL,'0436',2,7),
	(344,'陕西省','延安市',NULL,'0911',2,26),
	(345,'河南省','许昌市',NULL,'0374',2,16),
	(346,'福建省','莆田市',NULL,'0594',2,13),
	(347,'贵州省','安顺市',NULL,'0853',2,23),
	(348,'河北省','邯郸市',NULL,'0310',2,3),
	(349,'四川省','甘孜藏族自治州',NULL,'0836',2,22),
	(350,'四川省','南充市',NULL,'0817',2,22),
	(351,'海南省','琼海市',NULL,'0898',2,20),
	(352,'西藏自治区','拉萨市',NULL,'0891',2,25),
	(353,'河南省','安阳市',NULL,'0372',2,16),
	(354,'福建省','厦门市',NULL,'0592',2,13),
	(355,'新疆维吾尔族自治区','奎屯市',NULL,'0992',2,29),
	(356,'甘肃省','金昌市',NULL,'0935',2,27),
	(357,'内蒙古自治区','呼伦贝尔市',NULL,'0470',2,5),
	(358,'宁夏回族自治区','固原市',NULL,'0954',2,28),
	(359,'湖北省','天门市',NULL,'0728',2,17),
	(360,'江苏省','淮安市',NULL,'0517',2,10),
	(361,'湖北省','荆州市',NULL,'0716',2,17),
	(362,'甘肃省','张掖市',NULL,'0936',2,27),
	(363,'重庆市','重庆市',NULL,'023',2,21),
	(364,'江苏省','无锡市',NULL,'0510',2,10),
	(365,'浙江省','丽水市',NULL,'0578',2,11),
	(366,'新疆维吾尔族自治区','哈密地区',NULL,'0902',2,29),
	(367,'安徽省','淮南市',NULL,'0554',2,12),
	(368,'北京市','北京市',NULL,'010',2,1),
	(369,'云南省','昆明市',NULL,'0871',2,24),
	(370,'湖南省','郴州市',NULL,'0735',2,31),
	(371,'黑龙江省','绥化市',NULL,'0455',2,8),
	(372,'安徽省','蚌埠市',NULL,'0552',2,12),
	(373,'黑龙江省','双鸭山市',NULL,'0469',2,8),
	(374,'广东省','河源市',NULL,'0762',2,18),
	(375,'四川省','自贡市',NULL,'0813',2,22),
	(376,'山西省','晋城市',NULL,'0356',2,4),
	(377,'安徽省','宣城市',NULL,'0563',2,12),
	(378,'广东省','佛山市',NULL,'0757',2,18),
	(379,'陕西省','汉中市',NULL,'0916',2,26),
	(380,'安徽省','滁州市',NULL,'0550',2,12),
	(381,'云南省','保山市',NULL,'0875',2,24),
	(382,'山西省','忻州市',NULL,'0350',2,4),
	(383,'宁夏回族自治区','吴忠市',NULL,'0953',2,28),
	(384,'内蒙古自治区','鄂尔多斯市',NULL,'0477',2,5),
	(385,'河南省','鹤壁市',NULL,'0392',2,16),
	(386,'内蒙古自治区','乌兰察布市',NULL,'0474',2,5),
	(387,'云南省','玉溪市',NULL,'0877',2,24),
	(388,'广西壮族自治区','柳州市',NULL,'0772',2,19),
	(389,'云南省','昭通市',NULL,'0870',2,24),
	(390,'云南省','西双版纳傣族自治州',NULL,'0691',2,24),
	(391,'安徽省','池州市',NULL,'0566',2,12),
	(392,'广西壮族自治区','百色市',NULL,'0776',2,19),
	(393,'湖南省','岳阳市',NULL,'0730',2,31),
	(394,'山西省','长治市',NULL,'0355',2,4),
	(395,'吉林省','通化市',NULL,'0435',2,7),
	(396,'河南省','漯河市',NULL,'0395',2,16),
	(397,'湖北省','黄冈市',NULL,'0713',2,17),
	(398,'广东省','江门市',NULL,'0750',2,18),
	(399,'云南省','红河哈尼族彝族自治州',NULL,'0873',2,24),
	(400,'广西壮族自治区','桂林市',NULL,'0773',2,19),
	(401,'青海省','海东地区',NULL,'0972',2,30),
	(402,'山东省','聊城市',NULL,'0635',2,15),
	(403,'江西省','鹰潭市',NULL,'0701',2,14),
	(404,'四川省','资阳市',NULL,'028',2,22),
	(405,'河南省','南阳市',NULL,'0377',2,16),
	(406,'海南省','文昌市',NULL,'0898',2,20),
	(407,'安徽省','淮北市',NULL,'0561',2,12),
	(408,'湖南省','永州市',NULL,'0746',2,31),
	(409,'甘肃省','酒泉市',NULL,'0937',2,27),
	(410,'广西壮族自治区','防城港市',NULL,'0770',2,19),
	(411,'福建省','三明市',NULL,'0598',2,13),
	(412,'湖北省','襄樊市',NULL,'0710',2,17),
	(413,'广东省','阳江市',NULL,'0662',2,18),
	(414,'湖北省','潜江市',NULL,'0728',2,17),
	(415,'黑龙江省','大庆市',NULL,'0459',2,8),
	(416,'江苏省','南通市',NULL,'0513',2,10),
	(417,'吉林省','四平市',NULL,'0434',2,7),
	(418,'河南省','新乡市',NULL,'0373',2,16),
	(419,'黑龙江省','七台河市',NULL,'0464',2,8),
	(420,'云南省','曲靖市',NULL,'0874',2,24),
	(421,'陕西省','榆林市',NULL,'0912',2,26),
	(422,'内蒙古自治区','呼和浩特市',NULL,'0471',2,5),
	(423,'湖北省','宜昌市',NULL,'0717',2,17),
	(424,'新疆维吾尔族自治区','阿克苏地区',NULL,'0997',2,29),
	(425,'安徽省','芜湖市',NULL,'0553',2,12),
	(426,'云南省','文山壮族苗族自治州',NULL,'0876',2,24),
	(427,'辽宁省','辽阳市',NULL,'0419',2,6),
	(428,'四川省','攀枝花市',NULL,'0812',2,22),
	(501,'湖北省','荆门市','沙洋县','0724',3,153),
	(502,'福建省','三明市','泰宁县','0598',3,411),
	(503,'湖北省','荆州市','公安县','0716',3,361),
	(504,'吉林省','通化市','梅河口市','0435',3,395),
	(505,'江苏省','徐州市','睢宁县','0516',3,130),
	(506,'甘肃省','张掖市','高台县','0936',3,362),
	(507,'四川省','遂宁市','蓬溪县','0825',3,268),
	(508,'云南省','红河哈尼族彝族自治州','蒙自县','0873',3,399),
	(509,'内蒙古自治区','乌兰察布市','集宁区','0474',3,386),
	(510,'江西省','抚州市','宜黄县','0794',3,266),
	(511,'河南省','信阳市','平桥区','0376',3,269),
	(512,'湖北省','武汉市','硚口区','027',3,113),
	(513,'江西省','上饶市','玉山县','0793',3,234),
	(514,'安徽省','阜阳市','颍泉区','0558',3,265),
	(515,'北京市','北京市','延庆县','010',3,368),
	(516,'四川省','乐山市','五通桥区','0833',3,155),
	(517,'四川省','自贡市','荣县','0813',3,375),
	(518,'云南省','思茅市','景谷傣族彝族自治县',NULL,3,168),
	(519,'天津市','天津市','津南区','0',3,252),
	(520,'北京市','北京市','顺义区','010',3,368),
	(521,'四川省','成都市','金牛区','028',3,106),
	(522,'广西壮族自治区','防城港市','东兴市','0770',3,410),
	(523,'山西省','临汾市','乡宁县','0357',3,238),
	(524,'广东省','茂名市','茂南区','0668',3,221),
	(525,'河北省','邢台市','宁晋县','0',3,151),
	(526,'江西省','吉安市','永新县','0796',3,332),
	(527,'广东省','阳江市','江城区','0662',3,413),
	(528,'广东省','河源市','和平县','0762',3,374),
	(529,'江苏省','徐州市','鼓楼区','0516',3,130),
	(530,'贵州省','安顺市','西秀区','0853',3,347),
	(531,'福建省','南平市','松溪县','0599',3,119),
	(532,'云南省','曲靖市','富源县','0874',3,420),
	(533,'贵州省','铜仁地区','印江土家族苗族自治县','0856',3,272),
	(534,'吉林省','吉林市','桦甸市','0432',3,240),
	(535,'河北省','唐山市','遵化市','0',3,277),
	(536,'云南省','德宏傣族景颇族自治州','盈江县','0692',3,184),
	(537,'浙江省','金华市','浦江县','0579',3,152),
	(538,'广西壮族自治区','桂林市','全州县','0773',3,400),
	(539,'河北省','沧州市','黄骅市','0',3,286),
	(540,'河北省','衡水市','景县','0',3,138),
	(541,'山西省','临汾市','霍州市','0357',3,238),
	(542,'山西省','晋城市','阳城县','0356',3,376),
	(543,'湖南省','岳阳市','汨罗市','0730',3,393),
	(544,'吉林省','松原市','前郭尔罗斯蒙古族自治县','0438',3,333),
	(545,'黑龙江省','大庆市','肇州县','0459',3,415),
	(546,'四川省','成都市','金堂县','028',3,106),
	(547,'辽宁省','大连市','长海县','0',3,262),
	(548,'湖北省','十堰市','竹溪县','0719',3,185),
	(549,'浙江省','杭州市','临安市','0571',3,263),
	(550,'河南省','驻马店市','平舆县','0396',3,282),
	(551,'内蒙古自治区','鄂尔多斯市','准格尔旗','0477',3,384),
	(552,'浙江省','台州市','仙居县','0576',3,289),
	(553,'河北省','唐山市','古冶区','0',3,277),
	(554,'辽宁省','铁岭市','银州区','0410',3,223),
	(555,'河南省','周口市','郸城县','0394',3,102),
	(556,'北京市','北京市','丰台区','010',3,368),
	(557,'广东省','清远市','清新县','0763',3,196),
	(558,'河南省','洛阳市','偃师市','0379',3,214),
	(559,'黑龙江省','大庆市','大同区','0459',3,415),
	(560,'黑龙江省','齐齐哈尔市','泰来县','0452',3,195),
	(561,'山西省','运城市','芮城县','0359',3,236),
	(562,'福建省','莆田市','城厢区','0594',3,346),
	(563,'河南省','濮阳市','南乐县','0393',3,319),
	(564,'辽宁省','盘锦市','兴隆台区','0427',3,147),
	(565,'山东省','菏泽市','郓城县','0530',3,216),
	(566,'黑龙江省','佳木斯市','桦川县','0454',3,105),
	(567,'广西壮族自治区','柳州市','柳北区','0772',3,388),
	(568,'山西省','吕梁市','交城县','0358',3,227),
	(569,'广西壮族自治区','桂林市','灵川县','0773',3,400),
	(570,'广西壮族自治区','百色市','靖西县','0776',3,392),
	(571,'安徽省','蚌埠市','怀远县','0552',3,372),
	(572,'江西省','吉安市','井冈山市','0796',3,332),
	(573,'江西省','南昌市','新建县','0791',3,200),
	(574,'贵州省','遵义市','凤冈县','0852',3,288),
	(575,'江西省','宜春市','铜鼓县','0795',3,142),
	(576,'陕西省','宝鸡市','凤翔县','0917',3,232),
	(577,'广东省','韶关市','武江区','0751',3,149),
	(578,'四川省','凉山彝族自治州','越西县','0834',3,173),
	(579,'河北省','沧州市','沧县','0',3,286),
	(580,'安徽省','阜阳市','太和县','0558',3,265),
	(581,'云南省','临沧市','凤庆县','0883',3,270),
	(582,'浙江省','丽水市','缙云县','0578',3,365),
	(583,'西藏自治区','日喀则地区','日喀则市','0892',3,187),
	(584,'云南省','昆明市','安宁市','0871',3,369),
	(585,'湖北省','武汉市','蔡甸区','027',3,113),
	(586,'宁夏回族自治区','吴忠市','盐池县','0953',3,383),
	(587,'云南省','大理白族自治州','巍山彝族回族自治县','0872',3,191),
	(588,'湖南省','邵阳市','邵东县','0739',3,274),
	(589,'福建省','福州市','连江县','0591',3,177),
	(590,'四川省','达州市','大竹县','0818',3,317),
	(591,'浙江省','杭州市','西湖区','0571',3,263),
	(592,'河北省','石家庄市','栾城县','0',3,264),
	(593,'湖南省','永州市','东安县','0746',3,408),
	(594,'安徽省','铜陵市','铜官山区','0562',3,132),
	(595,'广东省','汕头市','龙湖区','0754',3,215),
	(596,'四川省','德阳市','什邡市','0838',3,178),
	(597,'云南省','临沧市','临翔区','0883',3,270),
	(598,'内蒙古自治区','鄂尔多斯市','东胜区','0477',3,384),
	(599,'福建省','南平市','光泽县','0599',3,119),
	(600,'四川省','南充市','营山县','0817',3,350),
	(601,'山西省','大同市','城区','0352',3,108),
	(602,'云南省','红河哈尼族彝族自治州','元阳县','0873',3,399),
	(603,'浙江省','温州市','瓯海区','0577',3,315),
	(604,'河北省','邯郸市','魏县','0',3,348),
	(605,'山东省','泰安市','岱岳区','0538',3,192),
	(606,'广西壮族自治区','百色市','乐业县','0776',3,392),
	(607,'四川省','南充市','嘉陵区','0817',3,350),
	(608,'黑龙江省','牡丹江市','东安区','0453',3,260),
	(609,'山东省','聊城市','东昌府区','0635',3,402),
	(610,'青海省','西宁市','城北区','0971',3,193),
	(611,'云南省','红河哈尼族彝族自治州','个旧市','0873',3,399),
	(612,'江苏省','南京市','雨花台区','025',3,313),
	(613,'湖北省','荆门市','东宝区','0724',3,153),
	(614,'山西省','吕梁市','中阳县','0358',3,227),
	(615,'广西壮族自治区','柳州市','柳江县','0772',3,388),
	(616,'河北省','石家庄市','行唐县','0',3,264),
	(617,'山西省','运城市','闻喜县','0359',3,236),
	(618,'江西省','赣州市','兴国县','0797',3,336),
	(619,'浙江省','嘉兴市','秀城区','0573',3,107),
	(620,'浙江省','宁波市','镇海区','0574',3,217),
	(621,'湖北省','黄冈市','罗田县','0713',3,397),
	(622,'辽宁省','大连市','庄河市','0',3,262),
	(623,'河南省','漯河市','郾城区','0395',3,396),
	(624,'吉林省','长春市','南关区','0431',3,112),
	(625,'安徽省','黄山市','休宁县','0559',3,279),
	(626,'天津市','天津市','宝坻区','0',3,252),
	(627,'山西省','晋中市','祁县','0354',3,139),
	(628,'山东省','青岛市','崂山区','0532',3,284),
	(629,'广西壮族自治区','梧州市','岑溪市','0774',3,280),
	(630,'安徽省','安庆市','怀宁县','0556',3,246),
	(631,'甘肃省','张掖市','山丹县','0936',3,362),
	(632,'黑龙江省','黑河市','嫩江县','0456',3,131),
	(633,'浙江省','嘉兴市','桐乡市','0573',3,107),
	(634,'河北省','张家口市','尚义县','0',3,162),
	(635,'湖北省','十堰市','张湾区','0719',3,185),
	(636,'云南省','临沧市','双江拉祜族佤族布朗族傣族自治县','0883',3,270),
	(637,'江西省','上饶市','婺源县','0793',3,234),
	(638,'四川省','南充市','蓬安县','0817',3,350),
	(639,'内蒙古自治区','呼和浩特市','赛罕区','0471',3,422),
	(640,'陕西省','西安市','户县','029',3,334),
	(641,'河北省','邯郸市','永年县','0',3,348),
	(642,'辽宁省','锦州市','古塔区','0416',3,243),
	(643,'河南省','信阳市','固始县','0376',3,269),
	(644,'福建省','宁德市','霞浦县','0593',3,202),
	(645,'辽宁省','丹东市','振安区','0415',3,305),
	(646,'四川省','达州市','渠县','0818',3,317),
	(647,'浙江省','丽水市','松阳县','0578',3,365),
	(648,'山东省','泰安市','宁阳县','0538',3,192),
	(649,'辽宁省','营口市','大石桥市','0417',3,166),
	(650,'陕西省','榆林市','榆阳区','0912',3,421),
	(651,'广西壮族自治区','百色市','田东县','0776',3,392),
	(652,'广东省','广州市','海珠区','020',3,129),
	(653,'陕西省','渭南市','合阳县','0913',3,205),
	(654,'江苏省','苏州市','吴江市','0512',3,281),
	(655,'广西壮族自治区','来宾市','忻城县','0772',3,225),
	(656,'四川省','达州市','通川区','0818',3,317),
	(657,'河北省','邯郸市','邯郸县','0',3,348),
	(658,'黑龙江省','佳木斯市','富锦市','0454',3,105),
	(659,'广东省','深圳市','南山区','0755',3,118),
	(660,'湖北省','武汉市','新洲区','027',3,113),
	(661,'广西壮族自治区','南宁市','邕宁区','0771',3,242),
	(662,'河北省','邢台市','临城县','0',3,151),
	(663,'江西省','吉安市','泰和县','0796',3,332),
	(664,'河北省','保定市','清苑县','0',3,209),
	(665,'甘肃省','武威市','凉州区','0935',3,294),
	(666,'江苏省','宿迁市','宿城区','0527',3,285),
	(667,'河北省','唐山市','乐亭县','0',3,277),
	(668,'辽宁省','朝阳市','双塔区','0421',3,174),
	(669,'河北省','承德市','兴隆县','0',3,127),
	(670,'安徽省','宿州市','灵璧县','0557',3,181),
	(671,'甘肃省','兰州市','七里河区','0931',3,228),
	(672,'云南省','昆明市','官渡区','0871',3,369),
	(673,'安徽省','亳州市','利辛县','0558',3,249),
	(674,'河北省','秦皇岛市','海港区','0',3,163),
	(675,'云南省','文山壮族苗族自治州','丘北县','0876',3,426),
	(676,'河北省','邯郸市','磁县','0',3,348),
	(677,'广东省','清远市','清城区','0763',3,196),
	(678,'山西省','运城市','万荣县','0359',3,236),
	(679,'天津市','天津市','北辰区','0',3,252),
	(680,'四川省','绵阳市','江油市','0816',3,224),
	(681,'江西省','南昌市','进贤县','0791',3,200),
	(682,'广西壮族自治区','南宁市','宾阳县','0771',3,242),
	(683,'河北省','张家口市','涿鹿县','0',3,162),
	(684,'甘肃省','庆阳市','庆城县','0934',3,198),
	(685,'山东省','东营市','东营区','0546',3,140),
	(686,'河南省','郑州市','新密市','0371',3,308),
	(687,'贵州省','黔东南苗族侗族自治州','锦屏县','0855',3,325),
	(688,'辽宁省','锦州市','黑山县','0416',3,243),
	(689,'河南省','平顶山市','鲁山县','0375',3,117),
	(690,'湖北省','荆州市','沙市区','0716',3,361),
	(691,'山东省','烟台市','芝罘区','0535',3,261),
	(692,'内蒙古自治区','阿拉善盟','阿拉善左旗','0483',3,123),
	(693,'江苏省','常州市','武进区','0519',3,304),
	(694,'内蒙古自治区','包头市','昆都仑区','0472',3,230),
	(695,'山西省','长治市','沁县','0355',3,394),
	(696,'河南省','郑州市','二七区','0371',3,308),
	(697,'辽宁省','铁岭市','西丰县','0410',3,223),
	(698,'湖北省','随州市','广水市','0722',3,324),
	(699,'广西壮族自治区','桂林市','七星区','0773',3,400),
	(700,'上海市','上海市','杨浦区','021',3,287),
	(701,'山西省','运城市','临猗县','0359',3,236),
	(702,'甘肃省','庆阳市','西峰区','0934',3,198),
	(703,'江西省','赣州市','宁都县','0797',3,336),
	(704,'江西省','宜春市','樟树市','0795',3,142),
	(705,'福建省','福州市','闽侯县','0591',3,177),
	(706,'广东省','广州市','萝岗区','020',3,129),
	(707,'河北省','衡水市','武邑县','0',3,138),
	(708,'云南省','昭通市','彝良县','0870',3,389),
	(709,'四川省','成都市','新都区','028',3,106),
	(710,'江苏省','无锡市','滨湖区','0510',3,364),
	(711,'广西壮族自治区','梧州市','苍梧县','0774',3,280),
	(712,'河北省','廊坊市','永清县','0',3,176),
	(713,'浙江省','湖州市','安吉县','0572',3,159),
	(714,'广东省','肇庆市','端州区','0758',3,144),
	(715,'四川省','眉山市','东坡区','028',3,342),
	(716,'辽宁省','丹东市','东港市','0415',3,305),
	(717,'湖南省','长沙市','开福区','0731',3,201),
	(718,'湖北省','咸宁市','嘉鱼县','0715',3,271),
	(719,'湖北省','荆州市','石首市','0716',3,361),
	(720,'广西壮族自治区','玉林市','陆川县','0775',3,338),
	(721,'江苏省','淮安市','洪泽县','0517',3,360),
	(722,'广东省','珠海市','金湾区','0756',3,134),
	(723,'江苏省','常州市','天宁区','0519',3,304),
	(724,'河南省','三门峡市','陕县','0398',3,328),
	(725,'江苏省','泰州市','高港区','0523',3,311),
	(726,'广东省','江门市','开平市','0750',3,398),
	(727,'辽宁省','盘锦市','盘山县','0427',3,147),
	(728,'广西壮族自治区','钦州市','灵山县','0777',3,212),
	(729,'贵州省','遵义市','湄潭县','0852',3,288),
	(730,'甘肃省','张掖市','甘州区','0936',3,362),
	(731,'山西省','晋中市','灵石县','0354',3,139),
	(732,'辽宁省','丹东市','凤城市','0415',3,305),
	(733,'浙江省','杭州市','滨江区','0571',3,263),
	(734,'辽宁省','鞍山市','海城市','0',3,301),
	(735,'辽宁省','朝阳市','朝阳县','0421',3,174),
	(736,'甘肃省','天水市','秦安县','0938',3,179),
	(737,'河北省','保定市','望都县','0',3,209),
	(738,'山东省','菏泽市','巨野县','0530',3,216),
	(739,'广西壮族自治区','玉林市','兴业县','0775',3,338),
	(740,'浙江省','湖州市','南浔区','0572',3,159),
	(741,'云南省','昭通市','大关县','0870',3,389),
	(742,'河南省','安阳市','滑县','0372',3,353),
	(743,'河北省','衡水市','深州市','0',3,138),
	(744,'四川省','眉山市','彭山县','028',3,342),
	(745,'广东省','汕头市','濠江区','0754',3,215),
	(746,'河北省','秦皇岛市','青龙满族自治县','0',3,163),
	(747,'浙江省','温州市','瑞安市','0577',3,315),
	(748,'安徽省','滁州市','明光市','0550',3,380),
	(749,'河北省','廊坊市','三河市','0',3,176),
	(750,'福建省','泉州市','南安市','0595',3,161),
	(751,'江苏省','盐城市','滨海县','0515',3,329),
	(752,'云南省','西双版纳傣族自治州','勐腊县','0691',3,390),
	(753,'河南省','焦作市','武陟县','0391',3,175),
	(754,'重庆市','重庆市','巴南区','023',3,363),
	(755,'河南省','平顶山市','宝丰县','0375',3,117),
	(756,'河北省','衡水市','安平县','0',3,138),
	(757,'福建省','漳州市','长泰县','0596',3,150),
	(758,'重庆市','重庆市','长寿区','023',3,363),
	(759,'重庆市','重庆市','璧山县','023',3,363),
	(760,'河南省','焦作市','解放区','0391',3,175),
	(761,'贵州省','黔西南布依族苗族自治州','安龙县','0859',3,297),
	(762,'四川省','成都市','双流县','028',3,106),
	(763,'河南省','焦作市','济源市','0391',3,175),
	(764,'江西省','抚州市','黎川县','0794',3,266),
	(765,'福建省','泉州市','晋江市','0595',3,161),
	(766,'辽宁省','葫芦岛市','其他','0429',3,213),
	(767,'辽宁省','抚顺市','东洲区','0',3,158),
	(768,'河北省','保定市','定兴县','0',3,209),
	(769,'安徽省','合肥市','蜀山区','0551',3,299),
	(770,'河北省','秦皇岛市','北戴河区','0',3,163),
	(771,'江苏省','泰州市','兴化市','0523',3,311),
	(772,'陕西省','西安市','雁塔区','029',3,334),
	(773,'河北省','廊坊市','香河县','0',3,176),
	(774,'天津市','天津市','东丽区','0',3,252),
	(775,'山西省','运城市','河津市','0359',3,236),
	(776,'湖北省','襄樊市','樊城区','0710',3,412),
	(777,'河北省','邢台市','威县','0',3,151),
	(778,'云南省','思茅市','镇沅彝族哈尼族拉祜族自治县',NULL,3,168),
	(779,'重庆市','重庆市','九龙坡区','023',3,363),
	(780,'湖南省','衡阳市','衡东县','0734',3,116),
	(781,'天津市','天津市','红桥区','0',3,252),
	(782,'浙江省','台州市','三门县','0576',3,289),
	(783,'江西省','抚州市','南城县','0794',3,266),
	(784,'陕西省','铜川市','耀州区','0919',3,220),
	(785,'安徽省','阜阳市','颍州区','0558',3,265),
	(786,'广西壮族自治区','柳州市','城中区','0772',3,388),
	(787,'河南省','漯河市','临颍县','0395',3,396),
	(788,'河南省','郑州市','中牟县','0371',3,308),
	(789,'北京市','北京市','通州区','010',3,368),
	(790,'黑龙江省','大庆市','龙凤区','0459',3,415),
	(791,'河南省','平顶山市','汝州市','0375',3,117),
	(792,'山西省','长治市','屯留县','0355',3,394),
	(793,'山东省','济南市','济阳县','0531',3,306),
	(794,'江苏省','南京市','六合区','025',3,313),
	(795,'河南省','安阳市','安阳县','0372',3,353),
	(796,'江西省','上饶市','德兴市','0793',3,234),
	(797,'浙江省','杭州市','余杭区','0571',3,263),
	(798,'天津市','天津市','河西区','0',3,252),
	(799,'四川省','宜宾市','珙县','0831',3,109),
	(800,'山西省','太原市','尖草坪区','0351',3,154),
	(801,'安徽省','阜阳市','阜南县','0558',3,265),
	(802,'山西省','临汾市','侯马市','0357',3,238),
	(803,'山东省','济宁市','金乡县','0537',3,169),
	(804,'河南省','安阳市','龙安区','0372',3,353),
	(805,'湖南省','湘潭市','湘潭县','0731',3,337),
	(806,'四川省','达州市','达县','0818',3,317),
	(807,'甘肃省','平凉市','庄浪县','0933',3,218),
	(808,'湖北省','咸宁市','咸安区','0715',3,271),
	(809,'重庆市','重庆市','垫江县','023',3,363),
	(810,'黑龙江省','哈尔滨市','香坊区','0451',3,124),
	(811,'上海市','上海市','黄浦区','021',3,287),
	(812,'吉林省','白城市','通榆县','0436',3,343),
	(813,'四川省','成都市','龙泉驿区','028',3,106),
	(814,'河北省','秦皇岛市','卢龙县','0',3,163),
	(815,'重庆市','重庆市','铜梁县','023',3,363),
	(816,'甘肃省','酒泉市','肃州区','0937',3,409),
	(817,'河南省','平顶山市','新华区','0375',3,117),
	(818,'湖北省','孝感市','其他','0712',3,210),
	(819,'山东省','日照市','五莲县','0633',3,115),
	(820,'四川省','宜宾市','江安县','0831',3,109),
	(821,'福建省','龙岩市','其他','0597',3,267),
	(822,'河南省','三门峡市','灵宝市','0398',3,328),
	(823,'广东省','肇庆市','四会市','0758',3,144),
	(824,'内蒙古自治区','兴安盟','科尔沁右翼前旗','0482',3,248),
	(825,'湖南省','衡阳市','雁峰区','0734',3,116),
	(826,'山西省','太原市','清徐县','0351',3,154),
	(827,'福建省','龙岩市','长汀县','0597',3,267),
	(828,'辽宁省','营口市','盖州市','0417',3,166),
	(829,'陕西省','商洛市','洛南县','0914',3,323),
	(830,'河南省','焦作市','修武县','0391',3,175),
	(831,'湖北省','孝感市','应城市','0712',3,210),
	(832,'甘肃省','白银市','平川区','0943',3,157),
	(833,'江苏省','南通市','海门市','0513',3,416),
	(834,'安徽省','淮南市','谢家集区','0554',3,367),
	(835,'内蒙古自治区','兴安盟','科尔沁右翼中旗','0482',3,248),
	(836,'广西壮族自治区','河池市','南丹县','0778',3,197),
	(837,'江西省','吉安市','吉安县','0796',3,332),
	(838,'辽宁省','鞍山市','立山区','0',3,301),
	(839,'河北省','邢台市','巨鹿县','0',3,151),
	(840,'四川省','达州市','开江县','0818',3,317),
	(841,'河北省','廊坊市','霸州市','0',3,176),
	(842,'山西省','朔州市','平鲁区','0349',3,290),
	(843,'辽宁省','锦州市','凌海市','0416',3,243),
	(844,'湖北省','荆州市','监利县','0716',3,361),
	(845,'山东省','临沂市','河东区','0539',3,312),
	(846,'河北省','石家庄市','元氏县','0',3,264),
	(847,'上海市','上海市','闵行区','021',3,287),
	(848,'吉林省','白城市','洮北区','0436',3,343),
	(849,'云南省','思茅市','西盟佤族自治县',NULL,3,168),
	(850,'广东省','江门市','蓬江区','0750',3,398),
	(851,'贵州省','毕节地区','大方县','0857',3,318),
	(852,'河南省','南阳市','西峡县','0377',3,405),
	(853,'辽宁省','抚顺市','望花区','0',3,158),
	(854,'山西省','长治市','城区','0355',3,394),
	(855,'广东省','清远市','佛冈县','0763',3,196),
	(856,'河北省','石家庄市','鹿泉市','0',3,264),
	(857,'河南省','南阳市','桐柏县','0377',3,405),
	(858,'辽宁省','本溪市','本溪满族自治县','0414',3,141),
	(859,'浙江省','衢州市','龙游县','0570',3,257),
	(860,'福建省','莆田市','秀屿区','0594',3,346),
	(861,'江苏省','宿迁市','泗洪县','0527',3,285),
	(862,'江苏省','淮安市','涟水县','0517',3,360),
	(863,'湖南省','益阳市','安化县','0737',3,145),
	(864,'辽宁省','本溪市','平山区','0414',3,141),
	(865,'青海省','海南藏族自治州','共和县','0974',3,148),
	(866,'四川省','绵阳市','北川羌族自治县','0816',3,224),
	(867,'江西省','九江市','都昌县','0792',3,104),
	(868,'广西壮族自治区','柳州市','柳城县','0772',3,388),
	(869,'云南省','文山壮族苗族自治州','马关县','0876',3,426),
	(870,'江苏省','扬州市','广陵区','0514',3,136),
	(871,'吉林省','白山市','八道江区','0439',3,321),
	(872,'浙江省','杭州市','淳安县','0571',3,263),
	(873,'河南省','新乡市','新乡县','0373',3,418),
	(874,'上海市','上海市','松江区','021',3,287),
	(875,'河北省','承德市','滦平县','0',3,127),
	(876,'浙江省','舟山市','定海区','0580',3,194),
	(877,'河北省','唐山市','唐海县','0',3,277),
	(878,'河北省','保定市','北市区','0',3,209),
	(879,'江西省','新余市','渝水区','0790',3,341),
	(880,'山东省','德州市','齐河县','0534',3,133),
	(881,'云南省','昆明市','石林彝族自治县','0871',3,369),
	(882,'河南省','周口市','扶沟县','0394',3,102),
	(883,'河南省','新乡市','原阳县','0373',3,418),
	(884,'陕西省','延安市','宝塔区','0911',3,344),
	(885,'河北省','石家庄市','辛集市','0',3,264),
	(886,'广西壮族自治区','河池市','环江毛南族自治县','0778',3,197),
	(887,'新疆维吾尔族自治区','乌鲁木齐市','乌鲁木齐县','0991',3,207),
	(888,'山西省','大同市','阳高县','0352',3,108),
	(889,'江西省','赣州市','南康市','0797',3,336),
	(890,'河北省','沧州市','任丘市','0',3,286),
	(891,'山西省','运城市','盐湖区','0359',3,236),
	(892,'湖北省','恩施市','建始县','0718',3,340),
	(893,'四川省','乐山市','夹江县','0833',3,155),
	(894,'河南省','信阳市','商城县','0376',3,269),
	(895,'云南省','昭通市','绥江县','0870',3,389),
	(896,'黑龙江省','鸡西市','其他','0467',3,128),
	(897,'安徽省','亳州市','蒙城县','0558',3,249),
	(898,'浙江省','杭州市','富阳市','0571',3,263),
	(899,'河北省','沧州市','吴桥县','0',3,286),
	(900,'浙江省','台州市','玉环县','0576',3,289),
	(901,'黑龙江省','哈尔滨市','尚志市','0451',3,124),
	(902,'云南省','玉溪市','新平彝族傣族自治县','0877',3,387),
	(903,'江西省','景德镇市','珠山区','0798',3,244),
	(904,'广东省','梅州市','五华县','0753',3,143),
	(905,'上海市','上海市','嘉定区','021',3,287),
	(906,'河北省','保定市','南市区','0',3,209),
	(907,'黑龙江省','哈尔滨市','平房区','0451',3,124),
	(908,'湖北省','随州市','曾都区','0722',3,324),
	(909,'浙江省','嘉兴市','海宁市','0573',3,107),
	(910,'广西壮族自治区','贺州市','八步区','0774',3,135),
	(911,'四川省','资阳市','雁江区','028',3,404),
	(912,'湖北省','荆门市','掇刀区','0724',3,153),
	(913,'天津市','天津市','和平区','0',3,252),
	(914,'四川省','广安市','广安区','0826',3,237),
	(915,'天津市','天津市','河东区','0',3,252),
	(916,'江苏省','无锡市','锡山区','0510',3,364),
	(917,'内蒙古自治区','呼和浩特市','回民区','0471',3,422),
	(918,'贵州省','铜仁地区','铜仁市','0856',3,272),
	(919,'云南省','昭通市','永善县','0870',3,389),
	(920,'贵州省','黔东南苗族侗族自治州','黎平县','0855',3,325),
	(921,'辽宁省','鞍山市','岫岩满族自治县','0',3,301),
	(922,'辽宁省','大连市','沙河口区','0',3,262),
	(923,'湖南省','郴州市','桂阳县','0735',3,370),
	(924,'广东省','广州市','花都区','020',3,129),
	(925,'安徽省','淮南市','田家庵区','0554',3,367),
	(926,'江苏省','连云港市','东海县','0518',3,101),
	(927,'福建省','福州市','平潭县','0591',3,177),
	(928,'福建省','宁德市','福安市','0593',3,202),
	(929,'云南省','思茅市','景东彝族自治县',NULL,3,168),
	(930,'江西省','上饶市','广丰县','0793',3,234),
	(931,'广西壮族自治区','河池市','大化瑶族自治县','0778',3,197),
	(932,'青海省','海东地区','平安县','0972',3,401),
	(933,'湖南省','永州市','道县','0746',3,408),
	(934,'河南省','焦作市','博爱县','0391',3,175),
	(935,'广西壮族自治区','贵港市','港北区','0775',3,295),
	(936,'内蒙古自治区','包头市','青山区','0472',3,230),
	(937,'新疆维吾尔族自治区','塔城地区','沙湾县','0901',3,146),
	(938,'辽宁省','沈阳市','皇姑区','0',3,170),
	(939,'湖北省','宜昌市','秭归县','0717',3,423),
	(940,'黑龙江省','牡丹江市','海林市','0453',3,260),
	(941,'江苏省','苏州市','沧浪区','0512',3,281),
	(942,'内蒙古自治区','包头市','九原区','0472',3,230),
	(943,'贵州省','遵义市','仁怀市','0852',3,288),
	(944,'广东省','佛山市','南海区','0757',3,378),
	(945,'山西省','长治市','襄垣县','0355',3,394),
	(946,'新疆维吾尔族自治区','阿勒泰地区','石河子市','0906',3,190),
	(947,'河南省','南阳市','邓州市','0377',3,405),
	(948,'云南省','大理白族自治州','宾川县','0872',3,191),
	(949,'北京市','北京市','房山区','010',3,368),
	(950,'江苏省','南京市','江宁区','025',3,313),
	(951,'福建省','漳州市','龙海市','0596',3,150),
	(952,'河北省','廊坊市','安次区','0',3,176),
	(953,'湖南省','岳阳市','岳阳县','0730',3,393),
	(954,'四川省','广安市','岳池县','0826',3,237),
	(955,'云南省','文山壮族苗族自治州','麻栗坡县','0876',3,426),
	(956,'天津市','天津市','河北区','0',3,252),
	(957,'河南省','许昌市','许昌县','0374',3,345),
	(958,'云南省','思茅市','澜沧拉祜族自治县',NULL,3,168),
	(959,'山东省','菏泽市','定陶县','0530',3,216),
	(960,'江苏省','常州市','新北区','0519',3,304),
	(961,'山西省','太原市','迎泽区','0351',3,154),
	(962,'福建省','福州市','其他','0591',3,177),
	(963,'河北省','石家庄市','高邑县','0',3,264),
	(964,'河南省','新乡市','获嘉县','0373',3,418),
	(965,'河南省','安阳市','汤阴县','0372',3,353),
	(966,'安徽省','合肥市','肥西县','0551',3,299),
	(967,'广西壮族自治区','桂林市','恭城瑶族自治县','0773',3,400),
	(968,'辽宁省','抚顺市','顺城区','0',3,158),
	(969,'浙江省','丽水市','云和县','0578',3,365),
	(970,'山西省','临汾市','浮山县','0357',3,238),
	(971,'云南省','昆明市','五华区','0871',3,369),
	(972,'湖南省','郴州市','永兴县','0735',3,370),
	(973,'湖北省','潜江市','其他','0728',3,414),
	(974,'福建省','漳州市','云霄县','0596',3,150),
	(975,'吉林省','通化市','二道江区','0435',3,395),
	(976,'黑龙江省','鹤岗市','其他','0468',3,188),
	(977,'四川省','达州市','宣汉县','0818',3,317),
	(978,'山东省','枣庄市','峄城区','0632',3,235),
	(979,'浙江省','台州市','临海市','0576',3,289),
	(980,'江苏省','连云港市','海州区','0518',3,101),
	(981,'宁夏回族自治区','吴忠市','利通区','0953',3,383),
	(982,'河南省','周口市','沈丘县','0394',3,102),
	(983,'河北省','承德市','隆化县','0',3,127),
	(984,'浙江省','嘉兴市','海盐县','0573',3,107),
	(985,'河北省','邯郸市','邯山区','0',3,348),
	(986,'河北省','张家口市','赤城县','0',3,162),
	(987,'江西省','九江市','彭泽县','0792',3,104),
	(988,'江苏省','南京市','高淳县','025',3,313),
	(989,'甘肃省','武威市','民勤县','0935',3,294),
	(990,'山东省','济宁市','市中区','0537',3,169),
	(991,'河北省','廊坊市','文安县','0',3,176),
	(992,'云南省','昭通市','威信县','0870',3,389),
	(993,'甘肃省','平凉市','泾川县','0933',3,218),
	(994,'云南省','昆明市','宜良县','0871',3,369),
	(995,'河北省','邢台市','南宫市','0',3,151),
	(996,'贵州省','黔西南布依族苗族自治州','兴仁县','0859',3,297),
	(997,'河南省','焦作市','温县','0391',3,175),
	(998,'甘肃省','庆阳市','其他','0934',3,198),
	(999,'宁夏回族自治区','银川市','西夏区','0951',3,247),
	(1000,'内蒙古自治区','乌海市','乌达区','0473',3,182),
	(1001,'广西壮族自治区','南宁市','江南区','0771',3,242),
	(1002,'新疆维吾尔族自治区','巴音郭楞蒙古自治州','和静县','0996',3,310),
	(1003,'湖南省','郴州市','汝城县','0735',3,370),
	(1004,'湖北省','武汉市','汉南区','027',3,113),
	(1005,'江苏省','盐城市','建湖县','0515',3,329),
	(1006,'河南省','商丘市','夏邑县','0370',3,254),
	(1007,'浙江省','丽水市','青田县','0578',3,365),
	(1008,'福建省','三明市','尤溪县','0598',3,411),
	(1009,'广东省','河源市','紫金县','0762',3,374),
	(1010,'河北省','承德市','双桥区','0',3,127),
	(1011,'湖北省','鄂州市','鄂城区','0711',3,239),
	(1012,'河北省','石家庄市','无极县','0',3,264),
	(1013,'江西省','九江市','庐山区','0792',3,104),
	(1014,'重庆市','重庆市','荣昌县','023',3,363),
	(1015,'浙江省','台州市','天台县','0576',3,289),
	(1016,'江苏省','连云港市','新浦区','0518',3,101),
	(1017,'江苏省','苏州市','吴中区','0512',3,281),
	(1018,'浙江省','湖州市','吴兴区','0572',3,159),
	(1019,'云南省','德宏傣族景颇族自治州','瑞丽市','0692',3,184),
	(1020,'山东省','菏泽市','牡丹区','0530',3,216),
	(1021,'黑龙江省','大庆市','红岗区','0459',3,415),
	(1022,'辽宁省','大连市','金州区','0',3,262),
	(1023,'山西省','忻州市','定襄县','0350',3,382),
	(1024,'湖北省','宜昌市','远安县','0717',3,423),
	(1025,'河北省','石家庄市','正定县','0',3,264),
	(1026,'重庆市','重庆市','渝中区','023',3,363),
	(1027,'江西省','抚州市','南丰县','0794',3,266),
	(1028,'山东省','威海市','荣成市','0631',3,256),
	(1029,'山东省','青岛市','即墨市','0532',3,284),
	(1030,'广东省','东莞市','常平镇','0769',3,229),
	(1031,'山西省','太原市','杏花岭区','0351',3,154),
	(1032,'广东省','广州市','番禺区','020',3,129),
	(1033,'江苏省','淮安市','盱眙县','0517',3,360),
	(1034,'江苏省','盐城市','亭湖区','0515',3,329),
	(1035,'上海市','上海市','宝山区','021',3,287),
	(1036,'江苏省','徐州市','邳州市','0516',3,130),
	(1037,'河北省','沧州市','南皮县','0',3,286),
	(1038,'新疆维吾尔族自治区','巴音郭楞蒙古自治州','轮台县','0996',3,310),
	(1039,'陕西省','西安市','未央区','029',3,334),
	(1040,'湖南省','湘潭市','湘乡市','0731',3,337),
	(1041,'安徽省','宿州市','萧县','0557',3,181),
	(1042,'辽宁省','沈阳市','大东区','0',3,170),
	(1043,'湖北省','宜昌市','宜都市','0717',3,423),
	(1044,'广西壮族自治区','南宁市','青秀区','0771',3,242),
	(1045,'广西壮族自治区','河池市','罗城仫佬族自治县','0778',3,197),
	(1046,'山东省','济宁市','兖州市','0537',3,169),
	(1047,'湖北省','武汉市','武昌区','027',3,113),
	(1048,'广东省','深圳市','宝安区','0755',3,118),
	(1049,'河南省','信阳市','潢川县','0376',3,269),
	(1050,'江西省','南昌市','湾里区','0791',3,200),
	(1051,'宁夏回族自治区','固原市','西吉县','0954',3,358),
	(1052,'河北省','张家口市','阳原县','0',3,162),
	(1053,'云南省','大理白族自治州','大理市','0872',3,191),
	(1054,'河北省','保定市','高阳县','0',3,209),
	(1055,'天津市','天津市','南开区','0',3,252),
	(1056,'河北省','廊坊市','固安县','0',3,176),
	(1057,'江苏省','宿迁市','沭阳县','0527',3,285),
	(1058,'甘肃省','天水市','其他','0938',3,179),
	(1059,'贵州省','铜仁地区','思南县','0856',3,272),
	(1060,'广东省','湛江市','赤坎区','0759',3,171),
	(1061,'山西省','大同市','浑源县','0352',3,108),
	(1062,'安徽省','安庆市','迎江区','0556',3,246),
	(1063,'江西省','宜春市','其他','0795',3,142),
	(1064,'云南省','玉溪市','通海县','0877',3,387),
	(1065,'辽宁省','铁岭市','开原市','0410',3,223),
	(1066,'贵州省','遵义市','红花岗区','0852',3,288),
	(1067,'山西省','吕梁市','柳林县','0358',3,227),
	(1068,'河南省','商丘市','睢县','0370',3,254),
	(1069,'吉林省','吉林市','船营区','0432',3,240),
	(1070,'吉林省','辽源市','龙山区','0437',3,122),
	(1071,'云南省','丽江市','永胜县','0888',3,103),
	(1072,'辽宁省','铁岭市','清河区','0410',3,223),
	(1073,'四川省','甘孜藏族自治州','康定县','0836',3,349),
	(1074,'安徽省','安庆市','桐城市','0556',3,246),
	(1075,'重庆市','重庆市','丰都县','023',3,363),
	(1076,'江西省','宜春市','上高县','0795',3,142),
	(1077,'河南省','许昌市','襄城县','0374',3,345),
	(1078,'河北省','保定市','高碑店市','0',3,209),
	(1079,'四川省','泸州市','叙永县','0830',3,110),
	(1080,'云南省','昭通市','巧家县','0870',3,389),
	(1081,'山西省','运城市','永济市','0359',3,236),
	(1082,'浙江省','绍兴市','绍兴县','0575',3,307),
	(1083,'广东省','汕头市','潮阳区','0754',3,215),
	(1084,'河南省','周口市','太康县','0394',3,102),
	(1085,'江苏省','镇江市','丹阳市','0511',3,283),
	(1086,'黑龙江省','齐齐哈尔市','富裕县','0452',3,195),
	(1087,'湖北省','恩施市','巴东县','0718',3,340),
	(1088,'福建省','漳州市','东山县','0596',3,150),
	(1089,'河南省','漯河市','源汇区','0395',3,396),
	(1090,'河北省','张家口市','张北县','0',3,162),
	(1091,'湖南省','张家界市','慈利县','0744',3,300),
	(1092,'江苏省','苏州市','平江区','0512',3,281),
	(1093,'河南省','开封市','通许县','0378',3,111),
	(1094,'江苏省','淮安市','淮阴区','0517',3,360),
	(1095,'安徽省','亳州市','谯城区','0558',3,249),
	(1096,'湖北省','恩施市','恩施市','0718',3,340),
	(1097,'山东省','潍坊市','奎文区','0536',3,121),
	(1098,'江苏省','苏州市','常熟市','0512',3,281),
	(1099,'浙江省','丽水市','庆元县','0578',3,365),
	(1100,'湖北省','黄冈市','武穴市','0713',3,397),
	(1101,'四川省','绵阳市','盐亭县','0816',3,224),
	(1102,'四川省','宜宾市','长宁县','0831',3,109),
	(1103,'贵州省','黔东南苗族侗族自治州','黄平县','0855',3,325),
	(1104,'北京市','北京市','门头沟区','010',3,368),
	(1105,'西藏自治区','拉萨市','城关区','0891',3,352),
	(1106,'江西省','赣州市','于都县','0797',3,336),
	(1107,'辽宁省','沈阳市','和平区','0',3,170),
	(1108,'宁夏回族自治区','固原市','隆德县','0954',3,358),
	(1109,'河北省','沧州市','泊头市','0',3,286),
	(1110,'河南省','焦作市','孟州市','0391',3,175),
	(1111,'四川省','绵阳市','三台县','0816',3,224),
	(1112,'云南省','文山壮族苗族自治州','西畴县','0876',3,426),
	(1113,'河南省','信阳市','罗山县','0376',3,269),
	(1114,'四川省','广安市','华蓥市','0826',3,237),
	(1115,'河南省','驻马店市','汝南县','0396',3,282),
	(1116,'海南省','海口市','琼山区','0898',3,219),
	(1117,'河南省','许昌市','禹州市','0374',3,345),
	(1118,'湖北省','宜昌市','西陵区','0717',3,423),
	(1119,'江西省','抚州市','崇仁县','0794',3,266),
	(1120,'江苏省','淮安市','清河区','0517',3,360),
	(1121,'福建省','福州市','闽清县','0591',3,177),
	(1122,'山西省','临汾市','尧都区','0357',3,238),
	(1123,'浙江省','温州市','永嘉县','0577',3,315),
	(1124,'湖南省','邵阳市','绥宁县','0739',3,274),
	(1125,'江苏省','盐城市','阜宁县','0515',3,329),
	(1126,'江苏省','徐州市','沛县','0516',3,130),
	(1127,'湖南省','衡阳市','衡阳县','0734',3,116),
	(1128,'安徽省','淮南市','凤台县','0554',3,367),
	(1129,'四川省','泸州市','古蔺县','0830',3,110),
	(1130,'宁夏回族自治区','中卫市','沙坡头区','0955',3,278),
	(1131,'河北省','保定市','定州市','0',3,209),
	(1132,'河南省','南阳市','镇平县','0377',3,405),
	(1133,'江苏省','徐州市','新沂市','0516',3,130),
	(1134,'安徽省','安庆市','宿松县','0556',3,246),
	(1135,'广西壮族自治区','来宾市','兴宾区','0772',3,225),
	(1136,'河北省','邯郸市','涉县','0',3,348),
	(1137,'江西省','九江市','永修县','0792',3,104),
	(1138,'河南省','开封市','禹王台区','0378',3,111),
	(1139,'广西壮族自治区','南宁市','兴宁区','0771',3,242),
	(1140,'山西省','临汾市','襄汾县','0357',3,238),
	(1141,'辽宁省','阜新市','清河门区','0418',3,226),
	(1142,'广东省','珠海市','斗门区','0756',3,134),
	(1143,'湖南省','邵阳市','隆回县','0739',3,274),
	(1144,'湖北省','宜昌市','枝江市','0717',3,423),
	(1145,'黑龙江省','佳木斯市','前进区','0454',3,105),
	(1146,'河南省','三门峡市','卢氏县','0398',3,328),
	(1147,'黑龙江省','齐齐哈尔市','富拉尔基区','0452',3,195),
	(1148,'湖南省','长沙市','天心区','0731',3,201),
	(1149,'河北省','石家庄市','长安区','0',3,264),
	(1150,'福建省','龙岩市','新罗区','0597',3,267),
	(1151,'四川省','凉山彝族自治州','冕宁县','0834',3,173),
	(1152,'湖南省','邵阳市','新宁县','0739',3,274),
	(1153,'河北省','保定市','唐县','0',3,209),
	(1154,'云南省','迪庆藏族自治州','德钦县','0887',3,204),
	(1155,'内蒙古自治区','乌兰察布市','卓资县','0474',3,386),
	(1156,'云南省','迪庆藏族自治州','维西傈僳族自治县','0887',3,204),
	(1157,'河北省','邢台市','沙河市','0',3,151),
	(1158,'云南省','昆明市','富民县','0871',3,369),
	(1159,'广西壮族自治区','防城港市','防城区','0770',3,410),
	(1160,'河北省','石家庄市','晋州市','0',3,264),
	(1161,'山东省','济宁市','嘉祥县','0537',3,169),
	(1162,'河南省','郑州市','新郑市','0371',3,308),
	(1163,'湖北省','咸宁市','赤壁市','0715',3,271),
	(1164,'四川省','成都市','成华区','028',3,106),
	(1165,'河南省','商丘市','柘城县','0370',3,254),
	(1166,'陕西省','渭南市','蒲城县','0913',3,205),
	(1167,'四川省','南充市','南部县','0817',3,350),
	(1168,'江苏省','常州市','溧阳市','0519',3,304),
	(1169,'贵州省','黔西南布依族苗族自治州','其他','0859',3,297),
	(1170,'重庆市','重庆市','大足县','023',3,363),
	(1171,'安徽省','滁州市','定远县','0550',3,380),
	(1172,'黑龙江省','牡丹江市','爱民区','0453',3,260),
	(1173,'辽宁省','大连市','瓦房店市','0',3,262),
	(1174,'辽宁省','辽阳市','白塔区','0419',3,427),
	(1175,'天津市','天津市','塘沽区','0',3,252),
	(1176,'广西壮族自治区','桂林市','荔蒲县','0773',3,400),
	(1177,'宁夏回族自治区','石嘴山市','大武口区','0952',3,189),
	(1178,'湖北省','宜昌市','夷陵区','0717',3,423),
	(1179,'湖北省','十堰市','郧西县','0719',3,185),
	(1180,'新疆维吾尔族自治区','克孜勒苏柯尔克孜自治州','阿图什市','0908',3,259),
	(1181,'四川省','德阳市','旌阳区','0838',3,178),
	(1182,'云南省','大理白族自治州','弥渡县','0872',3,191),
	(1183,'浙江省','杭州市','江干区','0571',3,263),
	(1184,'广西壮族自治区','百色市','田阳县','0776',3,392),
	(1185,'贵州省','六盘水市','六枝特区','0858',3,339),
	(1186,'湖北省','黄冈市','团风县','0713',3,397),
	(1187,'河南省','平顶山市','湛河区','0375',3,117),
	(1188,'山西省','晋中市','太谷县','0354',3,139),
	(1189,'山西省','晋中市','昔阳县','0354',3,139),
	(1190,'江西省','抚州市','乐安县','0794',3,266),
	(1191,'陕西省','西安市','碑林区','029',3,334),
	(1192,'湖北省','黄冈市','红安县','0713',3,397),
	(1193,'山东省','滨州市','邹平县','0543',3,245),
	(1194,'浙江省','台州市','温岭市','0576',3,289),
	(1195,'广东省','江门市','新会区','0750',3,398),
	(1196,'云南省','保山市','隆阳区','0875',3,381),
	(1197,'陕西省','宝鸡市','金台区','0917',3,232),
	(1198,'浙江省','金华市','婺城区','0579',3,152),
	(1199,'内蒙古自治区','兴安盟','扎赉特旗','0482',3,248),
	(1200,'湖南省','株洲市','株洲县','0731',3,302),
	(1201,'山西省','阳泉市','矿区','0353',3,137),
	(1202,'黑龙江省','牡丹江市','宁安市','0453',3,260),
	(1203,'吉林省','四平市','铁东区','0434',3,417),
	(1204,'四川省','乐山市','市中区','0833',3,155),
	(1205,'四川省','成都市','高新区','028',3,106),
	(1206,'四川省','乐山市','峨眉山市','0833',3,155),
	(1207,'江西省','吉安市','吉水县','0796',3,332),
	(1208,'河北省','衡水市','冀州市','0',3,138),
	(1209,'四川省','自贡市','自流井区','0813',3,375),
	(1210,'河北省','张家口市','桥东区','0',3,162),
	(1211,'福建省','龙岩市','连城县','0597',3,267),
	(1212,'云南省','红河哈尼族彝族自治州','红河县','0873',3,399),
	(1213,'云南省','文山壮族苗族自治州','广南县','0876',3,426),
	(1214,'广东省','惠州市','博罗县','0752',3,250),
	(1215,'广西壮族自治区','柳州市','其他','0772',3,388),
	(1216,'湖北省','荆州市','荆州区','0716',3,361),
	(1217,'黑龙江省','佳木斯市','桦南县','0454',3,105),
	(1218,'安徽省','安庆市','太湖县','0556',3,246),
	(1219,'广西壮族自治区','贺州市','昭平县','0774',3,135),
	(1220,'甘肃省','天水市','甘谷县','0938',3,179),
	(1221,'辽宁省','朝阳市','建平县','0421',3,174),
	(1222,'新疆维吾尔族自治区','奎屯市','其他','0992',3,355),
	(1223,'福建省','南平市','延平区','0599',3,119),
	(1224,'河南省','信阳市','新县','0376',3,269),
	(1225,'山西省','太原市','小店区','0351',3,154),
	(1226,'河南省','郑州市','管城回族区','0371',3,308),
	(1227,'黑龙江省','鸡西市','恒山区','0467',3,128),
	(1228,'江苏省','泰州市','姜堰市','0523',3,311),
	(1229,'河南省','洛阳市','栾川县','0379',3,214),
	(1230,'浙江省','宁波市','鄞州区','0574',3,217),
	(1231,'四川省','阿坝藏族羌族自治州','马尔康县','0837',3,255),
	(1232,'山东省','济宁市','微山县','0537',3,169),
	(1233,'新疆维吾尔族自治区','吐鲁番地区','吐鲁番市','0995',3,303),
	(1234,'山东省','滨州市','滨城区','0543',3,245),
	(1235,'甘肃省','平凉市','灵台县','0933',3,218),
	(1236,'山东省','淄博市','张店区','0533',3,203),
	(1237,'青海省','海东地区','互助土族自治县','0972',3,401),
	(1238,'江苏省','扬州市','邗江区','0514',3,136),
	(1239,'浙江省','金华市','义乌市','0579',3,152),
	(1240,'湖北省','荆门市','其他','0724',3,153),
	(1241,'河南省','郑州市','巩义市','0371',3,308),
	(1242,'江苏省','徐州市','丰县','0516',3,130),
	(1243,'安徽省','滁州市','凤阳县','0550',3,380),
	(1244,'浙江省','金华市','金东区','0579',3,152),
	(1245,'浙江省','衢州市','常山县','0570',3,257),
	(1246,'四川省','德阳市','广汉市','0838',3,178),
	(1247,'福建省','福州市','福清市','0591',3,177),
	(1248,'贵州省','铜仁地区','石阡县','0856',3,272),
	(1249,'四川省','绵阳市','安县','0816',3,224),
	(1250,'辽宁省','阜新市','彰武县','0418',3,226),
	(1251,'河南省','焦作市','沁阳市','0391',3,175),
	(1252,'辽宁省','辽阳市','灯塔市','0419',3,427),
	(1253,'黑龙江省','七台河市','勃利县','0464',3,419),
	(1254,'辽宁省','朝阳市','北票市','0421',3,174),
	(1255,'云南省','丽江市','玉龙纳西族自治县','0888',3,103),
	(1256,'湖南省','娄底市','娄星区','0738',3,206),
	(1257,'浙江省','湖州市','长兴县','0572',3,159),
	(1258,'黑龙江省','齐齐哈尔市','龙江县','0452',3,195),
	(1259,'广东省','梅州市','梅县','0753',3,143),
	(1260,'江西省','赣州市','全南县','0797',3,336),
	(1261,'山东省','烟台市','莱州市','0535',3,261),
	(1262,'吉林省','吉林市','磐石市','0432',3,240),
	(1263,'北京市','北京市','怀柔区','010',3,368),
	(1264,'广西壮族自治区','百色市','平果县','0776',3,392),
	(1265,'河南省','开封市','鼓楼区','0378',3,111),
	(1266,'福建省','莆田市','荔城区','0594',3,346),
	(1267,'黑龙江省','双鸭山市','其他','0469',3,373),
	(1268,'广西壮族自治区','钦州市','钦南区','0777',3,212),
	(1269,'吉林省','四平市','铁西区','0434',3,417),
	(1270,'吉林省','延边朝鲜族自治州','延吉市','0433',3,165),
	(1271,'山西省','运城市','垣曲县','0359',3,236),
	(1272,'湖北省','孝感市','云梦县','0712',3,210),
	(1273,'黑龙江省','绥化市','肇东市','0455',3,371),
	(1274,'浙江省','金华市','武义县','0579',3,152),
	(1275,'贵州省','毕节地区','黔西县','0857',3,318),
	(1276,'海南省','海口市','龙华区','0898',3,219),
	(1277,'浙江省','舟山市','嵊泗县','0580',3,194),
	(1278,'广西壮族自治区','桂林市','阳朔县','0773',3,400),
	(1279,'甘肃省','兰州市','城关区','0931',3,228),
	(1280,'广东省','佛山市','顺德区','0757',3,378),
	(1281,'山东省','威海市','文登市','0631',3,256),
	(1282,'安徽省','池州市','贵池区','0566',3,391),
	(1283,'四川省','成都市','温江区','028',3,106),
	(1284,'福建省','泉州市','丰泽区','0595',3,161),
	(1285,'云南省','曲靖市','麒麟区','0874',3,420),
	(1286,'贵州省','贵阳市','修文县','0851',3,273),
	(1287,'山西省','阳泉市','郊区','0353',3,137),
	(1288,'山西省','吕梁市','临县','0358',3,227),
	(1289,'山西省','大同市','南郊区','0352',3,108),
	(1290,'辽宁省','沈阳市','沈北新区','0',3,170),
	(1291,'湖北省','孝感市','安陆市','0712',3,210),
	(1292,'河北省','保定市','蠡县','0',3,209),
	(1293,'河北省','石家庄市','赵县','0',3,264),
	(1294,'河北省','保定市','徐水县','0',3,209),
	(1295,'福建省','三明市','清流县','0598',3,411),
	(1296,'陕西省','咸阳市','兴平市','029',3,180),
	(1297,'山东省','临沂市','兰山区','0539',3,312),
	(1298,'陕西省','宝鸡市','眉县','0917',3,232),
	(1299,'广东省','揭阳市','普宁市','0663',3,114),
	(1300,'山西省','朔州市','朔城区','0349',3,290),
	(1301,'福建省','泉州市','泉港区','0595',3,161),
	(1302,'湖北省','襄樊市','枣阳市','0710',3,412),
	(1303,'安徽省','蚌埠市','禹会区','0552',3,372),
	(1304,'内蒙古自治区','呼和浩特市','其他','0471',3,422),
	(1305,'宁夏回族自治区','银川市','金凤区','0951',3,247),
	(1306,'山东省','济南市','历下区','0531',3,306),
	(1307,'黑龙江省','哈尔滨市','南岗区','0451',3,124),
	(1308,'上海市','上海市','青浦区','021',3,287),
	(1309,'河南省','新乡市','牧野区','0373',3,418),
	(1310,'河南省','安阳市','文峰区','0372',3,353),
	(1311,'山西省','晋城市','城区','0356',3,376),
	(1312,'湖南省','怀化市','洪江市','0745',3,156),
	(1313,'福建省','三明市','大田县','0598',3,411),
	(1314,'浙江省','温州市','泰顺县','0577',3,315),
	(1315,'湖南省','永州市','祁阳县','0746',3,408),
	(1316,'福建省','厦门市','集美区','0592',3,354),
	(1317,'四川省','甘孜藏族自治州','泸定县','0836',3,349),
	(1318,'江苏省','南通市','通州市','0513',3,416),
	(1319,'江苏省','泰州市','泰兴市','0523',3,311),
	(1320,'海南省','文昌市','其他','0898',3,406),
	(1321,'云南省','玉溪市','易门县','0877',3,387),
	(1322,'四川省','资阳市','乐至县','028',3,404),
	(1323,'安徽省','马鞍山市','花山区','0555',3,251),
	(1324,'安徽省','滁州市','来安县','0550',3,380),
	(1325,'浙江省','温州市','乐清市','0577',3,315),
	(1326,'河南省','商丘市','梁园区','0370',3,254),
	(1327,'甘肃省','平凉市','崆峒区','0933',3,218),
	(1328,'福建省','福州市','永泰县','0591',3,177),
	(1329,'江西省','宜春市','高安市','0795',3,142),
	(1330,'湖北省','荆门市','钟祥市','0724',3,153),
	(1331,'河南省','南阳市','内乡县','0377',3,405),
	(1332,'河南省','南阳市','宛城区','0377',3,405),
	(1333,'四川省','资阳市','安岳县','028',3,404),
	(1334,'河南省','鹤壁市','淇滨区','0392',3,385),
	(1335,'贵州省','遵义市','赤水市','0852',3,288),
	(1336,'广西壮族自治区','柳州市','三江侗族自治县','0772',3,388),
	(1337,'天津市','天津市','武清区','0',3,252),
	(1338,'广东省','梅州市','兴宁市','0753',3,143),
	(1339,'云南省','曲靖市','沾益县','0874',3,420),
	(1340,'江西省','九江市','武宁县','0792',3,104),
	(1341,'浙江省','宁波市','宁海县','0574',3,217),
	(1342,'江苏省','苏州市','虎丘区','0512',3,281),
	(1343,'山东省','泰安市','肥城市','0538',3,192),
	(1344,'云南省','楚雄彝族自治州','元谋县','0878',3,231),
	(1345,'河南省','郑州市','金水区','0371',3,308),
	(1346,'广西壮族自治区','钦州市','浦北县','0777',3,212),
	(1347,'山东省','青岛市','城阳区','0532',3,284),
	(1348,'广东省','佛山市','三水区','0757',3,378),
	(1349,'浙江省','台州市','椒江区','0576',3,289),
	(1350,'北京市','北京市','昌平区','010',3,368),
	(1351,'新疆维吾尔族自治区','昌吉回族自治州','米泉市','0994',3,293),
	(1352,'辽宁省','沈阳市','沈河区','0',3,170),
	(1353,'河北省','张家口市','桥西区','0',3,162),
	(1354,'贵州省','贵阳市','云岩区','0851',3,273),
	(1355,'云南省','曲靖市','陆良县','0874',3,420),
	(1356,'浙江省','丽水市','景宁畲族自治县','0578',3,365),
	(1357,'辽宁省','铁岭市','昌图县','0410',3,223),
	(1358,'河北省','唐山市','路北区','0',3,277),
	(1359,'甘肃省','金昌市','金川区','0935',3,356),
	(1360,'河北省','石家庄市','藁城市','0',3,264),
	(1361,'四川省','乐山市','沙湾区','0833',3,155),
	(1362,'甘肃省','定西市','安定区','0932',3,327),
	(1363,'江苏省','南京市','浦口区','025',3,313),
	(1364,'浙江省','宁波市','海曙区','0574',3,217),
	(1365,'新疆维吾尔族自治区','哈密地区','哈密市','0902',3,366),
	(1366,'云南省','楚雄彝族自治州','禄丰县','0878',3,231),
	(1367,'山西省','晋城市','高平市','0356',3,376),
	(1368,'内蒙古自治区','赤峰市','翁牛特旗','0476',3,314),
	(1369,'广东省','中山市','南朗镇','0760',3,167),
	(1370,'湖北省','恩施市','利川市','0718',3,340),
	(1371,'广东省','珠海市','香洲区','0756',3,134),
	(1372,'四川省','眉山市','洪雅县','028',3,342),
	(1373,'上海市','上海市','静安区','021',3,287),
	(1374,'贵州省','黔南布依族苗族自治州','荔波县','0854',3,276),
	(1375,'贵州省','黔南布依族苗族自治州','都匀市','0854',3,276),
	(1376,'河南省','南阳市','新野县','0377',3,405),
	(1377,'四川省','巴中市','南江县','0827',3,233),
	(1378,'安徽省','宣城市','宁国市','0563',3,377),
	(1379,'四川省','资阳市','简阳市','028',3,404),
	(1380,'云南省','昭通市','水富县','0870',3,389),
	(1381,'黑龙江省','牡丹江市','穆棱市','0453',3,260),
	(1382,'山东省','淄博市','周村区','0533',3,203),
	(1383,'吉林省','四平市','公主岭市','0434',3,417),
	(1384,'江西省','抚州市','临川区','0794',3,266),
	(1385,'河北省','衡水市','故城县','0',3,138),
	(1386,'浙江省','丽水市','莲都区','0578',3,365),
	(1387,'河北省','邯郸市','邱县','0',3,348),
	(1388,'河南省','洛阳市','新安县','0379',3,214),
	(1389,'四川省','巴中市','平昌县','0827',3,233),
	(1390,'广东省','湛江市','徐闻县','0759',3,171),
	(1391,'甘肃省','兰州市','榆中县','0931',3,228),
	(1392,'云南省','玉溪市','峨山彝族自治县','0877',3,387),
	(1393,'云南省','文山壮族苗族自治州','文山县','0876',3,426),
	(1394,'云南省','西双版纳傣族自治州','景洪市','0691',3,390),
	(1395,'四川省','内江市','威远县','0832',3,322),
	(1396,'河北省','唐山市','开平区','0',3,277),
	(1397,'河南省','驻马店市','正阳县','0396',3,282),
	(1398,'黑龙江省','绥化市','海伦市','0455',3,371),
	(1399,'安徽省','安庆市','岳西县','0556',3,246),
	(1400,'山西省','晋城市','泽州县','0356',3,376),
	(1401,'广西壮族自治区','桂林市','资源县','0773',3,400),
	(1402,'广东省','广州市','从化市','020',3,129),
	(1403,'浙江省','宁波市','慈溪市','0574',3,217),
	(1404,'重庆市','重庆市','南岸区','023',3,363),
	(1405,'安徽省','宣城市','广德县','0563',3,377),
	(1406,'新疆维吾尔族自治区','塔城地区','乌苏市','0901',3,146),
	(1407,'江苏省','南京市','玄武区','025',3,313),
	(1408,'四川省','内江市','隆昌县','0832',3,322),
	(1409,'福建省','厦门市','翔安区','0592',3,354),
	(1410,'浙江省','金华市','兰溪市','0579',3,152),
	(1411,'河南省','许昌市','鄢陵县','0374',3,345),
	(1412,'重庆市','重庆市','北碚区','023',3,363),
	(1413,'安徽省','滁州市','天长市','0550',3,380),
	(1414,'江西省','赣州市','定南县','0797',3,336),
	(1415,'广东省','潮州市','潮安县','0768',3,291),
	(1416,'山东省','青岛市','胶南市','0532',3,284),
	(1417,'辽宁省','鞍山市','铁西区','0',3,301),
	(1418,'黑龙江省','鸡西市','鸡冠区','0467',3,128),
	(1419,'浙江省','湖州市','德清县','0572',3,159),
	(1420,'江苏省','扬州市','仪征市','0514',3,136),
	(1421,'云南省','丽江市','宁蒗彝族自治县','0888',3,103),
	(1422,'湖南省','怀化市','沅陵县','0745',3,156),
	(1423,'贵州省','贵阳市','其他','0851',3,273),
	(1424,'河南省','周口市','西华县','0394',3,102),
	(1425,'安徽省','铜陵市','铜陵县','0562',3,132),
	(1426,'河北省','邢台市','清河县','0',3,151),
	(1427,'四川省','内江市','资中县','0832',3,322),
	(1428,'湖北省','宜昌市','长阳县','0717',3,423),
	(1429,'云南省','昭通市','昭阳区','0870',3,389),
	(1430,'云南省','昆明市','盘龙区','0871',3,369),
	(1431,'湖南省','衡阳市','珠晖区','0734',3,116),
	(1432,'云南省','红河哈尼族彝族自治州','开远市','0873',3,399),
	(1433,'贵州省','安顺市','普定县','0853',3,347),
	(1434,'云南省','玉溪市','红塔区','0877',3,387),
	(1435,'河南省','新乡市','卫辉市','0373',3,418),
	(1436,'湖南省','邵阳市','武冈市','0739',3,274),
	(1437,'山东省','青岛市','市南区','0532',3,284),
	(1438,'江苏省','连云港市','灌南县','0518',3,101),
	(1439,'安徽省','蚌埠市','蚌山区','0552',3,372),
	(1440,'四川省','广安市','邻水县','0826',3,237),
	(1441,'云南省','保山市','腾冲县','0875',3,381),
	(1442,'北京市','北京市','朝阳区','010',3,368),
	(1443,'浙江省','衢州市','江山市','0570',3,257),
	(1444,'广东省','深圳市','福田区','0755',3,118),
	(1445,'四川省','绵阳市','涪城区','0816',3,224),
	(1446,'贵州省','遵义市','习水县','0852',3,288),
	(1447,'福建省','三明市','建宁县','0598',3,411),
	(1448,'河南省','南阳市','唐河县','0377',3,405),
	(1449,'山西省','吕梁市','汾阳市','0358',3,227),
	(1450,'辽宁省','沈阳市','其他','0',3,170),
	(1451,'河北省','秦皇岛市','山海关区','0',3,163),
	(1452,'江西省','宜春市','袁州区','0795',3,142),
	(1453,'江苏省','南通市','启东市','0513',3,416),
	(1454,'湖南省','怀化市','靖州苗族侗族自治县','0745',3,156),
	(1455,'湖南省','长沙市','望城县','0731',3,201),
	(1456,'江西省','赣州市','寻乌县','0797',3,336),
	(1457,'湖北省','宜昌市','当阳市','0717',3,423),
	(1458,'湖南省','株洲市','炎陵县','0731',3,302),
	(1459,'四川省','德阳市','罗江县','0838',3,178),
	(1460,'四川省','成都市','锦江区','028',3,106),
	(1461,'广西壮族自治区','柳州市','柳南区','0772',3,388),
	(1462,'浙江省','杭州市','建德市','0571',3,263),
	(1463,'江苏省','苏州市','相城区','0512',3,281),
	(1464,'吉林省','延边朝鲜族自治州','龙井市','0433',3,165),
	(1465,'黑龙江省','齐齐哈尔市','讷河市','0452',3,195),
	(1466,'辽宁省','丹东市','宽甸满族自治县','0415',3,305),
	(1467,'广东省','梅州市','梅江区','0753',3,143),
	(1468,'吉林省','长春市','其他','0431',3,112),
	(1469,'云南省','迪庆藏族自治州','香格里拉县','0887',3,204),
	(1470,'安徽省','蚌埠市','固镇县','0552',3,372),
	(1471,'云南省','楚雄彝族自治州','双柏县','0878',3,231),
	(1472,'湖北省','十堰市','茅箭区','0719',3,185),
	(1473,'河南省','商丘市','宁陵县','0370',3,254),
	(1474,'贵州省','遵义市','务川仡佬族苗族自治县','0852',3,288),
	(1475,'广东省','惠州市','惠东县','0752',3,250),
	(1476,'江西省','萍乡市','安源区','0799',3,320),
	(1477,'安徽省','阜阳市','颍上县','0558',3,265),
	(1478,'黑龙江省','哈尔滨市','道里区','0451',3,124),
	(1479,'广西壮族自治区','河池市','都安瑶族自治县','0778',3,197),
	(1480,'内蒙古自治区','赤峰市','松山区','0476',3,314),
	(1481,'辽宁省','丹东市','振兴区','0415',3,305),
	(1482,'吉林省','长春市','九台市','0431',3,112),
	(1483,'河北省','保定市','安国市','0',3,209),
	(1484,'湖北省','荆州市','松滋市','0716',3,361),
	(1485,'福建省','三明市','永安市','0598',3,411),
	(1486,'广西壮族自治区','来宾市','象州县','0772',3,225),
	(1487,'云南省','曲靖市','罗平县','0874',3,420),
	(1488,'浙江省','台州市','路桥区','0576',3,289),
	(1489,'吉林省','吉林市','龙潭区','0432',3,240),
	(1490,'陕西省','西安市','灞桥区','029',3,334),
	(1491,'江苏省','南通市','崇川区','0513',3,416),
	(1492,'天津市','天津市','蓟县','0',3,252),
	(1493,'山东省','潍坊市','昌乐县','0536',3,121),
	(1494,'福建省','泉州市','安溪县','0595',3,161),
	(1495,'山东省','菏泽市','鄄城县','0530',3,216),
	(1496,'云南省','昆明市','晋宁县','0871',3,369),
	(1497,'贵州省','六盘水市','盘县','0858',3,339),
	(1498,'广西壮族自治区','北海市','合浦县','0779',3,331),
	(1499,'云南省','思茅市','翠云区',NULL,3,168),
	(1500,'江西省','吉安市','永丰县','0796',3,332),
	(1501,'黑龙江省','双鸭山市','尖山区','0469',3,373),
	(1502,'河北省','保定市','涞源县','0',3,209),
	(1503,'吉林省','吉林市','永吉县','0432',3,240),
	(1504,'湖南省','常德市','其他','0736',3,186),
	(1505,'福建省','福州市','仓山区','0591',3,177),
	(1506,'黑龙江省','黑河市','爱辉区','0456',3,131),
	(1507,'广西壮族自治区','防城港市','港口区','0770',3,410),
	(1508,'四川省','成都市','新津县','028',3,106),
	(1509,'内蒙古自治区','赤峰市','宁城县','0476',3,314),
	(1510,'湖北省','武汉市','江夏区','027',3,113),
	(1511,'青海省','西宁市','城中区','0971',3,193),
	(1512,'河北省','衡水市','饶阳县','0',3,138),
	(1513,'江西省','萍乡市','其他','0799',3,320),
	(1514,'贵州省','黔西南布依族苗族自治州','兴义市','0859',3,297),
	(1515,'贵州省','黔东南苗族侗族自治州','台江县','0855',3,325),
	(1516,'湖南省','永州市','冷水滩区','0746',3,408),
	(1517,'云南省','西双版纳傣族自治州','勐海县','0691',3,390),
	(1518,'宁夏回族自治区','银川市','永宁县','0951',3,247),
	(1519,'江苏省','盐城市','盐都区','0515',3,329),
	(1520,'河南省','新乡市','延津县','0373',3,418),
	(1521,'内蒙古自治区','呼伦贝尔市','扎兰屯市','0470',3,357),
	(1522,'广西壮族自治区','防城港市','上思县','0770',3,410),
	(1523,'辽宁省','营口市','西市区','0417',3,166),
	(1524,'宁夏回族自治区','银川市','灵武市','0951',3,247),
	(1525,'广西壮族自治区','柳州市','鱼峰区','0772',3,388),
	(1526,'山东省','东营市','广饶县','0546',3,140),
	(1527,'广东省','广州市','天河区','020',3,129),
	(1528,'四川省','宜宾市','宜宾县','0831',3,109),
	(1529,'福建省','福州市','台江区','0591',3,177),
	(1530,'贵州省','贵阳市','乌当区','0851',3,273),
	(1531,'河南省','周口市','鹿邑县','0394',3,102),
	(1532,'河南省','三门峡市','渑池县','0398',3,328),
	(1533,'新疆维吾尔族自治区','塔城地区','塔城市','0901',3,146),
	(1534,'重庆市','重庆市','云阳县','023',3,363),
	(1535,'浙江省','杭州市','下城区','0571',3,263),
	(1536,'福建省','泉州市','鲤城区','0595',3,161),
	(1537,'贵州省','安顺市','其他','0853',3,347),
	(1538,'安徽省','淮北市','相山区','0561',3,407),
	(1539,'四川省','攀枝花市','米易县','0812',3,428),
	(1540,'山东省','济南市','市中区','0531',3,306),
	(1541,'黑龙江省','齐齐哈尔市','克山县','0452',3,195),
	(1542,'广西壮族自治区','百色市','那坡县','0776',3,392),
	(1543,'山东省','潍坊市','昌邑市','0536',3,121),
	(1544,'河南省','郑州市','中原区','0371',3,308),
	(1545,'宁夏回族自治区','中卫市','中宁县','0955',3,278),
	(1546,'四川省','宜宾市','兴文县','0831',3,109),
	(1547,'河南省','信阳市','淮滨县','0376',3,269),
	(1548,'宁夏回族自治区','固原市','原州区','0954',3,358),
	(1549,'湖北省','襄樊市','襄阳区','0710',3,412),
	(1550,'甘肃省','定西市','陇西县','0932',3,327),
	(1551,'黑龙江省','齐齐哈尔市','建华区','0452',3,195),
	(1552,'陕西省','榆林市','神木县','0912',3,421),
	(1553,'福建省','漳州市','南靖县','0596',3,150),
	(1554,'安徽省','蚌埠市','龙子湖区','0552',3,372),
	(1555,'福建省','南平市','浦城县','0599',3,119),
	(1556,'福建省','三明市','将乐县','0598',3,411),
	(1557,'云南省','曲靖市','会泽县','0874',3,420),
	(1558,'广西壮族自治区','河池市','宜州市','0778',3,197),
	(1559,'河北省','石家庄市','灵寿县','0',3,264),
	(1560,'云南省','玉溪市','江川县','0877',3,387),
	(1561,'吉林省','通化市','通化县','0435',3,395),
	(1562,'辽宁省','沈阳市','辽中县','0',3,170),
	(1563,'河南省','焦作市','山阳区','0391',3,175),
	(1564,'湖北省','仙桃市','其他','0728',3,160),
	(1565,'湖北省','荆门市','京山县','0724',3,153),
	(1566,'湖北省','武汉市','江岸区','027',3,113),
	(1567,'黑龙江省','佳木斯市','同江市','0454',3,105),
	(1568,'四川省','成都市','彭州市','028',3,106),
	(1569,'福建省','宁德市','福鼎市','0593',3,202),
	(1570,'浙江省','宁波市','象山县','0574',3,217),
	(1571,'云南省','大理白族自治州','鹤庆县','0872',3,191),
	(1572,'云南省','丽江市','古城区','0888',3,103),
	(1573,'广东省','江门市','恩平市','0750',3,398),
	(1574,'安徽省','宣城市','宣州区','0563',3,377),
	(1575,'河北省','衡水市','枣强县','0',3,138),
	(1576,'广东省','深圳市','罗湖区','0755',3,118),
	(1577,'新疆维吾尔族自治区','克拉玛依市','独山子区','0990',3,183),
	(1578,'河南省','信阳市','浉河区','0376',3,269),
	(1579,'河南省','周口市','淮阳县','0394',3,102),
	(1580,'河北省','邯郸市','成安县','0',3,348),
	(1581,'云南省','曲靖市','师宗县','0874',3,420),
	(1582,'河北省','唐山市','丰南区','0',3,277),
	(1583,'湖南省','娄底市','涟源市','0738',3,206),
	(1584,'浙江省','温州市','平阳县','0577',3,315),
	(1585,'河北省','邢台市','邢台县','0',3,151),
	(1586,'湖南省','长沙市','岳麓区','0731',3,201),
	(1587,'山东省','菏泽市','东明县','0530',3,216),
	(1588,'广东省','江门市','台山市','0750',3,398),
	(1589,'上海市','上海市','闸北区','021',3,287),
	(1590,'贵州省','毕节地区','毕节市','0857',3,318),
	(1591,'天津市','天津市','静海县','0',3,252),
	(1592,'江西省','抚州市','金溪县','0794',3,266),
	(1593,'广东省','佛山市','禅城区','0757',3,378),
	(1594,'河南省','三门峡市','义马市','0398',3,328),
	(1595,'甘肃省','兰州市','西固区','0931',3,228),
	(1596,'安徽省','池州市','东至县','0566',3,391),
	(1597,'广东省','梅州市','平远县','0753',3,143),
	(1598,'安徽省','蚌埠市','五河县','0552',3,372),
	(1599,'湖南省','湘西土家族苗族自治州','吉首市','0743',3,211),
	(1600,'黑龙江省','哈尔滨市','其他','0451',3,124),
	(1601,'内蒙古自治区','通辽市','科尔沁区','0475',3,326),
	(1602,'湖南省','郴州市','嘉禾县','0735',3,370),
	(1603,'新疆维吾尔族自治区','阿勒泰地区','阿勒泰市','0906',3,190),
	(1604,'福建省','宁德市','古田县','0593',3,202),
	(1605,'河南省','郑州市','上街区','0371',3,308),
	(1606,'山东省','潍坊市','安丘市','0536',3,121),
	(1607,'湖北省','黄冈市','蕲春县','0713',3,397),
	(1608,'陕西省','咸阳市','三原县','029',3,180),
	(1609,'河南省','安阳市','林州市','0372',3,353),
	(1610,'山东省','淄博市','淄川区','0533',3,203),
	(1611,'山东省','济南市','历城区','0531',3,306),
	(1612,'福建省','福州市','罗源县','0591',3,177),
	(1613,'云南省','思茅市','墨江哈尼族自治县',NULL,3,168),
	(1614,'黑龙江省','哈尔滨市','双城市','0451',3,124),
	(1615,'贵州省','遵义市','余庆县','0852',3,288),
	(1616,'甘肃省','白银市','会宁县','0943',3,157),
	(1617,'甘肃省','平凉市','静宁县','0933',3,218),
	(1618,'湖南省','邵阳市','双清区','0739',3,274),
	(1619,'福建省','龙岩市','漳平市','0597',3,267),
	(1620,'黑龙江省','哈尔滨市','五常市','0451',3,124),
	(1621,'河南省','郑州市','荥阳市','0371',3,308),
	(1622,'江苏省','苏州市','金阊区','0512',3,281),
	(1623,'吉林省','吉林市','舒兰市','0432',3,240),
	(1624,'浙江省','嘉兴市','平湖市','0573',3,107),
	(1625,'江西省','赣州市','龙南县','0797',3,336),
	(1626,'贵州省','黔南布依族苗族自治州','贵定县','0854',3,276),
	(1627,'湖北省','襄樊市','保康县','0710',3,412),
	(1628,'四川省','成都市','邛崃市','028',3,106),
	(1629,'陕西省','西安市','长安区','029',3,334),
	(1630,'湖北省','孝感市','孝南区','0712',3,210),
	(1631,'广东省','中山市','东区','0760',3,167),
	(1632,'贵州省','贵阳市','南明区','0851',3,273),
	(1633,'云南省','昆明市','寻甸回族彝族自治县','0871',3,369),
	(1634,'山东省','临沂市','罗庄区','0539',3,312),
	(1635,'河北省','沧州市','运河区','0',3,286),
	(1636,'贵州省','遵义市','道真仡佬族苗族自治县','0852',3,288),
	(1637,'吉林省','长春市','绿园区','0431',3,112),
	(1638,'河北省','唐山市','滦县','0',3,277),
	(1639,'贵州省','遵义市','遵义县','0852',3,288),
	(1640,'江西省','吉安市','安福县','0796',3,332),
	(1641,'黑龙江省','齐齐哈尔市','其他','0452',3,195),
	(1642,'安徽省','宣城市','绩溪县','0563',3,377),
	(1643,'福建省','南平市','政和县','0599',3,119),
	(1644,'江西省','九江市','浔阳区','0792',3,104),
	(1645,'山东省','青岛市','平度市','0532',3,284),
	(1646,'福建省','莆田市','涵江区','0594',3,346),
	(1647,'内蒙古自治区','赤峰市','红山区','0476',3,314),
	(1648,'四川省','内江市','东兴区','0832',3,322),
	(1649,'黑龙江省','鹤岗市','向阳区','0468',3,188),
	(1650,'江西省','抚州市','东乡县','0794',3,266),
	(1651,'河北省','唐山市','丰润区','0',3,277),
	(1652,'浙江省','绍兴市','新昌县','0575',3,307),
	(1653,'福建省','三明市','宁化县','0598',3,411),
	(1654,'四川省','泸州市','江阳区','0830',3,110),
	(1655,'山西省','大同市','灵丘县','0352',3,108),
	(1656,'云南省','昆明市','嵩明县','0871',3,369),
	(1657,'吉林省','延边朝鲜族自治州','汪清县','0433',3,165),
	(1658,'甘肃省','张掖市','临泽县','0936',3,362),
	(1659,'福建省','厦门市','海沧区','0592',3,354),
	(1660,'西藏自治区','山南地区','乃东县','0893',3,172),
	(1661,'安徽省','宿州市','墉桥区','0557',3,181),
	(1662,'江西省','九江市','湖口县','0792',3,104),
	(1663,'江苏省','常州市','金坛市','0519',3,304),
	(1664,'四川省','泸州市','合江县','0830',3,110),
	(1665,'黑龙江省','七台河市','桃山区','0464',3,419),
	(1666,'宁夏回族自治区','固原市','彭阳县','0954',3,358),
	(1667,'山东省','枣庄市','薛城区','0632',3,235),
	(1668,'江西省','九江市','星子县','0792',3,104),
	(1669,'云南省','昭通市','镇雄县','0870',3,389),
	(1670,'贵州省','黔西南布依族苗族自治州','普安县','0859',3,297),
	(1671,'四川省','宜宾市','高县','0831',3,109),
	(1672,'辽宁省','阜新市','阜新蒙古族自治县','0418',3,226),
	(1673,'广东省','清远市','英德市','0763',3,196),
	(1674,'山东省','淄博市','沂源县','0533',3,203),
	(1675,'江西省','萍乡市','上栗县','0799',3,320),
	(1676,'江苏省','泰州市','海陵区','0523',3,311),
	(1677,'河南省','濮阳市','濮阳县','0393',3,319),
	(1678,'云南省','临沧市','沧源佤族自治县','0883',3,270),
	(1679,'河南省','新乡市','辉县市','0373',3,418),
	(1680,'江苏省','南通市','如皋市','0513',3,416),
	(1681,'福建省','泉州市','洛江区','0595',3,161),
	(1682,'湖南省','张家界市','永定区','0744',3,300),
	(1683,'福建省','龙岩市','永定县','0597',3,267),
	(1684,'福建省','福州市','马尾区','0591',3,177),
	(1685,'山东省','济宁市','汶上县','0537',3,169),
	(1686,'山西省','运城市','新绛县','0359',3,236),
	(1687,'广东省','江门市','江海区','0750',3,398),
	(1688,'河北省','石家庄市','桥东区','0',3,264),
	(1689,'四川省','雅安市','汉源县','0835',3,208),
	(1690,'广东省','中山市','石岐区','0760',3,167),
	(1691,'河南省','南阳市','方城县','0377',3,405),
	(1692,'广东省','广州市','荔湾区','020',3,129),
	(1693,'湖北省','孝感市','大悟县','0712',3,210),
	(1694,'安徽省','黄山市','歙县','0559',3,279),
	(1695,'广东省','东莞市','东城区','0769',3,229),
	(1696,'贵州省','毕节地区','其他','0857',3,318),
	(1697,'江苏省','苏州市','张家港市','0512',3,281),
	(1698,'江苏省','南通市','如东县','0513',3,416),
	(1699,'黑龙江省','哈尔滨市','道外区','0451',3,124),
	(1700,'重庆市','重庆市','大渡口区','023',3,363),
	(1701,'贵州省','铜仁地区','松桃苗族自治县','0856',3,272),
	(1702,'四川省','南充市','高坪区','0817',3,350),
	(1703,'青海省','西宁市','城东区','0971',3,193),
	(1704,'福建省','漳州市','芗城区','0596',3,150),
	(1705,'山东省','临沂市','临沭县','0539',3,312),
	(1706,'浙江省','舟山市','普陀区','0580',3,194),
	(1707,'河北省','承德市','承德县','0',3,127),
	(1708,'吉林省','长春市','双阳区','0431',3,112),
	(1709,'河南省','鹤壁市','浚县','0392',3,385),
	(1710,'黑龙江省','伊春市','友好区','0458',3,125),
	(1711,'黑龙江省','伊春市','伊春区','0458',3,125),
	(1712,'广西壮族自治区','玉林市','玉州区','0775',3,338),
	(1713,'湖南省','怀化市','鹤城区','0745',3,156),
	(1714,'安徽省','宣城市','郎溪县','0563',3,377),
	(1715,'北京市','北京市','海淀区','010',3,368),
	(1716,'内蒙古自治区','赤峰市','元宝山区','0476',3,314),
	(1717,'新疆维吾尔族自治区','伊犁哈萨克自治州','霍城县','0999',3,120),
	(1718,'广东省','湛江市','霞山区','0759',3,171),
	(1719,'重庆市','重庆市','江北区','023',3,363),
	(1720,'广东省','东莞市','莞城区','0769',3,229),
	(1721,'江苏省','连云港市','赣榆县','0518',3,101),
	(1722,'浙江省','金华市','东阳市','0579',3,152),
	(1723,'四川省','德阳市','中江县','0838',3,178),
	(1724,'河南省','商丘市','睢阳区','0370',3,254),
	(1725,'安徽省','淮北市','濉溪县','0561',3,407),
	(1726,'辽宁省','鞍山市','千山区','0',3,301),
	(1727,'云南省','丽江市','华坪县','0888',3,103),
	(1728,'内蒙古自治区','包头市','东河区','0472',3,230),
	(1729,'江苏省','泰州市','靖江市','0523',3,311),
	(1730,'河南省','安阳市','北关区','0372',3,353),
	(1731,'江苏省','苏州市','太仓市','0512',3,281),
	(1732,'河北省','秦皇岛市','昌黎县','0',3,163),
	(1733,'四川省','阿坝藏族羌族自治州','汶川县','0837',3,255),
	(1734,'河北省','邢台市','平乡县','0',3,151),
	(1735,'广东省','梅州市','丰顺县','0753',3,143),
	(1736,'江苏省','南京市','建邺区','025',3,313),
	(1737,'北京市','北京市','密云县','010',3,368),
	(1738,'安徽省','阜阳市','临泉县','0558',3,265),
	(1739,'河南省','洛阳市','伊川县','0379',3,214),
	(1740,'云南省','德宏傣族景颇族自治州','陇川县','0692',3,184),
	(1741,'湖北省','武汉市','青山区','027',3,113),
	(1742,'山西省','运城市','夏县','0359',3,236),
	(1743,'河南省','周口市','项城市','0394',3,102),
	(1744,'江苏省','徐州市','云龙区','0516',3,130),
	(1745,'四川省','自贡市','贡井区','0813',3,375),
	(1746,'陕西省','西安市','周至县','029',3,334),
	(1747,'福建省','福州市','鼓楼区','0591',3,177),
	(1748,'四川省','雅安市','雨城区','0835',3,208),
	(1749,'上海市','上海市','徐汇区','021',3,287),
	(1750,'江西省','景德镇市','乐平市','0798',3,244),
	(1751,'辽宁省','鞍山市','铁东区','0',3,301),
	(1752,'山西省','临汾市','曲沃县','0357',3,238),
	(1753,'北京市','北京市','西城区','010',3,368),
	(1754,'内蒙古自治区','鄂尔多斯市','达拉特旗','0477',3,384),
	(1755,'云南省','昆明市','东川区','0871',3,369),
	(1756,'辽宁省','大连市','西岗区','0',3,262),
	(1757,'辽宁省','抚顺市','清原满族自治县','0',3,158),
	(1758,'湖南省','衡阳市','蒸湘区','0734',3,116),
	(1759,'辽宁省','沈阳市','法库县','0',3,170),
	(1760,'河北省','唐山市','迁西县','0',3,277),
	(1761,'福建省','南平市','建瓯市','0599',3,119),
	(1762,'河北省','石家庄市','桥西区','0',3,264),
	(1763,'河北省','邯郸市','峰峰矿区','0',3,348),
	(1764,'山东省','潍坊市','坊子区','0536',3,121),
	(1765,'湖南省','郴州市','苏仙区','0735',3,370),
	(1766,'浙江省','宁波市','奉化市','0574',3,217),
	(1767,'山东省','枣庄市','市中区','0632',3,235),
	(1768,'湖北省','襄樊市','襄城区','0710',3,412),
	(1769,'河南省','驻马店市','上蔡县','0396',3,282),
	(1770,'安徽省','合肥市','庐阳区','0551',3,299),
	(1771,'江西省','鹰潭市','月湖区','0701',3,403),
	(1772,'河南省','新乡市','长垣县','0373',3,418),
	(1773,'云南省','文山壮族苗族自治州','富宁县','0876',3,426),
	(1774,'安徽省','阜阳市','颍东区','0558',3,265),
	(1775,'辽宁省','沈阳市','东陵区','0',3,170),
	(1776,'甘肃省','定西市','临洮县','0932',3,327),
	(1777,'四川省','成都市','郫县','028',3,106),
	(1778,'安徽省','六安市','金安区','0564',3,253),
	(1779,'江西省','赣州市','信丰县','0797',3,336),
	(1780,'江苏省','无锡市','北塘区','0510',3,364),
	(1781,'云南省','怒江傈僳族自治州','福贡县','0886',3,258),
	(1782,'福建省','莆田市','仙游县','0594',3,346),
	(1783,'山西省','太原市','古交市','0351',3,154),
	(1784,'河北省','保定市','涿州市','0',3,209),
	(1785,'贵州省','黔东南苗族侗族自治州','麻江县','0855',3,325),
	(1786,'河北省','保定市','容城县','0',3,209),
	(1787,'河北省','衡水市','桃城区','0',3,138),
	(1788,'内蒙古自治区','呼伦贝尔市','牙克石市','0470',3,357),
	(1789,'山东省','莱芜市','莱城区','0634',3,126),
	(1790,'河南省','平顶山市','卫东区','0375',3,117),
	(1791,'安徽省','合肥市','肥东县','0551',3,299),
	(1792,'河南省','信阳市','息县','0376',3,269),
	(1793,'安徽省','芜湖市','镜湖区','0553',3,425),
	(1794,'四川省','绵阳市','游仙区','0816',3,224),
	(1795,'四川省','德阳市','绵竹市','0838',3,178),
	(1796,'河南省','洛阳市','嵩县','0379',3,214),
	(1797,'湖北省','荆州市','洪湖市','0716',3,361),
	(1798,'云南省','红河哈尼族彝族自治州','石屏县','0873',3,399),
	(1799,'贵州省','遵义市','正安县','0852',3,288),
	(1800,'四川省','遂宁市','船山区','0825',3,268),
	(1801,'广西壮族自治区','百色市','田林县','0776',3,392),
	(1802,'河北省','张家口市','沽源县','0',3,162),
	(1803,'安徽省','宿州市','泗县','0557',3,181),
	(1804,'河北省','廊坊市','广阳区','0',3,176),
	(1805,'湖南省','衡阳市','祁东县','0734',3,116),
	(1806,'江苏省','无锡市','江阴市','0510',3,364),
	(1807,'辽宁省','朝阳市','凌源市','0421',3,174),
	(1808,'江苏省','宿迁市','泗阳县','0527',3,285),
	(1809,'江西省','吉安市','吉州区','0796',3,332),
	(1810,'江苏省','镇江市','句容市','0511',3,283),
	(1811,'四川省','凉山彝族自治州','昭觉县','0834',3,173),
	(1812,'河南省','南阳市','淅川县','0377',3,405),
	(1813,'福建省','南平市','其他','0599',3,119),
	(1814,'陕西省','宝鸡市','扶风县','0917',3,232),
	(1815,'贵州省','黔东南苗族侗族自治州','凯里市','0855',3,325),
	(1816,'黑龙江省','大庆市','萨尔图区','0459',3,415),
	(1817,'山东省','滨州市','博兴县','0543',3,245),
	(1818,'云南省','临沧市','云县','0883',3,270),
	(1819,'山东省','泰安市','新泰市','0538',3,192),
	(1820,'河北省','张家口市','宣化区','0',3,162),
	(1821,'辽宁省','阜新市','海州区','0418',3,226),
	(1822,'吉林省','延边朝鲜族自治州','敦化市','0433',3,165),
	(1823,'福建省','漳州市','平和县','0596',3,150),
	(1824,'湖北省','天门市','其他','0728',3,359),
	(1825,'浙江省','绍兴市','上虞市','0575',3,307),
	(1826,'江苏省','常州市','钟楼区','0519',3,304),
	(1827,'河北省','张家口市','怀来县','0',3,162),
	(1828,'浙江省','舟山市','岱山县','0580',3,194),
	(1829,'安徽省','滁州市','琅琊区','0550',3,380),
	(1830,'河北省','保定市','顺平县','0',3,209),
	(1831,'天津市','天津市','汉沽区','0',3,252),
	(1832,'四川省','宜宾市','翠屏区','0831',3,109),
	(1833,'江西省','上饶市','余干县','0793',3,234),
	(1834,'上海市','上海市','浦东新区','021',3,287),
	(1835,'青海省','西宁市','城西区','0971',3,193),
	(1836,'山东省','威海市','环翠区','0631',3,256),
	(1837,'甘肃省','临夏回族自治州','临夏市','0930',3,335),
	(1838,'湖南省','娄底市','双峰县','0738',3,206),
	(1839,'广西壮族自治区','南宁市','横县','0771',3,242),
	(1840,'上海市','上海市','长宁区','021',3,287),
	(1841,'广东省','江门市','鹤山市','0750',3,398),
	(1842,'福建省','漳州市','诏安县','0596',3,150),
	(1843,'新疆维吾尔族自治区','伊犁哈萨克自治州','伊宁市','0999',3,120),
	(1844,'重庆市','重庆市','合川区','023',3,363),
	(1845,'河北省','保定市','曲阳县','0',3,209),
	(1846,'浙江省','嘉兴市','秀洲区','0573',3,107),
	(1847,'浙江省','温州市','洞头县','0577',3,315),
	(1848,'湖北省','武汉市','洪山区','027',3,113),
	(1849,'湖南省','长沙市','宁乡县','0731',3,201),
	(1850,'河南省','开封市','顺河回族区','0378',3,111),
	(1851,'江苏省','扬州市','江都市','0514',3,136),
	(1852,'天津市','天津市','西青区','0',3,252),
	(1853,'辽宁省','沈阳市','铁西区','0',3,170),
	(1854,'浙江省','衢州市','开化县','0570',3,257),
	(1855,'云南省','红河哈尼族彝族自治州','泸西县','0873',3,399),
	(1856,'山西省','晋中市','介休市','0354',3,139),
	(1857,'广西壮族自治区','贵港市','其他','0775',3,295),
	(1858,'广西壮族自治区','贺州市','钟山县','0774',3,135),
	(1859,'天津市','天津市','宁河县','0',3,252),
	(1860,'浙江省','嘉兴市','嘉善县','0573',3,107),
	(1861,'云南省','怒江傈僳族自治州','泸水县','0886',3,258),
	(1862,'广西壮族自治区','贵港市','桂平市','0775',3,295),
	(1863,'重庆市','重庆市','开县','023',3,363),
	(1864,'陕西省','汉中市','汉台区','0916',3,379),
	(1865,'海南省','海口市','美兰区','0898',3,219),
	(1866,'内蒙古自治区','呼伦贝尔市','海拉尔区','0470',3,357),
	(1867,'新疆维吾尔族自治区','巴音郭楞蒙古自治州','其他','0996',3,310),
	(1868,'河南省','许昌市','魏都区','0374',3,345),
	(1869,'浙江省','温州市','苍南县','0577',3,315),
	(1870,'河南省','新乡市','封丘县','0373',3,418),
	(1871,'山东省','东营市','河口区','0546',3,140),
	(1872,'浙江省','台州市','黄岩区','0576',3,289),
	(1873,'浙江省','绍兴市','嵊州市','0575',3,307),
	(1874,'广西壮族自治区','南宁市','武鸣县','0771',3,242),
	(1875,'河北省','张家口市','蔚县','0',3,162),
	(1876,'江苏省','无锡市','崇安区','0510',3,364),
	(1877,'重庆市','重庆市','沙坪坝区','023',3,363),
	(1878,'安徽省','安庆市','大观区','0556',3,246),
	(1879,'四川省','攀枝花市','东区','0812',3,428),
	(1880,'山东省','枣庄市','滕州市','0632',3,235),
	(1881,'江苏省','连云港市','灌云县','0518',3,101),
	(1882,'云南省','临沧市','耿马傣族佤族自治县','0883',3,270),
	(1883,'宁夏回族自治区','吴忠市','青铜峡市','0953',3,383),
	(1884,'辽宁省','铁岭市','铁岭县','0410',3,223),
	(1885,'上海市','上海市','奉贤区','021',3,287),
	(1886,'广东省','中山市','五桂山区','0760',3,167),
	(1887,'内蒙古自治区','巴彦淖尔市','临河区','0478',3,316),
	(1888,'四川省','泸州市','龙马潭区','0830',3,110),
	(1889,'浙江省','温州市','其他','0577',3,315),
	(1890,'贵州省','黔东南苗族侗族自治州','岑巩县','0855',3,325),
	(1891,'江西省','萍乡市','湘东区','0799',3,320),
	(1892,'广东省','广州市','越秀区','020',3,129),
	(1893,'江西省','宜春市','宜丰县','0795',3,142),
	(1894,'河北省','保定市','博野县','0',3,209),
	(1895,'浙江省','丽水市','龙泉市','0578',3,365),
	(1896,'山西省','阳泉市','城区','0353',3,137),
	(1897,'河北省','廊坊市','大城县','0',3,176),
	(1898,'山东省','聊城市','莘县','0635',3,402),
	(1899,'山东省','潍坊市','寿光市','0536',3,121),
	(1900,'福建省','南平市','建阳市','0599',3,119),
	(1901,'云南省','红河哈尼族彝族自治州','弥勒县','0873',3,399),
	(1902,'河北省','邢台市','其他','0',3,151),
	(1903,'吉林省','长春市','德惠市','0431',3,112),
	(1904,'安徽省','合肥市','长丰县','0551',3,299),
	(1905,'广西壮族自治区','贵港市','港南区','0775',3,295),
	(1906,'吉林省','松原市','其他','0438',3,333),
	(1907,'青海省','西宁市','大通回族土族自治县','0971',3,193),
	(1908,'山西省','阳泉市','盂县','0353',3,137),
	(1909,'天津市','天津市','大港区','0',3,252),
	(1910,'河北省','邯郸市','大名县','0',3,348),
	(1911,'河南省','洛阳市','宜阳县','0379',3,214),
	(1912,'贵州省','黔东南苗族侗族自治州','剑河县','0855',3,325),
	(1913,'福建省','南平市','邵武市','0599',3,119),
	(1914,'江西省','赣州市','石城县','0797',3,336),
	(1915,'吉林省','松原市','宁江区','0438',3,333),
	(1916,'云南省','楚雄彝族自治州','永仁县','0878',3,231),
	(1917,'福建省','三明市','明溪县','0598',3,411),
	(1918,'内蒙古自治区','赤峰市','林西县','0476',3,314),
	(1919,'河北省','秦皇岛市','抚宁县','0',3,163),
	(1920,'广西壮族自治区','梧州市','蝶山区','0774',3,280),
	(1921,'云南省','思茅市','普洱哈尼族彝族自治县',NULL,3,168),
	(1922,'海南省','儋州市','那大镇','0898',3,199),
	(1923,'辽宁省','抚顺市','抚顺县','0',3,158),
	(1924,'湖南省','益阳市','南县','0737',3,145),
	(1925,'福建省','三明市','沙县','0598',3,411),
	(1926,'江西省','九江市','德安县','0792',3,104),
	(1927,'北京市','北京市','大兴区','010',3,368),
	(1928,'四川省','巴中市','巴州区','0827',3,233),
	(1929,'黑龙江省','黑河市','其他','0456',3,131),
	(1930,'山东省','潍坊市','诸城市','0536',3,121),
	(1931,'四川省','成都市','大邑县','028',3,106),
	(1932,'江苏省','扬州市','维扬区','0514',3,136),
	(1933,'河北省','唐山市','滦南县','0',3,277),
	(1934,'河北省','唐山市','路南区','0',3,277),
	(1935,'湖南省','衡阳市','南岳区','0734',3,116),
	(1936,'贵州省','黔南布依族苗族自治州','福泉市','0854',3,276),
	(1937,'四川省','广元市','市中区','0839',3,298),
	(1938,'山西省','朔州市','怀仁县','0349',3,290),
	(1939,'浙江省','杭州市','上城区','0571',3,263),
	(1940,'湖南省','岳阳市','云溪区','0730',3,393),
	(1941,'湖北省','武汉市','江汉区','027',3,113),
	(1942,'河南省','信阳市','光山县','0376',3,269),
	(1943,'湖南省','衡阳市','衡南县','0734',3,116),
	(1944,'河南省','南阳市','社旗县','0377',3,405),
	(1945,'辽宁省','大连市','旅顺口区','0',3,262),
	(1946,'北京市','北京市','平谷区','010',3,368),
	(1947,'海南省','琼海市','其他','0898',3,351),
	(1948,'重庆市','重庆市','渝北区','023',3,363),
	(1949,'江西省','赣州市','安远县','0797',3,336),
	(1950,'山西省','临汾市','翼城县','0357',3,238),
	(1951,'河北省','邯郸市','临漳县','0',3,348),
	(1952,'河南省','开封市','杞县','0378',3,111),
	(1953,'广西壮族自治区','贵港市','平南县','0775',3,295),
	(1954,'上海市','上海市','金山区','021',3,287),
	(1955,'贵州省','六盘水市','其他','0858',3,339),
	(1956,'四川省','广元市','剑阁县','0839',3,298),
	(1957,'四川省','遂宁市','射洪县','0825',3,268),
	(1958,'广西壮族自治区','崇左市','扶绥县','0771',3,241),
	(1959,'江苏省','盐城市','东台市','0515',3,329),
	(1960,'辽宁省','鞍山市','其他','0',3,301),
	(1961,'福建省','福州市','晋安区','0591',3,177),
	(1962,'四川省','广安市','武胜县','0826',3,237),
	(1963,'广西壮族自治区','来宾市','武宣县','0772',3,225),
	(1964,'江苏省','无锡市','宜兴市','0510',3,364),
	(1965,'广西壮族自治区','北海市','海城区','0779',3,331),
	(1966,'辽宁省','葫芦岛市','兴城市','0429',3,213),
	(1967,'辽宁省','营口市','鲅鱼圈区','0417',3,166),
	(1968,'辽宁省','丹东市','元宝区','0415',3,305),
	(1969,'辽宁省','葫芦岛市','连山区','0429',3,213),
	(1970,'江西省','南昌市','南昌县','0791',3,200),
	(1971,'黑龙江省','鸡西市','虎林市','0467',3,128),
	(1972,'湖南省','永州市','蓝山县','0746',3,408),
	(1973,'河南省','驻马店市','遂平县','0396',3,282),
	(1974,'贵州省','黔南布依族苗族自治州','瓮安县','0854',3,276),
	(1975,'安徽省','宿州市','其他','0557',3,181),
	(1976,'广西壮族自治区','崇左市','江洲区','0771',3,241),
	(1977,'新疆维吾尔族自治区','伊犁哈萨克自治州','伊宁县','0999',3,120),
	(1978,'山东省','聊城市','临清市','0635',3,402),
	(1979,'广西壮族自治区','柳州市','鹿寨县','0772',3,388),
	(1980,'山西省','吕梁市','离石区','0358',3,227),
	(1981,'湖南省','株洲市','天元区','0731',3,302),
	(1982,'湖北省','黄冈市','其他','0713',3,397),
	(1983,'江西省','吉安市','新干县','0796',3,332),
	(1984,'黑龙江省','牡丹江市','西安区','0453',3,260),
	(1985,'河南省','濮阳市','华龙区','0393',3,319),
	(1986,'广东省','东莞市','厚街镇','0769',3,229),
	(1987,'湖北省','黄冈市','黄州区','0713',3,397),
	(1988,'浙江省','金华市','永康市','0579',3,152),
	(1989,'广西壮族自治区','桂林市','兴安县','0773',3,400),
	(1990,'浙江省','绍兴市','越城区','0575',3,307),
	(1991,'河南省','洛阳市','涧西区','0379',3,214),
	(1992,'四川省','成都市','都江堰市','028',3,106),
	(1993,'江苏省','镇江市','丹徒区','0511',3,283),
	(1994,'湖南省','岳阳市','岳阳楼区','0730',3,393),
	(1995,'广东省','湛江市','遂溪县','0759',3,171),
	(1996,'江苏省','南京市','白下区','025',3,313),
	(1997,'江苏省','扬州市','宝应县','0514',3,136),
	(1998,'北京市','北京市','东城区','010',3,368),
	(1999,'山东省','威海市','乳山市','0631',3,256),
	(2000,'广东省','阳江市','阳春市','0662',3,413),
	(2001,'浙江省','丽水市','遂昌县','0578',3,365),
	(2002,'河南省','洛阳市','洛龙区','0379',3,214),
	(2003,'广西壮族自治区','贵港市','覃塘区','0775',3,295),
	(2004,'云南省','曲靖市','宣威市','0874',3,420),
	(2005,'贵州省','遵义市','桐梓县','0852',3,288),
	(2006,'湖南省','湘潭市','岳塘区','0731',3,337),
	(2007,'重庆市','重庆市','奉节县','023',3,363),
	(2008,'云南省','昆明市','西山区','0871',3,369),
	(2009,'河北省','沧州市','肃宁县','0',3,286),
	(2010,'安徽省','黄山市','黄山区','0559',3,279),
	(2011,'贵州省','贵阳市','花溪区','0851',3,273),
	(2012,'福建省','泉州市','惠安县','0595',3,161),
	(2013,'河南省','洛阳市','西工区','0379',3,214),
	(2014,'湖北省','宜昌市','兴山县','0717',3,423),
	(2015,'湖北省','孝感市','孝昌县','0712',3,210),
	(2016,'福建省','厦门市','同安区','0592',3,354),
	(2017,'河南省','周口市','川汇区','0394',3,102),
	(2018,'内蒙古自治区','呼和浩特市','新城区','0471',3,422),
	(2019,'山东省','日照市','东港区','0633',3,115),
	(2020,'山东省','淄博市','博山区','0533',3,203),
	(2021,'浙江省','宁波市','江东区','0574',3,217),
	(2022,'陕西省','咸阳市','秦都区','029',3,180),
	(2023,'山东省','德州市','德城区','0534',3,133),
	(2024,'河北省','唐山市','迁安市','0',3,277),
	(2025,'河北省','邢台市','南和县','0',3,151),
	(2026,'湖南省','邵阳市','洞口县','0739',3,274),
	(2027,'山西省','吕梁市','文水县','0358',3,227),
	(2028,'新疆维吾尔族自治区','昌吉回族自治州','奇台县','0994',3,293),
	(2029,'河北省','张家口市','万全县','0',3,162),
	(2030,'广西壮族自治区','百色市','凌云县','0776',3,392),
	(2031,'内蒙古自治区','赤峰市','巴林左旗','0476',3,314),
	(2032,'河南省','开封市','兰考县','0378',3,111),
	(2033,'新疆维吾尔族自治区','和田地区','和田市','0903',3,292),
	(2034,'山西省','吕梁市','石楼县','0358',3,227),
	(2035,'山东省','泰安市','泰山区','0538',3,192),
	(2036,'山东省','临沂市','沂南县','0539',3,312),
	(2037,'内蒙古自治区','赤峰市','其他','0476',3,314),
	(2038,'河北省','石家庄市','平山县','0',3,264),
	(2039,'河南省','驻马店市','新蔡县','0396',3,282),
	(2040,'江苏省','徐州市','泉山区','0516',3,130),
	(2041,'甘肃省','酒泉市','敦煌市','0937',3,409),
	(2042,'湖南省','郴州市','临武县','0735',3,370),
	(2043,'江苏省','徐州市','铜山县','0516',3,130),
	(2044,'湖北省','襄樊市','宜城市','0710',3,412),
	(2045,'湖南省','湘西土家族苗族自治州','永顺县','0743',3,211),
	(2046,'广西壮族自治区','百色市','右江区','0776',3,392),
	(2047,'云南省','楚雄彝族自治州','楚雄市','0878',3,231),
	(2048,'河南省','许昌市','长葛市','0374',3,345),
	(2049,'河南省','周口市','商水县','0394',3,102),
	(2050,'黑龙江省','鸡西市','鸡东县','0467',3,128),
	(2051,'广东省','湛江市','吴川市','0759',3,171),
	(2052,'安徽省','合肥市','瑶海区','0551',3,299),
	(2053,'云南省','文山壮族苗族自治州','砚山县','0876',3,426),
	(2054,'山西省','阳泉市','平定县','0353',3,137),
	(2055,'河北省','石家庄市','新华区','0',3,264),
	(2056,'河北省','沧州市','青县','0',3,286),
	(2057,'陕西省','西安市','莲湖区','029',3,334),
	(2058,'河北省','石家庄市','新乐市','0',3,264),
	(2059,'辽宁省','大连市','甘井子区','0',3,262),
	(2060,'浙江省','温州市','鹿城区','0577',3,315),
	(2061,'新疆维吾尔族自治区','伊犁哈萨克自治州','奎屯市','0999',3,120),
	(2062,'江西省','赣州市','章贡区','0797',3,336),
	(2063,'吉林省','长春市','宽城区','0431',3,112),
	(2064,'上海市','上海市','虹口区','021',3,287),
	(2065,'辽宁省','葫芦岛市','绥中县','0429',3,213),
	(2066,'黑龙江省','大庆市','让胡路区','0459',3,415),
	(2067,'河北省','保定市','满城县','0',3,209),
	(2068,'福建省','宁德市','其他','0593',3,202),
	(2069,'山西省','长治市','长治县','0355',3,394),
	(2070,'福建省','南平市','顺昌县','0599',3,119),
	(2071,'河南省','驻马店市','驿城区','0396',3,282),
	(2072,'海南省','五指山市','其他','0898',3,164),
	(2073,'宁夏回族自治区','银川市','兴庆区','0951',3,247),
	(2074,'河北省','邢台市','隆尧县','0',3,151),
	(2075,'山东省','东营市','利津县','0546',3,140),
	(2076,'湖南省','湘潭市','雨湖区','0731',3,337),
	(2077,'湖北省','武汉市','汉阳区','027',3,113),
	(2078,'安徽省','安庆市','枞阳县','0556',3,246),
	(2079,'四川省','泸州市','纳溪区','0830',3,110),
	(2080,'安徽省','合肥市','包河区','0551',3,299),
	(2081,'江西省','上饶市','万年县','0793',3,234),
	(2082,'广西壮族自治区','玉林市','容县','0775',3,338),
	(2083,'上海市','上海市','卢湾区','021',3,287),
	(2084,'甘肃省','白银市','白银区','0943',3,157),
	(2085,'贵州省','铜仁地区','德江县','0856',3,272),
	(2086,'黑龙江省','鹤岗市','工农区','0468',3,188),
	(2087,'新疆维吾尔族自治区','喀什地区','喀什市','0998',3,296),
	(2088,'江苏省','镇江市','润州区','0511',3,283),
	(2089,'湖北省','恩施市','宣恩县','0718',3,340),
	(2090,'江西省','宜春市','丰城市','0795',3,142),
	(2091,'四川省','成都市','崇州市','028',3,106),
	(2092,'安徽省','滁州市','全椒县','0550',3,380),
	(2093,'湖北省','十堰市','丹江口市','0719',3,185),
	(2094,'甘肃省','兰州市','安宁区','0931',3,228),
	(2095,'吉林省','长春市','二道区','0431',3,112),
	(2096,'江苏省','淮安市','金湖县','0517',3,360),
	(2097,'广东省','河源市','源城区','0762',3,374),
	(2098,'江西省','九江市','瑞昌','0792',3,104),
	(2099,'湖北省','黄石市','下陆区','0714',3,222),
	(2100,'山西省','临汾市','洪洞县','0357',3,238),
	(2101,'河北省','沧州市','东光县','0',3,286),
	(2102,'福建省','龙岩市','武平县','0597',3,267),
	(2103,'山西省','吕梁市','孝义市','0358',3,227),
	(2104,'四川省','成都市','武侯区','028',3,106),
	(2105,'福建省','龙岩市','上杭县','0597',3,267),
	(2106,'广东省','惠州市','惠阳区','0752',3,250),
	(2107,'湖南省','衡阳市','耒阳市','0734',3,116),
	(2108,'云南省','昆明市','呈贡县','0871',3,369),
	(2109,'山东省','临沂市','莒南县','0539',3,312),
	(2110,'内蒙古自治区','锡林郭勒盟','锡林浩特市','0479',3,330),
	(2111,'湖北省','咸宁市','崇阳县','0715',3,271),
	(2112,'江苏省','镇江市','扬中市','0511',3,283),
	(2113,'福建省','泉州市','德化县','0595',3,161),
	(2114,'上海市','上海市','普陀区','021',3,287),
	(2115,'河南省','濮阳市','清丰县','0393',3,319),
	(2116,'内蒙古自治区','兴安盟','乌兰浩特市','0482',3,248),
	(2117,'陕西省','西安市','新城区','029',3,334),
	(2118,'河南省','开封市','尉氏县','0378',3,111),
	(2119,'云南省','大理白族自治州','洱源县','0872',3,191),
	(2120,'山东省','菏泽市','成武县','0530',3,216),
	(2121,'浙江省','杭州市','桐庐县','0571',3,263),
	(2122,'江西省','上饶市','鄱阳县','0793',3,234),
	(2123,'河南省','平顶山市','叶县','0375',3,117),
	(2124,'江西省','吉安市','峡江县','0796',3,332),
	(2125,'辽宁省','本溪市','明山区','0414',3,141),
	(2126,'湖南省','郴州市','宜章县','0735',3,370),
	(2127,'河北省','沧州市','献县','0',3,286),
	(2128,'广东省','韶关市','翁源县','0751',3,149),
	(2129,'湖南省','长沙市','浏阳市','0731',3,201),
	(2130,'广东省','韶关市','南雄市','0751',3,149),
	(2131,'山西省','大同市','大同县','0352',3,108),
	(2132,'贵州省','毕节地区','金沙县','0857',3,318),
	(2133,'安徽省','安庆市','望江县','0556',3,246),
	(2134,'吉林省','延边朝鲜族自治州','珲春市','0433',3,165),
	(2135,'贵州省','贵阳市','开阳县','0851',3,273),
	(2136,'云南省','保山市','昌宁县','0875',3,381),
	(2137,'山东省','菏泽市','曹县','0530',3,216),
	(2138,'新疆维吾尔族自治区','巴音郭楞蒙古自治州','库尔勒市','0996',3,310),
	(2139,'江西省','上饶市','铅山县','0793',3,234),
	(2140,'江西省','景德镇市','浮梁县','0798',3,244),
	(2141,'湖北省','襄樊市','谷城县','0710',3,412),
	(2142,'江苏省','苏州市','昆山市','0512',3,281),
	(2143,'山西省','忻州市','忻府区','0350',3,382),
	(2144,'河北省','沧州市','河间市','0',3,286),
	(2145,'江西省','鹰潭市','贵溪市','0701',3,403),
	(2146,'河南省','新乡市','红旗区','0373',3,418),
	(2147,'山东省','菏泽市','单县','0530',3,216),
	(2148,'云南省','玉溪市','澄江县','0877',3,387),
	(2149,'辽宁省','大连市','中山区','0',3,262),
	(2150,'新疆维吾尔族自治区','克拉玛依市','克拉玛依区','0990',3,183),
	(2151,'甘肃省','嘉峪关市','其他','0937',3,309),
	(2152,'山东省','德州市','临邑县','0534',3,133),
	(2153,'河北省','邢台市','桥西区','0',3,151),
	(2154,'江西省','赣州市','大余县','0797',3,336),
	(2155,'山西省','太原市','万柏林区','0351',3,154),
	(2156,'云南省','玉溪市','华宁县','0877',3,387),
	(2157,'广东省','清远市','连州市','0763',3,196),
	(2158,'海南省','三亚市','河西区','0898',3,275),
	(2159,'宁夏回族自治区','石嘴山市','惠农区','0952',3,189),
	(2160,'云南省','大理白族自治州','祥云县','0872',3,191),
	(2161,'内蒙古自治区','乌海市','海勃湾区','0473',3,182),
	(2162,'四川省','南充市','阆中市','0817',3,350),
	(2163,'湖南省','郴州市','桂东县','0735',3,370),
	(2164,'四川省','成都市','青羊区','028',3,106),
	(2165,'广西壮族自治区','南宁市','其他','0771',3,242),
	(2166,'四川省','凉山彝族自治州','西昌市','0834',3,173),
	(2167,'新疆维吾尔族自治区','喀什地区','莎车县','0998',3,296),
	(2168,'辽宁省','锦州市','凌河区','0416',3,243),
	(2169,'广西壮族自治区','南宁市','西乡塘区','0771',3,242),
	(2170,'江西省','吉安市','遂川县','0796',3,332),
	(2171,'重庆市','重庆市','万盛区','023',3,363),
	(2172,'河北省','承德市','平泉县','0',3,127),
	(2173,'云南省','红河哈尼族彝族自治州','建水县','0873',3,399),
	(2174,'安徽省','宿州市','砀山县','0557',3,181),
	(2175,'山东省','临沂市','沂水县','0539',3,312),
	(2176,'四川省','眉山市','仁寿县','028',3,342),
	(2177,'湖南省','株洲市','醴陵市','0731',3,302),
	(2178,'辽宁省','沈阳市','新民市','0',3,170),
	(2179,'湖南省','益阳市','赫山区','0737',3,145),
	(2180,'内蒙古自治区','兴安盟','突泉县','0482',3,248),
	(2181,'山西省','忻州市','原平市','0350',3,382),
	(2182,'江苏省','南京市','鼓楼区','025',3,313),
	(2183,'山西省','大同市','矿区','0352',3,108),
	(2184,'山东省','济南市','天桥区','0531',3,306),
	(2185,'江西省','南昌市','西湖区','0791',3,200),
	(2186,'河南省','开封市','开封县','0378',3,111),
	(2187,'贵州省','黔东南苗族侗族自治州','天柱县','0855',3,325),
	(2188,'山西省','晋中市','平遥县','0354',3,139),
	(2189,'河北省','承德市','宽城满族自治县','0',3,127),
	(2190,'辽宁省','沈阳市','于洪区','0',3,170),
	(2191,'山东省','潍坊市','高密市','0536',3,121),
	(2192,'陕西省','榆林市','子洲县','0912',3,421),
	(2193,'河南省','郑州市','登封市','0371',3,308),
	(2194,'江苏省','盐城市','射阳县','0515',3,329),
	(2195,'黑龙江省','伊春市','铁力市','0458',3,125),
	(2196,'湖北省','恩施市','来凤县','0718',3,340),
	(2197,'内蒙古自治区','通辽市','霍林郭勒市','0475',3,326),
	(2198,'福建省','漳州市','华安县','0596',3,150),
	(2199,'安徽省','池州市','青阳县','0566',3,391),
	(2200,'福建省','三明市','其他','0598',3,411),
	(2201,'黑龙江省','黑河市','北安市','0456',3,131),
	(2202,'辽宁省','锦州市','北宁市','0416',3,243),
	(2203,'安徽省','亳州市','涡阳县','0558',3,249),
	(2204,'山西省','忻州市','河曲县','0350',3,382),
	(2205,'宁夏回族自治区','吴忠市','同心县','0953',3,383),
	(2206,'吉林省','长春市','榆树市','0431',3,112),
	(2207,'贵州省','黔西南布依族苗族自治州','晴隆县','0859',3,297),
	(2208,'浙江省','绍兴市','诸暨市','0575',3,307),
	(2209,'浙江省','宁波市','余姚市','0574',3,217),
	(2210,'辽宁省','沈阳市','苏家屯区','0',3,170),
	(2211,'福建省','福州市','长乐市','0591',3,177),
	(2212,'湖北省','武汉市','黄陂区','027',3,113),
	(2213,'广西壮族自治区','南宁市','上林县','0771',3,242),
	(2214,'山西省','晋中市','榆次区','0354',3,139),
	(2215,'甘肃省','酒泉市','金塔县','0937',3,409),
	(2216,'宁夏回族自治区','中卫市','海原县','0955',3,278),
	(2217,'广东省','广州市','增城市','020',3,129),
	(2218,'重庆市','重庆市','永川区','023',3,363),
	(2219,'广东省','肇庆市','高要市','0758',3,144),
	(2220,'江西省','南昌市','东湖区','0791',3,200),
	(2221,'河北省','石家庄市','裕华区','0',3,264),
	(2222,'新疆维吾尔族自治区','阿克苏地区','阿克苏市','0997',3,424),
	(2223,'广东省','茂名市','化州市','0668',3,221),
	(2224,'新疆维吾尔族自治区','昌吉回族自治州','昌吉市','0994',3,293),
	(2225,'河南省','商丘市','永城市','0370',3,254),
	(2226,'河南省','驻马店市','西平县','0396',3,282),
	(2227,'浙江省','衢州市','柯城区','0570',3,257),
	(2228,'福建省','泉州市','其他','0595',3,161),
	(2229,'黑龙江省','齐齐哈尔市','龙沙区','0452',3,195),
	(2230,'四川省','攀枝花市','西区','0812',3,428),
	(2231,'广西壮族自治区','玉林市','北流市','0775',3,338),
	(2232,'贵州省','贵阳市','清镇市','0851',3,273),
	(2233,'贵州省','铜仁地区','沿河土家族自治县','0856',3,272),
	(2234,'四川省','泸州市','泸县','0830',3,110),
	(2235,'福建省','南平市','武夷山市','0599',3,119),
	(2236,'福建省','厦门市','思明区','0592',3,354),
	(2237,'内蒙古自治区','通辽市','开鲁县','0475',3,326),
	(2238,'江西省','南昌市','青山湖区','0791',3,200),
	(2239,'上海市','上海市','崇明县','021',3,287),
	(2240,'四川省','遂宁市','大英县','0825',3,268),
	(2241,'湖南省','株洲市','茶陵县','0731',3,302),
	(2242,'河北省','邯郸市','武安市','0',3,348),
	(2243,'浙江省','杭州市','萧山区','0571',3,263),
	(2244,'广东省','清远市','阳山县','0763',3,196),
	(2245,'四川省','南充市','仪陇县','0817',3,350),
	(2246,'山东省','青岛市','李沧区','0532',3,284),
	(2247,'河北省','邢台市','内丘县','0',3,151),
	(2248,'四川省','南充市','西充县','0817',3,350),
	(2249,'浙江省','温州市','文成县','0577',3,315),
	(2250,'陕西省','咸阳市','泾阳县','029',3,180),
	(2251,'河南省','商丘市','虞城县','0370',3,254),
	(2252,'新疆维吾尔族自治区','乌鲁木齐市','天山区','0991',3,207),
	(2253,'广东省','潮州市','湘桥区','0768',3,291),
	(2254,'甘肃省','张掖市','民乐县','0936',3,362),
	(2255,'河北省','邯郸市','馆陶县','0',3,348),
	(2256,'湖南省','郴州市','资兴市','0735',3,370),
	(2257,'云南省','保山市','龙陵县','0875',3,381),
	(2258,'福建省','厦门市','湖里区','0592',3,354),
	(2259,'江西省','上饶市','上饶县','0793',3,234),
	(2260,'广东省','汕头市','金平区','0754',3,215),
	(2261,'河南省','平顶山市','郏县','0375',3,117),
	(2262,'福建省','漳州市','漳浦县','0596',3,150),
	(2263,'江苏省','南京市','溧水县','025',3,313),
	(2264,'河南省','安阳市','殷都区','0372',3,353),
	(2265,'江西省','赣州市','瑞金市','0797',3,336),
	(2266,'福建省','泉州市','石狮市','0595',3,161),
	(2267,'广东省','深圳市','龙岗区','0755',3,118),
	(2268,'浙江省','温州市','龙湾区','0577',3,315),
	(2269,'安徽省','宣城市','旌德县','0563',3,377),
	(2270,'广西壮族自治区','玉林市','博白县','0775',3,338),
	(2271,'广东省','佛山市','高明区','0757',3,378),
	(2272,'安徽省','安庆市','潜山县','0556',3,246),
	(2273,'贵州省','贵阳市','白云区','0851',3,273),
	(2274,'广东省','茂名市','信宜市','0668',3,221),
	(2275,'广西壮族自治区','河池市','金城江区','0778',3,197),
	(2276,'吉林省','长春市','朝阳区','0431',3,112),
	(2277,'湖南省','衡阳市','常宁市','0734',3,116),
	(2278,'广东省','茂名市','高州市','0668',3,221),
	(2279,'河北省','衡水市','阜城县','0',3,138),
	(2280,'江苏省','淮安市','清浦区','0517',3,360),
	(2281,'河南省','洛阳市','孟津县','0379',3,214),
	(2282,'河北省','唐山市','玉田县','0',3,277),
	(2283,'江西省','九江市','修水县','0792',3,104),
	(2284,'贵州省','黔东南苗族侗族自治州','榕江县','0855',3,325),
	(2285,'河南省','驻马店市','确山县','0396',3,282),
	(2286,'四川省','成都市','青白江区','028',3,106),
	(2287,'北京市','北京市','石景山区','010',3,368),
	(2288,'湖南省','长沙市','雨花区','0731',3,201),
	(2289,'江西省','上饶市','弋阳县','0793',3,234),
	(2290,'江苏省','南通市','海安县','0513',3,416),
	(2291,'贵州省','黔南布依族苗族自治州','龙里县','0854',3,276),
	(2292,'安徽省','合肥市','滨湖新区','0551',3,299),
	(2293,'新疆维吾尔族自治区','巴音郭楞蒙古自治州','焉耆回族自治县','0996',3,310),
	(2294,'黑龙江省','绥化市','北林区','0455',3,371),
	(2295,'河南省','洛阳市','洛宁县','0379',3,214),
	(2296,'福建省','泉州市','永春县','0595',3,161),
	(2297,'河南省','三门峡市','湖滨区','0398',3,328),
	(2298,'宁夏回族自治区','银川市','贺兰县','0951',3,247),
	(2299,'山东省','济宁市','邹城市','0537',3,169),
	(2300,'四川省','广元市','青川县','0839',3,298),
	(2301,'广东省','广州市','海珠区','020',3,129),
	(2302,'广东省','云浮市','','0766',2,18),
	(2303,'广东省','云浮市','云城区','0766',3,2302),
	(2304,'广东省','云浮市','云安区','0766',3,2302),
	(2305,'广东省','云浮市','新兴县','0766',3,2302),
	(2306,'广东省','云浮市','郁南县','0766',3,2302),
	(2307,'广东省','云浮市','罗定市','0766',3,2302),
	(2308,'广东省','广州市','白云区','020',3,129),
	(2309,'山西省','大同市','平城区','0352',3,108);

/*!40000 ALTER TABLE `sys_areas_info` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table sys_organization_auth
# ------------------------------------------------------------

DROP TABLE IF EXISTS `sys_organization_auth`;

CREATE TABLE `sys_organization_auth` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `role_id` int(11) DEFAULT NULL COMMENT '角色编号',
  `code_number` varchar(32) DEFAULT NULL COMMENT '组织编号',
  `code_type` varchar(32) DEFAULT NULL COMMENT '组织类型',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `role_id` (`role_id`),
  KEY `code_number` (`code_number`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='组织架构权限关系表 ';

LOCK TABLES `sys_organization_auth` WRITE;
/*!40000 ALTER TABLE `sys_organization_auth` DISABLE KEYS */;

INSERT INTO `sys_organization_auth` (`id`, `role_id`, `code_number`, `code_type`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(507,14,'COM00001','company',133,'2024-06-25 13:50:41',NULL,'2024-06-25 13:50:41'),
	(508,14,'WOF035500001','field',133,'2024-06-25 14:01:10',NULL,'2024-06-25 14:01:10'),
	(509,14,'WOF085500002','field',133,'2024-06-25 14:01:10',NULL,'2024-06-25 14:01:10'),
	(510,14,'WOF035200003','field',133,'2024-06-25 14:01:10',NULL,'2024-06-25 14:01:10'),
	(515,14,'COM00002','company',133,'2024-06-28 14:53:47',NULL,'2024-06-28 14:53:47'),
	(516,14,'WOF035900004','field',133,'2024-06-28 14:59:14',NULL,'2024-06-28 14:59:14'),
	(517,14,'COM00003','company',133,'2024-06-28 17:25:21',NULL,'2024-06-28 17:25:21'),
	(518,14,'WOF093400005','field',133,'2024-06-28 17:25:47',NULL,'2024-06-28 17:25:47'),
	(519,14,'WOF091200006','field',133,'2024-07-04 09:26:54',NULL,'2024-07-04 09:26:54'),
	(520,14,'WOF043600007','field',133,'2024-07-08 13:45:12',NULL,'2024-07-08 13:45:12'),
	(521,1,'COM00001','company',2,'2024-07-09 10:23:23',NULL,'2024-07-09 10:23:23'),
	(522,1,'WOF035500001','field',2,'2024-07-09 10:23:23',NULL,'2024-07-09 10:23:23'),
	(523,1,'WOF085500002','field',2,'2024-07-09 10:23:23',NULL,'2024-07-09 10:23:23'),
	(524,1,'WOF035200003','field',2,'2024-07-09 10:23:23',NULL,'2024-07-09 10:23:23'),
	(525,1,'WOF091200006','field',2,'2024-07-09 10:23:23',NULL,'2024-07-09 10:23:23'),
	(526,1,'WOF043600007','field',2,'2024-07-09 10:23:23',NULL,'2024-07-09 10:23:23'),
	(527,1,'COM00002','company',2,'2024-07-09 10:23:23',NULL,'2024-07-09 10:23:23'),
	(528,1,'WOF035900004','field',2,'2024-07-09 10:23:23',NULL,'2024-07-09 10:23:23'),
	(529,1,'COM00003','company',2,'2024-07-09 10:23:23',NULL,'2024-07-09 10:23:23'),
	(530,1,'WOF093400005','field',2,'2024-07-09 10:23:23',NULL,'2024-07-09 10:23:23'),
	(531,14,'WOF085500008','field',133,'2024-07-15 16:51:04',NULL,'2024-07-15 16:51:04');

/*!40000 ALTER TABLE `sys_organization_auth` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table sys_permission
# ------------------------------------------------------------

DROP TABLE IF EXISTS `sys_permission`;

CREATE TABLE `sys_permission` (
  `permission_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '资源表主键id',
  `permission_name` varchar(255) NOT NULL COMMENT '资源名称',
  `parent_id` int(11) NOT NULL COMMENT '资源父id',
  `permission_code` varchar(255) NOT NULL COMMENT '资源code',
  `permission_type` int(11) NOT NULL COMMENT '资源类型(1 目录 2 菜单 3按钮)',
  `permission_url` varchar(255) DEFAULT NULL COMMENT '资源url',
  `permission_state` int(11) NOT NULL DEFAULT '1' COMMENT '资源状态 0 不可用 1是正常',
  `permission_show` tinyint(1) DEFAULT NULL COMMENT '是否显示1显示2不显示',
  `permission_sort` int(11) NOT NULL COMMENT '顺序',
  `permission_icon_url` varchar(255) DEFAULT NULL COMMENT '图标icon Url',
  `permission_depth` int(11) DEFAULT NULL COMMENT '所有父id集合',
  PRIMARY KEY (`permission_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='资源表';

LOCK TABLES `sys_permission` WRITE;
/*!40000 ALTER TABLE `sys_permission` DISABLE KEYS */;

INSERT INTO `sys_permission` (`permission_id`, `permission_name`, `parent_id`, `permission_code`, `permission_type`, `permission_url`, `permission_state`, `permission_show`, `permission_sort`, `permission_icon_url`, `permission_depth`)
VALUES
	(1,'权限管理',0,'/home/system',1,'/system/index.vue',1,1,100000,'jurisdiction',1),
	(12,'用户管理',1,'/home/system/userMag',2,'/system/userMag/index.vue',1,1,100000,'',2),
	(16,'菜单权限',1,'/home/system/menuMag',2,'/system/menuMag/index.vue',1,1,100000,'',2),
	(17,'角色管理',1,'/home/system/roleMag',2,'/system/roleMag/index.vue',1,1,100000,'',2),
	(162,'数据管理',0,'/home/dataManage',1,'/system/index.vue',1,1,100000,'log',1),
	(167,'数据操作',162,'/home/dataManage/dataAdministration',2,'/dataAdministration/index.vue',1,1,100000,'',2),
	(188,'台账管理',0,'/home/Ledger',1,'/system/index.vue',1,1,998,'list',1),
	(189,'企业信息',188,'/home/Ledger/enterprise',2,'/ledger/enterprise.vue',1,1,100000,'',2),
	(190,'风场信息',188,'/home/Ledger/windsite',2,'/ledger/windsite.vue',1,1,100000,NULL,2),
	(191,'风机信息',188,'/home/Ledger/draught',2,'/ledger/draught.vue',1,1,100000,NULL,2),
	(192,'机型信息',188,'/home/Ledger/milltype',2,'/ledger/milltype.vue',1,1,100000,NULL,2),
	(193,'测风塔信息',188,'/home/Ledger/anemometer',2,'/ledger/anemometer.vue',1,1,100000,NULL,2),
	(194,'性能分析',0,'/home/performance',1,'/system/index.vue',1,2,100000,'server',1),
	(195,'性能分析评估',194,'/home/performance/assetssMag',2,'/performance/assetssMag.vue',1,1,100000,'',2),
	(196,'性能分析详情',194,'/home/performance/assetssDetail',2,'/performance/assetssDetail.vue',1,2,100000,NULL,2),
	(197,'分析',194,'/home/performance/editAssets',2,'/performance/editAssets.vue',1,2,100000,NULL,2),
	(217,'菜单新增',16,'system:menu:add',3,NULL,1,2,1,'',3),
	(218,'菜单编辑',16,'system:menu:edit',3,NULL,1,2,2,NULL,3),
	(219,'菜单编辑状态',16,'system:menu:editState',3,NULL,1,2,3,NULL,3),
	(220,'菜单删除',16,'system:menu:delete',3,NULL,1,2,4,NULL,3),
	(221,'角色新增',17,'system:role:add',3,NULL,1,2,1,NULL,3),
	(222,'角色编辑',17,'system:role:edit',3,NULL,1,2,2,NULL,3),
	(223,'权限编辑',17,'system:role:authEdit',3,NULL,1,2,3,'',3),
	(224,'角色删除',17,'system:role:delete',3,NULL,1,2,4,NULL,3),
	(225,'角色状态修改',17,'system:role:editState',3,NULL,1,2,5,NULL,3),
	(226,'用户新增',12,'system:users:add',3,NULL,1,2,0,'',3),
	(227,'用户编辑',12,'system:users:edit',3,NULL,1,2,0,NULL,3),
	(228,'用户修改密码',12,'system:users:editPassword',3,NULL,1,2,0,NULL,3),
	(229,'用户状态修改',12,'system:users:editState',3,NULL,1,2,0,NULL,3),
	(230,'用户删除',12,'system:users:delete',3,NULL,1,2,0,NULL,3),
	(231,'数据新增',167,'dataManage:dataAdministration:add',3,NULL,1,2,0,NULL,3),
	(232,'数据编辑',167,'dataManage:dataAdministration:edit',3,NULL,1,2,0,NULL,3),
	(233,'数据转换',167,'dataManage:dataAdministration:editState',3,NULL,1,2,0,NULL,3),
	(234,'批次管理',162,'/home/performance/batchMag',2,'/performance/batchMag.vue',1,1,0,NULL,2),
	(235,'批次新增',234,'performance:batchMag:add',3,NULL,1,2,0,'',3),
	(236,'批次编辑',234,'performance:batchMag:edit',3,NULL,1,2,0,'',3),
	(237,'批次删除',234,'performance:batchMag:delete',3,NULL,1,2,0,'',3),
	(238,'批次状态',234,'performance:batchMag:editState',3,NULL,1,2,0,NULL,3);

/*!40000 ALTER TABLE `sys_permission` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table sys_role
# ------------------------------------------------------------

DROP TABLE IF EXISTS `sys_role`;

CREATE TABLE `sys_role` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '角色表主键id',
  `role_description` varchar(255) NOT NULL COMMENT '角色描述',
  `role_code` varchar(50) NOT NULL COMMENT '角色code',
  `role_type` int(11) DEFAULT NULL COMMENT '角色类型',
  `role_available` int(11) NOT NULL DEFAULT '1' COMMENT '是否可用',
  `source` tinyint(1) DEFAULT NULL COMMENT '来源',
  `create_by` int(11) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_by` int(11) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色表';

LOCK TABLES `sys_role` WRITE;
/*!40000 ALTER TABLE `sys_role` DISABLE KEYS */;

INSERT INTO `sys_role` (`id`, `role_description`, `role_code`, `role_type`, `role_available`, `source`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(1,'超级管理员','admin',1,1,0,NULL,'2022-07-15 15:10:33',NULL,'2022-07-15 15:10:33'),
	(14,'普通角色','common5',2,1,1,NULL,'2024-05-21 10:14:33',NULL,'2024-05-21 10:14:33');

/*!40000 ALTER TABLE `sys_role` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table sys_role_permission
# ------------------------------------------------------------

DROP TABLE IF EXISTS `sys_role_permission`;

CREATE TABLE `sys_role_permission` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `role_id` int(11) DEFAULT NULL COMMENT '角色表主键id',
  `permission_id` int(11) DEFAULT NULL COMMENT '资源表主键id',
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `role_id` (`role_id`),
  KEY `permission_id` (`permission_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色资源关联表';

LOCK TABLES `sys_role_permission` WRITE;
/*!40000 ALTER TABLE `sys_role_permission` DISABLE KEYS */;

INSERT INTO `sys_role_permission` (`id`, `role_id`, `permission_id`, `create_time`, `update_time`)
VALUES
	(4076,14,162,NULL,NULL),
	(4077,14,234,NULL,NULL),
	(4078,14,235,NULL,NULL),
	(4079,14,236,NULL,NULL),
	(4080,14,237,NULL,NULL),
	(4081,14,238,NULL,NULL),
	(4082,14,167,NULL,NULL),
	(4083,14,231,NULL,NULL),
	(4084,14,232,NULL,NULL),
	(4085,14,233,NULL,NULL),
	(4086,14,188,NULL,NULL),
	(4087,14,189,NULL,NULL),
	(4088,14,190,NULL,NULL),
	(4089,14,191,NULL,NULL),
	(4090,14,192,NULL,NULL),
	(4091,14,193,NULL,NULL),
	(4092,14,194,NULL,NULL),
	(4093,14,195,NULL,NULL),
	(4094,14,196,NULL,NULL),
	(4095,14,197,NULL,NULL),
	(4096,1,1,NULL,NULL),
	(4097,1,12,NULL,NULL),
	(4098,1,226,NULL,NULL),
	(4099,1,227,NULL,NULL),
	(4100,1,228,NULL,NULL),
	(4101,1,229,NULL,NULL),
	(4102,1,230,NULL,NULL),
	(4103,1,16,NULL,NULL),
	(4104,1,217,NULL,NULL),
	(4105,1,218,NULL,NULL),
	(4106,1,219,NULL,NULL),
	(4107,1,220,NULL,NULL),
	(4108,1,17,NULL,NULL),
	(4109,1,221,NULL,NULL),
	(4110,1,222,NULL,NULL),
	(4111,1,223,NULL,NULL),
	(4112,1,224,NULL,NULL),
	(4113,1,225,NULL,NULL),
	(4114,1,162,NULL,NULL),
	(4115,1,234,NULL,NULL),
	(4116,1,235,NULL,NULL),
	(4117,1,236,NULL,NULL),
	(4118,1,237,NULL,NULL),
	(4119,1,238,NULL,NULL),
	(4120,1,167,NULL,NULL),
	(4121,1,231,NULL,NULL),
	(4122,1,232,NULL,NULL),
	(4123,1,233,NULL,NULL),
	(4124,1,188,NULL,NULL),
	(4125,1,189,NULL,NULL),
	(4126,1,190,NULL,NULL),
	(4127,1,191,NULL,NULL),
	(4128,1,192,NULL,NULL),
	(4129,1,193,NULL,NULL),
	(4130,1,194,NULL,NULL),
	(4131,1,195,NULL,NULL),
	(4132,1,196,NULL,NULL),
	(4133,1,197,NULL,NULL);

/*!40000 ALTER TABLE `sys_role_permission` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table sys_user_info
# ------------------------------------------------------------

DROP TABLE IF EXISTS `sys_user_info`;

CREATE TABLE `sys_user_info` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login_name` varchar(32) DEFAULT NULL COMMENT '登录名',
  `user_name` varchar(255) DEFAULT NULL,
  `user_phone` char(11) DEFAULT NULL,
  `user_password` varchar(255) DEFAULT NULL,
  `state` int(11) DEFAULT '1' COMMENT '0：禁用，1：可用',
  `create_by` int(11) DEFAULT NULL,
  `create_time` datetime DEFAULT NULL,
  `update_by` int(11) DEFAULT NULL,
  `update_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id_idx` (`id`) USING BTREE,
  UNIQUE KEY `phone_idx` (`user_phone`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='后台用户表';

LOCK TABLES `sys_user_info` WRITE;
/*!40000 ALTER TABLE `sys_user_info` DISABLE KEYS */;

INSERT INTO `sys_user_info` (`id`, `login_name`, `user_name`, `user_phone`, `user_password`, `state`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(2,'admin','admin','13255557778','$2a$10$itKrUk3x4xb8W9DUsvS4LeSasFbEshswfRU.sEDVtz1gW8PR/U7pi',1,NULL,'2022-07-11 17:46:03',NULL,NULL),
	(133,'wcl','武春林','18223322121','$2a$10$yFJA2./BvMLIR78ZNdWO2.y2wmEnywxwLjvGsIjplI2tH41jqkxey',1,NULL,'2024-06-25 11:03:24',NULL,NULL),
	(134,'xzy','谢周杨','13445544323','$2a$10$HMZwcuTbB7V5sD6y9PFNJe5rLLccWCYhQcxt1xP6dMSI7oGRK6rvq',1,NULL,'2024-06-25 11:07:23',NULL,NULL),
	(135,'wzx','王志欣','13223322322','$2a$10$fk9XrVZScvZoM8lV25MVpupgUKLpoJl4kGfNy9jexuWdKzUB3P9gC',1,NULL,'2024-06-25 16:20:06',NULL,NULL);

/*!40000 ALTER TABLE `sys_user_info` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table sys_user_role
# ------------------------------------------------------------

DROP TABLE IF EXISTS `sys_user_role`;

CREATE TABLE `sys_user_role` (
  `user_id` int(11) DEFAULT NULL COMMENT '用户id',
  `role_id` int(11) DEFAULT NULL COMMENT '角色表主键id',
  `create_time` datetime DEFAULT NULL,
  `update_time` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户角色表';

LOCK TABLES `sys_user_role` WRITE;
/*!40000 ALTER TABLE `sys_user_role` DISABLE KEYS */;

INSERT INTO `sys_user_role` (`user_id`, `role_id`, `create_time`, `update_time`)
VALUES
	(2,1,NULL,NULL),
	(133,14,NULL,NULL),
	(134,14,NULL,NULL),
	(135,14,NULL,NULL);

/*!40000 ALTER TABLE `sys_user_role` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wind_company
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wind_company`;

CREATE TABLE `wind_company` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `company_code` varchar(32) DEFAULT NULL COMMENT '企业编号',
  `company_name` varchar(32) DEFAULT NULL COMMENT '企业名称',
  `state` varchar(32) DEFAULT NULL COMMENT '状态',
  `province_id` int(11) DEFAULT NULL COMMENT '省',
  `province_name` varchar(10) DEFAULT NULL COMMENT '省名字',
  `city_id` int(11) DEFAULT NULL COMMENT '市',
  `city_name` varchar(32) DEFAULT NULL COMMENT '市名字',
  `described` varchar(32) DEFAULT NULL COMMENT '企业描述',
  `sort` varchar(32) DEFAULT NULL COMMENT '排序',
  `del_state` varchar(32) DEFAULT NULL COMMENT '删除状态',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `company_code` (`company_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='企业信息表(项目公司)';

LOCK TABLES `wind_company` WRITE;
/*!40000 ALTER TABLE `wind_company` DISABLE KEYS */;

INSERT INTO `wind_company` (`id`, `company_code`, `company_name`, `state`, `province_id`, `province_name`, `city_id`, `city_name`, `described`, `sort`, `del_state`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(51,'COM00001','大唐研究院','1',1,'北京市',368,'北京市','',NULL,'0',133,'2024-06-25 13:50:41',NULL,'2024-06-25 13:50:41'),
	(52,'COM00002','中广核-山西公司','1',4,'山西省',154,'太原市','',NULL,'0',133,'2024-06-28 14:53:47',NULL,'2024-06-28 14:53:47'),
	(53,'COM00003','华电','1',1,'北京市',368,'北京市','',NULL,'0',133,'2024-06-28 17:25:21',NULL,'2024-06-28 17:25:21');

/*!40000 ALTER TABLE `wind_company` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wind_engine_group
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wind_engine_group`;

CREATE TABLE `wind_engine_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `field_code` varchar(32) DEFAULT NULL COMMENT '风场编号',
  `engine_code` varchar(32) DEFAULT NULL COMMENT '风机编号',
  `engine_name` varchar(32) DEFAULT NULL COMMENT '风机名称（原始风机编号）',
  `mill_type_code` varchar(32) DEFAULT NULL COMMENT '机型编号',
  `rated_capacity` double(10,2) DEFAULT NULL COMMENT '额定容量-千瓦',
  `elevation_height` double(10,2) DEFAULT NULL COMMENT '海拔高度',
  `hub_height` double(10,2) DEFAULT NULL COMMENT '轮毂高度',
  `state` tinyint(1) DEFAULT NULL COMMENT '状态',
  `longitude` decimal(15,8) DEFAULT NULL COMMENT '经度',
  `latitude` decimal(15,8) DEFAULT NULL COMMENT '维度',
  `sightcing` tinyint(1) DEFAULT NULL COMMENT '是否标杆风机1是2否',
  `rated_wind_speed` double(10,2) DEFAULT NULL COMMENT '额定风速 （m/s）',
  `rated_cut_in_windspeed` double(10,2) DEFAULT NULL COMMENT '切入风速 （m/s）',
  `rated_cut_out_windspeed` double(10,2) DEFAULT NULL COMMENT '切出风速 （m/s）',
  `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
  `data_source` tinyint(1) DEFAULT NULL COMMENT '数据来源1，平台输入，2导入',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='风机机组信息表 ';

LOCK TABLES `wind_engine_group` WRITE;
/*!40000 ALTER TABLE `wind_engine_group` DISABLE KEYS */;

INSERT INTO `wind_engine_group` (`id`, `field_code`, `engine_code`, `engine_name`, `mill_type_code`, `rated_capacity`, `elevation_height`, `hub_height`, `state`, `longitude`, `latitude`, `sightcing`, `rated_wind_speed`, `rated_cut_in_windspeed`, `rated_cut_out_windspeed`, `del_state`, `data_source`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(99,'WOF035500001','WOG00331','C001','WEM00001',1500.00,1805.64,80.00,1,113.44805560,36.05694444,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(100,'WOF035500001','WOG00332','C002','WEM00001',1500.00,1777.70,80.00,1,113.44916670,36.05944444,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(101,'WOF035500001','WOG00333','C003','WEM00001',1500.00,1823.03,80.00,1,113.45138890,36.06222222,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(102,'WOF035500001','WOG00334','C004','WEM00001',1500.00,1821.44,80.00,1,113.45305560,36.06527778,1,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(103,'WOF035500001','WOG00335','C005','WEM00001',1500.00,1800.30,80.00,1,113.45722220,36.06861111,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(104,'WOF035500001','WOG00336','C006','WEM00001',1500.00,1763.50,80.00,1,113.45583330,36.07250000,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(105,'WOF035500001','WOG00337','C007','WEM00001',1500.00,1795.95,80.00,1,113.46250000,36.07194444,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(106,'WOF035500001','WOG00338','C008','WEM00001',1500.00,1761.19,80.00,1,113.45972220,36.07666667,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(107,'WOF035500001','WOG00339','C009','WEM00001',1500.00,1783.42,80.00,1,113.46111110,36.08000000,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(108,'WOF035500001','WOG00340','C010','WEM00001',1500.00,1741.67,80.00,1,113.46055560,36.08388889,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(109,'WOF035500001','WOG00341','C011','WEM00001',1500.00,1691.09,80.00,1,113.46416670,36.08694444,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(110,'WOF035500001','WOG00342','C012','WEM00001',1500.00,1691.13,80.00,1,113.46500000,36.08972222,1,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(111,'WOF035500001','WOG00343','C013','WEM00001',1500.00,1663.07,80.00,1,113.47444440,36.10277778,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(112,'WOF035500001','WOG00344','C014','WEM00001',1500.00,1667.98,80.00,1,113.47972220,36.09916667,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(113,'WOF035500001','WOG00345','C015','WEM00001',1500.00,1636.45,80.00,1,113.47944440,36.10166667,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(114,'WOF035500001','WOG00346','C016','WEM00001',1500.00,1648.06,80.00,1,113.47805560,36.10500000,1,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(115,'WOF035500001','WOG00347','C017','WEM00001',1500.00,1646.91,80.00,1,113.47527780,36.10777778,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(116,'WOF035500001','WOG00348','C018','WEM00001',1500.00,1639.99,80.00,1,113.47472220,36.11194444,1,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(117,'WOF035500001','WOG00349','C019','WEM00001',1500.00,1623.09,80.00,1,113.47333330,36.11472222,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(118,'WOF035500001','WOG00350','C020','WEM00001',1500.00,1624.33,80.00,1,113.47055560,36.11694444,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(119,'WOF035500001','WOG00351','C021','WEM00001',1500.00,1611.62,80.00,1,113.46916670,36.12277778,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(120,'WOF035500001','WOG00352','C022','WEM00001',1500.00,1610.20,80.00,1,113.46888890,36.12527778,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(121,'WOF035500001','WOG00353','C023','WEM00001',1500.00,1591.65,80.00,1,113.46916670,36.12777778,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(122,'WOF035500001','WOG00354','C024','WEM00001',1500.00,1564.54,80.00,1,113.47333330,36.12583333,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(123,'WOF035500001','WOG00355','C025','WEM00001',1500.00,1554.09,80.00,1,113.47388890,36.13000000,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(124,'WOF035500001','WOG00356','C026','WEM00001',1500.00,1576.26,80.00,1,113.47611110,36.13444444,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(125,'WOF035500001','WOG00357','C027','WEM00001',1500.00,1552.59,80.00,1,113.47722220,36.13694444,1,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(126,'WOF035500001','WOG00358','C028','WEM00001',1500.00,1539.75,80.00,1,113.47611110,36.14000000,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(127,'WOF035500001','WOG00359','C029','WEM00001',1500.00,1559.51,80.00,1,113.48333330,36.14138889,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(128,'WOF035500001','WOG00360','C030','WEM00001',1500.00,1579.80,80.00,1,113.48750000,36.14055556,1,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(129,'WOF035500001','WOG00361','C031','WEM00001',1500.00,1569.37,80.00,1,113.48194440,36.14722222,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(130,'WOF035500001','WOG00362','C032','WEM00001',1500.00,1538.45,80.00,1,113.47638890,36.15000000,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(131,'WOF035500001','WOG00363','C033','WEM00001',1500.00,1552.39,80.00,1,113.47694440,36.15305556,2,11.00,3.00,25.00,0,2,133,'2024-06-25 14:33:46',NULL,'2024-06-25 14:33:46'),
	(132,'WOF085500002','WOG00364','27','WEM00002',1500.00,1805.64,80.00,1,108.34305560,26.58500000,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(133,'WOF085500002','WOG00365','28','WEM00002',1500.00,1777.70,80.00,1,108.33694440,26.58888889,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(134,'WOF085500002','WOG00366','29','WEM00002',1500.00,1823.03,80.00,1,108.33388890,26.59361111,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(135,'WOF085500002','WOG00367','30','WEM00002',1500.00,1821.44,80.00,1,108.33027780,26.59666667,1,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(136,'WOF085500002','WOG00368','31','WEM00002',1500.00,1800.30,80.00,1,108.32666670,26.60027778,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(137,'WOF085500002','WOG00369','32','WEM00002',1500.00,1763.50,80.00,1,108.33194440,26.60666667,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(138,'WOF085500002','WOG00370','33','WEM00002',1500.00,1795.95,80.00,1,108.32416670,26.61416667,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(139,'WOF085500002','WOG00371','34','WEM00002',1500.00,1761.19,80.00,1,108.32055560,26.61833333,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(140,'WOF085500002','WOG00372','35','WEM00002',1500.00,1783.42,80.00,1,108.31638890,26.62111111,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(141,'WOF085500002','WOG00373','36','WEM00002',1500.00,1741.67,80.00,1,108.34583330,26.58527778,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(142,'WOF085500002','WOG00374','37','WEM00002',1500.00,1691.09,80.00,1,108.35027780,26.58500000,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(143,'WOF085500002','WOG00375','38','WEM00002',1500.00,1691.13,80.00,1,108.35388890,26.58555556,1,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(144,'WOF085500002','WOG00376','39','WEM00002',1500.00,1663.07,80.00,1,108.35805560,26.58555556,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(145,'WOF085500002','WOG00377','40','WEM00002',1500.00,1667.98,80.00,1,108.36111110,26.58611111,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(146,'WOF085500002','WOG00378','41','WEM00002',1500.00,1636.45,80.00,1,108.36500000,26.58583333,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(147,'WOF085500002','WOG00379','42','WEM00002',1500.00,1648.06,80.00,1,108.36861110,26.58194444,1,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(148,'WOF085500002','WOG00380','43','WEM00002',1500.00,1646.91,80.00,1,108.33861110,26.57972222,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(149,'WOF085500002','WOG00381','44','WEM00002',1500.00,1639.99,80.00,1,108.37194440,26.59250000,1,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(150,'WOF085500002','WOG00382','45','WEM00002',1500.00,1623.09,80.00,1,108.37527780,26.59388889,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(151,'WOF085500002','WOG00383','46','WEM00002',1500.00,1624.33,80.00,1,108.37888890,26.59444444,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(152,'WOF085500002','WOG00384','47','WEM00002',1500.00,1611.62,80.00,1,108.38305560,26.59666667,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(153,'WOF085500002','WOG00385','48','WEM00002',1500.00,1610.20,80.00,1,108.39138890,26.58611111,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(154,'WOF085500002','WOG00386','49','WEM00002',1500.00,1591.65,80.00,1,108.39222220,26.57722222,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(155,'WOF085500002','WOG00387','50','WEM00002',1500.00,1564.54,80.00,1,108.38972220,26.57638889,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(156,'WOF085500002','WOG00388','51','WEM00002',1500.00,1554.09,80.00,1,108.38666670,26.57388889,2,10.00,3.00,20.00,0,2,133,'2024-06-25 16:18:05',NULL,'2024-06-25 16:18:05'),
	(157,'WOF035900004','WOG00389','#01','WEM00003',2000.00,647.00,80.00,1,111.28250000,34.88888889,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(158,'WOF035900004','WOG00390','#02','WEM00003',2000.00,694.00,80.00,1,111.29472220,34.88805556,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(159,'WOF035900004','WOG00391','#03','WEM00003',2000.00,729.00,80.00,1,111.29333330,34.89555556,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(160,'WOF035900004','WOG00392','#04','WEM00003',2000.00,766.00,80.00,1,111.29916670,34.89805556,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(161,'WOF035900004','WOG00393','#05','WEM00003',2000.00,766.00,80.00,1,111.29472220,34.90222222,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(162,'WOF035900004','WOG00394','#06','WEM00003',2000.00,802.00,80.00,1,111.30111110,34.90250000,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(163,'WOF035900004','WOG00395','#07','WEM00003',2000.00,833.00,80.00,1,111.30638890,34.90250000,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(164,'WOF035900004','WOG00396','#08','WEM00003',2000.00,895.00,80.00,1,111.30972220,34.90500000,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(165,'WOF035900004','WOG00397','#09','WEM00003',2000.00,963.00,80.00,1,111.31083330,34.90861111,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(166,'WOF035900004','WOG00398','#10','WEM00003',2000.00,1012.00,80.00,1,111.31111110,34.91222222,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(167,'WOF035900004','WOG00399','#11','WEM00003',2000.00,915.00,80.00,1,111.30527780,34.90972222,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(168,'WOF035900004','WOG00400','#12','WEM00003',2000.00,1043.00,80.00,1,111.31500000,34.91555556,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(169,'WOF035900004','WOG00401','#13','WEM00003',2000.00,1012.00,80.00,1,111.31750000,34.91250000,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(170,'WOF035900004','WOG00402','#14','WEM00003',2000.00,1006.00,80.00,1,111.31416670,34.91888889,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(171,'WOF035900004','WOG00403','#15','WEM00003',2000.00,1010.00,80.00,1,111.30861110,34.91833333,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(172,'WOF035900004','WOG00404','#16','WEM00003',2000.00,928.00,80.00,1,111.30222220,34.91861111,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(173,'WOF035900004','WOG00405','#17','WEM00003',2000.00,717.00,80.00,1,111.31666670,34.87666667,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(174,'WOF035900004','WOG00406','#18','WEM00003',2000.00,743.00,80.00,1,111.32611110,34.87916667,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(175,'WOF035900004','WOG00407','#19','WEM00003',2000.00,764.00,80.00,1,111.32722220,34.88527778,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(176,'WOF035900004','WOG00408','#20','WEM00003',2000.00,780.00,80.00,1,111.33277780,34.88694444,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(177,'WOF035900004','WOG00409','#21','WEM00003',2000.00,734.00,80.00,1,111.33361110,34.87333333,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(178,'WOF035900004','WOG00410','#22','WEM00003',2000.00,749.00,80.00,1,111.34472220,34.87750000,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(179,'WOF035900004','WOG00411','#23','WEM00003',2000.00,738.00,80.00,1,111.34805560,34.87111111,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(180,'WOF035900004','WOG00412','#24','WEM00003',2000.00,722.00,80.00,1,111.34777780,34.86750000,2,10.00,3.00,20.00,0,2,133,'2024-06-28 15:03:22',NULL,'2024-06-28 15:03:22'),
	(181,'WOF093400005','WOG00413','HD2-01','WEM00004',2200.00,647.00,90.00,1,108.12378450,36.19442520,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(182,'WOF093400005','WOG00414','HD2-02','WEM00004',2200.00,694.00,90.00,1,108.12378810,36.19572302,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(183,'WOF093400005','WOG00415','HD2-03','WEM00004',2200.00,729.00,90.00,1,108.12379150,36.20102065,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(184,'WOF093400005','WOG00416','HD2-04','WEM00004',2200.00,766.00,90.00,1,108.12379530,36.20231851,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(185,'WOF093400005','WOG00417','HD2-05','WEM00004',2200.00,766.00,90.00,1,108.12379860,36.20361643,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(186,'WOF093400005','WOG00418','HD2-06','WEM00004',2200.00,802.00,90.00,1,108.12380200,36.20491383,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(187,'WOF093400005','WOG00419','HD2-07','WEM00004',2200.00,833.00,90.00,1,108.12380560,36.21021145,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(188,'WOF093400005','WOG00420','HD2-08','WEM00004',2200.00,895.00,90.00,1,108.12380910,36.21150911,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(189,'WOF093400005','WOG00421','HD2-09','WEM00004',2200.00,963.00,90.00,1,108.12381230,36.21280684,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(190,'WOF093400005','WOG00422','HD2-10','WEM00004',2200.00,1012.00,90.00,1,108.12881600,36.21410436,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(191,'WOF093400005','WOG00423','HD2-11','WEM00004',2200.00,915.00,90.00,1,108.12381940,36.21535332,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(192,'WOF093400005','WOG00424','HD2-12','WEM00004',2200.00,1043.00,90.00,1,108.12382290,36.22060235,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(193,'WOF093400005','WOG00425','HD2-13','WEM00004',2200.00,1012.00,90.00,1,108.12382610,36.22183541,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(194,'WOF093400005','WOG00426','HD2-14','WEM00004',2200.00,1006.00,90.00,1,108.13331940,36.19506417,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(195,'WOF093400005','WOG00427','HD2-15','WEM00004',2200.00,1010.00,90.00,1,108.13332310,36.20036170,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(196,'WOF093400005','WOG00428','HD2-16','WEM00004',2200.00,928.00,90.00,1,108.13332710,36.20165956,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(197,'WOF093400005','WOG00429','HD2-17','WEM00004',2200.00,717.00,90.00,1,108.13333080,36.20295702,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(198,'WOF093400005','WOG00430','HD2-18','WEM00004',2200.00,743.00,90.00,1,108.13333440,36.20425481,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(199,'WOF093400005','WOG00431','HD2-19','WEM00004',2200.00,764.00,90.00,1,108.13333830,36.20555247,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(200,'WOF093400005','WOG00432','HD2-20','WEM00004',2200.00,780.00,90.00,1,108.13334210,36.21085006,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(201,'WOF093400005','WOG00433','HD2-21','WEM00004',2200.00,734.00,90.00,1,108.13334570,36.21214788,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(202,'WOF093400005','WOG00434','HD2-22','WEM00004',2200.00,749.00,90.00,1,108.13334950,36.21344554,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(203,'WOF093400005','WOG00435','HD2-23','WEM00004',2200.00,738.00,90.00,1,108.13335330,36.21474325,2,10.00,3.00,20.00,0,2,133,'2024-06-28 17:31:22',NULL,'2024-06-28 17:31:22'),
	(204,'WOF091200006','WOG00436','#01','WEM00005',1500.00,1469.00,70.00,1,109.08194440,37.41750000,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(205,'WOF091200006','WOG00437','#02','WEM00005',1500.00,1486.00,70.00,1,109.07333330,37.41944444,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(206,'WOF091200006','WOG00438','#03','WEM00005',1500.00,1478.00,70.00,1,109.06750000,37.42027778,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(207,'WOF091200006','WOG00439','#04','WEM00005',1500.00,1501.00,70.00,1,109.06194440,37.41861111,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(208,'WOF091200006','WOG00440','#05','WEM00005',1500.00,1476.00,70.00,1,109.06027780,37.41611111,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(209,'WOF091200006','WOG00441','#06','WEM00005',1500.00,1480.00,70.00,1,109.05833330,37.42055556,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(210,'WOF091200006','WOG00442','#07','WEM00005',1500.00,1473.00,70.00,1,109.05277780,37.42055556,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(211,'WOF091200006','WOG00443','#08','WEM00005',1500.00,1475.00,70.00,1,109.05083330,37.41444444,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(212,'WOF091200006','WOG00444','#09','WEM00005',1500.00,1476.00,70.00,1,109.04750000,37.42027778,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(213,'WOF091200006','WOG00445','#10','WEM00005',1500.00,1502.30,70.00,1,109.04361110,37.41388889,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(214,'WOF091200006','WOG00446','#11','WEM00005',1500.00,1514.00,70.00,1,109.04055560,37.41861111,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(215,'WOF091200006','WOG00447','#12','WEM00005',1500.00,1524.00,70.00,1,109.03638890,37.41722222,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(216,'WOF091200006','WOG00448','#13','WEM00005',1500.00,1532.00,70.00,1,109.03388890,37.42111111,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(217,'WOF091200006','WOG00449','#14','WEM00005',1500.00,1551.64,70.00,1,109.02611110,37.42444444,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(218,'WOF091200006','WOG00450','#15','WEM00005',1500.00,1567.00,70.00,1,109.02222220,37.42472222,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(219,'WOF091200006','WOG00451','#16','WEM00005',1500.00,1560.00,70.00,1,109.01888890,37.42916667,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(220,'WOF091200006','WOG00452','#17','WEM00005',1500.00,1552.00,70.00,1,109.00722220,37.43194444,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(221,'WOF091200006','WOG00453','#18','WEM00005',1500.00,1569.00,70.00,1,109.00333330,37.43611111,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(222,'WOF091200006','WOG00454','#19','WEM00005',1500.00,1595.00,70.00,1,109.00000000,37.44055556,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(223,'WOF091200006','WOG00455','#20','WEM00005',1500.00,1511.00,70.00,1,109.06555560,37.38166667,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(224,'WOF091200006','WOG00456','#21','WEM00005',1500.00,1571.00,70.00,1,109.06138890,37.38833333,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(225,'WOF091200006','WOG00457','#22','WEM00005',1500.00,1511.00,70.00,1,109.05194440,37.39027778,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(226,'WOF091200006','WOG00458','#23','WEM00005',1500.00,1491.00,70.00,1,109.04777780,37.39138889,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(227,'WOF091200006','WOG00459','#24','WEM00005',1500.00,1520.00,70.00,1,109.02916670,37.39250000,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(228,'WOF091200006','WOG00460','#25','WEM00005',1500.00,1532.00,70.00,1,109.05500000,37.38722222,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(229,'WOF091200006','WOG00461','#26','WEM00005',1500.00,1583.00,70.00,1,109.01222220,37.38833333,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(230,'WOF091200006','WOG00462','#27','WEM00005',1500.00,1600.00,70.00,1,109.01000000,37.39166667,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(231,'WOF091200006','WOG00463','#28','WEM00005',1500.00,1537.00,70.00,1,109.01111110,37.39888889,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(232,'WOF091200006','WOG00464','#29','WEM00005',1500.00,1576.00,70.00,1,109.00722220,37.38666667,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(233,'WOF091200006','WOG00465','#30','WEM00005',1500.00,1570.00,70.00,1,109.00361110,37.39805556,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(234,'WOF091200006','WOG00466','#31','WEM00005',1500.00,1606.00,70.00,1,108.99750000,37.39972222,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(235,'WOF091200006','WOG00467','#32','WEM00005',1500.00,1609.00,70.00,1,108.99611110,37.39694444,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(236,'WOF091200006','WOG00468','#33','WEM00005',1500.00,1611.86,70.00,1,108.99277780,37.39333333,2,11.25,2.75,20.25,0,2,133,'2024-07-04 10:04:04',NULL,'2024-07-04 10:04:04'),
	(237,'WOF035200003','WOG00469','#01','WEM00006',1500.00,1894.54,70.00,1,113.81972220,39.64000000,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(238,'WOF035200003','WOG00470','#02','WEM00006',1500.00,1890.84,70.00,1,113.82500000,39.63944444,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(239,'WOF035200003','WOG00471','#03','WEM00006',1500.00,1918.62,70.00,1,113.82305560,39.63666667,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(240,'WOF035200003','WOG00472','#04','WEM00006',1500.00,1892.33,70.00,1,113.82222220,39.63277778,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(241,'WOF035200003','WOG00473','#05','WEM00006',1500.00,1904.77,70.00,1,113.82444440,39.63027778,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(242,'WOF035200003','WOG00474','#06','WEM00006',1500.00,1869.32,70.00,1,113.82555560,39.62694444,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(243,'WOF035200003','WOG00475','#07','WEM00006',1500.00,1880.63,70.00,1,113.82861110,39.62500000,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(244,'WOF035200003','WOG00476','#08','WEM00006',1500.00,1912.11,70.00,1,113.83250000,39.62250000,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(245,'WOF035200003','WOG00477','#09','WEM00006',1500.00,1779.81,70.00,1,113.83222220,39.61333333,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(246,'WOF035200003','WOG00478','#10','WEM00006',1500.00,1811.82,70.00,1,113.83000000,39.60833333,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(247,'WOF035200003','WOG00479','#11','WEM00006',1500.00,1925.68,70.00,1,113.83972220,39.60722222,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(248,'WOF035200003','WOG00480','#12','WEM00006',1500.00,1837.40,70.00,1,113.82944440,39.60500000,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(249,'WOF035200003','WOG00481','#13','WEM00006',1500.00,1825.04,70.00,1,113.83527780,39.60388889,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(250,'WOF035200003','WOG00482','#15','WEM00006',1500.00,2168.05,70.00,1,113.86444440,39.63916667,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(251,'WOF035200003','WOG00483','#16','WEM00006',1500.00,2154.42,70.00,1,113.86500000,39.63583333,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(252,'WOF035200003','WOG00484','#17','WEM00006',1500.00,2173.17,70.00,1,113.87000000,39.63250000,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(253,'WOF035200003','WOG00485','#18','WEM00006',1500.00,2124.48,70.00,1,113.87277780,39.62861111,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(254,'WOF035200003','WOG00486','#19','WEM00006',1500.00,2108.11,70.00,1,113.87500000,39.62500000,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(255,'WOF035200003','WOG00487','#20','WEM00006',1500.00,2081.07,70.00,1,113.87722220,39.62138889,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(256,'WOF035200003','WOG00488','#21','WEM00006',1500.00,2076.02,70.00,1,113.88194440,39.61722222,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(257,'WOF035200003','WOG00489','#22','WEM00006',1500.00,2047.83,70.00,1,113.88555560,39.61166667,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(258,'WOF035200003','WOG00490','#23','WEM00006',1500.00,2035.85,70.00,1,113.88472220,39.60750000,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(259,'WOF035200003','WOG00491','#24','WEM00006',1500.00,1997.31,70.00,1,113.88972220,39.60666667,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(260,'WOF035200003','WOG00492','#25','WEM00006',1500.00,1964.23,70.00,1,113.89305560,39.60333333,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(261,'WOF035200003','WOG00493','#26','WEM00006',1500.00,1974.43,70.00,1,113.89666670,39.60111111,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(262,'WOF035200003','WOG00494','#27','WEM00006',1500.00,2046.96,70.00,1,113.90194440,39.59500000,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(263,'WOF035200003','WOG00495','#28','WEM00006',1500.00,1970.95,70.00,1,113.90861110,39.58972222,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(264,'WOF035200003','WOG00496','#29','WEM00006',1500.00,1998.31,70.00,1,113.91361110,39.58277778,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(265,'WOF035200003','WOG00497','#30','WEM00006',1500.00,1989.73,70.00,1,113.91166670,39.57833333,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(266,'WOF035200003','WOG00498','#31','WEM00006',1500.00,1877.66,70.00,1,113.90333330,39.57444444,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(267,'WOF035200003','WOG00499','#32','WEM00006',1500.00,1926.28,70.00,1,113.90472220,39.56972222,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(268,'WOF035200003','WOG00500','#33','WEM00006',1500.00,1882.61,70.00,1,113.90305560,39.56444444,2,13.00,3.00,25.00,0,2,133,'2024-07-10 11:38:51',NULL,'2024-07-10 11:38:51'),
	(269,'WOF035500001','WOG00501','123','WEM00001',1500.00,80.00,80.00,0,119.00000000,23.00000000,2,NULL,NULL,NULL,1,1,133,'2024-07-11 14:23:49',NULL,'2024-07-11 14:23:49'),
	(270,'WOF035500001','WOG00502','C34','WEM00007',3000.00,1813.56,80.00,1,113.26324500,36.02580400,2,15.00,3.00,22.00,0,2,133,'2024-07-11 14:31:51',NULL,'2024-07-11 14:31:51'),
	(271,'WOF035500001','WOG00503','C35','WEM00007',3000.00,1807.51,80.00,1,113.26270500,36.02406900,2,15.00,3.00,22.00,0,2,133,'2024-07-11 14:31:51',NULL,'2024-07-11 14:31:51'),
	(272,'WOF035500001','WOG00504','C36','WEM00007',3000.00,1815.35,80.00,1,113.26427500,36.02074400,2,15.00,3.00,22.00,0,2,133,'2024-07-11 14:31:51',NULL,'2024-07-11 14:31:51'),
	(273,'WOF035500001','WOG00505','C37','WEM00007',3000.00,1800.52,80.00,1,113.26585000,36.02167000,2,15.00,3.00,22.00,0,2,133,'2024-07-11 14:31:51',NULL,'2024-07-11 14:31:51'),
	(274,'WOF035500001','WOG00506','C38','WEM00007',3000.00,1842.96,80.00,1,113.26295300,36.01558300,2,15.00,3.00,22.00,0,2,133,'2024-07-11 14:31:51',NULL,'2024-07-11 14:31:51'),
	(275,'WOF035500001','WOG00507','C39','WEM00007',3000.00,1823.64,80.00,1,113.25559000,36.01010300,2,15.00,3.00,22.00,0,2,133,'2024-07-11 14:31:51',NULL,'2024-07-11 14:31:51'),
	(276,'WOF035500001','WOG00508','C40','WEM00007',3000.00,1825.34,80.00,1,113.25332100,36.01500700,2,15.00,3.00,22.00,0,2,133,'2024-07-11 14:31:51',NULL,'2024-07-11 14:31:51'),
	(277,'WOF035500001','WOG00509','C41','WEM00007',3000.00,1837.27,80.00,1,113.25520500,36.01138600,2,15.00,3.00,22.00,0,2,133,'2024-07-11 14:31:51',NULL,'2024-07-11 14:31:51'),
	(278,'WOF035500001','WOG00510','C42','WEM00007',3000.00,1825.25,80.00,1,113.25447800,36.01258600,2,15.00,3.00,22.00,0,2,133,'2024-07-11 14:31:51',NULL,'2024-07-11 14:31:51'),
	(279,'WOF035500001','WOG00511','C43','WEM00007',3000.00,1845.76,80.00,1,113.27171700,36.02212300,2,15.00,3.00,22.00,0,2,133,'2024-07-11 14:31:51',NULL,'2024-07-11 14:31:51');

/*!40000 ALTER TABLE `wind_engine_group` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wind_engine_mill
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wind_engine_mill`;

CREATE TABLE `wind_engine_mill` (
  `mill_type_code` varchar(32) NOT NULL COMMENT '编号',
  `machine_type_code` varchar(32) NOT NULL COMMENT '机型型号',
  `manufacturer_name` varchar(32) DEFAULT NULL COMMENT '厂商名称',
  `manufacturer_code` varchar(32) NOT NULL COMMENT '厂商编号',
  `brand` varchar(32) DEFAULT NULL COMMENT '品牌名称',
  `state` tinyint(1) DEFAULT NULL COMMENT '状态',
  `tower_height` double(10,2) DEFAULT NULL COMMENT '塔筒高度',
  `vane_long` double(10,2) DEFAULT NULL COMMENT '叶片长度',
  `curved_motion_type` int(11) DEFAULT NULL COMMENT '驱动方式',
  `combination` varchar(32) DEFAULT NULL COMMENT '组合字段',
  `power_criterion_url` varchar(255) DEFAULT NULL COMMENT '标准功率曲线url地址',
  `rotor_diameter` double(10,2) DEFAULT NULL COMMENT ' 叶轮直径（m）',
  `rotational_speed_ratio` double(10,2) DEFAULT NULL COMMENT '传动比-转速比（无单位）',
  `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
  `rated_wind_speed` double(10,2) DEFAULT NULL,
  `rated_cut_in_windspeed` double(10,2) DEFAULT NULL,
  `rated_cut_out_windspeed` double(10,2) DEFAULT NULL,
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`mill_type_code`,`machine_type_code`,`manufacturer_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='风机机型信息 ';

LOCK TABLES `wind_engine_mill` WRITE;
/*!40000 ALTER TABLE `wind_engine_mill` DISABLE KEYS */;

INSERT INTO `wind_engine_mill` (`mill_type_code`, `machine_type_code`, `manufacturer_name`, `manufacturer_code`, `brand`, `state`, `tower_height`, `vane_long`, `curved_motion_type`, `combination`, `power_criterion_url`, `rotor_diameter`, `rotational_speed_ratio`, `del_state`, `rated_wind_speed`, `rated_cut_in_windspeed`, `rated_cut_out_windspeed`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	('WEM00001','CCWE-1500/93.DF','华创','001','CCWE',1,80.00,40.00,1,'CCWE-1500/93.DF,001',NULL,93.00,NULL,0,NULL,NULL,NULL,133,'2024-06-25 14:14:37',NULL,'2024-06-25 14:14:37'),
	('WEM00002','MY2.0-110','明阳','002','MY',1,85.00,40.00,1,'MY2.0-110,002','http://192.168.50.234:6900/bucket-zhzn/标准功率曲线模版昌平坳_1719371768332.xlsx',110.00,NULL,0,NULL,NULL,NULL,133,'2024-06-25 16:17:46',NULL,'2024-06-25 16:17:46'),
	('WEM00003','W2000-105-80','上海电气','003','shanghaidianqi',1,80.00,NULL,1,'W2000-105-80,003','http://192.168.50.234:6900/bucket-zhzn/标准功率曲线模版平陆_1719559505335.xlsx',105.00,NULL,0,NULL,NULL,NULL,133,'2024-06-28 15:03:08',NULL,'2024-06-28 15:03:08'),
	('WEM00004','WT2200D131','中车','004','WT',1,90.00,NULL,1,'WT2200D131,004','http://192.168.50.234:6900/bucket-zhzn/标准功率曲线模版诺木洪_1720573673227.xlsx',131.00,NULL,0,NULL,NULL,NULL,133,'2024-06-28 17:26:41',NULL,'2024-06-28 17:26:41'),
	('WEM00005','TW1500-87','保定天威','TW001','tw',1,80.00,NULL,1,'TW1500-87,TW001','http://192.168.50.234:6900/bucket-zhzn/标准功率曲线模版元梁山_1720401179826.xlsx',87.00,NULL,0,NULL,NULL,NULL,133,'2024-07-04 09:25:23',NULL,'2024-07-04 09:25:23'),
	('WEM00006','MY1.5Se','明阳','MY001','mingyang',1,70.00,NULL,1,'MY1.5Se,MY001','http://192.168.50.234:6900/bucket-zhzn/标准功率曲线模版密马_1720594557143.xlsx',82.00,NULL,0,NULL,NULL,NULL,133,'2024-07-10 11:04:28',NULL,'2024-07-10 11:04:28'),
	('WEM00007','GW121/3000','金风','WMF00001','goldwind',1,90.00,NULL,2,'GW121/3000,GW001',NULL,121.00,NULL,0,15.00,3.00,22.00,133,'2024-07-11 14:31:31',NULL,'2024-07-11 14:31:31');

/*!40000 ALTER TABLE `wind_engine_mill` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wind_exception_count
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wind_exception_count`;

CREATE TABLE `wind_exception_count` (
  `id` bigint(11) unsigned NOT NULL AUTO_INCREMENT COMMENT '主键',
  `batch_code` varchar(32) NOT NULL DEFAULT '' COMMENT '批次编号',
  `engine_code` varchar(32) NOT NULL DEFAULT '' COMMENT '风机编号',
  `analysis_type_code` varchar(500) NOT NULL DEFAULT '' COMMENT '分析类型编号',
  `err_count` int(11) NOT NULL DEFAULT '0' COMMENT '异常数目',
  `handle_err_count` int(11) NOT NULL DEFAULT '0' COMMENT '处理异常数',
  `is_delete` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否删除 0：否 1：是',
  `create_by` int(11) NOT NULL COMMENT '创建人',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` int(11) NOT NULL COMMENT '更新人',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `err_desc` varchar(500) NOT NULL DEFAULT '' COMMENT '异常信息描述',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='分析异常数（首页统计） ';

LOCK TABLES `wind_exception_count` WRITE;
/*!40000 ALTER TABLE `wind_exception_count` DISABLE KEYS */;

INSERT INTO `wind_exception_count` (`id`, `batch_code`, `engine_code`, `analysis_type_code`, `err_count`, `handle_err_count`, `is_delete`, `create_by`, `create_time`, `update_by`, `update_time`, `err_desc`)
VALUES
	(1,'WOF091200006-WOB00008','WOG00437','data_integrity_second',1,0,0,133,'2024-07-05 17:22:48',133,'2024-07-05 17:22:48',''),
	(2,'WOF091200006-WOB00008','WOG00458','power_curve',10,1,0,133,'2024-07-05 17:23:35',133,'2024-07-05 17:23:35','');

/*!40000 ALTER TABLE `wind_exception_count` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wind_field
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wind_field`;

CREATE TABLE `wind_field` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `field_code` varchar(32) DEFAULT NULL COMMENT '风场编号',
  `company_code` varchar(32) DEFAULT NULL COMMENT '企业编号',
  `field_name` varchar(32) DEFAULT NULL COMMENT '风场名称',
  `density` double(10,3) DEFAULT NULL COMMENT '空气密度-合同功率曲线',
  `state` tinyint(1) DEFAULT NULL COMMENT '启用状态',
  `engine_number` int(11) DEFAULT NULL COMMENT '风机数量',
  `rated_capacity_number` double(10,3) DEFAULT NULL COMMENT '总额定容量-sum机组',
  `province_id` int(11) DEFAULT NULL COMMENT '省编号',
  `province_name` varchar(32) DEFAULT NULL COMMENT '省名字',
  `city_id` int(11) DEFAULT NULL COMMENT '市编号',
  `city_name` varchar(32) DEFAULT NULL COMMENT '市名字',
  `longitude` decimal(15,8) DEFAULT NULL COMMENT '经度',
  `latitude` decimal(15,8) DEFAULT NULL COMMENT '纬度',
  `elevation_height` double(10,2) DEFAULT NULL COMMENT '海拔高度',
  `power_contract_url` varchar(255) DEFAULT NULL COMMENT '合同功率曲线地址',
  `del_state` tinyint(1) DEFAULT NULL COMMENT '删除状态',
  `data_source` tinyint(1) DEFAULT NULL COMMENT '数据来源1，平台输入，2导入',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `field_code` (`field_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='风场信息表 ';

LOCK TABLES `wind_field` WRITE;
/*!40000 ALTER TABLE `wind_field` DISABLE KEYS */;

INSERT INTO `wind_field` (`id`, `field_code`, `company_code`, `field_name`, `density`, `state`, `engine_number`, `rated_capacity_number`, `province_id`, `province_name`, `city_id`, `city_name`, `longitude`, `latitude`, `elevation_height`, `power_contract_url`, `del_state`, `data_source`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(63,'WOF035500001','COM00001','虹梯关风电场',1.031,1,NULL,1500.000,4,'山西省',394,'长治市',113.26324000,36.02580000,1805.64,NULL,0,2,133,'2024-06-25 14:01:10',NULL,'2024-06-25 14:01:10'),
	(64,'WOF085500002','COM00001','昌平坳风电场',1.040,1,NULL,NULL,23,'贵州省',325,'黔东南苗族侗族自治州',108.34306000,26.58500000,101.00,'http://192.168.50.234:6900/bucket-zhzn/合同功率曲线模版昌平坳_1719372045163.xlsx',0,2,133,'2024-06-25 14:01:10',NULL,'2024-06-25 14:01:10'),
	(65,'WOF035200003','COM00001','密马风电场',1.010,1,NULL,NULL,4,'山西省',108,'大同市',120.32889000,37.17833000,1894.54,'http://192.168.50.234:6900/bucket-zhzn/合同功率曲线模版密马_1720594673495.xlsx',0,2,133,'2024-06-25 14:01:10',NULL,'2024-06-25 14:01:10'),
	(66,'WOF035900004','COM00002','平陆风电场',1.080,1,NULL,NULL,4,'山西省',236,'运城市',111.31083330,34.90861111,915.00,'http://192.168.50.234:6900/bucket-zhzn/合同功率曲线模版平陆_1719559568869.xlsx',0,2,133,'2024-06-28 14:59:14',NULL,'2024-06-28 14:59:14'),
	(67,'WOF093400005','COM00003','诺木洪风电场',0.895,1,NULL,NULL,27,'甘肃省',198,'庆阳市',108.12378450,36.19442520,2810.00,'http://192.168.50.234:6900/bucket-zhzn/合同功率曲线模版诺木洪_1720573687309.xlsx',0,2,133,'2024-06-28 17:25:47',NULL,'2024-06-28 17:25:47'),
	(68,'WOF091200006','COM00001','元梁山风电场',1.180,1,NULL,NULL,26,'陕西省',421,'榆林市',109.08194440,37.41750000,1500.00,'http://192.168.50.234:6900/bucket-zhzn/合同功率曲线模版元梁山_1720401192558.xlsx',0,2,133,'2024-07-04 09:26:54',NULL,'2024-07-04 09:26:54'),
	(69,'WOF043600007','COM00001','新艾里风电场',1.225,1,NULL,NULL,7,'吉林省',343,'白城市',123.43746500,45.57857400,160.00,NULL,0,2,133,'2024-07-08 13:45:12',NULL,'2024-07-08 13:45:12'),
	(70,'WOF085500008','COM00001','红阳风电场',1.180,1,NULL,NULL,23,'贵州省',325,'黔东南苗族侗族自治州',113.50000000,23.50000000,1700.00,NULL,0,1,133,'2024-07-15 16:51:04',NULL,'2024-07-15 16:51:04');

/*!40000 ALTER TABLE `wind_field` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wind_field_batch
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wind_field_batch`;

CREATE TABLE `wind_field_batch` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `batch_code` varchar(32) DEFAULT '' COMMENT '风场批次编号',
  `batch_name` varchar(32) DEFAULT '' COMMENT '风场批次名称',
  `field_code` varchar(32) DEFAULT '' COMMENT '风场编号',
  `field_name` varchar(100) DEFAULT '' COMMENT '风场名称',
  `batch_state` tinyint(2) DEFAULT '1' COMMENT '批次状态 1：启用 0：停用',
  `is_delete` tinyint(2) DEFAULT '0' COMMENT '删除状态 0：否 1：是',
  `create_by` varchar(20) DEFAULT '' COMMENT '创建人',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_by` varchar(20) DEFAULT '' COMMENT '更新人',
  `update_time` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `index_batch_code` (`batch_code`) USING BTREE COMMENT '批次编号索引',
  KEY `index_field_code` (`field_code`) USING BTREE COMMENT '风场编号索引'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='风机批次信息表 批次etl风机信息表';

LOCK TABLES `wind_field_batch` WRITE;
/*!40000 ALTER TABLE `wind_field_batch` DISABLE KEYS */;

INSERT INTO `wind_field_batch` (`id`, `batch_code`, `batch_name`, `field_code`, `field_name`, `batch_state`, `is_delete`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(29,'WOF035500001-WOB00001','HTG001','WOF035500001','虹梯关风电场',1,0,'133','2024-06-25 14:39:31','133','2024-06-25 14:39:31'),
	(30,'WOF085500002-WOB00002','CPA001','WOF085500002','昌平坳风电场',1,0,'133','2024-06-25 15:12:59','133','2024-06-25 15:12:59'),
	(31,'WOF085500002-WOB00003','CPA002','WOF085500002','昌平坳风电场',1,0,'133','2024-06-25 15:14:01','133','2024-06-25 15:14:01'),
	(32,'WOF085500002-WOB00004','CPA003','WOF085500002','昌平坳风电场',1,0,'133','2024-06-26 09:20:25','133','2024-06-26 09:20:25'),
	(33,'WOF035900004-WOB00005','0628test测试001','WOF035900004','平陆风电场',1,0,'133','2024-06-28 15:04:00','133','2024-06-28 15:04:00'),
	(34,'WOF093400005-WOB00006','0628诺木洪test','WOF093400005','诺木洪风电场',1,0,'133','2024-06-28 17:32:02','133','2024-06-28 17:32:02'),
	(35,'WOF035900004-WOB00007','平陆0701test','WOF035900004','平陆风电场',1,0,'133','2024-07-01 10:12:16','133','2024-07-04 10:05:05'),
	(36,'WOF091200006-WOB00008','元梁山0704test','WOF091200006','元梁山风电场',1,0,'133','2024-07-04 10:04:58','133','2024-07-04 10:04:58'),
	(37,'WOF035900004-WOB00009','平陆0704test','WOF035900004','平陆风电场',1,0,'133','2024-07-04 13:24:40','133','2024-07-04 13:24:47'),
	(38,'WOF035200003-WOB000001','密马0710','WOF035200003','密马风电场',1,0,'133','2024-07-10 11:39:42','133','2024-07-10 11:39:42'),
	(39,'WOF093400005-WOB000001','NMHFDC0711','WOF093400005','诺木洪风电场',1,0,'133','2024-07-11 13:38:44','133','2024-07-11 13:39:28'),
	(40,'WOF093400005-WOB000002','NMH0715','WOF093400005','诺木洪风电场',1,0,'133','2024-07-15 17:05:30','133','2024-07-15 17:05:43');

/*!40000 ALTER TABLE `wind_field_batch` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wind_field_resource
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wind_field_resource`;

CREATE TABLE `wind_field_resource` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `field_code` varchar(32) DEFAULT NULL COMMENT '风场编号',
  `file_name` varchar(100) DEFAULT NULL COMMENT '上传文件名称',
  `type` varchar(32) DEFAULT NULL COMMENT '上传类型',
  `resource_url` varchar(500) DEFAULT NULL COMMENT '上传文件地址',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `field_code` (`field_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='风场资源信息表 ';



# Dump of table wind_relation
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wind_relation`;

CREATE TABLE `wind_relation` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `code_number` varchar(32) DEFAULT NULL COMMENT '对象编号',
  `code_name` varchar(32) DEFAULT NULL COMMENT '编号名称',
  `parent_code` varchar(32) DEFAULT NULL COMMENT '父级编号',
  `type` varchar(32) DEFAULT NULL COMMENT '类型',
  `create_by` int(11) DEFAULT NULL COMMENT '创建人',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` int(11) DEFAULT NULL COMMENT '更新人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `code_number` (`code_number`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='风场关系表 ';

LOCK TABLES `wind_relation` WRITE;
/*!40000 ALTER TABLE `wind_relation` DISABLE KEYS */;

INSERT INTO `wind_relation` (`id`, `code_number`, `code_name`, `parent_code`, `type`, `create_by`, `create_time`, `update_by`, `update_time`)
VALUES
	(108,'COM00001','大唐研究院','0','company',NULL,'2024-06-25 13:50:41',NULL,'2024-06-25 13:50:41'),
	(109,'WOF035500001','虹梯关风电场','COM00001','field',NULL,'2024-06-25 14:01:10',NULL,'2024-06-25 14:01:10'),
	(110,'WOF085500002','昌平坳风电场','COM00001','field',NULL,'2024-06-25 14:01:10',NULL,'2024-06-25 14:01:10'),
	(111,'WOF035200003','密马风电场','COM00001','field',NULL,'2024-06-25 14:01:10',NULL,'2024-06-25 14:01:10'),
	(112,'COM00002','中广核-山西公司','0','company',NULL,'2024-06-28 14:53:47',NULL,'2024-06-28 14:53:47'),
	(113,'WOF035900004','平陆风电场','COM00002','field',NULL,'2024-06-28 14:59:14',NULL,'2024-06-28 14:59:14'),
	(114,'COM00003','华电','0','company',NULL,'2024-06-28 17:25:21',NULL,'2024-06-28 17:25:21'),
	(115,'WOF093400005','诺木洪风电场','COM00003','field',NULL,'2024-06-28 17:25:47',NULL,'2024-06-28 17:25:47'),
	(116,'WOF091200006','元梁山风电场','COM00001','field',NULL,'2024-07-04 09:26:54',NULL,'2024-07-04 09:26:54'),
	(117,'WOF043600007','新艾里风电场','COM00001','field',NULL,'2024-07-08 13:45:12',NULL,'2024-07-08 13:45:12'),
	(118,'WOF085500008','红阳风电场','COM00001','field',NULL,'2024-07-15 16:51:04',NULL,'2024-07-15 16:51:04');

/*!40000 ALTER TABLE `wind_relation` ENABLE KEYS */;
UNLOCK TABLES;



/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
